import {Group as MockGroup} from 'sentry-fixture/group';
import {Project as MockProject} from 'sentry-fixture/project';

import {GroupStatus} from 'sentry/types';

export function Groups() {
  const project = MockProject({name: 'Internal', slug: 'project-slug', id: '123'});

  return [
    MockGroup({
      lastSeen: '2017-07-25T02:22:19Z',
      userCount: 1,
      culprit: 'Constructor.onSimilarUpdate(app/views/groupSimilar/groupingMergedList)',
      title: 'ReferenceError: unmergedList is not defined',
      id: '274',
      logger: 'javascript',
      metadata: {type: 'ReferenceError', value: 'unmergedList is not defined'},
      subscriptionDetails: null,
      shortId: 'INTERNAL-4K',
      shareId: '312e323734',
      firstSeen: '2017-07-25T02:21:52Z',
      count: '2',
      permalink: 'http://localhost:8000/sentry/project-slug/issues/274/',
      level: 'error',
      isSubscribed: true,
      project,
    }),
    MockGroup({
      lastSeen: '2017-07-25T02:20:35Z',
      userCount: 1,
      culprit: 'size(app/views/groupSimilar/groupingMergedList)',
      title: "TypeError: Cannot read property 'size' of undefined",
      id: '275',
      logger: 'javascript',
      metadata: {type: 'TypeError', value: "Cannot read property 'size' of undefined"},
      subscriptionDetails: null,
      hasSeen: true,
      shortId: 'INTERNAL-4M',
      shareId: '312e323735',
      firstSeen: '2017-07-25T02:20:35Z',
      count: '1',
      permalink: 'http://localhost:8000/sentry/project-slug/issues/275/',
      level: 'error',
      isSubscribed: true,
      project,
    }),
    MockGroup({
      lastSeen: '2017-07-24T23:41:44Z',
      userCount: 3,
      culprit: 'length(app/views/groupSimilar/groupSimilarView)',
      title: "TypeError: Cannot read property 'length' of undefined",
      id: '271',
      logger: 'javascript',
      metadata: {
        type: 'TypeError',
        value: "Cannot read property 'length' of undefined",
      },
      status: GroupStatus.RESOLVED,
      subscriptionDetails: null,
      shortId: 'INTERNAL-4G',
      shareId: '312e323731',
      firstSeen: '2017-07-10T18:32:43Z',
      count: '90',
      permalink: 'http://localhost:8000/sentry/project-slug/issues/271/',
      level: 'error',
      isSubscribed: true,
      project,
    }),
    MockGroup({
      lastSeen: '2017-07-25T23:21:19Z',
      userCount: 1,
      culprit: 'stale(app/views/groupDetails)',
      title: "TypeError: Cannot read property 'stale' of undefined",
      id: '216',
      assignedTo: {
        id: '1',
        name: 'illy@sentry.io',
        type: 'user',
        email: 'billy@sentry.io',
      },
      logger: 'javascript',
      metadata: {type: 'TypeError', value: "Cannot read property 'stale' of undefined"},
      subscriptionDetails: {reason: 'changed_status'},
      hasSeen: true,
      shortId: 'INTERNAL-2S',
      shareId: '312e323136',
      firstSeen: '2017-07-25T02:20:35Z',
      count: '15',
      permalink: 'http://localhost:8000/sentry/project-slug/issues/216/',
      level: 'error',
      isSubscribed: true,
      project,
    }),
  ];
}
