# Generated by Django 3.2.20 on 2023-09-07 18:06

import django.utils.timezone
from django.db import migrations, models

import sentry.db.models.fields.bounded
import sentry.db.models.fields.uuid
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Feedback",
            fields=[
                (
                    "id",
                    sentry.db.models.fields.bounded.BoundedBigAutoField(
                        primary_key=True, serialize=False
                    ),
                ),
                (
                    "project_id",
                    sentry.db.models.fields.bounded.BoundedBigIntegerField(db_index=True),
                ),
                ("replay_id", models.CharField(db_index=True, max_length=32, null=True)),
                ("url", models.CharField(max_length=1000, null=True)),
                ("message", models.TextField()),
                ("feedback_id", sentry.db.models.fields.uuid.UUIDField(max_length=32, unique=True)),
                ("date_added", models.DateTimeField(default=django.utils.timezone.now)),
                ("data", models.JSONField(null=True)),
            ],
            options={
                "db_table": "feedback_feedback",
                "index_together": {("project_id", "date_added")},
            },
        ),
    ]
