# Generated by Django 3.2.20 on 2023-09-26 18:51

import django.utils.timezone
from django.db import migrations, models

import sentry.db.models.fields.bounded
import sentry.db.models.fields.hybrid_cloud_foreign_key
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("hybridcloud", "0001_add_api_key_replica"),
    ]

    operations = [
        migrations.CreateModel(
            name="OrganizationSlugReservationReplica",
            fields=[
                (
                    "id",
                    sentry.db.models.fields.bounded.BoundedBigAutoField(
                        primary_key=True, serialize=False
                    ),
                ),
                (
                    "organization_slug_reservation_id",
                    sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                        "sentry.organizationslugreservation",
                        db_index=True,
                        on_delete="CASCADE",
                        unique=True,
                    ),
                ),
                ("slug", models.SlugField(unique=True)),
                (
                    "organization_id",
                    sentry.db.models.fields.bounded.BoundedBigIntegerField(db_index=True),
                ),
                ("user_id", sentry.db.models.fields.bounded.BoundedBigIntegerField(db_index=True)),
                ("region_name", models.CharField(max_length=48)),
                (
                    "reservation_type",
                    sentry.db.models.fields.bounded.BoundedBigIntegerField(default=0),
                ),
                (
                    "date_added",
                    models.DateTimeField(default=django.utils.timezone.now, editable=False),
                ),
            ],
            options={
                "db_table": "hybridcloud_organizationslugreservationreplica",
                "unique_together": {("organization_id", "reservation_type")},
            },
        ),
    ]
