# Generated by Django 3.2.20 on 2023-10-19 21:23

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models

import bitfield.models
import sentry.db.models.fields.array
import sentry.db.models.fields.bounded
import sentry.db.models.fields.foreignkey
import sentry.db.models.fields.hybrid_cloud_foreign_key
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0577_drop_latest_incident_index"),
        ("hybridcloud", "0005_add_missing_org_integration_scope"),
    ]

    operations = [
        migrations.CreateModel(
            name="ApiTokenReplica",
            fields=[
                (
                    "id",
                    sentry.db.models.fields.bounded.BoundedBigAutoField(
                        primary_key=True, serialize=False
                    ),
                ),
                (
                    "scopes",
                    bitfield.models.BitField(
                        [
                            "project:read",
                            "project:write",
                            "project:admin",
                            "project:releases",
                            "team:read",
                            "team:write",
                            "team:admin",
                            "event:read",
                            "event:write",
                            "event:admin",
                            "org:read",
                            "org:write",
                            "org:admin",
                            "member:read",
                            "member:write",
                            "member:admin",
                            "org:integrations",
                        ],
                        default=None,
                    ),
                ),
                ("scope_list", sentry.db.models.fields.array.ArrayField(null=True)),
                (
                    "application_id",
                    sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                        "sentry.ApiApplication", db_index=True, null=True, on_delete="CASCADE"
                    ),
                ),
                ("application_is_active", models.BooleanField(default=False)),
                (
                    "user_id",
                    sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                        "sentry.User", db_index=True, on_delete="CASCADE"
                    ),
                ),
                (
                    "apitoken_id",
                    sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                        "sentry.ApiToken", db_index=True, on_delete="CASCADE"
                    ),
                ),
                ("token", models.CharField(max_length=64)),
                ("expires_at", models.DateTimeField(null=True)),
                ("allowed_origins", models.TextField(blank=True, null=True)),
                ("date_added", models.DateTimeField(default=django.utils.timezone.now)),
                (
                    "organization",
                    sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="sentry.organization",
                    ),
                ),
            ],
            options={
                "db_table": "hybridcloud_apitokenreplica",
            },
        ),
    ]
