# Generated by Django 2.2.24 on 2021-10-11 22:06

import django.db.models.deletion
from django.db import migrations

import sentry.db.models.fields.foreignkey


class Migration(migrations.Migration):
    # This flag is used to mark that a migration shouldn't be automatically run in
    # production. We set this to True for operations that we think are risky and want
    # someone from ops to run manually and monitor.
    # General advice is that if in doubt, mark your migration as `is_dangerous`.
    # Some things you should always mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that
    #   they can be monitored. Since data migrations will now hold a transaction open
    #   this is even more important.
    # - Adding columns to highly active tables, even ones that are NULL.
    is_dangerous = False

    # This flag is used to decide whether to run this migration in a transaction or not.
    # By default we prefer to run in a transaction, but for migrations where you want
    # to `CREATE INDEX CONCURRENTLY` this needs to be set to False. Typically you'll
    # want to create an index concurrently when adding one to an existing table.
    # You'll also usually want to set this to `False` if you're writing a data
    # migration, since we don't want the entire migration to run in one long-running
    # transaction.
    atomic = True

    dependencies = [
        ("sentry", "0243_delete_visualstudio_repo_data"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[],
            state_operations=[
                migrations.AddField(
                    model_name="externalissue",
                    name="integration",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.Integration",
                        db_constraint=False,
                    ),
                ),
                migrations.AddField(
                    model_name="externalissue",
                    name="organization",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.Organization",
                        db_constraint=False,
                    ),
                ),
                migrations.AddField(
                    model_name="grouplink",
                    name="group",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.Group",
                        db_constraint=False,
                    ),
                ),
                migrations.AddField(
                    model_name="grouplink",
                    name="project",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.Project",
                        db_constraint=False,
                    ),
                ),
                migrations.AlterUniqueTogether(
                    name="externalissue",
                    unique_together={("organization", "integration", "key")},
                ),
                migrations.AlterUniqueTogether(
                    name="grouplink",
                    unique_together={("group", "linked_type", "linked_id")},
                ),
                migrations.RemoveField(
                    model_name="externalissue",
                    name="integration_id",
                ),
                migrations.RemoveField(
                    model_name="externalissue",
                    name="organization_id",
                ),
                migrations.RemoveField(
                    model_name="grouplink",
                    name="group_id",
                ),
                migrations.RemoveField(
                    model_name="grouplink",
                    name="project_id",
                ),
            ],
        )
    ]
