# Generated by Django 2.2.24 on 2022-02-15 21:27

from django.db import migrations, models

import sentry.db.models.fields.bounded
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = True

    # This flag is used to decide whether to run this migration in a transaction or not. Generally
    # we don't want to run in a transaction here, since for long running operations like data
    # back-fills this results in us locking an increasing number of rows until we finally commit.
    atomic = False

    dependencies = [
        ("sentry", "0271_add_codeowners_auto_sync_setting"),
    ]

    operations = [
        migrations.AlterField(
            model_name="monitorcheckin",
            name="status",
            field=sentry.db.models.fields.bounded.BoundedPositiveIntegerField(
                db_index=True, default=0
            ),
        ),
        migrations.AddIndex(
            model_name="groupemailthread",
            index=models.Index(
                fields=["date", "project", "id"], name="sentry_grou_date_d4eb5a_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="monitorcheckin",
            index=models.Index(
                fields=["monitor", "date_added", "status"], name="sentry_moni_monitor_0a49ce_idx"
            ),
        ),
    ]
