# Generated by Django 2.2.28 on 2023-01-11 19:19

from django.db import migrations

import bitfield.models
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0350_add_codecov_access_flag"),
    ]

    operations = [
        migrations.AlterField(
            model_name="project",
            name="flags",
            field=bitfield.models.BitField(
                (
                    ("has_releases", "This Project has sent release data"),
                    ("has_issue_alerts_targeting", "This Project has issue alerts targeting"),
                    ("has_transactions", "This Project has sent transactions"),
                    ("has_alert_filters", "This Project has filters"),
                    ("has_sessions", "This Project has sessions"),
                    ("has_profiles", "This Project has sent profiles"),
                    ("has_replays", "This Project has sent replays"),
                    (
                        "spike_protection_error_currently_active",
                        "spike_protection_error_currently_active",
                    ),
                    (
                        "spike_protection_transaction_currently_active",
                        "spike_protection_transaction_currently_active",
                    ),
                    (
                        "spike_protection_attachment_currently_active",
                        "spike_protection_attachment_currently_active",
                    ),
                    (
                        "has_minified_stack_trace",
                        "This Project has event with minified stack trace",
                    ),
                    ("has_cron_monitors", "This Project has cron monitors"),
                    ("has_cron_checkins", "This Project has sent check-ins"),
                ),
                default=10,
                null=True,
            ),
        ),
    ]
