# Generated by Django 2.2.28 on 2023-04-05 21:42

import django.utils.timezone
from django.db import migrations, models

import sentry.db.models.fields.hybrid_cloud_foreign_key
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0404_backfill_user_avatars"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.RunSQL(
                    """
                    ALTER TABLE "sentry_rulesnooze" ADD COLUMN "date_added" timestamp NOT NULL;
                    """,
                    reverse_sql="""
                    ALTER TABLE "sentry_rulesnooze" DROP COLUMN "date_added";
                    """,
                    hints={"tables": ["sentry_rulesnooze"]},
                ),
            ],
            state_operations=[
                migrations.AddField(
                    model_name="rulesnooze",
                    name="date_added",
                    field=models.DateTimeField(default=django.utils.timezone.now),
                ),
            ],
        ),
        migrations.AddField(
            model_name="rulesnooze",
            name="owner_id",
            field=sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                "sentry.User", db_index=True, null=True, on_delete="SET_NULL"
            ),
        ),
        migrations.AlterField(
            model_name="rulesnooze",
            name="user_id",
            field=sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                "sentry.User", db_index=True, null=True, on_delete="CASCADE"
            ),
        ),
        migrations.AddConstraint(
            model_name="rulesnooze",
            constraint=models.UniqueConstraint(
                condition=models.Q(user_id__isnull=True), fields=("rule",), name="unique_rule_user"
            ),
        ),
        migrations.AddConstraint(
            model_name="rulesnooze",
            constraint=models.UniqueConstraint(
                condition=models.Q(user_id__isnull=True),
                fields=("alert_rule",),
                name="unique_alert_rule_user",
            ),
        ),
    ]
