# Generated by Django 2.2.28 on 2023-04-14 22:35

from django.db import migrations

import sentry.db.models.fields.hybrid_cloud_foreign_key
from sentry.new_migrations.migrations import CheckedMigration


def external_actor_and_issue_migrations():
    database_operations = [
        migrations.AlterField(
            model_name="externalissue",
            name="integration",
            field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                to="sentry.Integration", db_constraint=False, db_index=True, null=False
            ),
        ),
        migrations.AlterField(
            model_name="externalactor",
            name="integration",
            field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                to="sentry.Integration", db_constraint=False, db_index=True, null=False
            ),
        ),
    ]

    state_operations = [
        migrations.AlterField(
            model_name="externalissue",
            name="integration",
            field=sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                "sentry.Integration", db_index=True, on_delete="CASCADE", null=False
            ),
        ),
        migrations.RenameField(
            model_name="externalissue",
            old_name="integration",
            new_name="integration_id",
        ),
        migrations.AlterField(
            model_name="externalactor",
            name="integration",
            field=sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                "sentry.Integration", db_index=True, on_delete="CASCADE", null=False
            ),
        ),
        migrations.RenameField(
            model_name="externalactor",
            old_name="integration",
            new_name="integration_id",
        ),
        migrations.AlterUniqueTogether(
            name="externalissue",
            unique_together={("organization", "integration_id", "key")},
        ),
    ]

    return database_operations + [
        migrations.SeparateDatabaseAndState(state_operations=state_operations)
    ]


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0435_add_alert_rule_source"),
    ]

    operations = external_actor_and_issue_migrations()
