# Generated by Django 2.2.28 on 2023-05-05 17:49

from django.conf import settings
from django.db import migrations, models

import sentry.db.models.fields.hybrid_cloud_foreign_key
from sentry.new_migrations.migrations import CheckedMigration


def break_inviter_fk():
    database_operations = [
        migrations.AlterField(
            model_name="organizationmember",
            name="inviter",
            field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                blank=True,
                null=True,
                on_delete=models.deletion.CASCADE,
                related_name="sentry_inviter_set",
                to=settings.AUTH_USER_MODEL,
                db_constraint=False,
                db_index=True,
            ),
        ),
    ]

    state_operations = [
        migrations.AlterField(
            model_name="organizationmember",
            name="inviter",
            field=sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                settings.AUTH_USER_MODEL, blank=True, db_index=True, null=True, on_delete="SET_NULL"
            ),
        ),
        migrations.RenameField(
            model_name="organizationmember",
            old_name="inviter",
            new_name="inviter_id",
        ),
    ]

    return database_operations + [
        migrations.SeparateDatabaseAndState(state_operations=state_operations)
    ]


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0437_remove_fk_notifications_target"),
    ]

    operations = break_inviter_fk()
