# Generated by Django 2.2.28 on 2023-05-18 16:37

from django.db import migrations

from sentry.new_migrations.migrations import CheckedMigration
from sentry.utils.query import RangeQuerySetWrapperWithProgressBar


def _backfill_authenticator(apps, schema_editor):
    Authenticator = apps.get_model("sentry", "Authenticator")

    for obj in RangeQuerySetWrapperWithProgressBar(Authenticator.objects.all()):
        # load pickle, save json
        obj.save(update_fields=["config"])


class Migration(CheckedMigration):
    # data migration: must be run out of band
    is_dangerous = True

    # data migration: run outside of a transaction
    atomic = False

    dependencies = [
        ("sentry", "0448_add_expected_time_config_to_cron_checkin"),
    ]

    operations = [
        migrations.RunPython(
            _backfill_authenticator,
            migrations.RunPython.noop,
            hints={"tables": ["sentry_authenticator"]},
        ),
    ]
