# Generated by Django 2.2.28 on 2023-05-28 06:11

from django.db import migrations

import sentry.db.models.fields.hybrid_cloud_foreign_key
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0483_backfill_organization_member_user_email"),
    ]

    database_operations = [
        migrations.RunSQL(
            sql="""
            ALTER TABLE "sentry_organizationmember" DROP CONSTRAINT IF EXISTS
                "sentry_organizationmember_user_id_d514d1bb_fk_auth_user_id";
            """,
            reverse_sql="",
            hints={"tables": ["sentry_organizationmember"]},
        ),
    ]

    state_operations = [
        migrations.AlterField(
            model_name="organizationmember",
            name="user",
            field=sentry.db.models.fields.hybrid_cloud_foreign_key.HybridCloudForeignKey(
                "sentry.User", db_index=True, on_delete="CASCADE", null=True, blank=True
            ),
        ),
        migrations.RenameField(
            model_name="organizationmember",
            old_name="user",
            new_name="user_id",
        ),
        migrations.AlterUniqueTogether(
            name="organizationmember",
            unique_together=(("organization", "user_id"), ("organization", "email")),
        ),
        migrations.RemoveField(
            model_name="organization",
            name="members",
        ),
    ]

    operations = database_operations + [
        migrations.SeparateDatabaseAndState(state_operations=state_operations)
    ]
