# Generated by Django 2.2.28 on 2023-06-28 13:38

from django.db import migrations

import bitfield.models
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0500_set_none_date_last_modified_to_date_uploaded"),
    ]

    operations = [
        migrations.AlterField(
            model_name="apiauthorization",
            name="scopes",
            field=bitfield.models.BitField(
                [
                    "project:read",
                    "project:write",
                    "project:admin",
                    "project:releases",
                    "team:read",
                    "team:write",
                    "team:admin",
                    "event:read",
                    "event:write",
                    "event:admin",
                    "org:read",
                    "org:write",
                    "org:admin",
                    "member:read",
                    "member:write",
                    "member:admin",
                ],
                default=None,
            ),
        ),
        migrations.AlterField(
            model_name="apigrant",
            name="scopes",
            field=bitfield.models.BitField(
                [
                    "project:read",
                    "project:write",
                    "project:admin",
                    "project:releases",
                    "team:read",
                    "team:write",
                    "team:admin",
                    "event:read",
                    "event:write",
                    "event:admin",
                    "org:read",
                    "org:write",
                    "org:admin",
                    "member:read",
                    "member:write",
                    "member:admin",
                ],
                default=None,
            ),
        ),
        migrations.AlterField(
            model_name="apikey",
            name="scopes",
            field=bitfield.models.BitField(
                [
                    "project:read",
                    "project:write",
                    "project:admin",
                    "project:releases",
                    "team:read",
                    "team:write",
                    "team:admin",
                    "event:read",
                    "event:write",
                    "event:admin",
                    "org:read",
                    "org:write",
                    "org:admin",
                    "member:read",
                    "member:write",
                    "member:admin",
                ],
                default=None,
            ),
        ),
        migrations.AlterField(
            model_name="apitoken",
            name="scopes",
            field=bitfield.models.BitField(
                [
                    "project:read",
                    "project:write",
                    "project:admin",
                    "project:releases",
                    "team:read",
                    "team:write",
                    "team:admin",
                    "event:read",
                    "event:write",
                    "event:admin",
                    "org:read",
                    "org:write",
                    "org:admin",
                    "member:read",
                    "member:write",
                    "member:admin",
                ],
                default=None,
            ),
        ),
        migrations.AlterField(
            model_name="authprovider",
            name="flags",
            field=bitfield.models.BitField(["allow_unlinked", "scim_enabled"], default=0),
        ),
        migrations.AlterField(
            model_name="organizationmember",
            name="flags",
            field=bitfield.models.BitField(
                [
                    "sso:linked",
                    "sso:invalid",
                    "member-limit:restricted",
                    "idp:provisioned",
                    "idp:role-restricted",
                ],
                default=0,
            ),
        ),
        migrations.AlterField(
            model_name="sentryapp",
            name="scopes",
            field=bitfield.models.BitField(
                [
                    "project:read",
                    "project:write",
                    "project:admin",
                    "project:releases",
                    "team:read",
                    "team:write",
                    "team:admin",
                    "event:read",
                    "event:write",
                    "event:admin",
                    "org:read",
                    "org:write",
                    "org:admin",
                    "member:read",
                    "member:write",
                    "member:admin",
                ],
                default=None,
            ),
        ),
        migrations.AlterField(
            model_name="user",
            name="flags",
            field=bitfield.models.BitField(["newsletter_consent_prompt"], default=0, null=True),
        ),
    ]
