# Generated by Django 2.2.28 on 2023-07-07 13:29

from django.db import migrations, models

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0505_debugfile_date_accessed"),
    ]

    operations = [
        migrations.AlterField(
            model_name="assistantactivity",
            name="useful",
            field=models.BooleanField(null=True),
        ),
        migrations.AlterField(
            model_name="deploy",
            name="notified",
            field=models.BooleanField(db_index=True, default=False, null=True),
        ),
        migrations.AlterField(
            model_name="environmentproject",
            name="is_hidden",
            field=models.BooleanField(null=True),
        ),
        migrations.AlterField(
            model_name="group",
            name="is_public",
            field=models.BooleanField(default=False, null=True),
        ),
        migrations.AlterField(
            model_name="relay",
            name="is_internal",
            field=models.BooleanField(default=None, null=True),
        ),
        migrations.AlterField(
            model_name="savedsearch",
            name="is_global",
            field=models.BooleanField(db_index=True, default=False, null=True),
        ),
        migrations.AlterField(
            model_name="user",
            name="is_sentry_app",
            field=models.BooleanField(default=None, null=True),
        ),
    ]
