# Generated by Django 3.2.20 on 2023-07-31 23:14

import django.db.models.deletion
from django.db import migrations

import sentry.db.models.fields.bounded
import sentry.db.models.fields.foreignkey
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0525_add_next_checkin_latest"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.RunSQL(
                    """
                    ALTER TABLE "sentry_pullrequest_comment" ADD COLUMN "comment_type" integer NOT NULL DEFAULT 0;
                    """,
                    reverse_sql="""
                    ALTER TABLE "sentry_pullrequest_comment" DROP COLUMN "comment_type";
                    """,
                    hints={"tables": ["sentry_pullrequest_comment"]},
                )
            ],
            state_operations=[
                migrations.AddField(
                    model_name="pullrequestcomment",
                    name="comment_type",
                    field=sentry.db.models.fields.bounded.BoundedPositiveIntegerField(
                        default=0, null=False
                    ),
                ),
                migrations.AlterField(
                    model_name="pullrequestcomment",
                    name="pull_request",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="sentry.pullrequest"
                    ),
                ),
            ],
        ),
        migrations.AlterUniqueTogether(
            name="pullrequestcomment",
            unique_together={("pull_request", "comment_type")},
        ),
    ]
