# Generated by Django 3.2.20 on 2023-08-18 18:39

import django.utils.timezone
from django.db import migrations, models

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0534_add_notification_uuid_to_rule_fire_history"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.RunSQL(
                    sql="""
                    ALTER TABLE "sentry_controloutbox" ADD COLUMN "date_added" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT NOW()
                    """,
                    reverse_sql="""
                    ALTER TABLE "sentry_controloutbox" DROP COLUMN "date_added"
                    """,
                    hints={"tables": ["sentry_controloutbox"]},
                ),
                migrations.RunSQL(
                    sql="""
                    ALTER TABLE "sentry_regionoutbox" ADD COLUMN "date_added" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT NOW()
                    """,
                    reverse_sql="""
                    ALTER TABLE "sentry_regionoutbox" DROP COLUMN "date_added"
                    """,
                    hints={"tables": ["sentry_regionoutbox"]},
                ),
            ],
            state_operations=[
                migrations.AddField(
                    model_name="controloutbox",
                    name="date_added",
                    field=models.DateTimeField(default=django.utils.timezone.now, editable=False),
                ),
                migrations.AddField(
                    model_name="regionoutbox",
                    name="date_added",
                    field=models.DateTimeField(default=django.utils.timezone.now, editable=False),
                ),
            ],
        )
    ]
