# Generated by Django 3.2.20 on 2023-09-13 03:33

import django.db.models.deletion
from django.db import migrations, models

import sentry.db.models.fields.foreignkey
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0550_migrate_no_action_dupe_issue_alerts"),
    ]

    operations = [
        migrations.AlterField(
            model_name="externalactor",
            name="actor",
            field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                null=True, on_delete=django.db.models.deletion.CASCADE, to="sentry.actor"
            ),
        ),
        migrations.AlterUniqueTogether(
            name="externalactor",
            unique_together={
                ("organization", "provider", "external_name", "user_id"),
                ("organization", "provider", "external_name", "team_id"),
            },
        ),
        migrations.AddConstraint(
            model_name="externalactor",
            constraint=models.CheckConstraint(
                check=models.Q(
                    ("user_id__isnull", False), ("team_id__isnull", False), _connector="OR"
                ),
                name="external_actor_team_or_user",
            ),
        ),
    ]
