# Generated by Django 3.2.20 on 2023-10-16 15:23

from django.db import migrations

from sentry.new_migrations.migrations import CheckedMigration
from sentry.utils.query import RangeQuerySetWrapperWithProgressBar


def backfill_weekly_report_settings(apps, schema_editor):
    UserOption = apps.get_model("sentry", "UserOption")
    NotificationSettingOption = apps.get_model("sentry", "NotificationSettingOption")
    for user_option in RangeQuerySetWrapperWithProgressBar(UserOption.objects.all()):
        if user_option.key != "reports:disabled-organizations":
            continue
        for value in user_option.value:
            NotificationSettingOption.objects.create(
                user_id=user_option.user_id,
                scope_type="organization",
                scope_identifier=value,
                value="never",
                type="reports",
            )


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = True

    dependencies = [
        ("sentry", "0573_add_first_seen_index_groupedmessage"),
    ]

    operations = [
        migrations.RunPython(
            backfill_weekly_report_settings,
            migrations.RunPython.noop,
            hints={"tables": ["sentry_useroption", "sentry_notificationsettingoption"]},
        ),
    ]
