"""
The following mapping was obtained from this link: https://support.google.com/googleplay/answer/1727131
Steps on how to generate this mapping
1. Download the List of Supported Android Devices csv file (https://storage.googleapis.com/play_public/supported_devices.csv)
2. Convert the contents of the csv to a dict:
    a. There's an extract-android-device-names.js file in the scripts folder that maps values to a JSON that can be pasted here.
    b. You can probably also use any external tools (like Google Sheets) to export as JSON
3. Paste dict here
"""

ANDROID_MODELS = {
    "1": "mu 1",
    "562": "TCL 562",
    "716": "TechPad_716",
    "732": "Tech732",
    "916": "TechPad",
    "1010": "TAB_10",
    "1013": "TAB VX",
    "1821": "Coolpad 1821",
    "1901": "Cool6",
    "2021": "coolpad N7 Air",
    "2032": "coolpad N7 Plus",
    "2039": "Cool S",
    "2040": "Cool 10",
    "2042": "Cool 12A",
    "5058": "i5C plus",
    "5062": "S5E FULL VIEW",
    "5063": "S50 Prime",
    "5202": "NASA",
    "5501": "i6A",
    "5502": "S6 Plus",
    "5503": "i6c",
    "5504": "S6 Pro",
    "5505": "NASA_Plus",
    "5701": "ADVAN G2 plus",
    "6001": "G3",
    "6002": "G3 Pro",
    "6003": "G5 Elite",
    "6004": "G2 Pro",
    "6201": "G5",
    "6501": "G9",
    "6801": "GX",
    "7008": "X7 Pro",
    "7035": "E1C 4G",
    "7037": "E1C  4G",
    "7039": "TAB 7",
    "7301": "X7 Max",
    "8001": "G-Tab",
    "8002": "TAB 8",
    "8003": "TAB Gallilea",
    "8004": "TAB A8",
    "8051": "smart tab 7",
    "8052": "TKEE MINI",
    "8068": "Alcatel 1T 7 WIFI",
    "8076": "Kurio Tab",
    "8082": "ALCATEL 1T 10",
    "8084": "ALCATEL 1T 10",
    "8091": "1T10  WIFI",
    "8092": "1T10 SMART",
    "8093": "TKEE MINI",
    "8095": "TKEE MAX",
    "8167": "LT7",
    "8182": "LT10",
    "8194": "3T10 WIFI KDDI",
    "8391": "1T10 WIFI",
    "8741": "PIVOT 8742",
    "8742": "PIVOT 8742",
    "8753": "PIVOT 8741/8753",
    "9061": "TCL TAB 10s",
    "2013022": "Hong Mi",
    "2013023": "Redmi",
    "2014011": "HM 1STD",
    "2014501": "HM 1SLTETD",
    "2014502": "HM 2A",
    "2014811": "HM 2LTE-CU",
    "2014812": "HM 2LTE-CT",
    "2014813": "HM 2LTE-CMCC",
    "2014817": "HM 2LTE-SA",
    "2014818": "HM 2LTE-IN",
    "2014819": "HM 2LTE-BR",
    "100003561": "onn_100003561",
    "100005206": "ONN",
    "DIW362P 1U1": "1&1 Puck",
    "DIW387 1U1": "DIW387-1&1",
    "10or G2": "10or_G2",
    "S3000-T0C08": "3BBTV",
    "Light B100": "4GOOD Light B100",
    "Light A103": "A103",
    "Kamba_2": "Kamba 2",
    "TR10CS1": "TR10CS1_P",
    "VFD 720": "Vodafone Smart N9",
    "BUZZ 1": "AS0218",
    "URBAN 1 Pro": "AS0518",
    "CLEVER 1": "AS0618",
    "BUZZ 2 Plus": "BUZZ 2",
    "BUZZ 1 Lite": "BUZZ_1_Lite",
    "BUZZ 1 Plus": "BUZZ_1_Plus",
    "E4010": "AG BOOST 2",
    "Flair": "AG Flair",
    "AG_Go_Tab_Access_2": "AG Go Tab Access 2",
    "Ultra 2": "AG Ultra2",
    "AGM H1": "AGM  H1",
    "Android": "AGM A9",
    "AG Go-Tab Access": "AG_Go-Tab_Access",
    "Hashtag": "HASHTAG",
    "STYLE_PLUS": "STYLE PLUS",
    "Style 2": "Style_2",
    "43F": "KELEC",
    "40D": "Sansui Smart TV",
    "AGE FHD Android TV": "India",
    "AGE UHD Android TV": "India",
    "AGM_H3": "AGM H3",
    "AGM_H5": "AGM H5",
    "TG1016": "AKOR",
    "AI PONT": "Smart TV",
    "AT-M120": "Style Folder",
    "MD1001": "MD1001 Tablet",
    "ANAM 4K Android TV": "ANAM",
    "andrino 4K Android TV": "Andrino",
    "andrino 2K Android TV": "Andrino",
    "A1_Neo": "A1 Neo",
    "L51": "L51 BLITZ",
    "H450R": "Trailblazer",
    "A731-N1": "A731",
    "A731": "AOC",
    "A731-H1": "AOC",
    "A732G": "AOC",
    "A831L-D": "AOC",
    "A21S": "A21S_US",
    "AOpen Chromebase Mini": 'RK3288 10" Chromebase',
    "AOpen Chromebox Mini": "RK3288 Mini Chromebox",
    "ARRQW FHD Android TV": "Saudi Arabia",
    "ARRQW UHD Android TV": "Saudi Arabia",
    "SmartTV 4K": "HIKA5",
    "R3": "Android TV",
    "R4": "Android TV",
    "ASTECH FHD Android TV": "Senegal",
    "ASTECH UHD Android TV": "Senegal",
    "V350U": "AT&T Maestro™ Plus",
    "EA211002": "AT&T Motivate™ 2",
    "EA211001": "AT&T RADIANT™ Max 5G",
    "EA211005": "Pelican",
    "R5 Pro": "R5_Pro",
    "Smart_Slim_Plus": "Smart.Slim Plus",
    "MID7015": "ATVIO",
    "AUPO Cute 75": "AUPO_Cute_75_EEA",
    "AUPO_Zeus_10_Pro": "AUPO_Zeus_10_Pro_ROW",
    "RX1": "AVA-RM-RX1-EU",
    "Action_Kids_3.0": "Actionkids 3.0",
    "Excer_10_PRO": "Excer 10PRO",
    "Excer_G10": "Excer G10",
    "Vortech 3.0": "Vortech_3_0",
    "AWOW_CreaPad_1003_EEA": "AWOW_CreaPad_1003",
    "Funtab_801_K_EEA": "Funtab_801_K",
    "Funtab_801_I_EEA": "Futab_801_I",
    "AXXA_S45": "AXXA S45",
    "AYYA T1": "T1",
    "AZOM River 1": "River1",
    "WE A10": "A10",
    "WE A50": "A50",
    "WE E2": "E2",
    "A08S": "A08SM",
    "Aborder 2K Android TV": "Tanzania",
    "CAMELEON_C5": "Accent Camelon C5",
    "CAMELEON_C6": "Accent Camelon C6",
    "CAMELEON_C6_PLUS": "Accent Camelon C6 Plus",
    "PEARL A4 PLUS": "Pearl A4 PLUS",
    "Pearl A4": "Pearl_A4",
    "SPEED_S8": "SPEED S8",
    "A1-713": "Iconia Tab 7",
    "A100": "V9",
    "A3-A20": "Iconia Tab 10",
    "A3-A20FHD": "Iconia Tab 10",
    "AK330S": "AK330s",
    "Acer Chromebook R13 (CB5-312T)": "Acer Chromebook R13",
    "C01": "C01 (PA)",
    "Acer One 10 T4-129LIx": "Acer One 10 T4-129L",
    "Acer_One_10_T8-129L": "Acer One 10 T8-129L",
    "A61L": "Acer_A61L",
    "ATV R1": "Android TV",
    "ATV R2": "Android TV",
    "AA3-600": "Aspire A3",
    "b1-720": "B1-720",
    "b1-721": "B1-721",
    "B1-730": "Iconia One 7",
    "B1-730HD": "Iconia One 7",
    "B1-790": "Iconia One 7",
    "B3-A32": "Iconia One 10",
    "B3-A40": "Iconia Tab 10",
    "B3-A40FHD": "Iconia Tab 10",
    "EUT110-11A": "Baymax",
    "Acer Chromebook 14 for Work (CP5-471)": "Chromebook 14 for work",
    "Chromebook 14 for work (CP5-471)": "Chromebook 14 for work",
    "Acer Chromebook 15 (CB3-532)": "Chromebook 15 (CB3-532)",
    "Acer Chromebook 15 (C910 / CB5-571)": "Chromebook 15 (CB5-571)",
    "Acer Chromebook 15 (CB5-571)": "Chromebook 15 (CB5-571)",
    "Acer Chromebook 15 (CB5-571, C910)": "Chromebook 15 (CB5-571)",
    "Acer Chromebook 15 (CB515-1H, CB515-1HT)": "Chromebook 15 CB515-1HT/1H",
    "Chromebook 15 (CB515 - 1HT / 1H)": "Chromebook 15 CB515-1HT/1H",
    "sand": "Chromebook 15 CB515-1HT/1H",
    "Acer Chromebook R11": "Chromebook R11 (C738T)",
    "Acer Chromebook R11 (CB5-132T / C738T / CB3-132)": "Chromebook R11 (C738T)",
    "Acer Chromebook R11 (CB5-132T / C738T)": "Chromebook R11 (C738T)",
    "Acer Chromebook R11 (CB5-132T, C738T)": "Chromebook R11 (C738T)",
    "scarlet": "Chromebook Tab 10",
    "E380": "Liquid E3",
    "G100W": "Picasso",
    "I110": "Liquid C1",
    "B3-A50": "Iconia One 10",
    "B3-A50FHD": "Iconia One 10",
    "B3-A20": "Iconia One 10",
    "B3-A20B": "Iconia One 10",
    "G1-725": "Iconia One 7",
    "B1-7A0": "Iconia One 7",
    "B1-750": "Iconia One 7",
    "B1-860A": "Iconia One 8",
    "B1-870": "Iconia One 8",
    "A1-850": "Iconia One 8",
    "B1-810": "Iconia One 8",
    "A3-A50": "Iconia Tab 10",
    "B3-A42": "Iconia Tab 10 (AsgardLTE)",
    "A1-713HD": "Iconia Tab 7",
    "A1-840FHD": "Iconia Tab 8",
    "A1-840": "Iconia Tab 8",
    "A1-841": "Iconia Tab 8",
    "A210": "CANVAS 4",
    "A211": "Iconia Tab A211",
    "A500": "Picasso",
    "A501": "Picasso",
    "A510": "Iconia Tab A510",
    "A511": "Iconia Tab A511",
    "A700": "Iconia Tab A700",
    "A701": "Iconia Tab A701",
    "A1-724": "Iconia TalkTab 7",
    "Acer Liquid": "Liquid",
    "Acer S100": "Liquid",
    "Z200": "Liquid Z200",
    "V360": "Liquid E1",
    "V370": "Liquid E2",
    "Z130": "Liquid Z3",
    "E600": "Liquid E600",
    "E39": "Liquid E700",
    "AK330": "Liquid Gallant E350",
    "S55": "Polaroid Snap S55",
    "S58A": "Liquid Jade 2",
    "S56": "Liquid Jade S",
    "E310": "Liquid Mini",
    "S510": "Liquid S1",
    "S520": "Liquid S2",
    "T02": "Liquid Z530",
    "Z205": "Liquid Z205",
    "Z205P": "Liquid Z205",
    "Z220": "Liquid Z220",
    "T012": "Liquid Z320",
    "T01": "Liquid Z330",
    "Z160": "Liquid Z4",
    "Z410": "Liquid Z410",
    "Z520": "Liquid Z520",
    "T05": "Liquid Z530S",
    "T09": "Liquid Z6",
    "T03": "Liquid Z630",
    "T04": "Liquid Z630S",
    "T06": "Liquid Zest",
    "T07": "Liquid Zest 4G",
    "T08": "Liquid Zest Plus",
    "Acer Liquid Metal": "LiquidMT",
    "Liquid MT": "LiquidMT",
    "Liquid Metal": "LiquidMT",
    "TD070VA1": "Tab 7",
    "EUT310A-11A": "Ultimo",
    "ET-108-11A": "Walle",
    "ET-108-11AR": "Walle",
    "Aconatic 4K Android TV": "ACONATIC",
    "ACONATIC 2K Android TV": "ACONATIC",
    "ACONATIC 4K Android TV": "ACONATIC",
    "2K SMART TV": "VIVAX",
    "Aconatic 2K Android TV": "Aconatic",
    "ALIGATOR S4080": "ALIGATOR S4080 Duo",
    "S4082 Duo": "ALIGATOR S4082 Duo",
    "S5062 Duo": "ALIGATOR S5062 Duo",
    "Aligator S5510": "ALIGATOR S5510 Duo",
    "ALIGATOR S5060": "S5060 Duo",
    "G3SMNTA22": "A2272PW4T",
    "G3SMNTA24": "A2472PW4T",
    "G2SMNT": "S221C3A",
    "4K SMART TV": "VIVAX",
    "Adonis 4K Android TV": "Adonis",
    "i5G": "ADVAN S50 4G",
    "ADVAN 1011": "ADVAN_SKETSA_2",
    "E1C_3G": "E1C",
    "S7D": "E1C NXT",
    "i5K": "G1 PRO",
    "i55C": "G2",
    "i7_Plus": "I Tab",
    "i5E": "I5E",
    "ADVAN M4": "M4",
    "ADVAN S40": "S40",
    "i4U": "S40 LTE",
    "SP4871": "ADVANCE",
    "Tr4995": "Advance",
    "PR6171": "PR6167",
    "ADVANCE": "Tr4986",
    "AFFIX T737": "T737",
    "LC-TS08A": "EDSTAR LC-TS08A",
    "LC-TS08S": "EDSTAR LC-TS08S",
    "Q88X": "AINOL_Q88X",
    "Q88A": "Q88A_EEA",
    "Halo3": "Halo3_Pro",
    "XStream_Smart_Box_001": "XStream Smart Box",
    "hsw4026atl": "XStream Smart Box",
    "AT702": "AT10LE-A/AT15LE-A/AT10PE-A/AT15PE-A  (Japan: AT703)",
    "SMART TV": "SIRAGON",
    "KSTB6043": "Aiwa",
    "AKAI 4K Android TV": "AKAI",
    "AkinoTV": "IN-32SE9",
    "HAT4KDTV": "xiaoyushan",
    "ALBA 7 TABLET": "Alba 7",
    "Alco_S9": "Alco S9",
    "VCT9B06Q23EU": "VCT9B06Q23EU_eea",
    "RCT6873W42BMF8KC": "Voyager Pro",
    "Access_Q784C": "Alcor",
    "Zest_Q108I": "Alcor",
    "Zest_Q708I": "Alcor",
    "S12": "koobee_S12",
    "ALIGATOR_S5520": "ALIGATOR S5520",
    "ALIGATOR RX710": "ALIGATOR_RX710_EEA",
    "Aligator_S5066": "Aligator S5066",
    "ALIGATOR S5065": "S5065",
    "A10_Lite": "A10 Lite",
    "A10_Lite_2019": "A10 Lite 2019",
    "A10_Lite_2GB": "A10 Lite 2GB",
    "A10_Max": "A10 Max",
    "A10_Plus": "A10 Plus",
    "A20_Lite": "A20 Lite",
    "A20_Max": "A20 Max",
    "A30_Max": "A30 MAX",
    "A5_Easy": "A5 Easy",
    "A5_Easy_TM": "A5 Easy",
    "A5_Lite": "A5 Lite",
    "A5_Quad_Plus": "A5 Quad Plus",
    "A5_Quad_Plus_TM": "A5 Quad Plus",
    "A5_Ready": "A5 Ready",
    "A5_Ready_TM": "A5 Ready",
    "A6_Duo": "A6 Duo",
    "A6_Lite": "A6 Lite",
    "A7_Lite": "A7 Lite",
    "A8_Lite": "A8 Lite",
    "A8_Lite_TM": "A8 Lite TM",
    "A9_Plus": "A9  Plus",
    "A9_Lite": "A9 Lite",
    "ALLVIEW 4K Android TV": "ALLVIEW",
    "AX4Nano_plus": "AX4 Nano Plus",
    "ALLVIEW 2K Android TV": "Allview",
    "C6_Duo": "C6 Duo",
    "C6Quad_4G": "C6 Quad 4G",
    "E2_Jump": "E2 Jump",
    "E3_Jump": "E3 Jump",
    "E3_Living": "E3 Living",
    "E3_Sign": "E3 Sign",
    "E4_Lite": "E4 Lite",
    "P10_Life": "P10 Life",
    "P10_Max": "P10 Max",
    "P10_Mini": "P10 Mini",
    "P10_Pro": "P10 Pro",
    "P4_Quad": "P4 Quad",
    "P4_eMagic": "P4 eMagic",
    "P4_eMagic_TM": "P4 eMagic",
    "P41_eMagic": "P41 eMagic",
    "P41_eMagic_TM": "P41 eMagic",
    "P43_Easy": "P43 Easy",
    "P5_Energy": "P5 Energy",
    "P5Life_TM": "P5 Life",
    "P5_Lite": "P5 Lite",
    "P5_Pro": "P5 Pro",
    "P5_eMagic": "P5 eMagic",
    "P5_eMagic_TM": "P5 eMagic",
    "P5_Pro_TM": "P5_Pro",
    "P6_plus": "P6  Plus",
    "P6_Energy_TM": "P6 Energy",
    "P6_Energy_Lite": "P6 Energy Lite",
    "P6_Energy_Lite_TM": "P6 Energy Lite",
    "P6_Energy_mini": "P6 Energy mini",
    "P6_Life": "P6 Life",
    "P6_lite": "P6 Lite",
    "P6_lite_TM": "P6 Lite",
    "P6_lite_mTEL": "P6 Lite",
    "P6_Pro": "P6 Pro",
    "P6_Qmax": "P6 Qmax",
    "P6_eMagic": "P6 eMagic",
    "P7_Lite": "P7 Lite",
    "P7_Lite_TM": "P7 Lite",
    "P7_PRO": "P7 PRO",
    "P7_PRO_TM": "P7 PRO_TM",
    "P8_Energy": "P8 Energy",
    "P8_Energy_PRO": "P8 Energy Pro",
    "P8_Energy_mini": "P8 Energy mini",
    "P8_Energy_mini_TM": "P8 Energy mini",
    "P8_Life": "P8 Life",
    "P8_PRO": "P8 Pro",
    "P8_eMagic": "P8 eMagic",
    "P8_eMagic_TM": "P8 eMagic",
    "P9_Energy": "P9 Energy",
    "P9_Energy_Lite": "P9 Energy Lite",
    "P9_Energy_Lite_2017": "P9 Energy Lite 2017",
    "P9_Energy_mini_TM": "P9 Energy Mini",
    "P9_Energy_S": "P9 Energy S",
    "P9_Energy_mini": "P9 Energy mini",
    "P9_Life": "P9 Life",
    "V1_Viper_E": "V1 Viper E",
    "V1_Viper_I4G": "V1 Viper I4G",
    "V1_Viper_I4G_PL": "V1 Viper I4G",
    "V1_Viper_I4G_TM": "V1 Viper I4G",
    "V1_Viper_L": "V1 Viper L",
    "V1_Viper_S4G": "V1 Viper S4G",
    "V2_Viper": "V2 Viper",
    "V2_Viper_E": "V2 Viper E",
    "V2_Viper_I": "V2 Viper I",
    "V2_Viper_I_TM": "V2 Viper I",
    "V2_Viper_I4G": "V2 Viper I4G",
    "V2_Viper_S": "V2 Viper S",
    "V2_Viper_X": "V2 Viper X",
    "V2_Viper_X_plus": "V2 Viper X plus",
    "V2_Viper_Xe": "V2 Viper Xe",
    "V3_Viper": "V3 Viper",
    "V4_Viper": "V4 Viper",
    "V4_Viper_PRO": "V4 Viper PRO",
    "V5_Viper": "V5 Viper",
    "Viva_H1003_LTE": "Viva  H1003 LTE",
    "Viva_1001G": "Viva 1001G",
    "Viva_1003G": "Viva 1003G",
    "Viva_1003G_Lite": "Viva 1003G Lite",
    "Viva_803G": "Viva 803G",
    "C1004": "Viva C1004",
    "Viva_C701": "Viva C701",
    "Viva_C702": "Viva C702",
    "Viva_C703": "Viva C703",
    "VivaH10LTE": "Viva H10 LTE",
    "Viva_H1001_LTE": "Viva H1001 LTE",
    "Viva_H1002_LTE": "Viva H1002 LTE",
    "H1003_LTE_PRO": "Viva H1003 LTE PRO/B6",
    "H1003_LTE_PRO1": "Viva H1003 LTE PRO/1-64GB",
    "H1003_LTE_PRO3": "Viva H1003 LTE PRO3",
    "H1004_LTE": "Viva H1004 LTE",
    "VivaH7LTE": "Viva H7 LTE",
    "VivaH8LTE": "Viva H8 LTE",
    "H8_Life": "Viva H8 Life",
    "Viva_H801": "Viva H801",
    "Viva_H801_LTE": "Viva H801 LTE",
    "Viva_H802_LTE": "Viva H802 LTE",
    "Viva_H802_LTE_TM": "Viva H802 LTE",
    "Viva_Home": "Viva Home",
    "Viva_i10HD": "Viva i10HD",
    "Viva_H701_LTE_CZ": "Viva i701G",
    "Viva_i701G": "Viva i701G",
    "Viva_i701G_TM": "Viva i701G",
    "Viva_i7G": "Viva i7G",
    "X2_Soul_Lite": "X2 Soul Lite",
    "X2_Soul_Lite_TM": "X2 Soul Lite",
    "X2_Soul_Mini": "X2 Soul Mini",
    "X2_Soul_PRO": "X2 Soul PRO",
    "X2_Soul_Style": "X2 Soul Style",
    "X2_Soul_Style_TM": "X2 Soul Style",
    "X2_Soul_Style_Plus": "X2 Soul Style+",
    "X2_Soul_Xtreme": "X2 Soul Xtreme",
    "X3_Soul_Lite": "X3 Soul Lite",
    "X3_Soul_Lite_TM": "X3 Soul Lite",
    "X3_Soul_PLUS": "X3 Soul Plus",
    "X3_Soul_PRO": "X3 Soul Pro",
    "X3_Soul_Style": "X3 Soul Style",
    "X3_Soul_mini": "X3 Soul mini",
    "X3_Soul": "X3Soul",
    "X4_Soul": "X4 Soul",
    "X4_Soul_Infinity_L": "X4 Soul Infinity L",
    "X4_Soul_Infinity_N": "X4 Soul Infinity N",
    "X4_Soul_Infinity_Plus": "X4 Soul Infinity Plus",
    "X4_Soul_Infinity_S": "X4 Soul Infinity SV",
    "X4_Soul_Infinity_Z": "X4 Soul Infinity Z",
    "X4_Soul_Lite": "X4 Soul Lite",
    "X4_Soul_Mini": "X4 Soul Mini",
    "X4_Soul_Mini_S": "X4 Soul Mini S",
    "X4_Soul_Mini_S_TM": "X4 Soul Mini S",
    "X4_Soul_Style": "X4 Soul Style",
    "X4_Soul_Vision": "X4 Soul Vision",
    "X4_Soul_Xtreme": "X4 Soul Xtreme",
    "X5_Soul_Mini": "X5 Soul Mini",
    "X5_Soul_Pro": "X5 Soul Pro",
    "X6_Soul_Xtreme": "X6 Soul Xtreme",
    "X6_Soul_mini": "X6 Soul mini",
    "X7_Soul_Style": "X7 Soul Style",
    "X7_Soul_Pro": "X7_Soul_Pro_EEA",
    "X8_Soul_Pro": "X8 PRO",
    "X8_Soul_Style": "X8 Soul Style",
    "T701": "T701 TV",
    "X_Game": "X game",
    "iPlay_20P": "iPlay 20P",
    "iPlay20S": "iPlay 20S",
    "iPlay_40H": "iPlay 40H",
    "T806MH": "iPlay 8 Pro",
    "T806MHE": "iPlay 8 Pro",
    "iPlay_8T": "iPlay 8T",
    "iPlay40_5G": "iPlay_40_5G",
    "kPad": "Chosunbiz",
    "T1_pro": "T1_Pro",
    "ALTICE_S43": "ALTICE S43",
    "S60": "Polaroid Snap S60",
    "STARNAUTE4": "STARNAUTE 4",
    "S24": "INOVACEL S24",
    "Altice_S31": "S31",
    "S31": "Cat S31",
    "S42": "Cat S42",
    "STARACTIVE": "Staractive",
    "STARNAUTE 3": "STARNAUTE3",
    "STARTRAIL7": "STARTRAIL 7",
    "STARXTREM5": "STARXTREM 5",
    "GH1": "GHIA",
    "OB_421": "OB_421_Plus",
    "4K Pro TV": "Altus Android TV",
    "UHD Pro TV": "Altus UHD Android TV",
    "AM518": "Amgoo",
    "Amigo7": "Amigo",
    "GO Android TV Box": "Amigo7xGM",
    "ampliaTV": "sti6160d327",
    "bq Aquaris": "Aquaris I8",
    "MID7317CP": "Auchan MID7317CP Tablet",
    "MID7055": "COBY MID7055",
    "CT710": "Carrefour CT710",
    "EM63": "EM63 Tablet",
    "MID1065": "Coby MID1065",
    "MID7065": "Coby MID7065",
    "MID8065": "Coby MID8065",
    "D2-721G": "D2-721",
    "D2-727": "D2-727G",
    "GS-718": "DOPO GMS-718 Tablet / Discovery",
    "DP3D8": "DOTPAD DP3D8 / Gadmei",
    "TAB-840_G": "Digix TAB-840_G",
    "MT8000": "Eviant MT8000",
    "GR-TB10S": "Grundig GR-TB10S Tablet",
    "P771A": "HKC P771A",
    "P774A": "HKC P774A",
    "P776A": "HKC P776A",
    "P778A": "HKC P778A",
    "P886A": "HKC P886A",
    "NS-13T001": "Insignia NS-13T001 Tablet",
    "JT1241": "Jiateng JT1241",
    "MD7305": "Lazer MD7305 Tablet / AMTC",
    "I10A-LE": "Leader I10A-LE",
    "Marquis_MP977": "Marquis Tablet",
    "M97": "Matsunichi M97",
    "NX007HD": "Nextbook NX007HD Tablet",
    "NX008HD8G": "Nextbook NX008HD8G Tablet",
    "NX008HI": "Nextbook NX008HI Tablet / Carrefour CT810",
    "Next7D12": "Nextbook Next7D12 Tablet",
    "Next7P12": "Nextbook Next7P12",
    "PNDPP48GP": "Pendo PNDPP48GP",
    "W626": "Philips W626",
    "PLT7223G": "Proscan PLT7223G",
    "PLT7777": "Proscan PLT7777",
    "PLT8223G": "Proscan PLT8223G",
    "RCT6078W2": "RCA RCT6078W2",
    "TECTOYTT2500": "TecToy TT-2500",
    "PRO7D": "Visual Land Prestige 7D",
    "Camelio Family tablet": "Vivitar Camelio Tablet",
    "XO Learning tablet": "Vivitar XO Tablet",
    "TBDG773": "Zeki TBDG773",
    "EGP008": "ematic EGP008",
    "EGP010": "ematic EGP010",
    "EGS004": "ematic EGS004",
    "EGS102": "ematic EGS102",
    "Smart'TAB 8003": "essentielb ST8003/FT8001 Tablet",
    "CMP748": "iCraig CMP748",
    "CMP749": "iCraig CMP749",
    "Aprix_Phat6": "Phat6",
    "Aprix Tab64": "Tab64",
    "Aprix_X4": "X4",
    "AQUA Android TV 2K": "APAC",
    "AQUA Android TV": "AQUA android TV",
    "arcelik_uhd_powermax_at": "B55L 9682 5AS",
    "ARCHOS 101 CHILDPAD": "101 Childpad",
    "Archos 101 Cobalt": "101 Cobalt",
    "Archos 101 Copper": "101 Copper",
    "ARCHOS 101G9": "101 G9",
    "Archos 101 Helium": "101 Helium",
    "Archos 101 Helium Lite": "101 Helium Lite",
    "ARCHOS 101 Magnus": "101 Magnus",
    "Archos 101 Neon": "101 Neon",
    "Archos 101 Oxygen": "101 Oxygen",
    "ARCHOS 101 PLATINUM": "101 Platinum",
    "ARCHOS 101 Titanium": "101 Titanium",
    "ARCHOS 101G10": "101 XS",
    "Archos 101 Xenon": "101 Xenon",
    "Archos 101 Xenon v2": "101 Xenon",
    "Archos 101 Xenon Lite": "101 Xenon Lite",
    "Archos 101d Neon": "101D Neon",
    "ARCHOS 101 XS 2": "101XS2",
    "Archos 101XS3": "101XS3",
    "Archos 101b Copper": "101b Copper",
    "Archos 101b Helium": "101b Helium",
    "Archos 101b Neon": "101b Neon",
    "Archos 101b Platinium": "101b Platinum",
    "ARCHOS 101b XS2": "101b XS2",
    "Archos 101b Xenon v2": "101b Xenon",
    "Archos 101c Copper": "101c Copper",
    "Archos 101c Neon": "101c Neon",
    "Archos 101d Platinum v2": "101d Platinum v2",
    "Archos 101d Platinum v3": "101d Platinum v3",
    "Archos 101e Neon": "101e neon",
    "Archos 121 Neon": "121 Neon",
    "Archos 133 Oxygen": "133 Oxygen",
    "Archos 35b Titanium": "35b Titanium",
    "Archos 40 Helium": "40 Helium",
    "Archos 40 Neon": "40 Neon",
    "Archos 40 Power": "40 Power",
    "Archos 40 Titanium": "40 Titanium",
    "Archos 40b Titanium Surround": "40b Titanium",
    "Archos 40c Titanium": "40c Titanium",
    "ARCHOS 40C TIv2": "40c Titanium",
    "ARCHOS 40d Titanium": "40d Titanium",
    "Archos 45 Helium 4G": "45 Helium 4G",
    "Archos 45 Neon": "45 Neon",
    "Archos 45 Platinum": "45 Platinum",
    "Archos 45 Titanium": "45 Titanium",
    "AC45BHE": "45b Helium",
    "ARCHOS 45b Helium": "45b Helium",
    "Archos 45b Neon": "45b Neon",
    "Archos 45b Platinum": "45b Platinum",
    "Archos 45c Helium": "45c Helium",
    "Archos 45c Platinum": "45c Platinum",
    "Archos 45c Titanium": "45c Titanium",
    "Archos 45d Platinum": "45d Platinum",
    "Archos 50 Cobalt": "50 Cobalt",
    "Archos 50 Diamond": "50 Diamond",
    "Archos 50 Helium 4G": "50 Helium 4G",
    "Archos 50 Helium Plus": "50 Helium Plus",
    "Archos 50 Neon": "50 Neon",
    "Archos 50 Oxygen": "50 Oxygen",
    "Archos 50 Oxygen Plus": "50 Oxygen plus",
    "Archos 50 Platinum": "50 Platinum",
    "Archos 50 Platinum 4G": "50 Platinum 4G",
    "Archos 50 Power": "50 Power",
    "Archos 50 Saphir": "50 Saphir",
    "Archos 50 Titanium": "50 Titanium",
    "A50TI": "50 Titanium 4G",
    "AC50DHE": "50 d Helium",
    "Archos 50B Cobalt": "50B Cobalt",
    "Archos 50f Neon": "50F Neon",
    "AC50BHE": "50b Helium",
    "Archos 50b Helium 4G": "50b Helium",
    "Archos 50b Neon": "50b Neon",
    "Archos 50b Oxygen": "50b Oxygen",
    "Archos 50b Platinum": "50b Platinum",
    "Archos 50c Helium": "50c Helium",
    "ARCHOS 50c Neon": "50c Neon",
    "Archos 50c Neon": "50c Neon",
    "Archos 50c Oxygen": "50c Oxygen",
    "Archos 50c Platinum": "50c Platinum",
    "Archos 50d Neon": "50d Neon",
    "Archos 50d Oxygen": "50d Oxygen",
    "Archos 50e Helium": "50e Helium",
    "Archos 50e Neon": "50e Neon",
    "Archos 50f Helium": "50f Helium",
    "Archos 50F Neon": "50f Neon",
    "Archos 52 Platinum": "52 Platinum",
    "Archos 53 Platinum": "53 Platinum",
    "Archos 53 Titanium": "53 Titanium",
    "Archos 55 Cobalt Plus": "55 Cobalt Plus",
    "Archos 55 Cobalt plus": "55 Cobalt Plus",
    "Archos 55 diamond Selfie": "55 Diamond Selfie",
    "Archos 55 Helium": "55 Helium",
    "Archos 55 Helium Plus": "55 Helium Plus",
    "Archos 55 Platinum": "55 platinum",
    "Archos 55B Cobalt": "55B Cobalt",
    "Archos 55B Platinum": "55b Platinum",
    "Archos 59 Titanium": "59 Titanium",
    "Archos 59 Xenon": "59 Xenon",
    "Archos 60 Platinum": "60 Platinum",
    "Archos 62 Xenon": "62 Xenon",
    "Archos 64 Xenon": "64 Xenon",
    "ARCHOS 70 Cobalt": "70 Cobalt",
    "Archos 70 Copper": "70 Copper",
    "Archos 70 Helium": "70 Helium",
    "Archos 70 Neon": "70 Neon",
    "Archos 70 Neon Plus": "70 Neon Plus",
    "Archos 70 Platinum": "Archos 70 platinum",
    "Archos 70 Platinum 3G": "70 Platinum 3G",
    "Archos 70 Platinum v2": "70 Platinum v2",
    "ARCHOS 70 Titanium": "70 Titanium",
    "Archos 70 Xenon": "70 Xenon",
    "Archos 70 Xenon Color": "70 Xenon Color",
    "Archos 70 Platinum v3": "70 platinum",
    "Archos 70b Cobalt": "70b Cobalt",
    "Archos 70b Copper": "70b Copper",
    "Archos 70b Helium": "70b Helium",
    "Archos 70b Neon": "70b Neon",
    "ARCHOS 70b TITANIUM": "70b Titanium",
    "Archos 70b Xenon": "70b Xenon",
    "Archos 70c Cobalt": "70c Cobalt",
    "Archos 70c Neon": "70c Neon",
    "Archos 70c Titanium": "70c Titanium",
    "Archos 70c Xenon": "70c Xenon",
    "ARCHOS 70it2": "70it 2",
    "ARCHOS 70it2G8": "70it 2",
    "Archos 79 Cobalt": "79 Cobalt",
    "Archos 79 Neon": "79 Neon",
    "ARCHOS 79 Platinum": "79 Platinium",
    "Archos 79 Xenon": "79 Xenon",
    "ARCHOS 80 Carbon": "80 Carbon",
    "ARCHOS 80 CHILDPAD": "80 Childpad",
    "ARCHOS 80 COBALT": "80 Cobalt",
    "ARCHOS 80G9": "80 G9",
    "Archos 80 Helium 4G": "80 Helium",
    "ARCHOS 80 Platinum": "80 Platinum",
    "Archos 80 Platinum": "80 Platinum",
    "Archos 80 Platinum v2": "80 Platinum v2",
    "ARCHOS 80 TITANIUM": "80 Titanium",
    "ARCHOS 80XSK": "80 XS",
    "Archos 80 Xenon": "80 Xenon",
    "Archos 80b Helium": "80b Helium",
    "Archos 80b Helium v2": "80b Helium",
    "ARCHOS 80b PLATINUM": "80b Platinum",
    "Archos 80b Xenon": "80b xenon",
    "Archos 80c Xenon": "80c Xenon",
    "Archos 80d Xenon": "80d Xenon",
    "Archos 90 Copper": "90 Copper",
    "Archos 90 Neon": "90 Neon",
    "Archos 90b Copper": "90b Copper",
    "Archos 90b Neon": "90b Neon",
    "Archos 96 Xenon": "96 Xenon",
    "ARCHOS 97 CARBON": "97 Carbon",
    "Archos 97 Cobalt": "97 Cobalt",
    "ARCHOS 97 Platinum": "97 Platinum",
    "ARCHOS 97 TITANIUMHD": "97 Titanium HD",
    "ARCHOS 97 XENON": "97 Xenon",
    "ARCHOS 97b PLATINUM": "97b Platinum",
    "ARCHOS 97B TITANIUM": "97b Titanium",
    "ALBA 5": "Alba 5",
    "ALBA 4": "Alba 4",
    "ARCHOS T96 WIFI_EEA_V2": "ARCHOS",
    "Archos T 101 4G": "ARCHOS T101 4G",
    "ARCHOS T96 3G": "ARCHOST963G",
    "ALBA 10 TABLET": "alba 10",
    'Alba 10"': "alba 10",
    'Alba 4.0" Smartphone': "Alba 4",
    "Alba 7": "Alba 7''",
    'Alba 7"': "Alba 7''",
    'Alba 8"': "Alba 8''",
    "Archos 101 DB": "ArcBook",
    "Archos Access 101 Wifi": "Archos",
    "Archos Core 101 3G v5": "Archos",
    "Archos Hello 10": "Archos",
    "Archos Access 57 3G": "Archos",
    "Archos Oxygen 68XL": "Archos",
    "Archos 101 Platinium 3G": "Archos 101 Platinum 3G",
    "Archos 101b Xenon v3": "Archos 101b Xenon",
    "ALBA 8 TABLET": "Archos 50c Platinum",
    "Archos 80c Platinum": "Archos80cpl_loreal",
    "Archos Access 101 3G V2": "Archos Acces 101 3G",
    "Archos Access 101 3G v3": "Archos Access 101 3G V3",
    "Archos Core 3g v4": "Archos Core 101 3G V4",
    "Archos Phone": "Archos Sense 55 DC",
    "Archos Oxygen 101S ARDOIZ": "Archos Oxygen 101S Ardoiz",
    "Archos Sense 101 X": "Archos Sense 101X",
    "Archos T 101X 4G": "Archos T101X 4G",
    "Qilive 45": "Auchan QiLive 45",
    "Qilive 50": "Auchan QiLive 50",
    "Qilive 40": "Auchan Qilive 40",
    "QiLive 8": "Auchan Qilive8",
    "QiLive 8QC": "Auchan Qilive8QC",
    "QiLive 97": "Auchan Qilive97",
    "QiLive 97R": "Auchan Qilive97R",
    "Selecline 10": "Auchan Selecline 10",
    'Bush 10" Android': "Bush 10''",
    "Bush 4 Android": 'Bush 4" Android Phone',
    'Bush 5" 4G': "Bush 5 4G",
    'Bush Spira C2 5" Smartphone': "Bush 5 4G",
    'Bush 5.5" 4G': "Bush 5 4G",
    'Bush Spira D2 5.5" Smartphone': "Bush 5 4G",
    "BUSH 5 Android": 'Bush 5" Android Phone',
    "Archos 79c Neon": "Bush 7.85 My Tablet",
    'Bush 8" LTE Android': 'Bush 8"',
    "Bush 8 Android": "Bush 8''",
    "Archos 70 Carbon": "Bush MyTablet 7",
    "BUSH 7.0 TABLET": "Bush MyTablet 7",
    'Bush Spira B1 10.1"': "Bush Spira B1 10.1''",
    'Bush Spira B1 8"': "Bush Spira B1 8''",
    "Archos Chefpad": "ChefPad",
    "Archos 55 Diamond 2 Plus": "Diamond 2 plus",
    "Archos 55 Diamond Plus": "Diamond Plus",
    "Archos Diamond Plus": "Diamond Plus",
    "Archos Diamond S": "Diamond S",
    "ARCHOS FAMILYPAD 2": "FamilyPad 2",
    "Logic Fieldbook G1": "Fieldbook G1",
    "ARCHOS GAMEPAD": "GamePad",
    "ARCHOS GAMEPAD2": "GamePad 2",
    "KODAK Tablet 10": "Kodak Tab 10",
    "KODAK Tablet 7": "Kodak Tab 7",
    "KUNO4": "Kuno",
    "BUSH 10.1 TABLET": "My Tablet 101",
    "QILIVE 101": "QiLive 101",
    "Qilive 97R-2": "Qilive 97R2",
    "Qilive 79": "Qilive79",
    "Qilive 70v2": "Qilive7V2",
    "A80RG11": "Quechua Tablet 8",
    "Archos Smart Home Tablet": "Smarthome La Poste",
    "ARCHOS LUDOG10": "TV Connect",
    "Archos T101 HD": "act101hd",
    "Archos T101 HD PLUS": "act101hdp",
    "Archos T101 HD WIFI": "act101hdwf",
    "Benefit_M551": "Bebefit M551",
    "Benefit_M503": "Benefit M503",
    "Benefit_M505": "Benefit M505",
    "Benefit_M8": "Benefit M8",
    "Benefit_S505": "Benefit S505",
    "Benefit_Note_1": "Benefit_Note 1",
    "Impulse_P2": "Impulse P2",
    "Wizard_1": "Wizard 1",
    "Artel Premium": "Artel_Premium",
    "Artel T10": "Artel_T10",
    "GAP": "GAPYOQ",
    "U1 MINI": "U1_MINI",
    "U3_4G": "U3 4G",
    "Artizlee_S9": "Artizlee S9",
    "Arcelik Android TV": "Arçelik Android TV",
    "Arcelik Android UHD TV": "Arçelik UHD Android TV",
    "A1": "A1R",
    "ASG 4K TV": "Asanzo",
    "ASANZO_S3_PLUS": "S3 Plus",
    "Ascom Myco 3 DECT Wi-Fi EU": "Ascom Myco 3",
    "Ascom Myco 3 Wi-Fi": "Ascom Myco 3",
    "Ascom Myco 3 Wi-Fi EU": "Ascom Myco 3",
    "Ascom Myco 3 Cellular Wi-Fi": "Ascom Myco 3",
    "Ascom Myco 3 Cellular Wi-Fi EU": "Ascom Myco 3",
    "Ascom Myco 3 DECT Wi-Fi": "Ascom Myco 3",
    "SH1": "Ascom Myco Wi-Fi",
    "X55": "Xmobile X55",
    "RAVOZ Z5": "RAVOZ_Z5",
    "ASPERA_R9": "ASPERA R9",
    "GEM": "Mobicel GEM",
    "Jazz": "JAZZ",
    "Jazz 2": "Jazz_2",
    "Smart A1 Plus": "Smart _A1_Plus",
    "A912": "polaris_wifionly",
    "G10": "G10E",
    "K10": "koobee_K10",
    "ASUS_Z00YD": "ASUS Live (G500TG)",
    "P023": "ZenPad 10 (Z300C)",
    "P01T": "ASUSPRO Tablet (M1000CL)",
    "P01W": "ZenPad 7.0 (Z370C)",
    "P002": "ZenPad 7.0 (Z370KL)",
    "ASUS Chromebook C202SA": "Chromebook C202SA/C300SA/C301SA",
    "ASUS Chromebook Flip C100PA": "Chromebook Flip C100PA",
    "ASUS Chromebook Flip C101PA": "Chromebook Flip C101PA",
    "bob": "Chromebook Flip C101PA",
    "P00C": "ZenPad 10 (Z300M)",
    "P00A": "ZenPad 8.0 (Z380M)",
    "asus_google_cube": "Cube",
    "Transformer TF101": "Eee Pad Transformer",
    "Slider SL101": "EeePad Slider SL101",
    "TF101": "Eee Pad TF101",
    "TF101-WiMAX": "Eee Pad TF101-WiMAX",
    "TF201": "Eee Pad Transformer Prime",
    "Transformer Prime TF201": "Eee Pad Transformer Prime",
    "Transformer TF201": "Eee Pad Transformer Prime",
    "K012": "Fonepad 7 (FE170CG)",
    "K01N": "Fonepad 7 (FE171CG)",
    "K01F": "Fonepad 7 (FE171MG)",
    "K019": "Fonepad 7 (FE375CXG)",
    "K00Z": "Fonepad 7 (ME175CG)",
    "K00E": "Fonepad 7 (ME372CG)",
    "K01Q": "Fonepad 7 LTE (FE375CL)",
    "K00Y": "Fonepad 7 LTE (ME372CL)",
    "K016": "Fonepad 8 (FE380CXG)",
    "ME371MG": "Fonepad ME371MG",
    "K00G": "Fonepad Note 6 (ME560CG)",
    "ME172V": "MeMO PAD",
    "K01E": "MeMO Pad (ME103K)",
    "K00F": "MeMO Pad 10 (ME102A)",
    "K012_2": "MeMO Pad 7 (FE7010CG)",
    "K017": "MeMO Pad 7 (ME170C)",
    "K01U": "MeMO Pad 7 (ME171C)",
    "K013": "MeMO Pad 7 (ME176CX)",
    "K013C": "MeMO Pad 7 (ME176CE)",
    "K007": "MeMO Pad 7 (ME572C)",
    "K01A": "MeMO Pad 7 (ME70C)",
    "ASUS MeMO Pad 7": "MeMO Pad 7 LTE (ME375CL)",
    "K00R": "MeMO Pad 7 LTE (ME572CL)",
    "K00X": "MeMO Pad 7 LTE (ME7530CL)",
    "AST21": "MeMO Pad 8 (AST21)",
    "K011": "MeMO Pad 8 (ME181CX)",
    "K01H": "MeMO Pad 8 (ME581C)",
    "K015": "MeMO Pad 8 (ME581CL)",
    "ME302KL": "MeMO Pad FHD 10 (ME302KL)",
    "ME173X": "MeMO Pad HD 7 (ME173X)",
    "K00U": "MeMo Pad HD 7 (ME173XX)",
    "K00L": "MeMO Pad HD 8 (ME180A)",
    "ASUS K00S": "MeMO Pad HD7 Dual SIM (ME175KG)",
    "ME301T": "MeMO Pad Smart 10",
    "ME302C": "MeMo Pad 10 (ME302C)",
    "Nexus 7": "Nexus 7 (2013)",
    "Garmin-Asus A50": "Nuvifone",
    "PadFone T008": "PadFone E (A68M)",
    "PadFone T00C": "PadFone mini",
    "ASUS_T00N": "PadFone S (PF500KL)",
    "ASUS PadFone X": "PadFone X (A91)",
    "ASUS PadFone X mini": "PadFone X mini (PF450CL)",
    "ASUS_T00T": "PadFone X mini (PF450CL)",
    "ASUS_T00E": "PadFone mini",
    "P00L": "ZenPad 10 (Z301ML)",
    "ASUS_Z01QD": "ROG Phone",
    "ZS600KL": "ROG Phone",
    "ASUS_I003D": "ROG Phone 3",
    "ASUS_I003DD": "ROG Phone 3",
    "ZS661KS": "ROG Phone 3",
    "ASUS_I005D": "ROG Phone 5",
    "ASUS_I005DA": "ROG Phone 5",
    "ASUS_I005DB": "ROG Phone 5",
    "ZS673KS": "ROG Phone 5",
    "ZS676KS": "ROG Phone 5",
    "ASUS_AI2201_A": "ROG Phone 6 (AI2201)",
    "ASUS_AI2201_B": "ROG Phone 6 (AI2201)",
    "ASUS_AI2201_C": "ROG Phone 6 (AI2201)",
    "ASUS_AI2201_D": "ROG Phone 6 (AI2201)",
    "ASUS_I001D": "ROG Phone ll",
    "ASUS_I001DC": "ROG Phone ll",
    "ASUS_I001DE": "ROG Phone ll",
    "ZS660KL": "ROG Phone ll",
    "RTC-tablet": "RTC-700A",
    "ASUS_I007D": "Smartphone for Snapdragon Insiders",
    "T10xTA": "T101TA",
    "ASUS Pad TF700T": "TF700T",
    "ASUS Transformer Pad TF700T": "TF700T",
    "PadFone T004": "The new PadFone Infinity (A86)",
    "ASUS Tablet P1801-T": "Transformer AiO P1801",
    "TX201LA": "Transformer Book Trio",
    "ASUS Tablet P1802-T": "Transformer AiO P1802",
    "K010": "Transformer Pad (TF103C)",
    "ASUS Pad TF300T": "Transformer Pad",
    "ASUS Transformer 300": "Transformer Pad",
    "ASUS Transformer Pad TF300T": "Transformer Pad",
    "K010E": "Transformer Pad (TF103CE)",
    "K018": "Transformer Pad (TF103CG)",
    "K014": "Transformer Pad (TF303CL)",
    "K01B": "Transformer Pad (TF303K)",
    "ASUS Transformer Pad TF700KL": "Transformer Pad Infinity",
    "K00C": "Transformer Pad Infinity (TF701T)",
    "ASUS Transformer Pad TF300TG": "Transformer Pad TF300TG",
    "ASUS Transformer Pad TF300TL": "Transformer Pad TF300TL",
    "ASUS Transformer Pad TF502T": "Transformer Pad TF502T",
    "ASUS Transformer Pad TF600T": "Transformer Pad TF600T",
    "ASUS ZenFone 2": "ZenFone 2 (ZE500CL)",
    "ASUS ZenFone 2E": "ZenFone 2 (ZE500CL)",
    "Z00D": "ZenFone 2 (ZE500CL)",
    "ASUS_Z008D": "ZenFone 2 (ZE550ML)",
    "ASUS_Z00AD": "ZenFone 2 (ZE551ML)",
    "ASUS_Z00ADA": "ZenFone 2 (ZE551ML)",
    "ASUS_Z00ADB": "ZenFone 2 (ZE551ML)",
    "ASUS_Z00RD": "ZenFone 2 Laser (ZE500KG)",
    "ASUS_Z00ED": "ZenFone 2 Laser (ZE500KL)",
    "ASUS_Z00EDB": "ZenFone 2 Laser (ZE500KL)",
    "ASUS_Z00WD": "ZenFone 2 Laser (ZE550KG)",
    "ASUS_Z00LD": "ZenFone 2 Laser (ZE550KL)",
    "ASUS_Z00LDC": "ZenFone 2 Laser (ZE550KL)",
    "ASUS_Z00TD": "ZenFone 2 Laser (ZE551KL)",
    "ASUS_Z00MD": "ZenFone 2 Laser (ZE600KL)",
    "ASUS_Z011D": "ZenFone 2 Laser (ZE601KL)",
    "ASUS_Z017D": "ZenFone 3 (ZE520KL)",
    "ASUS_Z017DA": "ZenFone 3 (ZE520KL)",
    "ASUS_Z012D": "ZenFone 3 (ZE552KL)",
    "ASUS_Z012DA": "ZenFone 3 (ZE552KL)",
    "ASUS_Z012DE": "ZenFone 3 (ZE552KL)",
    "ASUS_Z012S": "ZenFone 3 (ZE552KL)",
    "ASUS_Z01FD": "ZenFone 3 Deluxe (ZS550KL)",
    "ASUS_Z016D": "ZenFone 3 Deluxe (ZS570KL)",
    "ASUS_Z016DA": "ZenFone 3 Deluxe (ZS570KL)",
    "ASUS_Z016S": "ZenFone 3 Deluxe (ZS570KL)",
    "ASUS_Z01BD": "ZenFone 3 Laser (ZC551KL)",
    "ASUS_Z01BDA": "ZenFone 3 Laser (ZC551KL)",
    "ASUS_Z01BDC": "ZenFone 3 Laser (ZC551KL)",
    "ASUS_Z01BS": "ZenFone 3 Laser (ZC551KL)",
    "ASUS_X008D": "ZenFone 3 Max (ZC520TL)",
    "ASUS_X008DA": "ZenFone 3 Max (ZC520TL)",
    "ASUS_X008DB": "ZenFone 3 Max (ZC520TL)",
    "ASUS_X008DC": "ZenFone 3 Max (ZC520TL)",
    "ASUS_X00DD": "ZenFone 3 Max (ZC553KL)",
    "ASUS_X00DDA": "ZenFone 3 Max (ZC553KL)",
    "ASUS_A001": "ZenFone 3 Ultra (ZU680KL)",
    "ASUS_Z01HD": "ZenFone 3 Zoom (ZE553KL)",
    "ASUS_Z01HDA": "ZenFone 3 Zoom (ZE553KL)",
    "ASUS_X00GD": "ZenFone 3s Max (ZC521TL)",
    "ASUS_T00I": "ZenFone 4 (A400CG)",
    "ASUS_T00I-D": "ZenFone 4 (A400CG)",
    "ASUS_T00Q": "ZenFone 4 (A450CG)",
    "ASUS_Z01KD": "ZenFone 4 (ZE554KL)",
    "ASUS_Z01KS": "ZenFone 4 (ZE554KL)",
    "ASUS_Z01KDA": "ZenFone 4 (ZE554KL)",
    "ASUS_X00HD": "ZenFone 4 Selfie Lite (ZB520KL)",
    "ASUS_X00ID": "ZenFone 4 Max (ZC554KL)",
    "ASUS_Z01GD": "ZenFone 4 Pro (ZS551KL)",
    "ASUS_X00LD": "ZenFone 4 Selfie (ZD553KL)",
    "ASUS_X00HDA": "ZenFone 4 Selfie Lite (ZB520KL)",
    "ASUS_Z01MD": "ZenFone 4 Selfie Pro (ZD552KL)",
    "ASUS_Z01MDA": "ZenFone 4 Selfie Pro (ZD552KL)",
    "ASUS_T00F": "ZenFone 5 (A500CG)",
    "ASUS_T00J": "ZenFone 5 (A501CG)",
    "ASUS_T00K": "ZenFone 5 (A502CG)",
    "ASUS_X00QD": "ZenFone 5 (ZE620KL)",
    "ASUS_X00QSA": "ZenFone 5 (ZE620KL)",
    "ZE620KL": "ZenFone 5 (ZE620KL)",
    "ASUS_T00P": "ZenFone 5 LTE (A500KL)",
    "ASUS_X017D": "ZenFone 5 Lite (ZC600KL)",
    "ASUS_X017DA": "ZenFone 5 Lite (ZC600KL)",
    "ZC600KL": "ZenFone 5 Lite (ZC600KL)",
    "ASUS_Z01RD": "ZenFone 5Z (ZS620KL) (WW) / 5Z (ZS621KL) (IN)",
    "ZS620KL": "ZenFone 5Z (ZS620KL) (WW) / 5Z (ZS621KL) (IN)",
    "ASUS_T00G": "ZenFone 6 (A600CG)",
    "ASUS_Z002": "ZenFone 6 (A601CG)",
    "ASUS_I01WD": "ZenFone 6 (ZS630KL) (WW) / 6Z (ZS630KL) (IN)",
    "ZS630KL": "ZenFone 6 (ZS630KL) (WW) / 6Z (ZS630KL) (IN)",
    "ASUS_I002D": "ZenFone 7 / 7 Pro (ZS670KS/ZS671KS)",
    "ZS670KS": "ZenFone 7 / 7 Pro (ZS670KS/ZS671KS)",
    "ZS671KS": "ZenFone 7 / 7 Pro (ZS670KS/ZS671KS)",
    "ASUS_A002A": "ZenFone AR",
    "ASUS_A002": "ZenFone Ares (ZS572KL)",
    "ASUS_Z007": "ZenFone C (ZC451CG)",
    "ASUS_X003": "飛馬 (T500KLC)",
    "ASUS_X009DB": "ZenFone Go (ZB450KL)",
    "ASUS_X014D": "ZenFone Go (ZB452KG)",
    "ASUS_X00BD": "Zenfone Go (ASUS_X00BD)",
    "ASUS_X00AD": "ZenFone Go (ZB500KL)",
    "ASUS_X013DA": "ZenFone Go (ZB551KL)",
    "ASUS_X013DB": "ZenFone Go (ZB551KL)",
    "ASUS_X007D": "ZenFone Go (ZB552KL)",
    "ASUS_L001": "ZenFone Go (ZB690KG)",
    "ASUS_Z00SD": "ZenFone Go (ZC451TG)",
    "ASUS_Z00VD": "ZenFone Go (ZC500TG)",
    "G553KL": "ZenFone Lite L1 (G553KL)",
    "ASUS_X00RD": "ZenFone Lite L1 (ZA551KL) / ZenFone Live L1/L2 (ZA550KL)",
    "ASUS_A007": "ZenFone Live (ZB501KL)",
    "G552KL": "ZenFone Live L1 (G552KL)",
    "ZA550KL": "ZenFone Live L1 (ZA550KL)",
    "ASUS_X00LDB": "ZenFone Live Plus (ZB553KL)",
    "ASUS_X00LDA": "ZenFone Live Plus (ZB553KL)",
    "ZB553KL": "ZenFone Live Plus (ZB553KL)",
    "ASUS_Z010D": "ZenFone Max (ZC550KL)",
    "ASUS_Z010DA": "ZenFone Max (ZC550KL)",
    "ASUS_Z010DB": "ZenFone Max (ZC550KL)",
    "ASUS_Z010DD": "ZenFone Max (ZC550KL)",
    "ASUS_X00PD": "ZenFone Max M1 (ZB556KL) / ZenFone Max M1/M2/M3 (ZB555KL)",
    "ZB555KL": "ZenFone Max M1 (ZB556KL) / ZenFone Max M1/M2/M3 (ZB555KL)",
    "ASUS_X01AD": "ZenFone Max M2 (ZB633KL) (WW) / Max M2 (ZB632KL) (IN)",
    "ZB633KL": "ZenFone Max M2 (ZB633KL) (WW) / Max M2 (ZB632KL) (IN)",
    "ASUS_X018D": "ZenFone Max Plus M1 (ZB570TL)",
    "ASUS_A001D": "ZenFone Max Shot (ZB634KL)",
    "ASUS_X00TD": "ZenFone Max Pro M1 (ZB602KL) (WW) / Max Pro M1 (ZB601KL) (IN)",
    "ASUS_X00TDB": "ZenFone Max Pro M1 (ZB602KL) (WW) / Max Pro M1 (ZB601KL) (IN)",
    "ZB602KL": "ZenFone Max Pro M1 (ZB602KL) (WW) / Max Pro M1 (ZB601KL) (IN)",
    "ASUS_X01BDA": "ZenFone Max Pro M2 (ZB631KL) (WW) / Max Pro M2 (ZB630KL) (IN)",
    "ZB631KL": "ZenFone Max Pro M2 (ZB631KL) (WW) / Max Pro M2 (ZB630KL) (IN)",
    "ASUS_Z00UD": "ZenFone Selfie (ZD551KL)",
    "ASUS_Z00UDA": "ZenFone Selfie (ZD551KL)",
    "ASUS_A006": "ZenFone V",
    "ASUS_A009": "ZenFone V Live",
    "ASUS_Z00XS": "ZenFone Zoom (ZX551ML)",
    "ASUS_Z00XSA": "ZenFone Zoom (ZX551ML)",
    "ASUS_Z00XSB": "ZenFone Zoom (ZX551ML)",
    "P021": "ZenPad 10 (Z300CG)",
    "P01T_1": "ZenPad 10 (Z300CL)",
    "P028": "ZenPad 10 (Z301MF)",
    "P008": "ZenPad Z8",
    "P027": "ZenPad 3S 10 (Z500M)",
    "ASUS_P00I": "ZenPad 3S 10 LTE (Z500KL)",
    "P01V": "ZenPad 7.0 (Z370CG)",
    "P024": "ZenPad 8.0 (Z380KL)",
    "P01Y": "ZenPad C 7.0 (Z170CG)",
    "P01Y_S": "ZenPad C 7.0",
    "P01Z": "ZenPad C 7.0 (Z170C)",
    "P001": "ZenPad C 7.0 (Z170MG)",
    "P01M": "ZenPad S 8.0 (Z580C)",
    "P01MA": "ZenPad S 8.0 (Z580CA)",
    "P00I": "ZenPad Z10",
    "ASUS_P00J": "ZenPad Z8s",
    "P001_2": "ZenPadC 7.0 (Z170MG)",
    "ASUS ZenWatch": "ZenWatch",
    "ASUS ZenWatch 2": "ZenWatch 2",
    "ASUS ZenWatch 3": "ZenWatch 3",
    "Zenbo": "Zenbo Qrobot",
    "ASUS_I006D": "Zenfone 8 / ASUS 8Z",
    "ZS590KS": "Zenfone 8 / ASUS 8Z",
    "ASUS_I004D": "Zenfone 8 Flip",
    "ZS672KS": "Zenfone 8 Flip",
    "ASUS_AI2202": "Zenfone 9",
    "P022": "Zenpad 8.0 (Z380C)",
    "ASUS_X002": "飛馬 (T500TLT)",
    "ASUS_X005": "飛馬 5000 (T551TLC)",
    "ASUS_X550": "飛馬2 Plus (T550KLC)",
    "ZT-701": "ZOOTI PAD ZT-701",
    "MID": "ATHENA_X",
    "AP5702": "Athesi AP5702",
    "Athesi_AP5706": "Athesi AP5706",
    "AP5705S": "Athesi professional AP5705S",
    "RT101A9": "RT101A",
    "RT4500": "RT4500_EEA",
    "RT55": "RT55_EEA",
    "RT80A9": "RT80A",
    "Q4514": "Q.4514",
    "Q4T10INK": "QILIVE",
    "X35T": "Selecline X35T",
    "Q.4094": 'Smartphone 5" Q.4094',
    "Audi tablet": "SDIS1",
    "RSEIII": "RSE-III",
    "T752": "T752 Tablet",
    "T852": "T852 Tablet",
    "Smart Landline AC7 Tablet": "Smart_Landline_AC7",
    "Avaya Vantage": "Vantage",
    "K175": "Vantage",
    "K165": "Vantage",
    "Avvio_4GO": "Avvio 4GO",
    "Avvio_A400": "Avvio A400",
    "BSC451": "Avvio BSC451",
    "Colombia_2018": "Avvio Copa 18",
    "Avvio_Pro450": "Avvio PRO450",
    "Avvio_Pro550": "Avvio PRO550",
    "Avvio_A50": "Avvio Platinum A50",
    "CHIVAS_50": "CHIVAS 50",
    "CHIVAS_55": "CHIVAS 55",
    "Avvio_Q503": "Q503",
    "Axioo_AX4": "Axioo AX4",
    "Azumi A4": "A4",
    "A40_Style_Plus": "A40 Style Plus",
    "Azumi A4+": "Azumi_A4PLUS_AC11",
    "Azumi A4v": "A4V",
    "A5+": "A5_P1",
    "A50_Style_Plus": "A50 Style Plus",
    "Azumi AX5": "AX5",
    "Azumi KIREI A5 D": "AZUMI KIREI A5D",
    "Azumi_Daburu_A55O": "AZUMI_Daburu_A55O",
    "Azumi V51": "AZUMI_V5_AC01",
    "A4+": "Azumi A4 +",
    "Azumi K55QL": "K55QL_AC04",
    "K55QL": "K55QL_AC12",
    "Azumi V4": "V4_AC04",
    "Azumi_V5": "V5",
    "V54": "V54_AC24",
    "Azumi_V65": "Azumi V65",
    "Azumi_V65_PLUS": "Azumi V65+",
    "Azumi AKANE": "Azumi_AKANE",
    "Azumi Extend Akaru 55 QL": "Azumi_Extend_Akaru_55_QL",
    "Azumi IKU 54": "Azumi_IKU_54",
    "IKU A55": "Azumi_IKU_A55_MB",
    "Azumi_M5+": "Azumi_M5_P",
    "Azumi_V54": "Azumi_V54_AC04",
    "V5C": "Azumi_V5c",
    "Azumi_DOSHI_A55_QL": "DOSHI A55 QL",
    "Azumi IKU A55": "IKU A55",
    "Azumi_IRO_A4_Q": "IRO A4Q",
    "Azumi_IRO_A5_QL": "IRO A5QL",
    "Azumi_IRO_A5_QLT": "IRO A5 QLT",
    "Azumi_IRO_A55_QL": "IRO A55 QL",
    "Azumi_IRO_A5_Q": "IRO A5Q",
    "Azumi IRO A5QL V2": "IRO A5QL",
    "Azumi_IRO_A4_Q_PRO": "IRO_A4_Q_Pro",
    "Azumi IRO A55 Q Pro": "IRO_A55_Q_Pro",
    "IRO A6 Q": "IRO_A6_Q",
    "Azumi K5QL": "K5QL",
    "Azumi_KINZO_A55_OLi": "KINZO A55QL",
    "KINZO_ichi_A5_QL": "KINZO ICHI A5 QL",
    "Azumi M5": "M5",
    "M5+": "M5PLUS_AC24",
    "Azumi_NA60_PRO": "NA60_PRO",
    "Azumi NOBU A55": "Nobu A55",
    "Azumi Speed 4": "Speed 4",
    "Azumi Speed 5": "Speed 5",
    "Speed_55": "Speed 55",
    "Azumi_T7_3G": "T7 3G",
    "V4": "iRULU_V4",
    "Azumi_V51": "V51",
    "Azumi V6": "V6",
    "Azumi_V60": "V60",
    "A101BM": "BALMUDA Phone",
    "X01A": "BALMUDA Phone",
    "T30-EEA": "T30",
    "Smart TV": "fushan_euT",
    "Bphone B2017": "B2017",
    "Bphone B1111": "Bphone",
    "Bphone B1112": "Bphone",
    "Bphone B1114": "Bphone",
    "Bphone B1115": "Bphone",
    "Bphone B1116": "Bphone",
    "BE_dg": "BE dg",
    "BE_fr": "BE fr",
    "BE_o2": "O2",
    "GPSTAB7 4G": "GPSTAB7_4G",
    "KidsTAB7": "KidsTAB7_EEA",
    "I10_Pro": "I10_Pro_ROW",
    "K107-EEA": "K107_EEA",
    "M107-EEA": "M107",
    "N107-EEA": "N107_EEA",
    "Bmobile AX1010": "AX1010",
    "AX1045": "AX1045E",
    "AX1070": "AX1070E",
    "AX1077": "Bmobile_AX1077",
    "AX1078": "AX1078_TG06",
    "AX1082": "Bmobile AX1082",
    "Bmobile_AX1091": "AX1091",
    "AX683": "Bmoblie AX683",
    "AX684": "AX684A",
    "Bmobile_AX685": "AX685",
    "AX687": "Bmbile AX687",
    "AX688": "Bmobile_AX688",
    "Bmobile AX688+": "AX688P",
    "AX7OO": "AX700",
    "AX751": "Bmobile AX751",
    "AX754+": "AX754PLUS",
    "Bmobile_AX810": "AX810",
    "AX824+": "AX824Plus",
    "Bmobile_AX921": "AX921",
    "Bmobile AX927": "AX927",
    "AX960": "Bmobile AX960",
    "B50Pro": "B50ProSS_MV03",
    "Bmobile B61Pro": "B61Pro_OM",
    "B70Pro": "B70pro",
    "BL40_MV12": "BL40",
    "BL50_CL": "BL50",
    "BL50_DG": "BL50",
    "BL52": "BL52_TG06",
    "BL50P_TG06": "BL50 PRO",
    "BL50PRO_TG06HS": "BL50 Pro",
    "BL50PRO_TG07NP": "BL50 Pro",
    "BL50P_TG05": "BL50 Pro",
    "BL50P_TG07": "BL50 Pro",
    "BL50P_TG09": "BL50 Pro",
    "BL51_MV05": "BL51",
    "BL51_MV12": "BL51",
    "BL54Pro": "BL54Pro_MV12",
    "BL54_PRO": "BL54_PRO_TG05",
    "BL55_PRO": "BL55_PRO_MV12",
    "BL60_TG05B": "BL60",
    "BL62_TG": "BL62",
    "BL65_OM": "BL65",
    "BL65_TG": "BL65",
    "AX1076": "Bmobile AX1076",
    "AX688+": "Bmobile_AX688",
    "AX751+": "Bmobile_AX751_PLUS",
    "AX752": "Bmobile_AX752",
    "FUN 4 2018": "FUN 4",
    "NOBU A55 PRO": "Nobu A55 Pro",
    "Bmobile_T70": "T70",
    "Bmobile X11": "X11",
    "BQru-5060": "5060",
    "BQ-5701L": "5701L Slim",
    "BQru-5503": "BQ 5503 NICE 2",
    "BQ-6353L": "BQ 6353L",
    "BQ-1045": "BQ-1045G",
    "BQ-1045G": "BQru-1045G_A11",
    "BQru-1056L": "BQ-1056L",
    "BQru-1057L": "BQ-1057L",
    "BQ-1082G": "BQru-1082G_2020",
    "BQru-4028": "BQ-4028UP!",
    "BQ-4030G": "BQ-4030G Nice Mini",
    "BQru-4072": "BQ-4072 Strike Mini",
    "BQru-4500": "BQ-4500L",
    "BQ-4585": "BQ-4585 Fox View",
    "BQru-5000": "BQ-5000L",
    "BQ-5001L": "BQ-5001L Contact",
    "BQ-5003L": "BQ-5003L Shark Pro",
    "BQ-5005L": "BQ-5005L INTENSE",
    "BQ-5007L": "BQ-5007L IRON",
    "BQ-5008L": "BQ-5008L Brave",
    "BQ-5010G": "BQ-5010G SPOT",
    "BQ-5011G": "BQ-5011G FOX VIEW",
    "BQ-5015L": "BQ-5015L FIRST",
    "BQ-5031G": "BQru-5031G",
    "BQru-5033": "BQ-5033 Shark",
    "BQru-5035": "BQ-5035 Velvet",
    "BQru-5044": "BQ-5044 Strike LTE",
    "BQ-5056": "BQ-5056 Fresh",
    "BQru-5057": "BQ-5057 Strike 2",
    "BQru_BQru-5058": "BQ-5058 Strike Power Easy",
    "BQru-5059": "BQ-5059 Strike Power",
    "BQru-5201": "BQ-5201",
    "BQru-5202": "BQ-5202",
    "BQru-5203": "BQ-5203 Shark",
    "BQru-5204": "BQ-5204 Strike Selfie",
    "BQ-5206L": "BQ-5206L Balance",
    "BQ-5340": "BQ-5340 Choice",
    "BQ-5500L": "BQ-5500L Advance",
    "BQru-5504": "BQ-5504 Strike Selfie Max",
    "BQ-5507L": "BQ-5507L IRON MAX",
    "BQru-5510": "BQ-5510 Strike Power Max 4G",
    "BQ-5512L": "BQ-5512L STRIKE FORWARD",
    "BQ-5517L": "BQ-5517L TWIN PRO",
    "BQ-5519L": "BQ-5519L Tele2",
    "BQ-5520L": "BQ-5520L Silk",
    "BQru-5521": "BQ-5521 STRIKE POWER MAX",
    "BQ-5522": "BQ-5522 Next",
    "BQ-5533G": "BQru-5533G",
    "BQru_5590": "BQ-5590 Spring",
    "BQ-5591": "BQ-5591 Jeans",
    "BQ-5594": "BQ-5594 Strike Power Max",
    "BQ-5700L": "BQ-5700L Space X",
    "BQ-5707G": "BQ-5707G Next Music",
    "BQ-5731L": "BQ-5731L Magic S",
    "BQ-5740G": "BQ-5740G_7731",
    "BQ-5745L": "BQ-5745L Clever",
    "BQ-6000L": "BQ-6000L Aurora",
    "BQ-6001L": "BQ-6001 L",
    "BQ-6015L": "BQ-6015L Universe",
    "BQ-6030G": "BQ-6030G_7731",
    "BQ-6042L": "BQ-6042",
    "BQ-6045L": "BQ-6045L Nice",
    "BQ-6200L": "BQ-6200L Aurora",
    "BQ-6645L": "BQ-6645L Element",
    "BQru-6868L": "BQ-6868L",
    "BQ-7022": "BQ-7022G",
    "BQru-7081": "BQ-7081G",
    "BQ-7083G": "BQ-7083G_Plus",
    "BQ-8068L": "BQru-8068L_A11",
    "BQ-1022L": "BQru-1022L",
    "BQ-1077L": "BQru-1077L_2019",
    "BQ-1083G": "BQru-1083G_2020",
    "BQ-5514G": "BQru-5514G",
    "BQ-5514L": "BQru-5514L",
    "BQ-5521L": "BQru-5521L",
    "BQ-5565L": "BQru-5565L",
    "BQ-6022G": "BQru_6022G",
    "BQ-6061L": "BQru-6061L",
    "BQ-6631G": "BQru-6631G",
    "BQ-6430L": "BQru_6430L",
    "BQru-5037": "Bqru-5037",
    "BQru-5054": "CRYSTAL",
    "BQru-4583": "FOX POWER",
    "DU_400": "DU 400",
    "BTPC-1023OC4G": "BTPC-1023OC4G_EEA",
    "BTPC-801QC": "Spain",
    "BVS 4K OTT 01": "BVS  4K 0TT 01",
    "Smart 502": "FarEastone Smart 502",
    "E815": "K-Touch E815",
    "moii E996+": "Moii E996+",
    "Digma Linx 4.5 PT452E": "PT452E",
    "PAP5430": "Prestigio PAP5430",
    "Smart402": "Smart 402",
    "S350": "Solo S350",
    "W032I": "WISKY W032I",
    "XOLO X910": "X910",
    "Vexia Zippers": "Zippers",
    "QM153E": "BeoVision",
    "Cavion Base 7.2 Quad": "Base_7_2_Quad",
    "Cavion_Solid_4_5": "Cavion Solid 4.5",
    "WP1-N": "WP-N1",
    "BNTV400": "NOOK® HD",
    "BNTV600": "NOOK® HD+",
    "BNTV450": "Nook Tablet 7”",
    "4K AI Smart TV": "4K Smart TV",
    "Bauhn Android TV 2K": "Australia",
    "BAUHN 4K Android TV": "BAUHN",
    "BAUHN 2K Android TV": "Bauhn",
    "Tempo Android TV": "Bauhn android TV",
    "Becrypt Convex 430": "Convex 430",
    "Becrypt Indigo 430": "Convex 430",
    "SWG2001A-A": "Beebox",
    "Beeline Pro 4": "Beeline Pro 4",
    "Beeline Tab Fast 2": "Beeline Tab Fast 2",
    "Beeline Tab Pro": "Beeline Tab Pro",
    "Beeline Fast": "Fast",
    "Beeline Fast HD": "Fast HD",
    "Beeline Fast +": "Fast-Plus",
    "Beeline Pro 2": "Pro 2",
    "Beeline_Pro_3": "Pro 3",
    "Beeline_Pro_6": "Pro 6",
    "A451": "Pro5",
    "Beeline Smart 6": "Smart 6",
    "Beeline Smart Dual": "Smart Dual",
    "A221": "Smart_8",
    "A239": "Smart_8",
    "Beeline Tab": "Tab",
    "Tab_2": "Tab 2",
    "Beeline_Tab_IS": "Tab IS",
    "Beeline_Tab_Fast": "Tab_Fast",
    "Beko Android UHD TV": "Beko UHD Android TV",
    "BenQ A3c": "A3c",
    "Agora 4G Pro": "Agora_4G_Pro",
    "Agora Lite": "Agora_Lite",
    "B502_SA": "B502",
    "B506_TW": "B506",
    "BenQ A3s": "F4",
    "BenQ F5": "F5",
    "F52_05": "F52",
    "BenQ F55": "F55",
    "BenQ F55J": "F55J",
    "Harrier from EE": "Harrier",
    "Harrier Mini from EE": "Harrier Mini",
    "Harrier Tab from EE": "Harrier Tab",
    "Agora 4G+": "Kogan 4G+",
    "BenQ T3": "T3_17A",
    "T47_05": "T47",
    "BENQANDROIDTV": "laoshan_BenQ",
    "M1037": "M1038_EEA",
    "T8": "T8_eea",
    "BENTLEY ENTERTAINMENT TABLET": "Tab",
    "BTAB-7Q2": "Bible-Pad",
    "BilimBook mini": "BilimBook_mini",
    "Capture+": "Billion Capture+",
    "SMART63": "Smart 63",
    "SMART66": "Smart 66",
    "PRO9": "Pro 9",
    "NID_7010": "eZee’Tab7D14-S",
    "S952": "MID_9526CM",
    "Tab770": "LUXYA MID704DC Tablet / Bitmore Tab770",
    "Bittium Tough Mobile": "granite",
    "B6 Note X": "B6_Note_X",
    "BBC100-1": "Aurora",
    "BBG100-1": "BlackBerry Evolve",
    "BBF100-1": "BlackBerry KEY2",
    "BBF100-2": "BlackBerry KEY2",
    "BBF100-4": "BlackBerry KEY2",
    "BBF100-6": "BlackBerry KEY2",
    "BBF100-8": "BlackBerry KEY2",
    "BBF100-9": "BlackBerry KEY2",
    "BBE100-1": "BlackBerry KEY2 LE",
    "BBE100-2": "BlackBerry KEY2 LE",
    "BBE100-4": "BlackBerry KEY2 LE",
    "BBE100-5": "BlackBerry KEY2 LE",
    "BBB100-7": "Blackberry Keyone",
    "BBD100-1": "BlackBerry MOTION",
    "BBD100-2": "BlackBerry MOTION",
    "BBD100-6": "BlackBerry MOTION",
    "BBH100-1": "Blackberry Evolve X",
    "STH100-1": "DTEK50 by BlackBerry",
    "STH100-2": "DTEK50 by BlackBerry",
    "BBA100-1": "DTEK60 by BlackBerry",
    "BBA100-2": "DTEK60 by BlackBerry",
    "BBB100-1": "KEYone",
    "BBB100-2": "KEYone",
    "BBB100-3": "KEYone",
    "BBB100-4": "KEYone",
    "BBB100-5": "KEYone",
    "BBB100-6": "KEYone",
    "STV100-1": "PRIV by BlackBerry",
    "STV100-2": "PRIV by BlackBerry",
    "STV100-3": "PRIV by BlackBerry",
    "STV100-4": "PRIV by BlackBerry",
    "SKW-A0": "Black Shark 2",
    "SKW-H0": "Black Shark 2",
    "DLT-H0": "Black Shark 2 Pro",
    "SHARK KSR-H0": "Black shark 4 pro",
    "SHARK KLE-A0": "KLE-A0",
    "SHARK KLE-H0": "KLE-H0",
    "SHARK MBU-A0": "MBU-A0",
    "SHARK MBU-H0": "MBU-H0",
    "SKR-H0": "Shark",
    "AWM-A0": "Shark 1S",
    "SKR-A0": "黑鲨游戏手机",
    "DLT-A0": "黑鲨游戏手机 2 Pro",
    "A60Plus": "A60 Plus",
    "A7Pro": "A7PRO",
    "A9_Pro": "A9 Pro",
    "BV4000": "Blackview BV4000",
    "BV4000Pro-RU": "BV4000Pro_RU",
    "BV5500": "BV5500S",
    "BV5800 PRO": "BV5800PRO",
    "BV5800Pro_RU": "BV5800PRO_RU",
    "SOLID_4G1": "BV6000",
    "BV6000S": "BV6000s",
    "BV7000": "BV7000_RU",
    "BV7000 Pro": "BV7000Pro_RU",
    "BV8000Pro": "BV8000 Pro",
    "BV9000Pro": "BV9000 Pro",
    "BV9000Pro-F": "BV9000 Pro-F",
    "BV9000Pro-RU": "BV9000-RU",
    "BV9900E": "Blackview BV9900E",
    "A20Pro": "Blackview A20 Pro",
    "BV4000Pro": "Blackview BV4000Pro",
    "BV9500": "Blackview BV9500",
    "BV9500-RU": "Blackview BV9500-RU",
    "BV9500Plus": "Blackview BV9500Plus",
    "BV9500Pro": "Blackview BV9500Pro",
    "BV9700Pro": "Blackview BV9700Pro_EEA",
    "BV9900": "Blackview BV9900",
    "BV9900Pro": "Blackview BV9900Pro",
    "E7s": "E7S",
    "P10000_Pro": "P10000 Pro",
    "P2Lite": "P2 Lite",
    "Pad8": "Pad8_RU",
    "SOLID_4G3": "SOLID-4G3",
    "SOLID 4 G2": "SOLID_4_G2",
    "Tab 10": "Tab10",
    "Tab 11": "Tab11_NEU",
    "Tab11": "Tab11_RU",
    "Tab 12": "Tab12_RUU",
    "Tab 6 Kids": "Tab6Kids_RU",
    "Tab 6": "Tab6_NEU",
    "Tab 6s": "Tab6s_NEU",
    "Tab9": "Tab9_EEA",
    "Tab 9": "Tab9_RU",
    "Tab 15": "Tab_15_NEU",
    "Tab 7": "Tab_7_NEU",
    "BLAUPUNKT Android Monitor": "AUSTRALIA, EU, JAPAN, MIDDLE EAST",
    "BP Android TV 2K": "Australia",
    "BLAUPUNKT Android TV": "Blaupunkt android TV",
    "BLAUPUNKT 2K Android TV": "Blaupunkt",
    "CSV2K": "Motorola",
    "CSV4K": "Motorola",
    "BP 2K Android TV": "BLAUPUNKT2K",
    "Blaupunkt 2K Android TV": "Turkey",
    "BLAUPUNKT 4K Android TV": "Blaupunkt",
    "BLAU-TVE19I": "Blaupunkt",
    "BLAU-TVE19H": "Blaupunkt",
    "Blaupunkt 4K Android TV": "Turkey",
    "BP 4K Android TV": "Blaupunkt android TV",
    "BP Android TV": "Blaupunkt android TV",
    "BLAUPUNKT Android TV 2K": "Czech/Ukraine/Russia",
    "BLAUPUNKT FHD Android TV": "EU",
    "Endeavour101": "TM1088",
    "MP3-A 2K TV": "MP3TV",
    "BP Smart TV": "North America, Central America",
    "Blaupunkt SF02": "SF02_eea",
    "Blaupunkt SM 05": "SM 05",
    "SM 02 2019": "SM_02_2019",
    "A250": "CANVAS TURBO",
    "BLU ADVANCE 4.0 L2": "ADVANCE 4.0 L2",
    "Advance 4.0 L3": "ADVANCE 4.0 L3",
    "Advance 5.0 HD": "ADVANCE 5.0 HD",
    "Studio M4": "Advance 4.0M",
    "Advance A7": "Advance_A7",
    "Advance A5 Plus LTE": "Advance A5 Plus LTE",
    "G71": "BLU",
    "Grand M3": "BLU Grand M3",
    "BLU_S1": "BLU S1",
    "Studio J8 LTE": "BLU STUDIO J8 LTE",
    "VIEW 1": "BLU VIEW 1",
    "Vivo ONE": "BLU Vivo ONE",
    "BLU STUDIO G2": "BLU_STUDIO_G2",
    "Studio G Max": "BLU_Studio_G_Max",
    "Vivo XL2": "BLU_Vivo_XL2",
    "C1": "LUXO C1",
    "C5 Plus": "C5 PLUS",
    "C5L": "C5L IW",
    "C5L 2020": "C5L_2020",
    "C5L MAX": "C5L Max",
    "C5L Plus": "C5L_Plus",
    "C6": "C6_TU",
    "C6 2020": "C6  2020",
    "BLU DASH L2": "DASH L2",
    "BLU DASH M2": "DASH M2",
    "BLU DASH X LTE": "DASH X LTE",
    "BLU DASH X2": "DASH X2",
    "Dash L3": "Dash_L3",
    "BLU DASH X": "Dash X",
    "Studio M5 Plus": "Dash XL",
    "ENERGY XL": "ENERGY  XL",
    "BLU ENERGY DIAMOND": "ENERGY DIAMOND",
    "BLU ENERGY M": "ENERGY M",
    "BLU ENERGY X PLUS 2": "ENERGY X PLUS 2",
    "G80": "G0290WW",
    "G50 Mega": "G50 MEGA",
    "G50 Mega 2022": "G50 MEGA 2022",
    "G6": "G6_EEA",
    "G71 PLUS": "G71_PLUS_TIGO",
    "G91 Max": "G91_Max",
    "BLU GRAND 5.5 HD": "GRAND 5.5 HD",
    "Grand M2": "Grand_M2",
    "Grand M2 LTE": "Grand_M2_LTE",
    "Grand Max": "Grand MAX",
    "BLU Grand X LTE": "Grand X LTE",
    "BLU LIFE ONE X": "LIFE ONE X",
    "Life One X": "LIFE ONE X",
    "Life One X2": "LIFE ONE X2",
    "Life One X2 Mini": "LIFE ONE X2 MINI",
    "BLU LIFE XL": "LIFE XL",
    "BLU LIFE MARK": "Life Mark",
    "M8L PLUS": "M8L_PLUS",
    "BLU NEO ENERGY MINI": "NEO ENERGY MINI",
    "BLU NEO X": "NEO X",
    "BLU NEO X LTE": "NEO X LTE",
    "BLU NEO X MINI": "NEO X MINI",
    "BLU NEO X PLUS": "NEO X PLUS",
    "BLU NEO XL": "NEO XL",
    "Pure XR": "PURE XR",
    "BLU R1 HD": "R1 HD",
    "R1 PLUS": "R1 Plus",
    "R2 3G": "R2_3G",
    "Studio X9 HD": "S950P",
    "BLU STUDIO 7.0 LTE": "STUDIO 7.0 LTE",
    "BLU STUDIO C 8+8 LTE": "STUDIO C 8+8 LTE",
    "BLU STUDIO G": "STUDIO G",
    "BLU Studio G HD": "STUDIO G HD",
    "Studio G HD LTE": "STUDIO G HD LTE",
    "BLU STUDIO G PLUS": "STUDIO G PLUS",
    "Studio G Plus HD": "STUDIO G PLUS HD",
    "Studio M4 Plus": "STUDIO M4 PLUS",
    "Studio Max": "STUDIO MAX",
    "BLU STUDIO ONE PLUS": "STUDIO ONE PLUS",
    "BLU STUDIO SELFIE 2": "STUIDIO SELFIE 2",
    "BLU Studio Touch": "STUDIO TOUCH",
    "BLU STUDIO XL LTE": "STUDIO XL LTE",
    "BLU STUDIO C 8+8": "STUIDIO C 8+8",
    "STUDIO ENERGY 2": "SUTDIO ENERGY 2",
    "STUDIO 5.5 HD": "Studio 5.5 HD",
    "BLU STUDIO C HD": "Studio C HD",
    "STUDIO_G_HD": "Studio G HD",
    "Advance A4": "Studio J1",
    "Advance A5": "Studio J2",
    "Studio M5": "Studio J2",
    "BLU STUDIO ONE": "Studio One",
    "BLU STUDIO SELFIE LTE": "Studio Selfie LTE",
    "Studio View": "Studio_View",
    "BLU STUDIO X MINI": "Studio X Mini",
    "Studio J8M": "Studio_J8M",
    "Studio M6 LTE": "Studio_XL_2",
    "Studio XL 2": "Studio_XL_2",
    "BLU TOUCHBOOK M7": "TOUCHBOOK M7",
    "Tank Xtreme": "Tank_Xtreme",
    "Vivo 5R": "VIVO 5R",
    "Vivo 6": "VIVO 6",
    "Vivo XI PLUS": "Vivo XI+",
    "Vivo 8": "Vivo_8_LL",
    "Vivo X": "Vivo X WW",
    "Vivo 8L": "Vivo_8L_UU",
    "Vivo One Plus": "Vivo_One_Plus",
    "D2_Pro": "D2 Pro",
    "S8_plus_a": "S8 Plus a",
    "X Pro": "X_Pro",
    "EF401_RU": "EF401",
    "EF501": "EF501R",
    "EF501R_RU": "EF501R",
    "HF550_RU": "HF550",
    "VF550_RU": "VF550",
    "RAVOZ R4": "RAVOZ_R4",
    "RAVOZ R9": "RAVOZ_R9",
    "BNT-1012": "BNT_1012W",
    "Cybook-Tablet": "Cybook Tablet",
    "MoovaShuffle": "Moova Shuffle",
    "Moova-Soul": "Moova Soul",
    "Jive": "Pulse Jive",
    "falcon": "Falcon",
    "Bouygtel4K": "Bbox Brooklyn 4K",
    "BouygtelTV": "Bbox Miami",
    "Bphone A40": "Bphone_A40",
    "Bphone A85 5G": "Bphone_A85_5G",
    "Bphone A Series": "Bphone_A_Series",
    "BrailleNote Touch +": "gryphon",
    "E-tel i10": "E-tel_i10",
    "N1-552 Skyline": "N1_552_Skyline",
    "BRAVIS X500": "X500",
    "M8047IU": "M8046IU",
    "E81": "BT Home SmartPhone III",
    "BT Home SmartPhone S II": "HomeSmartphone d800",
    "Brondi 620 SZ": "620SZ",
    "Brondi_730_4G_HD": "730 4G HD",
    "AMICO SMARTPHONE XS": "AMICO_SMARTPHONE_XS_EEA",
    "MIDNIGHT_SKY": "MIDNIGHT_SKY_EEA",
    "brown 2": "Brown2",
    "P1": "PRIME P1",
    "Bush 5 Android": "5 android",
    "BUSH-TVE19L": "BUSH",
    "BUSH-TVE19N": "Bush",
    "BUSH 7.85 TABLET": "MyTablet 79",
    "BUSH SPIRA B3 5": "SPIRA B3 5",
    "BUSH SPIRA B4 5": "SPIRA B4 5",
    "BUSH SPIRA B4 5.5": "SPIRA B4 5.5",
    "BUSH SPIRA D3 5.5": "SPIRA D3 5.5",
    "BUSH SPIRA D4 5": "SPIRA D4 5",
    "BUSH SPIRA E3X 5.5": "SPIRA E3X 5.5",
    "BUSH SPIRA E4X": "SPIRA E4X",
    "Bush Spira B2 10 tablet": "Spira B2 10 tablet",
    "Bush Spira B2 7 tablet": "Spira B2 7 tablet",
    "BUSH SPIRA D4 5.5": "Spira D4 5.5",
    'Bush Spira E2X 5" Smartphone': "Spira E2X 5''",
    "SX930C-CC": "Smart TV II",
    "noaXPower": "Noa X Power",
    "noa X plus": "noa X Plus",
    "AiPlus2K": "France",
    "AiPlus4K": "SmartTech",
    "Caixun Android TV": "Europe",
    "AiPlus4KMY": "Malaysia",
    "Aipro4K": "South of America",
    "CANAL PLUS BOX": "CANALATV1",
    "AIrStick": "AirStick",
    "LifeStick 4K": "LifeStick 4k",
    "TStick": "TSUTAYA Stick",
    "TV StickL": "ts401l",
    "CE10412-26": "Continental",
    "CE10402-16": "Continential",
    "Blaze G": "Blaze  G",
    "CG_EON_Blaze_Pro": "EON Blaze Pro",
    "Omega 8": "OMEGA 8",
    "CG_OMEGA6": "Omega6",
    "CGV_Ultimate T8": "Ultimate T8",
    "C66": "C66_EEA",
    "C71": "C71_GL",
    "C72": "C72_GL",
    "C75": "C75_GL",
    "P80": "P80_EEA",
    "STI6130C": "STI6130d353",
    "SL-TAB07116": "SMARTLIFE",
    "SL-TAB10232": "SMARTLIFE",
    "GX-CJ680CL": "CJ680CL",
    "SX930C_CJ": "Hello TV Smart",
    "kr101": "viewing",
    "Neo 4 Plus": "Neo_4_Plus",
    "CAW21T101": "ATab-1",
    "F910": "F910B0101",
    "ST 60": "ST60",
    "C55 Pro": "C55_Pro",
    "CORN R10": "CORN_R10",
    "CORN X5": "CORN_X5",
    "CORN X55": "CORN_X55",
    "CORN R20": "R20",
    "CORN R60": "R60",
    "Star7 3G": "Star7_3G",
    "CORN Star8": "Star8",
    "TV Box": "TV Box HY4403",
    "Crown Mustang 2K Android TV": "Argentina",
    "Crown Mustang 4K Android TV": "Argentina",
    "CWELL M10": "M10",
    "C73W": "C73W_EEA",
    "F81L": "F81L_EEA",
    "P20L": "P20L ROW",
    "A7009": "Retailer Stores",
    "M7L_Sapphire": "Mint_Iris",
    "M5E01": "Mint_Jane",
    "L10": "Polaroid L10/P1000",
    "CamPad_P7": "CamPad P7",
    "Hero_H7_Plus": "Hero H7 Plus",
    "Hero_H9": "Hero H9",
    "Hero_SE2": "Hero SE2",
    "Hero SX": "Hero_SX",
    "Honey Y2s": "Honey_Y2s",
    "S70CDS": "OnePlace",
    "M671M3": "Cola",
    "M671M4": "Cola 4G",
    "Captiva Pad 10 3G Plus": "Pad 10 3G pLUS",
    "Pad_10_2_in_1": "Pad 10 2-in-1",
    "C1M2BD_R1": "Carbon Mobile",
    "CT1000": "TM1088",
    "TVE9603I": "CT1050",
    "CT1085_32GB": "CT1085_ 32GB",
    "CASIO WSD-F10": "Smart Outdoor Watch WSD-F10",
    "CASIO WSD-F20": "WSD-F20",
    "CASIO WSD-F20S": "WSD-F20",
    "DT-X400/X450": "dtx450",
    "IT-G600": "itg600",
    "Casper AndroidTV": "55UGA610",
    "CASPER_L10_4.5G": "CASPER_L10_4_5G",
    "VIA_S48": "Casper VIA S48",
    "Casper_S38": "S38",
    "CASPER_VIA_A2": "VIA A2",
    "VIA_A3_Plus": "VIA A3 Plus",
    "CASPER_VIA_G1": "VIA G1",
    "CASPER_VIA_G1_Plus": "VIA G1 Plus",
    "VIA G5": "VIA_G5",
    "CASPER_VIA_M3": "VIA M3",
    "VIA_P3": "VIA P3",
    "VIA-T7D": "VIA T7D",
    "VIA-T7D-3G": "VIA T7D 3G",
    "VIA_G3": "VIA_ G3",
    "VIA_F1": "VIA_A1_1",
    "VIA_E30": "VIA_E3_0",
    "S22 FLIP": "Cat S22 FLIP",
    "S48c": "Cat S48c",
    "S52": "Cat S52",
    "S61B": "Cat S61B",
    "S62": "Cat S62",
    "S62 Pro": "S62Pro",
    "S50c": "CatS50c",
    "Cavion_Base_5_0": "Base_5.0",
    "base10_3g_silver": "base10.3g silver",
    "CT8X2": "Cedar CT8X2",
    "CT8XEU": "Cedar CT8X2",
    "A81F": "Ibirapita",
    "CliQ2": "CliQ 2",
    "UniQ": "uniQ",
    "Earn2 CL": "Earn2_CL",
    "Fashion C": "Fashion_C",
    "CELLC_Evolve": "Cell C Evolve",
    "CELLC_Nitro": "Cell C Nitro",
    "CELLC_Extreme": "CellC_Extreme",
    "Cell_C_Fame": "FAME",
    "Cell_C_Summit_Plus": "Summit Plus",
    "Wiz": "WIZ",
    "Deluxe": "deluxe",
    "cello UK 4K Android TV": "Cello",
    "cello 2K Android TV": "Cello",
    "2K Android TV": "Smart TV",
    "C8690": "CJ-1984",
    "ELITE 4.7 HD": "CJ-1984",
    "HW-W820": "HWW820",
    "i-mobile IQ1-1": "IQ 1.1",
    "Q-Smart S21": "S21",
    "C8660": "SM55",
    "i-mobile i-STYLE 7": "i-STYLE7",
    "i-mobile i-STYLE 7A": "i-STYLE7A",
    "i-mobile IQ XA": "i-mobile IQ X",
    "i-mobile IQ X2": "i-mobile IQ X2A",
    "COSMAS T": "COSMAS_T",
    "COSMAS X": "COSMAS_X",
    "Centric CM3331": "Centric L3",
    "CM4331": "G1",
    "CTLPlayer": "PureTV",
    "S60CLI": "PureTV",
    "Challenger 4K AI Smart TV": "4K Smart TV",
    "2K AI Smart TV": "Smart TV",
    "40DCOL": "COL",
    "43FCOL": "COL",
    "E9XG-A05-M": "Chameleon-H",
    "AI PONT PLUS": "G7P",
    "CHiQ AI Center": "U50H7",
    "CM-7600": "Stream+",
    "JR_MB603": "JR-MB603",
    "Superion S1 Plus DTV": "A810",
    "Flare Tab Ultra": "A840",
    "A930": "MG",
    "Aqua S9 lite": "Aqua S9 Lite",
    "Flare_S8_Deluxe": "Cherry S8 Deluxe",
    "W900 LTE": "Cherry W900 LTE",
    "Desire_R6_Lite": "Desire R6 Lite",
    "Desire R6 plus": "Desire R6 Plus",
    "Flare_5": "Flare 5",
    "FlareA1": "Flare A1",
    "Flare_A2": "Flare A2",
    "Flare_A2_Lite": "Flare A2 Lite",
    "Cherry_X740": "Flare A5",
    "Flare_HD_4": "Flare HD 4",
    "Flare_HD_MAX": "Flare HD Max",
    "Flare_J2_2018": "Flare J2 2018",
    "Flare_J2_Lite": "Flare J2 Lite",
    "Flare_J2_Max": "Flare J2 Max",
    "Flare_J2_Prime": "Flare J2 Prime",
    "FlareJ3": "Flare J3",
    "Flare_J3": "Flare J3",
    "FlareJ3Plus": "Flare J3 Plus",
    "Flare_J3_Plus": "Flare J3 Plus",
    "Flare_J6_mini": "Flare J6 mini",
    "Flare_J6s": "Flare J6S",
    "Flare_Lite_3S": "Flare Lite 3S",
    "Flare_P1_Lite": "Flare P1 Lite",
    "Flare_P1_Mini": "Flare P1 Mini",
    "Flare_P3": "Flare P3",
    "Flare_P3_Plus": "Flare P3 Plus",
    "Flare_P3_lite": "Flare P3 lite",
    "FlareS5LiteDTV": "Flare S5 Lite DTV",
    "FLARE S5 MAX": "Flare S5 Max",
    "Flare_S6_Max": "Flare S6 Max",
    "Flare_S6_Plus": "Flare S6 Plus",
    "FLARE S6 POWER": "Flare S6 Power",
    "Flare_S7": "Flare S7",
    "Flare_S7_Deluxe": "Flare S7 Deluxe",
    "Flare_S7_Mini": "Flare S7 Mini",
    "Flare_S7_Power": "Flare S7 Power",
    "Flare_X_V2": "Flare X",
    "Flare_X3": "Flare X3",
    "Flare_Y3": "Flare Y3",
    "Flare_Y7": "Flare Y7",
    "Flare_Y7_LTE": "Flare Y7 LTE",
    "Flare_Y7_Pro": "Flare Y7 Pro",
    "iris": "Iris",
    "CX940": "Lenoxx",
    "Omega Icon Lite 2": "Omage Icon Lite 2",
    "OMEGA HD 3S": "Omega HD 3S",
    "Omega_HD_4": "Omega HD 4",
    "Omega_HD_Duo": "Omega HD Duo",
    "Omega HD 3": "Omega HD3",
    "Omega_Lite_3C": "Omega Lite 3C",
    "omega_lite_4": "Omega Lite 4",
    "H940": "One",
    "Pulse": "U8220",
    "Rover_2": "Rover 2",
    "Selfie_Two": "Selfie Two",
    "Radar Deluxe 2": "Superion Radar Deluxe 2",
    "Superion Radar Deluxe": "Superion Radar Duluxe",
    "Superion_S2": "Superion S2",
    "Superion_S2_Plus": "Superion S2+",
    "Cherry_Mobile_Touch_HD": "Touch HD",
    "M651G": "A3",
    "M654G": "A5",
    "M823": "n1 max",
    "Hi9Air": "CHUWI",
    "HiPad-Air": "HiPad-Air-EEA",
    "HiPadPlus": "HiPadPlus_TR",
    "HiPad Plus": "HiPadPlus_EEA",
    "HiPad X": "HipadX_ru",
    "HiPadX": "HiPadX_ROW",
    "HiPad Pro": "HiPad_Pro",
    "CipherLab RS30": "RS30",
    "RS50": "Saturn",
    "CP-DX70": "Desktop Collaboration Experience DX70",
    "CP-DX80": "Desktop Collaboration Experience DX80",
    "Life 10 Pro": "Life_10_Pro",
    "Life Pro 7": "Life_Pro_7",
    "G4": "telma_i401",
    "B5Pro": "Bhart 5 PRO",
    "Claro STB": "SEI810CPR",
    "Claro TV+ Mini": "ClaroTV+ Mini",
    "Clempad2_special": "Clempad 4.4 Basic Special",
    "Clempad2_plus": "Clempad 4.4 Plus",
    "Clempad2_XL": "Clempad 4.4 XL",
    "Clempad_HR_XL": "Clempad 5.0 XL",
    "Clempad_6": "Clempad 6.0",
    "Clempad_6_XL": "Clempad 6.0 XL",
    "Clempad_8": "Clempad 8",
    "CLEMPADCALL": "Clempad Call",
    "Clempad_HR": "Clempad HR",
    "Clempad_HR_Plus": "Clempad HR Plus",
    "CLEMPAD_2019": "Clempad_9",
    "ClemPhone": "Clemphone",
    "ClemPhone_7": "Clemphone 7.0",
    "MFC8_2019": "MFClempadP_9",
    "MFC7_2019": "MFClempad_9",
    "MFC_6": "My First Clempad 6.0",
    "MFC_7": "My First Clempad 7",
    "MFC_HR": "My First Clempad HR",
    "MFC_HR_Plus": "My First Clempad HR Plus",
    "MFC2_Special": "My first Clempad 4.4 Basic Special",
    "MFC2_Plus": "My first Clempad 4.4 Plus",
    "I7043G": 'Tab 7"',
    "CK07T": "ClickN Kids",
    "DV137BT": "DVI37BT",
    "Storm_C3": "Storm C3",
    "Next Infinity Plus": "CloudFone Next Infinity Plus",
    "Next Infinity Pro": "CloudFone Next Infinity Pro",
    "Thrill Boost 3": "CloudFone Thrill Boost 3",
    "one695_1": "Cloudpad One 6.95",
    "one695_1_coho": "Cloudpad One 6.95",
    "one7_0_4": "Cloudpad One 7.0",
    "one7_0_4_coho": "Cloudpad One 7.0",
    "one8_0_1": "Cloudpad One 8.0",
    "one8_0_1_coho": "Cloudpad One 8.0",
    "Thrill Boost 2 Plus": "ThrillBoost2Plus",
    "Cobalt_T10_wifi": "Cobalt T10 wifi",
    "Cobalt_SM_5": "SM5",
    "Cobalt_SM_55": "SM55",
    "Cobalt_SM_6": "SM6",
    "Cobia 2K Android TV": "Cobia",
    "Cobia 4K Android TV": "Cobia",
    "Colors P45": "P45",
    "Colors P50 Plus": "P50_Plus",
    "Colors P65": "P65",
    "P52_Pride5C": "Pride 5C",
    "P90_Pride5X": "Pride5X",
    "Colors S1": "S1",
    "Colors S11": "S11",
    "Colors S9": "S9",
    "Comio C1 Pro": "COMIO C1 Pro",
    "Comio C2 Lite": "COMIO C2 Lite",
    "Comio X1": "COMIO X1",
    "QTab10_LTE": "QTab10.1_LTE",
    "Concord_M20": "M20 TERMINAL",
    "PGN-507": "PGN507",
    "PGN613": "Allure A55 Plus",
    "Allure M3 Lite": "Allure M3 lite",
    "Allure A8 Pro": "Allure_A8_Pro",
    "PGN-508": "C6+",
    "PGN-506": "C7",
    "C-6": "C_5",
    "TB108W": "Customer need debug",
    "PHQ526": "G6 Pro",
    "PHQ520": "Griffe G5",
    "PAM524": "Griffe G5 Plus",
    "SP413": "Griffe T1",
    "SP531": "Griffe T4",
    "Griffe T5": "Griffe_T5",
    "Griffe T7": "Griffe_T7",
    "Infinity e5 pro": "Infinity E5 Pro",
    "Infinity e4": "Infinity_E4",
    "Infinity a4": "Infinity_a4",
    "PGN610": "Plume P8 Lite",
    "PGN612": "Plume A8 Plus",
    "Plume L2 Pro": "Plume_L2_Pro_EEA",
    "Plume L4 Pro": "Plume_L4_Pro_TE",
    "PGN527": "Plume P4 Plus",
    "PGN528": "Plume P6 Pro LTE",
    "Plume L3 Plus": "Plume_L3_Plus",
    "Plume L5 Pro": "Plume_L5_Pro",
    "Griffe T2": "SP530",
    "Plume L3 Smart": "SP638",
    "TGW710G": "T705",
    "TB717G": "TB717G_8_1",
    "CNT07002": "Connect Alpha",
    "CP6001A": "Connect Core 6",
    "S12Pro": "CONQUEST S12Pro",
    "CONQUEST S21": "S21_RU",
    "conquest-S20": "conquest-S20_RU",
    "conquest_S16": "conquest_S16_RU",
    "conquest_S20": "conquest_S20_EEA",
    "B UHD Android TV": "Continental Edison",
    "Continental 4K Android TV": "Continential_Edison",
    "Continental Edison Android TV": "France",
    "Continental Android TV": "France",
    "Continental 2K Android TV": "Edison-Continential",
    "K101A": "K101A",
    "Coolpad 3300A": "3300A",
    "Coolpad 3320A": "3320A",
    "Coolpad 3503I": "3503I",
    "Coolpad CP3503I": "3503I",
    "Coolpad E503": "3505I_U00",
    "3600I": "3600i",
    "Coolpad 3600I": "3600i",
    "Coolpad 3622A": "3622A-mpcs",
    "Coolpad 3623A": "3623A",
    "Coolpad 3632A": "3632A-mpcs",
    "cp3636a": "Coolpad 3636a_m",
    "CP3700A": "3700A",
    "cp3705A": "3705A",
    "Coolpad 5109": "5109",
    "Coolpad 5200": "5200",
    "Coolpad 5216D": "5216D",
    "Coolpad 5217": "5217",
    "Coolpad 5218S": "5218S",
    "Coolpad 5219": "5219",
    "Coolpad 5219_C00": "5219_C00",
    "Coolpad 5267": "5267C",
    "Coolpad 5270": "5270",
    "Coolpad 5367": "5367",
    "Coolpad 5367C": "5367C",
    "Coolpad 5370": "5370",
    "Coolpad 5380CA": "5380CA",
    "Coolpad 5891": "5891",
    "Coolpad 5891S": "5891S",
    "Coolpad 5951": "5951",
    "Coolpad 7061": "7061",
    "Coolpad 7230S": "7230S",
    "Coolpad 7232": "7232",
    "Coolpad 7251": "7251",
    "Coolpad 7270": "7270",
    "Idea ULTRA Pro": "7270I",
    "Coolpad 7275": "7275",
    "Coolpad 7295+": "7295A",
    "Coolpad 7295A": "7295A",
    "Coolpad 7296": "7296",
    "Coolpad 7620L": "7620L",
    "Coolpad 8079": "8079",
    "Coolpad 8122": "8122",
    "Coolpad 8198W": "8198W",
    "Coolpad 8297D": "8297D",
    "Coolpad 8297L-I00": "8297L-I00",
    "CP8298_M02": "8298-M02",
    "CP8676_I03": "8676-I03",
    "Coolpad 8712": "8712SV",
    "Coolpad 8718": "8718",
    "Coolpad 8722": "8722",
    "Coolpad E570": "8722_S00",
    "Coolpad 8722V": "8722V",
    "Coolpad 8729": "8729",
    "Coolpad 8730L": "8730L",
    "Coolpad 8736": "8736",
    "Coolpad 8737A": "8737A",
    "Coolpad 8970L": "8970L",
    "Coolpad 8971": "8971",
    "Coolpad 9150W": "9150W",
    "Coolpad 9190_T00": "9190_T00",
    "Coolpad 9970L": "9970L",
    "Coolpad 9976A": "9976A",
    "Coolpad A8": "A8",
    "Coolpad A8-831": "A8-831",
    "Coolpad A8-930": "A8-930",
    "Coolpad A8-931": "A8-931",
    "Coolpad A8-931N": "A8-931",
    "Coolpad A8-932": "A8-932",
    "Coolpad B770": "B770",
    "Coolpad B770S": "B770S",
    "Bs 501": "Bs501",
    "Coolpad R116": "C1-S02",
    "CK3-M1": "CK3-01",
    "Coolpad CM001": "CM001",
    "CP07": "COOL 20S 5G",
    "COOLPAD C202": "COOLPAD_C202",
    "COOLPAD C203": "COOLPAD_C203",
    "Coolpad 5108": "CP5108",
    "Coolpad 5210A": "CP5210A",
    "Coolpad 5310": "CP5310",
    "5560S": "CP5660S",
    "Coolpad 5952": "CP5952",
    "Coolpad 8021": "CP8021",
    "Coolpad 8089": "CP8089",
    "Coolpad 8089Q": "CP8089Q",
    "Coolpad8295M": "CP8295M",
    "Coolpad 8735": "CP8735",
    "Coolpad8750": "CP8750",
    "Coolpad 9190L": "CP9190L",
    "Coolpad 9250L": "CP9250L",
    "Coolpad 9970": "CP9970",
    "Coolpad A520": "CPA520",
    "Coolpad T1": "CPT1",
    "Coolpad_2041": "Cool 10A",
    "Coolpad_2041_S0": "Cool 10A",
    "Coolpad_2041_T3": "Cool 10A",
    "Coolpad_2041_U0": "Cool 10A",
    "coolpad Cool 12A": "Cool 12A",
    "CP03": "coolpad COOL 20",
    "CP05": "Cool 20 pro",
    "C106": "Cool C1",
    "C106-6": "Cool C1",
    "C106-7": "Cool C1",
    "C106-9": "Cool C1",
    "C107-9": "Cool C1",
    "CP3706AS": "Coolpad 3706AS",
    "coolpad E2": "Coolpad 5370_I00",
    "C1-U02": "Coolpad C1-U02",
    "COL-A0": "Coolpad COL-A0",
    "CVC-A0": "Coolpad CVC-A0",
    "CVC-M0": "Coolpad CVC-M0",
    "GRA-M0": "Coolpad GRA-M0",
    "POL-A0": "Coolpad POL-A0",
    "CP3669AS": "Coolpad Suva",
    "CP3667AT": "Coolpad Tasker",
    "VCR-I0": "Coolpad VCR-I0",
    "Coolpad_5218D": "Coolpad5218D",
    "Coolpad 5315": "Coolpad5315",
    "Coolpad 5872": "Coolpad5872",
    "Coolpad 5879T": "Coolpad5879T",
    "Coolpad 5891Q": "Coolpad5891Q",
    "Coolpad 5892": "Coolpad5892",
    "Coolpad 5950": "Coolpad5950",
    "Coolpad 5950T": "Coolpad5950T",
    "Coolpad 7270_W00": "Coolpad7270_W00",
    "Coolpad 7295C": "Coolpad7295C",
    "Coolpad 7295C_C00": "Coolpad7295C_C00",
    "Spice Mi-515": "Coolpad7295I",
    "Coolpad 7295T": "Coolpad7295T",
    "Coolpad 7296S": "Coolpad7296S",
    "Coolpad 7298A": "Coolpad7298A",
    "Coolpad 7298D": "Coolpad7298D",
    "Coolpad 7320": "Coolpad7320",
    "801ES": "Coolpad801ES",
    "Coolpad 8297W": "Coolpad8297W",
    "Coolpad 8705": "Coolpad8705",
    "Coolpad 8720L": "Coolpad8720L",
    "Coolpad E561": "E561",
    "Coolpad Flo": "Flo",
    "Coolpad E580": "K2L_S00",
    "Coolpad R106": "R106",
    "Coolpad R108": "R108",
    "Coolpad E561_EU": "SK3-U00",
    "ivvi SS1-03": "SS1-03",
    "ivvi SS2-01": "SS2-01",
    "Vodafone Smart 4": "VodafoneSmart4",
    "Vodafone Smart 4 turbo": "VodafoneSmart4turbo",
    "Coolpad Y72-921": "Y72-921",
    "Coolpad E571": "Y72-921",
    "Coolpad Y803-8": "Y803-8",
    "Coolpad Y803-9": "Y803-9",
    "Coolpad Y83-900": "Y83-900",
    "Coolpad Y83-I00": "Y83-I00",
    "Coolpad E502": "Y83_U00",
    "Coolpad Y90": "Y90",
    "Coolpad Y891": "Y91-921",
    "Coolpad Y91-921": "Y91-921",
    "Coolpad Y92-9": "Y92-9",
    "Coolpad 7236": "cp7236",
    "ivvi i1": "i1",
    "ivvi i1-01": "i1-01",
    "ivvi i3-M1": "i3-M1",
    "C-One": "C-one",
    "access": "TN502A1",
    "g06": "g06+",
    "CE1-CID-16-4G-011": "CredenceECO",
    "SL100EA": "DEMK4115",
    "EC211001": "Cricket® Dream 5G",
    "EC211002": "Cricket® Icon 3",
    "V350C": "Cricket® Influence",
    "EC211004": "Cricket® Innovate 5G",
    "EC1002": "Cricket® Ovation 2",
    "EC211003": "Cricket® Splendor",
    "SN304AE": "DEMK4117",
    "SL101AE": "DEMK4119",
    "Glory Z1": "Glory_Z1",
    "Trendy 1": "Trendy_1",
    "Trendy 2": "Trendy_2",
    "ACTION-X3": "Action-X3",
    "Action-X3 Pro": "Action-X3",
    "Core-X3": "Core- X3",
    "Core-T4 Neo": "Core-T5",
    "TREKKER-X3": "TREKKER- X3",
    "Trekker-M1": "L635E_1",
    "Trekker-X4": "Trekker- X4",
    "Hidr_S1_PRO": "Hidr S1 PRO RU",
    "Android Tablet FT7": "FT7",
    "CUBOT CHEETAH 2": "NOTE S",
    "CUBOT R9": "CUBOT MAGIC",
    "CUBOT A5": "CUBOT_A5",
    "CUBOT J3 PRO": "CUBOT_J3_PRO",
    "CUBOT DINOSAUR": "DINOSAUR",
    "CUBOT ECHO": "ECHO",
    "KING KONG CS": "KINGKONG CS",
    "KINGKONG_MINI2_Pro": "KINGKONG MINI2 Pro",
    "CUBOT_MANITO": "MANITO",
    "CUBOT MAX": "MAX",
    "MAX 2": "MAX  2",
    "NOTE 9": "note_9",
    "CUBOT_NOTE_S": "NOTE S",
    "NOTE 7P": "NOTE_7P",
    "Pocket": "myPhone Pocket",
    "X19 S": "X19_S",
    "X20 PRO": "X20_PRO",
    "K-Ranger_ROW": "K-Ranger",
    "K-Ranger_RU": "K-Ranger",
    "P-Ranger_ROW": "P-Ranger",
    "P-Ranger_RU": "P-Ranger",
    "D5-L": "D5L",
    "Daiichi FHD Android TV": "Vietnam",
    "Daiichi UHD Android TV": "Vietnam",
    "SURF1000": "ACCENT SURF 1000",
    "Speed-Y2": "Accent Speed Y2",
    "Speed-Y3": "Accent Speed Y3",
    "FAST7_4G": "FAST7 4G",
    "PEARL_A2": "Pearl A2",
    "Speed-X2": "Speed X2",
    "A350": "A.350",
    "A150": "INOI A52 Lite 32GB",
    "B145": "DEXP B145",
    "B255": "DEXP B255",
    "G150": "DEXP G150",
    "Ixion M850": "DEXP Ixion M850",
    "Ixion X150": "DEXP Ixion X150",
    "DEXP_ES1050": "DEXP Ixion_ES1050",
    "M110": "DEXP M110",
    "P170": "DEXP P170",
    "S110": "DEXP S110",
    "N169": "DEXP Ursus N169",
    "P310": "DEXP Ursus P310",
    "S169": "DEXP Ursus S169",
    "B160": "DEXP_B160",
    "XL150": "DNS_DEXP XL150 Project",
    "P210": "Dexp Ursus P210",
    "P380": "Dexp Ursus P380",
    "S170i": "Dexp Ursus S170i",
    "S270": "Dexp Ursus S270",
    "Ixion EL450": "EL450",
    "G155": "ERA",
    "MS550": "ERA",
    "Ixion ES355": "ES355",
    "Ixion ES550": "ES550",
    "Ixion ES850": "ES850",
    "ML450": "Ixion ML450",
    "K28": "K28_",
    "K31": "K31_",
    "K41": "K41_",
    "Ixion M340": "M340",
    "Ixion M545": "M545",
    "Ixion M750": "M750",
    "Ixion ML245": "ML245",
    "SENIOR": "Senior",
    "S180i": "URSUS S180i",
    "Ixion XL155": "XL155",
    "Ixion MS255": "lxion MS255",
    "DEYI10M18A53": "DEYI10M18",
    "CUTE 5": "CUTE_5",
    "DIAMANT Android TV": "EU",
    "DIJITSU_Smart_A11s": "Smart A11s",
    "AT&T TV": "DIRECTV STREAM",
    "c71kw200": "DIRECTV STREAM",
    "Tablet DL 3406": "3406",
    "Tablet DL 3420": "3420",
    "Tablet_DL_3420": "3420",
    "Tablet_DL_3903": "3903",
    "Tablet_DL_3721": "Creative Kids",
    "Tablet_DL_3723": "Creative Tab",
    "Tablet_DL_3725": "Creative kids",
    "Tablet_DL_3920": "DL3920",
    "Smartphone DL Horizon H8": "Horizon H8",
    "Tablet_DL_4010": "Horizon Tab T10",
    "Tablet_DL_2810": "Mobi Tab",
    "Tablet_DL_2811": "Mobi Tab",
    "Tablet_DL_3722": "Sabichões",
    "DL_Horizon_Selfie": "Smartphone DL Horizon Selfie",
    "Tablet_DL_2820": "TabFácil",
    "Tablet DL 3411": "TabKids Plus",
    "Tablet DL 3421": "TabPhone 710 pro",
    "Tablet DL 3410": "X_Quad_Pro",
    "Smartphone_YZU_DS53": "YZU_DS53",
    "Tablet_DL_3910": "i-Player_KIDS",
    "DNA Android TV": "DNA TV-hubi",
    "Mate2": "DO_Mate2",
    "DO_S1": "Mate1",
    "DS6": "Mobilebase DS6",
    "4K SA Smart TV": "4K Smart TV",
    "2K SA Smart TV": "Smart TV",
    "People_Plus": "People Plus",
    "MY22ADA": "A-DA",
    "Dslide710": "DSlide 710",
    "DSlide750": "DSlide 750",
    "Dbook_110": "Dbook_110_EEA",
    "DSlide 1013": "Dslide 1013",
    "Dslide1013QC_v2": "Dslide 1013QC",
    "Dslide1013QC_v3": "Dslide 1013QC",
    "Dslide714_v2": "Dslide 714",
    "Dslide1013QC_v4": "Dslide1013QC_V4",
    "Dslide1016_V2": "Dslide1016_V2_EEA",
    "Dslide1023": "Dslide1023_EEA",
    "Dslide113_V2": "Dslide113_V2_EEA",
    "Dslide_1021": "Dslide_1021_EEA",
    "Konnect402": "Konnect 402",
    "Konnect_502": "Konnect 502",
    "Konnect503": "Konnect 503",
    "Konnect_504": "Konnect 504",
    "Konnect506": "Konnect 506",
    "Konnect_510_colors": "Konnect 510 colors",
    "Konnect_556": "Konnect 556",
    "Konnect_560": "Konnect 560 Cinépix",
    "Konnect602": "Konnect 602",
    "T_ONE": "TRACE ONE",
    "Konnect_601": "konnect 601",
    "MEMOR 10": "Datalogic MEMOR 10",
    "Memor 1": "MEMOR 1",
    "DATSUN_D5500": "Datsun_D5500",
    "DS-CR1": "Cypher",
    "DS-BD1": "DS_BD1",
    "DS-BD2": "DS_BD2",
    "DS-CL1": "DS_CL1",
    "DS-CL2 Pro": "DS_CL2_Pro",
    "md501": "DeWalt md501",
    "Delephas 4K Android TV": "Chang Co., Ltd",
    "Dell Chromebook 11 (3180)": "Chromebook 11 Model 3180",
    "Dell Chromebook 13 (3380)": "Chromebook 13 3380",
    "Dell Chromebook 13 3380": "Chromebook 13 3380",
    "Dell Chromebook 13 (7310)": "Chromebook 13 7310",
    "Dell Chromebook 13 7310": "Chromebook 13 7310",
    "CS-1A13": "Cloud Connect",
    "drallion": "Latitude 7000",
    "001DL": "Streak",
    "Dell M01M": "Streak",
    "Dell Streak": "Streak",
    "Venue 10 5050": "Venue 10",
    "Venue 7 3741": "Venue 7",
    "Venue 7 3740": "Venue 7",
    "Venue7 3740": "Venue 7",
    "Venue7 3740 LTE": "Venue 7",
    "Venue 7 3730": "Venue 7",
    "Venue 7 HSPA+": "Venue 7",
    "Venue 10 7040": "Venue 7040",
    "Venue 8 7840": "Venue 8",
    "Venue 8 7840 LTE": "Venue 8",
    "Venue 8 3840": "Venue 8",
    "Venue8 3840": "Venue 8",
    "Venue8 3840 LTE": "Venue 8",
    "Venue 8 3830": "Venue 8",
    "Venue 8 HSPA+": "Venue 8",
    "DT0705W08": "Etab2",
    "BHT1600": "BHT-1600",
    "BHT-1700BWB-1-A7": "BHT-1700BWB-A7",
    "BHT-1700QLWB-P-A7": "BHT-1700QLWB-A7-P",
    "TAQ_104A": "TAQ-104A",
    "TAQ-70": "TAQ70",
    "TAQ_703A": "TAQ-703A",
    "TIQ-1048": "TIQ_1048",
    "N9106H_B": "Sri Lanka",
    "Dicle_Dtab_Kpad": "Dicle Tab Kpad",
    "DICLE_IPLAY40_PRO": "DicleTab iPlay40 Pro",
    "Dicle_Dtab_Active_S": "Dicle Tab Active S",
    "Tab_MyPen_P1": "Dicle Tab MyPen P1",
    "Dicle_Dtab_U1008": "Dicle Tab U1008",
    "Tab_Ultra": "Dicle Tab Ultra",
    "Active": "Dicle_Tab_Active",
    "Digi K2": "Digi_K2_EEA",
    "Compumax_Blue_6030-805-0001": "CompumaxBlue",
    "DL9003": "DL1003",
    "DL1008M": "MID1008_Digiland",
    "mid1031_mp_64": "DL1031",
    "DL721-RB": "DL721RB",
    "DL9003MK": "DL9003mk",
    "DL1036": "Digiland_mid1032_mr",
    "SC-725": "EVERPAD",
    "Supernova": "mid1016_mk_64",
    "mid8006_mk_32": "MID8006_Digiland",
    "NS-P16AT785HD": "MID7802RA",
    "PCB-T731": "PCBOX",
    "TPC-705Kids": "TPC-705Kids_EEA",
    "MID1016-MK": "ismart",
    "Digi_K1": "Digi K1",
    "DL4": "Digicel DL4",
    "Digicom DTOK": "Digicom_DTOK",
    "Digicom Tribe": "Tribe",
    "TR10CD1": "TR10CD1_P",
    "DG-D07SGP": "DG-D07S/GP",
    "Digiquest 2K Android TV": "Italy",
    "Digiquest 4K Android TV": "Italy",
    "Digit Glory1": "Digit_Glory",
    "Digital2-Deluxe": "Deluxe",
    "Digital2 Platinum": "Platinum",
    "Digital2 Plus": "Plus",
    "DWA1015D": "DWA1015D Tablet",
    "1402D 4G WS1250PL": "1402D_4G",
    "CITI 609 4G CS6063ML": "CITI 609",
    "CITI 1312C 4G CS1272PL": "CITI_1312C_4G",
    "CITI 13 X703 4G CS3242ML": "CITI_13_X703_4G",
    "CITI_13_X703_4G_CS3242ML": "CITI_13_X703_4G",
    "CITI 1590 3G CS1207MG": "CITI_1590_3G_CS1207MG",
    "CITI 1593 3G CS1210MG": "CITI_1593_3G_CS1210MG",
    "CITI_7586_3G_TS7203MG": "CITI_7586_3G",
    "CITI 7591 3G CS7208MG": "CITI_7591_3G_CS7208MG",
    "CITI 8443E 4G CS8271PL": "CITI_8443E_4G",
    "CITI 8589 3G CS8206MG": "CITI_8589_3G_CS8206MG",
    "CITI Kids CS7216MG": "CITI_Kids_CS7216MG",
    "CITI Kids 10 CS1232MG": "CITI_Kids_10",
    "CITI Kids 80 CS8239RW": "CITI_Kids_80",
    "CITI Kids 81 CS8233MG": "CITI_Kids_81_CS8233MG",
    "CITI Octa 10 CS1219PL": "CITI_Octa_10_CS1219PL",
    "CITI 10 E402 4G CS1235PL": "CS1235PL",
    "CITI 7507 4G CS7113PL": "CS7113PL",
    "CITI 7587 3G CS7204MG": "CS7204MG",
    "CITI Octa 70 CS7217PL": "CS7217PL",
    "CITI 7 E401 4G CS7234PL": "CS7234PL",
    "CITI_8588_3G_CS8205PG": "CS8205PG",
    "CITI Octa 80 CS8218PL": "CS8218PL",
    "CITI 8 E400 4G CS8231PL": "CS8231PL",
    "CITI 8313C 4G CS8268PL": "CS8268PL",
    "CITI_1508_4G_CS1114ML": "DIGMA CITI 1508 4G CS1114ML",
    "CITI 1532 3G CS1144MG": "DIGMA CITI 1532 3G CS1144MG",
    "CITI_1544_3G_CS1154MG": "DIGMA CITI 1544 3G CS1154MG",
    "CITI 1576 3G CS1194MG": "DIGMA CITI 1576 3G CS1194MG",
    "CITI 1577 3G CS1195MG": "DIGMA CITI 1577 3G CS1195MG",
    "CITI 1578 4G CS1196ML": "DIGMA CITI 1578 4G CS1196ML",
    "CITI 3000 4G CS3001ML": "DIGMA CITI 3000 4G CS3001ML",
    "CITI_7507_4G_CS7113PL": "DIGMA CITI 7507 4G CS7113PL",
    "CITI_7543_3G_CS7153MG": "DIGMA CITI 7543 3G CS7153MG",
    "CITI 7575 3G CS7193MG": "DIGMA CITI 7575 3G CS7193MG",
    "CITI_8527_4G_CS8139ML": "DIGMA CITI 8527 4G CS8139ML",
    "CITI 8531 3G CS8143MG": "DIGMA CITI 8531 3G CS8143MG",
    "CITI_8542_4G_CS8152ML": "DIGMA CITI 8542 4G CS8152ML",
    "HIT Q401 3G HT4039PG": "DIGMA HIT Q401 3G HT4039PG",
    "LINX A453 3G LT4038PG": "DIGMA LINX A453 3G LT4038PG",
    "Linx Argo 3G LT4054MG": "DIGMA LINX ARGO 3G LT4054MG",
    "LINX ATOM 3G LT4049PG": "DIGMA LINX ATOM 3G LT4049PG",
    "LINX B510 3G LT5037MG": "DIGMA LINX B510 3G LT5037MG",
    "Linx Base 4G LT5052ML": "DIGMA LINX BASE 4G LT5052ML",
    "LINX JOY 3G LT5048MG": "DIGMA LINX Joy 3G LT5048MG",
    "Linx Pay 4G LS5053ML": "DIGMA LINX PAY 4G LS5053ML",
    "LINX RAGE 4G LS5040PL": "DIGMA LINX RAGE 4G LS5040PL",
    "LINX TRIX 4G LS5041PL": "DIGMA LINX TRIX 4G LS5041PL",
    "Optima 1022N 3G TS1184MG": "DIGMA Optima 1022N 3G TS1184MG",
    "Optima 1023N 3G TS1186MG": "DIGMA Optima 1023N 3G TS1186MG",
    "Optima 1024N 4G TT1188PL": "DIGMA Optima 1024N 4G TT1188PL",
    "Optima 1025N 4G TS1190ML": "DIGMA Optima 1025N 4G TS1190ML",
    "Optima 1026N 3G TT1192PG": "DIGMA Optima 1026N 3G TT1192PG",
    "Optima 7016N 3G TS7175MG": "DIGMA Optima 7016N 3G TS7175MG",
    "Optima 7017N 3G TS7177MG": "DIGMA Optima 7017N 3G TS7177MG",
    "Optima 7018N 4G TS7179ML": "DIGMA Optima 7018N 4G TS7179ML",
    "Optima_Prime_3_3G_TS7131MG": "DIGMA Optima Prime 3 3G TS7131MG",
    "Optima Prime 4 3G TT7174PG": "DIGMA Optima Prime 4 3G TT7174PG",
    "Plane_1523_3G_PS1135MG": "DIGMA Plane 1523 3G PS1135MG",
    "Plane_1524_3G_PS1136MG": "DIGMA Plane 1524 3G PS1136MG",
    "Plane_1525_3G_PS1137MG": "DIGMA Plane 1525 3G PS1137MG",
    "Plane_1526_4G_PS1138ML": "DIGMA Plane 1526 4G PS1138ML",
    "Plane_1537E_3G_PS1149MG": "DIGMA Plane 1537E 3G PS1149MG",
    "Plane_1538E_4G_PS1150ML": "DIGMA Plane 1538E 3G PS1150ML",
    "Plane_1541E_4G_PS1157ML": "DIGMA Plane 1541E 4G PS1157ML",
    "Plane_1550S_3G_PS1163MG": "DIGMA Plane 1550S 3G PS1163MG",
    "Plane_1551S_4G_PS1164ML": "DIGMA Plane 1551S 4G PS1164ML",
    "Plane_1553M_4G_PS1166ML": "DIGMA Plane 1553M 4G PS1166ML",
    "Plane_1559_4G_PS1173PL": "DIGMA Plane 1559 4G PS1173PL",
    "Plane 1570N 3G PS1185MG": "DIGMA Plane 1570N 3G PS1185MG",
    "Plane 1572N 3G PS1187MG": "DIGMA Plane 1572N 3G PS1187MG",
    "Plane 1713T 3G PT1138MG": "DIGMA Plane 1713T 3G PT1138MG",
    "Plane 1715T 4G PT1139PL": "DIGMA Plane 1715T 4G PT1139PL",
    "Plane_7006_4G_PS7041PL": "DIGMA Plane 7006 4G PS7041PL",
    "Plane_7535E_3G_PS7147MG": "DIGMA Plane 7535E 3G PS7147MG",
    "Plane 7539E 4G PS7155ML": "DIGMA Plane 7539E 4G PS7155ML",
    "Plane_7545V_3G_PS7151MG": "DIGMA Plane 7545V 3G PS7151MG",
    "Plane_7552M_3G_PS7165MG": "DIGMA Plane 7552M 3G PS7165MG",
    "Plane_7556_3G_PS7170MG": "DIGMA Plane 7556 3G PS7170MG",
    "Plane_7557_4G_PS7171PL": "DIGMA Plane 7557 4G PS7171PL",
    "Plane 7561N 3G PS7176MG": "DIGMA Plane 7561N 3G PS7176MG",
    "Plane 7563N 4G PS7178ML": "DIGMA Plane 7563N 4G PS7178ML",
    "Plane 7565N 3G PS7180PG": "DIGMA Plane 7565N 3G PS7180PG",
    "Plane 7574S 4G PS7191PL": "DIGMA Plane 7574S 4G PS7191PL",
    "Plane 8021N 4G PS8183ML": "DIGMA Plane 8021N 4G PS8183ML",
    "Plane_8540E_4G_PS8156ML": "DIGMA Plane 8540E 4G PS8156ML",
    "Plane_8558_4G_PS8172PL": "DIGMA Plane 8558 4G PS8172PL",
    "Plane 8566N 3G PS8181MG": "DIGMA Plane 8566N 3G PS8181MG",
    "Plane_9634_3G_PS9146MG": "DIGMA Plane 9634 3G PS9146MG",
    "Plane_9654M_3G_PS9167PG": "DIGMA Plane 9654M 3G PS9167PG",
    "VOX Flash 4G VS5015ML": "DIGMA VOX Flash 4G VS5015ML",
    "VOX G450 3G VS4001PG": "DIGMA VOX G450 3G VS4001PG",
    "VOX_G501_4G_VS5033ML": "DIGMA VOX G501 4G VS5033ML",
    "VOX_S513_4G_VS5035ML": "DIGMA VOX S513 4G VS5035ML",
    "LINX ALFA 3G LT4047MG": "Digma LINX Alfa 3G LT4047MG",
    "Optima Prime 5 3G TS7198PG": "Digma Optima Prime 5 3G TS7198PG",
    "Plane 1584S 3G PS1201PG": "Digma Plane 1584S 3G PS1201PG",
    "Plane 1585S 4G PS1202PL": "Digma Plane 1585S 4G PS1502PL",
    "Plane 7580S 4G PS7192PL": "Digma Plane 7580S 4G PS7192PL",
    "Plane 8580 4G PS8199ML": "Digma Plane 8580 4G PS8199ML",
    "Platina 1579M 4G NS1800ML": "Digma Platina 1579M 4G NS1800ML",
    "LINX A452 3G LT4030PG": "LINX A452 3G",
    "Optima Kids 7 TS7203RW": "Optima Kids 7",
    "Optima 10 A500S 3G TS1220PG": "Optima_10_A500S_3G_TS1220PG",
    "Optima 10 A502 3G TS1245PG": "Optima_10_A502_3G_TS1245PG",
    "Optima 10 X702 4G TS1228PL": "Optima_10_X702_4G",
    "Optima 1200B TS1266RW": "Optima_1200B",
    "Optima 7 A100S 3G TS7222PG": "Optima_7_A100S_3G_TS7222PG",
    "Optima 7 A101 3G TT7223PG": "Optima_7_A101_3G",
    "Optima 7 X700 4G TS7224PL": "Optima_7_X700_4G",
    "Optima 8019N 4G TS8182ML": "Optima_8019N_4G",
    "Optima_8027_3G_TS8211PG": "Optima_8027_3G",
    "TS8274AW": "Optima_8250C",
    "Optima 8 X701 4G TS8226PL": "Optima_8_X701_4G",
    "Optima 8 Z801 4G TS8227PL": "Optima_8_Z801_4G",
    "PRO 1600E 4G RS1248PL": "PRO 1600E 4G",
    "PRO 1800F 4G RS1249PL": "PRO 1800F 4G",
    "Plane 7594 3G PS7210PG": "PS7210PG",
    "Plane 8550S 4G PS8163PL": "PS8163PL",
    "Plane_7012M_3G_PS7082MG": "Plane 7012M 3G PS7082MG",
    "Plane_7546S_3G_PS7158PG": "Plane 7546S 3G",
    "Plane_7547S_3G_PS7159PG": "Plane 7547S 3G",
    "Plane_8522_3G_PS8135MG": "Plane 8522 3G PS8135MG",
    "Plane_8536E_3G_PS8148MG": "Plane 8536E 3G PS8148MG",
    "Plane 1573N 4G PS1189ML": "Plane_1573N_4G/",
    "Plane 1596 3G PS1213PG": "Plane_1596_3G_PS1213PG",
    "Plane_8548S_3G_PS8161PG": "Plane_8548S_3G",
    "Plane_8549S_4G_PS8162PL": "Plane_8549S_4G",
    "Pro 1480E 4G RS1267PL": "Pro 1480E 4G",
    "PRO 1400E 4G RS1253PL": "RS1253PL",
    "Optima 10 A501S 4G TS1221PL": "TS1221PL",
    "Optima 10 Z802 4G TS1229PL": "TS1229PL",
    "Optima 1245C 4G": "TS1277ML",
    "Optima 7 Z800 4G TS7225PL": "TS7225PL",
    "Optima 1027N 3G TT1236PG": "TT1236PG",
    "VOX S508 3G VS5031PG": "VOX_S508_3G",
    "VOX S509 3G VS5032PG": "VOX_S509_3G",
    "SL104D": "CSSL104DBL16",
    "WTCELERO5G": "Celero 5G",
    "SH960C-DS": "EVOLVE",
    "Frozen": "BMF00001",
    "Blade": "Hammer Blade",
    "TT01": "Japan",
    "N-08D": "MEDIAS TAB UL N-08D",
    "N10": "N10_EEA",
    "N20": "NOA_N20",
    "N40Pro": "N40Pro_RU",
    "S35": "S35_RU",
    "S90Pro": "S90pro",
    "S97Pro": "S97Pro_RU",
    "Shoot_1": "Shoot_ 1",
    "V20": "VortexV20",
    "DOOGEE X10": "X10",
    "X5max": "X5  MAX",
    "X5max_PRO": "X5 max pro",
    "X7": "Irulu X7",
    "X7pro": "X7Pro",
    "X9pro": "X9 Pro",
    "Y10": "Y10_EEA",
    "Y6C": "Y6 C",
    "Y7": "Y7_EEA",
    "Y8 Plus": "Y8plus",
    "Shoot_2": "shoot 2",
    "Doppio DP355": "Allure M2",
    "SL548": "Doppio SL548",
    "SL505": "Doppio_SL505",
    "Doro_8020x": "8020x",
    "Doro 8031": "Liberto 822 / 8030",
    "Doro 8030": "Liberto 822 / 8030",
    "Doro Liberto 825": "825A",
    "Doro 8030/8031/8028": "Liberto 822 / 8030",
    "Doro Liberto 810": "Liberto 810",
    "Doro Liberto 810-orange": "Liberto 810",
    "Doro Liberto 820": "Liberto 820",
    "Doro Liberto 820 Mini": "Liberto 820 Mini",
    "Doro Liberto 822": "Liberto 822 / 8030",
    "825_T-Mobile": "Liberto 825",
    "FIRE_V8": "Fire V8",
    "MAX-10": "DragonTouch",
    "MAX-10_EEA": "DragonTouch",
    "MAX_10": "MAX_10_eea",
    "MAX 10": "MAX_10_EEA",
    "NotePad_101_B": "NotePad_101_B_EEA",
    "Notepad 102": "Notepad102_EEA",
    "Y88X_A": "Y88X Plus",
    "Y88X_PLUS": "Y88X Plus",
    "Y88X_PRO": "Y88X_PRO_EEA",
    "dtacPhoneM2": "Phone M2",
    "dtacPhoneT2": "Phone T2",
    "dtacPhoneX3": "Phone X3",
    "Dual 2K Android TV": "Dual",
    "Smarty_II": "Smarty II",
    "Durabrand 2K Android TV": "Central America",
    "Durabrand 4K Android TV": "Durabrand android TV",
    "Dynalink TV Box": "STI6130-D350",
    "Dyon 4K Android TV": "Dyon",
    "Dyon 2K Android TV": "Dyon",
    "Eclipse_G400M": "Eclipse G400M",
    "Eclipse_G500M": "Eclipse G500M",
    "EL-712": "RSE",
    "E-tel_Q7": "Q7",
    "E-tel i240": "i240",
    "TF10EA2_P61": "TF10EA2",
    "TF10EA2_P8": "TF10EA2",
    "EDENWOOD 2K Android TV": "EDENWOOD",
    "EKO Android TV 2K": "Australia",
    "EKO Android TV": "Australia",
    "EKO Android Monitor": "Australia,Japan,Germany,Italy(No Tuner)",
    "EKO 4K Android TV": "EKO android TV ISDB",
    "EKO 2K Android TV": "JVC",
    "Ayonz Android TV": "EKO android TV",
    "Star 5.5 G55": "Star_5.5_G55",
    "Star 6.0 G65": "Star_6.0_G65",
    "D60 Pro": "D60_Pro",
    "ELEXIA 4K Android TV": "ELEXIA",
    "ELEXIA 2K Android TV": "ELEXIA",
    "22in-I-Series-4-Value": "22in-I-Series 4-Value",
    "Elo-i3-10Std": "I-Series 3.0 for Android",
    "Elo-i3-22Std": "I-Series 3.0 for Android",
    "Elo-PP3-15": "PayPoint® Plus for Android",
    "Elo-PP3-13": "PayPoint® for Android",
    "FX-438N": "FX_438N",
    "K400": "SPURT_K400",
    "K500": "SPURT_K500",
    "K501 Plus": "K501_Plus",
    "K600": "SPURT_K600",
    "T700": "T700_TABLET",
    "K503": "k503",
    "ELT0801": "EPIK Learning Tab 8''",
    "ELT0702": "EPIK Learning Tab Jr.",
    "ELT0703": "EPIK_ELT0703",
    "SP-001": "HEROSP001",
    "EWIS OCTA-T700M": "OCTA-T700M",
    "Wave i007Kids": "Wave_i007Kids",
    "ECHO_FUSION": "FUSION",
    "HORIZON": "Horizon",
    "ECHO_HORIZON_LITE": "HORIZON LITE",
    "HORIZON_M": "MODELABS MOBILES",
    "MotionE11": "Motion E1.1",
    "Verssed VP1": "Platiunm vp.1",
    "Verssed VP2": "Platiunm vp.2",
    "VERSSED vp2.1": "VERSSED platinum vp.2.1",
    "VERSSED vp3": "Verssed Platinum VP3.0",
    "EinsteinT3": "ENTAB3",
    "EKS S45U": "S45U",
    "T4": "MGT_T4",
    "X4UPlus": "X4U+",
    "TU43GDX": "USA & CANADA",
    "E10": "HAOQIN",
    "P8_3D": "P8 3D",
    "P8_Max": "P8 Max",
    "G55 LITE": "G55_LITE",
    "T7": "T7_eea",
    "PBDV704DVD": "7'' dvd tablet",
    "SproutChannelCubby": "Sprout Channel Cubby",
    "Ematic EGD170": "EGD170",
    "EGS109": "EMATICEGS109",
    "EGQ239BD": "Ematic",
    "FunTab2": "FunTab 2",
    "FunTabPlay": "FunTab 3",
    "Funtab3": "FunTab 3",
    "GTB103M": "GTB103B",
    "AGT419": "Jetstream AGT418",
    "PBSKD12": "PBS Kids PlayPad",
    "AGT418": "USA",
    "em_i8180": "EM_I8180",
    "EM749_748": "EM749/748",
    "f400": "F400",
    "Gem Box F500": "Gaming Android Gem Box",
    "HARDCASEH550S": "H550S",
    "H620SEU": "Hardcase H620S",
    "H621SEU": "Hardcase H621S",
    "P550S": "PowerMaxP550S",
    "Energy Tablet Pro 4": "adelroth",
    "Engel 4K Android TV": "ENGEL",
    "Cynus T2": "CINK KING",
    "IMD501": "CINK KING",
    "freebit PandA": "CINK KING",
    "Fly_IQ442": "CINK SLIM",
    "WIKO-CINK SLIM": "CINK SLIM",
    "CT1010": "Carrefour CT1010",
    "Cinema": "DARKSIDE",
    "X40E": "Lazer X40E",
    "CINK PEAX": "WIKO CINK PEAX",
    "EverClassic": "WIKO CINK PEAX",
    "CINKPLUS": "WIKO CINK+",
    "SUBLIM": "WIKO SUBLIM",
    "CINK FIVE": "Wiko CINK FIVE",
    "Cynus T5": "Wiko CINK FIVE",
    "NGM Orion": "orion",
    "NGM Vanity Smart": "vanitysmart",
    "OWN-I62S": "OWN I62S",
    "ENT75QF620": "ENT75QF620_EEA",
    "HA90": "EH-LS800",
    "EMBT4": "embt4ru",
    "B506_Intro": "ERGO",
    "ERGO B500 First": "ERGO B500",
    "B501": "ERGO B501",
    "V551 Aura": "ERGO V551 Aura",
    "ERGO V552 Intense": "ERGO_V552_Intense",
    "ERGO V600 Vega": "ERGO_V600_Vega",
    "Essentielb-Black Diamond": "Black Diamond",
    "Essentielb-Pixis": "Pyxis",
    "ST7001": "ST7001 Tablet",
    "Smart'Tab_7800": "Smart'TAB 7800",
    "SmartTAB1007": "SmartTab1007",
    "E618": "Estalky-E618",
    "MID1021W": "1021W_URBAN",
    "eSTAR 2K Android TV": "EU、UK、AP",
    "eSTAR GO HD Quad core 3G": "GO! HD Quad core 3G",
    "eSTAR GO! IPS Quad core 3G": "GO! IPS Quad core 3G",
    "eSTAR GRAND HD Quad core": "eSTAR GRAND HD Quad Core",
    "eSTAR Grand IPS Quad core 3G": "Grand IPS Quad core 3G",
    "eSTAR FHD Android TV": "Lithuania",
    "eSTAR UHD Android TV": "Lithuania",
    "eSTAR BEAUTY 3 HD Quad core": "MID7399",
    "EST_001_BLA": "EST-001-BLA",
    "EST_001_BLK": "EST-001-BLA",
    "AI PONT NA": "Android TV",
    "EuroleaguePhone": "I7a",
    "Sagemcom_4k ATV": "Euskaltel",
    "M55": "mMax M55",
    "EVERCOSS A65": "One X",
    "X8": "X8_EEA",
    "X9": "IRULU X9",
    "FINE 7B": "Fine 7B",
    "M10+Max": "M10_Max",
    "M20S Mini": "M20S_Mini",
    "M20 S": "M20_S",
    "EVERTEK V4": "V4",
    "V5_Nano": "V5 Nano",
    "EVIANT_EVT10Q": "EVC10Q",
    "Evolio_M5Pro": "M5Pro",
    "Evolio_M6": "M6",
    "Evolio_M8": "M8",
    "EVOLVEO StrongPhone G5": "GM6 DS",
    "StrongPhoneQ9": "StrongPhone Q9",
    "M07R7_EEA": "SMY-M07R7",
    "M07R7": "SMY_M07R7",
    "7GW": "7GW_eea",
    "ATV": "ATV device",
    "Air": "WeTek",
    "Fresh_NF": "Fresh",
    "Gravity": "ZUUM Gravity",
    "Hit": "Jinga Hit",
    "Imperium7": "Imperium 7",
    "Imperium8": "Imperium 8",
    "Joy_TV": "Joy TV",
    "Light": "V9",
    "M1_Plus": "M1 Plus",
    "Onliner4": "Onliner 4",
    "RioPlay": "Rio Play",
    "Surfer7773G": "Surfer777 3G",
    "TabMini": "Tab Mini",
    "Tornado3G": "Tornado 3G",
    "Winner7": "Winner 7",
    "Winner8": "Winner 8",
    "ROCK_X11": "Rock_X11",
    "EyeOnGo": "EyeOnGo10",
    "FandU Android TV": "EU、UK、AP",
    "F and U Android TV": "Greece",
    "B2021": "B2021_EEA",
    "H2022": "H2022_EEA",
    "Bison2021": "Bison2021_EEA",
    "R2022": "R2022_EEA",
    "F80s_plus": "F2 F80s_plus",
    "LT5216": "F2_LT5216",
    "Facilotab L Rubis": "Facilotab_L_Rubis",
    "TDA02": "M24IS810",
    "BZ02": "arrows BZ02",
    "F-41B": "arrows Be4 Plus F-41B",
    "A101FC": "arrows We A101FC",
    "F-51B": "arrows We F-51B",
    "FCG01": "arrows We FCG01",
    "AURII_XCITE": "FIREFLY MOBILE",
    "INSPIRE_4G": "Inspire_4G",
    "L590A": "MIRO",
    "T8 Plus": "T8Plus",
    "FPT Play Box +": "SEI500FPT",
    "FPT Play Box S": "SEI610FPT",
    "A15": "WE_A15",
    "FPT_X10": "FPT X10",
    "FPT_X9": "FPT X9",
    "FPT X50": "X50",
    "FV-FG6": "OC1020A",
    "FP3": "Fairphone3",
    "FP4": "Fairphone4",
    "Famous 5": "Famous_5",
    "Famous 5Plus": "Famous_5Plus",
    "Red Royal Edition": "Red_Royal_Edition",
    "M200H": "FANTEC M200H",
    "FAN-M300H": "FANTEC M300H",
    "Smart509": "Smart 509",
    "Smart550": "Smart 550",
    "Fero A4001 Plus 2019": "A4001 Plus 2019",
    "Royale Y2": "FERO ROYALE Y2",
    "Power 3": "POWER 3",
    "Royale_X2": "Royale X2",
    "Fone": "FIGI Fone",
    "Ftwo": "FIGI Ftwo",
    "Gone": "FIGI Gone",
    "A9": "A9 EEA",
    "UltraJ8": "Ultra J8",
    "SP5045V": "FNB",
    "PRIME 1": "PRIME_1",
    "ba101": "BandOTT",
    "ba201": "BANDOTT Sandwich",
    "FlowBox-F1": "Flowbox-F1",
    "F_Plus": "F Plus",
    "S504050": "Fluo",
    "X2 Max": "X2_Max",
    "5S": "5_S",
    "FS529": "Champ",
    "FS517": "Cirrus 11",
    "FS516": "Cirrus 12",
    "FS518": "Cirrus 13",
    "FS522": "Cirrus 14",
    "FS523": "Cirrus 16",
    "FS525": "Cirrus 17",
    "FS504": "Cirrus 2",
    "FS506": "Cirrus 3",
    "FS507": "Cirrus 4",
    "FS508": "Cirrus 6",
    "FS511": "Cirrus 7",
    "FS514": "Cirrus 8",
    "FS553": "Cirrus 9",
    "Life Compact 4G": "Compact 4G",
    "IQ4507": "Dune 3",
    "Fly IQ4508": "Dune 4",
    "IQ4407": "ERA Nano 7",
    "Fly IQ4405_Quad": "EVO Chic 1",
    "Fly Ego Art 2": "Ego Art 2",
    "IQ4502 Quad": "Era Energy 1",
    "IQ456": "Era Life 2",
    "IQ4406": "Era Nano 6",
    "IQ4400": "Era Nano 8",
    "IQ436i": "Era Nano 9",
    "IQ4415 Quad": "Era Style 3",
    "IQ459": "Evo Chic 2",
    "IQ459 Quad": "Evo Chic 2",
    "IQ4414 Quad": "Evo Tech 3",
    "F22 star": "F22 Star",
    "Life Play": "Fly Life Play",
    "View Max": "W_P200CM",
    "Flylife Connect 10.1 3G 2": "Flylife Connect 10.1",
    "IQ4413_Quad": "IQ4413 Quad",
    "Fly IQ4418 AF": "IQ4418",
    "FLY IQ4503": "IQ4503",
    "Fly IQ4505": "IQ4505",
    "Fly IQ4514": "IQ4514 Quad",
    "Fly IQ4514 AF": "IQ4514 Quad",
    "IQ4516": "IQ4516 Octa",
    "IQ458 Quad": "IQ458 Quad Evo Tech 2",
    "Fly IQ4602": "IQ4602",
    "IQ4602 Quad": "IQ4602",
    "FLY_IQ4400_AF": "Iris",
    "FS524": "Knockout",
    "Compact": "Life Compact",
    "Mega": "Life Mega",
    "Vista": "Life Vista",
    "FS528": "Memory Plus",
    "FS512": "Nimbus 10",
    "FS455": "Nimbus 11",
    "FS510": "Nimbus 12",
    "FS456": "Nimbus 14",
    "FS457": "Nimbus 15",
    "FS459": "Nimbus 16",
    "FS527": "Nimbus 17",
    "FS452": "Nimbus 2",
    "FS551": "Nimbus 4",
    "FS505": "Nimbus 7",
    "FS454": "Nimbus 8",
    "FS501": "Nimbus3",
    "FS521": "Power Plus 1",
    "FS526": "Power Plus 2",
    "FS554": "Power Plus FHD",
    "FS530": "Power Plus XXL",
    "FS520": "Selfie 1",
    "FS407": "Stratus",
    "FS401": "Stratus 1",
    "FS404": "Stratus 3",
    "FS405": "Stratus 4",
    "FS406": "Stratus 5",
    "FS458": "Stratus 7",
    "FS408": "Stratus 8",
    "FS409": "Stratus 9",
    "FLY IQ4511": "Tornado One",
    "IQ4511 Octa": "Tornado One",
    "IQ4511 TR": "Tornado One",
    "Bolt": "HAMMER BOLT",
    "CoolMinttTribe": "CoolminttTribe",
    "O2": "FONOS O2",
    "O3": "O3_EEA",
    "Omni8": "Omni 8",
    "Fossil G5L": "Fossil Gen 5 LTE",
    "Fossil 5e": "Fossil Gen 5e",
    "Fossil SS": "Fossil Gen 5e",
    "Fossil Gen 6 Venture Edition": "Fossil Gen 6",
    "Gen 6 Wellness Edition": "Fossil Gen 6",
    "Fadelite": "Fossil Sport",
    "Hugo": "Fossil Sport",
    "MK Go": "Fossil Sport",
    "MKGO": "Fossil Sport",
    "PumaSmartwatch": "Fossil Sport",
    "Q Sport 41": "Fossil Sport",
    "Q Sport 43": "Fossil Sport",
    "Vapor X": "Fossil Sport",
    "Bradshaw": "Q Wander / Q Marshal / Q Founder 2.0 / Bradshaw / Dylan",
    "Q Marshal": "Q Wander / Q Marshal / Q Founder 2.0 / Bradshaw / Dylan",
    "Q Wander": "Q Wander / Q Marshal / Q Founder 2.0 / Bradshaw / Dylan",
    "Alberto": "Wear",
    "EA Connected": "Wear",
    "Grayson": "Wear",
    "AX Connected": "Wear",
    "Q Explorist HR": "Wear",
    "Vapor 2": "Wear",
    "Vapor": "Wear OS",
    "Q Venture HR": "Wear",
    "Runway": "Wear",
    "scallop": "Wear",
    "Riley Touch": "Wear",
    "Riley Touchscreen": "Wear",
    "Sofie": "Wear",
    "Julianna HR": "Wear OS by Google Smartwatch",
    "Lexington 2": "Wear OS by Google Smartwatch",
    "Sapphire": "Sico Sapphire",
    "CSL_Spice_MI700": "CSL Spice MI700",
    "Spice_MI700": "CSL Spice MI700",
    "Commtiva-N700": "Commtiva N700",
    "COUPLE": "MUSN COUPLE",
    "SH837W": "SHARP SH837W",
    "SHP-SH630E": "SHARP SH630E",
    "SH631W": "SHARP SH631W",
    "X900": "XOLO",
    "VP700": "vizio VP700",
    "VP800": "vizio VP800",
    "TONE m15": "Tone m15",
    "Freebox Player Mini": "Mini 4K",
    "Freebox Player Mini v2": "Mini 4K",
    "FTU18A00": "Cricket Wave",
    "FTE161E": "Ice 2",
    "FTE161G": "ICE2plus",
    "FTE171A": "ICE3",
    "FTJ17B00": "Miyabi 2 Dual",
    "FTJ17C00": "Priori 5",
    "FT162D": "Priori4",
    "FTJ162D": "Priori4",
    "FTJ162E": "RAIJIN",
    "FTJ161B": "FREETEL Samurai Rei",
    "FTJ17A00": "SAMURAI REI 2",
    "Fresh FHD Android TV": "Egypt",
    "Fresh UHD Android TV": "Egypt",
    "101F": "ARROWS A SoftBank 101F",
    "201F": "ARROWS A SoftBank 201F",
    "202F": "ARROWS A SoftBank 202F",
    "301F": "ARROWS A SoftBank 301F",
    "IS12F": "ARROWS ES IS12F",
    "F-03D": "ARROWS Kiss F-03D",
    "F-03E": "ARROWS Kiss F-03E",
    "M01": "ARROWS M01",
    "M357": "ARROWS M357",
    "F-11D": "ARROWS Me F-11D",
    "F-06E": "ARROWS NX F-06E",
    "EM01F": "ARROWS S EM01F",
    "F-05E": "ARROWS Tab F-05E",
    "FJT21": "ARROWS Tab FJT21",
    "F-01D": "ARROWS Tab LTE F-01D",
    "FAR70B": "ARROWS Tab Wi-Fi FAR70B",
    "FAR7": "ARROWS Tab Wi-Fi FAR75A/70A",
    "F-04E": "ARROWS V F-04E",
    "F-02E": "ARROWS X F-02E",
    "F-10D": "ARROWS X F-10D",
    "F-05D": "ARROWS X LTE F-05D",
    "FJL22": "ARROWS Z FJL22",
    "ISW11F": "ARROWS Z ISW11F",
    "ISW13F": "ARROWS Z ISW13F",
    "FJL21": "ARROWS ef FJL21",
    "F-074": "ARROWS mu F-07D",
    "F-07D": "ARROWS mu F-07D",
    "FJJB091": "ARROWS mu F-07D",
    "AceReal0100": "AceReal One",
    "F-07E": "Disney Mobile on docomo F-07E",
    "F-08D": "Disney Mobile on docomo F-08D",
    "F-09D": "F-09D ANTEPRIMA",
    "M02": "arrows M02",
    "Patio100_3G": "Patio100",
    "IS11T": "REGZA Phone IS11T",
    "IS04": "REGZA Phone T-01C",
    "T-01C": "REGZA Phone T-01C",
    "T-01D": "REGZA Phone T-01D",
    "T-02D": "REGZA Phone T-02D",
    "F-12D": "Raku-Raku SMART PHONE F-12D",
    "F-08E": "Raku-Raku SMART PHONE2 F-08E",
    "M350": "STYLISTIC M350/CA2",
    "M532": "STYLISTIC M532",
    "M702": "STYLISTIC M702",
    "MH350": "STYLISTIC MH350",
    "S01-orange": "STYLISTIC S01",
    "TONE-m17": "TONE m17",
    "F-41A": "arrows Be4 F-41A",
    "arrowsM03": "arrows M03",
    "arrowsM04": "arrows M04",
    "arrowsM04-PREMIUM": "arrows M04 PREMIUM",
    "arrowsM05": "arrows M05",
    "F-52A": "arrows NX9 F-52A",
    "arrowsRX": "arrows RX",
    "M01T": "arrows Tab M01T",
    "FUNAI 4K TV": "Smart TV",
    "Fusion5_F104B": "Fusion5",
    "W104Plus": "Fusion5",
    "Fusion5_F104E": "Fusion5_F104E_EEA",
    "176HS1050232": "B-52",
    "FMT-NM7108-01": "DRONE",
    "FMT-NT8A42-01": "Dual 8",
    "175WT1050231": "Eagle",
    "176HS1050531": "Falcon",
    "FMT-NM7058-02": "Flash",
    "Global3 B01": "Global3_B01",
    "16M4HI105024": "Netsurfer STORM",
    "16M5HI105023": "Netsurfer TYPHOON",
    "175HS1050231": "Tomcat",
    "175FT1050241": "Viper",
    "FMT-NM7116-01": "netsurferDUAL 7",
    "QX1000": "Fxtec QX1000",
    "HiSmartTV A4": "xiaoyushan_emW",
    "Stella Omega": "Stella_Omega",
    "S8K": "S8K_2",
    "G-TiDE FANS7": "FANS7",
    "G-TiDE_H1": "G-TiDE_H1_4",
    "G-TiDE_H1_4G": "PL1080",
    "G-TiDE_P1": "G-TiDE_P1_4",
    "Klap_S1": "Klap_S1_EEA",
    "V1": "Vision V1",
    "GABA 4K Android TV": "GABA",
    "GABA 2K Android TV": "GABA",
    "GC-AA1": "GC AA1",
    "uvh1301": "Kitchen Hub",
    "GIGI_U1": "U1",
    "Kidpa_M7": "Kidpad_M7",
    "Akta_A4": "Akta A4",
    "GSmart Aku A1": "Aku A1",
    "GSmart Alto A2": "Alto A2",
    "GSmart Arty A3": "Arty A3",
    "Classic": "Classic MY8301",
    "Elite": "Elite 18",
    "GSmart GS202+": "GS202+",
    "GSmart SX1": "SX1",
    "GSmart Guru G1": "Guru G1",
    "GSmart Maya M1": "Maya M1",
    "GSmart Maya M1 v2": "Maya M1 v2",
    "GSmart Mika M2": "Mika M2",
    "GSmart Mika M3": "Mika M3",
    "GSmart Rey R3": "Rey R3",
    "GSmart Rio R1": "Rio R1",
    "GSmart Roma R2": "Roma R2",
    "GSmart Saga S3": "Saga_S3",
    "GSmart Sierra S1": "Sierra S1",
    "GSmart T4": "T4",
    "GSmart Tuku T2": "Tuku T2",
    "Inspire_4": "Inspire 4.0",
    "GALAPAD_S6": "Galapad S6",
    "Garminfone": "Nuvifone",
    "nuvifone A50": "Nuvifone",
    "nüvifone A50": "Nuvifone",
    "SENSE901": "Retailer Stores",
    "GWAT10_1": "GWAT10_1 ",
    "1008S": "Feel_1008S",
    "8002N": "Feel_8002N",
    "GD Tough Mobile": "GD Tough mobile",
    "General Mobile 4G": "4G",
    "General Mobile 4G Dual": "4G Dual",
    "GM 5": "5",
    "e-tab4": "E-tab 4",
    "G310": "GM 21",
    "G301": "GM 20",
    "G501": "GM 20 Pro",
    "G510": "GM 21 Plus",
    "G312": "GM 22",
    "G512": "GM 22 Plus",
    "G702": "GM 22 Pro",
    "G100": "GM 6 ds",
    "GM 6": "GM 6 s",
    "GM6": "GM 6 s",
    "GM 8": "GM8",
    "GM 8 d": "GM8",
    "G008": "GM 9 Go",
    "GM 9 Pro d": "GM 9 Pro",
    "G300": "GM10",
    "GM 5 Plus": "GM5 Plus Turkcell",
    "GM 5 Plus d": "GM5 Plus d",
    "GM8 go": "GM8 Go",
    "GM 5 d": "General Mobile 5 d",
    "gminfo37": "Infotainment 3.7",
    "gminfo38": "Infotainment 3.8",
    "SHAHIN III": "Shahin_III",
    "ATV495MAX": "EnjoyTV",
    "ATV598MAX": "Enjoytv_hybrid",
    "GEO10X": "GEO10",
    "P9IV": "P9IV_Handheld_EEA",
    "CP600": "Tough Mobile",
    "Get boX": "Get Box",
    "Get box": "Get Box",
    "Telia box": "Get Box",
    "mx50": "MX50",
    "Getac Z710": "Z710",
    "zx70": "ZX70",
    "GHIA_ZEUS_3G": "ZEUS 3G",
    "EL-20-3050": "EL-20-3710",
    "GSmart G1317D": "GSmart G1317",
    "9DTB7": "Hipstreet 9DTB7 / Lazer MY9308P",
    "MY9308P": "Hipstreet 9DTB7 / Lazer MY9308P",
    "P102G": "P102g",
    "INHON PAPILIO G1": "PAPILIO G1",
    "GS-1008": "PROSCAN PLT1066 / MAG MAGPAD / TEAC TEACTAB / DOPO GS-1008",
    "MAGPAD": "PROSCAN PLT1066 / MAG MAGPAD / TEAC TEACTAB / DOPO GS-1008",
    "PLT1066": "PROSCAN PLT1066 / MAG MAGPAD / TEAC TEACTAB / DOPO GS-1008",
    "TEACTAB": "PROSCAN PLT1066 / MAG MAGPAD / TEAC TEACTAB / DOPO GS-1008",
    "SB510": "SB510 / IBT-102",
    "Gigabyte TB100": "TB100",
    "Aero1021/P1021HCBA4C1VXX": "TM105A",
    "Glacier": "TM105A",
    "Qrypton1010": "TM105A",
    "GSmart7Tab": "TM75A",
    "Qrypton7": "TM75A",
    "Voyager": "TM75A",
    "iliumPAD": "mexico",
    "Gigaset GS160": "GS160",
    "GS185": "Gigaset GS185",
    "E940-2796-00": "GS5",
    "E940-2878-03": "GS5 LITE",
    "E940-2796-05": "GS5 PRO",
    "E940-2878-03S": "GS5 Senior",
    "GS270": "Gigaset GS270",
    "GS270 plus": "Gigaset GS270 plus",
    "E940-2766-00": "Gigaset GS3",
    "GS370": "Gigaset GS370",
    "GS370_Plus": "Gigaset GS370_Plus",
    "E940-2795-00": "Gigaset GS4",
    "E940-2849-00": "Gigaset GX6",
    "GS55-6": "ME",
    "GS57-6": "ME Pro",
    "GS53-6": "ME Pure",
    "80-1": "Maxwell-10",
    "Gigaset QV1030": "QV1030",
    "Gigaset QV830": "QV830",
    "Gigaset QV831": "QV831",
    "s5Pro": "Gini s5Pro",
    "e6": "e6_plus",
    "Gini n8": "n8",
    "Ginzzu GT-1050": "GT-1050",
    "Ginzzu GT-7115": "GT-7115",
    "Ginzzu GT-7210": "GT-7210",
    "Ginzzu GT-8110": "GT-8110",
    "GIONEE A1": "A1",
    "A1 Plus": "A1_Plus",
    "GN9008": "E8",
    "GIONEE F10": "F10",
    "GIONEE F10 Plus": "F10 Plus",
    "GIONEE F11VE": "F11VE",
    "GIONEE F205": "F205",
    "GIONEE F6": "F6",
    "GIONEE F6L": "F6L",
    "GIONEE F8 Neo": "F8_Neo",
    "GIONEE F9": "F9",
    "GIONEE F9 Plus": "F9 Plus",
    "V6L": "ForwardZero",
    "GIONEE S12": "GIONEE H601",
    "GIONEE_MAX Pro": "GIONEE MAX Pro",
    "P15 Pro": "GIONEE P15 Pro",
    "GIONEE X1": "X1",
    "GIONEE M12": "GIONEE_H603B",
    "M11": "Polaroid M11",
    "GIONEE P12": "GIONEE_P12",
    "GN5005L": "GN5005",
    "GiONEE S7": "GN9006",
    "GN9012": "S6Pro",
    "GIONEE F205 Pro": "India",
    "M5_lite": "M5 Lite",
    "GN8003": "M6",
    "M6 lite": "M6 Lite",
    "GN8002": "M6 Plus",
    "GN8002S": "M6 Plus",
    "GIONEE M7": "M7",
    "GIONEE M7Plus": "M7Plus",
    "GIONEE P7": "P7",
    "GIONEE S10": "S10",
    "GIONEE S10 lite": "S10 lite",
    "GIONEE S10B": "S10B",
    "GIONEE S10BL": "S10BL",
    "GIONEE S10C": "S10C",
    "GIONEE S10CL": "S10CL",
    "GIONEE S10L": "S10L",
    "GIONEE S11": "S11",
    "GIONEE S11 lite": "S11 lite",
    "GIONEE S11L": "S11L",
    "GN9005": "S5.1",
    "GN9010": "S6",
    "GN9011": "S8",
    "GIONEE W919": "W919",
    "CS790Pro": "Springboard",
    "S20iQ19": "S20i",
    "GO Onyx LTE": "GO Onyx",
    "Go Onyx HD": "GO Onyx HD",
    "GO506": "GO SMART",
    "INSIGNIA_550i": "INSIGNIA 550i",
    "QUANTUM_1010N": "QUANTUM 1010N",
    "QUANTUM_400_LITE": "QUANTUM 400 LITE",
    "QUANTUM_700S": "QUANTUM_700S/QUANTUM 700S",
    "Quantum_500_STEEL": "Quantum 500 STEEL",
    "TQ700": "TQ700/QUANTUM 700/TAB",
    "F9prime": "F9Prime",
    "Team 7.0": "Team_7",
    "GOME_2018X07A": "GOME C7",
    "zork": "AMD Raven Ridge Chromebook",
    "grunt": "AMD Stoney Ridge Chromebook",
    "Acer Chromebook 14 (CB3-431)": "Chromebook 14 (CB3-431)",
    "Google Chromebook Pixel (2015)": "Chromebook Pixel (2015)",
    "Chromebox Reference": "Chromebox",
    "fizz": "Chromebox",
    "puff": "Chromebox",
    "Chromecast": "Chromecast Google TV",
    "Chromecast HD": "Chromecast Google TV (HD)",
    "AOSP on IA Emulator": "Emualtor",
    "Android SDK built for x86": "Emulator",
    "Android SDK built for x86_64": "Emulator",
    "GT-I9505G": "Galaxy S4 Google Play Edition",
    "sdk_gphone_x86": "Google Android Emulator",
    "HPE device": "Google Play Games on PC",
    "brya": "Intel Alder Lake Chromebook",
    "rammus": "Intel Amber Lake Y Chromebook",
    "coral": "Intel Apollo Lake Chromebook",
    "ASUS Chromebook C213NA": "Intel Apollo Lake Chromebook",
    "reef": "Intel Apollo Lake Chromebook",
    "Braswell Chrome OS Device": "Lenovo N Series Chromebook",
    "Intel Braswell Chromebook": "Lenovo N Series Chromebook",
    "hatch": "Intel Comet Lake U Chromebook",
    "octopus": "Intel Gemini Lake Chromebook",
    "dedede": "Intel Jasper Lake Chromebook",
    "keeby": "Intel Jasper Lake Chromebook",
    "nami": "Intel Kaby Lake U Chromebook",
    "volteer": "Intel Tiger Lake Chromebook",
    "jacuzzi": "Mediatek MT8173 Chromebook",
    "kukui": "Mediatek MT8183 Tablet",
    "asurada": "Mediatek MT8192 Chromebook",
    "Lenovo N23 Yoga/Flex 11 Chromebook": "Mediatek MTK8173 Chromebook",
    "Mediatek MT8173 Chromebook": "Mediatek MTK8173 Chromebook",
    "Pixel 5a": "Pixel 5a 5G",
    "Google Pixel Slate": "Pixel Slate",
    "nocturne": "Pixel Slate",
    "Google Pixel Watch": "Pixel Watch",
    "Google Pixelbook Go": "Pixelbook",
    "atlas": "Pixelbook",
    "Google Pixelbook": "Pixelbook",
    "Yellowstone": "Project Tango Tablet Development Kit",
    "trogdor": "Qualcomm SC7180 Chromebook",
    "strongbad": "Qualcomm SC7180 Detachable",
    "RK3288 Chrome OS Device": "Rockchip RK3288 Chromebook",
    "Automotive SDK built for x86_64": "gcar emulator",
    "AOSP on x86": "gcar emulator",
    "Automotive SDK built for x86": "gcar emulator",
    "GPLUS F53": "F53",
    "GPLUS_FW6950": "FW6950",
    "Gplus P10": "P10",
    "Gplus P10 2022": "P10 2022",
    "Gplus P10+": "P10+",
    "GMC-668M": "Q20",
    "Gplus S10": "S10",
    "GPLUS_S9701": "S9701",
    "Gplus X10": "X10",
    "Gplus X10+": "X10+",
    "Gplus Z10": "Z10",
    "Great Wall T709": "T709GW",
    "X1_Light": "X1 Light",
    "X1 Light": "X1_Light",
    "GTB 1050": "GTB1050",
    "GTB 850": "GTB850",
    "Grundig Android UHD TV": "Grundig UHD Android TV",
    "GTB 801": "TC69CA2",
    "Grunkel 2K Android TV": "EU、UK、AP",
    "GRUNKEL FHD Android TV": "Spain",
    "GRUNKEL UHD Android TV": "Spain",
    "A7100_X3": "A7100 X3",
    "A714_Vivo_Play": "A714 Vivo Play",
    "A716_Inspire_Life": "A716 Inspire Life",
    "A726_Infinity_Lite": "A726 Infinity Lite",
    "Gtel Infinity 9": "Gtel_Infinity_9",
    "Gtel Infinity X": "Gtel_Infinity_X",
    "Gtel X5": "X5",
    "Gtel X5plus": "X5plus",
    "GUESS Connect": "Wear",
    "TK718": "HDC",
    "HIMADE4KAndroidTV": "HIMADE",
    "HMR5012": "HMR NETWORKS (PTY) LTD",
    "VE1983": "USA",
    "P30 Pro": "P30 pro",
    "S9_Plus": "S9 Plus",
    "HORIZON Android TV": "EU",
    "HP 10": "10",
    "HP 10 Plus": "10 Plus",
    "HP 7 G2": "7 G2",
    "HP 7 Plus": "7 Plus",
    "HP 7 Plus G2": "7 Plus G2",
    "HP 7": "7 Tablet",
    "HP 7 VoiceTab": "7 VoiceTab",
    "HP 7.1": "7.1",
    "HP 8": "8",
    "HP 8 G2": "8 G2",
    "HP Slate 10 HD": "Slate 7 HD",
    "HP Chromebook x2": "Chromebook x2",
    "soraka": "Chromebook x2",
    "HP Chromebook x360 11 G1 EE": "Chromebook x360 11 G1 EE",
    "HP Chromebook 11 G5": "HP Chromebook 11 G5 / 11-vxxx",
    "HP Chromebook 11 G5 / HP Chromebook 11-vxxx": "HP Chromebook 11 G5 / 11-vxxx",
    "HP Pro 8 Tablet with Voice": "Pro 8 Tablet with Voice",
    "HP Pro Slate 10 EE G1": "Pro Slate 10 EE G1",
    "HP Pro Slate 12": "Pro Slate 12",
    "HP Pro Slate 8": "Pro Slate 8",
    "HP Slate 10 Plus": "Slate 10 Plus",
    "HP Slate 17": "Slate 17",
    "HP Slate 6 Voice Tab": "Slate 6 Voice Tab",
    "HP Slate 6 Voice Tab II": "Slate 6 Voice Tab II",
    "HP Slate 6 VoiceTab Plus": "Slate 6 VoiceTab Plus",
    "HP Slate 7": "Slate 7",
    "HP Slate 7 Beats Special Edition": "Slate 7 Beats Special Edition",
    "HP Slate7 Beats Special Edition": "Slate 7 Beats Special Edition",
    "HP Slate7 Extreme": "Slate 7 Extreme",
    "HP Slate 7 HD": "Slate 7 HD",
    "HP Slate 7 Voice Tab": "Voice Tab 7",
    "HP Slate 7 VoiceTab Ultra": "Slate 7 VoiceTab Ultra",
    "HP Slate 8 Plus": "Slate 8 Plus",
    "HP Slate 8 Pro": "Slate8 Pro",
    "Slate 21": "Slate21",
    "HP Slate 7 Plus": "Slate7 Plus",
    "HP SlateBook 10 x2 PC": "SlateBook 10 x2 PC",
    "HP SlateBook 14 PC": "SlateBook 14",
    "HP_10_Tablet": "Tablet 10",
    "HTC One X9 dual sim": "One X9 dual sim",
    "ADR6325": "ADR6325",
    "HTC_0P3P5": "0P3P5",
    "HTC_0P4E2": "Desire 601",
    "HTC 0P9C8": "0P9C8",
    "HTC Desire 816 dual sim": "Desire 816 dual sim",
    "HTC_0PFJ50": "0PFJ50",
    "HTC 0PK72": "0PK72",
    "HTC One M9PLUS": "One M9PLUS",
    "HTC 10": "M10",
    "HTC 10 Lifestyle": "10",
    "HTC 2PS63": "10",
    "HTC M10u": "10",
    "HTC 2PS6200": "10",
    "HTC M10h": "10",
    "HTC_M10h": "10",
    "HTV32": "10",
    "2PS64": "10",
    "HTC6545LVW": "10",
    "MSM8996 for arm64": "10",
    "HTC_M10f": "10 evo",
    "HTC Desire 500 dual sim": "Desire 500 dual sim",
    "HTC 601e": "601e",
    "HTC 606w": "Desire 606w",
    "HTC Desire 600": "Desire 600",
    "HTC Desire 600 dual sim": "Desire 600 Dual SIM",
    "HTC PO49120": "606w",
    "HTC 608t": "desire 608t",
    "HTC 609d": "Desire 609d",
    "HTC 6160": "6160",
    "HTC 619d": "619d",
    "HTC_7060": "Desire 7060",
    "HTC 802d": "One",
    "HTC 803e": "803e",
    "HTC 8060": "8060",
    "HTC 8088": "8088",
    "HTC 809d": "809d",
    "HTC 8160": "8160",
    "HTC 901e": "9060",
    "HTC 801e": "One",
    "HTC 802w": "One",
    "HTC 9088": "9088",
    "HTC 919d": "HTC909d",
    "HTC_A510c": "A510c",
    "HTC EVARE_UL": "AT&T HTC One X+",
    "HTC One X+": "One X+",
    "HTC Amaze 4G": "Amaze_4G",
    "HTC Ruby": "Amaze_4G",
    "HTC_Amaze_4G": "Amaze_4G",
    "HTC Aria": "Aria",
    "HTC Aria A6380": "Aria",
    "HTC Gratia A6380": "Aria",
    "HTC Liberty": "Aria",
    "HTC Butterfly": "Butterfly",
    "HTC DLX_U": "Butterfly",
    "HTC X920e": "Butterfly",
    "HTC DLXUB1": "Butterfly",
    "HTC Butterfly 2": "Butterfly 2",
    "HTC_B810x": "Butterfly 2",
    "HTC_B830x": "Butterfly 3",
    "HTC Butterfly s": "Butterfly S",
    "HTC_Butterfly_s_901s": "Butterfly S",
    "HTC 9060": "Butterfly s 9060",
    "HTC ChaCha A810b": "Chacha",
    "HTC ChaCha A810e": "Chacha",
    "HTC ChaChaCha A810e": "Chacha",
    "HTC Status": "Chacha",
    "HTC D10w": "D10w",
    "HTC D316d": "D316d",
    "HTC D610t": "D610t",
    "HTC D626t": "D626t",
    "HTC Desire 626 dual sim": "Desire 626 dual sim",
    "HTC_D626q": "D626q",
    "HTC_D628u": "D628u",
    "HTC D728w": "D728w",
    "HTC Desire 728 dual sim": "Desire 728 dual sim",
    "HTC_D728x": "D728x",
    "HTC D816d": "D816d",
    "HTC_D816d": "D816d",
    "HTC D816e": "D816e",
    "HTC D816h": "Desire 816G dual sim",
    "HTC D816t": "D816t",
    "HTC D816v": "D816v",
    "HTC D816w": "D816w",
    "HTC D820mt": "Desire D820mini",
    "HTC_D820f": "D820f",
    "HTC D820t": "D820t",
    "HTC D820u": "D820u",
    "HTC_D820u": "D820u",
    "HTC_D820ts": "D820ys",
    "HTC_D820ys": "D820ys",
    "HTC D826t": "Desire 826 4G 移動公開版(双卡双待)",
    "HTC6435LRA": "Droid DNA",
    "ADR6410LRA": "DROID Incredible 4G LTE",
    "ADR6410LVW": "DROID Incredible 4G LTE",
    "ADR6410OM": "DROID Incredible 4G LTE",
    "HTC Desire": "Desire",
    "X06HT": "Desire",
    "PB99400": "Desire",
    "HTC 2PZS1": "Desire 10 compact",
    "HTC Desire 10 compact": "Desire 10 compact",
    "a37dj dugl": "Desire 10 compact",
    "HTC Desire 10 lifestyle": "Desire 10 lifestyle",
    "HTC_D10u": "Desire 10 lifestyle",
    "HTC Desire 10 pro": "Desire 10 pro",
    "HTC_D10i": "Desire 10 pro",
    "HTC 2PYA3": "Desire 10 pro",
    "HTC 2Q5V1": "Desire 12",
    "HTC Desire 12": "Desire 12",
    "HTC 2Q5V200": "Desire 12",
    "HTC Desire 12 (2Q5V200)": "Desire 12",
    "HTC 2Q5W1": "Desire 12+",
    "HTC 2Q5W2": "Desire 12+",
    "HTC Desire 12+": "Desire 12+",
    "HTC ZQ5W10000": "Desire 12+",
    "HTC 2Q721": "Desire 12s",
    "HTC Desire 12s": "Desire 12s",
    "EXODUS 1s": "Desire 12s",
    "2Q9J100": "Desire 20 Pro",
    "HTC Desire 200": "Desire 200",
    "HTC_Desire_200": "Desire 200",
    "HTC Desire 210 dual sim": "Desire 210 dual sim",
    "HTC 301e": "Desire 300",
    "HTC Desire 300": "Desire 300",
    "HTC_0P6A1": "Desire 300",
    "HTC_Desire_300": "Desire 300",
    "HTC D310w": "Desire 310",
    "HTC Desire 310 dual sim": "Desire 310",
    "HTC Desire 310": "Desire 310",
    "HTC_D310n": "Desire 310",
    "HTC_V1": "Desire 310",
    "HTC 0PF11": "Desire 320",
    "HTC 0PF120": "Desire 320",
    "HTC Desire 320": "Desire 320",
    "HTC 2PNT1": "Desire 326G dual sim",
    "HTC Desire 326G dual sim": "Desire 326G dual sim",
    "HTC Desire 500": "Desire 500",
    "HTC_Desire_500": "Desire 500",
    "HTC 5060": "Desire 500 dual sim",
    "HTC Desire 501": "Desire 501",
    "HTC_603h": "Desire 501",
    "HTC Desire 501 dual sim": "Desire 501 dual sim",
    "HTC 5088": "Desire 5088",
    "0PCV1": "Desire 510",
    "HTC 0PCV20": "Desire 510",
    "HTC Desire 510": "Desire 510",
    "HTC_0PCV2": "Desire 510",
    "HTC Desire 512": "Desire 512",
    "HTC D516d": "Desire 516",
    "HTC D516t": "Desire 516",
    "HTC C2": "Desire 516",
    "HTC D516w": "Desire 516",
    "HTC V2": "Desire 516 dual sim",
    "HTC Desire 516 dual sim": "Desire 516 dual sim",
    "HTC 0PGQ1": "Desire 520",
    "HTC 0PM31": "Desire 526",
    "HTC Desire 526": "Desire 526",
    "HTCD100LVW": "Desire 526",
    "HTCD100LVWPP": "Desire 526",
    "HTC 0PL41": "Desire 526GPLUS",
    "HTC 0PL4100": "Desire 526G+ dual sim",
    "HTC Desire 526G dual sim": "Desire 526G+ dual sim",
    "HTC Desire 526GPLUS dual sim": "Desire 526G+ dual sim",
    "HTC_D526h": "Desire 526G+ dual sim",
    "HTC Desire 526G": "Desire 526GPLUS",
    "HTC 2PST1": "Desrie D530",
    "HTC 2PST2": "Desire 530",
    "HTC Desire 530": "Desrie D530",
    "HTC_D530u": "Desire 530",
    "HTC 2PST3": "Desire 530",
    "HTCD160LVW": "Desire 530",
    "HTCD160LVWPP": "Desire 530",
    "HTC Desire 550": "Desire 550/ 555",
    "HTC Desire 555": "Desire 550/ 555",
    "HTC Desire 600c dual sim": "Desire 600c Dual SIM",
    "HTC Desire 601": "Desire 601",
    "HTC0P4E1": "Desire 601",
    "HTC Desire 601 dual sim": "Desire 601 dual sim",
    "HTC Desire 610": "desire 610",
    "HTC_0P9O2": "Desire 610",
    "HTC_D610x": "Desire 610",
    "HTC 0P9O30": "Desire 612",
    "HTC Desire 612": "Desire 612",
    "HTC D616w": "Desire 616 dual sim",
    "HTC Desire 616 dual sim": "Desire 616 dual sim",
    "HTC V3": "Desire 616 dual sim",
    "HTC 0PE64": "Desire 620",
    "HTC Desire 620": "Desire 620",
    "HTC_D620u": "Desire 620 dual sim",
    "HTC 0PE65": "Desire 620G dual sim",
    "HTC Desire 620G dual sim": "Desire 620G dual sim",
    "HTC_D620h": "Desire 620G dual sim",
    "HTC D626d": "Desire 626",
    "HTCD200LVW": "Desire 626",
    "HTCD200LVWPP": "Desire 626",
    "HTC Desire 626": "Desire626s",
    "HTC_D626x": "Desire 626",
    "HTC_D630x": "Desire 626",
    "HTC_0PKX2": "Desire 626",
    "HTC 0PM11": "Desire 626G+ dual sim",
    "HTC Desire 626G dual sim": "Desire 626G+ dual sim",
    "HTC Desire 626GPLUS dual sim": "Desire 626G+ dual sim",
    "HTC_D626ph": "Desire 626G+ dual sim",
    "HTC Desire 625": "Desire 626s",
    "HTC Desire 626s": "Desire 626s",
    "0PM92": "Desire 626s",
    "HTC 0PM92": "Desire 626s",
    "HTC Desire 628": "Desire 628",
    "HTC 2PST5": "Desire 630 dual sim",
    "HTC Desire 630 dual sim": "Desire 630 dual sim",
    "HTC 2PYR1": "Desire 650",
    "HTC Desire 650": "Desire 650",
    "HTC_D650h": "Desire 650",
    "A37 DUGL": "Desire 650 dual sim",
    "HTC Desire 650 dual sim": "Desire 650 dual sim",
    "HTC Desire 700 dual sim": "Desire 700 dual sim",
    "HTC_709d": "Desire 700 dual sim",
    "HTC 7088": "Desire 7088",
    "HTC 709d": "Desire 709d",
    "HTC 2PQ84": "Desire 728",
    "HTC Desire 728": "Desire 728",
    "HTC 2PQ83": "Desire 728G dual sim",
    "HTC Desire 728G dual sim": "Desire 728G dual sim",
    "HTC Desire 816": "Desire 816",
    "HTC_0P9C2": "Desire 816",
    "HTC_D816x": "Desire 816",
    "HTC Desire 816G dual sim": "Desire 816G dual sim",
    "HTC 0PFJ4": "Desire 820",
    "HTC Desire 820": "Desire 820",
    "HTC Desire 820 dual sim": "Desire 820 dual sim",
    "HTC Desire 820G PLUS dual sim": "Desire 820G PLUS dual sim",
    "HTC Desire 820G dual sim": "Desire 820G PLUS dual sim",
    "HTC_D820pi": "Desire 820G PLUS dual sim",
    "HTC Desire 820q dual sim": "Desire 820q dual sim",
    "HTC D820ts": "Desire 820s",
    "HTC D820us": "Desire 820s",
    "HTC Desire 820s dual sim": "Desire 820s dual sim",
    "HTC 2PUK2": "Desire 825",
    "HTC Desire 825": "Desire 825",
    "HTC_D825u": "Desire 825",
    "HTC 2PUK1": "Desire 825 dual sim",
    "HTC Desire 825 dual sim": "Desire 825 dual sim",
    "HTC D826w": "Desire 826",
    "HTC D826d": "Desire D826",
    "HTC_D826y": "Desire 826",
    "HTC Desire 826 dual sim": "Desire 826 dual sim",
    "HTC D828w": "Desire 828",
    "HTC_D828x": "Desire 828",
    "HTC 2PRE4": "Desire 828",
    "HTC Desire 828": "Desire 828",
    "HTC_D828g": "Desire 828",
    "HTC Desire 828 dual sim": "Desire 828 dual sim",
    "HTC 2PRE2": "Desire 828 dual sim",
    "HTC Desire 830": "Desire 830",
    "HTC_D830x": "Desire 830",
    "HTC 2PVD1": "Desire 830 dual sim",
    "HTC D830u": "Desire 830 dual sim",
    "HTC Desire 830 dual sim": "Desire 830 dual sim",
    "HTC Desire C": "Desire C",
    "HTC D626w": "Desire D626w",
    "HTC D820mu": "Desire D820mini",
    "HTC 0PFH2": "Desire EYE",
    "HTC Desire EYE": "Desire EYE",
    "HTC_M910x": "Desire EYE",
    "HTC 0PFH11": "Desire EYE",
    "HTC Desire Eye": "Desire EYE",
    "001HT": "Desire HD",
    "HTC Desire HD A9191": "Desire HD",
    "Inspire HD": "Desire HD",
    "HTC Desire L dual sim": "T528w",
    "HTC Desire P": "Desire P",
    "HTC Desire S": "Desire S",
    "HTC Desire SV": "Desire SV",
    "HTC Desire Q": "Desire V",
    "HTC Desire U": "Desire V",
    "HTC Desire U dual sim": "Desire V",
    "HTC Desire V": "Desire V",
    "HTC PROMIN_U": "Desire V",
    "HTC PRO_DS": "Desire V",
    "HTC T327w": "Desire V",
    "HTC T328w": "Desire V",
    "HTC Desire VC": "Desire VC",
    "HTC Desire VC T328d": "Desire VC",
    "HTC PRO_DD": "Desire VC",
    "HTC T328d": "Desire VC",
    "HTC Desire X": "desire x",
    "HTC POO_U": "Desire X",
    "HTC Desire X dual sim": "Desire X dual sim",
    "HTC Desire XC dual sim": "Desire XC dual sim",
    "HTC_Desire_320": "Desire320",
    "HTC 0PKX2": "Desire626",
    "HTC 0PM912": "Desire626s",
    "HTC Desire 816G": "Desire815G",
    "Eris": "Droid Eris",
    "ADR6300": "Droid Incredible",
    "HTC E9pt": "E9pt",
    "HTC E9pw": "E9pw",
    "HTC_E9pw": "E9pw",
    "HTC E9t": "E9t",
    "HTC E9w": "E9w",
    "HTC_E9x": "E9x",
    "HTCEVOV4G": "EVO 3D",
    "PG86100": "EVO 3D",
    "ISW12HT": "EVO 3D ISW12HT",
    "HTC EVO 3D X515a": "EVO 3D X515m",
    "HTC EVO 3D X515m": "EVO 3D X515m",
    "HTC Inspire 3D": "EVO 3D X515m",
    "EVO": "EVO LTE 4G",
    "PG06100": "EVO Shift 4G",
    "PC36100": "Evo 4G",
    "HTC Explorer": "Explorer A310e",
    "HTC Explorer A310b": "Explorer A310e",
    "HTC Explorer A310e": "Explorer A310e",
    "HTC Flyer": "Flyer",
    "HTC Flyer P510e": "Flyer",
    "HTC Flyer P511e": "Flyer",
    "HTC Flyer P512": "Flyer",
    "HTC_Flyer_P512_NA": "Flyer",
    "HTC Dream": "G1",
    "HTC Vision": "G2",
    "T-Mobile G2": "G2",
    "2Q8L10000": "HTC Desire 19s",
    "HTC 2Q9J10000": "HTC Desire 20 Pro",
    "2Q9U100": "HTC Desire 20+",
    "2QAG100": "HTC Desire 21 pro 5G",
    "2QBK100": "HTC Desire 22 5G",
    "2QBK10000": "HTC Desire 22 5G",
    "HTC Desire 22 pro": "HTC Desire 22 5G",
    "HTC 2PVG2": "HTC Desire 628 dual sim",
    "2Q74100": "HTC Desire19+",
    "HTC Desire 19+": "HTC Desire19+",
    "HTC One": "One Google Play edition",
    "HTC One mini": "One mini",
    "HTC 2PZC100": "U11",
    "HTC 2Q4R400": "HTC U11 EYEs",
    "HTC 2Q4R300": "HTC U11 EYEs",
    "HTC 2Q4R1": "HTC U11 EYEs",
    "HTC 2Q4R100": "HTC U11 EYEs",
    "HTC U11 life": "U11 Life",
    "HTC U11 Life": "U11 Life",
    "HTC 2Q4D200": "HTC U11+",
    "HTC U11 plus": "HTC U11+",
    "HTC_2Q4D100": "HTC U11+",
    "HTC 2Q7A100": "HTC U19e",
    "HTC331ZLVW": "HTCDesire612VZW",
    "HTC331ZLVWPP": "HTCDesire612VZW",
    "HTC Acquire": "HTCEVODesign4G",
    "HTC EVO Design C715e": "HTCEVODesign4G",
    "HTC Hero S": "HTCEVODesign4G",
    "HTC Kingdom": "HTCEVODesign4G",
    "PH44100": "HTCEVODesign4G",
    "HTC6600LVW": "HTCOneMaxVZW",
    "ERA G2 Touch": "Hero",
    "HTC Hero": "Hero",
    "T-Mobile G2 Touch": "Hero",
    "T-Mobile_G2_Touch": "Hero",
    "dopod A6288": "Hero",
    "HERO200": "Hero",
    "ADR6350": "Incredible 2",
    "HTC IncredibleS S710d": "Incredible 2",
    "HTC Incredible S": "Incredible S",
    "HTC_S710E": "Incredible S",
    "HTL21": "J Butterfly",
    "HTL22": "J One",
    "HTC J Z321e": "J Z321e",
    "HTX21": "KDDI Infobar A02",
    "HTC Legend": "Legend",
    "HTC M8si": "M8si",
    "HTC M8t": "M8t",
    "HTC One M9": "One M9",
    "HTC M9e": "M9e",
    "HTC One M9_Prime Camera Edition": "M9e",
    "HTC One M9s": "M9e",
    "HTC_M9e": "M9e",
    "HTC M9et": "M9et",
    "HTC M9ew": "M9ew",
    "HTC_M9ew": "M9ew",
    "HTC M9pw": "M9pw",
    "HTC_M9px": "M9px",
    "HTC M9w": "M9w",
    "Nexus 9": "Nexus 9 LTE",
    "HTC One dual sim": "One Dual Sim",
    "HTC One M8s": "ONE M8s",
    "HTC_0PKV1": "ONE M8s",
    "HTC One S": "One S",
    "HTC K2_U": "ONE SV",
    "HTC One SV": "One SV BLK",
    "HTC One 801e": "One 801e",
    "HTC_PN071": "One",
    "HTC 802t": "One",
    "HTC 802t 16GB": "One",
    "HTC One dual 802d": "One Dual 802d",
    "HTCONE": "One",
    "HTC6500LVW": "One",
    "HTC M8Sd": "One (E8) dual sim",
    "HTC M8St": "One (E8) 时尚版",
    "HTC One_E8": "One_E8",
    "HTC_M8Sx": "One (E8)",
    "0PAJ5": "One (E8)",
    "HTC One_E8 dual sim": "One (E8) dual sim",
    "HTC_M8Sy": "One (E8) dual sim",
    "HTC 0PAJ4": "One (E8) dual sim",
    "HTC M8Sw": "One (E8) 时尚版   4G LTE双卡双待联通版",
    "HTC M8Ss": "One (E8) 時尚版4G LTE 移动版",
    "HTC 0P6B900": "One (M8 EYE)",
    "HTC One_M8 Eye": "One (M8 Eye)",
    "HTC 0P6B9": "One (M8 Eye)",
    "HTC M8w": "One (M8)",
    "HTC One_M8": "One (M8)",
    "HTC_0P6B": "One (M8)",
    "HTC_0P6B6": "One (M8)",
    "HTC_M8x": "One (M8)",
    "HTC One_M8 dual sim": "One (M8)",
    "HTC M8d": "One (M8)",
    "831C": "One (M8)",
    "HTC6525LVW": "One (M8)",
    "HTC M8e": "One (M8) (4G LTE 双卡双待 联通版)",
    "HTC One 801s": "One 801e",
    "HTC A9w": "One A9",
    "HTC One A9": "One A9",
    "HTC_A9u": "One A9",
    "2PQ93": "One A9",
    "HTC 2PWD1": "U Play",
    "HTC One A9s": "One A9s",
    "HTC_A9sx": "One A9s",
    "HTC 2PWD2": "One A9s",
    "HTC_M8Sd": "One E8 dual",
    "HTC 0PL31": "One E9 dual sim",
    "HTC One E9 dual sim": "One E9 dual sim",
    "HTC One E9PLUS dual sim": "One E9PLUS dual sim",
    "HTC D826sw": "One E9s dual sim",
    "HTC One E9s dual sim": "One E9s dual sim",
    "HTC_E9sx": "One E9s dual sim",
    "HTC M8Et": "One M8 eye 4G LTE",
    "HTC M8Ew": "One M8 eye 4G LTE",
    "0PJA10": "One M9",
    "HTC 0PJA10": "One M9",
    "HTC_0PJA10": "One M9",
    "HTC_M9u": "One M9",
    "0PJA2": "One M9",
    "HTC6535LRA": "One M9",
    "HTC6535LVW": "One M9",
    "HTC 0PK71": "One M9+ (Prime Camera Edition)",
    "HTC M9pt": "One M9+",
    "HTC_M9pw": "One M9+",
    "HTC One M9PLUS_Prime Camera Edition": "One M9+ (Prime Camera Edition)",
    "HTC 0PLA1": "One ME dual sim",
    "HTC One ME dual sim": "One ME dual sim",
    "HTC VLE_U": "One S",
    "HTC Z560e": "One S",
    "HTC One S Special Edition": "One S Special Edition",
    "HTC 2PRG100": "One S9",
    "HTC One S9": "One S9",
    "HTC_S9u": "One S9",
    "HTC One SC": "One SC",
    "HTC One SC T528d": "One SC",
    "C525c": "One SV",
    "HTC K2_UL": "One SV",
    "HTC One SV BLK": "One SV BLK",
    "HTC One V": "One V",
    "HTC ONE V": "One V",
    "HTC One VX": "One VX",
    "HTC One X": "Onex X",
    "HTC S720e": "S720e",
    "HTC 2PXH1": "One X10",
    "HTC One X10": "One X10",
    "HTC 2PXH2": "One X10",
    "HTC_X10u": "One X10",
    "HTC 2PXH3": "One X10",
    "HTC 2PS5200": "One X9",
    "HTC X9u": "One X9 dual sim",
    "HTC_X9u": "One X9 dual sim",
    "HTC One XL": "One XL",
    "HTC_One_XL": "One XL",
    "HTC EVA_UTL": "One XL",
    "HTC One max": "One max",
    "HTC_One_max": "One max",
    "HTC0P3P7": "One max",
    "HTC_One_mini_601e": "One mini 601E",
    "HTC_PO582": "One mini",
    "HTC One mini 2": "One mini 2",
    "HTC_M8MINx": "One mini 2",
    "HTC_One_mini_2": "One mini 2",
    "HTC6515LVW": "One remix",
    "HTC PO091": "PO091",
    "HTC PG09410": "Puccini",
    "HTC-P715a": "Puccini",
    "HTC Rhyme S510b": "Rhyme S510b",
    "HTC Salsa C510b": "Salsa C510e",
    "HTC Salsa C510e": "Salsa C510e",
    "HTC Sensation": "Sensation 4G",
    "HTC Sensation 4G": "Sensation 4G",
    "HTC Sensation XE with Beats Audio": "Sensation 4G",
    "HTC Sensation XE with Beats Audio Z715a": "Sensation 4G",
    "HTC Sensation XE with Beats Audio Z715e": "Sensation 4G",
    "HTC Sensation Z710a": "Sensation 4G",
    "HTC Sensation Z710e": "Sensation 4G",
    "HTC-Z710a": "Sensation 4G",
    "HTC Sensation XL with Beats Audio X315b": "Sensation XL with Beats Audio X315e",
    "HTC Sensation XL with Beats Audio X315e": "Sensation XL with Beats Audio X315e",
    "HTC-X315E": "Sensation XL with Beats Audio X315e",
    "Sensation XL with Beats Audio": "Sensation XL with Beats Audio X315e",
    "HTC T329d": "T329d",
    "HTC 2PQ910": "Telstra Signature™ Premium",
    "ADR6400L": "Thunderbolt",
    "HTC Mecha": "Thunderbolt",
    "HTC U Play": "U Play",
    "HTC_U-2u": "U Play",
    "HTC 2PZM3": "U Play",
    "HTC U-1w": "U Ultra",
    "HTC U Ultra": "U Ultra",
    "HTC_U-1u": "U Ultra",
    "HTC 2PZF1": "U Ultra",
    "HTC U-3w": "U11",
    "HTC U11": "U11",
    "HTC_U-3u": "U11",
    "601HT": "U11",
    "HTV33": "U11",
    "2PZC5": "U11",
    "HTC 2Q55300": "U12 +",
    "HTC 2Q6E1": "U12 Life",
    "HTC U12 life": "U12 Life",
    "HTC 2Q551": "U12+",
    "HTC 2Q551+": "U12+",
    "HTC 2Q55100": "U12+",
    "HTC U12+": "U12+",
    "HTC 2Q552": "U12+",
    "2Q9F100": "U20 5G",
    "HTC U20 5G": "U20 5G",
    "HTC PH39100": "Velocity 4G",
    "HTC Raider X710e": "Velocity 4G",
    "HTC Velocity 4G": "Velocity 4G",
    "HTC Velocity 4G X710s": "Velocity 4G",
    "HTC-X710a": "Velocity 4G",
    "HTC WF5w": "WF5w",
    "HTC Wildfire": "Wildfire CDMA",
    "HTC Bee": "Wildfire CDMA",
    "HTC Wildfire E1": "Wildfire E1",
    "Wildfire E1 Plus": "Wildfire_E1_Plus",
    "HTC Wildfire S": "Wildfire S",
    "HTC Wildfire S A510b": "Wildfire S",
    "HTC Wildfire S A510e": "Wildfire S",
    "HTC-A510a": "Wildfire S",
    "HTC Wildfire S A515c": "Wildfire S A515c",
    "HTC-PG762": "Wildfire S A515c",
    "USCCADR6230US": "Wildfire S A515c",
    "Wildfire R70": "Wildfire_R70",
    "HTC Desire 400 dual sim": "desire 400 dual sim",
    "HTC first": "first",
    "HTC Magic": "myTouch 3G",
    "T-Mobile myTouch 3G": "myTouch 3G",
    "T-Mobile myTouch 3G Slide": "myTouch 3G Slide",
    "HTC Glacier": "myTouch 4G",
    "HTC Panache": "myTouch 4G",
    "myTouch_4G_Slide": "myTouch 4G Slide",
    "KHATAR H-10 mini": "Eastaeon - Mediatek",
    "Hackers_Tab": "HackersTab",
    "HAEHNE": "A863K_EEA",
    "Andromax A36C5H": "A36C5H",
    "Haier A42P": "A42P",
    "Smartfren Andromax AD6B1H": "AD6B1H",
    "Haier_AL40": "AL40",
    "CANDY Android TV 2K": "APAC",
    "A3_Lite": "Alpha A3 Lite",
    "Andromax C46B2H": "C46B2H",
    "HEC Android TV 2K": "EU",
    "EVVO 4K Android TV": "EVVO Android TV",
    "EVVO 2K Android TV": "Ecuador",
    "INNOVA 2K Android TV": "Ecuador",
    "E13": "Elegance E13",
    "E7": "Elegance E7",
    "E9": "Elegance E9",
    "HM-G553-FL": "G51",
    "HM-G552-FL": "G7",
    "I7A-LE": "GF88",
    "HS_9DTB37": "HS-9DTB37",
    "FORZA": "HW-I509-W",
    "Binatone Homesurf744 / Hubble Smart7 (Homesurf744)": "Haier",
    "PAD69H": "Haier",
    "pad_d85": "Haier",
    "W627": "Haier",
    "W861": "Haier",
    "haierATVnippori": "Haier 2K android TV",
    "haierATV": "Haier Android TV",
    "haierATVhongik": "Haier Android TV",
    "haierATVuguisudani": "Haier Android TV",
    "Haier Android TV FFProISDB": "Haier Android TV FF Pro ISDB",
    "HM-N700-FL": "haier lesure L7",
    "Titan_T5": "Haier Titan T5",
    "Haier 4K Android TV": "Haier android TV",
    "HM-G701-FL": "HaierG61",
    "Haitech Android TV": "Haitech android TV",
    "Binatone Homesurf844 / Hubble Smart8 (Homesurf844)": "Homesurf844",
    "HyasongT1": "Hyasong T1",
    "INNOVA 4K Android TV": "INNOVA android TV",
    "MAGELITE Android TV 2K": "India",
    "HM-G152-FL": "L11",
    "L52": "L52 STEEL+",
    "Haier 2K Android TV": "LATAM",
    "Logicom-S9782": "Logicom S9782",
    "MS3A": "Mesa3",
    "MAGELITE Android TV": "Magelite android TV",
    "Haitech Android TV 2K": "PA",
    "S5 Silk": "S5_Silk",
    "Q5002": "StarQ_Q5002",
    "Haier T50": "T50",
    "Haier T52P": "T52P",
    "Haier T54P": "T54P",
    "TAB700MPG": "TAB-700",
    "Titan_T3_Pro": "Titan T3 Pro",
    "HM-V6": "Voyage V6",
    "CANDY Android TV": "candy android TV",
    "Haier_i50": "i50",
    "KITYPRO": "HPAD_IA65",
    "Hammer_Blade_3": "Hammer Blade 3",
    "Hammer_Blade_5G": "Hammer Blade 5G",
    "Hammer_Construction": "Hammer Construction",
    "Hammer_Energy_2_2022": "Hammer Energy 2 2022",
    "Hammer_Explorer_Plus": "Hammer Explorer Plus",
    "Hammer_Explorer_Pro": "Hammer Explorer Pro",
    "ALGIZ_RT10": "ALGIZ RT10",
    "ALGIZ_RT8": "ALGIZ RT8",
    "NAUTIZ_X2": "Nautiz_X2",
    "NAUTIZ_X6P": "NAUTIZ X6",
    "Nautiz X2": "Nautiz X2 EEA",
    "Nautiz X41": "Nautiz X41 EEA",
    "Nautiz X9P": "Nautiz X9",
    "JBL LINK BAR": "JBL link bar",
    "Harris 12131-1000": "RF-3590-RT",
    "Hatch_101S": "101S",
    "JS410": "HAUS_JS410",
    "L925": "HERCLS L925",
    "Boost_Max": "Boost Max",
    "HCA-6010": "Homeplus_ATV HCA-6010",
    "STAR 1": "STAR_1",
    "Easy-Power": "Easy Power",
    "Easy-Power-Pro": "Easy Power Pro",
    "Easy_XL": "Easy XL",
    "Easy_XL_Pro": "Easy XL Pro",
    "FestXL": "Fest XL",
    "FestXL-Pro": "Fest XL PRO",
    "HS Boost 4": "HS_Boost_4",
    "Fest-Pro": "K2050 C1 Fest Pro",
    "PowerFive": "Power Five",
    "PowerFour": "Power Four",
    "Power Ice Evo": "Power Ice EVO",
    "Power Ice Max": "PowerIceMax",
    "Power Rage Evo": "PowerRageEvo",
    "Fun5": "myPhone_Fun5",
    "8DTB38": "Electron",
    "8DTB40": "Electron 2",
    "f100_65u": "F100",
    "10DTB12A": "HS-10DTB12A",
    "HS_10DTB12A": "HS-10DTB12A",
    "HS-10DTB41-8GB": "HS-10DTB41",
    "HS_7DTB35": "HS-7DTB35",
    "HS-7DTB39": "A7_PTAB735",
    "HS-7DTB40-8GB": "HS-7DTB40",
    "Dtac phone Joey Jet 2": "Joey Jet 2",
    "7DTB41": "Micron",
    "Nanho_T775": "Nanho T775",
    "10DTB10": "Phantom",
    "10DTB44": "Phantom2",
    "10DTB42": "Pilot",
    "11DTB1": "Synergy",
    "TitanX": "TITAN X",
    "SmartTV 4K FFM": "X9500",
    "HLTE700T": "700T",
    "SmartTV 8K FFM": "9980",
    "Hisense A2": "A2",
    "Hisense A2M": "A2M",
    "Hisense A2T": "A2T",
    "2K Smart TV": "Smart TV",
    "HLTE202N": "A5",
    "HLTE203T": "A5 Pro",
    "HLTE730T": "A6L",
    "AGM X2": "AJM X2",
    "X2 SE": "AGM  X2",
    "X2_SE": "AGM  X2",
    "Hisense C1": "C1BE",
    "Hisense C1M": "C1M",
    "Hisense C1T": "C1T",
    "Hisense C20": "c20fe-3",
    "Hisense C20S": "C20S",
    "Hisense C30": "C30",
    "Hisense C30_02": "C30",
    "Hisense C30 Lite": "C30 Lite",
    "STARACTIVE 2": "C30 Lite",
    "SX40": "C30 Lite",
    "Hisense D1-M": "D1-M",
    "Hisense D5": "D5",
    "Hisense E100T": "E100T",
    "LT-W1": "E100TAE",
    "HS-E200T": "E200T",
    "Hisense E20T": "E20T",
    "HITV102C": "E22",
    "HITV103C": "E23",
    "HS-E260T": "E260T",
    "Hisense E260U": "E260U",
    "HITV200C": "E30",
    "HITV201C": "E30",
    "Hisense E360M": "E360M",
    "Hisense E50-T": "E50-T",
    "Hisense E51": "E51-W",
    "Hisense E51-M": "E51-M",
    "Hisense E602T": "E602T",
    "Hisense E613M": "E613M",
    "Hisense E602M": "E620M",
    "Hisense E621T": "E621T",
    "Hisense E622M": "E622M",
    "Hisense E625T": "E625T",
    "Hisense E70-T": "E70-T",
    "Hisense E71-M": "E71-M",
    "Hisense E71-T": "E71-T",
    "Hisense E75M": "E75M",
    "Hisense E75T": "E75T",
    "Hisense E76": "E76E_11",
    "Hisense E77M": "E77M",
    "Hisense E77MINI": "E77MINI",
    "Hisense E9": "E9",
    "LT668": "EG68AE",
    "HS-EG936D": "EG936D",
    "HS-EG978": "EG978",
    "HS-EG981": "EG981",
    "BM001": "F10",
    "Hisense F10": "F10",
    "Hisense L675 PRO": "F10",
    "Hisense L675 Pro": "F10",
    "RIVIERA F10": "F10",
    "Hisense F102": "F102",
    "Hisense Hi 3": "F102",
    "Hisense F20": "F20",
    "Hisense F20T": "F20T",
    "Hisense F21T": "F21T",
    "Hisense F22": "F22",
    "Hisense F22M": "F22M",
    "Hisense F23": "F23",
    "Hisense T203": "F23",
    "RIVIERA F23": "F23",
    "Hisense F23M": "F23M",
    "Hisense F30": "F30",
    "Hisense F31": "F31E_11",
    "Hisense F31M": "F31M",
    "Hisense F32": "F32",
    "HNR551T": "F50+",
    "Hisense G610M": "G610M",
    "HiSmart 2K ATV4": "fushan_Toshiba",
    "HS-H800T": "H800T",
    "Hisense H910": "H910-F01",
    "HLTE229E": "Hisense E40",
    "HLTE300E": "HLTE300E_ 02",
    "HLTE300E_02": "HLTE300E_ 02",
    "Hisense Infinity H11": "HLTE300E_ 02",
    "HS-L682": "L682",
    "msm8625": "HS-EG929",
    "U98": "HS-U98",
    "Hisense E7 Pro": "Hisense  E7  Pro",
    "Hisense F17 Pro": "Hisense  F17  Pro",
    "Hisense F23 PLUS": "Hisense  F23  PLUS",
    "Hisense Hi 2": "Hisense  Hi  2",
    "Hisense Infinity F17": "Hisense  Infinity  F17",
    "Hisense H12": "Hisense  Infinity  H12",
    "Hisense Infinity H12": "Hisense  Infinity  H12",
    "HLTE103E": "Hisense E20",
    "HLTE103E E20": "Hisense E20",
    "HLTE220E": "Hisense E30",
    "Hisense Infinity E30": "Hisense E30",
    "Hisense Infinity E6": "Hisense F16",
    "HLTE221E.20": "Hisense F16",
    "Hisense Infinity E7": "Hisense F17",
    "HLTE223E": "Hisense F19",
    "HLTE223E.40": "Hisense F19",
    "Hisense E40 Lite": "Hisense F19",
    "HLTE210M": "Hisense F28M",
    "Hisense F28": "Hisense F35",
    "HLTE510T": "Hisense H20",
    "Hisense Infinity H30": "Hisense H30",
    "Hisense Infinity H40": "Hisense H40",
    "HLTE230E": "Hisense H40 Lite",
    "Hisense H50 Lite": "Hisense U50",
    "HLTE230E_01": "Hisense Infinity H40 Lite",
    "Hisense H50": "Hisense Infinity H50",
    "Hisense M36": "M36",
    "Hisense U30": "Hisense U605",
    "Hisense U50": "Hisense U605",
    "Hisense M50 Lite 2021": "Hisense U605",
    "Hisense U606": "Hisense U605",
    "Hisense U963": "U963",
    "HLTE100E_10": "Hisense U963",
    "Hisense E32 Lite": "Hisense U964",
    "HWCD100E": "Hisense U964",
    "Hisense U40 Lite": "Hisense U964",
    "Hisense U50 Lite": "Hisense U964",
    "Hisense U50 lite": "Hisense U964",
    "Hisense Hi 1 PRO": "Hisense U965",
    "Hisense V40s": "Hisense V40S",
    "Hisense I300T": "I300T",
    "Andromax I56D2G": "I56D2G",
    "Hisense I630U": "I630U",
    "Hisense I631M": "I631M",
    "Hisense I632M": "I632M",
    "Hisense I632T": "I632T",
    "Hisense I635T": "I635T",
    "Hisense I639M": "I639M",
    "Hisense I639T": "I639T",
    "IRON 2": "IRON  2",
    "Hisense K1": "K1",
    "HS-L671": "L671W",
    "Hisense L671": "L671WE_2",
    "Hisense L675": "L675",
    "Hisense L676": "l676be",
    "Hisense L678": "L678",
    "Hisense L682": "L682",
    "HS-L691": "l691",
    "HS-L695": "L695W",
    "Hisense L695": "L695WE_2",
    "STARADDICT 6": "L730",
    "Hisense LED55K360X3D": "LED55K360X3D",
    "Vision20": "LED85XT910G3DU",
    "Hisense M10-M": "M10-M",
    "Hisense M20-T": "M20- T",
    "Hisense M20-M": "M20-M",
    "Hisense M30": "M30",
    "Hisense M30M": "M30M",
    "Hisense M30T": "M30T",
    "SMART 4G HD Voice": "M821T",
    "Hisense Infinity H40 Rock": "Mexico",
    "Hisense Rocks 6": "Mexico",
    "PX7": "PX1900ES",
    "Hisense PX3000": "PX3000",
    "PX8": "PX530",
    "STARTRAIL 9": "STARTRAIL  9",
    "E2171CA": "Sero 7",
    "E2171MX": "Sero 7",
    "E2171TK": "Sero 7",
    "E2281": "Sero 8",
    "E2281CA": "Sero 8",
    "E2281MX": "Sero 8",
    "E2281TK": "Sero 8",
    "E2281UK": "Sero 8",
    "F5281": "Sero 8 pro",
    "E2171SS": "Sero7",
    "E2371": "Sero7 LE",
    "E2281SS": "Sero8",
    "Hisense SoundTab MA-317": "SoundTab MA-317",
    "Hisense SoundTab MA-327": "SoundTab MA-327",
    "Hisense T963": "T963",
    "hisense_gx1200v": "TV",
    "Hisense U601S": "U601S",
    "U601S Pro": "U601S  Pro",
    "HS-U602": "U602",
    "STARSHINE III": "U606",
    "HS-U606": "U606AE",
    "PHS-402": "U606AE",
    "Bouygues Telecom Bs 403": "U607",
    "HS-U609": "U609",
    "HS-U610": "U610",
    "HS-U688": "U688BE",
    "HS-U800": "U800E-1",
    "HS-U800E-1": "U800E-1",
    "RIVIERA U963": "U963",
    "HS-U988": "U988E-2",
    "Hisense U989": "U989",
    "Hisense U989 Pro": "U989 Pro",
    "H7": "Vidaa",
    "vision2_5": "Vision 2.5",
    "HS-X1": "X1E1",
    "XOLO T1000": "XOLO",
    "Hisense E76mini": "e76mini",
    "HiSmart TV": "fushan_2",
    "Hisense L830": "l830",
    "STARXTREM 6": "l830",
    "HiSmart 4K A4FFM": "laohushan",
    "HKU7A": "laoshan_HK",
    "LT971": "lt971",
    "U972": "u972",
    "Panavox Android TV": "xiaoyushan_panavox",
    "HiSmart 4K ATV4": "xinhaoshan",
    "TYH201H": "天翼1号",
    "Hitachi 4K Android TV": "Hitachi",
    "Hitachi 2K Android TV": "Hitachi",
    "8TT-A": "8TT-A_EEA",
    "X-Max": "X Max",
    "X_Ultra": "X-Ultra",
    "HOFFMANN X-Prime": "X_Prime",
    "Box Q": "SEI600HM",
    "Dongle R 4K": "Global",
    "ALFA10TX": "ALFA10TX",
    "ALFA_10RC": "ALFA 10RC",
    "ALFA_8RC": "ALFA 8RC",
    "ALFA_8RX": "ALFA 8RX",
    "ALFA 7RS": "EMEA",
    "Alfa7LM": "HOMETECH",
    "HT_7RT": "HT_7RT Tablet PC",
    "Alfa10LA": "MID1032_MR",
    "ALFA_7MRC": "Turkey",
    "LIFETAB_S9714": "Germany",
    "NABIXD-NV10C": "nabi_XD",
    "14A-DA": "A-DA",
    "MY15ADA": "Spirior",
    "MY18ADA": "A-DA",
    "MY17ADA": "A-DA",
    "MY20ADA": "A-DA",
    "MY21ADA": "A-DA",
    "MY16ADA": "Accord",
    "22M Gathers": "Gathers",
    "MY19ADA": "S660",
    "SiRFSoC Android": "Unit Assy AVN",
    "CX75 AC0": "CK75",
    "CX75 AN0": "CK75",
    "CN51 NC0": "CN51",
    "CN51 NCF": "CN51",
    "CN51 NCU": "CN51",
    "CN51 NN0": "CN51",
    "CN51 QC0": "CN51",
    "CN51 QCF": "CN51",
    "CN51 QCU": "CN51",
    "CN51 QN0": "CN51",
    "CX75 NC0": "CN75E",
    "CX75 NCF": "CN75E",
    "CX75 QC0": "CN75E",
    "CX75 QCF": "CN75E",
    "CT30P": "CT30XP",
    "CT40": "CT40XP",
    "CT45P": "CT45XP",
    "CT50": "Dolphin CT50",
    "EDA50": "EdA50",
    "Glory50": "EDA50",
    "Glory EDA50K": "EDA50K",
    "EDA71_G": "EDA71",
    "TA60A": "RT10A",
    "VM1A": "Thor VM1A",
    "VM3A": "Thor VM3A",
    "NTH-NX9": "HONOR 50",
    "NTN-L22": "HONOR 50 Lite",
    "NTN-LX1": "HONOR 50 Lite",
    "NTN-LX3": "HONOR 50 Lite",
    "FNE-NX9": "HONOR 70",
    "ANY-LX1": "HONOR X9",
    "ANY-NX1": "HONOR X9 5G",
    "LGE-NX9": "HONOR Magic4 Pro",
    "HEY-W09": "HONOR Pad 8",
    "AGM-W09HN": "HONOR Pad X8 Lite",
    "VNE-LX1": "HONOR X6",
    "VNE-LX2": "HONOR X6",
    "VNE-LX3": "HONOR X6",
    "CMA-LX1": "HONOR X7",
    "CMA-LX2": "HONOR X7",
    "CMA-LX3": "HONOR X7",
    "TFY-LX1": "HONOR X8",
    "TFY-LX2": "HONOR X8",
    "TFY-LX3": "HONOR X8",
    "VNE-N41": "HONOR X8 5G",
    "ANY-LX2": "HONOR X9",
    "ANY-LX3": "HONOR X9",
    "HPP-GS1": "Ghost",
    "HPP-L55": "Serrano",
    "HPP-L55B": "Serrano",
    "VLE5A": "VLE5",
    "Cosmos": "Android TV",
    "Cosmos U": "Cosmos_U",
    "M5 2021": "M5_2021",
    "Magic 5 Plus": "Magic_5_Plus",
    "Pearl K3": "Pearl_K3_Lite",
    "Pearl K2 Prime": "Pearl_K2_Prime",
    "Symbol M1 Plus": "Symbol M1Plus",
    "Venus": "Mobicel",
    "1001-G Go": "1001_G",
    "HT-705": "HT705GO",
    "HT-705XS": "HT_705XS",
    "HT-705 Go": "HT-705_Go",
    "704-G": "HT704-G",
    "HT-705-G PLUS": "HT_705_G_PLUS",
    "HUAWEI A199": "A199",
    "U9500": "Ascend D",
    "HUAWEI G510-0251": "Ascend G510",
    "HUAWEI Ascend G525": "Ascend G525",
    "HUAWEI G525-U00": "Ascend G525",
    "HUAWEI B199": "B199",
    "HUAWEI C199": "C199",
    "HUAWEI C199s": "C199s",
    "HUAWEI C8812": "C8812",
    "HUAWEI C8813D": "C8813D",
    "HUAWEI C8813DQ": "C8813DQ",
    "HUAWEI C8815": "C8815",
    "HUAWEI C8816": "C8816",
    "HUAWEI C8816D": "C8816D",
    "HUAWEI C8817E": "C8817E",
    "HUAWEI C8817L": "C8817L",
    "HUAWEI C8818": "C8818",
    "HUAWEI C8826D": "C8826D",
    "HUAWEI-C8850": "C8850",
    "CHC-U01": "Cherry Mini",
    "M330": "China",
    "H1611": "Copper Plus",
    "HUAWEI H1611": "Copper Plus",
    "HUAWEI D2-0082": "D2",
    "HUAWEI D2-2010": "D2",
    "HUAWEI D2-6070": "D2",
    "HUAWEI P8max": "P8max",
    "HUAWEI LUA-L03": "ECO",
    "HUAWEI LUA-L13": "ECO",
    "HUAWEI LUA-L23": "ECO",
    "HUAWEI LUA-U03": "ECO",
    "HUAWEI LUA-U23": "ECO",
    "HuaweiES8500": "ES8500",
    "Huawei-U8665": "Fusion 2",
    "HUAWEI G350": "G350",
    "HUAWEI G350-U00": "G350",
    "HUAWEI G350-U20": "G350-U20",
    "HUAWEI G506-U151": "G506",
    "HUAWEI G510-0010": "G510",
    "HUAWEI G510-0100": "G510",
    "HuaweiG510-0100": "G510",
    "HuaweiG510-0100-orange": "G510",
    "HUAWEI Ascend G510": "G510",
    "HUAWEI G510-0200": "G510",
    "Orange Daytona": "G510",
    "HUAWEI G520-5000": "G520",
    "HUAWEI G521-L076": "G521-L076",
    "HUAWEI G521-L176": "G521-L176",
    "G526-L11": "G526",
    "G526-L22": "G526",
    "G526-L33": "G526",
    "G527-U081": "G527",
    "HUAWEI G535-L11": "G535-L11",
    "Kestrel": "G535-L11",
    "Orange Gova": "G535-L11",
    "Speedsurfer": "G535-L11",
    "Ultym5": "G535-L11",
    "HUAWEI G6-T00": "G6",
    "HUAWEI G6-C00": "G6-C00",
    "HUAWEI G6-L11": "G6-L11",
    "HUAWEI G6-L22": "G6-L22",
    "HUAWEI G6-L33": "G6-L33",
    "HUAWEI G6-U00": "G6-U00",
    "HUAWEI G6-U10": "G6-U10",
    "HUAWEI G6-U251": "G6-U251",
    "HUAWEI G6-U34": "G6-U34",
    "HUAWEI G606-T00": "G606-T00",
    "HUAWEI G610-T00": "G610",
    "G610-U00": "G610",
    "HUAWEI G610-U00": "G610",
    "HUAWEI G610-U30": "G610",
    "HUAWEI G610-T01": "G610-T01",
    "HUAWEI G610-T11": "G610-T11",
    "HUAWEI G610-U15": "G610-U15",
    "HUAWEI G610-U20": "G610-U20",
    "HUAWEI G610-C00": "G610C",
    "HUAWEI G615-U10": "G615-U10",
    "HUAWEI G616-L076": "G616-L076",
    "HUAWEI G620-A2": "G620-A2",
    "HUAWEI G620-L72": "G620-L72",
    "HUAWEI G620": "G620S-L03",
    "Personal Huawei G620S": "G620S-L03",
    "HUAWEI G628-TL00": "G628-TL00",
    "HUAWEI G629-UL00": "G629-UL00",
    "HUAWEI G630-T00": "G630",
    "HUAWEI G630-U00": "G630-U00",
    "HUAWEI G630-U251": "G630-U251",
    "HUAWEI G660-L075": "G660-L075",
    "HUAWEI RIO-TL00": "G7 Plus",
    "HUAWEI RIO-UL00": "G7 Plus",
    "HUAWEI G7-L01": "G7-L01",
    "HUAWEI G7-L02": "G7-L02",
    "HUAWEI G7": "G7-L03",
    "HUAWEI G7-L03": "G7-L03",
    "HUAWEI G7-L11": "G7-L11",
    "HUAWEI G7-TL00": "G7-TL00",
    "HUAWEI G7-UL20": "G7-UL20",
    "HUAWEI G700-T00": "G700",
    "HUAWEI G700-U00": "G700",
    "HUAWEI G700-T01": "G700-T01",
    "HUAWEI G700-U10": "G700-U10",
    "HUAWEI G700-U20": "G700-U20",
    "HUAWEI G716-L070": "G716",
    "HUAWEI G718": "G718",
    "HUAWEI G730-C00": "G730",
    "HUAWEI G730-T00": "G730",
    "HUAWEI G730-U00": "G730",
    "HUAWEI G730-L075": "G730-L075",
    "HUAWEI G730-U10": "G730-U10",
    "HUAWEI G730-U251": "G730-U251",
    "HUAWEI G730-U27": "G730-U27",
    "HUAWEI G730-U30": "G730-U30",
    "G740-L00": "G740",
    "Orange Yumo": "G740",
    "HUAWEI G750-T00": "G750-T00",
    "HUAWEI G750-T01": "G750-T01",
    "HUAWEI G750-T01M": "G750-T01M",
    "HUAWEI G750-T20": "G750-T20",
    "HUAWEI G750-U10": "G750-U10",
    "HUAWEI G7500": "G7500",
    "HUAWEI RIO-L02": "G8",
    "HUAWEI RIO-L03": "G8",
    "RIO-L03": "G8",
    "HUAWEI MLA-TL00": "G9 Plus",
    "HUAWEI MLA-TL10": "G9 Plus",
    "HUAWEI MLA-UL00": "G9 Plus",
    "MLA-TL00": "G9 Plus",
    "MLA-UL00": "G9 Plus",
    "HUAWEI VNS-AL00": "G9青春版",
    "HUAWEI TAG-L01": "GR3",
    "HUAWEI TAG-L03": "GR3",
    "HUAWEI TAG-L13": "GR3",
    "HUAWEI TAG-L21": "GR3",
    "HUAWEI TAG-L22": "GR3",
    "HUAWEI TAG-L23": "GR3",
    "DIG-L01": "GR3 2017",
    "DIG-L21": "GR3 2017",
    "DIG-L22": "GR3 2017",
    "HUAWEI TAG-L32": "GR3 Smart touch",
    "HUAWEI KII-L03": "GR5",
    "HUAWEI KII-L05": "GR5",
    "HUAWEI KII-L21": "GR5",
    "HUAWEI KII-L22": "GR5",
    "HUAWEI KII-L23": "GR5",
    "HUAWEI KII-L33": "GR5",
    "KII-L21": "GR5",
    "H1621": "GR5W",
    "HUAWEI NMO-L21": "GT3",
    "HUAWEI NMO-L22": "GT3",
    "HUAWEI NMO-L23": "GT3",
    "HUAWEI NMO-L31": "GT3",
    "HUAWEI": "GX8",
    "HUAWEI RIO-L01": "GX8",
    "Orinoquia Gran Roraima + S7-722u": "Gran_Roraima",
    "HONOR H30-L01": "H30-L01",
    "HONOR H30-L01M": "H30-L01M",
    "HONOR H30-L02": "H30-L02",
    "HW-H60-J1": "H60-J1",
    "HUAWEI H871G": "H871G",
    "HUAWEI H891L": "H891L",
    "HUAWEI H892L": "H892L",
    "CAG-L22": "HUAWEI Y3 2018",
    "HRY-LX1T": "HONOR 20e",
    "YAL-AL00": "HONOR 20",
    "YAL-L21": "HUAWEI nova 5T",
    "YAL-TL00": "HONOR 20",
    "MAR-LX1R": "HONOR 20 LITE",
    "YAL-AL10": "HONOR 20 PRO",
    "YAL-L41": "HUAWEI nova 5T Pro",
    "MAR-LX1H": "HONOR 20S",
    "HRY-AL00Ta": "Honor 20i",
    "Che2-L12": "HONOR 4X",
    "JAT-L29": "Honor 8A",
    "JAT-L41": "Honor 8A",
    "JAT-LX1": "Honor 8A",
    "JAT-LX3": "Honor 8A",
    "KSA-LX2": "HONOR 8S",
    "KSA-LX3": "HONOR 8S",
    "KSA-LX9": "HONOR 8S",
    "DUB-LX1": "Y7 Prime 2019",
    "STK-L22": "Y9 Prime 2019",
    "STK-LX1": "HUAWEI P smart Z",
    "STK-LX3": "Y9 Prime 2019",
    "JSN-L21": "Honor 8X",
    "JSN-L22": "Honor 8X",
    "JSN-L23": "Honor 8X",
    "PCT-TL10": "HONOR V20",
    "PCT-AL10": "HONOR View20",
    "PCT-L29": "HONOR View20",
    "SLA-L03": "HUAWEI G Elite Plus",
    "BLL-L21": "HUAWEI GR5 2017",
    "BLL-L22": "HUAWEI GR5 2017",
    "HUAWEI BLL-L21": "HUAWEI GR5 2017",
    "HUAWEI BLL-L22": "HUAWEI GR5 2017",
    "HMA-L09": "Mate 20",
    "HMA-L29": "Mate 20",
    "LYA-L0C": "HUAWEI Mate 20 Pro",
    "LYA-L29": "Mate 20 Pro",
    "EVR-AN00": "HUAWEI Mate 20 X (5G)",
    "EVR-N29": "Huawei Mate 20 X (5G)",
    "SNE-LX1": "Mate 20 lite",
    "BLL-L23": "HUAWEI Mate 9 lite",
    "HUAWEI BLL-L23": "HUAWEI Mate 9 lite",
    "BND-L34": "HUAWEI Mate SE",
    "701HW": "HUAWEI MediaPad M3 Lite",
    "702HW": "HUAWEI MediaPad M3 Lite",
    "CPN-AL00": "HUAWEI MediaPad M3 Lite",
    "CPN-L09": "HUAWEI MediaPad M3 Lite",
    "CPN-W09": "HUAWEI MediaPad M3 Lite",
    "HDN-L09": "HUAWEI MediaPad M3 Lite 10 wp",
    "HDN-W09": "HUAWEI MediaPad M3 Lite 10 wp",
    "CMR-AL09": "HUAWEI MediaPad M5 10.8",
    "CMR-W09": "HUAWEI MediaPad M5 10.8",
    "SHT-AL09": "HUAWEI MediaPad M5 8.4",
    "SHT-W09": "HUAWEI MediaPad M5 8.4",
    "CMR-AL19": "HUAWEI MediaPad M5 Pro",
    "CMR-W19": "HUAWEI MediaPad M5 Pro",
    "BAH2-L09": "HUAWEI MediaPad M5 lite",
    "BAH2-W19": "HUAWEI MediaPad M5 lite",
    "JDN2-L09": "HUAWEI MediaPad M5 lite",
    "JDN2-W09": "华为平板M5青春版",
    "AGS-L03": "HUAWEI MediaPad T3 10",
    "AGS-L09": "HUAWEI MediaPad T3 10",
    "AGS-W09": "HUAWEI MediaPad T3 10",
    "BG2-U03": "HUAWEI MediaPad T3 7",
    "AGS2-W09": "HUAWEI MediaPad T5",
    "INE-LX1": "nova 3i",
    "FIG-LA1": "HUAWEI P smart",
    "FIG-LX2": "HUAWEI P smart",
    "FIG-LX3": "HUAWEI P smart",
    "POT-LX1": "HUAWEI P smart 2019",
    "POT-LX1AF": "HUAWEI P smart 2019",
    "POT-LX3": "HUAWEI P smart 2020",
    "POT-LX1A": "HUAWEI P smart 2020",
    "STK-L21": "Y9 Prime 2019",
    "POT-LX1T": "HUAWEI P smart+ 2019",
    "ANE-LX2J": "HUAWEI P20 Lite",
    "HWV32": "HUAWEI P20 Lite",
    "ELE-AL00": "HUAWEI P30",
    "ELE-L04": "HUAWEI P30",
    "ELE-L09": "Huawei P30",
    "ELE-L14": "HUAWEI P30",
    "ELE-L29": "HUAWEI P30",
    "ELE-L39": "HUAWEI P30",
    "ELE-L49": "HUAWEI P30",
    "ELE-TL00": "HUAWEI P30",
    "HWV33": "HUAWEI P30 lite",
    "MAR-LX1A": "HUAWEI P30 lite",
    "MAR-LX1Am": "HUAWEI P30 lite",
    "MAR-LX1B": "HUAWEI P30 lite",
    "MAR-LX1M": "HUAWEI P30 lite",
    "MAR-LX1Mm": "HUAWEI P30 lite",
    "MAR-LX2": "HUAWEI P30 lite",
    "MAR-LX2B": "HUAWEI P30 lite",
    "MAR-LX2m": "HUAWEI P30 lite",
    "MAR-LX3A": "HUAWEI P30 lite",
    "MAR-LX3Am": "HUAWEI P30 lite",
    "MAR-LX3Bm": "HUAWEI P30 lite",
    "SLA-L02": "HUAWEI P9 lite mini",
    "SLA-L22": "HUAWEI P9 lite mini",
    "SLA-L23": "HUAWEI P9 lite mini",
    "ARS-L22": "HUAWEI Y MAX",
    "CRO-L02": "HUAWEI Y3 2017",
    "CRO-L22": "HUAWEI Y3 2017",
    "HUAWEI CRO-L02": "HUAWEI Y3 2017",
    "HUAWEI CRO-L22": "HUAWEI Y3 2017",
    "CAG-L02": "HUAWEI Y3 2018",
    "DRA-L01": "HUAWEI Y5 2018",
    "DRA-L21": "HUAWEI Y5 2018",
    "DRA-LX2": "HUAWEI Y5 Prime 2018",
    "DRA-LX3": "HUAWEI Y5 2018",
    "AMN-LX1": "HUAWEI Y5 2019",
    "AMN-LX2": "HUAWEI Y5 2019",
    "AMN-LX3": "HUAWEI Y5 2019",
    "AMN-LX9": "HUAWEI Y5 2019",
    "DRA-LX5": "Honor 7S",
    "CRO-L03": "HUAWEI Y5 lite 2017",
    "CRO-L23": "HUAWEI Y5 lite 2017",
    "HUAWEI CRO-L03": "HUAWEI Y5 lite 2017",
    "HUAWEI CRO-L23": "HUAWEI Y5 lite 2017",
    "CAG-L03": "HUAWEI Y5 lite 2018",
    "CAG-L23": "HUAWEI Y5 lite 2018",
    "MYA-L11": "HUAWEI Y6 2017",
    "ATU-L11": "HUAWEI Y6 2018",
    "ATU-L21": "HUAWEI Y6 2018",
    "ATU-L22": "HUAWEI Y6 2018",
    "ATU-LX3": "HUAWEI Y6 2018",
    "MRD-LX1": "HUAWEI Y6 2019",
    "MRD-LX1F": "HUAWEI Y6 2019",
    "MRD-LX1N": "HUAWEI Y6 2019",
    "MRD-LX3": "HUAWEI Y6 2019",
    "ATU-L31": "HUAWEI Y6 Prime 2018",
    "ATU-L42": "HUAWEI Y6 Prime 2018",
    "MRD-LX2": "HUAWEI Y6 Pro 2019",
    "HUAWEI CAM-L53": "HUAWEI Y6II",
    "LDN-L01": "HUAWEI Y7 2018",
    "LDN-L21": "HUAWEI Y7 Prime 2018",
    "LDN-LX3": "HUAWEI Y7 2018",
    "DUB-LX3": "HUAWEI Y7s",
    "LDN-LX2": "HUAWEI nova 2 lite",
    "DUB-LX2": "HUAWEI Y7s",
    "JKM-LX1": "HUAWEI Y9 2019",
    "JKM-LX2": "HUAWEI Y9 2019",
    "JKM-LX3": "HUAWEI Y9 2019",
    "FLA-LX1": "HUAWEI Y9 2018",
    "FLA-LX2": "HUAWEI Y9 2018",
    "FLA-LX3": "HUAWEI Y9 2018",
    "BAC-L21": "HUAWEI nova 2 Plus",
    "BAC-L22": "HUAWEI nova 2 Plus",
    "704HW": "HUAWEI nova lite 2",
    "POT-LX2J": "HUAWEI nova lite 3+",
    "608HW": "HUAWEI nova lite for Y!mobile",
    "KOB-L09": "HUWEI MediaPad T3",
    "KOB-W09": "HUWEI MediaPad T3",
    "COL-AL00": "Honor 10",
    "COL-AL10": "Honor 10",
    "COL-L29": "Honor 10",
    "COL-TL10": "Honor 10",
    "HRY-AL00": "honor 10 Lite",
    "HRY-AL00a": "Honor 10 Lite",
    "SCC-U21": "Y6",
    "SCL-AL00": "荣耀4A",
    "SCL-CL00": "Honor 4A",
    "SCL-TL00": "Honor 4A",
    "SCL-TL00H": "Honor 4A",
    "HUAWEI LYO-L21": "Honor 5A",
    "LYO-L21": "Honor 5A",
    "NEM-L21": "Honor 5C",
    "NEM-L22": "Honor 5C",
    "NEM-L51": "Honor 5C",
    "KIW-L21": "Honor 5X",
    "KIW-TL00H": "Honor 5X",
    "DLI-L22": "Honor 6A",
    "DLI-TL20": "Honor 6A",
    "BLN-L24": "Honor 6X",
    "PLK-AL10": "Honor 7",
    "PLK-CL00": "Honor 7",
    "PLK-L01": "Honor 7",
    "PLK-TL00": "Honor 7",
    "PLK-TL01H": "Honor 7",
    "PLK-UL00": "Honor 7",
    "AUM-AL00": "Honor 7A",
    "AUM-AL20": "Honor 7A",
    "AUM-L29": "Honor 7A",
    "AUM-L33": "Honor 7A",
    "AUM-TL00": "Honor 7A",
    "AUM-TL20": "Honor 7A",
    "DUA-L22": "Honor 7S",
    "AUM-L41": "Honor 7C",
    "LND-AL30": "Honor 7C",
    "LND-AL40": "Honor 7C",
    "LND-L29": "Honor 7C",
    "LND-TL30": "Honor 7C",
    "LND-TL40": "Honor 7C",
    "DUA-AL00": "荣耀畅玩7",
    "DUA-LX3": "Honor 7S",
    "BND-L21": "Honor 7X",
    "BND-L24": "Honor 7X",
    "BND-L31": "Honor 7X",
    "ATH-AL00": "Honor 7i",
    "ATH-CL00": "Honor 7i",
    "FRD-AL00": "Honor 8",
    "FRD-AL10": "Honor 8",
    "FRD-DL00": "Honor 8",
    "FRD-L04": "Honor 8",
    "FRD-L09": "Honor 8",
    "FRD-L14": "Honor 8",
    "FRD-L19": "Honor 8",
    "FRD-L24": "Honor 8",
    "FRD-TL00": "Honor 8",
    "PRA-LX1": "P8 lite 2017",
    "DUK-L09": "Honor 8 Pro",
    "VEN-L22": "Honor 8 Smart",
    "JAT-AL00": "荣耀畅玩8A",
    "BKK-L21": "honor 8C",
    "ARE-L22HN": "Honor 8X Max",
    "JSN-L42": "Honor 8x",
    "STF-AL00": "Honor 9",
    "STF-AL10": "Honor 9",
    "STF-L09": "Honor 9",
    "STF-L09S": "Honor 9",
    "STF-TL10": "Honor 9",
    "LLD-L21": "Honor 9 Lite",
    "LLD-L31": "Honor 9 Lite",
    "LLD-AL20": "荣耀9i",
    "HiTV-M1": "Honor Box Pro",
    "M311": "Honor Box voice",
    "HUAWEI NTS-AL00": "Honor Magic",
    "NTS-AL00": "Honor Magic",
    "TNY-AL00": "Honor Magic 2",
    "TNY-TL00": "Honor Magic 2",
    "RVL-AL09": "Honor Note10",
    "COR-AL00": "Honor Play",
    "COR-AL10": "Honor Play",
    "COR-L29": "Honor Play",
    "COR-TL10": "Honor Play",
    "BKL-AL00": "Honor V10",
    "BKL-AL20": "Honor V10",
    "BKL-TL10": "Honor V10",
    "KNT-AL10": "Honor V8",
    "KNT-AL20": "Honor V8",
    "KNT-TL10": "Honor V8",
    "KNT-UL10": "Honor V8",
    "DUK-AL20": "Honor V9",
    "DUK-TL30": "Honor V9",
    "BKL-L04": "Honor View 10",
    "BKL-L09": "Honor View 10",
    "H30-T10": "Honor3",
    "H30-U10": "Honor3",
    "HUAWEI HN3-U00": "Honor3",
    "HUAWEI HN3-U01": "Honor3",
    "H1711": "Huawei Ascend XT2™",
    "H1711z": "Huawei Elate™",
    "EVR-L29": "Huawei Mate 20 X",
    "EVR-TL00": "Huawei Mate 20 X",
    "AGS2-L03": "Huawei MediaPad T5",
    "AGS2-L09": "Huawei MediaPad T5",
    "AGS2-W19": "Huawei MediaPad T5",
    "PIC-LX9": "Huawei Nova 2",
    "JKM-AL00a": "华为畅享9 Plus",
    "EVR-AL00": "Huwei Mate 20 X",
    "Ideos": "IDEOS",
    "Huawei U8800-51": "Ideos X5",
    "IDEOS X5": "Ideos X5",
    "U8800": "Ideos X5",
    "U8800-51": "Ideos X5",
    "H1622": "Kiwi-2",
    "HUAWEI M2-A01L": "LISZT",
    "HUAWEI M2-A01W": "LISZT",
    "HUAWEI M2-801L": "M2",
    "HUAWEI M2-801W": "M2",
    "HUAWEI M2-802L": "M2",
    "HUAWEI M2-803L": "M2",
    "M220c": "M220",
    "dTV01": "M220",
    "BTV-DL09": "M3",
    "BTV-W09": "M3",
    "TB01": "M620",
    "HUAWEI-M835": "M835",
    "USCCADR3305": "M865",
    "HUAWEI M868": "M868",
    "RNE-AL00": "MAIMANG 6",
    "SNE-AL00": "MAIMANG 7",
    "HUAWEI MT1-U06": "MT1",
    "HUAWEI MT2-L01": "MT2-L01",
    "HUAWEI MT2-L02": "MT2-L02",
    "MT2L03": "MT2L03LITE",
    "HUAWEI MT2-L05": "MT2-L05",
    "HUAWEI MT1-T00": "Mate",
    "ALP-AL00": "Mate 10",
    "ALP-L09": "Mate 10",
    "ALP-L29": "Mate 10",
    "ALP-TL00": "Mate 10",
    "BLA-A09": "Mate 10 Pro",
    "BLA-AL00": "Mate 10 Pro",
    "BLA-L09": "Mate 10 Pro",
    "BLA-L29": "Mate 10 Pro",
    "BLA-TL00": "Mate 10 Pro",
    "RNE-L01": "Mate 10 lite",
    "RNE-L03": "Mate 10 lite",
    "RNE-L21": "Mate 10 lite",
    "RNE-L23": "Mate 10 lite",
    "HMA-AL00": "Mate 20",
    "HMA-TL00": "Mate 20",
    "LYA-AL00": "Mate 20 Pro",
    "LYA-AL10": "Mate 20 Pro",
    "LYA-L09": "Mate 20 Pro",
    "LYA-TL00": "Mate 20 Pro",
    "LYA-AL00P": "Mate 20 RS",
    "SNE-LX2": "Mate 20 lite",
    "SNE-LX3": "Mate 20 lite",
    "HUAWEI MT7-CL00": "Mate 7",
    "HUAWEI MT7-J1": "Mate 7",
    "HUAWEI MT7-L09": "Mate 7",
    "HUAWEI MT7-TL00": "Mate 7",
    "HUAWEI MT7-TL10": "Mate 7",
    "HUAWEI MT7-UL00": "Mate 7",
    "HUAWEI NXT-AL10": "Mate 8",
    "HUAWEI NXT-CL00": "Mate 8",
    "HUAWEI NXT-DL00": "Mate 8",
    "HUAWEI NXT-L09": "Mate 8",
    "HUAWEI NXT-L29": "Mate 8",
    "HUAWEI NXT-TL00": "Mate 8",
    "HUAWEI NXT-TL00B": "Mate 8",
    "NXT-AL10": "Mate 8",
    "NXT-CL00": "Mate 8",
    "NXT-DL00": "Mate 8",
    "NXT-L09": "Mate 8",
    "NXT-L29": "Mate 8",
    "NXT-TL00": "Mate 8",
    "MHA-AL00": "Mate 9",
    "MHA-L09": "Mate 9",
    "MHA-L29": "Mate 9",
    "MHA-TL00": "Mate 9",
    "LON-AL00": "Mate 9 Pro",
    "LON-L29": "Mate 9 Pro",
    "HUAWEI CRR-CL00": "Mate S",
    "HUAWEI CRR-CL20": "Mate S",
    "HUAWEI CRR-L09": "Mate S",
    "HUAWEI CRR-TL00": "Mate S",
    "HUAWEI CRR-UL00": "Mate S",
    "HUAWEI CRR-UL20": "Mate S",
    "HUAWEI MT2-C00": "Mate2",
    "HUAWEI MediaPad T1 7.0 3G": "MediaPad",
    "T1 7.0": "MediaPad",
    "T1-701u": "MediaPad",
    "T1-701ua": "MediaPad",
    "T1-701us": "MediaPad",
    "T1-701w": "MediaPad",
    "Telpad QS": "MediaPad 7 Lite Quad",
    "MediaPad 10 FHD": "S10",
    "MediaPad 10 LINK": "S10",
    "dtab 01": "MediaPad 10 Link",
    "402HW": "MediaPad 10 Link+",
    "S10-232L": "MediaPad 10 Link+",
    "SpeedTAB": "MediaPad 10 Link+",
    "Telpad Quad S": "MediaPad 7 Lite Quad",
    "MediaPad 7 Vogue": "Vogue7",
    "MediaPad 7 Youth 2": "MediaPad 7 Youth2",
    "S7-721u": "MediaPad 7 Youth2",
    "403HW": "MediaPad M1 8.0",
    "CNPC Security Pad S1": "MediaPad M1 8.0",
    "HUAWEI MediaPad M1 8.0": "MediaPad M1 8.0",
    "MediaPad M1 8.0 (LTE)": "MediaPad M1 8.0",
    "MediaPad M1 8.0 (WIFI)": "MediaPad M1 8.0",
    "S8-303L": "MediaPad M1 8.0",
    "S8-303LT": "MediaPad M1 8.0",
    "S8-306L": "MediaPad M1 8.0",
    "BAH-AL00": "MediaPad M3 Lite 10",
    "BAH-L09": "MediaPad M3 Lite 10",
    "BAH-W09": "MediaPad M3 Lite 10",
    "605HW": "MediaPad T2 10.0 Pro",
    "606HW": "MediaPad T2 10.0 Pro",
    "FDR-A05L": "MediaPad T2 10.0 Pro",
    "FDR-A01L": "MediaPad T2 10.0 pro",
    "FDR-A01w": "MediaPad T2 10.0 pro",
    "FDR-A03L": "MediaPad T2 10.0 pro",
    "BGO-DL09": "MediaPad T2 7.0",
    "BGO-L03": "MediaPad T2 7.0",
    "JDN-AL00": "MediaPad T2 8.0 Pro",
    "JDN-L01": "MediaPad T2 8.0 Pro",
    "JDN-W09": "MediaPad T2 8.0 Pro",
    "BG2-U01": "MediaPad T3 7",
    "BG2-W09": "MediaPad T3 7",
    "MediaPad 7 Lite II": "Vogue7",
    "7D-501u": "MediaPad X1 7.0",
    "MediaPad X1": "MediaPad X1 7.0",
    "X1 7.0": "MediaPad X1 7.0",
    "MediaPad 7 Youth": "S7",
    "M380-10": "MediaQ M380",
    "INE-LX2r": "Nova 3i",
    "VTR-AL00": "P10",
    "VTR-L09": "P10",
    "VTR-L29": "P10",
    "VTR-TL00": "P10",
    "VKY-AL00": "P10 Plus",
    "VKY-L09": "P10 Plus",
    "VKY-L29": "P10 Plus",
    "VKY-TL00": "P10 Plus",
    "WAS-L03T": "P10 lite",
    "WAS-LX1": "P10 lite",
    "WAS-LX1A": "P10 lite",
    "WAS-LX2": "P10 lite",
    "WAS-LX2J": "P10 lite",
    "WAS-LX3": "P10 lite",
    "HUAWEI P2-6070": "P2",
    "EML-AL00": "P20",
    "EML-L09": "P20",
    "EML-L29": "P20",
    "EML-TL00": "P20",
    "HW-01K": "P20 Pro",
    "CLT-AL00": "P20 Pro",
    "CLT-AL00l": "P20 Pro",
    "CLT-AL01": "P20 Pro",
    "CLT-L04": "P20 Pro",
    "CLT-L09": "P20Pro",
    "CLT-L29": "P20Pro",
    "CLT-TL00": "P20 Pro",
    "CLT-TL01": "P20 Pro",
    "ANE-LX1": "P20 lite",
    "ANE-LX2": "P20 lite",
    "ANE-LX3": "P20 lite",
    "HW-02L": "P30 Pro",
    "VOG-AL00": "P30 Pro",
    "VOG-AL10": "P30 Pro",
    "VOG-L04": "P30 Pro",
    "VOG-L09": "P30 Pro",
    "VOG-L29": "P30 Pro",
    "VOG-TL00": "P30 Pro",
    "MAR-LX2J": "P30 lite",
    "HUAWEI P6-C00": "P6",
    "HUAWEI P6-T00": "P6",
    "HUAWEI P6-T00V": "P6",
    "HUAWEI Ascend P6": "P6",
    "HUAWEI P6-U06": "P6",
    "HUAWEI P6-U06-orange": "P6",
    "P6 S-L04": "P6S",
    "302HW": "P6S-L04",
    "HUAWEI P6 S-U06": "P6S-U06",
    "HUAWEI P7-L00": "P7",
    "HUAWEI P7-L05": "P7",
    "HUAWEI P7-L07": "P7",
    "HUAWEI P7-L10": "P7",
    "HUAWEI P7-L11": "P7",
    "HUAWEI P7-L12": "P7",
    "HUAWEI P7 mini": "P7 mini",
    "HUAWEI P7-L09": "P7-L09",
    "HUAWEI GRA-CL00": "P8",
    "HUAWEI GRA-CL10": "P8",
    "HUAWEI GRA-L09": "P8",
    "HUAWEI GRA-TL00": "P8",
    "HUAWEI GRA-UL00": "P8",
    "HUAWEI GRA-UL10": "P8",
    "503HW": "P8 Lite",
    "ALE-L02": "P8 Lite",
    "ALE-L21": "P8 Lite",
    "ALE-L23": "P8 Lite",
    "Autana LTE": "P8 Lite",
    "HUAWEI ALE-CL00": "P8 Lite",
    "HUAWEI ALE-L04": "P8 Lite",
    "PRA-LA1": "P8 lite 2017",
    "ALE-TL00": "P8 青春版",
    "ALE-UL00": "P8 青春版",
    "EVA-AL00": "P9",
    "EVA-AL10": "P9",
    "EVA-CL00": "P9",
    "EVA-DL00": "P9",
    "EVA-L09": "P9",
    "EVA-L19": "P9",
    "EVA-L29": "P9",
    "EVA-TL00": "P9",
    "HUAWEI VNS-L52": "P9 Lite PREMIUM",
    "VIE-AL10": "P9 Plus",
    "VIE-L09": "P9 Plus",
    "VIE-L29": "P9 Plus",
    "HUAWEI VNS-L21": "P9 lite",
    "HUAWEI VNS-L22": "P9 lite",
    "HUAWEI VNS-L23": "P9 lite",
    "HUAWEI VNS-L31": "P9 lite",
    "HUAWEI VNS-L53": "P9 lite",
    "HUAWEI VNS-L62": "P9 lite",
    "DIG-L03": "P9 lite smart",
    "DIG-L23": "P9 lite smart",
    "NEO-AL00": "PORSCHE DESIGN HUAWEI Mate RS",
    "NEO-L29": "PORSCHE DESIGN HUAWEI Mate RS",
    "HUAWEI RIO-CL00": "RIO-CL00",
    "Orinoquia Roraima S7-932u": "S7",
    "MediaPad 7 Lite+": "S7",
    "Telpad Dual S": "S7",
    "HUAWEI SC-CL00": "SC-CL00",
    "HUAWEI SC-UL10": "SC-UL10",
    "H710VL": "Sensa LTE",
    "H715BL": "Sensa LTE",
    "HUAWEI ATH-UL01": "ShotX",
    "HUAWEI ATH-UL06": "ShotX",
    "Huawei_8100-9": "T-Mobile Pulse",
    "Tactile internet": "T-Mobile Pulse",
    "U8100": "T-Mobile Pulse",
    "Videocon_V7400": "T-Mobile Pulse",
    "T1-821L": "T1",
    "T1-821W": "T1",
    "T1-821w": "t1_8p0lte",
    "T1-823L": "t1_8p0lte",
    "HUAWEI MediaPad T1 10 4G": "T1 10",
    "T1-A21L": "T1 10",
    "T1-A21W": "T1 10",
    "T1-A21w": "T1 10",
    "T1-A22L": "T1 10",
    "T1-A23L": "T1 10",
    "T-101": "T101",
    "T101 PAD": "T101",
    "QH-10": "T102",
    "T102 PAD": "T102",
    "T801 PAD": "T801",
    "MT-803G": "T802",
    "T802 PAD": "T802",
    "HUAWEI T8808D": "T8808D",
    "HUAWEI TAG-AL00": "TANGO",
    "HUAWEI TAG-CL00": "TANGO",
    "HUAWEI TAG-TL00": "TANGO",
    "Vodafone 845": "U8120",
    "U8220PLUS": "U8220",
    "Huawei-U8652": "U8652",
    "Huawei-U8687": "U8687",
    "HUAWEI-U8850": "U8850",
    "HUAWEI-U9000": "U9000",
    "Y538": "UNION",
    "Huawei 858": "V858",
    "MTC 950": "V858",
    "MTC Mini": "V858",
    "Vodafone 858": "V858",
    "MediaPad 7 Classic": "Vogue7",
    "HUAWEI WATCH": "WATCH",
    "HUAWEI-WATCH": "WATCH",
    "LEO-BX9": "Watch 2",
    "LEO-DLXX": "Watch 2",
    "GEM-701L": "X2",
    "GEM-702L": "X2",
    "GEM-703L": "X2",
    "GEM-703LT": "X2",
    "Orinoquia Auyantepui Y210": "Y210",
    "Y220-U00": "Y220",
    "Y220-U05": "Y220",
    "Y220-U17": "Y220",
    "HUAWEI Y220-T10": "Y220-T10",
    "HUAWEI Y 220T": "Y220T",
    "HUAWEI Y221-U03": "Y221-U03",
    "ORINOQUIA Auyantepui+Y221-U03": "Y221-U03",
    "HUAWEI Y221-U12": "Y221-U12",
    "HUAWEI Y221-U22": "Y221-U22",
    "HUAWEI Y221-U33": "Y221-U33",
    "HUAWEI Y221-U43": "Y221-U43",
    "HUAWEI Y221-U53": "Y221-U53",
    "HUAWEI Ascend Y300": "Y300",
    "HUAWEI Y300-0100": "Y300",
    "HUAWEI Y300-0151": "Y300",
    "Pelephone-Y300-": "Y300",
    "HUAWEI Y300-0000": "Y300-0000",
    "Huawei Y301A1": "Y301A1",
    "Huawei Y301A2": "Y301A2",
    "HUAWEI Y310-5000": "Y310-5000",
    "HUAWEI Y310-T10": "Y310-T10",
    "HUAWEI Y320-C00": "Y320",
    "HUAWEI Y320-T00": "Y320-T00",
    "HUAWEI Y320-U01": "Y320-U01",
    "HUAWEI Y320-U10": "Y320-U10",
    "HUAWEI Y320-U151": "Y320-U151",
    "HUAWEI Y320-U30": "Y320-U30",
    "HUAWEI Y320-U351": "Y320-U351",
    "HUAWEI Y321-U051": "Y321",
    "HUAWEI Y321-C00": "Y321",
    "HUAWEI Y325-T00": "Y325-T00",
    "Bucare Y330-U05": "Y330",
    "HUAWEI Y330-U05": "Y330",
    "HUAWEI Y330-U21": "Y330",
    "HUAWEI Y330-C00": "Y330-C00",
    "HUAWEI Y330-U01": "Y330-U01",
    "HUAWEI Y330-U07": "Y330-U07",
    "HUAWEI Y330-U08": "Y330-U08",
    "HUAWEI Y330-U11": "Y330-U11",
    "V8510": "Y330-U11",
    "HUAWEI Y330-U15": "Y330-U15",
    "HUAWEI Y330-U17": "Y330-U17",
    "HUAWEI Y336-A1": "Y336-A1",
    "HUAWEI Y336-U02": "Y336-U02",
    "HUAWEI Y336-U12": "Y336-U12",
    "HUAWEI Y360-U03": "Y360-U03",
    "HUAWEI Y360-U103": "Y360-U103",
    "HUAWEI Y360-U12": "Y360-U12",
    "HUAWEI Y360-U23": "Y360-U23",
    "HUAWEI Y360-U31": "Y360-U31",
    "HUAWEI Y360-U42": "Y360-U42",
    "HUAWEI Y360-U61": "Y360-U61",
    "HUAWEI Y360-U72": "Y360-U72",
    "HUAWEI Y360-U82": "Y360-U82",
    "Delta Y360-U93": "Y360-U93",
    "HUAWEI Y360-U93": "Y360-U93",
    "HUAWEI LUA-L01": "Y3II",
    "HUAWEI LUA-L02": "Y3II",
    "HUAWEI LUA-L21": "Y3II",
    "HUAWEI LUA-U02": "Y3II",
    "HUAWEI LUA-U22": "Y3II",
    "CRO-U00": "Y3III",
    "CRO-U23": "Y3III",
    "HUAWEI CRO-U00": "Y3III",
    "HUAWEI CRO-U23": "Y3III",
    "HUAWEI Y560-L02": "Y5",
    "HUAWEI Y560-L23": "Y5",
    "HUAWEI Y560-U03": "Y5",
    "MYA-AL00": "Y5 2017",
    "MYA-L02": "Y5 2017",
    "MYA-L03": "Y5 2017",
    "MYA-L13": "Y5 2017",
    "MYA-L22": "Y5 2017",
    "MYA-L23": "Y5 2017",
    "MYA-TL00": "Y5 2017",
    "MYA-U29": "Y5 2017",
    "HUAWEI Y500-T00": "Y500-T00",
    "HUAWEI Y511-T00": "Y511-T00",
    "HUAWEI Y511-U10": "Y511-U10",
    "HUAWEI Y511-U251": "Y511-U251",
    "HUAWEI Y511-U30": "Y511-U30",
    "VIETTEL V8506": "Y511-U30",
    "HUAWEI Y516-T00": "Y516-",
    "HUAWEI Y518-T00": "Y518-T00",
    "HUAWEI Y520-U03": "Y520-U03",
    "HUAWEI Y520-U12": "Y520-U12",
    "HUAWEI Y520-U22": "Y520-U22",
    "HUAWEI Y520-U33": "Y520-U33",
    "HUAWEI Y523-L076": "Y523-L076",
    "HUAWEI Y523-L176": "Y523-L176",
    "HUAWEI Y530-U00": "Y530",
    "HUAWEI Y530": "Y530-U051",
    "HUAWEI Y530-U051": "Y530-U051",
    "HUAWEI Y535-C00": "Y535",
    "HUAWEI Y535D-C00": "Y535D-C00",
    "HUAWEI Y536A1": "Y536-A1",
    "HUAWEI Y540-U01": "Y540-U01",
    "HUAWEI Y541-U02": "Y541-U02",
    "HUAWEI Y550-L01": "Y550-L01",
    "HUAWEI Y550-L02": "Y550-L02",
    "HUAWEI Y550": "Y550-L03",
    "HUAWEI Y550-L03": "Y550-L03",
    "Personal Huawei Y550": "Y550-L03",
    "HUAWEI Y560-CL00": "Y560-CL00",
    "HUAWEI Y560-L01": "Y560-L01",
    "HUAWEI Y560-L03": "Y560-L03",
    "HUAWEI Y560-U02": "Y560-U02",
    "HUAWEI Y560-U12": "Y560-U12",
    "HUAWEI Y560-U23": "Y560-U23",
    "CUN-L22": "Y5II",
    "HUAWEI CUN-L01": "Y5II",
    "HUAWEI CUN-L02": "Y5II",
    "HUAWEI CUN-L03": "Y5II",
    "HUAWEI CUN-L21": "Y5II",
    "HUAWEI CUN-L22": "Y5II",
    "HUAWEI CUN-L23": "Y5II",
    "HUAWEI CUN-L33": "Y5II",
    "HUAWEI CUN-U29": "Y5II",
    "HUAWEI SCC-U21": "Y6",
    "HUAWEI SCL-L01": "Y6",
    "HUAWEI SCL-L02": "Y6",
    "HUAWEI SCL-L03": "Y6",
    "HUAWEI SCL-L04": "Y6",
    "HUAWEI SCL-L21": "Y6",
    "HW-SCL-L32": "Y6",
    "SCL-L01": "Dive_70",
    "HUAWEI SCL-U23": "Y6",
    "HUAWEI SCL-U31": "Y6",
    "SCL-U23": "Y6",
    "MYA-L41": "Y6 2017",
    "HUAWEI LYO-L02": "Y6 Elite",
    "HUAWEI TIT-AL00": "Y6 Pro",
    "HUAWEI TIT-CL10": "Y6 Pro",
    "HUAWEI TIT-L01": "Y6 Pro",
    "HUAWEI TIT-TL00": "Y6 Pro",
    "TIT-AL00": "Y6 Pro",
    "TIT-L01": "Y6 Pro",
    "HUAWEI TIT-CL00": "Y6 Pro",
    "HUAWEI TIT-U02": "Y6 Pro",
    "HUAWEI LYO-L01": "Y6 Ⅱ Compact",
    "HUAWEI Y600-U00": "Y600",
    "HUAWEI Y600-U151": "Y600",
    "HUAWEI Y600-U20": "Y600",
    "HUAWEI Y600-U351": "Y600-U351",
    "HUAWEI Y600-U40": "Y600-U40",
    "HUAWEI Y600D-C00": "Y600D-C00",
    "HUAWEI Y610-U00": "Y610",
    "HUAWEI Y618-T00": "Y618",
    "Kavak Y625-U03": "Y625-U03",
    "HUAWEI Y625-U13": "Y625-U13",
    "HUAWEI Y625-U21": "Y625-U21",
    "HUAWEI Y625-U32": "Y625-U32",
    "HUAWEI Y625-U43": "Y625-U43",
    "HUAWEI Y625-U51": "Y625-U51",
    "HUAWEI Y635-CL00": "Y635-CL00",
    "HUAWEI Y635-L02": "Y635-L02",
    "HUAWEI Y635-L03": "Y635-L03",
    "HUAWEI Y635-TL00": "Y635-TL00",
    "CAM-L03": "Y6II",
    "CAM-L21": "Y6II",
    "CAM-L23": "Y6II",
    "CAM-U22": "Y6II",
    "HUAWEI CAM-L03": "Y6II",
    "HUAWEI CAM-L21": "Y6II",
    "HUAWEI CAM-L23": "Y6II",
    "HUAWEI CAM-U22": "Y6II",
    "CAM-L32": "Y6II",
    "HUAWEI LYO-L03": "Y6ⅡCompact",
    "TRT-L21A": "Y7",
    "TRT-L53": "Y7",
    "TRT-LX1": "Y7",
    "TRT-LX2": "Y7",
    "TRT-LX3": "Y7",
    "DUB-AL20": "华为畅享9",
    "Orinoquia Gran Roraima S7-702u": "Youth",
    "H1623": "ascend-5w",
    "HRY-LX1": "honor 10 Lite",
    "HRY-LX1MEB": "honor 10 Lite",
    "HRY-LX2": "honor 10 Lite",
    "KIW-L22": "honor 5X",
    "KIW-L23": "honor 5X",
    "KIW-L24": "honor 5X",
    "DLI-L42": "honor 6A Pro",
    "DIG-L21HN": "honor 6C",
    "JMM-L22": "honor 6C Pro",
    "BLN-L21": "honor 6x",
    "BLN-L22": "honor 6x",
    "BKK-AL10": "荣耀畅玩8C",
    "BKK-L22": "honor 8C",
    "BKK-LX2": "honor 8C",
    "HWV31": "huawei nova 2",
    "204HW": "hw204HW",
    "HUAWEI M881": "m881",
    "HUAWEI CAN-AL10": "nova",
    "HUAWEI CAN-L01": "nova",
    "HUAWEI CAN-L02": "nova",
    "HUAWEI CAN-L03": "nova",
    "HUAWEI CAN-L11": "nova",
    "HUAWEI CAN-L12": "nova",
    "HUAWEI CAN-L13": "nova",
    "HUAWEI CAZ-AL10": "nova",
    "HUAWEI CAZ-AL00": "nova",
    "HUAWEI CAZ-TL10": "nova",
    "HUAWEI CAZ-TL20": "nova",
    "PIC-AL00": "nova 2",
    "PIC-TL00": "nova 2",
    "BAC-AL00": "nova 2 Plus",
    "BAC-L01": "nova 2 Plus",
    "BAC-L03": "nova 2 Plus",
    "BAC-L23": "nova 2 Plus",
    "BAC-TL00": "nova 2 Plus",
    "RNE-L02": "nova 2i",
    "RNE-L22": "nova 2i",
    "HWI-AL00": "nova 2s",
    "HWI-TL00": "nova 2s",
    "PAR-AL00": "nova 3",
    "PAR-L21": "nova 3",
    "PAR-L29": "nova 3",
    "PAR-LX1": "nova 3",
    "PAR-LX1M": "nova 3",
    "PAR-LX9": "nova 3",
    "PAR-TL00": "nova 3",
    "PAR-TL20": "nova 3",
    "ANE-AL00": "nova 3e",
    "ANE-TL00": "nova 3e",
    "INE-AL00": "nova 3i",
    "INE-LX1r": "nova 3i",
    "INE-LX2": "nova 3i",
    "INE-TL00": "nova 3i",
    "VCE-AL00": "nova 4",
    "VCE-L22": "nova 4",
    "VCE-TL00": "nova 4",
    "MAR-AL00": "nova 4e",
    "MAR-TL00": "nova 4e",
    "PRA-LX2": "nova lite",
    "PRA-LX3": "nova lite",
    "HUAWEI MLA-L01": "nova plus",
    "HUAWEI MLA-L02": "nova plus",
    "HUAWEI MLA-L03": "nova plus",
    "HUAWEI MLA-L11": "nova plus",
    "HUAWEI MLA-L12": "nova plus",
    "HUAWEI MLA-L13": "nova plus",
    "MLA-L01": "nova plus",
    "MLA-L02": "nova plus",
    "MLA-L03": "nova plus",
    "MLA-L11": "nova plus",
    "MLA-L12": "nova plus",
    "MLA-L13": "nova plus",
    "WAS-AL00": "nova 青春版本",
    "WAS-TL10": "nova 青春版本",
    "MediaPad T1 8.0": "t1_8p0",
    "S8-701u": "t1_8p0",
    "S8-701w": "t1_8p0",
    "HUAWEI MediaPad T1 8.0 4G": "t1_8p0lte",
    "Honor T1 8.0": "t1_8p0lte",
    "MediaPad T1 8.0 Pro": "t1_8p0lte",
    "S8-821w": "t1_8p0lte",
    "HUAWEI VNS-DL00": "华为G9青春版",
    "HUAWEI VNS-TL00": "华为G9青春版",
    "BZT-AL00": "华为平板 C5",
    "BZT-AL10": "华为平板 C5",
    "BZT-W09": "华为平板 C5",
    "BZW-AL00": "华为平板 C5",
    "BZW-AL10": "华为平板 C5",
    "MON-AL19": "华为平板 C5",
    "MON-AL19B": "华为平板 C5",
    "MON-W19": "华为平板 C5",
    "BAH2-AL00": "华为平板 M5 青春版",
    "BAH2-AL10": "华为平板 M5 青春版",
    "BAH2-W09": "华为平板 M5 青春版",
    "JDN2-AL00": "华为平板M5青春版",
    "BZK-L00": "华为平板T3 8行业专享版",
    "BZK-W00": "华为平板T3 8行业专享版",
    "PLE-701L": "华为揽阅M2青春版7.0",
    "PLE-703L": "华为揽阅M2青春版7.0",
    "DRA-AL00": "华为畅享 8e 青春",
    "DRA-TL00": "华为畅享 8e 青春",
    "POT-AL00a": "华为畅享 9S",
    "POT-TL00a": "华为畅享 9S",
    "MRD-AL00": "华为畅享 9e",
    "MRD-TL00": "华为畅享 9e",
    "ARS-AL00": "华为畅享 MAX",
    "ARS-TL00": "华为畅享 MAX",
    "STK-AL00": "华为畅享10 Plus",
    "STK-TL00": "华为畅享10 Plus",
    "NCE-AL00": "华为畅享6",
    "NCE-AL10": "华为畅享6",
    "NCE-TL10": "华为畅享6",
    "DIG-AL00": "华为畅享6S",
    "DIG-TL10": "华为畅享6S",
    "SLA-AL00": "华为畅享7",
    "SLA-TL10": "华为畅享7",
    "FIG-AL00": "华为畅享7S",
    "FIG-AL10": "华为畅享7S",
    "FIG-TL00": "华为畅享7S",
    "FIG-TL10": "华为畅享7S",
    "LDN-AL00": "华为畅享8",
    "LDN-AL10": "华为畅享8",
    "LDN-AL20": "华为畅享8",
    "LDN-TL00": "华为畅享8",
    "LDN-TL10": "华为畅享8",
    "LDN-TL20": "华为畅享8",
    "FLA-AL00": "华为畅享8 Plus",
    "FLA-AL10": "华为畅享8 Plus",
    "FLA-AL20": "华为畅享8 Plus",
    "FLA-TL00": "华为畅享8 Plus",
    "FLA-TL10": "华为畅享8 Plus",
    "ATU-AL10": "华为畅享8e",
    "ATU-TL10": "华为畅享8e",
    "DUB-AL00": "华为畅享9",
    "DUB-AL00a": "华为畅享9",
    "DUB-TL00": "华为畅享9",
    "DUB-TL00a": "华为畅享9",
    "JKM-AL00": "华为畅享9 Plus",
    "JKM-TL00": "华为畅享9 Plus",
    "JKM-AL00b": "华为畅享9 Plus",
    "AGS2-AL00": "华为畅享平板",
    "JSN-AL00": "荣耀 8X",
    "JSN-TL00": "荣耀 8X",
    "JSN-AL00a": "荣耀 8X",
    "JMM-AL00": "荣耀 V9 play",
    "JMM-AL10": "荣耀 V9 play",
    "JMM-TL00": "荣耀 V9 play",
    "JMM-TL10": "荣耀 V9 play",
    "HRY-TL00": "荣耀10青春版",
    "HRY-AL00T": "荣耀20i",
    "HRY-TL00T": "荣耀20i",
    "KIW-AL10": "荣耀5X",
    "KIW-AL20": "荣耀5X",
    "KIW-CL00": "荣耀5X",
    "KIW-TL00": "荣耀5X",
    "KIW-UL00": "荣耀5X",
    "ARE-AL00": "荣耀8X Max",
    "ARE-TL00": "荣耀8X Max",
    "ARE-AL10": "荣耀8X Max",
    "PRA-AL00": "荣耀8青春版",
    "PRA-AL00X": "荣耀8青春版",
    "PRA-TL10": "荣耀8青春版",
    "HLK-AL00": "荣耀9X",
    "LLD-AL30": "荣耀9i",
    "LLD-AL00": "荣耀9青春版",
    "LLD-AL10": "荣耀9青春版",
    "LLD-TL10": "荣耀9青春版",
    "EDI-AL10": "荣耀Note8",
    "EDI-DL00": "荣耀Note8",
    "HDL-AL09": "荣耀Waterplay 8英寸",
    "HDL-W09": "荣耀Waterplay 8英寸",
    "AGS2-AL00HN": "荣耀平板5",
    "AGS2-W09HN": "荣耀平板5",
    "JDN2-AL00HN": "荣耀平板5",
    "JDN2-W09HN": "荣耀平板5",
    "TRT-AL00": "荣耀畅享7 Plus",
    "TRT-AL00A": "荣耀畅享7 Plus",
    "TRT-TL10": "荣耀畅享7 Plus",
    "TRT-TL10A": "荣耀畅享7 Plus",
    "BLN-AL10": "荣耀畅玩 6X",
    "BLN-AL20": "荣耀畅玩 6X",
    "BLN-AL30": "荣耀畅玩 6X",
    "BLN-AL40": "荣耀畅玩 6X",
    "BLN-TL00": "荣耀畅玩 6X",
    "BLN-TL10": "荣耀畅玩 6X",
    "CHM-TL00": "荣耀畅玩4C",
    "CHM-TL00H": "荣耀畅玩4C",
    "CHM-UL00": "荣耀畅玩4C",
    "CHE-TL00": "荣耀畅玩4X",
    "CHE-TL00H": "荣耀畅玩4X",
    "CAM-TL00": "荣耀畅玩5A",
    "CAM-TL00H": "荣耀畅玩5A",
    "CAM-UL00": "荣耀畅玩5A",
    "CAM-AL00": "荣耀畅玩5A",
    "CAM-CL00": "荣耀畅玩5A",
    "NEM-AL10": "荣耀畅玩5C",
    "NEM-TL00": "荣耀畅玩5C",
    "NEM-TL00H": "荣耀畅玩5C",
    "NEM-UL10": "荣耀畅玩5C",
    "MYA-AL10": "荣耀畅玩6",
    "MYA-TL10": "荣耀畅玩6",
    "DLI-AL10": "荣耀畅玩6A",
    "DUA-TL00": "荣耀畅玩7",
    "BND-AL00": "荣耀畅玩7X",
    "BND-AL10": "荣耀畅玩7X",
    "BND-TL10": "荣耀畅玩7X",
    "KSA-AL00": "荣耀畅玩8",
    "KSA-TL00": "荣耀畅玩8",
    "JAT-TL00": "荣耀畅玩8A",
    "BKK-AL00": "荣耀畅玩8C",
    "BKK-TL00": "荣耀畅玩8C",
    "BZA-L00": "荣耀畅玩平板2 9.6",
    "BZA-W00": "荣耀畅玩平板2 9.6",
    "POT-AL00": "麦芒 8",
    "POT-AL10": "麦芒 8",
    "HUAWEI RIO-AL00": "麦芒4",
    "HUAWEI MLA-AL00": "麦芒5",
    "HUAWEI MLA-AL10": "麦芒5",
    "MLA-AL00": "麦芒5",
    "MLA-AL10": "麦芒5",
    "BIG BANG e Gen 3": "Big Bang e Gen 3",
    "Big Bang e": "Hublot Big Bang e",
    "tmau400": "TMAU400",
    "Hurricane_Bolt": "Bolt",
    "HURRICANE_GIGA": "Giga",
    "pulse": "PULSE",
    "Swirl": "SWIRL",
    "VortexPlus": "Volt_Plus",
    "HURRICANE VORTEX": "Vortex",
    "Model 6s": "Model_6s_TR",
    "Model 5": "Model_5",
    "PNC550": "PNC550_P_TU",
    "HYUNDAI 4K AI Smart TV": "4K Smart TV",
    "HYUNDAI 4K Smart TV": "4K Smart TV",
    "A26062K": "A26062k",
    "AI PONT SA": "Android TV",
    "TCC893X_EVM": "CAR AVN SYSTEM",
    "E465GO": "E456GO",
    "E506": "NGM Youcolor E506",
    "HYUNDAI ANDROID TV": "EU、UK、AP",
    "HYUNDAI 2K Android TV": "Italy",
    "A25024L": "Eternity A24",
    "G25022K": "Eternity G22",
    "G25523K": "Eternity G23",
    "G25524K": "Eternity G24",
    "G24027K": "Eternity G27",
    "Eternity_H68": "Eternity H68",
    "W25042L": "Eternity W42",
    "W25544L": "Eternity W44",
    "Koral 7W4": "HT0705W08/Koral_7W4",
    "Koral_8W2": "HT0802W16/Koral_8W2",
    "10LA1": "HT10LA1MSGNA02",
    "10LB2": "HT10LB2MBKLTM",
    "10WB2": "HT10WB2MSG01",
    "7GB1": "HT7GB1MBK_",
    "8LA1": "HT8LA1RBKNA01",
    "HT8LAB1RBKWW01": "HT8LAB1PBKWW01",
    "HYUNDAI 4K Android TV": "Italy",
    "HY-BDL163G-001": "HY_BDL163G_001",
    "HyTab Plus 10LC2": "HyTab_Plus_10LC2",
    "7WA1": "HyTab_Plus_7WA1",
    "Hyundai 4K Android TV": "Hyundai",
    "Hyundai 2K Android TV": "Hyundai",
    "COL 2K SMART TV": "COL",
    "SA 2K SMART TV": "Hyundai",
    "Hyundai_Eternity_G50L": "Hyundai Eternity G50L",
    "HyTab Pro 10LC1": "Hyundai HyTab Pro 10LC1",
    "HT1002W16": "Hyundai Koral 10W",
    "HT1003X16": "Hyundai Koral 10X",
    "HT0703K16": "Hyundai Koral 7M3X",
    "HT0704K08": "Hyundai Koral_7M4",
    "HT0701L16": "Hyundai Koral_7XL",
    "Hyundai_Eternity_G57L": "Hyundai_Eternity_G57",
    "HTSH10W216": "Hyundai_Home",
    "E505": "NGM Youcolor E505",
    "10WB1": "Koral",
    "7WB1": "Koral",
    "7WC1": "Koral",
    "7WD1": "Koral",
    "8WC1": "Koral",
    "HT1003W16": "Koral_10W3",
    "HT1004L16": "Koral 10XL",
    "10LB1": "Koral_10LB1",
    "HT1002W32": "Koral_10X3",
    "HT1004LI16": "Koral_10XL",
    "HT1002LI32": "Koral_10XL_Plus",
    "7LC1": "Koral_7LC1",
    "HT0701W16": "Koral_7W4X",
    "HT0701LI16": "Koral_7XL",
    "Seoul S8": "Seoul_S8",
    "HYUNDAI 2K Smart TV": "Smart TV",
    "HYUNDAI 2K AI Smart TV": "Smart TV",
    "AI PONT CO": "Smart TV",
    "Ultra_Vision_Plus": "Ultra Vision Plus",
    "BU01": "Buzz BU01",
    "Pryme 01": "Pryme01",
    "ST01": "Storm ST01",
    "IBT01H": "South Korea",
    "ET1012T": "E1012T",
    "HL106": "i-Screamedu",
    "EVO G4": "EVO_G4",
    "MPH-MB003A": "ID Screen",
    "MPH-MB004A": "ID Screen 60",
    "IMPECCA 4K Smart TV": "4K Smart TV",
    "IMPECCA 2K Smart TV": "Smart TV",
    "GRANDE FHD TV": "Grande FHD TV",
    "INFINITON Android TV": "SPAIN, MOROCCO, PORTUGAL",
    "INOI_1_Lite": "INOI 1 Lite",
    "INOI 2 Lite 4Gb": "INOI_2_Lite_4Gb",
    "INOI_5_Pro": "INOI 5 Pro",
    "A170": "INOI A72",
    "A170_Plus": "INOI A72",
    "A171": "INOI A72",
    "A180": "INOI Note 12",
    "A180_Plus": "INOI Note 12",
    "INOI_7i_Lite": "INOI _7i_Lite",
    "INOI 1": "INOI_1",
    "INOI 1 Lite 2020": "INOI_1_Lite_2020",
    "INOI 2 2019": "INOI_2_2019",
    "INOI 2 2021": "INOI_2_2021",
    "INOI 5 2021": "INOI_5_2021",
    "INOI 5 Lite 2021": "INOI_5_Lite_2021",
    "INOI_6_Lite": "INOI_6_LITE",
    "INOI 7 2020": "INOI_7_2020",
    "INOI 7 4+64 2021": "INOI_7_4_64_2021",
    "INOI easyphone": "easyphone",
    "inoiPad 2+32 Wi-Fi+3G": "inoiPad",
    "inoiPad mini 2+32 Wi-Fi+3G": "inoiPad_mini_3G",
    "inoiPad mini 1+16 Wi-Fi": "inoiPad_mini_WiFi",
    "MID106-3G": "MID_106_3G",
    "AF9-AT701_EEA": "AF9- AT701_ EEA",
    "HK9-4010": "HK9-4010_EEA",
    "IQU T10 4G": "IQU_T10_4G",
    "IQU T8 4G": "IQU_T8_4G",
    "TM152": "LUCA Tablet TM152",
    "TE101": "TE101N1",
    "IC_51": "IC_51R",
    "IC_58": "IC-58",
    "IC_56": "IC_56_EEA",
    "IUNI N1": "N1",
    "1170TPC": "IVIEW",
    "730TPC": "Retailer Stores",
    "i700": "SupraPad i700",
    "i785Q": "SupraPad i785Q",
    "B820C-A15": "Mexico",
    "Ice-Phone Mini": "Mini",
    "NTMC17": "Portal_10i",
    "IK-1028": "IKON",
    "A11": "A11 EEA",
    "A35": "Bolt",
    "iKU A50": "A50",
    "IKU A6 2022": "A6_2022",
    "iKU A70": "A70",
    "IKU i3": "I3",
    "iKU A36": "IKU A36",
    "IKU K3": "K3",
    "Note 10": "Note_10",
    "iKU T1": "T1",
    "iKU X2": "X2",
    "iKU X3": "X3",
    "iKU A22": "iKU_A22",
    "X3 PRO SLIM": "X3_PRO_SLIM",
    "C001": "Ipanema",
    "B001": "Rio",
    "INDURAMA SMART TV 2K": "INDURAMA",
    "INDURAMA SMART TV 4K": "INDURAMA",
    "Infinity-10.1-v2": "10.1-v2",
    "Infinity-10.1-v3": "10.1-v3",
    "Infinix AndroidTV": "43X3",
    "Infinix X689F": "HOT 11",
    "Infinix X682B": "HOT 10",
    "Infinix X682C": "HOT 10",
    "Infinix X657B": "SMART 5(SMART 6)",
    "Infinix X688B": "HOT Play",
    "Infinix X688C": "HOT Play",
    "Infinix X658B": "HOT 10i",
    "Infinix X658E": "HOT 10i",
    "Infinix X659": "HOT 10i",
    "Infinix X659B": "HOT 10i",
    "Infinix X662": "HOT 11",
    "Infinix X662B": "HOT 11",
    "Infinix X675": "HOT 11 2022",
    "Infinix X6812": "HOT 11S",
    "Infinix X665": "HOT 12i",
    "Infinix X665B": "HOT 12i",
    "Infinix X6827": "HOT 20S",
    "Infinix X665C": "HOT 20i",
    "Infinix X665E": "HOT 20i",
    "Infinix HOT 3 Pro": "HOT 3",
    "Infinix-X554": "HOT 3",
    "Infinix HOT 3 LTE": "HOT 3 LTE",
    "Infinix HOT 4": "X557F1",
    "Infinix HOT4 LTE": "HOT 4",
    "Infinix X557": "HOT 4",
    "Infinix HOT 4 Lite": "HOT 4 Lite",
    "Infinix HOT 4 Pro": "Hot 4 Pro",
    "Infinix_X556_LTE": "HOT 4 PRO",
    "Infinix X606": "HOT 6",
    "Infinix X606B": "HOT 6",
    "Infinix X606C": "HOT 6",
    "Infinix X606D": "HOT 6",
    "Infinix X608": "HOT 6 Pro",
    "Infinix X624": "HOT 7",
    "Infinix X624B": "HOT 7",
    "Infinix X625B": "HOT 7 PRO",
    "Infinix X625D": "HOT 7 PRO",
    "Infinix X650B": "HOT 8",
    "Infinix X650C": "HOT 8",
    "Infinix X650D": "HOT 8",
    "Infinix X650": "HOT 8 Lite",
    "Infinix-X551": "HOT NOTE",
    "Infinix X573": "HOT S3",
    "Infinix X573S": "HOT S3",
    "Infinix X573B": "HOT S3",
    "Infinix X622": "HOT S3X",
    "Infinix X559C": "HOT5",
    "Infinix X559F": "HOT5",
    "Infinix X689": "Infinix HOT 10S",
    "Infinix X689B": "Infinix HOT 10S",
    "Infinix X689D": "Infinix HOT 10S NFC",
    "Infinix X689C": "Infinix HOT 10T",
    "Infinix PR652B": "Infinix HOT 10i",
    "Infinix X6812B": "Infinix HOT 11S NFC",
    "Infinix X6817": "Infinix HOT 12",
    "Infinix X668": "Infinix HOT 12 PRO",
    "Infinix X668C": "Infinix HOT 12 PRO",
    "Infinix X6816C": "Infinix HOT 12 Play",
    "Infinix X6816D": "Infinix HOT 12 Play NFC",
    "Infinix X6826": "Infinix HOT 20",
    "Infinix X6826B": "Infinix HOT 20",
    "Infinix X623": "Infinix HOT 6X",
    "Infinix X623B": "Infinix HOT 6X",
    "Infinix X625C": "Infinix HOT 7 pro",
    "Infinix X655": "Infinix HOT 9",
    "Infinix X655C": "Infinix HOT 9",
    "Infinix X655D": "Infinix HOT 9",
    "Infinix X680": "Infinix SMART 4",
    "Infinix X680B": "Infinix HOT 9 Play",
    "Infinix X680C": "Infinix HOT 9 Play",
    "Infinix X680E": "Infinix HOT 9 Play",
    "Infinix X680F": "Infinix HOT 9 Play",
    "Infinix X655F": "Infinix HOT 9 Pro",
    "Infinix X693": "Infinix NOTE 11i",
    "Infinix X663B": "Infinix NOTE 11",
    "Infinix X663C": "Infinix NOTE 12",
    "Infinix X676C": "Infinix NOTE 12 2023",
    "Infinix X671": "Infinix NOTE 12 5G",
    "Infinix X676B": "NOTE 12 PRO",
    "Infinix X671B": "Infinix NOTE 12 Pro 5G",
    "Infinix X6819": "Infinix NOTE 12i",
    "Infinix X604": "Infinix Note 5",
    "Infinix X604B": "Infinix Note 5",
    "Infinix X605": "Infinix NOTE 5 Stylus",
    "Infinix X656": "Infinix NOTE 7 Lite",
    "Infinix X680D": "Infinix SMART 4 Plus",
    "Infinix X571": "NOTE 4 Pro",
    "Infinix X572": "X572",
    "Infinix X6821": "Infinix ZERO 20",
    "Infinix X6815B": "Infinix ZERO 5G",
    "Infinix X687B": "Infinix ZERO 8i",
    "Infinix X6811B": "Infinix ZERO X",
    "Infinix X6810": "Infinix ZERO X NEO",
    "Infinix X6811": "ZERO X Pro",
    "Infinix X687": "Infinix ZERO8",
    "Infinix X663": "NOTE",
    "Infinix X695": "NOTE 10 Pro",
    "Infinix X695C": "NOTE 10 Pro",
    "Infinix X695D": "NOTE 10 Pro",
    "Infinix X697": "NOTE 11 Pro",
    "Infinix X698": "NOTE 11S",
    "Infinix X670": "NOTE 12",
    "Infinix X672": "NOTE 12 VIP",
    "Infinix X677": "NOTE 12i 2022",
    "Infinix NOTE 3": "NOTE 3",
    "Infinix NOTE 3 Pro": "NOTE 3 Pro",
    "Infinix_X601_LTE": "NOTE 3 Pro",
    "Infinix X572-LTE": "X572",
    "Infinix X571-LTE": "NOTE 4 Pro",
    "Infinix X690": "NOTE 7",
    "Infinix X690B": "NOTE 7",
    "Infinix X690C": "NOTE 7",
    "Infinix X692": "NOTE 8",
    "Infinix X683": "NOTE 8i",
    "Infinix X683B": "NOTE 8i",
    "Infinix X610B": "Note 6",
    "Infinix X454": "RACE Blot2",
    "Infinix X455": "RACE Bolt 3",
    "Infinix S2": "S2",
    "Infinix S2 Pro": "S2",
    "Infinix X626": "S4",
    "Infinix X626B": "S4",
    "Infinix X626B LTE": "S4",
    "Infinix X652": "S5",
    "Infinix X652A": "S5",
    "Infinix X652B": "S5 Lite",
    "Infinix X652C": "S5 Lite",
    "Infinix X660": "S5 Pro",
    "Infinix X660B": "S5 Pro",
    "Infinix X660C": "S5 Pro",
    "Infinix X657": "SMART",
    "Infinix X657C": "SMART 5",
    "Infinix X6511E": "SMART 6",
    "Infinix X6512": "SMART 6 HD",
    "Infinix X6511G": "SMART 6 PLUS",
    "Infinix X6823C": "SMART 6 PLUS",
    "Infinix X612": "SMART HD",
    "Infinix X612B": "SMART HD",
    "Infinix X511": "SURF 2",
    "Infinix X5515": "Smart 2",
    "Infinix X5515F": "Smart 2",
    "Infinix X5515I": "Smart 2",
    "Infinix X609": "Smart 2 HD",
    "Infinix X609B": "Smart 2 HD",
    "Infinix X5514D": "Smart 2 Pro",
    "Infinix X5516": "Smart 3",
    "Infinix X5516B": "Smart 3",
    "Infinix X5516C": "Smart 3",
    "Infinix X627": "Smart 3 Plus",
    "Infinix X627V": "Smart 3 Plus",
    "Infinix X627W": "Smart 3 Plus",
    "Infinix X653": "Smart 4",
    "Infinix X653C": "Smart 4",
    "Infinix X405": "X405",
    "Infinix X505": "X505",
    "Infinix HOT S": "X521E1",
    "Infinix-X521": "X521G1",
    "Infinix-X521-LTE": "X521",
    "Infinix_X521": "X521G1",
    "Infinix_X521_LTE": "X521",
    "Infinix-X521_LTE": "X521G1",
    "Infinix-X521S": "X521S",
    "Infinix_X521S": "X521S",
    "INFINIX-X551": "X551",
    "Infinix Zero 3": "X552-F1",
    "Infinix-X552": "X552-F1",
    "Infinix Zero 4": "Zero 4",
    "INFINIX-X600": "X600",
    "Infinix-X600": "X600",
    "Infinix-X600-LTE": "X600",
    "Infinix X6815": "ZERO 5G",
    "Infinix X6815C": "ZERO 5G 2023",
    "Infinix X6820": "ZERO ULTRA",
    "Infinix X509": "Zero 2",
    "Infinix Zero 4 Plus": "Zero 4 Plus",
    "Infinix X603": "Zero 5 Pro",
    "Infinix X603-LTE": "Zero 5 Pro",
    "Infinix X620B": "Zero 6",
    "Infinix X620": "Zero 6 Pro",
    "InFocus M505": "A1S",
    "IF195a": "Big Tab",
    "IF236a": "Big Tab",
    "C2107": "C7",
    "CS180": "CS1 8.0",
    "TSP": "Epic 1",
    "IF9002": "M5s",
    "IF9007": "Sharp Pi",
    "IF9035": "MADA",
    "IF9003": "Sharp A Click",
    "IF9031": "InFocus M7S",
    "LE5039": "MEGA 3",
    "InFocus M2": "M2",
    "InFocus M2PLUS": "M2+",
    "InFocus M260": "M260",
    "InFocus M2_3G": "M2_3G",
    "InFocus M310": "M310",
    "InFocus M320": "M320",
    "InFocus M320e": "M320e",
    "InFocus M320m": "M320m",
    "InFocus M320u": "M320u",
    "InFocus M330": "M330",
    "InFocus M350": "M350",
    "InFocus M415": "M415",
    "InFocus M425": "M425",
    "InFocus M430": "M430",
    "InFocus M460": "M460",
    "InFocus M500": "M500",
    "M510": "M511",
    "InFocus M510t": "M510t",
    "InFocus M512": "M512",
    "M512": "SMARTEX_M512",
    "InFocus M530": "M530",
    "InFocus M535": "M535_00WW",
    "InFocus M550": "M550",
    "InFocus M550 3D": "M550 3D",
    "InFocus M560": "M560",
    "InFocus M680": "M680",
    "InFocus M808": "M808",
    "InFocus M808i": "M808i",
    "InFocus M810": "M810",
    "InFocus M810t": "M810t",
    "InFocus M812": "M812",
    "InFocus M812A": "M812A",
    "InFocus M812i": "M812i",
    "LE0139I": "Mega 3B",
    "IF9008": "Vision 3 Lite",
    "IF9029": "Vision 3 Pro",
    "XT_50IP600": "XT-50IP600",
    "IngenicoAxium": "AXIUM D7",
    "IMS-M70-V02": "Moby-M70",
    "IMS-M70-V03": "Moby-M70g",
    "Inhon_V6": "V6",
    "InnJoo_3": "3",
    "Fire_5_LTE": "Elite Dual",
    "Halo 5 3G": "Halo 5 3 G",
    "Halo_4_mini_LTE": "Halo4 mini LTE",
    "Max3_LTE": "Max3 LTE",
    "IMTM5000R": "KCTV",
    "Intelligent_Multi-mode_Radio": "IRC200EU",
    "NS-15T8LTE": "FLEX 8’’ LTE Android Tablet",
    "NS-14T004": "Flex 10.1",
    "NS-15AT08": 'Flex 8"',
    "BT230": "Etisalat E-20",
    "INTEX AQUA LIONS N1": "INTEX AQUA LIONS N1",
    "AZ210A": "Orange San Diego",
    "AZ210B": "Orange avec Intel Inside",
    "Xolo_X500": "Xolo X500",
    "BT210": "Yolo",
    "INTEX AQUA 4G MINI": "Aqua 4G mini",
    "INTEX AQUA CRYSTAL": "AQUA CRYSTAL",
    "INTEX AQUA CRYSTAL+": "AQUA CRYSTAL+",
    "INTEX AQUA LIONS 2": "Aqua Lions 2",
    "INTEX AQUA LIONS T1 LITE": "AQUA LIONS T1 LITE",
    "INTEX AQUA TREND LITE": "AQUA TREND LITE",
    "INTEX AQUA YOUNG 4G": "AQUA YOUNG 4G",
    "INTEX AQUA ZENITH": "AQUA ZENITH",
    "INTEX_AQUA_4.0_4G": "AQUA_4.0_4G",
    "INTEX AQUA S3": "INTEX_AQUA_S3",
    "INTEX AQUA 4.0 3G": "Aqua 4.0 3G",
    "INTEX AQUA 5.5 VR+": "Aqua 5.5 VR+",
    "INTEX AQUA A4": "Aqua A4",
    "INTEX AQUA A4 PLUS": "Aqua A4+",
    "INTEX AQUA JEWEL 2": "Aqua Jewel 2",
    "IM0318ND": "Aqua Lions 3",
    "INTEX AQUA LIONS 3": "INDIE 5",
    "INTEX AQUA POWER IV": "Aqua Power IV",
    "Aqua_Ring": "Aqua Ring",
    "Intex Aqua Strong 5.1+": "Aqua Strong 5.1+",
    "Intex Aqua Supreme+": "Aqua Supreme+",
    "INTEX AQUA LIONS 4G": "Aqua_Lions_4G",
    "Aqua Q8": "Aqua_Q8",
    "INTEX CLOUD AX1": "Cloud AX1",
    "Intex_Cloud_Style_4G": "Cloud style 4G",
    "Cloud Q11 4G": "Cloud_Q11_4G",
    "INTEX ELYT E1": "ELYT E1",
    "INTEX ELYT E7": "ELYT E7",
    "Intex Elite E1": "Elite E1",
    "INTEX AQUA LIONS X1": "INDIE 15",
    "INTEX IM0418ND": "INDIE 15",
    "INTEX IP0418ND": "INFIE 77",
    "INTEX AQUA LIONS T1": "INTEX  AQUA Lions T1",
    "INTEX AQUA SELFIE": "INTEX Aqua Selfie",
    "INTEX AQUA FulVU e5": "Indie 22",
    "INTEX IP0518ND": "Indie 22",
    "INTEX AQUA LIONS X1+": "STAARi 10",
    "INTEX IP0218ND": "STAARi 10",
    "INTEX ELYT E6": "STAARi 12",
    "INTEX ELYT DUAL": "T1 Plus",
    "INTEX IM0118ND": "T1 Plus",
    "INTEX i1": "i1",
    "K1": "k1",
    "INVES FHD Android TV": "Spain",
    "INVES UHD Android TV": "Spain",
    "Amber8s Mate": "Amber8s_Mate",
    "MEGA2": "MEGA",
    "MEGA7": "Mega7",
    "Opal 4S": "Opal4S",
    "S501 Plus": "S501Pro",
    "TZ175": "IRBIS TZ175",
    "TZ176": "IRBIS TZ176",
    "TZ178": "IRBIS TZ178",
    "TZ198": "IRBIS TZ198",
    "TZ737": "IRBIS TZ737",
    "TZ747": "IRBIS TZ747",
    "TZ752": "IRBIS TZ752",
    "TZ753": "IRBIS TZ753",
    "NEXT_P": "NEXT P",
    "VOX 4s": "VOX  4s",
    "VOX Energy": "VOX  Energy",
    "VOX STEEL Plus": "VOX  STEEL Plus",
    "IS520_1": "IS520.1",
    "IS910_1": "IS910.1",
    "Iskon.TV": "wh220_iskon",
    "itel A12": "A12",
    "itel A13": "A13",
    "itel A13Plus": "A13 Plus",
    "itel A14RU": "A14",
    "itel A15": "A15",
    "itel A15R": "A15",
    "itel W5006X": "A17",
    "itel A21": "A21",
    "itel A22": "A22",
    "itel A22 Pro": "A22 Pro",
    "itel A23P": "A23",
    "itel L5006": "A23 Pro",
    "itel L5006C": "A23 Pro",
    "itel L5006S": "A23 Pro",
    "itel L5002": "itel A25",
    "itel L5002P": "A25 Pro",
    "itel A571L": "A26",
    "itel A571LK": "A26",
    "itel A571LL": "A26",
    "itel A31Plus": "A31 Plus",
    "itel A32F": "A32F",
    "itel W5002": "A35",
    "itel A571W": "F3116",
    "itel A41 Plus": "A41 Plus",
    "itel A43": "A43",
    "itel A44": "A44",
    "itel L5502": "A44 Air",
    "itel A44 Pro": "A44 Pro",
    "itel L5503": "A46",
    "itel L5503L": "A46",
    "itel A661L": "A49",
    "itel A51": "A51",
    "itel A512W": "itel A18",
    "itel A52B": "A52B",
    "itel W6003": "A55",
    "itel A661W": "A58",
    "itel A631W": "itel A58 lite",
    "itel A661WP": "A58 Pro",
    "itel A62": "A62",
    "Spice F311": "F311",
    "itel A571WM": "F3116",
    "itel AndroidTV": "G4350",
    "itel Android TV": "G5550",
    "ITELL K4700Q": "ITELL_K4700Q",
    "GP10X2019": "ITELMOBILE GP10X2019",
    "itel P11": "P11",
    "itel P12": "P12",
    "itel P13": "P13",
    "itel P13 Plus": "P13 Plus",
    "itel W5005": "P15",
    "itel W5005P": "P15",
    "itel P31": "P31",
    "itel P32": "P32",
    "itel W5504": "P33",
    "itel W6001": "P33 Plus",
    "itel W6501": "P36",
    "itel P651W": "P37",
    "itel P661W": "P38",
    "itel P51": "P51",
    "itel P10001L": "Pad1",
    "itel S11": "S11",
    "itel S11 Plus": "S11 Plus",
    "itel S11Plus": "S11 Plus",
    "itel S11 Pro": "S11 Pro",
    "itel S11X": "S11X",
    "itel S13": "S13",
    "itel S13 Pro": "S13",
    "itel W6002": "S15",
    "itel W6002E": "S15",
    "itel L6002P": "S15 Pro(VISION)",
    "itel W6502": "S16",
    "itel S21": "S21",
    "itel S31": "S31",
    "itel S32": "S32",
    "itel W5003": "S32 Mini",
    "itel S33": "S33",
    "itel S41": "S41",
    "itel S42": "S42",
    "itel W6004": "SP591",
    "itel L6005": "itel Vision1(P36 Play)",
    "itel L6501": "Vision1 Plus(P36 Pro LTE)",
    "itel L6502": "Vision1Pro",
    "itel it1355": "it1355",
    "itel it1355M": "it1355M",
    "itel it1407": "it1407",
    "itel it1408": "it1408",
    "itel it1409": "it1409",
    "itel it1460": "it1460",
    "itel it1460 Pro": "it1460",
    "itel_it1505": "it1505",
    "itel it1506": "it1506",
    "itel it1507": "it1507",
    "itel it1508": "it1508 Plus",
    "itel it1508 GPS": "it1508",
    "itel it1508 Plus": "it1508 Plus",
    "itel it1513": "it1513",
    "itel it1516 Plus": "it1516 Plus",
    "itel it1518": "it1518",
    "itel-it1520": "it1520",
    "itel_it1550": "it1550",
    "itel it1551": "it1551",
    "itel-it1553": "it1553",
    "itel it1556": "it1556",
    "itel it1556 Plus": "it1556 Plus",
    "itel it1556 plus": "it1556 Plus",
    "itel it1655": "it1655",
    "itel it1655S": "it1655S",
    "itel it1702": "it1702",
    "itel it1703": "it1703",
    "itel A507LN": "itel  A24",
    "itel A507LM": "itel A24",
    "itel A507LP": "itel  V51 LTE",
    "itel A14": "itel AC12",
    "itel A14TZ": "itel A14",
    "itel W4002": "itel W4002P",
    "itel A16TZ": "itel A16",
    "itel A16 Plus": "itel-A16-Plus",
    "itel A16 Plus RU": "itel A16 Plus",
    "itel A23": "itel MC20",
    "itel A23R": "itel A23",
    "itel A23S": "itel A23",
    "itel A511LQ": "itel A23S",
    "itel A507LS": "itel A24",
    "itel L5007": "itel A24",
    "itel A511LP": "itel A24 Pro",
    "itel A551L": "itel A27(P17 Pro 4G)",
    "itel W5505": "itel A36",
    "itel L5502S": "itel A44 Air",
    "itel L5505": "itel A47",
    "itel L6006": "itel A48",
    "itel L6006L": "itel A48",
    "itel A631L": "itel A49 Play",
    "itel A510W": "itel-A510W",
    "itel L6003P": "itel A55 LTE",
    "itel L6004": "itel A56 LTE",
    "itel W6004P": "itel A56 Pro",
    "itel L6004P": "itel A56 Pro LTE",
    "itel A611W": "itel A57",
    "itel A611WP": "itel A57 2GB",
    "itel W4001P": "itel AC13",
    "itel A16S": "itel AC32",
    "itel W5004": "itel AC32",
    "itel L5007D": "itel AC50",
    "itel L6004L": "itel AC60",
    "itel W5008": "itel Alpha Lite",
    "Itel W7001": "itel KidPad 1",
    "itel L5007S": "itel-L5007S",
    "itel P551W": "itel P17",
    "itel P552W": "itel P17 Pro",
    "itel P681L": "itel P37 Pro(Vision2 Plus)",
    "itel W7002": "itel PrimeTab 1",
    "itel W7002P": "itel PrimeTab 1",
    "itel W6503": "itel S16 Pro",
    "itel L6503": "itel S16 Pro（Vision 2）",
    "itel S661W": "itel S17",
    "itel S663L": "itel S18",
    "itel W4001S": "itel W4001SZ",
    "itel S663LC": "itel Vision 5",
    "itel P651L": "itel Vision2s",
    "itel W4001": "itel W4001Z",
    "itel W4001O": "itel W4001OZ",
    "itel W5004D": "itel W5004DZ",
    "itel W5004V": "itel W5004VZ",
    "TPC-G109": "TPC-G109_EEA",
    "JLab PRO-7": "PRO-7",
    "CASEBOOK_3": "TF10EA2",
    "J3": "J3_EEA",
    "DM65UXR": "DM65UXR\\DM65USR\\DM85UXR",
    "UK 4K Android TV": "Dixons",
    "JVC Android TV": "South Africa/Australia /Israel/Paraguay",
    "JVC 4K Android TV": "JVC",
    "EU 4K Android TV": "JVC",
    "JVC EU 4K Android TV": "JVC",
    "JVC PA 2K Android TV": "JVC",
    "JVC2KAndroid TV": "JVC",
    "EU 2K Android TV": "JVC",
    "JVC EU 2K Android TV": "JVC",
    "JVC SA 4K Android TV": "JVC",
    "JVC US 4K Android TV": "JVC",
    "SA 4K Android TV": "JVC",
    "JVC PA 4K Android TV": "JVC",
    "JVC4KAndroid TV": "JVC",
    "JVC 2K Android TV": "france",
    "JVC SA 2K Android TV": "JVC",
    "JVC US 2K Android TV": "JVC",
    "US 2K Android TV": "JVC",
    "COL 4K SMART TV": "JVC",
    "J20": "JVC J20",
    "UK 2K Android TV": "UK",
    "H460": "H460B01",
    "XM75": "XT75",
    "IRIS_ITAB05": "IRIS ITAB05",
    "JIMI_KNC4": "KN C4",
    "S471": "Senwa S471",
    "Hit4G": "Jinga Hit4G",
    "Joy": "Jinga Joy",
    "Pass4G": "Jinga Pass4G",
    "PassPlus": "Pass Plus",
    "PicassoNote": "Picasso Note",
    "Start": "mTerminal100",
    "Start3G": "Start 3G",
    "Touch4G": "Touch 4G",
    "LS1542QW": "JioPhone Next",
    "LS1542QWN": "JioPhone Next",
    "JSPQ65": "JSP Q65",
    "Xtreme XT84": "Xtreme  XT84",
    "Xtreme 1": "Xtreme_1",
    "EZpad M10S": "EZpad_M10S_ROW",
    "EZpad M10": "EZpad_M10_EEA",
    "COSMO_L707": "COSMO L707",
    "COSMO L808": "COSMO_L808",
    "FREEDOM C105": "FREEDOM C100",
    "FREEDOM_M303": "Freedom M303",
    "GINI_Tab_V7": "GINI Tab V7",
    "Just5": "Konrow",
    "MD-02P": "Mode1 MD-02P",
    "K-Elec 4K Android TV": "K-ELEC",
    "K-Lite F1+4G": "F1+4G",
    "K-LITE_NEXT_M1": "K-LITE NEXT M1",
    "K-Lite TAB X": "KLITE_TAB_Z",
    "K-Lite TAB Z": "TAB Z",
    "K-Touch 920": "K-Touch920",
    "K-Touch K3": "K3",
    "K-Touch L930i": "L930i",
    "K-Touch M2s": "M2s",
    "K-Touch Tou ch 2c": "Touch 2C",
    "KAAN_A1": "A1",
    "KAGIS Android TV": "Australia",
    "Trooper_X35": "TROOPER X3.5",
    "Trooper_X40": "TROOPER X4.0",
    "Trooper_X55": "TROOPER X5.5",
    "KAZAM TV 45": "TV 4.5",
    "KAZAM Thunder 345": "Thunder 345",
    "KAZAM Thunder 345 LTE": "Thunder 345 LTE",
    "Thunder3 45 LTE": "Thunder 345 LTE",
    "KAZAM Thunder 345L": "Thunder 345L",
    "KAZAM Thunder 350L": "Thunder 350L",
    "KAZAM Thunder 550": "Thunder 550",
    "KAZAM Thunder 550L": "Thunder 550L",
    "KAZAM THUNDER2 45L": "Thunder2 45L",
    "KAZAM Thunder2 50": "Thunder2 50",
    "KAZAM Tornado 350": "Tornado 350",
    "KAZAM Tornado 455L": "Tornado 455L",
    "KAZAM Tornado2 50": "Tornado2 50",
    "KAZAM Trooper 440L": "Trooper 440L",
    "KAZAM Trooper 445L": "Trooper 445L",
    "KAZAM Trooper 450": "Trooper 450",
    "KAZAM_Trooper_450L": "Trooper 450L",
    "KAZAM Trooper 451": "Trooper 451",
    "KAZAM Trooper 455": "Trooper 455",
    "KAZAM Trooper 540": "Trooper 540",
    "KAZAM Trooper 550L": "Trooper 550L",
    "KAZAM Trooper 551": "Trooper 551",
    "KAZAM Trooper 555": "Trooper 555",
    "KAZAM Trooper 650": "Trooper 650",
    "KAZAM Trooper 650 4G": "Trooper 650 4G",
    "KAZAM Trooper2 40": "Trooper2 40",
    "KAZAM Trooper2 50": "Trooper2 50",
    "Kazam Trooper2 60": "Trooper2 60",
    "GX-JJ680CM": "CJ680CM",
    "KurioPhone": "Kurio Phone",
    "C14100": "Kurio Tab - Extrem",
    "01016": "TAB3-Premium-XTREME3",
    "01516": "TAB3-Premium-XTREME3",
    "02018": "TabXL-Smart-Smart2in1-Tab10",
    "C02AS5": "Cableplus STB-2",
    "C02AS": "CablePlus STB",
    "C02BB1": "Power Up Unit",
    "SMARTTVBOX": "SmartTVBox",
    "KEMPLER_9": "KEMPLER 9",
    "KEMPLER_TV": "KEMPLER TV",
    "P1 Amateur": "KEMPLERP1_Amateur",
    "P1_AMATEUR": "KEMPLER_P1_AMATEUR_PLUS",
    "ZKEMPLERPRO": "ZKEMPLER PRO",
    "ZKEMPLER PLUS": "ZKEMPLER_PLUS",
    "BTA500": "BT-A500GA",
    "T650": "KIRISUN T650",
    "KIDS_FIVE": "kIDS_FIVE",
    "KONKA Android TV 2K": "Asia Pacific, Europe, MiddleEast，Africa",
    "KC516 Pro": "KC516_Pro",
    "KONKA 4K Android TV": "KONKA Android TV",
    "KONKA 2K Android TV": "Konka Android TV",
    "KONKA-N188": "KONKA  N188",
    "KONKA-Y109": "KONKA  Y109",
    "KONKA Android TV 4K": "Konka android tv",
    "N7": "VUCATIMES",
    "SP10": "Unnion SP10",
    "SP6": "sp6",
    "KOOMII A6": "KOOMII_A6",
    "K68": "KRIP K68",
    "KM-E100": "TAKE SUIT",
    "Smart UHD TV": "THEHAM",
    "40DNA": "NA",
    "43FNA": "NA",
    "Smart FHD TV": "THEHAM",
    "EcoTV Plus": "SA",
    "40DSA": "Zitro",
    "43FSA": "Zitro",
    "2K Siera SMART TV": "SIERA",
    "4K Siera SMART TV": "Siera",
    "Tesla 4K Android TV": "South American",
    "F VIZZION TV": "vizzion",
    "Pure": "PureKTV",
    "UPad": "UPAD2021_EEA",
    "KZG Scope": "KZG_Scope",
    "W660": "KAICOM W660",
    "Silver Max Pro": "Silver Max Pro",
    "Black X": "Black_X",
    "Element 5": "Element 5 Plus",
    "ELEMENT PLAY": "Element Play",
    "GOLD_PRO": "Gold Pro",
    "K4-02 4G": "Klic",
    "KANJI 2K Android TV": "ARGENTINA",
    "KANJI 4K Android TV": "ARGENTINA",
    "KJ-YUBI": "SA070",
    "KJ-ALFARK": "KJ_ALFARK",
    "KM_SH368AT": "Android TV Set-Top Box",
    "KAP11000": "SmartVision2",
    "KARBONN A545": "A545",
    "A9 Indian": "A9_Indian",
    "Aura 4G": "Aura  4G",
    "Aura_Power": "Aura Power",
    "Aura Sleek Plus": "Aura Seek Plus",
    "K9 VIRAAT 4G": "K9 Viraat 4G",
    "K9 Music 4G": "Karbonn K9 Music 4G",
    "Karbonn Yuva 2": "Karbonn Yuva2",
    "Alumini_3_Plus": "Alumini 3 Plus",
    "KEMPLER_8": "KEMPLER 8",
    "9 Pro": "9_Pro",
    "A8M": "A8",
    "Elegance_4_0_black": "Elegance 4.0 black",
    "Elegance_5_1": "Elegance 5.1",
    "ELEGANCE_5_1_PRO": "Elegance 5.1 Pro",
    "Elegance_5_5": "Elegance 5.5",
    "Elegance_5_5_Pro": "Elegance 5.5 Pro",
    "ES": "KIMFLY ES",
    "MC": "Kimfly MC",
    "Kingcomm C500": "C500",
    "Kingcomm E550": "E550",
    "KIOTO 2K Android TV": "Chile",
    "X4_Plus": "X4 Plus",
    "KIVI 4K Android TV": "KIVI",
    "KIVI 2K Android TV": "KIVI",
    "KL3838": "7588AN",
    "KL1018E_EEA": "KL1018E",
    "KL1018N": "KL1018N_EEA",
    "KL1019": "KL1019_EEA",
    "KL4889B": "KL4889B_EEA",
    "KL4891_A50": "KL4891_A50_EEA",
    "KL553_EEA": "KL553",
    "KLIPAD_KL600": "KL600",
    "KL7590": "KL7590_eea",
    "KL830": "KL830_EEA",
    "KL I750": "KLI750_EEA",
    "KLIPAD_SMART_KLI758": "KLI758",
    "KL628_HL": "KLIPAD",
    "A1040M": "KLIPAD_A1040M",
    "KL4888": "KLIPAD_KL4888",
    "KLIPAD_PRO_I746": "PRO_I746",
    "KLIPAD_SMART_D791": "SMART_D791",
    "KLIPAD_SMART_I745": "SMART_I745",
    "KLIPAD_V355": "V355",
    "KLIPAD_V355B": "V355B",
    "arc 10HD": "Arc 10HD",
    "arc 7": "Arc 7",
    "arc 7HD": "Arc 7HD",
    "D40": "Kodak_D40",
    "D50L": "Kodak_D50L",
    "D50PROL": "Kodak_D50PROL",
    "D55L": "Kodak_D55L_R",
    "D60LX": "Kodak_D60LX",
    "D65L": "Kodak_D65L",
    "D65LX": "Kodak_D65LX",
    "KD50": "Kodak_KD50",
    "KODAK SMARTWAY M2": "SMARTWAY M2",
    "Kogan Agora 6Plus": "Agora 6 Plus",
    "Kogan SmarterTV 2K": "Australia",
    "KoganTVAP": "Australia",
    "Kogan TV": "EU、UK、AP",
    "Agora 8 Plus": "Kogan Agora 8 Plus",
    "Agora Go": "Kogan Agora Go",
    "AGORA XI": "Kogan Agora XI",
    "Agora XS": "Kogan Agora XS",
    "CITY4": "CITY4_EEA",
    "EASY_5_EEA": "EASY_5",
    "EASY K55": "EASY_K55",
    "EASY_S55P_EEA": "EASY_S55P",
    "KONROW_701X": "KONROW",
    "PRIMO": "Primo",
    "SKY55_EEA": "SKY55",
    "SKY_55_EEA": "SKY_55",
    "SWEET 55": "SWEET_55",
    "MATRIX_PRO": "MATRIX PRO",
    "ULTRA": "ULTRA_Plus",
    "SOSPIRO-AS10LXPro": "AS10LXPro",
    "Kruger&Matz Drive 5": "DRIVE 5",
    "DRIVE_6S": "DRIVE_6SS",
    "KM1070": "EAGLE 1070",
    "KM0701_1": "EAGLE 701",
    "KM0804_1": "EAGLE 804",
    "KM0805_1": "EAGLE 805",
    "KM0702": "Eagle_702",
    "FLOW_5": "FLOW 5",
    "FLOW5PLUS": "FLOW 5+",
    "Flow 7S": "Flow_7S_EEA",
    "Flow 9": "Flow_9_EEA",
    "Krüger&Matz _LIVE5_KM0450": "LIVE 5",
    "LIVE 7": "LIVE_7",
    "Live 8": "Live 8 EEA",
    "Live 9": "Live 9 EEA",
    "Live 9S": "Live 9S EEA",
    "MOVE_7": "MOVE 7",
    "MOVE_8": "MOVE_8.1",
    "Ambition": "Kult Ambition",
    "Beyond": "Kult Beyond",
    "9309S": "KURIO LITE GO NEW",
    "8391X": "Kurio Smart 2 in 1 PRO",
    "8391X_EEA": "Kurio Smart 2 in 1 PRO",
    "8076_EEA": "Kurio Tab",
    "9317H": "Smart Tab 7",
    "9317H1": "Smart Tab 7",
    "01519": "TabGo Next Connect",
    "S9-KC": "Android One S9",
    "KYV32": "BASIO",
    "KYV43": "BASIO 3",
    "KYV47": "BASIO4",
    "KYV47-j": "BASIO4",
    "KYV47-u": "BASIO4",
    "E6782": "Brigadier",
    "ISW11K": "DIGNO",
    "KYL22": "DIGNO",
    "901KC": "DIGNO BX",
    "A101KC": "DIGNO BX2",
    "WX04K": "DIGNO Dual",
    "KYV36": "DIGNO rafre",
    "202K": "DIGNO R",
    "KYL21": "DIGNO S",
    "KC-S304": "DIGNO SANGA edition",
    "KC-S302": "DIGNO SX2",
    "302KC": "DIGNO T",
    "KYT34": "DIGNO Tab",
    "KYV42_u": "DIGNO V",
    "KYV40U": "DIGNO W",
    "KC-S303": "DIGNO WX",
    "KC-S702": "DURA FORCE PRO",
    "KYOCERA-E6560": "DuraForce",
    "E6560C": "DuraForce",
    "E6560L": "DuraForce",
    "E6560T": "DuraForce",
    "USCC-E6762": "DuraForce",
    "KYOCERA-E6820": "DuraForce PRO",
    "E6820TM": "DuraForce PRO",
    "E6830": "DuraForce PRO",
    "E6833": "Xperia Z5 Premium Dual",
    "E6910": "DuraForce PRO 2 with Sapphire shield",
    "E6810": "DuraForce PRO with Sapphire Shield",
    "E6921": "DuraForce Pro 2",
    "KYOCERA-E6920": "DuraForce Pro 2",
    "E7110": "DuraForce Ultra 5G",
    "KYOCERA-E6790": "DuraForce XD",
    "E6790TM": "DuraForce XD",
    "E6782L": "DuraScout",
    "C6930": "DuraSport 5G",
    "KSP8000": "Echo",
    "M9300": "Echo",
    "KYV48": "GRATINA",
    "101K": "HONEY BEE",
    "201K": "Honeybee Touch",
    "C5170": "Hydro",
    "Hydro": "Hydro PLUS",
    "KYOCERA-C6745": "Hydro AIR",
    "C5215": "Hydro EDGE",
    "C6750": "Hydro Elite",
    "C6730": "Hydro ICON",
    "C6530": "Hydro LIFE",
    "C6530N": "Hydro LIFE",
    "Hydro_PLUS": "Hydro PLUS",
    "C6743": "Hydro REACH",
    "KYOCERA-C6742A": "Hydro SHORE",
    "C6725": "Hydro VIBE",
    "C6742": "Hydro VIEW",
    "KYOCERA-C6742": "Hydro VIEW",
    "C6740": "Hydro WAVE",
    "C6740N": "Hydro WAVE",
    "C6522": "Hydro XTRM",
    "C6522N": "Hydro XTRM",
    "USCC-C6721": "Hydro XTRM",
    "KYV33": "INFOBAR A03",
    "SZJ-JS202": "KC-T302DT",
    "SZJ-JS203": "KC-T303DT",
    "KCP01K": "LUCE",
    "CD8100": "LifeWatch Universal Gateway",
    "C5120": "Milano",
    "C5121": "Milano",
    "KYV42": "Qua phone",
    "KYV37": "Qua phone (KYV37)",
    "KYV44": "Qua phone QZ",
    "KYV44_u": "Qua phone QZ",
    "KYT31": "Qua tab 01",
    "KYT33": "Qua tab QZ10",
    "KYT32": "Qua tab QZ8",
    "C5155": "Rise",
    "KC-S301AE": "S301",
    "S4-KC": "S4",
    "S6-KC": "S6",
    "S8-KC": "S8",
    "SZJ-JS201": "SZJ201",
    "KC-100S": "TORQUE",
    "SKT01": "TORQUE",
    "KYY24": "TORQUE G01",
    "KYV35": "TORQUE G02",
    "KYV41": "TORQUE G03",
    "KYV46": "TORQUE G04",
    "KC-S701": "TORQUE(KC-S701)",
    "KYG01": "TORQUE(R) 5G",
    "E6715": "TorqueXT",
    "KYY21": "URBANO L01",
    "KYY22": "URBANO L02",
    "KYY23": "URBANO L03",
    "KYV31": "URBANO V01",
    "KYV34": "URBANO V02",
    "KYV38": "URBANO V03",
    "KYV45": "URBANO V04",
    "X3-KC": "X3",
    "Zio": "zio",
    "KYF40": "mamorino 5",
    "KYL23": "miraie",
    "KYV39": "miraie f",
    "KYV40": "rafre",
    "KY-51B": "あんしんスマホ",
    "KYV44_u2": "おてがるスマホ01",
    "A201KC": "かんたんスマホ2+",
    "A001KC": "かんたんスマホ２",
    "KA-E410W": "All&G PAD",
    "Lamia L01": "Lamia_L01",
    "LTT8A4G": "LTT8A4G_EEA",
    "TabH8": "M863TabH8",
    "AI System EN P133-01": "X-431 PAD VII",
    "K102L": "LbQ-F10v2",
    "LbQ-F8v2": "LbQ_F8v2",
    "LEM-TS1": "LEM-TS1　",
    "LG-FL40L": "070 touch",
    "10sm3tb": "10SM3TB",
    "LG-F520L": "AKA",
    "LG-F520S": "AKA",
    "LG-H788": "LG AKA",
    "AS740": "Ally",
    "Aloha": "Ally",
    "US740": "Ally",
    "LG Google TV": "Android TV",
    "LG Android TV V4": "GA7800",
    "LG Google TV G3": "Android TV G3",
    "LG Google TV G3 KR": "Android TV",
    "LM-X320": "MY LG Mobile",
    "LG-V426": "B6",
    "LGT02": "B6",
    "VS890 4G": "Enact",
    "LG-P870": "Optimus  LTE",
    "GW620": "Eve",
    "LG GW620": "Eve",
    "LG GW620F": "Eve",
    "LG GW620R": "Eve",
    "LG GW620g": "Eve",
    "LG KH5200": "Eve",
    "LG-GW620": "Eve",
    "LG-KH5200": "Eve",
    "LG-D390": "F60",
    "LG-D390AR": "F60",
    "LG-D392": "F60",
    "LG-D390n": "F60",
    "LG-D393": "F60",
    "LGMS395": "F60",
    "LGLS660": "F60",
    "VS810PP": "F60",
    "LGL31L": "F70",
    "LG-M153": "Fortune",
    "LG-M154": "Fortune",
    "LM-X210CM": "Fortune 2",
    "LM-X210CMR": "Fortune 2",
    "LG-X760": "G PADⅢ 10.1",
    "LG-X760E": "G PADⅢ 10.1",
    "LG-X760W": "G PADⅢ 10.1",
    "LG-V700": "G Pad 10.1",
    "LG-V700WJ": "G Pad 10.1",
    "LG-V700n": "G Pad 10.1",
    "LG-VK700": "G Pad 10.1 LTE",
    "VK700": "G Pad 10.1 LTE",
    "LM-T600": "G Pad 5 10.1 FHD",
    "LM-T600L": "G Pad 5 10.1 FHD",
    "LM-T605": "G Pad 5 10.1 FHD",
    "LG-V400": "Gpad 7.0",
    "LG-V400S1": "G Pad 7.0",
    "LG-V400Y1": "G Pad 7.0",
    "LG-V400Y7": "G Pad 7.0",
    "LG-V410": "G Pad 7.0 LTE",
    "LG-V411": "G Pad 7.0 LTE",
    "LGUK410": "G Pad 7.0 LTE",
    "AK815": "G Pad 8+",
    "LG-V480": "G pad 8.0",
    "LG-V498": "G Pad II 8.0",
    "LG-V498S1": "G Pad II 8.0",
    "LG-V498S2": "G Pad II 8.0",
    "LG-P451L": "G Pad III 8.0 Homeboy",
    "LGUK932": "G Pad Ⅱ 10.1",
    "LG-V935": "G Pad Ⅱ 10.1 FHD 4G LTE",
    "LG-V935T": "G Pad Ⅱ 10.1 FHD 4G LTE",
    "LG-D685": "G Pro Lite",
    "LG-D686": "G Pro Lite",
    "LG-D683": "G Pro Lite",
    "LG-D684": "G Pro Lite",
    "LG-D680": "G Pro Lite",
    "LG-D681": "G Pro Lite",
    "LG-D682": "G Pro Lite",
    "LG-D682TR": "G Pro Lite",
    "LG-F350K": "G Pro2",
    "LG-F350L": "G Pro2",
    "LG-F350S": "G Pro2",
    "LG-D838": "G Pro2",
    "LG-F560K": "G Stylo",
    "LG-D690": "G Vista",
    "VS880": "G Vista",
    "VS880PP": "G Vista",
    "LG-V490": "G pad 8.0 LTE",
    "LG-D620": "G2 MINI",
    "LG-D618": "G2 MINI",
    "LG-D610": "G2 MINI",
    "LG-D610AR": "G2 MINI",
    "LG-D610TR": "G2 MINI",
    "LG-D625": "G2 mini 4G LTE",
    "LG-D726": "G3 Beat",
    "LG-D728": "G3 Beat",
    "LG-D729": "G3 Beat",
    "LG-F470K": "G3 Beat",
    "LG-F470L": "G3 Beat",
    "LG-F470S": "G3 Beat",
    "LG-D722J": "G3 Beat",
    "LG-D727": "G3 Beat",
    "LG-D724": "G3 S",
    "LG-D723": "G3 S",
    "LG-D722": "G3 S",
    "LG-D722AR": "G3 S",
    "LG-D725PR": "G3 S",
    "LG-F490L": "G3 Screen",
    "LG-D690n": "G3 Stylus",
    "LG-D693": "G3 Stylus",
    "LG-D693AR": "G3 Stylus",
    "LG-D693TR": "G3 Stylus",
    "LG-D693n": "G3 Stylus",
    "LGLS885": "G3 Vigor",
    "LG-D725": "G3 Vigor",
    "LM-Q850K": "G6Fit",
    "LM-Q850L": "G6Fit",
    "LM-Q850S": "G6Fit",
    "LM-Q850": "LG G7 fit",
    "LM-G810": "G8s",
    "901LG": "G8X ThinQ",
    "LM-G850": "G8X ThinQ",
    "VK410": "GPAD 7.0 LTE",
    "LG-F580L": "Gentle",
    "LG-F430L": "Gx2",
    "LG-V607L": "Homeboy2",
    "LM-R910N": "I project",
    "LG-F440L": "Ice cream Smart",
    "VS950 4G": "Intuition",
    "L-02K": "JOJO",
    "RS501": "K20",
    "LM-K200": "K32",
    "LG-AS110": "K3 2017",
    "LGUS110": "K3 2017",
    "LG-M151": "K4",
    "LGL157BL": "K4 (2017)",
    "LGL57BL": "K4 (2017)",
    "LM-X540": "K50S",
    "LGL555DL": "LG Reflect",
    "LM-K500": "LG Reflect",
    "LM-K510": "K51S",
    "LM-K520": "K52",
    "LM-Q630": "Q61",
    "LM-K525": "K62",
    "LM-K526": "K62+",
    "LM-Q730": "Stylo 6",
    "LM-K920": "K92",
    "LG-D335": "L Bello",
    "LG-D335E": "L Bello",
    "LG-D337": "L Bello",
    "LG-D290": "L Fino",
    "LG-D290AR": "L Fino",
    "LG-D295": "L Fino",
    "LG-D105": "L20",
    "LG-D100": "L20",
    "LG-D100AR": "L20",
    "LG-D107": "L20",
    "LG-D125": "L30 Sporty",
    "LG-D120": "L30 Sporty",
    "LG-D120AR": "L30 Sporty",
    "LG-X130g": "L45",
    "LG-X132": "L45",
    "LG-D221": "L50 Sporty",
    "LG-D227": "L50 Sporty",
    "LG-D213": "L50 Sporty",
    "LG-D213AR": "L50 Sporty",
    "LG-F590": "L5000",
    "LG-X135": "L60",
    "LG-X137": "L60",
    "LG-X140": "L60",
    "LG-X145": "L60",
    "LG-X147": "L60",
    "LG-D280": "L65",
    "LG-D285": "L65",
    "LG-P712": "LG Optimus L7 II",
    "LG-P714": "LG Optimus L7 II",
    "LG-P716": "Optimus L7II",
    "LG-D320": "L70",
    "LG-D320AR": "L70",
    "LG-D321": "L70",
    "LGAS323": "L70",
    "LGMS323": "L70",
    "LGLS620": "L70",
    "LG-D325": "L70",
    "LG-D329": "L70",
    "LG-D340f8": "L70",
    "LGL41C": "L70 CDMA",
    "LG-D380": "L80 Dual",
    "LG-D385": "L80 Dual",
    "LG-D370": "L80 Single",
    "LG-D373": "L80 Single",
    "LG-D375": "L80 Single",
    "LG-D375AR": "L80 Single",
    "LG-D400": "L90",
    "LG-D405": "L90",
    "LG-D415": "L90",
    "LG-D410": "L90 Dual",
    "LG-D331": "LBello",
    "LG-D331AR": "LBello",
    "LG-H778": "LG AKA",
    "LG-H779": "LG AKA",
    "LG-H788SG": "LG AKA",
    "LG-H788TR": "LG AKA",
    "LG-H788n": "LG AKA",
    "LGMS210": "LG Aristo",
    "LM-X220": "LG K8s",
    "LG-X150": "LG Bello II",
    "LG-X155": "LG Max",
    "LG-X165g": "LG Max",
    "LG-X170g": "LG Prime II",
    "LG-F620K": "LG Class",
    "LG-F620L": "LG Class",
    "LG-F620S": "LG Class",
    "LGL17AG": "LG Classic",
    "LGL18VC": "LG Classic",
    "LG-MS840": "LG Connect 4G",
    "LG-C729": "LG DOUBLEPLAY",
    "LGL21G": "LG Destiny",
    "LG-VS700": "LG Enlighten",
    "LG-VS700PP": "LG Enlighten",
    "LG-K373": "LG Escape 3",
    "LG-H443": "LG Escape2",
    "LG-H445": "LG Escape2",
    "LG-MS910": "LG Esteem",
    "LG-F570S": "LG F570S",
    "LG-D315": "LG F70",
    "LG-D315l": "LG F70",
    "LG-F370K": "LG F70",
    "LG-F370L": "LG F70",
    "LG-F370S": "LG F70",
    "LGL163BL": "LG Fiesta 2 LTE",
    "LGL164VL": "LG Fiesta 2 LTE",
    "LGL63BL": "LG Fiesta LTE",
    "LGL64VL": "LG Fiesta LTE",
    "LG-D950": "LG G Flex",
    "LG-D950G": "LG G Flex",
    "LG-D951": "LG G Flex",
    "LG-D955": "LG G Flex",
    "LG-D956": "LG G Flex",
    "LG-D958": "LG G Flex",
    "LG-D959": "LG G Flex",
    "LG-F340K": "LG G Flex",
    "LG-F340L": "LG G Flex",
    "LG-F340S": "LG G Flex",
    "LG-LS995": "LG G Flex",
    "LGL23": "LG G Flex",
    "LG-F510K": "LG G Flex2",
    "LG-F510L": "LG G Flex2",
    "LG-F510S": "LG G Flex2",
    "LG-H950": "LG G Flex2",
    "LG-H955": "LG G Flex2",
    "LG-H959": "LG G Flex2",
    "LGAS995": "LG G Flex2",
    "LGLS996": "LG G Flex2",
    "LGUS995": "LG G Flex2",
    "LGT01": "LG G Pad 8.0 L Edition",
    "LG-P490L": "LG G Pad 8.0 LTE",
    "LG-V500": "LG G Pad 8.3",
    "LG-V510": "LG G Pad 8.3 Google Play Edition",
    "VK810 4G": "LG G Pad 8.3 LTE",
    "LG-V507L": "LG G Pad 8.3 homeBoy",
    "LG-AK495": "LG G Pad F™ 8.0 2nd Gen",
    "LG-UK495": "LG G Pad F™ 8.0 2nd Gen",
    "LG-V495": "LG G Pad F 8.0",
    "LG-V496": "LG G Pad F 8.0",
    "LG-V499": "LG G Pad F 8.0",
    "LG-LK460": "LG G Pad F2 8.0",
    "LGLK430": "LG G Pad F7.0",
    "LG-V940": "LG G Pad II 10.1 FHD",
    "LG-V940n": "LG G Pad II 10.1 FHD",
    "LG-V497": "LG G Pad II 8.0LTE",
    "LG-P815L": "LG G Pad II 8.3",
    "LG-P755L": "LG G Pad III 10.1 FHD LTE",
    "LG-V755": "LG G Pad III 10.1 FHD LTE",
    "LG-V522": "LG G Pad III 8.0",
    "LG-V525": "LG G Pad III 8.0 FHD",
    "LG-V525S1": "LG G Pad III 8.0 FHD",
    "LG-V525S3": "LG G Pad III 8.0 FHD",
    "LG-V533": "LG G Pad IV 8.0",
    "LG-P530L": "LG G Pad IV 8.0 FHD LTE",
    "LG-V521": "LG G Pad X 8.0",
    "VK815": "LG G Pad X 8.3",
    "LG-V530": "LG G Pad X2 8.0 PLUS",
    "LGUK750": "LG G Pad X® II 10.1",
    "LG-V520": "LG G Pad™ X 8.0",
    "LG-H634": "LG G Stylo",
    "LGLS770": "LG G Stylo",
    "LG-H630D": "LG G Stylo",
    "LG-H630": "LG G Stylo",
    "LG-H631": "LG G Stylo",
    "LG-H631MX": "LG G Stylo",
    "LG-H635": "LG G Stylo",
    "LG-H635A": "LG G Stylo",
    "LG-H636": "LG G Stylo",
    "LGMS631": "LG G Stylo",
    "LG-D631": "LG G Vista",
    "LG-H740": "LG G Vista 2",
    "LG-D800": "LG G2",
    "LG-D801": "LG G2",
    "LG-D802": "LG G2",
    "LG-D802T": "LG G2",
    "LG-D802TR": "LG G2",
    "LG-D803": "LG G2",
    "LG-D805": "LG G2",
    "LG-D806": "LG G2",
    "LG-F320K": "LG G2",
    "LG-F320L": "LG G2",
    "LG-F320S": "LG G2",
    "LG-LS980": "LG G2",
    "VS980 4G": "LG G2",
    "AS985": "LG G3",
    "LG-AS990": "LG G3",
    "LG-D850": "LG G3",
    "LG-D851": "LG G3",
    "LG-D852": "LG G3",
    "LG-D852G": "LG G3",
    "LG-D855": "LG G3",
    "LG-D856": "LG G3",
    "LG-D857": "LG G3",
    "LG-D858": "LG G3",
    "LG-D858HK": "LG G3",
    "LG-D859": "LG G3",
    "LG-F400K": "LG G3",
    "LG-F400L": "LG G3",
    "LG-F400S": "LG G3",
    "LGL24": "LG G3",
    "LGLS990": "LG G3",
    "LGUS990": "LG G3",
    "LGV31": "LG G3",
    "VS985 4G": "LG G3",
    "LG-F410S": "LG G3 A",
    "LG-F460K": "LG G3 Cat.6",
    "LG-F460L": "LG G3 Cat.6",
    "LG-F460S": "LG G3 Cat.6",
    "AS986": "LG G4",
    "LG-AS811": "LG G4",
    "LG-AS991": "LG G4",
    "LG-F500K": "LG G4",
    "LG-F500L": "LG G4",
    "LG-F500S": "LG G4",
    "LG-H810": "LG G4",
    "LG-H811": "LG G4",
    "LG-H812": "LG G4",
    "LG-H815": "LG G4",
    "LG-H818": "LG G4",
    "LG-H819": "LG G4",
    "LGLS991": "LG G4",
    "LGUS991": "LG G4",
    "LGV32": "LG G4",
    "VS986": "LG G4",
    "LG-H736": "LG G4 Beat",
    "LG-H735": "LG G4 Beat",
    "LG-H540": "LG G4 Stylus",
    "LG-H542": "LG G4 Stylus",
    "LG-H731": "LG G4 vigor",
    "LG-H525": "LG G4c",
    "LG-H525n": "LG G4c",
    "LG-H734": "LG G4s",
    "LG-F700K": "LG G5",
    "LG-F700L": "LG G5",
    "LG-F700S": "LG G5",
    "LG-H820": "LG G5",
    "LG-H820PR": "LG G5",
    "LG-H830": "LG G5",
    "LG-H831": "LG G5",
    "LG-H850": "LG G5",
    "LG-H858": "LG G5",
    "LG-H860": "LG G5",
    "LG-H868": "LG G5",
    "LGAS992": "LG G5",
    "LGLS992": "LG G5",
    "LGUS992": "LG G5",
    "RS988": "LG G5",
    "VS987": "LG G5",
    "LG-H840": "LG G5 SE",
    "LG-H845": "LG G5 SE",
    "LG-H848": "LG G5 SE",
    "LG-AS993": "LG G6",
    "LG-H870": "LG G6",
    "LG-H870AR": "LG G6",
    "LG-H870DS": "LG G6",
    "LG-H870I": "LG G6",
    "LG-H870S": "LG G6",
    "LG-H871": "LG G6",
    "LG-H871S": "LG G6",
    "LG-H872": "LG G6",
    "LG-H872PR": "LG G6",
    "LG-H873": "LG G6",
    "LG-LS993": "LG G6",
    "LGM-G600K": "LG G6",
    "LGM-G600L": "LG G6",
    "LGM-G600S": "LG G6",
    "LGUS997": "LG G6",
    "VS988": "LG G6",
    "LM-Q910": "LG G7 One",
    "LG-G710": "LG G7 ThinQ",
    "LM-G710": "LG G7 ThinQ",
    "LM-G710N": "LG G7 ThinQ",
    "LM-G710VM": "LG G7 ThinQ",
    "LM-G820": "LG G8 ThinQ™",
    "LM-G820N": "LG G8 ThinQ™",
    "LGL59BL": "LG GRACE™ LTE",
    "LG-F660L": "LG Gentle",
    "LG-V930": "LG Gpad X 10.1",
    "LG-F310L": "LG Gx",
    "LG-F310LR": "LG Gx",
    "LG-M257": "LG Harmony",
    "LM-K400": "LG L455DL",
    "LG-H220": "LG Joy",
    "LG-H222": "LG Joy",
    "LG-H221": "LG Joy",
    "LG-H221AR": "LG Joy",
    "LG-K425": "LG K10",
    "LG-K428": "LG K10",
    "LGMS428": "LG K10",
    "LG-K420": "LG K10",
    "LG-F670K": "LG K10",
    "LG-F670L": "LG K10",
    "LG-F670S": "LG K10",
    "LG-K410": "LG K10",
    "LG-M257PR": "LG K10 (2017)",
    "LG-M250": "LG K10 (2017)",
    "LG-K420PR": "LG K10 LTE",
    "LG-K430": "LG K10 LTE",
    "LG-M320": "LG X500",
    "LM-X410(FN)": "LG K11",
    "LM-X410.F": "LG Premier Pro",
    "LM-X410.FN": "LG K11+",
    "LG-M255": "LG K20",
    "LG-TP260": "LG K20 Plus",
    "LGMP260": "LG K20 Plus",
    "VS501": "LG K20 V",
    "LGL48VL": "LG K3",
    "LGLS450": "LG K3",
    "LG-K100": "LG K3 LTE",
    "LM-X410UM": "LG K30",
    "LM-X410PM": "LG K30",
    "LGL322DL": "LG K30",
    "LGL355DL": "LG K31",
    "LM-K300": "LG K31",
    "LGL460DL": "LG K33",
    "LM-K330": "LG K33",
    "LGL560DL": "LG K35",
    "LG-K120GT": "LG K4",
    "LG-K121": "LG K4",
    "VS425": "LG K4",
    "LG-M160": "LG K4",
    "LG-K120": "Spree",
    "LG-K130": "LG K4 LTE",
    "LG-X230": "LG K4/K7 (2017)",
    "LG-X230YK": "LG K4/K7 (2017)",
    "LM-X430": "LG K40S",
    "LM-K410": "LG-K41S",
    "LG-X220": "LG K5",
    "802LG": "LG K50",
    "KF1919": "LG K50",
    "LG-AS330": "LG K7",
    "LG-K330": "LG K7",
    "LGMS330": "LG K7",
    "LG-X210": "LG K7",
    "LG-M210": "LG K8",
    "LGAS375": "LG K8",
    "LGUS375": "LG K8",
    "RS500": "LG K8",
    "LG-K350": "LG K8 LTE",
    "LGUS215": "LG K8 (2017)",
    "LG-M200": "LG K8 (2017) Dual",
    "LG-X240": "LG K8 (2017)",
    "VS500": "LG K8 V",
    "VS500PP": "LG K8 V",
    "LM-X21(G)": "LG K8(2018)",
    "LM-X210": "LG K9",
    "LM-X210(G)": "LG K8(2018)",
    "LM-X212(G)": "LG K8(2018)",
    "LML211BL": "LG K8(2018)",
    "LML212VL": "LG K8(2018)",
    "LM-X220QMA": "LG K8s",
    "LGL39C": "LG L39C",
    "LGL455DL": "LG L455DL",
    "LG-H345": "LG LEON™ LTE",
    "VS820": "LG Lancet",
    "LG-H320": "LG Leon",
    "LG-H324": "LG Leon",
    "LG-H326": "LG Leon TV",
    "LG-H340": "LG Leon 4G LTE",
    "LG-H340AR": "LG Leon 4G LTE",
    "LG-H340GT": "LG Leon 4G LTE",
    "LG-H343": "LG Leon 4G LTE",
    "LGMS345": "LG Leon 4G LTE",
    "LG-H342": "LG Leon 4G LTE",
    "LG-H340n": "LG Leon 4G LTE",
    "LGUS550": "LG Logos",
    "VS840 4G": "LG Lucid",
    "VS840PP": "LG Lucid",
    "VS870 4G": "LG Lucid 2",
    "VS876": "LG Lucid 3",
    "LG-K332": "LG M1",
    "LG-LS860": "LG Mach™",
    "LG-H500": "LG Magna",
    "LG-T540": "LG Magna",
    "LG-H502": "LG Magna",
    "LG-H520": "LG Magna LTE",
    "LG-X160": "LG Max",
    "LG-MS770": "LG Motion 4G",
    "LG-MS695": "LG OPTIMUS M+",
    "LGL75C": "LG OPTIMUS ZIP",
    "LG-P920": "Optimus 3D",
    "LG-P925g": "LG Optimus 3D",
    "LG-SU760": "Optimus 3D",
    "LG-VM696": "LG Optimus ELITE™",
    "LG-LS696": "LG Optimus Elite",
    "LG-D520": "LG Optimus F3Q",
    "LG-AS780": "LG Optimus F7",
    "LG-LG870": "LG Optimus F7",
    "LG-US780": "LG Optimus F7",
    "LG-E970": "LG Optimus G",
    "LG-E971": "LG Optimus G",
    "LG-E973": "LG Optimus G",
    "L-01E": "LG Optimus G",
    "LGL21": "LG Optimus G",
    "LG-E975": "LG Optimus G",
    "LG-E975K": "LG Optimus G",
    "LG-E975T": "LG Optimus G",
    "LG-E976": "LG Optimus G",
    "LG-E977": "LG Optimus G",
    "LG-E987": "LG Optimus G",
    "LG-F180K": "LG Optimus G",
    "LG-F180S": "LG Optimus G",
    "LG-F180L": "LG Optimus G",
    "LG-LS970": "LG Optimus G",
    "LG-E980": "LG Optimus G Pro",
    "LG-E980h": "LG Optimus G Pro",
    "LG-E981h": "LG Optimus G Pro",
    "LG-E986": "LG Optimus G Pro",
    "LG-E988": "LG Optimus G Pro",
    "LG-E989": "LG Optimus G Pro",
    "LG-F240K": "LG Optimus G Pro",
    "LG-F240S": "LG Optimus G Pro",
    "LG-F240L": "LG Optimus G Pro",
    "LG-E510": "Optimus Hub",
    "LG-E410": "LG Optimus L1II",
    "LG-E410B": "LG Optimus L1II",
    "LG-E410c": "LG Optimus L1II",
    "LG-E410f": "LG Optimus L1II",
    "LG-E410g": "LG Optimus L1II",
    "LG-E410i": "LG Optimus L1II",
    "LG-E411f": "LG Optimus L1II",
    "LG-E411g": "LG Optimus L1II",
    "LG-E415f": "LG Optimus L1II",
    "LG-E415g": "LG Optimus L1II",
    "LG-E420": "LG Optimus L1II",
    "LG-E420f": "LG Optimus L1II",
    "LG-E475f": "LG Optimus L1II",
    "LG-E400": "LG Optimus L3",
    "LG-E400R": "LG Optimus L3",
    "LG-E400b": "LG Optimus L3",
    "LG-E400f": "LG Optimus L3",
    "LG-E400g": "LG Optimus L3",
    "LG-L38C": "LG Optimus L3",
    "LGL35G": "LG Optimus L3",
    "LG-E405": "LG Optimus L3 Dual",
    "LG-E405f": "LG Optimus L3 Dual",
    "LG-E435": "LG Optimus L3 II",
    "LG-E435f": "LG Optimus L3 II",
    "LG-E435g": "LG Optimus L3 II",
    "LG-E435k": "LG Optimus L3 II",
    "LG-E425": "LG Optimus L3 II",
    "LG-E425c": "LG Optimus L3 II",
    "LG-E425f": "LG Optimus L3 II",
    "LG-E425g": "LG Optimus L3 II",
    "LG-E425j": "LG Optimus L3 II",
    "LG-E430": "LG Optimus L3 II",
    "LG-E431g": "LG Optimus L3 II",
    "LG-E440": "LG Optimus L4 II",
    "LG-E440f": "LG Optimus L4 II",
    "LG-E440g": "LG Optimus L4 II",
    "LG-E465f": "LG Optimus L4 II",
    "LG-E465g": "LG Optimus L4 II",
    "LG-E445": "LG Optimus L4 II Dual",
    "LG-E467f": "LG Optimus L4 II Dual",
    "LG-E470f": "LG Optimus L4 II Tri",
    "LG-E615": "LG Optimus L5 Dual",
    "LG-E615f": "LG Optimus L5 Dual",
    "LG-E455": "LG Optimus L5 II",
    "LG-E455f": "LG Optimus L5 II",
    "LG-E455g": "LG Optimus L5 II",
    "LG-E460": "LG Optimus L5 II",
    "LG-E460f": "LG Optimus L5 II",
    "LG-E450": "LG Optimus L5 II",
    "LG-E450B": "LG Optimus L5 II",
    "LG-E450f": "LG Optimus L5 II",
    "LG-E450g": "LG Optimus L5 II",
    "LG-E450j": "LG Optimus L5 II",
    "LG-E451g": "LG Optimus L5 II",
    "LG-P700": "LG Optimus L7",
    "LG-P705": "LG Optimus L7",
    "LG-P705f": "LG Optimus L7",
    "LG-P705g": "LG Optimus L7",
    "LG-P708g": "LG Optimus L7",
    "LG-T280": "LG Optimus L7",
    "LGL96G": "LG Optimus L7",
    "LG-P715": "LG Optimus L7II",
    "LG-P710": "LG Optimus L7 II",
    "LG-P713": "LG Optimus L7 II",
    "LG-P713GO": "LG Optimus L7 II",
    "LG-P713TR": "LG Optimus L7 II",
    "LG-D700": "LG Optimus L9",
    "LG-P760": "LG Optimus L9 (NFC)",
    "LG-P765": "LG Optimus L9",
    "LG-P768": "LG Optimus L9",
    "LG-P769": "LG Optimus L9",
    "LG-P778": "LG Optimus L9",
    "LGMS769": "LG Optimus L9",
    "LG-D605": "LG Optimus L9 II",
    "LG-AS840": "LG Optimus LTE Tag",
    "LG-F120K": "LG Optimus LTE Tag",
    "LG-F120L": "LG Optimus LTE Tag",
    "LG-F120S": "LG Optimus LTE Tag",
    "LG-F160K": "LG Optimus LTE2",
    "LG-F160S": "LG Optimus LTE2",
    "LG-F160L": "LG Optimus LTE2",
    "LG-F160LV": "LG Optimus LTE2",
    "LG-F260S": "LG Optimus LTE3",
    "LG-P500": "LG Optimus One",
    "LG-P500h": "LG Optimus One",
    "LG-P503": "LG Optimus One",
    "LG-P504": "LG Optimus One",
    "LG-P505": "LG Optimus One",
    "LG-P505CH": "LG Optimus One",
    "LG-P505R": "LG Optimus One",
    "LG-P506": "LG Optimus One",
    "LG-P509": "LG Optimus One",
    "LG-LW770": "LG Optimus Regard",
    "LG-AS730": "LG Optimus Select",
    "VS415PP": "LG Optimus Zone 2",
    "LG-P350": "LG Pecan",
    "LG-P350f": "LG Pecan",
    "LG-P350g": "LG Pecan",
    "LG-K371": "LG Phoenix 2",
    "LM-X210APM": "LG Phoenix 4",
    "LGL22C": "LG Power",
    "LM-X410(FG)": "LG Premier Pro",
    "LM-X410.FG": "LG Premier Pro",
    "LM-X410.FGN": "LG Premier Pro",
    "LML413DL": "LG Premier Pro",
    "LML414DL": "LG Premier Pro",
    "LG-X170fTV": "LG Prime II",
    "LG-H522": "LG Prime Plus 4G",
    "LG-M700": "LG Q6",
    "LG-M703": "LG Q6",
    "LG-US700": "LG Q6",
    "LGM-X600K": "LG Q6",
    "LGM-X600L": "LG Q6",
    "LGM-X600S": "LG Q6",
    "LM-X525": "X6(2019)",
    "LM-Q610.FG": "LG Q7",
    "LM-Q610.FGN": "LG Q7",
    "LM-Q617.FGN": "LG Q7+",
    "LM-Q610(FGN)": "LG Q7+",
    "LM-Q725K": "LG Q7+",
    "LM-Q725L": "LG Q7+",
    "LM-Q725S": "LG Q7+",
    "LM-Q727K": "LG Q7+",
    "LM-Q727L": "LG Q7+",
    "LM-Q727S": "LG Q7+",
    "LM-Q620": "LG Q70",
    "LM-Q730N": "LG Q70",
    "LM-Q925K": "LG Q9",
    "LM-Q925L": "LG Q9",
    "LM-Q925S": "LG Q9",
    "LM-Q927L": "LG Q9 One",
    "LG-X190": "LG RAY",
    "LGL43AL": "LG Rebel",
    "LGL44VL": "LG Rebel",
    "VS910 4G": "LG Revolution",
    "LGL33L": "LG SUNSET",
    "LGM-X100L": "LG Smart Folder",
    "LGM-X100S": "LG Smart Folder",
    "LGL423DL": "LG Solo LTE",
    "VS920 4G": "Spectrum",
    "LG-H420": "LG Spirit",
    "LG-H440n": "LG Spirit 4G LTE",
    "LG-H440": "LG Spirit LTE",
    "LG-H440AR": "LG Spirit LTE",
    "LG-K540": "LG Stylo 2",
    "LGL81AL": "LG Stylo 2",
    "LGL82VL": "LG Stylo 2",
    "LGLS775": "LG Stylo 2",
    "LG-K550": "LG Stylo 2 Plus",
    "LG-K557": "LG Stylo 2 Plus",
    "LGMS550": "LG Stylo 2 Plus",
    "LG-M470": "LG Stylo 3 Plus",
    "LG-M470F": "LG Stylo 3 Plus",
    "LG-TP450": "LG Stylo 3 Plus",
    "LGMP450": "LG Stylo 3 Plus",
    "LM-Q710(FGN)": "LG Stylo 4",
    "LM-Q710.FG": "QStylus",
    "LM-Q710.FGN": "QStylus Plus",
    "LML713DL": "LG Stylo 4",
    "LG-Q710AL": "LG Stylo 4",
    "LG-Q710PL": "LG Stylo 4",
    "LGL722DL": "LG Stylo 5",
    "LM-Q720": "LG Stylo 5+",
    "LM-K735": "LG Stylo 7",
    "LG-M430": "LG Stylo3",
    "LGL83BL": "LG Stylo3",
    "LGL84VL": "LG Stylo3",
    "LG-LS777": "LG Stylo3",
    "LG-F720K": "LG Stylus 2",
    "LG-F720L": "LG Stylus 2",
    "LG-F720S": "LG Stylus 2",
    "LG-K520": "LG Stylus2",
    "LG-K530": "LG Stylus2 4G",
    "LG-K535": "LG Stylus2 Plus",
    "LG-K535n": "LG Stylus2 Plus",
    "LG-M400": "LG Stylus3",
    "LG-P925": "Thrill 4G",
    "LGL51AL": "LG Treasure",
    "LGL52VL": "LG Treasure",
    "LGLS665": "LG Tribute 2™",
    "LGLS675": "LG Tribute 5",
    "LG-SP200": "LG Tribute Dynasty",
    "LM-X220PM": "LG Tribute Empire",
    "LG-F820L": "LG U",
    "10A30Q": "LG Ultra Tab",
    "LM-V350": "LG V35 ThinQ",
    "LM-V350N": "LG V35 ThinQ",
    "LM-V500": "V50 ThinQ",
    "LM-V500N": "LG V50 ThinQ",
    "LM-V600": "V60 ThinQ",
    "LM-V600N": "LG V60 ThinQ",
    "L-51A": "LG V60 ThinQ 5G",
    "L-52A": "LG VELVET",
    "LG-LG730": "LG Venice",
    "LG-LS840": "LG Viper 4G LTE",
    "LG-H422": "LG Volt",
    "LGLS740": "LG Volt",
    "LG-H442": "LG Volt 4G",
    "LGLS751": "LG Volt II",
    "LG-F540K": "LG Volt LTE",
    "LG-F540L": "LG Volt LTE",
    "LG-F540S": "LG Volt LTE",
    "LG-F640S": "LG Volt S",
    "LM-F100": "LG WING",
    "LM-F100N": "LG WING",
    "LG Watch Urbane": "LG Watch Urbane 2nd Edition LTE",
    "LG-H410": "LG Wine Smart",
    "LG-F610K": "LG Wine Smart Jazz",
    "LG-F610S": "LG Wine Smart Jazz",
    "LGK500J": "LG X Screen",
    "LG-F740L": "LG X Skin",
    "LG-K200": "LG X Style",
    "LGL53BL": "LG X Style",
    "LGL56VL": "LG X Style",
    "LGLS676": "LG X Style",
    "LG-US701": "LG X Venture",
    "LG-H700": "LG X Venture",
    "LG-M710": "LG X Venture",
    "LG-M710ds": "LG X Venture",
    "LG-F690L": "LG X cam",
    "LG-F690S": "LG X cam",
    "LG-K580": "LG X cam",
    "LG-K580Y": "LG X cam",
    "LG-M322": "LG X charge",
    "LG-M327": "LG X charge",
    "LG-US601": "LG X charge",
    "LM-X510(FG)": "LG X charge",
    "LM-X510.FG": "LG X charge",
    "LG-K240": "LG X max",
    "LG-K210": "LG X power",
    "LG-K212": "LG X power",
    "LG-K450": "LG X power",
    "LGUS610": "LG X power",
    "LG-F750K": "LG X power",
    "LG-K220": "LG X power",
    "LGLS755": "LG X power",
    "LG-M320G": "LG X power2",
    "LM-X510WM": "LG X power2",
    "LG-F650K": "LG X screen",
    "LG-F650L": "LG X screen",
    "LG-F650S": "LG X screen",
    "LG-K500": "LG X screen",
    "LGS02": "LG X screen",
    "LG-K500n": "LG X screen",
    "LM-X210K": "LG X2",
    "LM-X210L": "LG X2",
    "LM-X210S": "LG X2",
    "LGM-K120K": "LG X300",
    "LGM-K120L": "LG X300",
    "LGM-K120S": "LG X300",
    "LGM-K121K": "LG X400",
    "LGM-K121L": "LG X400",
    "LGM-K121S": "LG X400",
    "LGM-X301K": "LG X400",
    "LGM-X301L": "LG X400",
    "LGM-X301S": "LG X400",
    "LGM-X401L": "LG X400",
    "LGM-X401S": "LG X400",
    "LG-F770S": "LG X5",
    "LM-X510L": "LG X5",
    "LGM-X320K": "LG X500",
    "LGM-X320L": "LG X500",
    "LGM-X320S": "LG X500",
    "LM-X510K": "LG X500",
    "LM-X510S": "LG X500",
    "LG-X180g": "LG ZONE",
    "LG-H650": "LG Zero",
    "LGV36": "LG it",
    "L-05D": "LG optimus it L-05D",
    "L-05E": "LG optimus it L-05E",
    "L-01L": "LG style2",
    "L-41A": "LG style3",
    "AS876": "LG-AS876",
    "LG-E985": "LG-E985T",
    "L-07C": "Marquee",
    "LG-LG855": "Marquee",
    "LG-LS855": "Marquee",
    "LG-P970": "Optimus Black",
    "LG-E739": "My touch 4G",
    "LG-SU880": "Optimus EX",
    "LG-AS680": "Optimus 2",
    "LG-P990": "Optimus 2X",
    "LG-P990H": "Optimus 2X",
    "LG-P990h": "Optimus 2X",
    "LG-P990hN": "Optimus 2X",
    "LG-P999": "Optimus 2X",
    "LG-SU660": "Optimus 2X",
    "LG-P920h": "Optimus 3D",
    "LG-SU870": "Optimus 3D MAX",
    "LG-P720": "Optimus 3D MAX",
    "LG-P720h": "Optimus 3D MAX",
    "LG-P725": "Optimus 3D MAX",
    "LG-P880": "Optimus 4X HD",
    "LG-P880g": "Optimus 4X HD",
    "LG-LU6800": "Optimus Big",
    "LGL85C": "Optimus Black",
    "LG-KU5900": "Optimus Black",
    "LG-P970h": "Optimus Black",
    "LG-P970g": "Optimus Black",
    "LG-C550": "Optimus Chat",
    "LG-C555": "Optimus Chat",
    "LGL86C": "Optimus Core",
    "IS11LG": "Optimus EX",
    "LG-VS450PP": "Optimus Exceed 2",
    "LG-LS720": "Optimus F3",
    "LG-P655H": "Optimus F3",
    "LG-P655K": "Optimus F3",
    "LG-P659": "Optimus F3",
    "LG-P659H": "Optimus F3",
    "LGL25L": "Optimus F3",
    "LGMS659": "Optimus F3",
    "LG-P870h": "Optimus F5",
    "LG-P875": "Optimus F5",
    "LG-P875h": "Optimus F5",
    "AS870 4G": "Optimus F5",
    "LG-D500": "Optimus F6",
    "LG-D505": "Optimus F6",
    "LGMS500": "Optimus F6",
    "LGL34C": "Optimus Fuel",
    "L-04E": "Optimus G Pro",
    "LG-E975w": "Optimus GJ",
    "LG-F220K": "Optimus GK",
    "LG-C800": "Optimus Hub",
    "LG-C800G": "Optimus Hub",
    "LG-E510f": "Optimus Hub",
    "LG-E510g": "Optimus Hub",
    "LG-D160": "Optimus L40",
    "LG-D165": "Optimus L40",
    "LG-D165AR": "Optimus L40",
    "LG-D170": "Optimus L40",
    "LG-D175f": "Optimus L40",
    "LG-D180f": "Optimus L40",
    "LG-E610": "Optimus L5",
    "LG-E610v": "Optimus L5",
    "LG-E612": "Optimus L5",
    "LG-E612f": "Optimus L5",
    "LG-E612g": "Optimus L5",
    "LG-E617G": "Optimus L5",
    "LG-L40G": "Optimus L5",
    "L-02E": "Optimus LIFE",
    "L-01D": "Optimus LTE",
    "LG-SU640": "Optimus LTE",
    "LG-LU6200": "Optimus LTE",
    "LG-P936": "Optimus LTE",
    "LG-P930": "Optimus LTE",
    "LG-P935": "Optimus LTE",
    "LG-LU3000": "Optimus Mach",
    "LG-P690b": "Optimus Net",
    "LG-P690": "Optimus Spirit",
    "LGL45C": "Optimus Net",
    "LG-P698": "Optimus Net Dual",
    "LG-P698f": "Optimus Net Dual",
    "LG-KU3700": "Optimus One",
    "LG-LU3700": "Optimus One",
    "LG-SU370": "Optimus One",
    "LG-CX670": "Optimus One",
    "LG-LW690": "Optimus One",
    "LG-MS690": "Optimus One",
    "LG-US670": "Optimus One",
    "LS670": "Optimus One",
    "VM670": "Optimus One",
    "Vortex": "Optimus One",
    "thunderc": "Optimus One",
    "LG-LU8300": "Optimus PAD LTE",
    "L-06C": "Optimus Pad",
    "LG-V900": "Optimus Pad",
    "LG-V901": "Optimus Pad",
    "LG-V905R": "Optimus Pad",
    "LG-V909": "Optimus Pad",
    "LG-AS695": "Optimus Plus",
    "LG-C660": "Optimus Pro",
    "LG-C660R": "Optimus Pro",
    "LG-C660h": "Optimus Pro",
    "LGL55C": "Optimus Q",
    "LG-LU6500": "Optimus Q2",
    "LG-VM701": "Optimus Slider",
    "LG-E730": "Optimus Sol",
    "LG-E730f": "Optimus Sol",
    "LG-P690f": "Optimus Spirit",
    "LG-F100L": "Optimus Vu",
    "LG-F100S": "Optimus Vu",
    "L-06DJOJO": "Optimus Vu",
    "LG-P895": "Optimus Vu",
    "LG-P895qb": "Optimus Vu",
    "LG-F200K": "Optimus Vu2",
    "LG-F200S": "Optimus Vu2",
    "LG-F200L": "Optimus Vu2",
    "LG-F200LS": "Optimus Vu2",
    "L-06D": "Optimus Vu:",
    "SU950": "Optimus Z",
    "LG-VS410PP": "Optimus Zone",
    "L-04C": "Optimus chat",
    "L-02D": "PRADA 3.0",
    "LG-KU5400": "PRADA 3.0",
    "LG-LU5400": "PRADA 3.0",
    "LG-P940": "PRADA 3.0",
    "LG-P940h": "PRADA 3.0",
    "LG-SU540": "PRADA 3.0",
    "LG-P355": "PecanV",
    "LG-M150": "Phoenix 3",
    "LGL61AL": "Premier",
    "LGL62VL": "Premier",
    "LM-Q310N": "Q31",
    "LM-Q510N": "Q51",
    "LM-Q520N": "Q52",
    "LM-Q630N": "Q61",
    "LM-Q626N": "Q62",
    "LG-H970": "Q8",
    "LGM-X800K": "Q8",
    "LGM-X800L": "Q8",
    "LM-Q815K": "Q8",
    "LM-Q815L": "Q8",
    "LM-Q815S": "Q8",
    "LM-Q920N": "Q92",
    "801LG": "QStylus",
    "LM-Q710XM": "QStylus",
    "LGV33": "Qua phone PX",
    "LGT31": "Qua tab PX",
    "LGT32": "Qua tab PZ",
    "LGL158VL": "Rebel 3",
    "LGL58VL": "Rebel 3",
    "LG-C710h": "Shine Plus with Google",
    "LM-V520N": "Signature",
    "ref_SCTF": "Smart Dios V8700",
    "VS930 4G": "Spectrum 2",
    "LG-MS870": "Spirit 4G",
    "LG-US730": "Splendor",
    "402LG": "Spray",
    "VS835": "Stylo 2 V",
    "GT540": "Swift",
    "GT540GO": "Swift",
    "GT540R": "Swift",
    "GT540f": "Swift",
    "LG-F520K": "TBD",
    "55TR3BG-BX": "TR3BF",
    "65TR3BF": "TR3BF",
    "86TR3BF": "TR3BF",
    "LG-F600K": "V10",
    "LG-F600L": "V10",
    "LG-F600S": "V10",
    "LG-H900": "V10",
    "LG-H900PR": "V10",
    "LG-H901": "V10",
    "LG-H960": "V10",
    "LG-H961AN": "V10",
    "LG-H961N": "V10",
    "LG-H961S": "V10",
    "LG-H962": "V10",
    "LG-H968": "V10",
    "RS987": "V10",
    "VS990": "V10",
    "LG-F800K": "V20",
    "LG-F800L": "V20",
    "LG-F800S": "V20",
    "LG-H910": "V20",
    "LG-H910PR": "V20",
    "LG-H915": "V20",
    "LG-H918": "V20",
    "LG-H990": "V20",
    "LG-LS997": "V20",
    "LG-US996": "V20",
    "LGV34": "V20",
    "VS995": "V20",
    "L-01J": "V20 PRO",
    "LG-AS998": "V30",
    "LG-H930": "V30",
    "LG-H931": "V30",
    "LG-H932": "V30",
    "LG-H932PR": "V30",
    "LG-H933": "V30",
    "LG-LS998": "V30",
    "LG-US998": "V30",
    "LGM-V300K": "V30",
    "LGM-V300L": "V30",
    "LGM-V300S": "V30",
    "VS996": "V30",
    "L-01K": "V30+",
    "LGV35": "V30+",
    "LM-V405": "V40 ThinQ",
    "LM-V409N": "V40 ThinQ",
    "LM-V500XM": "V50",
    "LM-V450": "V50 ThinQ",
    "LM-V510N": "V50S ThinQ",
    "A001LG": "V60 ThinQ",
    "LM-G900": "Velvet",
    "LM-G900N": "VELVET",
    "LM-G910N": "VELVET",
    "LM-G910": "VELVET",
    "LM-G900MM": "VELVET",
    "LM-G900TM": "VELVET",
    "LM-V700N": "VELVET 2 PRO",
    "LG-F300K": "VU3",
    "LG-F300L": "VU3",
    "LG-F300S": "VU3",
    "LMX130IM": "W10",
    "LM-X210LMW": "W10 Alpha",
    "LM-K310IM": "W11",
    "LM-X440IM": "W30",
    "LM-X440ZM": "W30",
    "LM-X440ZMW": "W30",
    "LM-X600IM": "W30 Pro",
    "LM-K315IM": "W31",
    "LM-K610IM": "W41",
    "LG-V425": "WM-LG8200",
    "LGS01": "Wine Smart",
    "LG-D486": "Wine Smart",
    "LG-F480K": "Wine Smart",
    "LG-F480L": "Wine Smart",
    "LG-F480S": "Wine Smart",
    "LG-T480K": "Wine Smart 3G",
    "LG-T480S": "Wine Smart 3G",
    "LG-K600": "X Mach",
    "LG-SP320": "X charge",
    "LM-X220N": "X2 2019",
    "LM-X410K": "X4",
    "LM-X415K": "X4",
    "LM-X420N": "X4(2019)",
    "LM-X410L": "X4+",
    "LM-X410S": "X4+",
    "LM-X415L": "X4+",
    "LM-X415S": "X4+",
    "X5-LG": "X5",
    "LM-X625N": "X6(2019)",
    "LGL15G": "Y25",
    "LGL16C": "Y25",
    "LM-X210VPP": "ZONE4",
    "VS425PP": "Zone3",
    "TI320-DU": "TV G",
    "ST940I-UP": "U+ tv UHD",
    "LAP250U": "U+ tv woofer",
    "LAP255U": "U+ tv woofer 1.5",
    "ute7057lgu": "U+tv Soundbar Black",
    "S60UPI": "U+tv UHD2",
    "uie4027lgu": "U+tv UHD3",
    "S60UPA": "U+tv soundbar",
    "DS2310-70LP": "DISNEY_Tablet_PC",
    "ITELL K3102 4G": "K3102_4G",
    "K3102 WIFI": "K3102_WIFI",
    "LINSAY F-7HD2CORE/F-7HD4CORE/F-10HD2CORE/F-10XHD4CORE": "F-7HD2CORE / F-7HD4CORE / F-10HD2CORE /F-10XHD4CORE",
    "LISTO Android TV": "Rumania",
    "LP N60": "LP_N60",
    "N-57": "N-57+",
    "LP_T100": "T100",
    "Vyper PRO": "VYPER PRO",
    "LT-NOTE 10S": "LT-NOTE-10S",
    "LT C2200": "LT_C2200",
    "LT M7": "LT_M7",
    "K300": "SPURT_K300",
    "AT11R464": "AT11R464_LUKE",
    "LUNA G6E": "LUNA_G6E",
    "Luvo 001": "001",
    "LUVO 001L": "001L",
    "MID704DC": "MID704DC Tablet / Bitmore Tab770",
    "TP1005": "TP1005_EEA",
    "LAIQ Glam": "GLAM",
    "Lamborghini tablet": "SDIS1",
    "Land Rover Explore": "Explore",
    "Alpha 1V": "Alpha_1VPlus",
    "Alpha 3V": "Alpha_3V",
    "Alpha 950": "Alpha_950",
    "Alpha 950XL": "Alpha_950XL",
    "Ilium_L1000": "ILIUM L1000",
    "Ilium L820": "ILIUM L820",
    "Ilium_L950": "ILIUM L950",
    "ilium PAD i8 v3": "ILIUM PAD I8",
    "ILIUM_PAD_RX10v5": "ILIUMPAD_RX10v5",
    "Ilium M7s": "ILium M7s",
    "ILIUM L1100": "Ilium_L1100",
    "Lanix Ilium L420": "Ilium L420",
    "ILIUM_PAD_RX10": "IliumPad_RX10",
    "Ilium Pad RX10v3": "IliumPad_RX10v3",
    "ILIUM_PAD_RX7": "IliumPad_RX7",
    "Ilium Alpha 7": "Ilium_Alpha7",
    "Ilium Alpha 1T": "Ilium_Alpha_1TT",
    "Ilium Alpha 5T": "Ilium_Alpha_5T",
    "Ilium S130": "Ilium_S130",
    "ILIUM S520": "Ilium_S520",
    "Ilium L910": "Llium L910",
    "ILIUM_X100": "X100",
    "ILIUM X400": "X400",
    "ilium PAD E9": "ilium  PAD  E9",
    "ilium Pad E9": "ilium PAD E9",
    "Ilium_PAD_i7": "ilium PAD i7",
    "ilium_Pad_E7": "ilium Pad E7",
    "Ilium S106": "ilium_S106",
    "Cumulus_5_HD": "Cumulus 5 HD",
    "Cumulus_5.5_HD": "Cumulus 5.5 HD",
    "Cumulus_6_HD": "Cumulus 6 HD",
    "MID_1089IPS": "MID_1089IPS_EEA",
    "LAVAA1": "A1",
    "LAVA_A3": "A3",
    "LAVA_A44": "A44",
    "A76Plus": "A76plus",
    "Lava A89": "A89",
    "A97 IPS": "A97",
    "A97 2GB PLUS": "A97 2GB Plus",
    "Aura_Plus": "Aura Plus",
    "Lava Be_U": "BE_U",
    "LAVA Blaze": "BLAZE",
    "era1Xpro": "ERA 1X",
    "era_4G": "Era 4G",
    "iris505": "Iris 505",
    "iris 50 Pro": "Iris 50_Pro",
    "LN9910": "Iris61",
    "iris820": "Iris820",
    "iris90": "R3 Prime",
    "LAVA LXX501": "LAVA AGNI 5G",
    "Lava Z66": "LAVA Z66",
    "LAVA LE9810": "LE9810",
    "LAVA LE9820": "LE9820",
    "LE9910": "V8",
    "LAVA LF9810_2GB": "LF9810_2GB",
    "LAVA LMG02": "LMG02",
    "LAVA LMX02": "LMX02",
    "LAVA LN9810": "LN9810",
    "LN9821": "LN9820",
    "LAVA LZG01": "LZG01",
    "Magnum_Pro": "Magnum Pro",
    "PixelV1": "Pixel V1",
    "LAVA_R1": "R1",
    "R1_Lite": "R1LITE",
    "LTN10RT": "T101",
    "T71WW": "T71",
    "LTN8RT": "T81",
    "T81_PB": "T81",
    "V23GB": "V2 3GB",
    "V2s M": "V2s",
    "LAVA V5": "V5",
    "LE9920_P": "v7",
    "LAVA LE9940": "V7 Prime",
    "LAVA LE9940_W": "V7s Prime",
    "LavaX10": "X10",
    "LAVA LZG403 225": "X2",
    "X28 Plus": "X28plus",
    "X41 Plus": "X41Plus",
    "era 4K": "XOLO era 4K",
    "Era 2X": "Era 2X 2GB",
    "era_X": "Xolo Era X",
    "era 2": "Xolo era 2",
    "AF9020": "benco Y50",
    "LAVA LZG401": "Z1 Pro",
    "LAVA LZG402_1": "Z1S",
    "LAVA LMG01": "Z2",
    "LAVA LZG402 OM": "Z21",
    "LAVA LZG402 OMI": "Z21",
    "LAVA LMX04": "Z3",
    "LAVA LZG403": "Z3",
    "LAVA Z3 UP": "Z3",
    "LAVA Z3 UP 2": "Z3",
    "LAVA LZG403 25": "Z3 PRO",
    "AH9910": "benco Y41",
    "AN9910": "benco Y41",
    "LAVA LMX06": "Z4/Z6",
    "LN9910_2GB": "Z41 2GB",
    "AF9010_F": "benco Y50",
    "LH9910": "Z52 Pro",
    "LE9920": "Z53",
    "Lava Z61P": "Z61P",
    "Lava Z93P": "Z93P",
    "LAVA AF9030": "benco Y30",
    "LAVA LE9930": "ir59",
    "LAVA LH9950": "iris46",
    "LAVA LH9930": "iris 54",
    "LAVA LH9931": "iris 54",
    "Fuel F2": "iris Fuel F2",
    "iris 31": "iris31",
    "iris50": "iris50c",
    "AF9010": "benco Y50",
    "MD1005": "MD1005 Tablet",
    "X4-40": "LeTV X40",
    "Le Pan TC1010": "TC1010",
    "Le Pan TC1020": "TC1020",
    "Le Pan TC802A": "TC802A",
    "Le X520": "Le s2",
    "Le X526": "Le 2",
    "Le X527": "Le 2",
    "x600": "Le1",
    "X3-55 Pro": "Super TV X3-55 Pro",
    "LP_B-50": "B-50",
    "INFINITY_light": "INFINITY light",
    "LeaPad_X": "LeaPad X",
    "Power 5": "Power 5 EEA",
    "KM1069": "EAGLE1069",
    "LIVE4_KM0438": "LIVE 4 KM0438",
    "KrugerMatz_LIVE4": "LIVE 4 KM0439",
    "LIVE4_KM0439": "LIVE 4 KM0439",
    "MOVE_6_mini": "MOVE 6 mini",
    "Le X820": "Le Max2",
    "Le X821": "Le Max2",
    "Le X829": "Le Max2",
    "LEX725": "LeoPro3",
    "LEX727": "LePro3",
    "Le X522": "Le S3",
    "X4-55": "X Serials(X43 Pro, X55, X65)",
    "Lenovo TB-8506N": "Lenovo Tab K8",
    "Lenovo YB-Q501F": "YOGA Laptop with Android",
    "LenovoTV 32A3": "32A3   40A3   43A3   49A3",
    "AQUOS 50U3A": "55E82,49E82,50U3A,58U3A,70UD30A,60UD30A,80UD30A,65UR30A",
    "AQUOS 65UR30A": "55E82,49E82,50U3A,58U3A,70UD30A,60UD30A,80UD30A,65UR30A",
    "AQUOS 70UD30A": "55E82,49E82,50U3A,58U3A,70UD30A,60UD30A,80UD30A,65UR30A",
    "AQUOS 70UG30A": "55E82,49E82,50U3A,58U3A,70UD30A,60UD30A,80UD30A,65UR30A",
    "AQUOS 70XU30A": "55E82,49E82,50U3A,58U3A,70UD30A,60UD30A,80UD30A,65UR30A",
    "LenovoTV 49E82": "55E82,49E82,50U3A,58U3A,70UD30A,60UD30A,80UD30A,65UR30A",
    "LenovoTV 55E82": "55E82,49E82,50U3A,58U3A,70UD30A,60UD30A,80UD30A,65UR30A",
    "ideatv K72": "60K72",
    "IdeaPadA10": "A10",
    "Lenovo TAB 2 A10-70LC": "TAB 2 A10",
    "Lenovo A1000": "A1000",
    "IdeaTabA1000-F": "A1000",
    "IdeaTabA1000-G": "A1000-G",
    "IdeaTabA1000L-F": "A1000L",
    "Lenovo A1000m": "A1000m",
    "Lenovo A1010a20": "A1010",
    "Lenovo A1900": "A1900",
    "Lenovo A2010-a": "A2010-a",
    "Lenovo A2010l36": "A2010l36",
    "Lenovo A2016a40": "A2016a40",
    "Lenovo A2016b30": "A2016b30",
    "Lenovo A2016b31": "A2016b31",
    "Lenovo A2020a40": "A2020a40",
    "Lenovo A208t": "A208t",
    "Lenovo_A2105": "A2105",
    "A2107A-H": "A2107A",
    "Lenovo A218t": "A218t",
    "Lenovo A228t": "A228t",
    "Lenovo A238t": "A238t",
    "Lenovo A2580": "A2580",
    "Lenovo A269": "A269",
    "Lenovo A269i": "A269i",
    "Lenovo A278t": "A278t",
    "Lenovo A2800-d": "A2800",
    "Lenovo A2860": "A2860",
    "Lenovo A3000-H": "A3000",
    "Lenovo A300t": "A300t",
    "LNV-Lenovo A305e": "A305E",
    "Lenovo A305e": "A305E",
    "Lenovo A308t": "A308t",
    "Lenovo A316": "A316",
    "Lenovo A316i": "A316i",
    "Lenovo A318t": "A318t",
    "Lenovo A319": "A319",
    "Lenovo A3910t30": "A31910t30",
    "Lenovo A320t": "A320t",
    "Lenovo A328": "A328",
    "Lenovo A328t": "A328t",
    "LenovoA3300-H": "A3300",
    "Lenovo A3300-T": "A3300",
    "LenovoA3300-GV": "Lenovo A3300",
    "Lenovo A3300-HV": "A3300-HV",
    "Lenovo A330e": "A330e",
    "Lenovo A338t": "A338t",
    "Lenovo A3500": "A3500",
    "Lenovo A3500-HV": "A3500",
    "Lenovo A3500-F": "A3500-F",
    "Lenovo A3500-FL": "A3500-FL",
    "Lenovo A3500-H": "A3500-H",
    "Lenovo A355e": "A355e",
    "Lenovo A358t": "A358t",
    "Lenovo A3600-d": "A3600-D",
    "Lenovo A3600u": "A3600u",
    "Lenovo A360e": "A360e",
    "Lenovo A360t": "A360t",
    "Lenovo A368t": "A368t",
    "Lenovo A369": "A369",
    "Lenovo A369i": "A369i",
    "LNV-Lenovo A370e": "A370e",
    "LNV-Lenovo A375e": "A375e",
    "Lenovo A376": "A376",
    "Lenovo A378t": "A378t",
    "Lenovo A3800-d": "A3800-D",
    "LNV-Lenovo A380e": "A380e",
    "Lenovo A380t": "A380t",
    "LNV-Lenovo A385e": "A385e",
    "Lenovo A3580": "A3860",
    "Lenovo A3860": "A3860",
    "Lenovo A388t": "A388t",
    "Lenovo A390": "A390",
    "Lenovo A390_ROW": "A390",
    "Lenovo A3900": "A3900",
    "Lenovo A390t": "A390t",
    "LNV-Lenovo A395e": "A395e",
    "Lenovo A396": "A396",
    "Lenovo A396_TY": "A396",
    "Lenovo A398t": "A398t",
    "Lenovo A398t+": "A398t+",
    "Lenovo A399": "A399",
    "Lenovo A5000": "A5000",
    "LNV-Lenovo A505e": "A505e",
    "Lenovo A516": "A516",
    "Lenovo A526": "A526",
    "Lenovo A529": "A529",
    "Lenovo A536": "A536",
    "Lenovo A5500": "A5500",
    "Lenovo A5500-F": "A5500-F",
    "Lenovo A5500-H": "A5500-H",
    "Lenovo A5500-HV": "A5500-HV",
    "Lenovo A560": "A560",
    "LNV-Lenovo A560": "A560",
    "Lenovo A5800-D": "A5800-D",
    "LenovoA588t": "A588t",
    "Lenovo A6000": "A6000",
    "Lenovo A6000-l": "A6000-l",
    "Lenovo A6010": "A6010",
    "Lenovo A606": "A606",
    "Lenovo A616": "A616",
    "Lenovo A628t": "A628t",
    "LNV-Lenovo A630e": "A630",
    "Lenovo A656": "A656",
    "Lenovo A658t": "A658T",
    "Lenovo A6600d40": "A6600",
    "Lenovo A6600a40": "A6600 Plus",
    "Lenovo A670t": "A670t",
    "Lenovo A678t": "A678t",
    "Lenovo A680": "A680",
    "Lenovo A680_ROW": "A680",
    "Lenovo A6800": "A6800",
    "Lenovo A688t": "A688t",
    "LNV-Lenovo A690e": "A690e",
    "Lenovo L19111": "A7",
    "Lenovo TAB 2 A7-30GC": "A7-30GC",
    "Lenovo TAB 2 A7-30D": "A7-30H",
    "Lenovo TAB 2 A7-30H": "A7-30H",
    "Lenovo A7-60HC": "A7-60HC",
    "Lenovo A7000-a": "A7000 Plus",
    "Lenovo A706": "A706",
    "Lenovo A706_ROW": "A706_ROW",
    "Lenovo A720e": "A720e",
    "Lenovo A750e": "A750e",
    "Lenovo A760": "A760",
    "Lenovo A7600": "A7600",
    "Lenovo A7600-m": "A7600",
    "Lenovo A7600-F": "A7600-F",
    "Lenovo A7600-H": "A7600-H",
    "Lenovo A7600-HV": "A7600-HV",
    "Lenovo A766": "A766",
    "Lenovo A768t": "A768t",
    "Lenovo A7700": "A7700",
    "Lenovo A770e": "A770e",
    "LNV-Lenovo A780e": "A780e",
    "LNV-Lenovo A785e": "A785e",
    "Lenovo A788t": "A788t",
    "Lenovo TAB 2 A8-50L": "A8-50",
    "Lenovo 2 A8-50LC": "A8-50",
    "Lenovo TAB 2 A8-50LC": "A8-50",
    "Lenovo A805e": "A805e",
    "Lenovo A806": "A806",
    "Lenovo A808t": "A808t",
    "Lenovo A808t-i": "A808t-i",
    "Lenovo A5100": "A816",
    "Lenovo A816": "A816",
    "Lenovo A820": "A820",
    "Lenovo A820e": "A820e",
    "Lenovo A820t": "A820t",
    "Lenovo A858": "A828",
    "Lenovo A828t": "A828t",
    "Lenovo A830": "A830",
    "Lenovo A850": "A850",
    "Lenovo A850+": "A850+",
    "Lenovo A858t": "A858t",
    "Lenovo A859": "A859",
    "Lenovo A860e": "A860e",
    "Lenovo A889": "A889",
    "Lenovo A890e": "A890e",
    "Lenovo A916": "A916",
    "Lenovo A936": "A936",
    "Lenovo A938t": "A938t",
    "Lenovo B6000-F": "B6000-F",
    "Lenovo B6000-H": "B6000-H",
    "Lenovo B6000-HV": "B6000-HV",
    "Lenovo B8000-F": "B8000-F",
    "Lenovo B8000-H": "B8000-H",
    "Lenovo B8080-F": "B8080",
    "Lenovo B8080-H": "B8080-H",
    "Lenovo B8080-HV": "B8080-HV",
    "MEDION E4002": "E4002",
    "IdeaTab A3000-F": "EveryPad",
    "ideatv K91": "IdeaTV",
    "LenovoA1000L-F": "IdeaTab A1000",
    "IdeaTabA1010-T": "IdeaTab A1010",
    "IdeaTabA1020-T": "IdeaTab A1020",
    "IdeaTab A3000-H": "IdeaTab A3000",
    "Vodafone Smart Tab III 7": "IdeaTab A3000",
    "IdeaTabA5000-E": "IdeaTab A5000",
    "IdeaTab S6000-F": "IdeaTab S6000",
    "IdeaTab S6000-H": "IdeaTab S6000",
    "Vodafone Smart Tab III 10": "IdeaTab S6000",
    "ThinkPad Tablet": "Indigo",
    "Lenovo K10e70": "K10e70",
    "Lenovo K50a40": "K3 Note",
    "Lenovo K50-t3s": "K50",
    "Lenovo K50-T5": "K3 Note",
    "Lenovo K50-t5": "K50-T5",
    "Lenovo K30-E": "K30-E",
    "Lenovo K30-T": "K30-T",
    "Lenovo K30-TM": "K30-TM",
    "Lenovo K30-W": "K30-W",
    "Lenovo K32c36": "K32",
    "Lenovo K32c30": "K32c30",
    "Lenovo A6020a40": "K5",
    "Lenovo A6020a41": "K5",
    "Lenovo A6020l36": "K5",
    "Lenovo A6020l37": "K5",
    "Lenovo A7020a40": "K5 Note",
    "Lenovo A7020a48": "K5 Note",
    "Lenovo L38012": "K5 Note",
    "Lenovo K52e78": "K5 Note",
    "Lenovo K52t58": "K5 Note",
    "Lenovo A6020a46": "K5 Plus",
    "Lenovo L38031": "K5 S",
    "Lenovo K520": "K520",
    "Lenovo S680": "K520",
    "Lenovo K52t38": "K52t38",
    "Lenovo k52t38": "K52t38",
    "Lenovo L38041": "K5X",
    "Lenovo K800": "K800",
    "Lenovo K80M": "K80M",
    "Lenovo K860": "K860",
    "Lenovo K860i": "K860i",
    "Lenovo L38043": "Lenovo K9",
    "Lenovo K900": "K900",
    "Lenovo K900_ROW": "K900",
    "Lenovo K910": "K910",
    "Lenovo K910L": "K910L",
    "LNV-Lenovo K910e": "K910e",
    "Lenovo K910e": "K910e",
    "Lenovo K920": "K920/VIBE Z2 Pro",
    "Lenovo L38011": "L38011",
    "Lenovo L38021": "L38021",
    "Lenovo L38082": "Lenovo K11",
    "LIFETAB_E10310": "LIFETAB E10310",
    "LIFETAB_E7310": "LIFETAB E7310",
    "LIFETAB_E7312": "LIFETAB E7310",
    "Lenovo L71091": "Legion Y70",
    "Lenovo A708t": "Lenovo",
    "Lenovo A880": "Lenovo",
    "Lenovo PB1-770P": "Lenovo",
    "LenovoA3300-HV": "Lenovo A3300",
    "L18011": "Lenovo A5",
    "Lenovo L18021": "Lenovo A5",
    "Lenovo L18081": "Lenovo A5s",
    "Lenovo L19041": "Lenovo A6 Note",
    "L10041": "Lenovo A8",
    "Lenovo L10041": "Lenovo A8",
    "Lenovo L38083": "Lenovo K11",
    "Lenovo K12 Note": "Lenovo K12 Pro",
    "Lenovo K": "Lenovo K8 Plus",
    "XT1902-3": "Lenovo K8 Note",
    "VR-1541F": "Lenovo Mirage Solo",
    "Lenovo Intel Braswell Chromebook": "Lenovo N Series Chromebook",
    "Lenovo N300": "N300",
    "Lenovo PB2-650M": "Lenovo PHAB2",
    "Lenovo PB2-650N": "Lenovo PHAB2",
    "Lenovo PB2-650Y": "Lenovo PHAB2",
    "Lenovo PB2-670M": "Lenovo PHAB2 Plus",
    "Lenovo PB2-670N": "Lenovo PHAB2 Plus",
    "Lenovo PB2-670Y": "Lenovo PHAB2 Plus",
    "Lenovo PB2-690M": "Lenovo PHAB2 Pro",
    "Lenovo PB2-690N": "Lenovo PHAB2 Pro",
    "Lenovo PB2-690Y": "Lenovo PHAB2 Pro",
    "Lenovo L58041": "Lenovo S5 Pro",
    "Lenovo S820": "S820",
    "Lenovo TB-X606FA": "Lenovo Smart Tab M10 FHD Plus with Amazon Alexa",
    "Lenovo TB-X606XA": "Lenovo Smart Tab M10 FHD Plus with Amazon Alexa",
    "Lenovo TB-8505FS": "Lenovo Tab M8",
    "Lenovo TB-8705F": "Lenovo Tab M8",
    "Lenovo TB-8506XS": "Lenovo Smart Tab M8 (3rd Gen)",
    "Lenovo TB-8505XC": "Lenovo Tab M8",
    "Lenovo TB-8505XS": "Lenovo Smrat Tab M8",
    "Lenovo TB-8803F": "Lenovo TAB",
    "Lenovo TB-X103F": "Lenovo TAB 10",
    "Lenovo TB2-X30F": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30F_HFT": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30F_JLC": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30F_SCP": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30F_UK": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30F_YZA": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30L": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30M": "Lenovo TAB 2 A10-30",
    "Lenovo TB2-X30M_PRC_YZ_A": "Lenovo TAB 2 A10-30",
    "Lenovo TB-7504F": "Lenovo TAB 7",
    "PC-TE507JAW": "Lenovo TAB 7",
    "Lenovo TB-7504N": "Lenovo TAB 7",
    "Lenovo TB-7504X": "Lenovo TAB 7",
    "Lenovo TB-7304F": "Tab 7 Essential",
    "Lenovo TB-8304F": "Lenovo TAB 8",
    "Lenovo TB-X605FC": "Lenovo TAB M10 FHD Rel",
    "Lenovo TB-X605LC": "Lenovo TAB M10 FHD Rel",
    "Lenovo TB3-X70F": "Lenovo TAB3 10 Plus",
    "Lenovo TB3-X70L": "Lenovo TAB3 10 Plus",
    "Lenovo TB3-X70N": "Lenovo TAB3 10 Plus",
    "Lenovo TB3-730F": "Lenovo TAB3 7",
    "Lenovo TB3-730M": "Lenovo TAB3 7",
    "Lenovo TB3-730X": "Lenovo TAB3 7",
    "Lenovo TB3-710F": "Lenovo TAB3 7 Essential",
    "Lenovo TB3-710I": "Lenovo TAB3 7 Essential",
    "Lenovo TB-7703F": "Lenovo TAB3 7 Plus",
    "Lenovo TB-7703N": "Lenovo TAB3 7 Plus",
    "Lenovo TB-7703X": "Lenovo TAB3 7 Plus",
    "Lenovo TB3-850F": "Lenovo TAB3 8",
    "Lenovo TB3-850M": "Lenovo TAB3 8",
    "Lenovo TB-8703F": "Lenovo TAB3 8 Plus",
    "Lenovo TB-8703N": "Lenovo TAB3 8 Plus",
    "Lenovo TB-8703R": "Lenovo TAB3 8 Plus",
    "Lenovo TB-8703X": "Lenovo TAB3 8 Plus",
    "701LV": "Lenovo TAB4",
    "702LV": "Lenovo TAB4",
    "Lenovo TB-X304F": "Lenovo TAB4 10",
    "TB-X304F": "Lenovo TAB4 10",
    "Lenovo TB-X304L": "Lenovo TAB4 10",
    "Lenovo TB-X304N": "Lenovo TAB4 10",
    "TB-X304N": "Lenovo TAB4 10",
    "Lenovo TB-X304X": "Lenovo TAB4 10",
    "Lenovo TB-X704F": "Lenovo TAB4 10 Plus",
    "Lenovo TB-X704L": "Lenovo TAB4 10 Plus",
    "Lenovo TB-X704N": "Lenovo TAB4 10 Plus",
    "TB-X704N": "Lenovo TAB4 10 Plus",
    "TB-X704V": "Lenovo TAB4 10 Plus",
    "Lenovo TB-X504F": "Lenovo TAB4 10 REL",
    "Lenovo TB-8504F": "Lenovo TAB4 8",
    "TB-8504F": "Lenovo TAB4 8",
    "Lenovo TB-8504N": "Lenovo TAB4 8",
    "Lenovo TB-8504X": "Lenovo TAB4 8",
    "Lenovo TB-8704F": "Lenovo TAB4 8 Plus",
    "Lenovo TB-8704N": "Lenovo TAB4 8 Plus",
    "TB-8704V": "Lenovo TAB4 8 Plus",
    "Lenovo TB-8704X": "Lenovo TAB4 8 Plus",
    "Lenovo TB-8604F": "Lenovo TAB4 8 REL",
    "Lenovo TB-8X04F": "Lenovo TAB4 8 REL",
    "Lenovo TB-7304I": "Lenovo Tab 7 Essential",
    "Lenovo TB-7304N": "Lenovo Tab 7 Essential",
    "Lenovo TB-7304X": "Lenovo Tab 7 Essential",
    "Lenovo TB-X104F": "Lenovo Tab E10",
    "Lenovo TB-X104F1": "Lenovo Tab E10",
    "Lenovo TB-X104L": "Lenovo Tab E10",
    "Lenovo TB-X104N": "Lenovo Tab E10",
    "Lenovo TB-X104X": "Lenovo Tab E10",
    "Lenovo TB-7104F": "Lenovo Tab E7",
    "Lenovo TB-7104I": "Lenovo Tab E7",
    "Lenovo TB-X6C6F": "Lenovo Tab K10 PRC",
    "Lenovo TB-X6C6L": "Lenovo Tab K10",
    "Lenovo TB-X6C6NBF": "联想平板电脑 启天K10",
    "Lenovo TB-X6C6NBL": "Lenovo Tab K10",
    "Lenovo TB-X6C6NBX": "联想平板电脑 启天K10",
    "Lenovo TB-X6C6X": "Lenovo Tab K10 PRC",
    "Lenovo TB-X6E6F": "Lenovo Tab K10 PRC",
    "Lenovo TB-X6E6FC": "Lenovo Tab K10 PRC",
    "Lenovo TB-X6E6N": "Lenovo Tab K10c",
    "Lenovo TB-J606F": "XiaoXin Pad",
    "Lenovo TB-J606N": "XiaoXin Pad",
    "Lenovo TB-8506F": "Lenovo Tab M8 (3rd Gen)",
    "TB328FU": "Lenovo Tab M10 (3rd Gen)",
    "TB328XU": "Lenovo Tab M10 (3rd Gen)",
    "Lenovo TB-X605F": "Lenovo Tab M10 (FHD)",
    "Lenovo TB-X605L": "Lenovo Tab M10 (FHD)",
    "Lenovo TB-X605M": "Lenovo Tab M10 (FHD)",
    "Lenovo TB-X505F": "Lenovo Tab M10 (HD)",
    "Lenovo TB-X505L": "Lenovo Tab M10 (HD)",
    "Lenovo TB-X505N": "Lenovo Tab M10 (HD)",
    "Lenovo TB-X505X": "Lenovo Tab M10 (HD)",
    "Lenovo TB-X607Z": "联想平板电脑K10 5G",
    "Lenovo TB-X606F": "Lenovo Tab M10 FHD Plus",
    "Lenovo TB-X606M": "Lenovo Tab M10 FHD Plus",
    "Lenovo TB-X606X": "Lenovo Tab M10 FHD Plus",
    "Lenovo TB-X616F": "Lenovo Tab M10 FHD Plus",
    "Lenovo TB-X616M": "Lenovo Tab M10 FHD Plus",
    "801LV": "Lenovo Tab M10 FHD Rel",
    "Lenovo TB-X306F": "Lenovo Tab M10 HD (2nd Gen)",
    "Lenovo TB-X306FA": "Lenovo Tab M10 HD (2nd Gen)",
    "Lenovo TB-X306V": "Lenovo Tab M10 HD (2nd Gen)",
    "Lenovo TB-X306X": "Lenovo Tab M10 HD (2nd Gen)",
    "Lenovo TB-X306XA": "Lenovo Tab M10 HD (2nd Gen)",
    "Lenovo TB-X306FC_PRC": "Lenovo Tab M10 HD (2nd Gen) PRC",
    "Lenovo TB-X306NC_PRC": "Lenovo Tab M10 HD (2nd Gen) PRC",
    "Lenovo TB-X606V": "Lenovo Tab M10 Plus",
    "Lenovo TB125FU": "Lenovo Tab M10 Plus 3rd Gen",
    "Lenovo TB128FU": "Lenovo Tab M10 Plus 3rd Gen",
    "Lenovo TB128XU": "Lenovo Tab M10 Plus 3rd Gen",
    "Lenovo TB-7305F": "Lenovo Tab M7",
    "Lenovo TB-7305I": "Lenovo Tab M7",
    "Lenovo TB-7305X": "Lenovo Tab M7",
    "Lenovo TB-7306F": "Lenovo Tab M7 (3rd Gen)",
    "Lenovo TB-7306X": "Lenovo Tab M7 (3rd Gen)",
    "Lenovo TB-7306V": "Lenovo Tab M7 HD",
    "Lenovo TB-8505F": "Lenovo Tab M8",
    "Lenovo TB-8505N": "Lenovo Tab M8",
    "Lenovo TB-8505X": "Lenovo Tab M8",
    "Lenovo TB-8705N": "Lenovo Tab M8",
    "Lenovo TB-8705X": "Lenovo Tab M8",
    "Lenovo TB-8506FS": "Lenovo Tab M8 (3rd Gen)",
    "Lenovo TB-8506X": "Lenovo Tab M8 (3rd Gen)",
    "TB300FU": "Lenovo Tab M8 (4th gen)",
    "TB300XU": "Lenovo Tab M8 (4th gen)",
    "TB310FU": "Lenovo Tab M9",
    "Lenovo TB-X705F": "Lenovo Tab P10",
    "Lenovo TB-X705L": "Lenovo Tab P10",
    "Lenovo TB-X705M": "Lenovo Tab P10",
    "Lenovo TB-J606L": "Lenovo Tab P11",
    "TB350FU": "小新Pad Plus 2023",
    "TB350XU": "Lenovo Tab P11 (2nd Gen)",
    "Lenovo TB-J607Z": "XiaoXin Pad Plus",
    "Lenovo TB-J616F": "小新 Pad GT",
    "Lenovo TB-J616X": "Lenovo Tab P11 Plus",
    "Lenovo TB-J706F": "XiaoXin Pad Pro",
    "Lenovo TB-J706L": "Lenovo Tab P11 Pro",
    "TB132FU": "小新Pad Pro 2022",
    "Lenovo TB-Q706F": "小新Pad Pro 12.6",
    "Lenovo TB-Q706Z": "Lenovo Tab P12 Pro",
    "Lenovo TB-J6C6F": "Lenovo Tab QT K11",
    "Lenovo TB-J6C6N": "Lenovo Tab QT K11",
    "Lenovo TB-J607F": "XiaoXin Pad Plus",
    "Lenovo PB-6505M": "Lenovo Tab V7",
    "Lenovo PB-6505MC": "Lenovo Tab V7",
    "Lenovo PB-6505NC": "Lenovo Tab V7",
    "Lenovo PB-6505Y": "Lenovo Tab V7",
    "A101LV": "Lenovo Tab6",
    "Lenovo X2-CU": "Lenovo X2-CU/VIBE X2",
    "Lenovo YT-X703F": "Lenovo YOGA Tab 3 Plus",
    "Lenovo YT-X703L": "Lenovo YOGA Tab 3 Plus",
    "Lenovo YT-X703X": "Lenovo YOGA Tab 3 Plus",
    "Lenovo YT-J706F": "Lenovo Yoga Tab 11",
    "Lenovo YT-J706X": "Lenovo Yoga Tab 11",
    "Lenovo L78032": "Lenovo Z5 Pro",
    "Lenovo L79041": "Lenovo Z6 Pro 5G",
    "Lenovo L78031": "Lenovo-9",
    "Lenovo TAB 2 A7-30DC": "LenovoTAB2 A7-30DC",
    "AQUOS 58U1": "LenovoTV 40S9;LenovoTV 50S9;AQUOS 40U1;AQUOS 50U1；AQUOS 58U1; AQUOS 60LX765A",
    "AQUOS 60LX765A": "LenovoTV 40S9;LenovoTV 50S9;AQUOS 40U1;AQUOS 50U1；AQUOS 58U1; AQUOS 60LX765A",
    "AQUOS 60UE20A": "LenovoTV 40S9;LenovoTV 50S9;AQUOS 40U1;AQUOS 50U1；AQUOS 58U1; AQUOS 60LX765A",
    "LenovoTV 40S9": "LenovoTV 40S9;LenovoTV 50S9;AQUOS 40U1;AQUOS 50U1；AQUOS 58U1; AQUOS 60LX765A",
    "LenovoTV 58S9": "LenovoTV 40S9;LenovoTV 50S9;AQUOS 40U1;AQUOS 50U1；AQUOS 58U1; AQUOS 60LX765A",
    "AQUOS 50S1": "LenovoTV 50S52;AQUOS LCD-50S1A",
    "LenovoTV 50S52": "LenovoTV 50S52;AQUOS LCD-50S1A",
    "Lenovo K320t": "Lenovo_K320t",
    "Lenovo S960": "S960",
    "XT1700": "Moto E3",
    "XT1706": "Moto E3 Power",
    "TB-X704A": "Moto TAB",
    "XT1663": "Motorola M",
    "XT1662": "Motorola Moto M",
    "Lenovo N308": "N308",
    "PC-TE507FAW": "NEC  PC-TE507FAW",
    "PC-TS508FAM": "NEC PC-TS508FAM",
    "Lenovo P1a41": "P1",
    "Lenovo P1a42": "P1",
    "Lenovo P1c72": "P1",
    "Lenovo P1c58": "P1",
    "Lenovo P2a42": "P2",
    "Lenovo P2c72": "P2",
    "Lenovo P70-A": "P70",
    "Lenovo P70-t": "P70",
    "Lenovo P780": "P780",
    "Lenovo P780_ROW": "P780",
    "Lenovo P90": "P90",
    "Lenovo PB1-750M": "PB1-750M/Lenovo PHAB",
    "EveryPad3": "PB1-770M/Lenovo PHAB Plus",
    "Lenovo PB1-770M": "PB1-770M/Lenovo PHAB Plus",
    "Lenovo PB1-770N": "PB1-770N",
    "Lenovo PB2-670M1": "PB2 plus",
    "Lenovo S1a40": "S1",
    "Lenovo S1La40": "S1La40",
    "Lenovo S5000-F": "S5000",
    "Lenovo S5000-H": "S5000",
    "Lenovo S580": "S580",
    "Lenovo S60-a": "S60",
    "Lenovo S60-t": "S60",
    "Lenovo S60-w": "S60",
    "Lenovo S6000L-F": "S6000L",
    "ideatv S61": "S61",
    "Lenovo S650": "S650_ROW",
    "Lenovo S658t": "S658t",
    "Lenovo S660": "S660",
    "Lenovo S668t": "S668t",
    "Lenovo S686": "S686",
    "Lenovo S720": "S720",
    "Lenovo S750": "S750",
    "Lenovo S810t": "S810t",
    "Lenovo S820_ROW": "S820",
    "Lenovo S820e": "S820e",
    "Lenovo S850": "S850",
    "Lenovo S850e": "S850e",
    "Lenovo S850t": "S850t",
    "Lenovo S856": "S856",
    "Lenovo S858t": "S858t",
    "Lenovo S860": "S860",
    "Lenovo S860e": "S860e",
    "Lenovo S868t": "S868",
    "LNV-Lenovo S870e": "S870e",
    "Lenovo S870e": "S870e",
    "Lenovo S898t": "S898t",
    "Lenovo S898t+": "S898t+",
    "Lenovo S90-e": "S90",
    "Lenovo S90-A": "S90-A",
    "Lenovo S90-L": "S90-L",
    "Lenovo S90-t": "S90-T",
    "Lenovo S90-u": "S90-U",
    "Lenovo S920": "S920",
    "Lenovo S930": "S930_ROW",
    "Lenovo S938t": "S938t",
    "Lenovo S939": "S939",
    "Lenovo S968t": "S968t",
    "501LV": "Softbank 501LV",
    "Lenovo TAB 2 A10-70F": "TAB 2 A10",
    "Lenovo TAB 2 A10-70L": "TAB 2 A10",
    "Tab2A7-10F": "TAB 2 A7-10F",
    "Tab2A7-20F": "TAB 2 A7-20F",
    "Lenovo TAB 2 A7-30F": "TAB 2 A7-30F",
    "Lenovo 2 A7-30HC": "TAB 2 A7-30HC",
    "Lenovo TAB 2 A7-30HC": "TAB 2 A7-30HC",
    "Lenovo 2 A7-30TC": "TAB 2 A7-30TC",
    "Lenovo 2 A8-50F": "TAB 2 A8-50F",
    "Lenovo TAB 2 A8-50F": "TAB 2 A8-50F",
    "Lenovo TAB S8-50F": "TAB S8-50F",
    "Lenovo TAB S8-50L": "TAB S8-50L",
    "Lenovo S8-50LC": "TAB S8-50LC",
    "Lenovo TAB S8-50LC": "TAB S8-50LC",
    "Lenovo TB-X704Y": "TAB4 10 Plus",
    "Lenovo TB-8504L": "TAB4 8",
    "601LV": "TB3-601LV",
    "602LV": "TB3-602LV",
    "Lenovo TB3-X70I": "TB3-X70I",
    "Lenovo L38111": "TBD",
    "Lenovo ThinkPad 11e 3rd Gen Chromebook": "ThinkPad 11e Chromebook 3rd Gen",
    "ThinkPad 11e Chromebook 3rd Gen (Yoga/Clamshell)": "ThinkPad 11e Chromebook 3rd Gen",
    "Lenovo ThinkPad 11e 4th Gen Chromebook": "Thinkpad 11e Chromebook (4th Gen)/Lenovo Thinkpad Yoga 11e Chromebook (4th Gen)",
    "Lenovo Thinkpad 11e Chromebook (4th Gen)/Lenovo Thinkpad Yoga 11e Chromebook (4th Gen)": "Thinkpad 11e Chromebook (4th Gen)/Lenovo Thinkpad Yoga 11e Chromebook (4th Gen)",
    "Lenovo ThinkPad 13": "Thinkpad 13 Chromebook",
    "M123": "Thinkpad Stack projector",
    "Lenovo K10a40": "VIBE K10",
    "Lenovo K33a48": "VIBE K6",
    "Lenovo K33b36": "VIBE K6",
    "Lenovo K33b37": "VIBE K6",
    "Lenovo K53a48": "VIBE K6 Note",
    "Lenovo K53b36": "VIBE K6 Note",
    "Lenovo K53b37": "VIBE K6 Note",
    "Lenovo K33a42": "VIBE K6 Power",
    "Lenovo A7010a48": "VIBE X3 Lite",
    "Lenovo K51c78": "VIBE X3 Lite",
    "Lenovo X2-AP": "X2",
    "Lenovo X2-EU": "X2",
    "Lenovo X2Pt5": "X2 Pro",
    "VIBE X2Pt5": "X2 Pro",
    "Lenovo X2-TO": "X2-TO/VIBE X2",
    "Lenovo X2-TR": "X2-TR/VIBE X2",
    "Lenovo X3a40": "X3a40",
    "Lenovo X3c50": "X3c50",
    "Lenovo X3c70": "X3c70",
    "Lenovo TB-J706N": "XiaoXin Pad Pro",
    "Lenovo YB-Q501L": "YOGA Laptop with Android",
    "Lenovo YB1-X90F": "YOGA BOOK",
    "Lenovo YB1-X90L": "YOGA BOOK",
    "Lenovo YT-K606F": "Yoga Tab 13(ROW)",
    "Lenovo YT3-X50F": "YOGA Tab 3 10”",
    "Lenovo YT3-X50L": "YOGA Tab 3 10”",
    "Lenovo YT3-X50M": "YOGA Tab 3 10”",
    "Lenovo YT3-850F": "YOGA Tab 3 8”",
    "Lenovo YT3-850L": "YOGA Tab 3 8”",
    "Lenovo YT3-850M": "YOGA Tab 3 8”",
    "Lenovo YT3-X90F": "YOGA Tab 3 PRO 10”",
    "Lenovo YT3-X90L": "YOGA Tab 3 PRO 10”",
    "Lenovo YT3-X90X": "YOGA Tab 3 PRO 10”",
    "Lenovo YT3-X90Y": "YOGA Tab 3 PRO 10”",
    "Lenovo YT3-X90Z": "YOGA Tab 3 PRO 10”",
    "YOGA Tablet 2-1050L": "YOGA Tablet Pro-1050L/Yoga Tablet 2",
    "YOGA Tablet 2-1050LC": "YOGA Tablet Pro-1050LC/Yoga Tablet 2",
    "YOGA Tablet 2 Pro-1380F": "YOGA Tablet Pro-1380F/Yoga Tablet 2 Pro",
    "YOGA Tablet 2 Pro-1380L": "YOGA Tablet Pro-1380L/Yoga Tablet 2 Pro",
    "YOGA Tablet 2-830L": "YOGA Tablet Pro-830L/Yoga Tablet 2",
    "YOGA Tablet 2-830LC": "YOGA Tablet Pro-830LC/Yoga Tablet 2",
    "Lenovo YT-X705F": "Yoga Smart Tab",
    "Lenovo YT-X705L": "Yoga Smart Tab",
    "Lenovo YT-X705M": "Yoga Smart Tab",
    "Lenovo YT-X705X": "Yoga Smart Tab",
    "YOGA Tablet 2-1050F": "YogaTablet2 -1050F",
    "YOGA Tablet 2-830F": "YogaTbalet2-830F",
    "Lenovo Z2": "Z2",
    "Lenovo Z2w": "Z2w",
    "Lenovo L78011": "Z5",
    "Lenovo L78071": "Z5s",
    "Lenovo L78121": "Z6",
    "Lenovo L78051": "Z6Pro",
    "Lenovo Z90": "Z90/VIBE Shot",
    "Lenovo Z90-7": "Z90/VIBE Shot",
    "Lenovo Z90-3": "Z90/VIBE Shot",
    "Lenovo Z90a40": "Z90a40/VIBE Shot",
    "ideatv K82": "ideatvK82 60LX750A  52LX750A  46LX750A  60LX850A  70LX850A 80LX850A",
    "XT2261-1": "moto tab g62",
    "XT2261-2": "moto tab g62 LTE",
    "TB128FU": "启天K10 Pro",
    "TB128XC": "启天K10 Pro",
    "Lenovo TB223FC": "启天K10 Pro",
    "Lenovo TB226XC": "启天K10 Pro",
    "Lenovo TB-J616N": "小新 Pad GT",
    "Lenovo TB-J716F": "小新Pad Pro 2021",
    "TB138FC": "小新Pad Pro 2022",
    "Lenovo TB-8804F": "小新平板",
    "Lenovo TB-X804F": "小新平板",
    "Lenovo L79031": "拯救者电竞手机",
    "Lenovo L70081": "拯救者电竞手机二代",
    "TB230FC": "联想平板电脑 启天K11 Gen2",
    "TB230XC": "联想平板电脑 启天K11 Gen2",
    "LETAB731": "LEOTEC",
    "SUPERNOVA Qi32": "Letab1020",
    "lephone_W8": "Lephone W8",
    "lephoneP1": "lephone P1",
    "lephone_W10": "lephone_W10b",
    "lephone_W11": "lephone W11",
    "lephone_W15": "lephone W15",
    "lephone_W21": "lephone W21",
    "lephone_W7": "lephone W7",
    "lephone_W7_plus": "lephone W7+",
    "lephone_W7R": "lephone W7R",
    "lephone P2Plus": "lephone_P2Plus",
    "MFC145FR1": "Fluo",
    "MFC191FR2": "Fluo XL",
    "MFC510FR1": "Fluo XL Premium Edition",
    "MFC512FR": 'LexiTab 10"',
    "MFC511DE": "LexiTab 10''",
    "MFC511EN": "LexiTab 10''",
    "MFC511FR": "LexiTab 10''",
    "MFC147FR": 'LexiTab 7"',
    "MFC146DE": "LexiTab 7''",
    "MFC146EN": "LexiTab 7''",
    "MFC146FR": "LexiTab 7''",
    "MFC146ES": "LexiTab 7''",
    "MFC513FR": 'LexiTab® 10"',
    "MFC149FR": "LexiTab® 7",
    "MFC148FR": 'LexiTab® 7"',
    "MFC514": "LexiTab® Deluxe",
    "MFC514FR": "LexiTab® Deluxe",
    "LBOX500": "Playdroid",
    "MFS100": "Tablet Phone",
    "LifeWatch V": "V , FGL-00004",
    "LINTAB_TB701": "LIN",
    "SH940C-LN": "Smart Box HD",
    "DCN88_72604_LN": "X1 Prime",
    "Linsar 4K Android TV": "Linsar",
    "Linsar 2K Android TV": "Smart TV",
    "Linsar UK 4K Android TV": "Linsar",
    "Linsar Android TV": "Linsar android TV",
    "LINSAY F10XIPS": "F10XIPS",
    "LINSAY F7HD4CORE": "LINSAY_F7HD4CORE",
    "WEBPAD1002": "TM1088",
    "LPD-10W": "LUME",
    "LPD-11W": "LUME",
    "FieldBook_E1": "FieldBook E1",
    "Logic Instrument Fieldbook F1": "Fieldbook F1",
    "Logic Instrument Fieldbook F53": "Fieldbook F53",
    "Logic Instrument Fieldbook K80": "Fieldbook K80",
    "Logic Instrument Fieldbook F57": "Logic Instrument Fieldbook 57",
    "LOGIC L50": "L50",
    "L50 PLUS": "L50 Plus",
    "Logic L57": "L57",
    "LOGIC L68": "L68",
    "LOGIC L4T": "LOGIC_L4T_1",
    "LOGIC L55S": "LOGIC_L55S",
    "LOGIC L60": "LOGIC_L60",
    "LOGIC L65": "LOGIC_L65",
    "LOGIC T10W": "T10W",
    "T3G": "T3GPlus",
    "Logic X4 Plus": "X4 Plus",
    "X55_PLUS": "X55_PLUS_B18",
    "LOGIC X57A": "X57A",
    "LOGIC X5A": "X5A",
    "B BOT 50": "B bot 50",
    "B BOT 550": "B bot 550",
    "C Bot Tab 100": "C bot tab 100",
    "C Bot Tab 70": "C bot tab 70",
    "E400": "NGM Youcolor E400",
    "IDbot553": "ID bot 553",
    "IDbot553PLUS": "ID bot 553+",
    "ID bot 53+": "IDbot53plus",
    "L-EGANTONE-R": "L-EGANT  ONE-R",
    "L-EGANTONE": "L-EGANT ONE",
    "L-EMENT401": "L-EMENT 401",
    "L-EMENT_403": "L-EMENT 403",
    "L-EMENT_TAB1040": "L-EMENT TAB 1040",
    "L-EMENT_1043_BTK": "L-EMENT TAB 1043 BTK",
    "L-EMENT_TAB1043M": "L-EMENT TAB 1043M",
    "L-EMENT 741": "L-EMENT TAB 741",
    "L-EMENT 742": "L-EMENT TAB 742",
    "L-ement_Tab_744": "L-EMENT TAB 744",
    "L-ementTab744P": "L-EMENT TAB 744P",
    "L-EMENT 400": "L-EMENT400",
    "L-EMENT500L": "L-EMENT500",
    "L-EMENT_TAB1042BTK": "L-EMENTTAB1042",
    "L-ITE 402": "L-ITE402",
    "L-ITE 452": "L-ITE452",
    "L-ITE 502": "L-ITE502",
    "L-ITE 552": "L-ITE552",
    "LIXIR1041": "L-IXIR TAB 1041",
    "L-IXIR_TAB_1046_HD": "L-IXIR TAB 1046HD",
    "L-IXIR_TAB_840": "L-IXIR TAB 840",
    "L-EMENT351": "L351",
    "L-EMENT743": "L743",
    "LOGICOM_LA_TAB_LINK_71": "LA_TAB_LINK71",
    "L-EMENT 740": "LEMENT TAB 740",
    "L-EMENT_TAB1042": "LEMENTTAB1042",
    "LEMENT_TAB901": "LEMENTTAB901",
    "LOGIKIDS5ED": "LOGIKIDS5",
    "LOGIKIDS_5": "LOGIKIDS_5_Rev2",
    "La Tab 107": "La Tab 107 HD",
    "La Tab 109 HD": "LaTab109HD",
    "La_Tab_113": "La Tab 113",
    "La_Tab_123HD": "La Tab 123HD",
    "La_Tab_73": "La Tab 73",
    "La_Tab_90": "La Tab 90",
    "La_Tab_124_HD": "La tab 124",
    "La_Tab_105_P_Rev2": "La_Tab_105_P_Rev2_EEA",
    "La_Tab_114": "La_Tab_114_Rev2",
    "La_Tab_124_HD_Plus": "La_Tab_124_HD_Plus_EEA",
    "La Tab 292": "La_Tab_292",
    "La_Tab_74": "La_Tab_74_Rev2_AF",
    "LOGICOM La Tab Link 101": "La_Tab_Link_101",
    "La Tab Stand": "La_Tab_Stand",
    "Le_Connect": "Le Connect",
    "LeFit": "Le Fit",
    "Le_Hello": "Le HELLO",
    "Le_Hola": "Le Hola",
    "Le_Prime": "Le Prime",
    "Le Up": "Le UP",
    "Logikids_2": "Logikids",
    "Logikids_3": "Logikids 3",
    "logikids4": "Logikids 4",
    "M BOT 551": "M bot 551",
    "M_bot_tab_1150": "M bot Tab 1150",
    "M_bot_tab_71": "M bot Tab 71",
    "M BOT TAB 100": "M bot tab 100",
    "M BOT TAB 101": "M bot tab 101",
    "M BOT TAB 70": "M bot tab 70",
    "M bot 52": "M_ bot_ 52",
    "POWER BOT": "POWER bot",
    "LOGICOM_PLAYTAB_10": "Playtab 10",
    "Connect 5": "S504",
    "CT730": "Touch Tablet CT730",
    "VR BOT 552": "VRBOT552",
    "VR BOT 552 PLUS": "VRBOT552PLUS",
    "LeMoov": "le Moov",
    "LOGIK 4K Android TV": "LOGIK",
    "LOGIK 2K Android TV": "LOGIK",
    "Tambour": "Tambour Horizon",
    "T2HD": "T2 HD",
    "Lumigon_T3": "T3",
    "LYF_LS-4006": "LS-4006",
    "LS-5008": "Blade S6",
    "LS-5505": "WATER F1",
    "Pure1": "M-HORSE",
    "EROS Power": "Eros Power",
    "M3SL20": "M3 SL20",
    "M3SM15N": "M3SM15N_EEA",
    "M3SM15X": "M3SM15X_EEA",
    "M3SM20": "M3 SM20",
    "M3UL20F": "M3UL20F_EEA",
    "M3UL20W": "M3UL20W_EEA",
    "M3UL20X": "M3UL20X_EEA",
    "M3US20W": "M3 US20W",
    "M3US20X": "M3 US20X",
    "M4_B1": "M4 B1",
    "M4_B2": "M4 B2",
    "M4_B3": "M4 B3",
    "M4_R2": "M4 R2",
    "M4 R3 LIGHT": "M4 R3LIGHT",
    "M4-SS4453-R": "M4 SS4453-R",
    "M4-SS4457-R": "M4 SS4457-R",
    "M4-SS4458-R": "M4 SS4458-R",
    "R2_Plus": "R2 Plus",
    "M610": "Morep Mavic Plus",
    "M8": "Winnovo",
    "Pad_M11": "Pad_M11_EEA",
    "Alpha": "ALPHA",
    "M200": "M200A",
    "Grand Pro": "MDC GrandPro",
    "SmartGuide_2.10": "MEDER",
    "MEO TV Box 4K (DIW3930)": "MEOBox 4K",
    "TR10CS2": "Any 302",
    "TR10CD2": "Any 303",
    "MGS 4K Android TV": "MGS",
    "MGS 2K Android TV": "MGS",
    "Model-6-Pro-Max-4G": "Model 6 Pro Max 4G",
    "MILECTRIC Android TV": "SPAIN, MOROCCO, PORTUGAL",
    "MS8589": "MS8589_RU",
    "DV8553": "MINIX NEO T5",
    "TP-10-0232P3G": "MITSUSHIBA",
    "M6501": "M6501B",
    "iQS805": "IQS805",
    "iQW570": "IQW570",
    "iQ8225": "iQ8225_EEA",
    "P63": "P63_EEA",
    "Primo 81": "Primo81",
    "MTC 982": "Vodafone 785",
    "ENTV 4K Android TV": "ENTV",
    "ENTV4KAndroidTV": "ENTV",
    "Hansung 4K Android TV": "Hansung",
    "Infiniton 4K Android TV": "Infiniton",
    "Infiniton 2K Android TV": "Infiniton",
    "DWSUMMUS 4K Android TV": "MTC",
    "Posfic 4K Android TV": "MTC",
    "WasabiMango 4K Android TV": "MTC",
    "Olive 2K Android TV": "Olive",
    "Olive 4K Android TV": "Olive",
    "SmartEver 4K Android TV": "SmartEver",
    "SmartEver4KAndroidTV": "SmartEver",
    "MTC 970H": "Vodafone Smart mini",
    "S4000-C0C10": "canada",
    "S2000-Z0C11": "chile",
    "MTN-TBW5982C3": "5982C3",
    "MTN-8978P": "8978P",
    "MTN-L860": "MTN Sm@rt L860",
    "MTN-S730": "MTN Smart S730",
    "MTN-S735": "MTN Smart S735",
    "MTN-S810": "MTN Smart S810",
    "MTN-S620": "S620",
    "MTN-S720i": "S720i",
    "MTN-S630": "Sm@rt Mini S630",
    "Smart Bit": "Smart_Bit",
    "M.T.T. Master": "Master",
    "M.T.T. Smart Fun": "Smart Fun",
    "MULTYNET FHD Android TV": "Pakistan",
    "MULTYNET UHD Android TV": "Pakistan",
    "X-treme Play Tab": "xtreme",
    "Trio Stealth_10": "Trio Stealth_10 Tablet",
    "Trio Stealth_8": "Trio Stealth_8 Tablet",
    "Trio Stealth_9": "Trio Stealth_9 Tablet",
    "Mad Catz M.O.J.O.": "M.O.J.O.",
    "TAB 711 4G": "TAB_711_4G",
    "iQM801": "Brace",
    "iQ181011N": "MLS Novel 3G",
    "iQ1452aN": "MLS iQ1452aN",
    "iQT800": "MLS_iQT800",
    "iQM1001": "Stage",
    "IQ1019N": "iQ1019N",
    "Mango S5": "Mango_S5",
    "MarQ 4K Android TV": "MarQ",
    "MarQ 2K Android TV": "MarQ",
    "Mara Phones Z1": "Mara Z1 d",
    "Mara Phones X1": "Mara X1 d",
    "Mara Z": "MARA Z",
    "MARCEL Android TV": "EU、UK、AP",
    "CT4": "MARVIE_CT4",
    "Mascom S750": "Mascom_S750",
    "Masstel Hapi 15": "Hapi 15",
    "Masstel Hapi 30": "Hapi_30",
    "Juno Q6": "Juno_Q6",
    "Masstel LT52": "LT52",
    "Tab10Ultra": "Masstel",
    "Masstel_Juno_Q5Plus": "Masstel Juno Q5 Plus",
    "Juno Q7": "Masstel Juno Q7",
    "Masstel_Juno_S6": "Masstel Juno S6",
    "Masstel_Tab_10S": "Masstel Tab 10S",
    "Masstel_Tab_82": "Masstel Tab 82",
    "Masstel Hapi 20": "Masstel_Hapi_20",
    "Masstel Tab10": "Masstel_Tab10",
    "Masstel Tab8 Edu": "Masstel_Tab8_Edu",
    "Tab 10.1Pro": "Masstel_Tab_10.1Pro",
    "Masstel Tab 10E": "Masstel_Tab_10E",
    "Masstel Tab": "Masstel_Tab_10M",
    "Masstel Tab 83": "Masstel_Tab_83",
    "Masstel X1": "Masstel_X1",
    "Masstel X5": "Masstel_X5",
    "Masstel X6": "Masstel_X6",
    "Masstel N535": "N535",
    "Masstel Tab10 Edu": "Tab10_Edu",
    "Masstel_Tab7LTE": "Tab7LTE",
    "Masstel Tab8N": "Tab8N",
    "Tab8Plus": "Tab8plus",
    "Masstel Tab 10A": "Tab_10A",
    "Masstel Tab 81": "Tab_81",
    "Masstel Tab 8A": "Tab_8A",
    "Masstel X3": "X3",
    "Masstel_X8": "X8",
    "MASTER-G Android TV": "Chile, Bolivia,Peru,Argentina",
    "MASETR-G Android Monitor": "Chile,Bolivia,Peru",
    "MASTER-G Android Monitor": "Chile,Bolivia,Peru",
    "MS554": "MS554_eea",
    "Maximus D1": "D1",
    "P7 Plus": "P7_Plus",
    "R1 Pro": "R1_Pro",
    "VFD 610": "Smart N8",
    "VFD 710": "Smart V8",
    "MAXTRON M2": "MAXTRON_M2",
    "Astro_5_GO_LTE": "Astro 5 Go LTE",
    "Astro_5N_LTE": "Astro 5N LTE",
    "Astro_6S": "Astro 6S",
    "Astro 55N LTE": "Astro_55N_LTE",
    "Astro 55R": "Astro_55R",
    "Astro 5X": "Astro_5X",
    "Astro 5T": "Astro 5T",
    "Astro 8Q": "Astro 8Q",
    "Gravity_55_GO": "Gravity _55_ GO",
    "AstroPhablet7s": "MAXWEST",
    "Nitro_4X": "Nitro 4X",
    "MX-N55E": "Nitro 55E",
    "Nitro_5N": "Nitro 5N",
    "Nitro_5R": "Nitro 5R",
    "Nitro 4s LTE": "Nitro_4s_LTE",
    "Nitro 55C": "Nitro_55C",
    "Nitro 5C": "Nitro_5C",
    "Nitro 5P": "Nitro_5P",
    "Nitro 8": "Nitro_8",
    "ORBIT TAB 7": "ORBIT_TAB_7",
    "Ranger_5": "Ranger 5",
    "Byybuo": "TAB_MAX_7",
    "meanIT K10": "MTAB32_EEA",
    "meanIT_C80C81": "meanIT C80C81",
    "meanIT X10": "meanIT-X10",
    "MK7000PRO": "MK7000Pro",
    "MW16Q9_3G": "MW16Q9-3G",
    "MW16Q9_4G": "MW16Q9-4G",
    "TEI11011MST": "TEI11011",
    "4K Android TV Box": "KM2 PLUS",
    "1AZ2TW": "1AZ2T",
    "1AZ_eea": "1AZ_EEA",
    "1BEC": "1BEC_eea",
    "1CY": "1CY_EEA",
    "1DY4G": "1DY4G_eea",
    "7CY": "7CY_eea",
    "7DY": "7DY_EEA",
    "8BY": "8BY_EEA",
    "M-PPxG5M": "G5M",
    "Azimut2": "M-SP1AZ2TW_EEA",
    "Azimut 3 Lite": "M-SP1AZ3L2",
    "Azimut 3 Pro": "M-SP1AZ3P",
    "M-SP1AZ3": "M-SP1AZ3_EEA",
    "1EY": "M-SP1EY",
    "8EY": "M-SP8EY",
    "LIFETAB E1090X": "E1090X",
    "MEDION E4502": "E4502",
    "MEDION E4506": "E4506",
    "B4570": "E4507",
    "MEDION E5004": "E5004",
    "B5060": "E5005",
    "B5032": "E5006/P5006",
    "B5070": "E5008",
    "MEDION B5530": "E5504",
    "LIFETAB_E731X": "E731x",
    "BOSCH_E10316": "LIFETAB E10316",
    "LIFETAB_E10316": "LIFETAB E10316",
    "LIFETAB_E10320": "LIFETAB E10320",
    "MICROSTAR_E10319": "LIFETAB E10320",
    "E1041X": "LIFETAB E1041X",
    "E1060X": "LIFETAB E1060X",
    "LIFETAB_E723X": "LIFETAB E723X",
    "LIFETAB_E7313": "LIFETAB E7313",
    "LIFETAB_E7316": "LIFETAB E7316",
    "LIFETAB_S7316": "LIFETAB E7316",
    "LIFETAB_E732X": "LIFETAB E732X",
    "LIFETAB_E733X": "LIFETAB E732X",
    "LIFETAB_S733X": "LIFETAB E732X",
    "LIFETAB_P1034X": "LIFETAB P1034X",
    "LIFETAB_P1075X": "LIFETAB P1075X",
    "LIFETAB_P733X": "LIFETAB P733x",
    "LIFETAB_P831X": "LIFETAB P831X",
    "LIFETAB_P831X.2": "LIFETAB P831X",
    "LIFETAB_P891X": "LIFETAB P891X",
    "LIFETAB_P970X": "LIFETAB P970X",
    "S1032X": "LIFETAB S1032X",
    "LIFETAB_S1033X": "LIFETAB S1033X",
    "LIFETAB_S1034X": "LIFETAB S1034X",
    "LIFETAB_S785X": "LIFETAB S785X",
    "LIFETAB_S786X": "LIFETAB S786x",
    "LIFETAB_S831X": "LIFETAB S831X",
    "LIFETAB_P9514": "Lifetab P9514",
    "P740X": "Media Base P740X",
    "P1040X": "P1050X",
    "X1060X": "P1060X",
    "LIFETAB P1071X": "P1071X",
    "LIFETAB P1091X": "P1091X",
    "MEDION P5004": "P5004",
    "MEDION P5005": "P5005",
    "MEDION P5015": "P5015",
    "P72035": "P73035",
    "MEDION S5004": "S5004",
    "B5531": "S5504",
    "LIFETAB_S732X": "S7322",
    "X1030X": "X1030x",
    "B5532": "X5520",
    "MEDION X6001": "X6001",
    "E10319": "microstar E10319",
    "MegaFon Login 3": "Login 3",
    "ALCATEL ONE TOUCH 7030R": "MS4B",
    "ALCATEL ONE TOUCH 7030Y": "MS4B",
    "B826C-A12": "Mexico",
    "Xview+": "XView+",
    "Meitu M4": "M4",
    "MP1503": "M6",
    "MP1709": "M8s",
    "Vela": "MI CC 9 Meitu Edition",
    "MP1603": "Maya",
    "MP1701": "Meitu T8s",
    "MP1605": "Meitu V6",
    "MP1710": "T9",
    "MP1718": "Tiffany",
    "Meitu V4": "V4",
    "Meitu V4s": "V4s",
    "MP1602": "Victoria",
    "16s Pro": "16s pro",
    "MEIZU E3": "E3",
    "MEIZU M6": "meizu M6",
    "M6 Note": "meizu M6 Note",
    "Meizu M6s": "M6s",
    "Meizu mblu S6": "M6s",
    "M712C": "Meizu S6",
    "Meizu M8c": "M8c",
    "PRO 7-H": "PRO 7",
    "PRO 7-S": "PRO7S",
    "MEIZU 18 Pro": "meizu 18 Pro",
    "DV8955C-C": "Melita-4K-TV",
    "MTAB-07535AK": "MTAB-0753AK",
    "M2012K11AI": "Mi 11 X",
    "Micromax A110": "A110",
    "Micromax A50": "A50",
    "Micromax A56": "A56",
    "Micromax A57": "A57",
    "Micromax A62": "A62",
    "Micromax A72": "A72",
    "Micromax A73": "A73",
    "Micromax A87": "A87",
    "Micromax A91": "A91",
    "Micromax B5 Pro": "B5 Pro",
    "Micromax Bharat 5": "Bharat 5",
    "A068": "BOLT",
    "Micromax A069": "BOLT",
    "Micromax A24": "BOLT",
    "Micromax A34": "BOLT",
    "Micromax A67": "BOLT",
    "Micromax A69": "BOLT",
    "Micromax Q332": "BOLT",
    "Micromax Q338": "BOLT",
    "Micromax Q440Plus": "Bharat 4",
    "Micromax Q4204": "Bharat 5 Infinity Edition",
    "Micromax Bharat 5 Plus": "Bharat 5 Plus",
    "Micromax A064": "Bolt",
    "Micromax A065": "Bolt",
    "Micromax A066": "Bolt",
    "Micromax A067": "Bolt",
    "Micromax A082": "Bolt",
    "Micromax A79": "Bolt",
    "Micromax A82": "Bolt",
    "Micromax AD3520": "Bolt",
    "Micromax AD4500": "Bolt",
    "Micromax_D200": "Bolt",
    "Micromax D303": "Bolt",
    "Micromax D304": "Bolt",
    "Micromax D305": "Bolt",
    "Micromax D320": "Bolt",
    "Micromax D321": "Bolt",
    "Micromax D333": "Bolt",
    "Micromax D340": "Bolt",
    "Micromax Q3001": "Bolt",
    "Micromax Q301": "Bolt",
    "Micromax Q303": "Bolt",
    "Micromax Q323": "Bolt",
    "Micromax Q324": "Bolt",
    "Micromax Q325": "Bolt",
    "Micromax Q326": "Bolt",
    "Micromax Q331": "Bolt",
    "Micromax Q333": "Bolt",
    "Micromax Q335": "Bolt",
    "Micromax Q336": "Bolt",
    "Micromax Q341": "Bolt",
    "Micromax Q346": "Bolt",
    "Micromax Q381": "Bolt",
    "Micromax Q383": "Bolt",
    "Micromax S300": "Bolt",
    "Micromax S301": "Bolt",
    "Micromax S302": "Bolt",
    "Micromax Q3551": "Bolt Juice",
    "Micromax Q402": "Bolt Pace",
    "Micromax Q306": "Bolt Prime 3G",
    "Micromax Q3301": "Bolt Q3301",
    "Micromax Q424": "Bolt Selfie",
    "Micromax Q352": "Bolt Supreme 4",
    "Micromax A120": "CANVAS 2 COLOURS",
    "A110Q": "CANVAS 2 PLUS",
    "Micromax A110Q": "CANVAS 2 PLUS",
    "B6546": "CANVAS B20",
    "Micromax A114R": "CANVAS BEAT",
    "MT500": "CANVAS BLAZE",
    "Micromax A102": "CANVAS DOODLE 3",
    "Micromax AE90": "CANVAS DUET",
    "Micromax EG111": "CANVAS DUET 2",
    "Micromax A121": "CANVAS ELANZA 2",
    "Micromax A091": "CANVAS ENGAGE",
    "Micromax A105": "CANVAS ENTICE",
    "Micromax A300": "CANVAS GOLD",
    "Micromax A350": "CANVAS KNIGHT",
    "Micromax A117": "Canvas Magnus",
    "Micromax A96": "CANVAS POWER",
    "Micromax A118R": "CANVAS TUBE",
    "Micromax A200": "CANVAS TURBO MINI",
    "Micromax A106": "Unite2",
    "Micromax Q4310": "Canvas 2",
    "Micromax A315": "Canvas 4+",
    "Micromax E481": "Canvas 5",
    "Micromax Q463": "Canvas 5 Lite",
    "Micromax E485": "Canvas 6",
    "Micromax E484": "Canvas 6 Pro",
    "Micromax AQ4501": "Canvas A1",
    "Micromax AQ4502": "Canvas A1",
    "Micromax Q395": "Canvas AMAZE",
    "Micromax Q400": "Canvas Blaze",
    "Micromax Q414": "Canvas Blaze 4G Plus",
    "Micromax Q391": "Canvas Doodle4",
    "Micromax E483": "Canvas Evok",
    "Micromax Q411": "Canvas FIRE4G",
    "Micromax Q3502": "Canvas fashion 3g",
    "Micromax A093": "Canvas Fire",
    "Micromax A104": "Canvas Fire",
    "Micromax Q462": "Canvas Fire 4G",
    "Micromax Q386": "Canvas Fire 5",
    "Micromax Q428": "Canvas Fire 6",
    "Micromax A096": "Canvas Fire3",
    "Micromax A107": "Canvas Fire4",
    "Micromax A76": "Canvas Fun",
    "Micromax A190": "Canvas HD Plus",
    "Micromax AQ5000": "Canvas Hue",
    "Micromax A316": "Canvas Hue 2",
    "Micromax HS2": "Canvas Infinity",
    "Micromax HS1": "Canvas Infinity Life",
    "Micromax_HS3": "Canvas Infinity Pro",
    "Micromax A77": "Canvas Juice",
    "Micromax Q394": "Canvas Juice 3+",
    "Micromax Q382": "Canvas Juice 4",
    "Micromax Q461": "Canvas Juice 4G",
    "Micromax Q398": "Canvas Juice 6",
    "Micromax AQ5001": "Canvas Juice2",
    "Micromax Q392": "Canvas Juice3",
    "Micromax A290": "Canvas Knight Cameo",
    "Micromax E471": "Canvas Knight2",
    "Micromax A108": "Canvas L",
    "Micromax Q421": "Canvas Magnus HD",
    "Micromax E353": "Canvas Mega",
    "Micromax Q417": "Canvas Mega",
    "Micromax Q426": "Canvas Mega 2",
    "Micromax A310": "Canvas Nitro",
    "Micromax A311": "Canvas Nitro",
    "Micromax E311": "Canvas Nitro2",
    "Micromax Q416": "Canvas Pace 4G",
    "Micromax Q401": "Canvas Pace MIni",
    "Micromax Q370": "Canvas Pep",
    "Micromax Q371": "Canvas Pep",
    "Micromax Q375": "Canvas Pep",
    "Micromax Q355": "Canvas Play",
    "Micromax Q412": "Canvas Play 4G",
    "Micromax Q469": "Canvas Play4G",
    "Micromax E451": "Canvas Pulse",
    "Micromax Q334": "Canvas SPARK2",
    "Micromax A255": "Canvas Selfie",
    "Micromax Q349": "Canvas Selfie 4",
    "Micromax Q345": "Canvas Selfie Lens",
    "Micromax Q480": "Canvas Space 2",
    "Micromax Q479": "Canvas Space 2+",
    "Micromax Q380": "Canvas Spark",
    "Micromax Q350": "Canvas Spark 2 Plus",
    "Micromax Q380N": "Canvas Spark 3",
    "Micromax Q385": "Canvas Spark 3",
    "Micromax Q4201": "Canvas Spark 4G",
    "MicromaxF666": "Canvas Tab",
    "MicromaxP480": "Canvas Tab",
    "P480": "Canvas Tab",
    "Micromax P681": "Canvas Tab",
    "Micromax P690": "Canvas Tab",
    "Micromax P701": "Canvas Tab",
    "MicromaxP702": "Canvas Tab",
    "P70221": "Canvas Tab",
    "MicromaxP802": "Canvas Tab",
    "Micromax P810": "Canvas Tab",
    "P469": "Canvas Tabby",
    "Micromax A250": "Canvas Turbo",
    "Micromax Q427": "Canvas Unite 4",
    "Micromax Q465": "Canvas Unite 4 Pro",
    "Micromax A109": "Canvas XL2",
    "Micromax A99": "Canvas Xpress",
    "Micromax E314": "Canvas Xpress 2",
    "Micromax Q413": "Canvas Xpress 4g",
    "Micromax P290": "Canvas tab",
    "P470": "Canvas tab",
    "Micromax P666": "Canvas tab",
    "MicromaxP680": "Canvas tab",
    "Micromax Q491": "Doodle 4",
    "Micromax E4816": "Dual 4",
    "Micromax E4815": "EVOK DUAL NOTE",
    "Micromax E4817": "Evok Dual Note",
    "Micromax E453": "Evok Note",
    "Micromax Q4260": "Evok Power",
    "Micromax E6523": "IN1b",
    "Micromax E7533": "IN1b",
    "IN_Note1": "In_Note1",
    "E7446": "IN_Note2",
    "IN1": "In1",
    "N8301": "Infinity N Series N12",
    "ione note": "Ione Note",
    "Micromax A94": "MAD",
    "Micromax Q402Plus": "Micromax Bharat 2 Plus",
    "Micromax C1": "Micromax Canvas 1",
    "Micromax Q4261": "Micromax Canvas Music M1",
    "Micromax C1A": "Micromax Canvax 1(2018)",
    "Micromax N4120": "Micromax Kicka 6",
    "Micromax_Q353": "Micromax Q353",
    "Micromax_Q353P": "Micromax Q353 Plus",
    "Micromax Q4311": "Micromax Selfie 2",
    "Micromax Q4601": "Micromax Selfie 2 Note",
    "Micromax Q452": "Micromax Spark 4G Prime(2017)",
    "Micromax E352": "Nitro 3",
    "Micromax E455": "Nitro 4G",
    "Micromax Q327": "Q327",
    "Micromax Q350R": "Q350R",
    "Micromax Q354": "Q354",
    "Micromax Q300": "SUPREME BOLT",
    "Micromax Q340": "Selfie 2",
    "Micromax E460": "Selfie 3",
    "Micromax Q348": "Selfie 3",
    "Micromax Q450": "Sliver 5",
    "Micromax Q409": "Spark  4G(2017)",
    "Micromax Q4002": "Spark 4g",
    "Micromax Q409A": "Spark Go",
    "Micromax A092": "UNITE",
    "Micromax Q379": "Unite 3",
    "Micromax Q372": "Unite3",
    "Micromax Q4001": "Vdeo 1",
    "Micromax Q4101": "Vdeo 2",
    "Micromax Q4202": "Vdeo 3",
    "Micromax Q4251": "Vdeo 4",
    "Micromax Q4220": "Vdeo 5",
    "Micromax E313": "Xpress 2",
    "YU5014": "YU ACE",
    "YU4711": "YUNIQUE",
    "YU5200": "YUREKAS",
    "YU5551": "YUREKA S",
    "YU5012": "Yunique 2 Plus",
    "YU5010": "YUPHORIA",
    "YU5050": "Yutopia",
    "ETW101GT_C": "ETW101GT_C_EEA",
    "ETW101GT": "ETW101GT_EEA",
    "Microtech_etabStyle": "Microtech_e-tab_Style",
    "e-tab_style_REV3": "e-tab_style_rev.3",
    "ETL101AL": "etab_LTE",
    "MT003-22": "MT003_22",
    "MSW_BT767QC8TN": "MIKONA",
    "M4CR": "Clover",
    "M4CRD": "Clover",
    "Emerald_M55CR": "Emerald",
    "Emerald_M55CRD": "Emerald",
    "Mint Fox+": "M3CR2",
    "Mint Clover+": "M4CR2",
    "Mint_M55LD": "M55LD",
    "M341": "MINT M341",
    "Mint_M341": "MINT M341",
    "Pearl+_M5PD": "MINT_Pearl_plus",
    "MM5114G": "MM5514G",
    "ULTRAMINTT X5": "ULTRAMINTT_X5",
    "COOLMINTT X7": "COOLMINTT_X7",
    "CoolMinttA3": "CoolMintt_A3",
    "CoolMintt Blaze 2": "CoolMintt_Blaze_2",
    "Coolmintt_P2": "Coolmintt P2",
    "Mintt__Digi__2": "MINTT_DIGI_2",
    "Mintt M3": "MinttM3",
    "Mintt__M3": "MinttM3",
    "ULTRAMINTT A6": "ULTRAMINTT_A6",
    "COOLMINTT P3": "ULTRAMINTT_P3",
    "ULTRAMINTT X6": "ULTRAMINTT_X6",
    "UltraMintt_T10": "UltraMinttT10",
    "MioTab 2016": "MioTab",
    "MP0101635": "MioTab MP0101635",
    "Mione Pro Plus": "Mione_Pro_Plus",
    "Mio Phone 2016": "Mio Phone",
    "MioPhone2017": "Mio Phone",
    "MI-JI-43T": "43T",
    "MI-JI-44T": "44T",
    "MI-JI-64T": "64T",
    "MI-CH-82S": "82S",
    "MITO A10": "A10",
    "MITO_A10": "A10",
    "Mito A67": "A67",
    "MITO A880": "A880",
    "mito A39": "MITO A39",
    "MITO_A36_W1": "Mito_A36_W1",
    "MITO_A37_Z1": "Mito_A37_Z1",
    "MITO_A37_Z1plus": "Mito_A37_Z1",
    "MITO A16": "T5091A",
    "4K PA Smart TV": "4K Smart TV",
    "MBL Tab 8.1": "MBLTab81",
    "HotahOTG": "Hotah",
    "MobiGo2PP": "MobiGo 2+ Pro",
    "MobiGo2": "Mobigo2",
    "MobiGo2L": "Mobigo2L",
    "BERRY_PLUS": "BERRY PLUS",
    "BERRY PRO": "BERRY_PRO",
    "BERRY 2": "Berry 2",
    "CHROME LTE": "Chrome LTE",
    "Chrome LTE": "Chrome_LTE",
    "EPIC PRO_1": "EPIC PRO 1",
    "GLO 2": "GLO_2",
    "HERO_X": "HERO X",
    "LEGEND MAX": "LEGEND_MAX_LTE",
    "Legend Max_2": "Legend_Max_2",
    "MOBICEL METRO2": "METRO2",
    "Sonic": "Mobicel",
    "Neo LTE": "NEO LTE",
    "PURE PLUS": "PURE_PLUS",
    "R1PLUS_1": "R1Plus",
    "R7_1": "R7",
    "R9 LITE": "R9_LITE",
    "STAR": "Star",
    "TREDNY": "Trendy",
    "TRENDY": "Trendy",
    "TRENDY PLUS": "Trendy Plus",
    "ZOOM": "Zoom",
    "ZOOM-H": "ZOOM_H",
    "mobiistar C1 Power": "C1 Power",
    "mobiistar LAI YUNA 1": "LAI YUNA 1",
    "mobiistar LAI Z1 4G": "LAI Z1 4G",
    "mobiistar_LAI_Z2": "LAI Z2",
    "mobiistar LAI ZORO 3": "LAI Zoro 3",
    "Zumbo_S_2017": "LAI Zumbo S 2017",
    "Zumbo_S_2017_Lite": "LAI Zumbo S 2017 Lite",
    "mobiistar_ZORO_4G": "ZORO 4G",
    "mobiistar ZORO 5": "ZORO 5",
    "Mobiistar_Zumbo_J2": "ZUMBO J2",
    "mobiistar ZUMBO Power": "ZUMBO Power",
    "mobiistar Zumbo S2": "ZUMBO S2",
    "mobiistar ZUMBO S2 Dual": "ZUMBO_S2_Dual",
    "Zumbo S 2017": "Zumbo_S_2017",
    "CQ": "mobiistar",
    "E1 Selfie": "mobiistar E1 Selfie",
    "MTC_SMART_Surf_4G": "MTC SMART Surf 4G",
    "SMART_Race2_4G": "SMART Race2 4G",
    "MTC_SMART_Start_2": "SMART Start 2",
    "SMART_Turbo_4G": "SMART Turbo 4G",
    "MTC SMART Sprint 4G": "SMART_Sprint_4G",
    "SMART Surf2 4G": "Smart Surf2 4G",
    "MS55L1": "Gaia",
    "Cynus_F10": "Cynus F10",
    "Cynus_F9_4G": "Cynus F9 4G",
    "Cygnus45": "Cygnus",
    "Cygnus_mini": "Cygnus mini",
    "Halona": "MobiWire Halona",
    "Hawk_from_EE": "Hawk from EE",
    "Kicka_4_Plus": "Kicka 4 Plus",
    "Kosumi": "MobiWire Kosumi",
    "KWANITA": "Kwanita",
    "KANUNA": "MobiWire Kanuna",
    "KAYA": "MobiWire Kaya",
    "STARSHINE5": "STARSHINE 5",
    "STARSHINE_5": "STARSHINE 5",
    "Smart_A25": "STARSHINE 5",
    "SmartE11": "Smart E11",
    "SmartN11": "Smart N11",
    "SmartN12": "Smart N12",
    "Telenor_SmartPlus": "Telenor SmartPlus",
    "V.45S": "V.45",
    "TicWatch C2+": "TicWatch C2",
    "TicWatch E2": "TicWatch E2/S2",
    "TicWatch S2": "TicWatch E2/S2",
    "TicWatch Pro S": "TicWatch Pro",
    "TicWatch Pro 3": "TicWatch Pro 3 Cellular/LTE; TicWatch Pro 3 Ultra",
    "TicWatch Pro X": "TicWatch Pro 3",
    "TicWatch Pro 3 Ultra": "TicWatch Pro 3 Cellular/LTE; TicWatch Pro 3 Ultra",
    "TicWatch Pro 3 GPS": "TicWatch Pro 3 GPS; TicWatch Pro 3 Ultra GPS",
    "TicWatch Pro 3 Ultra GPS": "TicWatch Pro 3 GPS; TicWatch Pro 3 Ultra GPS",
    "TicWatch Pro 3U": "TicWatch Pro 3 GPS; TicWatch Pro 3 Ultra GPS",
    "TicWatch Pro 4G": "Ticwatch Pro 4G",
    "Ticwatch E": "Ticwatch S Smartwatch; Ticwatch E Smartwatch",
    "Ticwatch S": "Ticwatch S Smartwatch; Ticwatch E Smartwatch",
    "MD_G1212U": "MP1",
    "MEP2Q421G": "MEP2",
    "FreeTAB 8015 IPS X4": "FreeTAB 8015 IPS X4 LTE",
    "HORIZON LITE PLUS": "Horizon Lite Plus",
    "Moja TV": "MojaTV",
    "TB_MONDIAL": "TB-MONDIAL",
    "MB SUMMIT": "Summit",
    "SUMMIT": "Summit 3",
    "SUMMIT LITE": "Summit Lite",
    "M850": "Mavic 10",
    "M610DS": "Mavic_Plus_DS",
    "M830": "Morep Mavic 10",
    "M320": "Morep Pocket",
    "M521": "Smart V1",
    "Qphone2_4110": "Qphone2 4110",
    "SPPF_4110": "SPPF 4110",
    "RevoYou": "Revo You",
    "MB860": "Atrix",
    "MB861": "Atrix",
    "ME860": "Atrix",
    "MB886": "Atrix HD",
    "MB300": "Backflip",
    "ME600": "Backflip",
    "MB200": "CLIQ",
    "morrison": "CLIQ",
    "MB502": "Charm",
    "WX442": "Citrus",
    "WX445": "Citrus",
    "XT301": "Citrus",
    "MB501": "Cliq-XT",
    "ME501": "Cliq-XT",
    "XT1021": "Moto X Play",
    "XT1565": "DROID MAXX 2",
    "DROID RAZR HD": "RAZR HD",
    "XT925": "DROID RAZR HD",
    "XT907": "RAZR M",
    "XT890": "RAZR i",
    "XT1585": "DROID Turbo 2",
    "DROID4": "Droid 4",
    "MB525": "Defy",
    "MB526": "Defy",
    "ME525": "Defy",
    "ME525+": "Defy",
    "unknown": "Defy",
    "XT320": "Defy Mini",
    "XT321": "Defy Mini",
    "XT560": "Defy Pro",
    "calgary": "Devour",
    "A854": "Droid",
    "A853": "Droid",
    "Milestone": "Droid",
    "XT701": "Droid",
    "XT702": "Droid",
    "XT720": "Motoroi",
    "umts": "Droid",
    "DROID3": "Droid 3",
    "DROID BIONIC": "Droid Bionic",
    "A955": "Droid II",
    "DROID2": "Droid II",
    "DROID2 GLOBAL": "Droid II",
    "XT1080": "Droid Ultra",
    "XT1030": "Droid Mini",
    "DROID PRO": "Droid Pro",
    "DROID Pro": "Droid Pro",
    "Milestone PLUS": "Droid Pro",
    "XT610": "Droid Pro",
    "XT910": "Droid RAZR",
    "201M": "RAZR M",
    "XT1250": "Droid Turbo",
    "XT1254": "Droid Turbo",
    "DROIDX": "Droid X",
    "MB810": "Droid X",
    "ME811": "Droid X",
    "Milestone X": "Droid X",
    "MotoroiX": "Droid X",
    "DROID X2": "Droid X2",
    "Milestone X2": "Droid X2",
    "XT881": "ELECTRIFY 2",
    "XT901": "Electrify M",
    "FlipkartTV": "Motorola Android 9.0 TV",
    "MB511": "Flipout",
    "ME511": "Flipout",
    "MotoMB511": "Flipout",
    "XT800": "Glam XT800",
    "Motorola_HS1": "HS1",
    "Lenovo K11": "Lenovo K12",
    "Lenovo K12 Pro": "Lenovo K14 Note",
    "maltalsc": "moto e(7i) power",
    "XT621": "Master Touch XT621",
    "A953": "Milestone2",
    "ME722": "Milestone2",
    "MotoA953": "Milestone2",
    "Moto 360": "Moto 360 Sport",
    "XT1754": "Moto C",
    "XT1755": "Moto C",
    "XT535": "Moto Defy XT",
    "XT555C": "Moto Defy XT",
    "XT556": "Moto Defy XT",
    "XT557": "Moto Defy XT",
    "XT1019": "Moto E (1st Gen)",
    "XT830C": "Moto E (1st Gen)",
    "XT1025": "Moto E (1st Gen)",
    "XT1023": "Moto E (1st Gen)",
    "XT1022": "Moto E (1st Gen)",
    "MotoE2": "Moto E with 4G LTE (2nd Gen)",
    "XT0000": "Moto E (2nd Gen)",
    "Moto E (4)": "Moto E4",
    "Moto E": "moto e5 plus",
    "MotoE2(4G-LTE)": "Moto E with 4G LTE (2nd Gen)",
    "XT1526": "Moto E with 4G LTE (2nd Gen)",
    "XT1528": "Moto E with 4G LTE (2nd Gen)",
    "XT1528O": "Moto E with 4G LTE (2nd Gen)",
    "XT1028": "Moto G (1st Gen)",
    "XT1031": "Moto G (1st Gen)",
    "XT937C": "Moto G (1st Gen)",
    "XT1002": "Moto G (1st Gen)",
    "XT1003": "Moto G (1st Gen)",
    "XT1008": "Moto G (1st Gen)",
    "XT1032": "Moto G Google Play edition",
    "XT1034": "Moto G (1st Gen)",
    "XT939G": "Moto G (1st Gen)",
    "XT1033": "Moto G (1st Gen)",
    "XT1069": "Moto G (2nd Gen)",
    "titan_retbr_dstv": "Moto G (2nd Gen)",
    "XT1063": "Moto G with 4G LTE (2nd Gen)",
    "XT1064": "Moto G (2nd Gen)",
    "XT1068": "Moto G (2nd Gen)",
    "titan_niibr_ds": "Moto G (2nd Gen)",
    "MotoG3": "Moto G Turbo Edition",
    "Moto G Play": "moto g6 play",
    "Moto G (5)": "Moto G (5th Gen)",
    "Moto G (4)": "Moto G(4) Plus",
    "Moto G (5) Plus": "moto g(6) plus",
    "XT1799-1": "Moto G (5S)",
    "XT1799-2": "Moto G (5S)",
    "MotoG3-TE": "Moto G Turbo Edition",
    "XT1039": "Moto G with 4G LTE (1st Gen)",
    "XT1040": "Moto G with 4G LTE (1st Gen)",
    "XT1042": "Moto G with 4G LTE (1st Gen)",
    "XT1045": "Moto G with 4G LTE (1st Gen)",
    "XT1072": "Moto G with 4G LTE (2nd Gen)",
    "XT1077": "Moto G with 4G LTE (2nd Gen)",
    "XT1079": "Moto G with 4G LTE (2nd Gen)",
    "XT1078": "Moto G with 4G LTE (2nd Gen)",
    "XT1609": "Moto G4 Play",
    "XT1225": "Moto Turbo",
    "moto tab g70": "Moto Tab g70",
    "moto tab g70 LTE": "Moto Tab g70",
    "XT1049": "Moto X (1st Gen)",
    "XT1050": "Moto X (1st Gen)",
    "XT1052": "Moto X (1st Gen)",
    "XT1053": "Moto X (1st Gen)",
    "XT1055": "Moto X (1st Gen)",
    "XT1056": "Moto X (1st Gen)",
    "XT1058": "Moto X (1st Gen)",
    "XT1060": "Moto X (1st Gen)",
    "XT1085": "Moto X (2nd Gen)",
    "XT1092": "Moto X (2nd Gen)",
    "XT1093": "Moto X (2nd Gen)",
    "XT1094": "Moto X (2nd Gen)",
    "XT1095": "Moto X (2nd Gen)",
    "XT1096": "Moto X (2nd Gen)",
    "XT1097": "Moto X (2nd Gen)",
    "XT1098": "Moto X (2nd Gen)",
    "XT1789-05": "Moto Z (2) Force",
    "moto x4": "motorola one power",
    "XT1580": "Moto X Force",
    "XT1581": "Moto X Force",
    "XT1562": "Moto X Play",
    "XT1563": "Moto Z Play",
    "XT1564": "Moto X Play",
    "Moto X Pro": "Moto X Pro (China)",
    "XT1575": "Moto X Pure Edition",
    "XT1572": "Moto X Style",
    "XT1570": "Moto X Style",
    "XT1650": "Moto Z Droid",
    "XT1650-05": "Moto Z",
    "Moto Z (2)": "Moto Z(3)",
    "Moto Z2 Play": "Moto Z (2) Play",
    "XT1710-02": "Moto Z (2) Play",
    "XT1710-08": "Moto Z (2) Play",
    "XT1710-11": "Moto Z (2) Play",
    "XT1635-02": "Moto Z Play",
    "XT1635-03": "Moto Z Play",
    "XT1635-01": "Moto Z Play Droid",
    "XT1929-15": "Moto Z(3)",
    "moto z3": "Moto Z(3)",
    "XT611": "Motoluxe",
    "XT615": "Motoluxe",
    "XT682": "Motoluxe",
    "XT685": "Motoluxe",
    "Motorola MOT-XT681": "Motoluxe",
    "XT687": "Motoluxe",
    "XT626": "Motoluxe",
    "Milestone XT720": "Motoroi",
    "Motorola XT720": "Motoroi",
    "XT389": "Motosmart",
    "XT390": "Motosmart",
    "XT303": "Motosmart",
    "XT305": "Motosmart",
    "Motorola Titanium": "Opus One",
    "Titanium": "Opus One",
    "XT897": "Photon",
    "XT897S": "Photon",
    "ISW11M": "Photon 4G",
    "MB855": "Photon 4G",
    "Motorola Electrify": "Photon 4G",
    "Motorola-XT502": "Quench XT3",
    "XT914": "RAZR D1",
    "XT915": "RAZR D1",
    "XT916": "RAZR D1",
    "XT918": "RAZR D1",
    "XT919": "RAZR D3",
    "XT920": "RAZR D3",
    "XT885": "Razr V",
    "XT886": "Razr V",
    "XT300": "Spice",
    "Lenovo K14 Plus": "TBD",
    "cyprus64": "moto e40",
    "Xoom": "XOOM",
    "MZ601": "XOOM",
    "MZ605": "XOOM",
    "MZ604": "XOOM",
    "MZ606": "XOOM",
    "MZ609": "XOOM 2",
    "MZ617": "XOOM 2",
    "XT1942-1": "moto P30 NOTE",
    "XT2201-6": "moto X30 屏下摄像版",
    "moto e5 cruise": "moto e(5) cruise",
    "fijisc": "moto e(6i)",
    "malta": "moto e(7) power",
    "moto e(7) plus": "moto g(10)",
    "aruba": "moto e20",
    "cyprus": "moto e30",
    "moto e5 (XT1920DL)": "moto e5",
    "XT1924-9": "moto e5 plus",
    "moto e5 supra": "moto e5 plus",
    "moto e6": "moto e6s",
    "moto e6 (XT2005DL)": "moto e6",
    "moto g(6)": "moto g(7) play",
    "XT2201-2": "moto edge X30",
    "moto e(6) plus": "moto e⁶ plus",
    "moto e(6s)": "moto e⁶ˢ",
    "motorola edge": "motorola edge 30 ultra",
    "moto g 5G plus": "motorola one 5G",
    "moto g play (XT2093DL)": "moto g play (2021)",
    "moto g power": "moto g pure",
    "moto g stylus": "moto g stylus (2021)",
    "moto g stylus (2021)": "moto g stylus 5G",
    "moto g stylus (XT2115DL)": "moto g stylus (2021)",
    "motorola": "motorola edge 20 lite",
    "moto g(50)": "moto g71 5G",
    "moto g(100)": "motorola edge 20 pro",
    "moto g20": "moto g(20)",
    "XT2137-2": "moto g(50)",
    "moto g(50) 5G": "motorola edge (2022)",
    "XT1925-10": "moto g(6)",
    "moto g(6) (XT1925DL)": "moto g(6)",
    "XT1790": "moto g(6)",
    "moto g(6) play": "moto g6 play",
    "moto g(6) plus": "moto g(7) plus",
    "moto g(60)": "moto g(60)s",
    "moto g(7)": "moto g(8) plus",
    "moto g(7) play": "moto g(8) play",
    "XT1965-6": "moto g(7) plus",
    "moto g8 power lite": "moto g(8) power lite",
    "moto g(10) power": "moto g10 power",
    "moto g200 5G": "motorola edge 30 fusion",
    "Lenovo K15 Plus": "moto g22",
    "moto g31(w)": "moto g31",
    "moto g(40) fusion": "moto g40 fusion",
    "XT2171-3": "moto g51",
    "moto[SPACE]g(50)": "moto g51",
    "moto g51 5G": "moto g62 5G",
    "moto g71 5G": "motorola edge 30 neo",
    "XT1943-1": "moto p30",
    "XT1941-2": "moto p30 play",
    "Moto Z3 Play": "moto z4",
    "moto z4": "motorola one zoom",
    "motorola edge 5G UW": "motorola edge 5G UW (2021)",
    "XT2175-2": "motorola edge S30",
    "XT2125-4": "motorola egde s",
    "XT2153-1": "motorola edge s pro",
    "XT2143-1": "motorola edge 轻奢版",
    "motorola one 5G": "motorola one 5G UW",
    "XT1970-5": "motorola p50",
    "LEX L11j": "LEX L11",
    "MSLB-MKZ900": "MOTOTRBO ION",
    "MSLB-MKZ900i": "MOTOTRBO ION",
    "MSLB-MKZ920": "MOTOTRBO ION",
    "BOSS Touch": "Boss Touch / TH 24/7 YOU",
    "TH 24/7 YOU": "Boss Touch / TH 24/7 YOU",
    "Stargazer": "Movado Connect",
    "Movado Connect 2": "Movado Connect 2.0",
    "LX50": "LINNEX",
    "MOVIC-W5": "MOVIC_W5",
    "L452": "mtt L452",
    "MTT_L509": "mtt L509",
    "VIP5242A": "Telefonica ATV",
    "MPGIO-10": "MPGIO_10",
    "L200": "WiseposGo",
    "Multilaser Android TV": "Brazil",
    "Multilaser_F_Max_2": "F Max 2",
    "Multilaser_G_3": "G 3",
    "Multilaser_G_Max_2_SE_64": "G Max 2 SE",
    "Multilaser_G_Max_2_SE_128": "G Max 2 SE 128",
    "Multilaser_G_Pro_3": "G Pro 3",
    "Multilaser_GMAX_2_Payjoy": "GMax 2 Payjoy",
    "KIDPAD-3G": "KIDPAD 3G",
    "KIDPAD_LITE": "KIDPAD LITE",
    "M10_4G": "M10 4G",
    "M10_4G_T3": "M10 4G",
    "M10_4G_T1": "M10 4G",
    "M10_4G_MONTES_CLAROS": "M10 4G MC",
    "M10_4G_MON_CLA": "M10 4G MON CLA",
    "M10_4G_NOVA": "M10 4G NOVA",
    "M10-4G-T3": "M10 4G T3",
    "M10_4G_TERESOPOLIS": "M10 4G TERESOPOLIS",
    "M10_4G_AC": "M10_4G _AC",
    "M7-3G": "M7 3G",
    "M7_3G": "M7 3G",
    "M7-3G-PLUS": "M7-3G PLUS",
    "M7_3G_PLUS": "M7 3G Plus",
    "ML-WI-M7_3G_PLUS": "M7-3G PLUS",
    "ML-JI-M7-4G": "M7-4G",
    "ML01-M7S-Quad-Core": "M7s Quad Core",
    "M7S_Go": "M7S Go",
    "M7S_LITE": "ML_JI37_M7S_LITE",
    "M7S_PLUS": "ML_JI1C_M7S_PLUS",
    "M7S_Plus": "M7S Plus",
    "M7SQC_Plus": "M7SQC_ Plus",
    "M7S_PLUS_KIDPAD": "M7S_PLUS",
    "M7S_PLUS_PRINCESAS": "M7S_PLUS",
    "M7s Dual ML03": "M7s Dual Core",
    "M8-4G": "M8 4G",
    "M8_4G_T3": "M8 4G",
    "M8_WIFI": "M8 Wifi",
    "M9_3G": "M9 3G",
    "M9_WIFI": "M9 WIFI",
    "M9_Wifi": "M9 Wifi",
    "ML-SO-M9-3G": "M9-3G",
    "ML-WI-M9-3G": "M9-3G",
    "M9-3G_2": "M9-3G-2",
    "M9S_GO": "ML_JI29_M9S_GO",
    "MS40S": "MS40s",
    "ML-CH-MS45_4G": "MS45 4G",
    "MS45S_A6": "MS45S",
    "MS50L_4G": "MS50L 4G",
    "MS60F_PLUS": "MS60F Plus",
    "ML-TI-MS80": "MS80",
    "MS5": "Trimble ConnectedTablet",
    "MS6": "Ms6",
    "Multilaser_E": "Multilaser E",
    "Multilaser_E_2": "Multilaser E 2",
    "Multilaser_E_Lite": "Multilaser E Lite",
    "Multilaser_E_Pro": "Multilaser E Pro",
    "Multilaser_Elite_2": "Multilaser Elite 2",
    "Multilaser_F_Pro": "Multilaser F Pro",
    "Multilaser_F_Pro_2": "Multilaser F Pro 2",
    "Multilaser_F2": "Multilaser F2",
    "Multilaser_G": "Multilaser G",
    "Multilaser_G_2": "Multilaser G 2",
    "Multilaser_G_Max": "Multilaser G Max",
    "Multilaser_GMAX_2": "Multilaser G Max 2",
    "Multilaser_GMax_2": "Multilaser G Max 2",
    "Multilaser_G_Pro": "Multilaser G Pro",
    "Multilaser_GPRO2": "Multilaser G Pro 2",
    "Multilaser_G_VIVO": "Multilaser G VIVO",
    "OBA_Conecta_Max": "OBASMART",
    "OBASMART_3": "OBASMART 3",
    "Oba_Conecta_4G": "Oba Conecta 4G",
    "Multilaser_GMax_2_Sikur": "Sikur",
    "ULTRA_10": "ULTRA 10",
    "AndroidTV": "Android TV",
    "GoTab_GBT10": "GoTab GBT10",
    "C-Smart_pix": "C-Smart pix",
    "CUBE_LTE": "Cube LTE",
    "myPhone Fun LTE": "Fun_LTE",
    "Hammer AXE Pro": "Hammer AXE PRO",
    "Hammer_Blade2_PRO": "Hammer Blade 2 Pro",
    "Hammer Active": "Hammer_Active",
    "Hammer Energy 3G": "Hammer_Energy_3G",
    "Hammer Iron 2": "Hammer_Iron_2",
    "Hykker_MyTab10": "Hykker MyTab10",
    "myPhone Go": "MyPhone Go!",
    "myPhone_Pocket_Pro": "Pocket_Pro",
    "Prime_4_Lite": "Prime 4 Lite",
    "Q_Smart_BE": "myPhone",
    "C-Smart_Glam": "myPhone C-Smart Glam",
    "C-Smart IIIS": "myPhone C-Smart IIIS",
    "City": "myPhone City",
    "FUN5": "myPhone Fun 5",
    "myPhone_Fun_6": "myPhone Fun 6",
    "myPhone_Fun_9": "myPhone Fun 9",
    "HAMMER_ENERGY": "myPhone HAMMER ENERGY",
    "LUNA_II": "myPhone Luna II",
    "MAGNUS": "myPhone MAGNUS",
    "Prime_Plus": "My phone PRIME PLUS",
    "myPhone_Prime_3": "myPhone Prime 3",
    "Q-Smart_Elite": "myPhone Q-Smart Elite",
    "Q-Smart_Plus": "myPhone Q-Smart Plus",
    "myPhone_C-Smart_4": "myPhone_C-Smart _4",
    "Prime 2": "myPhone_Prime_2",
    "CityXL": "CITY XL",
    "myPhone CityXL": "CITY XL",
    "myPhone Cube": "CUBE",
    "myPhone_FUN_18x9_EEA": "FUN_18x9",
    "FUN_18x9": "Fun 18x9",
    "myPhone_Fun6Lite": "Fun 6 Lite",
    "HAMMER_AXE_M_LTE": "Hammer AXE M LTE",
    "Hammer_Active2_LTE": "Hammer Active 2 LTE",
    "Hammer_Energy_18x9": "Hammer Energy 18x9",
    "Hammer_Energy_2": "Hammer Energy 2",
    "Hammer_IRON_3": "Hammer IRON 3",
    "Hammer_IRON_4": "Hammer IRON 4",
    "Hammer_Iron_3_LTE": "Hammer Iron 3 LTE",
    "IRON_2": "Iron 2",
    "myPhone_Pocket_18x9": "Pocket 18X9",
    "Pocket_18x9": "Pocket 18x9",
    "Pocket_18x9_LTE": "Pocket18X9 LTE",
    "Prime_18x9": "Prime 18x9",
    "Prime_18x9_LTE": "Prime 18x9 LTE",
    "myPhone_Q-Smart_III": "Q-Smart_III",
    "SmartView_8_LTE": "SmartView_8",
    "SmartView_9_6_3G": "SmartView_9.6",
    "MyPhone UNO": "UNO",
    "MyPhone my28S": "my28S",
    "MyPhone my28S DTV": "my28S DTV",
    "MyPhone my71 DTV": "my71 DTV",
    "MyPhone my72 DTV": "my72 DTV",
    "MyPhone my73 DTV": "my73 DTV",
    "MyPhone my75 DTV": "my75 DTV",
    "MyPhone_my76 DTV": "my76 DTV",
    "MyPhone my77 DTV": "my77 DTV",
    "MyPhone my81 DTV": "my81 DTV",
    "MyPhone my85 DTV": "my85 DTV",
    "MyPhone_my86_DTV": "my86 DTV",
    "MyPhone my87 DTV": "my87 DTV",
    "MyPhone my88 DTV": "my88 DTV",
    "MyPhone my89 DTV": "my89 DTV",
    "MyPhone my91 DTV": "my91 DTV",
    "MyPhone my92 DTV": "my92 DTV",
    "MyPhone my93 DTV": "my93 DTV",
    "MyPhone my95 DTV": "my95 DTV",
    "MyPhone my96 DTV": "my96 DTV",
    "MY801": "myA1",
    "MYA11": "myA11",
    "MYA13": "myA13",
    "MY802": "myA2",
    "MY803": "myA3",
    "MY805": "myA5",
    "MY806": "myA6_DTV",
    "myA9 DTV": "myA9_DTV",
    "Q-Smart_III_Plus": "myPhone  Q-Smart III Plus",
    "myPhone_Fun_7_LTE": "myPhone FUN7 LTE",
    "myPhone_Now_eSIM": "myPhone Now eSIM",
    "Prime3Lite": "myPhone Prime 3 Lite",
    "Pocket_2": "myPhone_Pocket_2",
    "MY807": "myX1",
    "MYX3": "myX3",
    "3G": "3G MY8300",
    "Cozy": "Cozy MY8302",
    "Myria L500": "L500",
    "4G": "Myria 4G MY8303",
    "Myria_FIVE": "Myria FIVE",
    "Giant": "Myria Giant MY8304",
    "Myria_Grand_4G": "Myria Grand 4G",
    "Myria_Wide_2": "Myria Wide 2",
    "Myria_Wide_4G": "Myria Wide 4G",
    "NASCO_Allure_Plus": "Allure_Plus",
    "SNAP_PRO": "SNAP PRO",
    "NEC-101T": "101T 　MEDIAS",
    "N8730-411": "AGT10",
    "N8730-41101": "AGT10",
    "N8730-41102": "AGT10",
    "NEC-STR": "LifeTouch L D000-000035-002",
    "C811 4G": "CASIO G'zOne Commando 4G LTE",
    "C771": "Casio G'zOne Commando",
    "N-03E": "Disney Mobile on docomoN-03E",
    "IS11CA": "G'z One IS11CA",
    "CAL21": "G'zOne TYPE-L CAL21",
    "CA-201L": "G’zOne CA-201L",
    "PC-TE410JAW": "LAVIE Tab E",
    "PC-TE508HAW": "LAVIE Tab E",
    "PC-TE510HAW": "LAVIE Tab E",
    "LAVIE Tab 10FHD3": "LAVIE Tab T10",
    "LAVIE Tab 11QHD2": "LAVIE Tab T11",
    "LAVIE Tab T12 12QHD1": "LAVIETab T12 12QHD1",
    "PC-TE508BAW": "LaVieTab PC-TE508BAW",
    "LaVieTab PC-TE508S1": "LaVieTab PC-TE508S1W/LaVieTab PC-TE508S1L",
    "LaVieTab PC-TE510S1": "LaVieTab PC-TE510S1L",
    "LAVIE T7 7SD1": "Lenovo Tab M7 3rd Gen",
    "D000-000013-101": "LifeTouch B",
    "D000-000018-001": "LifeTouch B",
    "D000-000018-002": "LifeTouch B",
    "D000-000018-003": "LifeTouch B",
    "D000-000018-004": "LifeTouch B",
    "D000-000018-101": "LifeTouch B",
    "D000-000018-102": "LifeTouch B",
    "D000-000018-104": "LifeTouch B",
    "D000-000019-002": "LifeTouch B",
    "D000-000019-001": "LifeTouch B",
    "LTB-HS": "LifeTouch B",
    "LT-TLA": "LifeTouch L",
    "D000-000010-N": "LifeTouch Note",
    "D000-000011-N": "LifeTouch Note",
    "LT-NA7": "LifeTouch Note",
    "LT-NA7F": "LifeTouch Note",
    "D000-000001-B01": "LifeTouch S",
    "D000-000001-B02": "LifeTouch S",
    "D000-000001-C01": "LifeTouch S",
    "D000-000001-K01": "LifeTouch S",
    "D000-000001-R01": "LifeTouch S",
    "D000-000001-R02": "LifeTouch S",
    "D000-000001-R03": "LifeTouch S",
    "D000-000001-R04": "LifeTouch S",
    "D000-000001-S00": "LifeTouch S",
    "D000-000001-S01": "LifeTouch S",
    "D000-000001-S05": "LifeTouch S",
    "D000-000001-S25": "LifeTouch S",
    "D000-000001-S85": "LifeTouch S",
    "D000-000007-D01": "LifeTouch S",
    "D000-000002-W01": "LifeTouch W",
    "D000-000002-W02": "LifeTouch W",
    "D000-000002-001": "LifeTouch W",
    "N-06E": "MEDIAS  X N-06E",
    "IS11N": "MEDIAS BR IS11N",
    "101N": "MEDIAS CH 101N",
    "N-05D": "MEDIAS ES N-05D",
    "N-04D": "MEDIAS LTE N-04D",
    "N-04C": "MEDIAS N-04C",
    "NE-202": "MEDIAS NE-202",
    "NEC-101S": "MEDIAS NEC-101S",
    "NEC-102": "MEDIAS NEC-102",
    "N-01D": "MEDIAS PP N-01D",
    "N-06D": "MEDIAS TAB N-06D",
    "N-02E": "MEDIAS U N-02E",
    "NE-103T": "MEDIAS U NE-103T",
    "N-05E": "MEDIAS W N-05E",
    "N-06C": "MEDIAS WP N-06C",
    "N-04E": "MEDIAS X N-04E",
    "N-07D": "MEDIAS X N-07D",
    "NEC-NE-201A1A": "NE-201",
    "PC-TE510BAL": "NEC PC-TE510BAL",
    "LaVieTab PC-TS507N1S": "PC- TS507N1S",
    "PC-TS508T1W": "PC-508T1W",
    "PC-TS708T1W": "PC-708T1W",
    "LaVieTab PC-TE510N1B": "PC-TE510N1B",
    "NQT-7W": "NQT_7W",
    "Now": "Danamic Now",
    "NGM_Dynamic_Stylo": "Dynamic_Stylo",
    "E505plus": "E505 Plus",
    "ForwardEndurance": "Endurance",
    "Life": "LIFE",
    "NGM M500": "M500",
    "E450": "NGM Youcolor E450",
    "E501": "NGM Youcolor E501",
    "E507": "NGM Youcolor E507",
    "NGM P503": "P503",
    "NGM P550": "P550",
    "Forward Ruby": "Ruby",
    "ForwardRuby": "Ruby",
    "Smart5.5Plus32GB": "Smart5.5Plus",
    "Fresh_4G": "Fresh 4G",
    "NOA_N8": "N8",
    "F10 Pro": "NOA_F10_Pro_EEA",
    "SPRINT4G": "SPRINT 4G",
    "NOVAT-10": "T10",
    "SHIELD Android TV": "SHIELD TV Pro",
    "SHIELD Console": "SHIELD Android TV",
    "SHIELD": "Shield",
    "Tegra Note 7": "TegraNote",
    "TegraNote-P1640": "TegraNote",
    "TegraNote-Premium": "TegraNote",
    "NYX_A1": "A1",
    "BLiNK": "BLINK",
    "NYX_HIT": "HIT",
    "Rex": "REX",
    "NYX_SHADE": "SHADE",
    "SILVER": "SILVERMX",
    "NABI2-NV7A": "2 Tablet",
    "SNB02-NV7A": "2S Tablet",
    "NBTY07SMKG": "TOY 7",
    "DMTAB-NV20A": 'Big Tab HD™ 20"',
    "DMTAB-NV24A": 'Big Tab HD™ 24"',
    "DMTAB-IN08A": "DreamTab HD8 Tablet",
    "DMTAB-NV08B": "DreamTab HD8 Tablet",
    "NBFP07PMKG": "Fisher Price Learning Tablet",
    "nano 4K AI Smart TV": "4K Smart TV",
    "Nano Android TV": "EU、UK、AP",
    "2K PA Smart TV": "Smart TV",
    "nano 2K AI Smart TV": "Smart TV",
    "Nano FHD Android TV": "Thailand",
    "Nano UHD Android TV": "Thailand",
    "NAOMIPHONE Ambar": "Ambar",
    "NP-752": "NP752",
    "NP-752Go": "NP-752GO",
    "NAVITEL_T757LTE": "NAVITEL_T757LTE_EEA",
    "NAVITEL T700 3G NAVI": "Navitel T700 3G Navi",
    "NAVITEL T700 3G PRO": "T700_3G_Pro",
    "NAVITEL T707 3G": "T707_3G",
    "NAVON F552": "F552",
    "IQ7": "Navon_IQ7_2020",
    "Navon_Infinity": "Infinity",
    "M505_4G": "M505",
    "Navon Supreme Pure": "Navon Supreme  Pure",
    "IQ8": "Navon_IQ8_2021",
    "Navon_SPT1100": "Navon_IQ8_2021",
    "Navon Orpheus 3G": "Navon_Orpheus_3G",
    "Pad_10": "Pad 10",
    "Platinum_10_3G_V2": "Platinum 10 3G",
    "Spirit_Plus": "Spirit Plus",
    "Supreme_Fine": "Supreme Fine",
    "Supreme_Fine_Mini": "Supreme Fine Mini",
    "Supreme_Pro": "Supreme Pro",
    "T400 3G 2017": "T400 3G",
    "Vision_Tab_10": "Vision Tab 10",
    "iQ7_2018": "iQ7 2018",
    "NID-1009": "NID1009",
    "NID-7019": "NID7019",
    "NID-9009": "NID9009",
    "NID-1021": "NID_1021",
    "NID-1056": "NID_1056",
    "NID-7021": "NID_7021",
    "NID-7022": "NID_7022",
    "NID-7056": "NID_7056",
    "NID-1055": "Naxa",
    "NID-7055": "Naxa",
    "NV8": "NV8-HD",
    "M002U-2T": "M002U_2T",
    "M002N-3T": "MOO2N-3T",
    "Neffos C5": "C5",
    "Neffos C5 Max": "C5 Max",
    "TP601A": "C5L",
    "TP601B": "C5L",
    "TP601C": "C5L",
    "TP601E": "C5L",
    "Neffos A5": "Neffos  A5",
    "Neffos C9 Max": "Neffos  C9 Max",
    "Neffos C9s": "Neffos  C9s",
    "Neffos_C7": "Neffos C7",
    "Neffos_C9": "Neffos C9",
    "Neffos_C9A": "Neffos C9A",
    "Neffos_X9": "Neffos X9",
    "Neffos_Y7": "Neffos Y7",
    "Neffos C5a": "TP703A",
    "Neffos C5s": "TP704A",
    "Neffos Y5 Lite": "TP704A",
    "Neffos_C7A": "TP705",
    "Neffos X1 Lite": "X1 Lite",
    "Neffos Y5": "Y5",
    "Neffos Y50": "Y50",
    "Neffos Y5L": "Y5L",
    "ViewPad-Kids-7A": "ViewPad 7A",
    "GTV100": "NeoTVPrime",
    "NM-NETPAD7": "NETPAD7",
    "NB RunIQ": "Run IQ",
    "NLS-MT65": "NLS-MT6555-GL",
    "NLS-MT67": "NLS-MT6755-GL",
    "NLS-MT90": "Newland NLS-MT90",
    "NLS-N7": "Newland NLS-N7",
    "Newsday_A1": "A1",
    "Newsday_A2": "A2",
    "Newsday_E1": "E1",
    "Mi438S": "journey one",
    "NBCGGP01": "GoPlayer",
    "Nextel V.35": "V.35",
    "NII Nextel": "V.45",
    "N380": "NexFone N380",
    "N380_EEA": "NexFone N380",
    "COOLPIX S800c": "COOLPIX",
    "nJoy_Arcas_7": "Arcas 7",
    "Chronos_10": "Chronos 10",
    "Kali_8": "Kali 8",
    "nJoy_Tityos_10": "Tityos 10",
    "nJoy_Turnus_8": "Turnus 8",
    "Theia_10": "nJoy Theia 10",
    "Nobby S300": "S300",
    "Nobby S300 Pro": "S300 pro",
    "A50UNS": "A50",
    "A60UNS": "A60",
    "N551": "Go Action",
    "N552": "Go Move",
    "N504": "Go Street",
    "N503": "Go Urban",
    "Cable": "Nokia 1.4",
    "TA-1020": "Nokia 3",
    "TA-1028": "Nokia 3",
    "TA-1032": "Nokia 3",
    "TA-1038": "Nokia 3",
    "TA-1024": "Nokia 5",
    "TA-1027": "Nokia 5",
    "TA-1044": "Nokia 5",
    "TA-1053": "Nokia 5",
    "TA-1000": "Nokia 6",
    "TA-1003": "Nokia 6",
    "TA-1054": "Nokia 6",
    "TA-1021": "Nokia 6",
    "TA-1025": "Nokia 6",
    "TA-1033": "Nokia 6",
    "TA-1039": "Nokia 6",
    "TA-1041": "Nokia 7",
    "TA-1004": "Nokia 8",
    "TA-1012": "Nokia 8",
    "TA-1052": "Nokia 8",
    "N152DL": "Nokia C100",
    "Nebula": "Nokia C2",
    "N151DL": "Nokia C200",
    "Hope": "Nokia C21 Plus",
    "N150DL": "Nokia G100",
    "N1374DL": "Nokia G300",
    "Nokia Streaming Box 8000": "Nokia Steaming Box 8000",
    "Nomi_C070030": "CORSA 3 LTE",
    "Nomi_C070012": "Corsa 3 3G",
    "i5032": "I5032",
    "Nomi_C080012": "Libra3 3G",
    "Nomi C080010 Libra2": "Nomi C080010",
    "C101010 Ultra2": "Nomi C101010",
    "Nomi_C101014": "Nomi Ultra4 3G",
    "Nomi_i5001": "Nomi i5001 Plus",
    "i5013": "Nomi i5013",
    "i5050": "Nomi i5050",
    "i5510": "Nomi i5510",
    "Nomi_i5511": "Nomi i5511",
    "i5532": "Nomi i5532",
    "Nomi_C070014L": "Nomi_Corsa 4 light 3G",
    "Nomi_C070014": "Nomi_Corsa4 3G",
    "Nomi_C070044": "Nomi_Corsa4 LTE Pro",
    "Nomi_C080014": "Nomi_Libra4 3G",
    "Nomi_C080034": "Nomi_Libra4 LTE",
    "Nomi_C101012": "ULTRA3 3G",
    "Nomi_C101030": "ULTRA3 LTE",
    "Nomi_C101040": "ULTRA3 LTE PRO",
    "S40E": "S40E_Claro_EC",
    "S50PROE": "S50 Pro",
    "S50_Pro": "S50 Pro",
    "A063": "Nothing phone (1)",
    "NS5005": "Fabulous",
    "NS5008": "Optimum",
    "hk101": "Now E",
    "Now TV Android TV 3103A": "3103A",
    "LS032I": "N2 Lite",
    "LS032M": "N2 Lite",
    "NUU_A1": "A1",
    "N5502L": "A10L",
    "S5502L": "A11L",
    "NUU_A3": "A3",
    "NUU_A3L": "A3L",
    "N5001L": "A4L",
    "N5501L": "A5L+",
    "N5002W": "A7",
    "N5002L": "A7L",
    "S5503L": "A8L",
    "S6303L": "A9L",
    "S6505L": "B10",
    "S6701L": "B15",
    "N5704L": "G1",
    "S6001L": "G2",
    "N6201L": "G4",
    "S5501L": "M19",
    "NUU_M2": "M2",
    "NUU_M3": "M3",
    "S6503L": "M6",
    "N5702L": "NUU G3",
    "S6501L": "NUU G5",
    "S5701L": "NUU M4X_PRO",
    "R5001L": "NUU R1",
    "S4001W": "NUU_A2",
    "T1001L": "Tab 10",
    "N5005L": "Tab 5",
    "T0801L": "Tab 8",
    "NUU_X5": "X5",
    "S5702L": "X6mini",
    "S6003L": "X6 Plus",
    "S5704L": "X6mini",
    "i-touch M1": "O'NICE I-TOUCH M1",
    "OBOX4k.20": "OBOX4K.20",
    "JUNIOR_8_PRO": "JUNIOR_8_PRO_EEA",
    "SPACE_ONE_10SE": "ODYS SPACE ONE 10SE",
    "SPACE_ONE10": "ODYS_SPACE_ONE_10",
    "PACE10": "PACE 10",
    "FALCON_10_PLUS_3G": " FALCON_10_PLUS_3G",
    "OK 2K Android TV": "EU",
    "OK 4K Android TV": "eu",
    "Okapi10 Pro": "Okapi10_Pro",
    "Okapi10 Pro Max": "Okapi10_Pro_Max",
    "Okapi10 Sec": "Okapi10_Sec",
    "OMIX X300": "X300",
    "OMIX X500": "X500",
    "OMIX X700": "X700",
    "T7_PRO": "T7 Pro",
    "T9S": "T9 S",
    "Model A": "AKA Model A",
    "ORCA FHD Android TV": "Kuwait",
    "ORCA UHD Android TV": "Kuwait",
    "BM57_lite": "BM57 lite",
    "OTOT_E1": "E1",
    "OXYGEN UHD Android TV": "India",
    "OYYUT11": "T11",
    "Apex1": "APEX1",
    "OBI MV1": "MV1",
    "Obi MV1": "MV1",
    "SJ1-5": "OBJ SJ1.5",
    "Xiphos(R)TMD": "Xiphos®TMD",
    "UNO_X8": "UNO X8",
    "Model 3": "Model_3",
    "Octopus A83 CT4": "CT4",
    "CT3": "OliveOil Model 3",
    "C2 pro": "C2 Pro",
    "ONE A2003": "OnePlus2",
    "ONEPLUS A3000": "OnePlus3T",
    "A0001": "One",
    "ONE E1003": "X",
    "NE2210": "OnePlus 10 Pro",
    "NE2211": "OnePlus 10 Pro 5G",
    "NE2213": "OnePlus 10 Pro 5G",
    "NE2215": "OnePlus 10 Pro 5G",
    "NE2217": "OnePlus 10 Pro 5G",
    "CPH2411": "OnePlus 10R 5G",
    "CPH2423": "OnePlus 10R 5G",
    "CPH2413": "OnePlus 10T 5G",
    "CPH2415": "OnePlus 10T 5G",
    "CPH2417": "OnePlus 10T 5G",
    "CPH2419": "OnePlus 10T 5G",
    "ONEPLUS A6000": "OnePlus 6",
    "ONEPLUS A6003": "OnePlus 6",
    "GM1900": "OnePlus 7",
    "GM1901": "OnePlus 7",
    "GM1903": "OnePlus 7",
    "GM1905": "OnePlus 7",
    "GM1925": "OnePlus 7 Pro",
    "GM1910": "OnePlus 7 Pro",
    "GM1911": "OnePlus 7 Pro",
    "GM1913": "OnePlus 7 Pro",
    "GM1917": "OnePlus 7 Pro",
    "GM1915": "OnePlus 7 Pro",
    "GM1920": "OnePlus 7 Pro 5G",
    "HD1900": "OnePlus 7T",
    "HD1901": "OnePlus 7T",
    "HD1903": "OnePlus 7T",
    "HD1905": "OnePlus 7T",
    "HD1907": "OnePlus 7T",
    "HD1910": "OnePlus 7T Pro",
    "HD1911": "OnePlus 7T Pro",
    "HD1913": "OnePlus 7T Pro",
    "HD1925": "OnePlus 7T Pro 5G",
    "IN2010": "OnePlus 8",
    "IN2011": "OnePlus 8",
    "IN2013": "OnePlus 8",
    "IN2015": "OnePlus 8",
    "IN2017": "OnePlus 8 5G",
    "IN2019": "OnePlus 8 5G UW",
    "IN2020": "OnePlus 8 Pro",
    "IN2021": "OnePlus 8 Pro",
    "IN2023": "OnePlus 8 Pro",
    "IN2025": "OnePlus 8 Pro",
    "KB2000": "OnePlus 8T",
    "KB2001": "OnePlus 8T",
    "KB2003": "OnePlus 8T",
    "KB2005": "OnePlus 8T",
    "KB2007": "OnePlus 8T+ 5G",
    "LE2110": "OnePlus 9 5G",
    "LE2111": "OnePlus 9 5G",
    "LE2113": "OnePlus 9 5G",
    "LE2115": "OnePlus 9 5G",
    "LE2117": "OnePlus 9 5G",
    "LE2120": "OnePlus 9Pro 5G",
    "LE2121": "OnePlus 9 Pro 5G",
    "LE2123": "OnePlus 9Pro 5G",
    "LE2127": "OnePlus 9 Pro 5G",
    "LE2125": "OnePlus 9Pro 5G",
    "LE2100": "OnePlus9R",
    "MT2110": "OnePlus 9RT 5G",
    "MT2111": "OnePlus 9RT 5G",
    "PGKM10": "OnePlus Ace",
    "PGZ110": "OnePlus Ace 竞速版",
    "AC2001": "OnePlus Nord",
    "AC2003": "OnePlus Nord",
    "CPH2399": "OnePlus Nord 2T 5G",
    "CPH2401": "OnePlus Nord 2T 5G",
    "IV2201": "OnePlus Nord CE 2",
    "CPH2381": "OnePlus Nord CE 2 Lite 5G",
    "CPH2409": "OnePlus Nord CE 2 Lite 5G",
    "EB2101": "OnePlus Nord CE 5G",
    "EB2103": "OnePlus Nord CE 5G",
    "BE2026": "OnePlus Nord N10 5G",
    "BE2028": "OnePlus Nord N10 5G",
    "BE2029": "OnePlus Nord N10 5G",
    "BE2025": "OnePlus Nord N10 5G",
    "BE2011": "OnePlus Nord N100",
    "BE2013": "OnePlus Nord N100",
    "BE2015": "OnePlus Nord N100",
    "BE2012": "OnePlus Nord N100",
    "CPH2459": "OnePlus Nord N20 5G",
    "GN2200": "OnePlus Nord N20 5G",
    "DE2117": "OnePlus Nord N200 5G",
    "DE2118": "OnePlus Nord N200 5G",
    "DN2101": "OnePlus Nord2 5G",
    "DN2103": "OnePlus Nord2 5G",
    "ONEPLUS A5000": "OnePlus5",
    "ONEPLUS A5010": "OnePlus5T",
    "ONEPLUS A6010": "OnePlus6T",
    "ONEPLUS A6013": "OnePlus6T",
    "LE2101": "OnePlus9R",
    "DIW387_UHD_OOR": "Ooredoo TV",
    "Easy_Smart_2": "EasySmart 2",
    "Smart_J2": "Opel Mobile_Smart_J2",
    "Opel Mobile SmartX6": "Smart X6",
    "OpelMobile_SmartJX": "SmartJX",
    "OpelMobile_SmartX1": "SmartX1",
    "PCHM10": "A11 中国版",
    "PCHT10": "A11 中国版",
    "PCHM00": "A11n中国版",
    "PCHM30": "A11x 中国版",
    "PCHT30": "A11x 中国版",
    "A31t": "A13t",
    "CPH1923": "A1k",
    "CPH1837": "A3",
    "PDVM00": "A32 中国版",
    "OPPO A33m": "A33m",
    "OPPO A35": "A35",
    "OPPO A37": "A37",
    "OPPO A37m": "A37m",
    "A37f": "A37fw-International",
    "OPPO A37t": "A37t",
    "OPPO A37tm": "A37tm",
    "OPPO A39": "A39",
    "OPPO A39m": "A39m",
    "OPPO A39t": "A39t",
    "OPPO A39tm": "A39tm",
    "CPH1803": "CPH1803RU",
    "PADM00": "A3中国版",
    "PADT00": "A3中国版",
    "CPH1809": "A5",
    "PBAM00": "A5",
    "PBAT00": "A5",
    "PBBM30": "A5",
    "PBBT30": "A5",
    "CPH1931": "A5 2020",
    "CPH1933": "A5 2020",
    "CPH1943": "A5 2020",
    "Lava A51": "A51",
    "A51f": "A51fa",
    "CPH2061": "A52",
    "CPH2069": "A52",
    "PDAM10": "A52 中国版",
    "PDAT10": "A52 中国版",
    "OPPO A53": "A53",
    "CPH2127": "A53",
    "CPH2131": "A53",
    "CPH2133": "A53",
    "CPH2139": "A53",
    "PECM20": "A53 5G",
    "OPPO A53m": "A53m",
    "CPH2135": "A53s",
    "CPH2303": "A54 5G",
    "PEMM00": "A55 5G",
    "PEMT00": "A55 5G",
    "PEMT20": "A55 5G",
    "A102OP": "A55s 5G",
    "OPPO A57": "A57",
    "OPPO A57t": "A57t",
    "CPH2387": "A57",
    "CPH2407": "A57",
    "CPH2385": "OPPO A57s",
    "OPPO A59": "A59",
    "OPPO A59m": "A59m",
    "OPPO A59s": "A59",
    "OPPO A59st": "A59st",
    "OPPO A59t": "A59t",
    "OPPO A59tm": "A59tm",
    "CPH1901": "A7",
    "CPH1905": "A7",
    "PBFM00": "A7",
    "PBFT00": "A7",
    "CPH2067": "A72",
    "OPPO A73": "A73",
    "OPPO A73t": "A73t",
    "OPPO A77": "A77",
    "OPPO A77t": "A77",
    "CPH2339": "A77 5G",
    "OPPO A79": "A79",
    "OPPO A79k": "A79k",
    "OPPO A79kt": "A79kt",
    "OPPO A79t": "A79t",
    "PCDT00": "A7n",
    "PBBM00": "A7x 中国版",
    "PBBT00": "A7x 中国版",
    "OPPO A83": "A83",
    "OPPO A83t": "A83t",
    "CPH1937": "A9 2020",
    "CPH1941": "A9 2020",
    "PCAM10": "A9 中国版",
    "PCAT10": "A9 中国版",
    "PCPM00": "A91",
    "CPH2059": "A92",
    "CPH2121": "A93",
    "CPH2123": "A93",
    "PEHM00": "A93 5G",
    "CPH2203": "A94",
    "PFUM10": "A96 5G",
    "PCEM00": "A9x",
    "PCET00": "A9x",
    "CPH1920": "AX5s",
    "CPH1705fw": "CHP1705",
    "OPPO CPH1605": "CPH1605",
    "CPH1613fw": "CPH1613",
    "CPH1701fw": "CPH1701",
    "CPH1707fw": "CPH1707",
    "CPH1893": "CPH1893RU",
    "CPH1907": "Reno 2",
    "CPH2043": "Reno3",
    "CPH2159": "Reno5",
    "CPH2173": "Find X3 Pro",
    "CPH21859": "CPH2185",
    "CPH2197": "OPPO A74 5G",
    "CPH2201": "OPPO Reno5 pro",
    "CPH2237": "OPPO Reno6 Z 5G",
    "CPH1911": "F11",
    "CPH1913": "F11",
    "CPH1915": "F11",
    "CPH1969": "F11 Pro",
    "CPH1987": "F11 Pro",
    "CPH2119": "F17 Pro",
    "CPH2285": "F19 Pro",
    "F1f": "F1w",
    "CPH1819": "F7",
    "CPH1821": "F7",
    "CPH1823": "F9",
    "CPH1825": "F9",
    "CPH1881": "F9",
    "PEUM00": "Find N",
    "CPH1871": "Find X",
    "CPH1875": "Find X",
    "PAFM00": "Find X",
    "PAFT00": "Find X",
    "PAHM00": "Find X 兰博基尼",
    "CPH2023": "Find X2",
    "CPH2005": "Find X2 Lite",
    "CPH2009": "Reno3 Pro",
    "CPH2025": "Find X2 Pro",
    "OPG01": "Find X2 Pro",
    "PDEM30": "Find X2 Pro 中国版",
    "PDEM10": "Find X2 中国版",
    "PDET10": "Find X2 中国版",
    "OPG03": "Find X3 Pro",
    "PEEM00": "Find X3 Pro 中国版",
    "PEDM00": "Find X3 中国版",
    "CPH2307": "Find X5",
    "CPH2305": "OPPO Find X5 Pro",
    "X909T": "X909",
    "PBCM30": "K1",
    "PCGM00": "K3",
    "PCGT00": "K3",
    "CPH1955": "K3",
    "PCNM00": "K5",
    "PERM00": "K7x 中国版",
    "N5111": "N1 mimi",
    "N5116": "N1 mimi",
    "N5206": "N3",
    "N5207": "N3",
    "N5209": "N3",
    "OPG02": "OPG02_jp_kdi",
    "CPH2137": "OPPO A33",
    "PEFM00": "OPPO A35",
    "PECM30": "OPPO A53 5G",
    "PECT30": "OPPO A53 5G",
    "CPH2321": "OPPO A53s 5G",
    "PEZM00": "OPPO A54",
    "PELM00": "OPPO A95 5G",
    "CPH2341": "OPPO F21 Pro 5G",
    "OPD2101": "OPPO Pad",
    "A101OP": "OPPO Reno5 A",
    "CPH2199": "OPPO Reno5 A",
    "PDRM00": "OPPO Reno5 Pro+ 5G",
    "CPH2363": "OPPO Reno7/F21 Pro",
    "CPH2371": "OPPO Reno7 5G/Find X5 Lite",
    "A201OP": "OPPO Reno7 A",
    "CPH2353": "OPPO Reno7 A",
    "OPG04": "OPPO Reno7 A",
    "CPH2343": "Reno7 Z 5G/Reno7 Lite 5G/Reno8 Lite 5G",
    "CPH2359": "OPPO Reno8 5G",
    "CPH2357": "Reno8 Pro 5G",
    "PEHT00": "PEHM00",
    "R1011": "R1011w",
    "OPPO R11": "R11",
    "OPPO R11t": "R11",
    "OPPO R11 Plus": "R11 Plus",
    "OPPO R11 Plusk": "R11 Plusk",
    "OPPO R11 Pluskt": "R11 Pluskt",
    "OPPO R11 Plust": "R11 Plust",
    "OPPO R11s": "R11s",
    "OPPO R11s Plus": "R11sPlus",
    "OPPO R11s Plust": "R11sPlust",
    "OPPO R11st": "R11st",
    "CPH1835": "R15",
    "CPH1831": "R15 Pro",
    "CPH1833": "R15 Pro",
    "PACM00": "R15 中国版",
    "PACT00": "R15 中国版",
    "PAAM00": "R15 梦境版",
    "PAAT00": "R15 梦境版",
    "PBCM10": "R15x",
    "PBCT10": "R15x",
    "CPH1879": "R17",
    "PBEM00": "R17",
    "PBET00": "R17",
    "CPH1877": "R17 Pro",
    "PBDM00": "R17 Pro",
    "PBDT00": "R17 Pro",
    "R8107": "R5",
    "R8109": "R5",
    "OPPO R7": "R7",
    "R7Plus": "R7 Plus",
    "R7plusf": "R7Plusf",
    "R7Plusm": "R7 Plusm",
    "OPPO R7s": "R7s",
    "OPPO R7sPlus": "R7s Plus",
    "R7sf": "R7sfg",
    "OPPO R9": "R9",
    "OPPO R9km": "R9km",
    "OPPO R9m": "R9m",
    "OPPO R9tm": "R9tm",
    "OPPO R9 Plusm A": "R9PlusmA",
    "OPPO R9 Plustm A": "R9PlustmA",
    "OPPO R9 Plus A": "R9 Plus A",
    "OPPO R9 Plust A": "R9PlustA",
    "OPPO R9k": "R9k",
    "CPH1607": "R9s",
    "CPH1607fw": "R9s",
    "OPPO R9s": "R9s",
    "CPH1611": "R9s Plus",
    "OPPO R9s Plus": "R9s Plus",
    "OPPO R9s Plust": "R9s Plus",
    "OPPO R9sPlus": "R9s Plus",
    "OPPO R9sk": "R9sk",
    "OPPO R9skt": "R9sk",
    "OPPO R9st": "R9st",
    "OPPO R9t": "R9t",
    "CPH1917": "Reno",
    "CPH1921": "Reno 10x room",
    "CPH1919": "Reno 10x Zoom",
    "CPH1919RU": "Reno 10x Zoom",
    "PCCM00": "Reno 10倍变焦版",
    "PCCT00": "Reno 10倍变焦版",
    "PCKM00": "Reno 2 中国版",
    "CPH2065": "Reno 4Z 5G",
    "CPH1983": "Reno A",
    "PCLM10": "Reno Ace",
    "PDHM00": "Reno Ace2",
    "CPH1979": "Reno Z",
    "PCDM10": "Reno Z 中国版",
    "PCDT10": "Reno Z 中国版",
    "PCAM00": "Reno 标准版",
    "PCAT00": "Reno 标准版",
    "CPH1945": "Reno2 Z",
    "CPH1951": "Reno2 Z",
    "PCKM80": "Reno2 Z 中国版",
    "A001OP": "Reno3 5G",
    "PDCM00": "Reno3 5G 中国版",
    "A002OP": "Reno3 A",
    "CPH2013": "Reno3 A",
    "CPH2035": "Reno3 Pro",
    "CPH2036": "Reno3 Pro",
    "CPH2037": "Reno3 Pro",
    "PCRM00": "Reno3 Pro 5G中国版",
    "PCLM50": "Reno3 元气版 5G",
    "CPH2091": "Reno4 5G",
    "CPH2209": "Reno4 F",
    "CPH2125": "Reno4 Lite",
    "PDNT00": "Reno4 Pro",
    "CPH2089": "Reno4 Pro 5G",
    "PDNM00": "Reno4 Pro 中国版",
    "PDPM00": "Reno4 中国版",
    "PDPT00": "Reno4 中国版",
    "CPH2217": "Reno5 F",
    "CPH2205": "Reno5 Lite",
    "PDSM00": "Reno5 Pro 5G",
    "PENM00": "Reno6 Pro+ 5G",
    "PFJM10": "Reno7 中国版",
    "U705W": "Ulike2",
    "U705T": "Ulike2",
    "CPH1859": "realme 1",
    "CPH1861": "realme 1",
    "RMX1805": "realme 2",
    "RMX1809": "realme 2",
    "RMX1803": "realme 2 Pro",
    "RMX1807": "realme 2 Pro",
    "RMX1821": "realme 3",
    "RMX1822": "realme 3",
    "RMX1825": "realme 3",
    "RMX1853": "realme 3Pro",
    "RMX1827": "realme 3i",
    "RMX1911": "realme 5",
    "RMX1811": "realme C1",
    "RMX1941": "realme C2",
    "RMX1942": "realme C2",
    "RMX1943": "realme C2",
    "RMX1945": "realme C2",
    "RMX1831": "realme U1",
    "RMX1833": "realme U1",
    "RMX1901": "realme X",
    "RMX1851": "realme 3Pro",
    "RMX2051": "realme X50 5G",
    "h31": "H-31",
    "h33": "H-33",
    "oraimo R401": "R401",
    "oraimo R402": "R402",
    "Orange Dive 30": "Dive 30",
    "ZTE Blade A410": "Blade A410",
    "Orange Dive 50": "Dive 50",
    "Orange Dive 71": "Dive 71",
    "Orange-Dive72": "Dive72",
    "OrangeFive": "Five",
    "Orange Mahpee": "Mahpee",
    "Orange Neva 80": "Neva 80",
    "Orange Neva start": "Neva start",
    "Orange Nola fun": "Nola fun",
    "Orange Nura": "Nura",
    "Nura 2": "Nura2",
    "Orange Rise 55": "Orange",
    "Orange_Rise_33": "Orange Rise 33",
    "Race 1": "Race_1",
    "Orange Rise 30": "Rise 30",
    "Orange Rise 35": "Rise 35",
    "Orange Rise 40": "Rise 40",
    "Rise50": "Rise 50",
    "Orange-Rise30": "Rise30",
    "Orange-Rise31": "Rise31",
    "Orange-Rise34": "Rise31",
    "Orange Rise32": "Rise32",
    "Orange-Rise51": "Rise51",
    "Orange-Rise51B": "Rise51",
    "Orange-Rise52": "Rise52",
    "Orange Rise 54": "Rise_54",
    "Orange Rise 54 EEA": "Rise_54",
    "Orange Roya": "Roya",
    "Orange Sanza touch": "Sanza_touch",
    "Orange Sego": "Sego",
    "Orange TV Box": "TV Box 4K",
    "Orange Niva": "idol S",
    "KSTB6130": "Descodificador Orange TV",
    "R678EL": "Magic",
    "R370L": "R370H",
    "LeNumero2": "Ordissimo LeNumero2",
    "OE1": "OE1_EEA",
    "C11_Pro": "C11 Pro",
    "C11_S": "C11 S",
    "C16_Pro": "C16 Pro",
    "C18_Plus": "C18 Plus",
    "C18_Pro": "C18 Pro",
    "C19 Pro": "C19 Pro_ROW",
    "C21 Plus": "C21_Plus_EEA",
    "C23 Pro": "C23_Pro",
    "C25": "C25_RU",
    "C27 Pro": "C27_Pro_EEA",
    "C31": "C31_EEA",
    "C31 Pro": "C31_Pro_EEA",
    "K10000 Max": "K10000_Max",
    "K13_Pro": "K13 Pro",
    "K15_Plus": "K15_Plus_RU",
    "K15 Pro": "K15_Pro_EEA",
    "K3_Pro": "K3 Pro",
    "K7 Power": "K7_Power",
    "OK6000 Plus": "OK6000 PLUS",
    "RT1": "RT1_EEA",
    "RT2": "RT2_EEA",
    "U25_Pro": "U25 Pro",
    "WP12 Pro": "WP12_Pro_EEA",
    "WP13": "WP13_RU",
    "WP16": "WP16_RU",
    "WP17": "WP17_EEA",
    "WP18 Pro": "WP18_Pro_EEA",
    "WP19": "WP19_EEA",
    "WP20 Pro": "WP20_Pro_EEA",
    "WP5 Pro": "WP5_Pro_row",
    "WP6": "WP6_EEA",
    "WP8 Pro": "WP8_Pro",
    "Y4800": "Y4800_EEA",
    "OWN FUN 6": "FUN 6",
    "OWN FUN 7": "FUN 7",
    "SMART_O2": "OWN Smart Ö2",
    "Smart8": "SMART 8",
    "OWN SMART 9": "SMART 9",
    "SMART PLUS LTE": "Smart Plus Lte",
    "T72HMs_3G": "T72HMs 3G",
    "EV1 PRO": "EV1_PRO",
    "PCSGOB10MVA_A": "PCSMART",
    "PC_Smart_PTSGOB8": "PTSGOB8",
    "PCB-T103 CURI LITE": "Curi_Lite_PCB-T103",
    "Kova 2 Plus PCB-T732": "PCB-T732",
    "PET 1008-F464E": "PET-1008-F464E",
    "PET 1008-H332E": "PET-1008-H332E",
    "PET 101-H232E": "PET-101-H232E",
    "PET 101-H332S-W": "PET-101-H332S-W",
    "PET 1081-H232S": "PET-1081-H232S",
    "PET 1081-LH332S": "PET-1081-LH332S",
    "P610": "Premio P610",
    "Smart_Page_8_Pro": "Smart Page 8 Pro",
    "M2006C3MI": "POCO C3",
    "211033MI": "POCO C31",
    "220733SPI": "POCO C50",
    "M2012K11AG": "POCO F3",
    "M2104K10I": "POCO F3 GT",
    "22021211RG": "POCO F4",
    "22021211RI": "POCO F4",
    "21121210G": "POCO F4 GT",
    "M2004J19PI": "POCO M2",
    "M2010J19CG": "POCO M3",
    "M2010J19CI": "POCO M3",
    "M2103K19PI": "POCO M3 Pro 5G",
    "M2103K19PG": "POCO M3 Pro 5G",
    "22041219PI": "POCO M4 5G",
    "22041219PG": "POCO M4 5G",
    "2201117PG": "POCO M4 Pro",
    "2201117PI": "POCO M4 Pro",
    "21091116AG": "POCO M4 Pro 5G",
    "2207117BPG": "POCO M5s",
    "M2007J20CI": "POCO X3",
    "M2007J20CG": "POCO X3 NFC",
    "M2102J20SI": "POCO X3 Pro",
    "M2102J20SG": "POCO X3 Pro",
    "22041216G": "POCO X4 GT",
    "2201116PI": "POCO X4 Pro 5G",
    "2201116PG": "POCO X4 Pro 5G",
    "Kammunica_V10": "Kammunica V10",
    "P9000_MAX": "P9000 MAX",
    "OrderGo5": "OrderGo5_EEA",
    "Neo Pro": "Neo_Pro",
    "PVG100C": "Palm",
    "PVG100EU": "Palm",
    "PVG100E_RU": "Palm",
    "DX01C": "43DX400C",
    "9S61Z_ZQ20S": "43GX580C",
    "TH-55DX600C": "55DX600C",
    "surface7": "Active Surface",
    "Qualcomm elite": "Altus4K43",
    "PANASONIC TV": "Percee TV",
    "2KTV-2TH": "Android TV",
    "PanasonicTV": "GX655",
    "VW_RCBKK1": "Boukenkun-reciever",
    "dL1": "ELUGA",
    "Panasonic ELUGA A": "ELUGA A",
    "ELUGA_A3": "ELUGA A3",
    "ELUGA_A3_Pro": "ELUGA A3 Pro",
    "Panasonic_ELUGA_C": "ELUGA C",
    "Panasonic ELUGA I": "ELUGA I",
    "ELUGA_I2_Activ": "ELUGA I2 Activ",
    "ELUGA_I5": "ELUGA I5",
    "Eluga I6": "ELUGA I6",
    "ELUGA_I7_EE": "ELUGA I7 EE",
    "Eluga I8": "ELUGA I8",
    "Eluga I9": "ELUGA I9",
    "Panasonic ELUGA L 4G": "ELUGA L 4G",
    "P-03E": "ELUGA P",
    "Panasonic_ELUGA_Pure": "ELUGA PURE",
    "P-07D": "ELUGA Power",
    "Eluga_Ray_700": "ELUGA Ray 700",
    "Eluga Ray 810": "ELUGA Ray 810",
    "Panasonic ELUGA S": "ELUGA S",
    "Panasonic ELUGA S Mini": "ELUGA S Mini",
    "Panasonic ELUGA U": "ELUGA U",
    "Panasonic ELUGA U2": "ELUGA U2",
    "P-06D": "ELUGA V",
    "Panasonic ELUGA WE": "ELUGA WE",
    "P-02E": "ELUGA X",
    "ELUGA_Y": "ELUGA Y",
    "ELUGA_Y_Pro": "ELUGA Y Pro",
    "Panasonic_dL1": "ELUGA dL1",
    "Eco v3": "Eco12 v3",
    "Eco v3 plus": "EcoFW 10",
    "NEXT": "NEXT_WSCUwscu",
    "Elitev3": "Elite13 v3",
    "Elite v3a with camera": "Elite 12 v3.1",
    "Elite v3p22": "Elite 22",
    "Elite v3a": "Elitev3a",
    "Eluga_A2": "Eluga A2",
    "Panasonic ELUGA Arc": "Eluga Arc",
    "Eluga_Arc_2": "Eluga Arc 2",
    "ELUGA_I2": "Eluga I2",
    "Panasonic_Eluga_I3": "Eluga I3",
    "Panasonic ELUGA Icon 2": "Eluga Icon 2",
    "Eluga_Mark_2": "Eluga Mark 2",
    "ELUGA_Pulse": "Eluga Pulse",
    "ELUGA_Pulse_X": "Eluga Pulse X",
    "ELUGA Ray": "Eluga Ray",
    "ELUGA Ray 530": "Eluga Ray 530",
    "ELUGA Ray 710": "Eluga Ray 710",
    "Eluga_Ray_800": "Eluga Ray 800",
    "ELUGA Ray Max": "Eluga Ray Max",
    "ELUGA Ray X": "Eluga Ray X",
    "Panasonic ELUGA Tapp": "Eluga Tapp",
    "Panasonic ELUGA Z": "Eluga Z",
    "ELUGA Note": "Eluga_Note",
    "FZ-B2B": "FZ-B2",
    "FZ-B2D": "fz_b2dh",
    "FZ-L1 AOSP": "FZ-L1UN",
    "FZ-N1": "FZ-N1VU",
    "FZ-T1": "FZ-T1VUN",
    "FZ-T1 AOSP": "FZ-T1",
    "GX655": "Panasonic TV",
    "GX01C": "GX880C",
    "GZ01C": "GZ1000",
    "HD PSEB v2": "HDPSEB v2",
    "HD PSEB v3": "HDPSEB v3",
    "HD PSEB v4": "HDPSEB v4",
    "IPSC1_5": "IPSC 1.5",
    "IPSC4": "IPSC 4",
    "Panasonic_TV": "JX900C",
    "Panasonic KX-PRXA10": "KX-PRXA10",
    "Panasonic KX-PRXA15": "KX-PRXA15",
    "DMC-CM1": "LUMIX CM1",
    "Panasonic P11": "P11",
    "Panasonic P31": "P31",
    "Panasonic P41": "P41",
    "Panasonic P41HD": "P41 HD",
    "Panasonic P51": "P51",
    "Panasonic P55": "P55",
    "Panasonic P55 Novo": "P55 Novo",
    "P55 Novo 4G": "P55 Novo",
    "Panasonic P6": "P6",
    "Panasonic P61": "P61",
    "Panasonic_P61": "P61",
    "Panasonic P75": "P75",
    "Panasonic P77": "P77",
    "Panasonic P81": "P81",
    "Panasonic P85": "P85",
    "Panasonic P99": "P99",
    "4KTV-JUP": "Panasonic",
    "Panasonic UHD TV": "Panasonic 2021 UHD Android TV",
    "P100": "Panasonic P100",
    "9 inch SDU": "SDU",
    "Smart Monitor 17": "SM17",
    "Panasonic SV-ME1000": "SV-ME1000",
    "Panasonic T11": "T11",
    "Panasonic T21": "T21",
    "Panasonic T30": "T30",
    "Panasonic T31": "Yaris M",
    "Panasonic T33": "T33",
    "Panasonic T40": "T40",
    "Panasonic T41": "T41",
    "Panasonic T44": "T44",
    "Panasonic T44 Lite": "T44 Lite",
    "Panasonic T9": "T9",
    "TAB-A01-SD": "TAB-A01",
    "TAB-A02-SD": "TAB-A02",
    "TAB-A05": "TAB-A05-SA",
    "4S806_Z31S": "TH-43JX580C",
    "DX00C": "TH-49DX400C",
    "TH55DR600C": "TH-55DR600C",
    "TH_55DX700C": "TH-55DX700C",
    "TH_65DX400C": "TH-65DX400C",
    "theaterv3": "Theater v3",
    "Theater": "Theater12",
    "WA-P7": "Translation device",
    "Panasonic UN-MT300": "UN-MT300",
    "Panasonic UN-W700": "UN-W700",
    "Video Handset": "VHS v2",
    "WSCU3": "WSCU",
    "IM-T100K": "AT1",
    "ADR8995": "Apache",
    "PantechP9070": "Burst",
    "PantechP8000": "Crossover",
    "IM-A770K": "VEGA RACER",
    "IM-A780L": "VEGA RACER",
    "PantechP4100": "Element",
    "PantechP8010": "Flex",
    "IM-A840SP": "IM-840SP",
    "SKY IM-A630K": "Izar",
    "EIS01PT": "MIRACH_J",
    "IS11PT": "MIRACH_J",
    "IM-A690L": "Mirach",
    "IM-A690S": "Mirach",
    "IM-A750K": "Mirach A",
    "PantechP9090": "P9090",
    "PantechP9060": "Pocket",
    "IS06": "SIRIUS α",
    "SKY IM-A600S": "Sirius",
    "Pantech V955": "v955",
    "IM-A890K": "VEGA Secret Note",
    "IM-A890L": "VEGA Secret Note",
    "IM-A890S": "VEGA Secret Note",
    "IM-A900S": "VEGA Secret UP",
    "IM-A900K": "VEGA Secret UP",
    "IM-A900L": "VEGA Secret UP",
    "SKY IM-A650S": "Vega",
    "IM-A820L": "Vega LTE M",
    "IM-A720L": "Vega X",
    "IM-A710K": "Vega X",
    "IM-A725L": "ef14lv",
    "Pantech V950": "v950",
    "Partner Evolution": "Partner_Evolution",
    "SMY-17-M07R6": "SMY_17_M07R6_EEA",
    "Pavapro7bk": "PavaPro7bk",
    "Pavapro10bk": "Pavapro10",
    "Pebble_Quad": "PTPC01",
    "Chagall 10.1 WiFi": "chagall",
    "E-Tab 4G": "chagall",
    "PNDP70M7BLK": "Pendo",
    "PENTA_83AAQ2": "ETBA0552",
    "HIT P8": "HIT_P8",
    "Hit P13": "P13",
    "TP7A6": "TP7A6PI",
    "PTB7PAP_PTB7PAB_PTB7PAR": "PTB7PAP_ PTB7PAB _ PTB7PAR",
    "FHD Android TV": "2K Android TV",
    "2020 FHD Android TV": "2K Android TV",
    "QM152E": "4K & Full HD Slim LED TV powered by Android™",
    "TPM171E": "4K OLED TV powered by Android",
    "QM151E": "4K Razor Slim LED TV powered by Android TV™",
    "QM161E": "4K Razor Slim OLED TV powered by Android TV",
    "QV151E": "4K UHD Razor Slim LED TV powered by Android™",
    "QM163E": "4K Ultra Slim LED TV powered by Android",
    "AND1E": "Android 2014",
    "QM164E": "FHD Ultra Slim LED TV Powered by Android",
    "HMP8100_ATV_93": "HMP8100/93",
    "HMP8100_ATV_INT": "HMP8100/98",
    "TPM181HE": "Mediasuite",
    "TPM191HN": "Mediasuite",
    "PHILIPS TV": "Smart TV",
    "G3SMNTS22": "PHP-S221C4AFD",
    "G3SMNTS23": "PHP-S231C4AFD",
    "PI3100": "PI3100/98",
    "PI3100-93": "PI3100/93",
    "PI3100Z3_93": "PI3100Z3/93",
    "PI3900-93": "PI3900",
    "PI3900": "PI3900/98",
    "PI7100_93": "PI7100/93",
    "2020/2021 FHD Android TV": "Philips Android TV",
    "2020/2021 UHD Android TV": "Philips Android TV",
    "Philips FHD Android TV": "Philips Android TV",
    "Philips UHD Android TV": "Philips Android TV",
    "2021/22 Philips UHD Android TV": "Philips Android TV",
    "TPM191E": "Philips Android TV",
    "TPM191KN": "Philips Android TV",
    "TPM191L": "Philips Android TV",
    "Philips_S260": "Philips S260",
    "Philips S337": "S337",
    "S397": "Philips S397",
    "PHILIPS 4K TV": "Smart TV",
    "PHILIPS 4k TV": "Smart TV",
    "Philips Xenium V787": "V787",
    "Philips X818": "X818",
    "Philips S398": "Philps S398",
    "Philips S308": "S308",
    "Philips S309": "S309",
    "Philips_S326": "S326",
    "Philips S327": "S327",
    "Philips S395": "S395",
    "Philips 4K A1": "Smart TV",
    "PI7000": "T8 PI7000",
    "Philips V377": "Xenium V377",
    "Philips V387": "V387",
    "Philips V526": "V526",
    "Philips_W3500": "W3500",
    "Philips W3568": "W3568",
    "Philips W6610": "W6610",
    "Philips W8510": "W8510",
    "Philips W8555": "W8555",
    "Philips_X586": "X586",
    "Philips X588": "X588",
    "Philips S386": "Xenium S386",
    "Jupiter": "Car Navigation",
    "jupiter": "Navigation",
    "CSD-ELINK2": "Pitney Bowes C-Series",
    "CSD-TXT2": "SendPro C Series",
    "PIX-VP100": "PIX_VP100",
    "Turbo-X_A2": "A2",
    "Calltab7inch": "Calltab 7”",
    "Calltab2GB10": 'Calltab2GB10.1"',
    "Calltab10.1": "CalltabII 10.1",
    "Turbo-X Coral II": "Coral II",
    "Earth 7.0'3G": "Earth 7.0' 3G",
    "TURBOX_I4G": "I4G",
    "Turbo-X_e3": "Lithium Ion",
    "RainbowII 3G": 'Rainbow II 3G 8"',
    "RubikII7": "Rubik-II",
    "Rubik 10.1 II": 'RubikII 10"',
    "QUAD-CORE A33 inet": "Turbo-X Twister",
    "s2": "Turbo-X s2",
    "Turbo-X lamda": "lamda",
    "Gemini_4G": "Gemini",
    "DCTIW362_PLAY": "play_dctiw362",
    "PlimPad_P60_Pro": "P60_Pro",
    "PlimPad P3": "PlimPad_P3",
    "PLUM Z711": "Z711",
    "PLUM Z712": "Z712",
    "FTU152A": "FREETEL Priori3S",
    "FTJ162B": "FREETEL SAMURAI KIWAMI 2",
    "FTU161G": "Fun +",
    "FTJ161E-VN": "Ice 2",
    "ICE2": "Ice 2",
    "FTJ152D": "Kiwami",
    "FTJ152A": "Priori 3",
    "FTJ152B": "Priori3S",
    "Smart_HD": "Smart HD",
    "PLUZZ_PL4010": "PL4010",
    "PM550": "PM550R",
    "PM85E": "PM85",
    "TAB-7232-3G-V2": "TAB-7232-3G",
    "Polar M600": "M600",
    "BDL5048PR001": "BDL5048",
    "P5026A": "Cosmo L",
    "P5046A": "Cosmo P5s",
    "P5047A": "Cosmo Z",
    "PSPCZ20A0": "Cosmo Z2",
    "PSPCM20A0": "Cosmo Z2 Plus",
    "MID 1324": "Infinite",
    "K7/PTAB782": "K7",
    "P900/Q900": "P900",
    "PRO5548PR010": "PRO5548PR010.191",
    "PRO6048PR001": "PRO6048",
    "PTAB1051_PTAB1055": "PTAB1051-PTAB1055",
    "PRO5023": "Phantom 5",
    "POLA-TVE19K": "polaroid",
    "Polaroid Android TV": "Polaroid android TV",
    "SIGMA-5": "SIGMA 5",
    "CARBON_PRO4543": "V45M",
    "midcb232pr": "midcb232pr_EEA",
    "POLA-TVE19M": "polaroid",
    "Polestar 2": "Polestar Emu",
    "P500": "ZTE Blade A3 2019",
    "POLYTRON4K": "PLD43UG5959/PLD43BUG5959/PLD50UG5959/PLD50BUG5959/PLD55UG5959/",
    "POLYTRON_P552": "POLYTRON P552",
    "A552": "PRIME A8",
    "R255B": "PRIME T8",
    "Porsche Rear Seat Entertainment": "SDIS1",
    "8MA-A 3G": "8MA-A",
    "YPY_AB7D": "AB7",
    "YPY_AB7DC": "AB7D",
    "Positivo BGH 7Di-A": "BGH Y210",
    "Positivo BGH Y200": "BGH Y200",
    "Y230": "BGH Y230",
    "S421 Positivo Life": "Life",
    "Tab Q10": "M10 4G PRO X",
    "Positivo Mini": "Mini",
    "Positivo Mini TE": "Mini",
    "Positivo Next": "Next",
    "Positivo One": "One",
    "S420": "One",
    "Quantum Q20": "Positivo Q20",
    "T1075B": "Positivo T1075B",
    "T760": "Positivo T760",
    "YPY10STA": "Positivo Ypy 10 STA",
    "YPY10FTA": "Positivo Ypy 10FTA",
    "Positivo SX1000": "SX1000",
    "S455": "Selfie",
    "Positivo Slim": "Slim",
    "T1060B": "T1060",
    "T1060C": "T1060",
    "Positivo T1075": "T1075",
    "T705/T708": "T705",
    "T705K": "T705",
    "Positivo T710": "T710",
    "Stilo T715": "T715",
    "Positivo Stilo T730 Kids": "T730",
    "Positivo T750": "T750",
    "TabQ8-T800": "T800",
    "T810": "T810C",
    "Tab Q8 Lite": "T810",
    "Positivo Twist M": "Twist",
    "Positivo Twist S": "Twist",
    "Twist 3": "Twist 2 Pro",
    "Twist (2018)": "Twist 2018",
    "YOLO": "Twist 4 Fit",
    "Twist 4 Pro Correios": "Twist 4 Pro",
    "UP 32": "Twist 4 Pro",
    "Positivo Twist 4G": "Twist 4G",
    "Twist Metal 32GB": "Twist Metal 32G",
    "Twist Mini": "Twist Mini (2018)",
    "S545": "Twist SE",
    "Twist Tab": "Twist Tab Kids",
    "Positivo US2070": "Union US2070",
    "YPY_10FTA": "YPY 10 3G",
    "Positivo Ypy AB7E": "YPY AB7",
    "Positivo Ypy AB7EC": "YPY AB7",
    "YPY_S400": "YPY S400",
    "Positivo Ypy 7 - TB07FTA": "YPY7 3G",
    "Ypy 7 - TB07FTA": "YPY7 3G",
    "YPY_07FTA": "YPY7 3G",
    "Positivo Ypy 7 - TB07STA": "YPY7 wifi",
    "Ypy 7 - TB07STA": "YPY7 wifi",
    "YPY_07STA": "YPY7 wifi",
    "POSITIVO TABLET YPY 07FTB PM BELÉM": "Ypy 07FTB",
    "YPY_07FTB": "Ypy 07FTB",
    "YPY_07FTBF": "Ypy 07FTBF",
    "YPY_07STB": "Ypy 07STB",
    "YPY_07STBF": "Ypy 07STBF",
    "YPY_10FTB": "Ypy 10FTB",
    "YPY_10FTBF": "Ypy 10FTBF",
    "YPY_10STB": "Ypy 10STB",
    "YPY_10STBF": "Ypy 10STBF",
    "YPY_AB10D": "Ypy AB10",
    "YPY_AB10DC": "Ypy AB10D",
    "YPY_AB10DP": "Ypy AB10DP",
    "Positivo Ypy AB10E": "Ypy AB10E",
    "Positivo Ypy AB10EC": "Ypy AB10E",
    "Positivo Ypy AB10H": "Ypy AB10H",
    "Positivo Ypy AB7F": "Ypy AB7F",
    "T720": "Ypy AB7F",
    "YPY_AB7K": "Ypy AB7K",
    "Positivo Ypy L700 Kids": "Ypy Kids",
    "Positivo Ypy L700+ Kids": "Ypy Kids",
    "Positivo Ypy L1000": "Ypy L1000",
    "Positivo Ypy L1000F": "Ypy L1000",
    "Positivo Ypy L1050": "Ypy L1050",
    "Positivo Ypy L1050F": "Ypy L1050",
    "Positivo Ypy L1050E": "Ypy L1050E",
    "Positivo Ypy L700": "Ypy L700",
    "Positivo Ypy L700 Ed. Especial": "Ypy L700",
    "Positivo Ypy L700+": "Ypy L700",
    "Positivo BGH Mini": "Ypy Mini",
    "YPY_S350": "Ypy S350",
    "YPY_S350_PLUS": "Ypy S350p",
    "YPY_S405": "Ypy S405",
    "YPY_S450": "Ypy S450",
    "YPY_S460": "Ypy S460",
    "YPY_S500": "Ypy S500",
    "YPY_TQ7": "Ypy TQ7",
    "Positivo BGH Y300": "mini I",
    "Positivo Mini I": "mini I",
    "Positivo BGH Y100": "BGH Y100",
    "Positivo BGH Y210": "BGH Y210",
    "Y400": "BGH Y400",
    "Positivo BGH Y700": "BGH Y700",
    "Positivo BGH Y710 KIDS": "BGH Y710 kids",
    "Positivo BGH M840": "M840",
    "Positivo BGH P718TAB": "P718TAB",
    "Positivo BGH W750": "W750",
    "Positivo BGH Y1010": "Y1010",
    "L701 TV": "Ypy",
    "Positivo BGH Ypy L700": "Ypy",
    "Positivo BGH Ypy L700 Kids": "Ypy Kids",
    "P570": "186HS1080233",
    "P710": "Rakuten Hand",
    "X82": "NEON_RAY_2",
    "P450": "PREMIO P450",
    "PREMIO S50": "PREMIO_S50",
    "P620": "Premio P620",
    "Premio P451": "Premio_P451",
    "PREMIO S75": "S75",
    "186HS2080531": "X1",
    "Prestige 7G": "7G",
    "Elite10Q": "ELITE10Q",
    "Elite7Q": "ELITE7Q",
    "Elite8QS": "ELITE8QS",
    "PMT4311_3G_RU": "CD10A7G",
    "PMT4118_3G_EEA": "CD80A5G",
    "PMT4638_3G_RU": "CD80A5G",
    "PSP5515DUO": "GRACE P5",
    "PSP7590DUO": "GRACE V7 LTE",
    "PSP7590DUO_EU": "GRACE V7 LTE",
    "PSP7557": "Grace",
    "PMT3118_3G": "Grace 3118 3G",
    "PMT3738_3G": "Grace 3738 3G",
    "PMT3748_3G": "Grace 3748 3G",
    "PMT3758_3G": "Grace 3758 3G",
    "PMT3768_3G": "Grace 3768 3G",
    "PMT3778_3G": "Grace 3778 3G",
    "PMT3778_3G_EU": "Grace 3778 3G",
    "PMT3838_4G": "Grace 3838 4G",
    "PMT3848_4G": "Grace 3848 4G",
    "PMT3858_4G": "Grace 3858 4G",
    "PMT3868_4G": "Grace 3868 4G",
    "PMT3878_4G_EU": "Grace 3878 4G",
    "PSP3455DUO": "Grace X3",
    "PSP5470DUO": "Grace X5",
    "PSP7505DUO": "Grace X7",
    "PSP7546DUO_EEA": "Grace Y7 LTE",
    "PMT4791_4G_RU": "HP10A4L",
    "PMT4991_4G": "HP10A4L",
    "PMT4891_4G_EEA": "HP10A5L",
    "PMT4228_3G_RU": "HP80A16G",
    "PMT4348_3G_E_RU": "HP80A21G",
    "PMT4238_4G_EEA": "HP8A6L",
    "PMT3196_3G": "LS96A7G",
    "PMT3237_3G": "MT3237_3G",
    "PMT3027_Wi": "MULTIPAD WIZE 3027",
    "PMT3108_3G": "MULTIPAD WIZE 3108 3G",
    "PMT3111_Wi": "MULTIPAD WIZE 3111",
    "PMT3121_Wi": "MULTIPAD WIZE 3121",
    "PMT3308_3G": "MULTIPAD WIZE 3308 3G",
    "PMT3331_3G": "MULTIPAD WIZE 3331 3G",
    "PMT3341_3G": "MULTIPAD WIZE 3341 3G",
    "PMT3787_3G": "MULTIPAD WIZE 3787 3G",
    "PSP3515DUO": "MUZE U3 LTE",
    "PSP3495DUO": "MUZE V3",
    "PMT3377_Wi": "MultiPad Thunder 7.0i",
    "PMT3009_Wi_C": "MultiPad Wize 3009",
    "PMT3017_WI": "MultiPad Wize 3017",
    "PMT3018_WI": "MultiPad Wize 3018",
    "PMT3037_3G": "MultiPad Wize 3037 3G",
    "PMT3038_3G": "MultiPad Wize 3038 3G",
    "PSP5453DUO": "MultiPhone 5453 DUO",
    "PSP5455DUO": "MultiPhone 5455 DUO",
    "PSP5504DUO": "MultiPhone 5504 DUO",
    "PSP5505DUO": "MultiPhone 5505 DUO",
    "PSP5517DUO": "MultiPhone 5517 DUO",
    "PMT3407_4G": "Multipad Wize 3407 4G",
    "PMT3408_4G": "Multipad Wize 3408 4G",
    "PMT3508_4G": "Multipad Wize 3508 4G",
    "PMT3757_3G": "Multipad Wize 3757 3G",
    "PSP5508DUO": "Multiphone 5508 DUO",
    "PSP3452DUO": "Muze A3",
    "PMT1177_4G": "PMT1177_ 4G",
    "PMT3008_Wi_C": "PMT3008_Wi",
    "PMT7781_4G": "PMT7781_4G_D_CIS",
    "PSP3512DUO": "PSP3512",
    "PSP3551DUO": "PSP3551",
    "PSP5531DUO": "PSP5531",
    "PMT3708_3G": "Prestigio Muze 3708 3G",
    "PMT3997_W_RU": "Prestigio SmartKids",
    "PSP7546DUO": "Prestigio X pro",
    "PSP7546DUO_RU": "Prestigio X pro",
    "Prestigio UHD Android TV": "Russia",
    "PMT4771_4G_EEA": "TC10A3L",
    "PMT4771_4G_RU": "TC10A3L",
    "PMT4327_3G_RU": "TC70A1G",
    "PSP3453DUO": "WIZE A3",
    "PSP3514DUO_RU": "WIZE U3",
    "PSP3406DUO": "WIZE Y3",
    "PSP3416DUO": "WIZE YA3",
    "PSP3416DUO_EU": "WIZE YA3",
    "PMT3131_3G": "Wize 3131 3G",
    "PMT3147_3G": "Wize 3147 3G",
    "PMT3401_3G": "Wize 3401 3G",
    "PMT3731_3G": "Wize 3731 3G",
    "PMT3771_3G_EU": "Wize 3731 3G",
    "PMT3741_3G": "Wize 3741 3G",
    "PMT3751_3G": "Wize 3751 3G",
    "PMT3761_3G": "Wize 3761 3G",
    "PMT3771_3G": "Wize 3771 3G",
    "PSP3522DUO_RU": "Wize J3",
    "PSP3497DUO": "Wize W3",
    "PSP3497DUO_RU": "Wize W3",
    "K7_A101": "K7_A101_EEA",
    "K7_A102": "K7_A102_EEA",
    "L8": "L8_A01_EEA",
    "P7PLUS": "P7PLUS_EEA",
    "M10_EEA": "PRITOM",
    "M10 Pro": "USA",
    "T1800Q Plus": "T1800Q＿Plus",
    "T9120": "T9120_EEA",
    "Profilo 2K Android TV": "Turkey",
    "Profilo 4K Android TV": "Turkey",
    "Proline_FalconXL": "Proline FalconXL",
    "H1010": "base10.3g silver",
    "PLT1077G": "PLT1077G(1GB/8GB)",
    "PLT1074G": "PLT7774G",
    "PLT8235G": "PLT8235G Tablet",
    "decoder": "Proximus TV",
    "X10 Tablet": "Punos X10",
    "X8 Tablet": "Punos X8 PTX822G",
    "Punos 10": "Punos_10",
    "Punos 7": "Punos_7",
    "QBELL Android TV 2K": "EU",
    "Qbell 2K Android TV": "EU、UK、AP",
    "Qbell FHD Android TV": "Italy",
    "Qbell UHD Android TV": "Italy",
    "QBell 4K Android TV": "QBell",
    "QBell 2K Android TV": "QBell",
    "QPHONE_10.1": "QPHONE_10_1",
    "QBELL Android TV": "Qbell android TV",
    "Noir A1": "A1",
    "Noir A1 lite": "A1 lite",
    "QMobile Beat 1": "Beat 1",
    "QMobile Blue 5": "Blue 5",
    "QMobile CS1": "CS1",
    "QMobile CS1 Plus": "CS1 Plus",
    "QMobile Dual One": "Dual One",
    "QMobile E1": "E1",
    "E2 Noir": "E2",
    "QMobile ENERGY X1": "ENERGY X1",
    "QMobile ENERGY X2": "ENERGY X2",
    "QMobile Energy X10 4G": "Energy X10 4G",
    "QMobile Energy X5 4G": "Energy X5 4G",
    "QMobile Evok Power": "Evok Power",
    "QMobile Evok Power Lite": "Evok Power Lite",
    "QMobile J1": "J1",
    "QMobile J2": "J2",
    "JAZZX JS10": "JS10",
    "QMobile L20": "L20",
    "QMobile LT100": "LT100",
    "QMobile LT550": "LT550",
    "QMobile_LT600_PRO": "LT600 PRO",
    "QMobile LT900": "LT900",
    "QSmart LT900": "LT900",
    "QMobile A3": "NOIR A3",
    "QMobile A6": "NOIR A6",
    "QMobile Noir S9": "Noir S9",
    "QMobile A1": "Pakistan",
    "Qmobile Phantom P1": "Phantom_P1",
    "Qmobile Phantom P1 Pro": "Phantom_P1_Pro",
    "QMobile Q Infinity B": "Q Infinity B",
    "QMobile Q Infinity C": "Q Infinity C",
    "QMobile_Q_Infinity_Cinema": "Q Infinity Cinema",
    "QMobile Q Infinity D": "Q Infinity D",
    "QMobile Q Infinity E": "Q Infinity E",
    "QMobile Q Infinity E Lite": "Q Infinity E Lite",
    "QMobile Q Infinity Prime": "Q Infinity Prime",
    "QMobile QNote": "QNote",
    "QTab Y1": "QTab_Y1_2M",
    "QTab Y2": "QTab_Y2",
    "QTab Y3": "QTab_Y3",
    "S8 Plus": "Qmobile S8 Plus",
    "QMobile S1 Lite": "S1 Lite",
    "QMobile S1 PRO": "S1 PRO",
    "QMobile S2 Plus": "S2 Plus",
    "QMobile S6": "S6",
    "QMobile S6 PLUS": "S6 PLUS",
    "QMobile S6S": "S6S",
    "QMobile Smart Power": "Smart_Power",
    "V200": "V200_EEA",
    "V6_Metal": "V6 Metal",
    "V7_Metal": "V7 Metal",
    "Noir X1S": "X1S",
    "QMobile X32": "X32",
    "QMobile X32 Power": "X32 Power",
    "QMobile X33": "X33",
    "QMobile X36": "X36",
    "QMobile X700 PRO": "X700 PRO",
    "QMobile X700 PRO II": "X700 PRO II",
    "QMobile X700 PRO Lite": "X700 PRO Lite",
    "QMobile XLi": "XLi",
    "QMobile Z10": "Z10",
    "QMobile i2 POWER": "i2 POWER",
    "QMobile i2 PRO": "i2 PRO",
    "QMobile i5.5": "i5.5",
    "QMobile i5i 2018": "i5i 2018",
    "QMobile i5i 2019": "i5i 2019",
    "QMobile i6 Metal 2017": "i6 Metal 2017",
    "QMobile i6 Metal 2018": "i6 Metal 2018",
    "QMobile i6 Metal ONE": "i6 Metal One",
    "QMobile i7i PRO": "i7i PRO",
    "QMobile i8i": "i8i",
    "QMobile i8i 2019": "i8i 2019",
    "QMobile i8i PRO": "i8i PRO",
    "QMobile i8i Pro II": "i8i_Pro_Ⅱ",
    "V5_Plus": "V5Plus",
    "P_545BL": "P_545BL_EEA",
    "Qilive FHD Android TV": "Europe",
    "Qilive UHD Android TV": "Europe",
    "QT21101": "Q1-21",
    "QT21101L": "QT201101L",
    "Scepter 8 Tablet": "Scepter_8",
    "Scepter8": "scepter8",
    "QSmart_Canopus": "QSmart Canopus",
    "Rocket Lite": "Rocket_Lite",
    "i10 2020": "i10_2020",
    "QSmart i5i 2019": "i5i 2019",
    "i6i 2020": "i6i_2020",
    "TRUE BEYOND 4G": "True Beyond 4G",
    "Quantum Fly": "FLY",
    "Quantum Fit": "Quantum FIT",
    "Quantum Go": "Go",
    "GO 2": "Go 2",
    "Quantum MUV": "Muv",
    "Quantum MUV PRO": "MUV PRO",
    "Quantum MUV UP": "MUV UP",
    "Quantum Mini": "Mini",
    "QT-195W-aa2": "QSPT-1952",
    "LIO+": "Quantum Lio +",
    "twist neo": "Twist Neo",
    "Quantum V": "V",
    "Quantum You": "You",
    "Quantum You 2": "You 2",
    "Quantum You E": "You E",
    "QMobile I9i": "i9i",
    "Quatro 8": "Quatro_8",
    "M387_QL": "Quickline UHD Box",
    "RAVOZ V2": "RAVOZ_V2",
    "RAVOZ V3": "RAVOZ_V3",
    "RAVOZ V5": "RAVOZ_V5",
    "RAVOZ Z3 Lite": "Z3_Lite",
    "RAVOZ Z8": "RAVOZ_Z8",
    "RCT6716Q25": "RCA RCT6716Q25",
    "RCT6A03W13": "10 Viking",
    "RCT6603W47M7": "10 Viking II",
    "RCT6603W87M7": "10 Viking II Pro",
    "RCT6303W87DK": "10 Viking Pro",
    "RCT6303W87M": "10 Viking Pro",
    "RCT6303W87M7": "10 Viking Pro",
    "RCT6A03W13M": "10 Viking Pro",
    "RCT6K03W13": "10 Viking Pro",
    "RCT6613W23P": "11 Delta Pro",
    "RCT6513W87": "11 Galileo Pro",
    "RCT6213W87DK": "11 Maven Pro",
    "HKC 4K AI Smart TV": "4K Smart TV",
    "Treeview 4K AI Smart TV": "4K Smart TV",
    "DAEWOO 4K SA Smart TV": "4K Smart TV",
    "HKC 4K SA Smart TV": "4K Smart TV",
    "RCT6673W23M": "7 Mercury",
    "RCT6673W43M": "7 Mercury",
    "RCT6873W42": "7 Voyager",
    "RCT6773W22B": "7 Voyager II",
    "RCT6773W22BM": "7 Voyager II",
    "RCT6973W43MD": "7 Voyager III",
    "RCT6T06E13": "Artemis 10",
    "RCT6703W12": "Atlas 10",
    "RCT6B03W12": "RCA RCT6B03W12",
    "RCT6B03W13": "RCA RCT6B03W13",
    "DAA730R": "DAA730R / RCA DAA738R",
    "DAA738R": "DAA730R / RCA DAA738R",
    "RCT6A03W13FU": "Gemini 10 pro",
    "RCT6A03W12EU": "Juno 10",
    "CT9973W43M": "Mercury 7",
    "RCT6203W46L": "Pro10 Edition II",
    "RCT6223W87": "Pro12",
    "RCA 4K Android TV": "RCA",
    "DRP2091": "RCA DRP2091",
    "RCT6213W22": "RCA RCT6213W22",
    "RCT6213W23": "RCA RCT6213W23",
    "RCT6213W24": "RCA RCT6213W24",
    "RCT6613W23PU": "RCA RCT6613W23PU",
    "RCT6703W13": "RCA RCT6703W13",
    "RCT6973W43MDC8": "RCA RCT6973W43MDC8",
    "RCT6A03W12": "RCA RCT6A03W12",
    "RCT6A03W13E": "RCA RCT6A03W13E",
    "RCT6B06P23": "RCA RCT6B06P23",
    "RCT6B83W12": "RCA RCT6B83W12",
    "RCT6B86E12": "RCA RCT6B86E12",
    "RCT6S03W12": "RCA RCT6S03W12",
    "RCT6S03W14": "RCA RCT6S03W14",
    "RCA G2": "RCA_G2",
    "RCT6513W87DK5eQm": "RCT6513W87",
    "RCT6603W47DK": "RCT6603W47",
    "Reno Pro": "Reno_Pro",
    "2K US Smart TV": "Smart TV",
    "DAEWOO 2K SA Smart TV": "Smart TV",
    "HKC 2K SA Smart TV": "Smart TV",
    "Treeview 2K AI Smart TV": "Smart TV",
    "UNICO 2K AI Smart TV": "Smart TV",
    "RCT6873W42BMF8": "Voyager",
    "RCT6873W42BMF9E": "Voyager",
    "RCT6973MDN": "Voyager III",
    "RCT6873W42M_F7": "Voyager Pro",
    "XLDRCAV1": "XLD Series",
    "H1A1000": "HydrogenONE",
    "Space_A8": "Space_A18",
    "C200-RM-RX1": "REVOX-RM-RX1-EU",
    "IO 3D": "dingo",
    "Orb S": "Orb_S",
    "21061119BI": "Redmi 10 Prime",
    "22011119TI": "Redmi 10 Prime",
    "220333QAG": "Redmi 10C",
    "3917JR": "Rakuten BIG s",
    "P780": "Rakuten Hand5G",
    "CELL": "Cell",
    "AMA_A703": "AM_TAB_7_03",
    "PHOENIX_H1PLUS": "H1 PLUS",
    "PHOENIX N1": "PHOENIX_N1",
    "Forge": "Forge TV",
    "Phone": "Razer phone",
    "RMX2020": "realme C3",
    "RMX2040": "realme 6i",
    "RMX3063": "realme C20",
    "RMX3231": "realme C11 2021",
    "RMX2202": "realme GT 5G",
    "RMX1801": "realme 2 Pro",
    "RMX1915": "realme 5",
    "RMX1919": "realme 5",
    "RMX1925": "realme 5",
    "RMX1926": "realme 5",
    "RMX1927": "realme 5",
    "RMX1971": "realme Q",
    "RMX2030": "realme 5i",
    "RMX2031": "realme 5i",
    "RMX2032": "realme 5i",
    "RMX1973": "realme 5pro",
    "RMX2001": "realme 6",
    "RMX2003": "realme 6",
    "RMX2063": "realme 6Pro",
    "RMX2190": "realme 6i",
    "RMX2041": "realme 6i",
    "RMX2042": "realme 6i",
    "RMX2002": "realme 6",
    "RMX2170": "realme 7 Pro",
    "RMX2103": "realme 7i",
    "RMX2193": "realme Narzo 20",
    "RMX3081": "realme 8 Pro",
    "RMX3151": "realme 8i",
    "RMX2185": "realme C11",
    "RMX2186": "realme C11",
    "RMX2184": "realme C12",
    "RMX2189": "realme C12",
    "RMX2180": "realme C15",
    "RMX2181": "realme C15",
    "RMX2183": "realme C15",
    "RMX2195": "realme C15 Qualcomm Edition",
    "RMX2101": "realme C17",
    "RMX1946": "realme C2",
    "RMX3061": "realme C20",
    "RMX3201": "realme C21",
    "RMX3202": "realme C21",
    "RMX3203": "realme C21",
    "RMX3261": "realme C21 Y",
    "RMX3262": "realme C21Y",
    "RMX3265": "realme C25Y",
    "RMX2021": "realme C3",
    "RMX2022": "realme C3",
    "RMX2027": "realme C3i",
    "RMX3366": "realme GT Explorer Master Edition",
    "RMX3363": "realme GT Master Edition",
    "RMX3370": "realme GT Neo2 5G",
    "RMP2102": "realme pad",
    "RMX3121": "realme V11 5G",
    "RMX3122": "realme V11 5G",
    "RMX2200": "realme V3  5G",
    "RMX2201": "realme V3 5G",
    "RMX1991": "realme X2",
    "RMX1992": "realme X2",
    "RMX1993": "realme X2",
    "RMX1931": "realme X2Pro",
    "RMX2081": "realme X3",
    "RMX2085": "realme X3",
    "RMX2025": "realme X50 5G",
    "RMX2144": "realme X50 5G",
    "RMX2071": "realme X50 Pro",
    "RMX2075": "realme X50 Pro",
    "RMX2141": "realme X50m 5G",
    "RMX2142": "realme X50m 5G",
    "RMX2052": "realme X50t 5G",
    "RMX1921": "realme XT",
    "RMX1922": "realme XT",
    "RMX2050": "realme narzo 20A",
    "RMX3171": "realme narzo 30A",
    "RMP2103": "realme pad",
    "RMX2104": "realme 7i",
    "RMX3116": "真我 X7 pro至尊版",
    "RMX3350": "真我GT Neo 闪速版",
    "RMX3357": "真我GT Neo2T",
    "RMX3125": "真我V11s 5G",
    "Quick 5.0": "Quick_5_0",
    "Lmi": "K30 PRO",
    "Redmi K30 Pro": "K30 PRO",
    "MiTV-AXFR0": "MiTV",
    "pine": "Redmi  7A",
    "21061119DG": "Redmi 10 2022",
    "22011119UY": "Redmi 10 2022",
    "220333QBI": "Redmi 10 Power",
    "21061119AG": "Redmi 10 2022",
    "21061119AL": "Redmi 10 2022",
    "21121119SG": "Redmi 10 2022",
    "21121119VL": "Redmi 10 2022",
    "22041219G": "Redmi 10 5G",
    "22041219NY": "Redmi 10 5G",
    "220233L2C": "Redmi 10A",
    "220233L2G": "Redmi 9A",
    "220233L2I": "Redmi 10A Sport",
    "220333QNY": "Redmi 10C",
    "220333QL": "Redmi 10C",
    "M2004J7AC": "Redmi 10X",
    "atom": "Redmi 10X",
    "M2003J15SC": "Redmi Note 9",
    "M2004J7BC": "Redmi 10X pro",
    "bomb": "Redmi 10X pro",
    "22041219I": "Redmi 11 Prime 5G",
    "Redmi Y3": "Redmi 7",
    "Redmi 8A Pro": "Redmi 8A Dual",
    "M2006C3MII": "Redmi 9",
    "cattail": "Redmi 9",
    "M2004J19C": "Redmi 9 Prime",
    "galahad": "Redmi 9",
    "M2004J19G": "Redmi 9",
    "M2010J19SI": "Redmi 9 Power",
    "M2004J19I": "Redmi 9 Prime",
    "M2006C3LC": "Redmi 9A",
    "M2006C3LG": "Redmi 9A",
    "M2006C3LI": "Redmi 9A",
    "M2006C3LVG": "Redmi 9A",
    "dandelion": "Redmi 9A",
    "M2006C3MG": "Redmi 9C",
    "angelica": "Redmi 9C",
    "M2006C3MNG": "Redmi 9C NFC",
    "angelican": "Redmi 9C NFC",
    "M2010J19SY": "Redmi 9T",
    "M2010J19SG": "Redmi 9T",
    "M2010J19SL": "Redmi 9T",
    "220733SG": "Redmi A1",
    "220733SI": "Redmi A1",
    "220733SL": "Redmi A1",
    "220733SFG": "Redmi A1+",
    "220743FI": "Redmi A1+",
    "Redmi K20 Pro Premium Edition": "Redmi K20 Pro",
    "M2006J10C": "Redmi K30 Ultra",
    "M2007J3SC": "Redmi K30S Ultra",
    "M2012K11AC": "Redmi K40",
    "M2012K10C": "Redmi K40 Gaming",
    "M2012K11C": "Redmi K40 Pro +",
    "22021211RC": "Redmi K40S",
    "22041211AC": "Redmi K50",
    "22011211C": "Redmi K50 Pro",
    "21121210C": "Redmi K50G",
    "22041216I": "Redmi K50i",
    "M2103K19C": "Redmi Note 10",
    "M2101K7AG": "Redmi Note 10",
    "M2101K7AI": "Redmi Note 10",
    "M2103K19G": "Redmi Note 10 5G",
    "XIG02": "Redmi Note 10 JE",
    "21061110AG": "Redmi Note 10 Pro",
    "M2101K6G": "Redmi Note 10 Pro",
    "M2101K6P": "Redmi Note 10 Pro",
    "M2101K6I": "Redmi Note 10 Pro Max",
    "M2104K10AC": "Redmi Note 10 pro",
    "M2101K7BL": "Redmi Note 10S",
    "M2101K7BNY": "Redmi Note 10S",
    "M2101K7BG": "Redmi Note 10S",
    "M2101K7BI": "Redmi Note 11 SE",
    "M2103K19Y": "Redmi Note 10T",
    "M2103K19I": "Redmi Note 10T 5G",
    "TBD": "Redmi Note 10T 5G",
    "2201117TG": "Redmi Note 11",
    "2201117TI": "Redmi Note 11",
    "2201117TL": "Redmi Note 11",
    "2201117TY": "Redmi Note 11",
    "21121119SC": "Redmi Note 11 4G",
    "21091116AC": "Redmi Note 11 5G",
    "21091116C": "Redmi Note 11 Pro",
    "2201116TG": "Redmi Note 11 Pro",
    "2201116SG": "Redmi Note 11 Pro 5G",
    "2201116SR": "Redmi Note 11 Pro 5G",
    "21091116UC": "Redmi Note 11 Pro+",
    "2201116SI": "Redmi Note 11 Pro+ 5G",
    "21091116UG": "Redmi Note 11 Pro+ 5G",
    "22087RA4DI": "Redmi Note 11 SE",
    "22041219C": "Redmi Note 11E",
    "2201116SC": "Redmi Note 11E Pro",
    "2201117SY": "Redmi Note 11S",
    "2201117SG": "Redmi Note 11S",
    "2201117SI": "Redmi Note 11S",
    "2201117SL": "Redmi Note 11S",
    "22031116BG": "Redmi Note 11S 5G",
    "21091116AI": "Redmi Note 11T 5G",
    "22041216C": "Redmi Note 11T Pro",
    "22041216UC": "Redmi Note 11T Pro +",
    "M1908C3JGG": "Redmi Note 8",
    "GINKGO": "Redmi Note 8",
    "Redmi Note 8 Pro": "Redmi Note 8 pro",
    "begonia": "Redmi Note 8 Pro",
    "willow": "Redmi Note 8T",
    "M2007J22C": "Redmi Note 9",
    "M2003J15SI": "Redmi Note 9",
    "M2003J15SS": "Redmi Note 9",
    "M2003J15SG": "Redmi Note 9",
    "M2010J19SC": "Redmi Note 9 4G",
    "Redmi Note 9 Pro": "Redmi Note 9S",
    "curtana": "Redmi Note 9 Pro",
    "M2007J17C": "Redmi Note 9 pro",
    "A001XM": "Redmi Note 9T",
    "M2007J22G": "Redmi Note 9T",
    "22081283G": "Redmi Pad",
    "MiTV-MOOQ3": "Smart TV",
    "A8i-Q2": "A8i Q2",
    "M10 Pro LTE": "M10_Pro_LTE",
    "M7Plus": "M7 Plus",
    "reeder_M8S": "M8S",
    "P12Curve": "P12 Curve",
    "P13 Blue Max Pro Lite 2022": "P13_Blue_Pro_2022",
    "P13_Blue": "P13 Blue",
    "P13 Blue Max Lite 32GB": "P13 Blue  Max Lite 32GB",
    "P13_Blue_Maks": "P13 Blue Maks",
    "P13_Blue_Max": "P13 Blue Max",
    "P13 Blue Max Lite 2022": "P13_Blue_2022",
    "P13_Blue_Plus": "P13 Blue Plus",
    "P13 Blue Max PL": "P13 Blue Pro Lite",
    "P13_Max_Blue": "P13 Max Blue",
    "P13 Blue 2021": "P13_Blue_2021",
    "reeder_T8": "T8",
    "reeder_M10 Plus": "reeder M10 Plus",
    "reeder_M7_Go": "reeder M7",
    "reeder_M8 Plus": "reeder M8 Plus",
    "P12": "reeder P12",
    "P12S": "reeder P12S",
    "Rego": "Chocolate",
    "IPSetTopBox": "MCM3000",
    "RC505L-RW": "Orbic RC505L-RW",
    "LS-5010": "Smartphone JS LS-5010",
    "RD52": "RD-52",
    "AIVI2 FULL": "OpenR Link",
    "Reveal 16i": "rk3399_rvl_box",
    "BE_xl": "BE XL",
    "S6523 RU": "S6523_RU",
    "S6523": "X12",
    "S6523 EEA": "X12",
    "T5se": "Atom",
    "M10p": "M10p_001",
    "PACE A1": "portal",
    "Quartzo_up": "Quartzo Up",
    "cp250_gts": "CP250",
    "DeWalt MD501": "DEWALT MD501",
    "IMO_S": "IMO S",
    "RG650 U": "RG650",
    "RG725": "RG725_Q_US",
    "RugGear RG730": "RG730",
    "rg730": "RugGear rg730",
    "M675M4": "Cola Plus 4G",
    "AIS-M31": "M31",
    "S5506": "RUIO S5506",
    "S6518": "RUIO S6518",
    "i7c": "RUIO i7c Tablet",
    "S518": "RUIO_S518",
    "S4Plus": "Ruio_S4 Plus",
    "i7Plus": "Ruio_i7Plus",
    "RUIO_S4": "S4",
    "Svision Android TV 2K": "Australia",
    "SVISION 2K Android TV": "EU、UK、AP",
    "SVISION Android Monitor": "Japan,USA,Australia, Italy,German",
    "Svision Android TV": "S android TV",
    "AI PONT IT": "Smart TV",
    "SANCO Android TV": "Vietnam",
    "P1+": "P1_Plus",
    "Wise Tech Wifi": "Wise_Tech_Wifi",
    "Schneider 2K Android TV": "EU、UK、AP",
    "SCHNEIDER 4K Android TV": "SCHNEIDER",
    "SCHNEIDER 2K Android TV": "SCHNEIDER",
    "GO3C": "GO3C_VIVO",
    "GO3C Plus": "GO3C_Plus_VIVO",
    "NBP-65": "NBP_65",
    "SFR-G8800": "G8800",
    "STARSHINE II": "Star Shine II",
    "STARTRAIL5": "Star Trail 5",
    "STARTRAIL6": "Star Trail 6",
    "StarTrail III": "Star Trail III",
    "DV8219_SFR": "FR",
    "BHX-S100": "B tv smart",
    "BKO-S200": "B tv smart",
    "BFX-UA300": "SWAN",
    "BAS-AT800": "BTV",
    "EG668": "EG68BE",
    "EG978": "EG978TW",
    "S201": "K2401",
    "Clear": "T750",
    "BIP-AI100": "AI2",
    "BID-AI100": "AI2 ATV",
    "BIP-EB100": "PlayZ",
    "BID-AT200": "SMART3",
    "BIP-UW200": "Smart3 Mini",
    "ELITE_Octaplus": "Elite OctaPlus",
    "Elite OctaX": "Elite_OctaX",
    "SKR02": "Sky Brazil",
    "SK3402": "ARGENTINA",
    "X450-Locked to Life Wireless": "X450",
    "BLAZE_X500": "BLAZE X500",
    "FLAME_X555": "FLAME X555",
    "SOSMART_T5": "T5",
    "SPC Android TV": "EU、UK、AP",
    "GRAVITY 2": "GRAVITY-2",
    "GRAVITY PRO 2": "GRAVITY-PRO-2",
    "GRAVITY SE": "GRAVITY-SE",
    "GRAVITY ULTIMATE 2": "GRAVITY-ULTIMATE-2",
    "GRAVITY 3 PRO": "GRAVITY_3_PRO",
    "Gravity Max": "Gravity_Max",
    "LIGHTYEAR 2": "LIGHTYEAR-2",
    "LIGHTYEAR PRO 2": "LIGHTYEAR-PRO-2",
    "SMART 2": "SMART  2",
    "GRAVITY 3G_2019": "GRAVITY_3G_2019_eea",
    "GRAVITY 3 4G": "GRAVITY_3_4G",
    "SPC L50E": "L50E",
    "L51 Pro": "L51 PRO",
    "L52 Pro": "L52 PRO",
    "Blink 10.1": "Blink_10_1",
    "FLOW 7": "FLOW_7",
    "GRAVITY 3G": "GRAVITY3G",
    "GRAVITY 4G": "GRAVITY4G",
    "GRAVITY PRO": "GRAVITY_ PRO",
    "GRAVITY 4G_2019": "GRAVITY_4G_2019_eea",
    "GRAVITY_2019": "Gravity_2019",
    "HEAVEN 10.1": "heaven_10_1",
    "SAH55AM": "tap-POS-AM",
    "Spurt K800": "Spurt_K800",
    "Hope10 Max": "Hope10_Max",
    "Smooth 6.5": "Smooth6_5",
    "Smooth 6.1": "Smooth6_1",
    "Smooth 5.0": "Smooth_5_HD",
    "BLOCK_MINI": "BLOCK MINI",
    "BLOCK 3": "BLOCK_3",
    "BLOCK 3 mini": "BLOCK_3_mini",
    "BLOCK GO": "BLOCK_GO",
    "DUO": "Trimble DUO",
    "Block": "STF-BLOCK",
    "STG A1": "STG_A1",
    "STG S1": "STG_S1",
    "STG X1": "STG_X1",
    "STG S20": "STG_S20",
    "STG S30": "STG_S30",
    "Evo 2": "Evo_2",
    "STK_Hero_X": "Hero X",
    "Life 9": "Life_9",
    "STK_Sync_5c": "SYNC 5C",
    "Storm 2e Plus": "Storm 2e  Plus",
    "STK Storm 3": "Storm 3",
    "STK_Sync_5e": "Sync 5e",
    "STK Sync 5z": "Sync 5z",
    "STK_Transporter_1": "Transporter 1",
    "STK Ace": "cayenne",
    "Model K 4G": "Model K  4G",
    "Model 6": "Model_6",
    "Model 6 Pro": "Model_6_Pro",
    "Model_6_pro_4G": "Model_6_Pro_4G",
    "Model 6 Pro Max": "Model_6_Pro_Max",
    "Model S": "Model_S",
    "Model S 4G": "Model_S_4G",
    "Model T": "Model_T",
    "Model X": "Model_X",
    "Model Y": "Model_Y",
    "SKY 9 E201 3G SS9237MG": "SKY 9 E201 3G",
    "SKY 9 A102 3G SS9236PG": "SKY_9_A102_3G",
    "Sky 1430D 4G SS1270PL": "SS1270PL",
    "SKY Kids 70 SS7238PG": "SS7238PG",
    "SUNWIND SKY 7 E200 3G ST7230MG": "SUNWIND_SKY_7_E200_3G",
    "Sky 1123B 3G SS1259PG": "Sky_1123B_3G",
    "Sky 1262C 3G SS1260PG": "Sky_1262C_3G",
    "Sky 7143B 3G SS7265PG": "Sky_7143B_3G_SS7265PG",
    "Sky 8244B 3G SS8263PG": "Sky_8244B_3G_SS8263PG",
    "Hatch_102S": "SC-9810",
    "SC-4009DL": "SC4009DL",
    "SUPERSONIC 2K Smart TV": "Smart TV",
    "SUPERSONIC UHD Android TV": "USA",
    "SWTV": "Euro",
    "SWTV-20NA": "SWTV-20N",
    "SLTDVD9220-C": "SLTDVD9220_C",
    "NEON_VISION": "NEON VISION",
    "NEON RAY 2": "NEON_RAY_2",
    "m384wb": "WiboxTv",
    "SM-A710XZ": " Galaxy A7(2016)",
    "GT-B9120": "Absolute",
    "SCH-R880": "Acclaim",
    "SCH-R720": "Admire",
    "SGH-S730M": "Amazing",
    "SHV-E270L": "Baffin",
    "SAMSUNG-SGH-I927": "Captivate Glide",
    "SGH-I927": "Captivate Glide",
    "SCH-I699I": "China Telecom",
    "Samsung Chromebook 3": "Chromebook 3",
    "Samsung Chromebook Plus": "Chromebook Plus",
    "kevin": "Chromebook Plus",
    "Samsung Chromebook Plus (V2)": "Chromebook Plus (V2)",
    "nautilus": "Chromebook Plus (V2)",
    "Samsung Chromebook Pro": "Chromebook Pro",
    "caroline": "Chromebook Pro",
    "SPH-D600": "Conquer",
    "SAMSUNG-SGH-I857": "DoubleTime",
    "SCH-I510": "Droid Charge",
    "SM-G1600": "Elite",
    "SM-G1650": "Galaxy Folder2",
    "GT-I5500B": "Europa",
    "GT-I5500L": "Europa",
    "GT-I5500M": "Europa",
    "GT-I5503T": "Europa",
    "GT-I5510L": "Europa",
    "SGH-T759": "Exhibit",
    "EK-GC100": "Galaxy Camera",
    "GT-B9062": "Galaxy (China)",
    "YP-GI2": "Galaxy 070",
    "SHW-M100S": "Galaxy A",
    "archer": "Galaxy A",
    "SM-A716S": "Galaxy A Quantum",
    "SM-A015A": "Galaxy A01",
    "SM-A015AZ": "Galaxy A01",
    "SM-A015F": "Galaxy A01",
    "SM-A015G": "Galaxy A01",
    "SM-A015M": "Galaxy A01",
    "SM-A015T1": "Galaxy A01",
    "SM-A015U": "Galaxy A01",
    "SM-A015U1": "Galaxy A01",
    "SM-A015V": "Galaxy A01",
    "SM-S111DL": "Galaxy A01",
    "SM-A013F": "Galaxy A01 Core",
    "SM-A013G": "Galaxy A3 Core",
    "SM-A013M": "Galaxy A01 Core",
    "SM-A022F": "Galaxy A02",
    "SM-A022G": "Galaxy A02",
    "SM-A022M": "Galaxy A02",
    "SM-A025A": "Galaxy A02s",
    "SM-A025AZ": "Galaxy A02s",
    "SM-A025F": "Galaxy A02s",
    "SM-A025G": "Galaxy A02s",
    "SM-A025M": "Galaxy A02s",
    "SM-A025U": "Galaxy A02s",
    "SM-A025U1": "Galaxy A02s",
    "SM-A025V": "Galaxy A02s",
    "SM-S124DL": "Galaxy A02s",
    "SM-A035F": "Galaxy A03",
    "SM-A035G": "Galaxy A03",
    "SM-A035M": "Galaxy A03",
    "SM-A032F": "Galaxy A03 Core",
    "SM-A032M": "Galaxy A03 Core",
    "SM-A037F": "Galaxy A03s",
    "SM-A037G": "Galaxy A03s",
    "SM-A037M": "Galaxy A03s",
    "SM-A037U": "Galaxy A03s",
    "SM-A037U1": "Galaxy A03s",
    "SM-A037W": "Galaxy A03s",
    "SM-S134DL": "Galaxy A03s",
    "SM-A045F": "Galaxy A04",
    "SM-A045M": "Galaxy A04",
    "SM-A047F": "Galaxy A04s",
    "SM-A047M": "Galaxy A04s",
    "SM-A105F": "Galaxy A10",
    "SM-A105FN": "Galaxy A10",
    "SM-A105G": "Galaxy A10",
    "SM-A105M": "Galaxy A10",
    "SM-A105N": "Galaxy A10",
    "SM-A102U": "Galaxy A10e",
    "SM-A102U1": "Galaxy A10e",
    "SM-A102W": "Galaxy A10e",
    "SM-S102DL": "Galaxy A10e",
    "SM-A102N": "Galaxy A10e",
    "SM-A107F": "Galaxy A10s",
    "SM-A107M": "Galaxy A10s",
    "SM-A115A": "Galaxy A11",
    "SM-A115AP": "Galaxy A11",
    "SM-A115AZ": "Galaxy A11",
    "SM-A115F": "Galaxy A11",
    "SM-A115M": "Galaxy A11",
    "SM-A115U": "Galaxy A11",
    "SM-A115U1": "Galaxy A11",
    "SM-A115W": "Galaxy A11",
    "SM-A125F": "Galaxy A12",
    "SM-A125M": "Galaxy A12",
    "SM-A125N": "Galaxy A12",
    "SM-A127F": "Galaxy A12",
    "SM-A127M": "Galaxy A12",
    "SM-A125U": "Galaxy A12",
    "SM-A125U1": "Galaxy A12",
    "SM-A125W": "Galaxy A12",
    "SM-S127DL": "Galaxy A12",
    "SM-A135F": "Galaxy A13",
    "SM-A135M": "Galaxy A13",
    "SM-A135N": "Galaxy A13",
    "SM-A135U": "Galaxy A13",
    "SM-A135U1": "Galaxy A13",
    "SM-A137F": "Galaxy A13",
    "SM-A136B": "Galaxy A13 5G",
    "SM-A136M": "Galaxy A13 5G",
    "SM-A136U": "Galaxy A13 5G",
    "SM-A136U1": "Galaxy A13 5G",
    "SM-A136W": "Galaxy A13 5G",
    "SM-S136DL": "Galaxy A13 5G",
    "SM-A260F": "Galaxy A2 Core",
    "SM-A260G": "Galaxy A2 Core",
    "SC-02M": "Galaxy A20",
    "SCV46": "Galaxy A20",
    "SCV46-j": "Galaxy A20",
    "SCV46-u": "Galaxy A20",
    "SM-A205F": "Galaxy A20",
    "SM-A205FN": "Galaxy A20",
    "SM-A205G": "Galaxy A20",
    "SM-A205GN": "Galaxy A20",
    "SM-A205W": "Galaxy A20",
    "SM-A205YN": "Galaxy A20",
    "SM-A205U": "Galaxy A20",
    "SM-A205U1": "Galaxy A20",
    "SM-S205DL": "Galaxy A20",
    "SM-A202F": "Galaxy A20e",
    "SM-A2070": "Galaxy A20s",
    "SM-A207F": "Galaxy A20s",
    "SM-A207M": "Galaxy A20s",
    "SC-42A": "Galaxy A21",
    "SCV49": "Galaxy A21",
    "SM-A215U": "Galaxy A21",
    "SM-A215U1": "Galaxy A21",
    "SM-A215W": "Galaxy A21",
    "SM-S215DL": "Galaxy A21",
    "SM-A217F": "Galaxy A21s",
    "SM-A217M": "Galaxy A21s",
    "SM-A217N": "Galaxy A21s",
    "SM-A225F": "Galaxy A22",
    "SM-A225M": "Galaxy A22",
    "SC-56B": "Galaxy A22 5G",
    "SM-A226B": "Galaxy A22s 5G",
    "SM-A226BR": "Galaxy A22 5G",
    "SM-A235F": "Galaxy A23",
    "SM-A235M": "Galaxy A23",
    "SM-A235N": "Galaxy A23",
    "SC-56C": "Galaxy A23 5G",
    "SCG18": "Galaxy A23 5G",
    "SM-A233C": "Galaxy A23 5G",
    "SM-A2360": "Galaxy A23 5G",
    "SM-A236B": "Galaxy A23 5G",
    "SM-A236E": "Galaxy A23 5G",
    "SM-A236M": "Galaxy A23 5G",
    "SM-A236U": "Galaxy A23 5G",
    "SM-A236U1": "Galaxy A23 5G",
    "SM-S236DL": "Galaxy A23 5G",
    "SM-A300H": "Galaxy A3",
    "SM-A300F": "Galaxy A3",
    "SM-A300M": "Galaxy A3",
    "SM-A300XZ": "Galaxy A3",
    "SM-A300YZ": "Galaxy A3",
    "SM-A3000": "Galaxy A3",
    "SM-A300X": "Galaxy A3",
    "SM-A3009": "Galaxy A3",
    "SM-A300G": "Galaxy A3",
    "SM-A300FU": "Galaxy A3",
    "SM-A300XU": "Galaxy A3",
    "SM-A300Y": "Galaxy A3",
    "SM-A320Y": "Galaxy A3 (2017)",
    "SM-A310F": "Galaxy A3(2016)",
    "SM-A310M": "Galaxy A3(2016)",
    "SM-A310X": "Galaxy A3(2016)",
    "SM-A310Y": "Galaxy A3(2016)",
    "SM-A310N0": "Galaxy A3(2016)",
    "SM-A320F": "Galaxy A3(2017)",
    "SM-A320FL": "Galaxy A3(2017)",
    "SM-A320X": "Galaxy A3(2017)",
    "SCV43": "Galaxy A30",
    "SCV43-j": "Galaxy A30",
    "SCV43-u": "Galaxy A30",
    "SM-A305F": "Galaxy A30",
    "SM-A305FN": "Galaxy A30",
    "SM-A305G": "Galaxy A30",
    "SM-A305GN": "Galaxy A30",
    "SM-A305GT": "Galaxy A30",
    "SM-A305N": "Galaxy A30",
    "SM-A305YN": "Galaxy A30",
    "SM-A307FN": "Galaxy A30s",
    "SM-A307G": "Galaxy A30s",
    "SM-A307GN": "Galaxy A30s",
    "SM-A307GT": "Galaxy A30s",
    "SM-A315F": "Galaxy A31",
    "SM-A315G": "Galaxy A31",
    "SM-A315N": "Galaxy A31",
    "SM-A325F": "Galaxy A32",
    "SM-A325M": "Galaxy A32",
    "SM-A325N": "Galaxy A32",
    "SCG08": "Galaxy A32 5G",
    "SM-A326B": "Galaxy A32 5G",
    "SM-A326BR": "Galaxy A32 5G",
    "SM-A326U": "Galaxy A32 5G",
    "SM-A326U1": "Galaxy A32 5G",
    "SM-A326W": "Galaxy A32 5G",
    "SM-S326DL": "Galaxy A32 5G",
    "SM-A3360": "Galaxy A33 5G",
    "SM-A336B": "Galaxy A33 5G",
    "SM-A336E": "Galaxy A33 5G",
    "SM-A336M": "Galaxy A33 5G",
    "SM-A336N": "Galaxy A33 5G",
    "SM-A405FM": "Galaxy A40",
    "SM-A405FN": "Galaxy A40",
    "SM-A405S": "Galaxy A40",
    "SM-A3050": "Galaxy A40s",
    "SM-A3051": "Galaxy A40s",
    "SM-A3058": "Galaxy A40s",
    "SC-41A": "Galaxy A41",
    "SCV48": "Galaxy A41",
    "SM-A415F": "Galaxy A41",
    "SM-A4260": "Galaxy A42 5G",
    "SM-A426B": "Galaxy A42 5G",
    "SM-A426N": "Galaxy A42 5G",
    "SM-A426U": "Galaxy A42 5G",
    "SM-A426U1": "Galaxy A42 5G",
    "SM-S426DL": "Galaxy A42 5G",
    "SM-A500H": "Galaxy A5",
    "SM-A500F": "Galaxy A5",
    "SM-A500G": "Galaxy A5",
    "SM-A500M": "Galaxy A5",
    "SM-A500XZ": "Galaxy A5",
    "SM-A5000": "Galaxy A5",
    "SM-A500X": "Galaxy A5",
    "SM-A5009": "Galaxy A5",
    "SM-A500YZ": "Galaxy A5",
    "SM-A500FU": "Galaxy A5",
    "SM-A500Y": "Galaxy A5",
    "SM-A500W": "Galaxy A5",
    "SM-A500K": "Galaxy A5",
    "SM-A500L": "Galaxy A5",
    "SM-A500F1": "Galaxy A5",
    "SM-A500S": "Galaxy A5",
    "SM-A510Y": "Galaxy A5(2016)",
    "SM-A510F": "Galaxy A5(2016)",
    "SM-A510M": "Galaxy A5(2016)",
    "SM-A510X": "Galaxy A5(2016)",
    "SM-A5108": "Galaxy A5(2016)",
    "SM-A510K": "Galaxy A5(2016)",
    "SM-A510L": "Galaxy A5(2016)",
    "SM-A510S": "Galaxy A5(2016)",
    "SM-A5100": "Galaxy A5(2016)",
    "SM-A5100X": "Galaxy A5(2016)",
    "SM-A510XZ": "Galaxy A5(2016)",
    "SM-A520F": "Galaxy A5(2017)",
    "SM-A520X": "Galaxy A5(2017)",
    "SM-A520W": "Galaxy A5(2017)",
    "SM-A520K": "Galaxy A5(2017)",
    "SM-A520L": "Galaxy A5(2017)",
    "SM-A520S": "Galaxy A5(2017)",
    "SM-A505F": "Galaxy A50",
    "SM-A505FM": "Galaxy A50",
    "SM-A505FN": "Galaxy A50",
    "SM-A505G": "Galaxy A50",
    "SM-A505GN": "Galaxy A50",
    "SM-A505GT": "Galaxy A50",
    "SM-A505N": "Galaxy A50",
    "SM-A505U": "Galaxy A50",
    "SM-A505U1": "Galaxy A50",
    "SM-A505W": "Galaxy A50",
    "SM-A505YN": "Galaxy A50",
    "SM-S506DL": "Galaxy A50",
    "SM-A5070": "Galaxy A50s",
    "SM-A507FN": "Galaxy A50s",
    "SM-A515F": "Galaxy A51",
    "SM-A515U": "Galaxy A51",
    "SM-A515U1": "Galaxy A51",
    "SM-A515W": "Galaxy A51",
    "SM-S515DL": "Galaxy A51",
    "SC-54A": "Galaxy A51 5G",
    "SCG07": "Galaxy A51 5G",
    "SM-A5160": "Galaxy A51 5G",
    "SM-A516B": "Galaxy A51 5G",
    "SM-A516N": "Galaxy A51 5G",
    "SM-A516U": "Galaxy A51 5G",
    "SM-A516U1": "Galaxy A51 5G",
    "SM-A516V": "Galaxy A51 5G",
    "SM-A525F": "Galaxy A52",
    "SM-A525M": "Galaxy A52",
    "SC-53B": "Galaxy A52 5G",
    "SM-A5260": "Galaxy A52 5G",
    "SM-A526B": "Galaxy A52 5G",
    "SM-A526N": "Galaxy A52 5G",
    "SM-A526U": "Galaxy A52 5G",
    "SM-A526U1": "Galaxy A52 5G",
    "SM-A526W": "Galaxy A52 5G",
    "SM-A528B": "Galaxy A52s 5G",
    "SM-A528N": "Galaxy A52s 5G",
    "SC-53C": "Galaxy A53 5G",
    "SCG15": "Galaxy A53 5G",
    "SM-A5360": "Galaxy A53 5G",
    "SM-A536B": "Galaxy A53 5G",
    "SM-A536E": "Galaxy A53 5G",
    "SM-A536N": "Galaxy A53 5G",
    "SM-A536U": "Galaxy A53 5G",
    "SM-A536U1": "Galaxy A53 5G",
    "SM-A536W": "Galaxy A53 5G",
    "SM-S536DL": "Galaxy A53 5G",
    "SM-A536V": "Galaxy A53 5G UW",
    "SM-A600AZ": "Galaxy A6",
    "SM-A600A": "Galaxy A6",
    "SM-A600T1": "Galaxy A6",
    "SM-A600P": "Galaxy A6",
    "SM-A600T": "Galaxy A6",
    "SM-A600U": "Galaxy A6",
    "SM-A600F": "Galaxy A6",
    "SM-A600FN": "Galaxy A6",
    "SM-A600G": "Galaxy A6",
    "SM-A600GN": "Galaxy A6",
    "SM-A600N": "Galaxy A6",
    "SM-A605F": "Galaxy A6+",
    "SM-A605FN": "Galaxy A6+",
    "SM-A605G": "Galaxy A6+",
    "SM-A605GN": "Galaxy A6+",
    "SM-A6050": "Galaxy A9 Star Lite",
    "SM-A6060": "Galaxy A60",
    "SM-A606Y": "Galaxy A60",
    "SM-A700H": "Galaxy A7",
    "SM-A700F": "Galaxy A7",
    "SM-A700FD": "Galaxy A7",
    "SM-A700X": "Galaxy A7",
    "SM-A7000": "Galaxy A7",
    "SM-A700YD": "Galaxy A7",
    "SM-A7009": "Galaxy A7",
    "SM-A700K": "Galaxy A7",
    "SM-A700L": "Galaxy A7",
    "SM-A700S": "Galaxy A7",
    "SM-A750C": "Galaxy A7",
    "SM-A750F": "Galaxy A7 (2018)",
    "SM-A750FN": "Galaxy A7 (2018)",
    "SM-A750G": "Galaxy A7 (2018)",
    "SM-A750GN": "Galaxy A7 (2018)",
    "SM-A750N": "Galaxy A7 (2018)",
    "SM-A710F": "Galaxy A7(2016)",
    "SM-A710M": "Galaxy A7(2016)",
    "SM-A710X": "Galaxy A7(2016)",
    "SM-A7108": "Galaxy A7(2016)",
    "SM-A710K": "Galaxy A7(2016)",
    "SM-A710L": "Galaxy A7(2016)",
    "SM-A710S": "Galaxy A7(2016)",
    "SM-A710Y": "Galaxy A7(2016)",
    "SM-A7100": "Galaxy A7(2016)",
    "SM-A720F": "Galaxy A7(2017)",
    "SM-A720S": "Galaxy A7(2017)",
    "SM-A7050": "Galaxy A70",
    "SM-A705F": "Galaxy A70",
    "SM-A705FN": "Galaxy A70",
    "SM-A705GM": "Galaxy A70",
    "SM-A705MN": "Galaxy A70",
    "SM-A705U": "Galaxy A70",
    "SM-A705W": "Galaxy A70",
    "SM-A705YN": "Galaxy A70",
    "SM-A7070": "Galaxy A70s",
    "SM-A707F": "Galaxy A70s",
    "SM-A715F": "Galaxy A71",
    "SM-A715W": "Galaxy A71",
    "SM-A7160": "Galaxy A71 5G",
    "SM-A716B": "Galaxy A71 5G",
    "SM-A716U": "Galaxy A71 5G",
    "SM-A716U1": "Galaxy A71 5G",
    "SM-A716V": "Galaxy A71 5G",
    "SM-A725F": "Galaxy A72",
    "SM-A725M": "Galaxy A72",
    "SM-A736B": "Galaxy A73 5G",
    "SCV32": "Galaxy A8",
    "SM-A800F": "Galaxy A8",
    "SM-A800YZ": "Galaxy A8",
    "SM-A800S": "Galaxy A8",
    "SM-A800I": "Galaxy A8",
    "SM-A800IZ": "Galaxy A8",
    "SM-A8000": "Galaxy A8",
    "SM-A800X": "Galaxy A8",
    "SM-G885F": "Galaxy A8 Star",
    "SM-G885Y": "Galaxy A8 Star",
    "SM-G8850": "Galaxy A9 Star",
    "SM-G885S": "Galaxy A8 Star",
    "SM-A810F": "Galaxy A8(2016)",
    "SM-A810YZ": "Galaxy A8(2016)",
    "SM-A810S": "Galaxy A8(2016)",
    "SM-A530F": "Galaxy A8(2018)",
    "SM-A530X": "Galaxy A8(2018)",
    "SM-A530W": "Galaxy A8(2018)",
    "SM-A530N": "Galaxy A8(2018)",
    "SM-A730F": "Galaxy A8+(2018)",
    "SM-A730X": "Galaxy A8+(2018)",
    "SM-A8050": "Galaxy A80",
    "SM-A805F": "Galaxy A80",
    "SM-A805N": "Galaxy A80",
    "SM-G887F": "Galaxy A8s",
    "SM-G8870": "Galaxy A8s",
    "SM-A920F": "Galaxy A9 (2018)",
    "SM-A920N": "Galaxy A9 (2018)",
    "SM-A9200": "Galaxy A9s",
    "SM-G887N": "Galaxy A9 Pro",
    "SM-A9100": "Galaxy A9 Pro",
    "SM-A910F": "Galaxy A9 Pro",
    "SM-G8858": "Galaxy A9 Star",
    "SM-A605XC": "Galaxy A9 Star Lite",
    "SM-A6058": "Galaxy A9 Star Lite",
    "SM-A9000": "Galaxy-A9(2016)",
    "SM-A9080": "Galaxy A90 5G",
    "SM-A908B": "Galaxy A90 5G",
    "SM-A908N": "Galaxy A90 5G",
    "GT-S5830": "Galaxy Ace",
    "GT-S5830B": "Galaxy Ace",
    "GT-S5830C": "Galaxy Ace",
    "GT-S5830D": "Galaxy Ace",
    "GT-S5830F": "Galaxy Ace",
    "GT-S5830G": "Galaxy Ace",
    "GT-S5830L": "Galaxy Ace",
    "GT-S5830M": "Galaxy Ace",
    "GT-S5830T": "Galaxy Ace",
    "GT-S5830i": "Galaxy Ace",
    "GT-S5831i": "Galaxy Ace",
    "GT-S5838": "Galaxy Ace",
    "GT-S5839i": "Galaxy Ace",
    "GT-S6358": "Galaxy Ace",
    "SCH-I619": "Galaxy Ace",
    "SHW-M240S": "Galaxy Ace",
    "SM-G310R5": "Galaxy Ace",
    "SM-G357M": "Galaxy Ace",
    "SM-G313HU": "Galaxy Ace 4",
    "SM-G313HY": "Galaxy Ace 4",
    "SM-G313M": "Galaxy Ace 4",
    "SM-G313MY": "Galaxy Ace 4",
    "SM-G313U": "Galaxy Ace 4 Lite",
    "GT-S6800": "Galaxy Ace Advance",
    "GT-S6352": "Galaxy Ace Duos",
    "GT-S6802": "Galaxy Ace Duos",
    "GT-S6802B": "Galaxy Ace Duos",
    "SCH-i579": "Galaxy Ace Duos",
    "SCH-I589": "Galaxy Ace Duos",
    "SCH-i589": "Galaxy Ace Duos",
    "GT-S7500": "Galaxy Ace Plus",
    "GT-S7500L": "Galaxy Ace Plus",
    "GT-S7500T": "Galaxy Ace Plus",
    "GT-S7500W": "Galaxy Ace Plus",
    "GT-S7508": "Galaxy Ace Plus",
    "SGH-I827D": "Galaxy Ace Q",
    "SM-S765C": "Galaxy Ace Style",
    "SM-S766C": "Galaxy Ace Style",
    "SM-G310HN": "Galaxy Ace Style",
    "SM-G357FZ": "Galaxy Ace Style",
    "GT-I8160": "Galaxy Ace2",
    "GT-I8160L": "Galaxy Ace2",
    "GT-I8160P": "Galaxy Ace2",
    "GT-S7560": "Galaxy Ace2 X",
    "GT-S7560M": "Galaxy Ace2 X",
    "GT-S7270": "Galaxy Ace3",
    "GT-S7270L": "Galaxy Ace3",
    "SCH-I679": "Galaxy Ace3",
    "GT-S7278": "Galaxy Ace3",
    "GT-S7272": "Galaxy Ace3",
    "GT-S7275": "Galaxy S",
    "GT-S7275B": "Galaxy Ace3",
    "GT-S7275R": "Galaxy Ace3",
    "GT-S7275T": "Galaxy Ace3",
    "GT-S7275Y": "Galaxy Ace3",
    "GT-S7272C": "Galaxy Ace3 Duos",
    "GT-S7278U": "Galaxy Ace3 Duos",
    "GT-S7273T": "Galaxy S2 Duos TV",
    "SM-G313ML": "Galaxy Ace4",
    "SM-G316H": "Galaxy Ace4",
    "SM-G316HU": "Galaxy Ace4",
    "SM-G316M": "Galaxy Ace4",
    "SM-G316MY": "Galaxy Ace4",
    "SM-G313F": "Galaxy Ace4",
    "SM-G313MU": "Galaxy Ace4",
    "SM-G313HN": "Galaxy Ace4",
    "SM-G3139D": "Galaxy Ace4 Lite",
    "SM-G313H": "Galaxy Ace4 Lite",
    "SM-G316U": "Galaxy Ace4 Lite",
    "SM-G318H": "Galaxy Ace4 Lite",
    "SM-G318ML": "Galaxy Ace4 Lite",
    "SM-G318HZ": "Galaxy Ace4 Lite",
    "SM-G318MZ": "Galaxy Ace4 Lite",
    "SM-G316ML": "Galaxy Ace4 Neo",
    "SC-01H": "Galaxy Active neo",
    "SCH-R820": "Galaxy Admire",
    "SCH-R830C": "Galaxy Admire 2",
    "SM-G850F": "Galaxy Alpha",
    "SM-G850FQ": "Galaxy Alpha",
    "SM-G850M": "Galaxy Alpha",
    "SM-G850X": "Galaxy Alpha",
    "SM-G850Y": "Galaxy Alpha",
    "SAMSUNG-SM-G850A": "Galaxy Alpha",
    "SM-G850W": "Galaxy Alpha",
    "SM-G8508S": "Galaxy Alpha",
    "SM-G850K": "Galaxy Alpha",
    "SM-G850L": "Galaxy Alpha",
    "SM-G850S": "Galaxy Alpha",
    "SAMSUNG-SGH-I407": "Galaxy Amp",
    "GT-I5800": "Galaxy Apollo",
    "GT-I5800L": "Galaxy Apollo",
    "GT-I5800D": "Galaxy Apollo",
    "GT-I5801": "Galaxy Apollo",
    "SAMSUNG-SGH-I827": "Galaxy Appeal",
    "SCH-R920": "Galaxy Attain",
    "SM-G386T": "Galaxy Avant",
    "SCH-R830": "Galaxy Axiom",
    "GT-I8250": "Galaxy Beam",
    "GT-I8530": "Galaxy Beam",
    "SM-A226L": "Galaxy Buddy",
    "SM-M236L": "Galaxy Buddy2",
    "SM-C5000": "Galaxy C5",
    "SM-C500X": "Galaxy C5",
    "SM-C5010": "Galaxy C5 Pro",
    "SM-C5018": "Galaxy C5 Pro",
    "SM-C7000": "Galaxy C7",
    "SM-C700X": "Galaxy C7",
    "SM-C701X": "Galaxy C7",
    "SM-C701F": "Galaxy C7 Pro",
    "SM-C7010": "Galaxy C7 Pro",
    "SM-C7018": "Galaxy C7 Pro",
    "SM-C7100": "Galaxy C8",
    "SM-C710X": "Galaxy C8",
    "SM-C7108": "Galaxy C8",
    "SM-C900F": "Galaxy C9 Pro",
    "SM-C900Y": "Galaxy C9 Pro",
    "SM-C9000": "Galaxy C9 Pro",
    "SM-C9008": "Galaxy C9 Pro",
    "SM-C900X": "Galaxy C9 Pro",
    "SAMSUNG-EK-GC100": "Galaxy Camera",
    "EK-KC100K": "Galaxy Camera",
    "EK-KC120L": "Galaxy Camera",
    "EK-KC120S": "Galaxy Camera",
    "EK-GC120": "Galaxy Camera",
    "EK-KC100S": "Galaxy Camera",
    "EK-GC110": "Galaxy Camera",
    "EK-GN100": "Galaxy Camera",
    "EK-GN120": "Galaxy NX",
    "EK-GC200": "Galaxy Camera 2",
    "SCH-S738C": "Galaxy Centura",
    "GT-B5330": "Galaxy Chat",
    "GT-B5330B": "Galaxy Chat",
    "GT-B5330L": "Galaxy Chat",
    "SM-G386T1": "Galaxy Core",
    "SM-G386W": "Galaxy Core",
    "GT-I8262": "Galaxy Core",
    "GT-I8260": "Galaxy Core",
    "GT-I8260L": "Galaxy Core",
    "SM-G355H": "Galaxy Core2",
    "GT-I8580": "Galaxy Core Advance",
    "SHW-M570S": "Galaxy Core Advance",
    "SM-G386F": "Galaxy Core LTE",
    "SM-G3518": "Galaxy Core LTE",
    "SM-G3586V": "Galaxy Core Lite",
    "SM-G3589W": "Galaxy Core Lite",
    "SM-G5108": "Galaxy Core Max",
    "SM-G5108Q": "Galaxy Core Max Duos",
    "SM-G350": "Galaxy Core Plus",
    "SM-G3502": "Galaxy Core Plus",
    "SM-G3502L": "Galaxy Core Plus",
    "SM-G3502T": "Galaxy Core Plus",
    "SM-G350L": "Galaxy Core Plus",
    "SM-G350M": "Galaxy Core Plus",
    "SM-G360H": "Galaxy Core Prime",
    "SM-G360HU": "Galaxy Core Prime",
    "SM-G360F": "Galaxy Core Prime",
    "SM-G360FY": "Galaxy Core Prime",
    "SM-G360M": "Galaxy Core Prime",
    "SAMSUNG-SM-G360AZ": "Galaxy Core Prime",
    "SM-G360R6": "Galaxy Core Prime",
    "SM-G360P": "Galaxy Core Prime",
    "SM-S820L": "Galaxy Core Prime",
    "SM-G360V": "Galaxy Core Prime",
    "SM-G361H": "Galaxy Core Prime",
    "SM-G361HU": "Galaxy Core Prime",
    "SM-G361F": "Galaxy Core Prime",
    "SM-G361M": "Galaxy Core Prime",
    "SM-G360T1": "Galaxy Core Prime",
    "SM-G360T": "Galaxy Core Prime",
    "SM-G3606": "Galaxy Core Prime",
    "SM-G3608": "Galaxy Core Prime",
    "SM-G3609": "Galaxy Core Prime",
    "SM-G360GY": "Galaxy Core Prime",
    "GT-I8260E": "Galaxy Core Safe",
    "SHW-M580D": "Galaxy Core Safe",
    "SHW-M585D": "Galaxy Core Safe",
    "SM-G355HQ": "Galaxy Core2",
    "SM-G355M": "Galaxy Core2",
    "SM-G3556D": "Galaxy Core2",
    "SM-G3558": "Galaxy Core2",
    "SM-G3559": "Galaxy Core2",
    "SM-G355HN": "Galaxy Core2",
    "SCH-R740C": "Galaxy Discover",
    "SCH-S735C": "Galaxy Discover",
    "GT-I8268": "Galaxy Duos",
    "SM-E500H": "Galaxy E5",
    "SM-E500F": "Galaxy E5",
    "SM-E500M": "Galaxy E5",
    "SM-S978L": "Galaxy E5",
    "SM-E500YZ": "Galaxy E5",
    "SM-E700H": "Galaxy E7",
    "SM-E700F": "Galaxy E7",
    "SM-E700M": "Galaxy E7",
    "SM-E7000": "Galaxy E7",
    "SM-E7009": "Galaxy E7",
    "SM-G165N": "Galaxy Elite",
    "GT-I5500": "Galaxy Europa",
    "GT-I5503": "Galaxy Europa",
    "GT-I5508": "Galaxy Europa",
    "GT-I5510": "Galaxy Europa",
    "SGH-T599N": "Galaxy Exhibit",
    "SGH-T599": "Galaxy Exhibit",
    "SGH-T599V": "Galaxy Exhibit",
    "SGH-T679": "Galaxy Exhibit2",
    "SAMSUNG-SGH-I577": "Galaxy Exhilarate",
    "SAMSUNG-SGH-I437": "Galaxy Express",
    "SAMSUNG-SGH-I437P": "Galaxy Express",
    "GT-I8730": "Galaxy Express",
    "GT-I8730T": "Galaxy Express",
    "SAMSUNG-SGH-I437Z": "Galaxy Express",
    "SM-G3815": "Galaxy Express2",
    "SM-E025F": "Galaxy F02s",
    "SM-F127G": "Galaxy F12",
    "SM-E135F": "Galaxy F13",
    "SM-E225F": "Galaxy F22",
    "SM-E236B": "Galaxy F23 5G",
    "SM-F415F": "Galaxy F41",
    "SM-E426B": "Galaxy F42 5G",
    "SM-E5260": "Galaxy F52 5G",
    "SM-E625F": "Galaxy F62",
    "SCH-I629": "Galaxy Fame",
    "GT-S6810": "Galaxy Fame",
    "GT-S6810B": "Galaxy Fame",
    "GT-S6810E": "Galaxy Fame",
    "GT-S6810L": "Galaxy Fame",
    "GT-S6812i": "Galaxy Fame",
    "GT-S6818": "Galaxy Fame",
    "GT-S6818V": "Galaxy Fame",
    "GT-S6812": "Galaxy Fame",
    "GT-S6812B": "Galaxy Fame",
    "GT-S6790N": "Galaxy Fame",
    "GT-S6810M": "Galaxy Fame",
    "GT-S6810P": "Galaxy Fame",
    "GT-S6790": "Galaxy Fame",
    "GT-S6790E": "Galaxy Fame",
    "GT-S6790L": "Galaxy Fame",
    "GT-S6812C": "Galaxy Fame",
    "GT-S6792L": "Galaxy Fame Lite Duos",
    "SC-04J": "Galaxy Feel",
    "SC-02L": "Galaxy Feel2",
    "GT-S5670": "Galaxy Fit",
    "GT-S5670B": "Galaxy Fit",
    "GT-S5670L": "Galaxy Fit",
    "SCV44": "Galaxy Fold",
    "SM-F9000": "Galaxy Fold",
    "SM-F900F": "Galaxy Fold",
    "SM-F900U": "Galaxy Fold",
    "SM-F900U1": "Galaxy Fold",
    "SM-F900W": "Galaxy Fold",
    "SM-F907B": "Galaxy Fold 5G",
    "SM-F907N": "Galaxy Fold 5G",
    "SM-G155S": "Galaxy Folder",
    "SM-G150NK": "Galaxy Folder",
    "SM-G150N0": "Galaxy Folder",
    "SM-G150NL": "Galaxy Folder",
    "SM-G150NS": "Galaxy Folder",
    "SM-G160N": "Galaxy Folder2",
    "GT-S7390": "Galaxy Trend Lite",
    "GT-S7390E": "Galaxy Fresh",
    "GT-S7390G": "Galaxy Fresh",
    "GT-S5660": "Galaxy Gio",
    "GT-S5660B": "Galaxy Gio",
    "GT-S5660L": "Galaxy Gio",
    "GT-S5660M": "Galaxy Gio",
    "GT-S5660V": "Galaxy Gio",
    "SCH-i569": "Galaxy Gio",
    "SHW-M290K": "Galaxy Gio",
    "SHW-M290S": "Galaxy Gio",
    "SAMSUNG-SM-G530A": "Galaxy Go Prime",
    "GT-I9230": "Galaxy Golden",
    "GT-I9235": "Galaxy Golden",
    "SHV-E400K": "Galaxy Golden",
    "SHV-E400S": "Galaxy Golden",
    "SM-W2015": "Galaxy Golden 2",
    "SCH-I879": "Galaxy Grand",
    "GT-I9128": "Galaxy Grand",
    "GT-I9128V": "Galaxy Grand",
    "SHV-E270K": "Galaxy Grand",
    "SHV-E270S": "Galaxy Grand",
    "GT-I9118": "Galaxy Grand",
    "GT-I9080E": "Galaxy Grand",
    "GT-I9080L": "Galaxy Grand",
    "SHV-E275K": "Galaxy Grand",
    "SHV-E275S": "Galaxy Grand",
    "GT-I9128E": "Galaxy Grand",
    "GT-I9128I": "Galaxy Grand",
    "GT-I9082": "Galaxy Grand Duos",
    "GT-I9082L": "Galaxy Grand Duos",
    "SM-G7202": "Galaxy Grand Max",
    "SM-G7200": "Galaxy Grand Max",
    "SM-G720AX": "Galaxy Grand Max",
    "GT-I9060": "Galaxy Grand Neo",
    "GT-I9060L": "Galaxy Grand Neo",
    "GT-I9082C": "Galaxy Grand Neo",
    "GT-I9063T": "Galaxy Grand Neo",
    "GT-I9168": "Galaxy Grand Neo",
    "GT-I9168I": "Galaxy Grand Neo",
    "GT-I9060C": "Galaxy Grand Neo Plus",
    "GT-I9060I": "Galaxy Grand Neo Plus",
    "GT-I9060M": "Galaxy Grand Neo Plus",
    "SCH-I879E": "Galaxy Grand Neo+",
    "SM-G530H": "Galaxy Grand Prime",
    "SM-G530BT": "Galaxy Grand Prime",
    "SM-G5306W": "Galaxy Grand Prime",
    "SM-G5308W": "Galaxy Grand Prime",
    "SM-G530F": "Galaxy Grand Prime",
    "SM-G530M": "Galaxy Grand Prime",
    "SM-G5309W": "Galaxy Grand Prime",
    "SM-G530MU": "Galaxy Grand Prime",
    "SM-G530Y": "Galaxy Grand Prime",
    "SM-G530R7": "Galaxy Grand Prime",
    "gprimelteacg": "Galaxy Grand Prime",
    "SM-G530W": "Galaxy Grand Prime",
    "SM-G530T1": "Galaxy Grand Prime",
    "SM-G530P": "Galaxy Grand Prime",
    "SM-S920L": "Galaxy Grand Prime",
    "SM-G530T": "Galaxy Grand Prime",
    "SM-G530R4": "Galaxy Grand Prime",
    "SM-G530FZ": "Galaxy Grand Prime",
    "SAMSUNG-SM-G530AZ": "Galaxy Grand Prime",
    "SM-G531H": "Galaxy Grand Prime",
    "SM-G531BT": "Galaxy Grand Prime",
    "SM-G531F": "Galaxy Grand Prime",
    "SM-G531M": "Galaxy Grand Prime",
    "SM-G531Y": "Galaxy Grand Prime",
    "SM-G532F": "Galaxy Grand Prime Plus",
    "SM-G532MT": "Galaxy Grand Prime Plus",
    "SM-J250F": "Galaxy J2 Pro",
    "GT-I9082i": "Galaxy Grand duos",
    "SM-G720N0": "Galaxy Grand-Max",
    "SM-G7102": "Galaxy Grand2",
    "SM-G7106": "Galaxy Grand2",
    "SM-G7108": "Galaxy Grand2",
    "SM-G7109": "Galaxy Grand2",
    "SM-G7102T": "Galaxy Grand2",
    "SM-G710": "Galaxy Grand2",
    "SM-G7105": "Galaxy Grand2",
    "SM-G7105H": "Galaxy Grand2",
    "SM-G7105L": "Galaxy Grand2",
    "SM-G710K": "Galaxy Grand2",
    "SM-G710L": "Galaxy Grand2",
    "SM-G710S": "Galaxy Grand2",
    "SCH-R910": "Galaxy Indulge",
    "SCH-R915": "Galaxy Indulge",
    "SCH-I759": "Galaxy Infinite",
    "SGH-N075T": "Galaxy J",
    "SM-J100H": "Galaxy J1",
    "SM-J100ML": "Galaxy J1",
    "SM-S777C": "Galaxy J1",
    "SM-J100F": "Galaxy J1",
    "SM-J100G": "Galaxy J1",
    "SM-J100M": "Galaxy J1",
    "SM-J100FN": "Galaxy J1",
    "SM-J100MU": "Galaxy J1",
    "SM-J100Y": "Galaxy J1",
    "SM-J100VPP": "Galaxy J1",
    "SM-J120F": "Galaxy J1 (2016)",
    "SM-J120FN": "Galaxy J1",
    "SM-J120M": "Galaxy J1",
    "SAMSUNG-SM-J120AZ": "Galaxy J1",
    "SAMSUNG-SM-J120A": "Galaxy J1",
    "SM-J120W": "Galaxy J1",
    "SM-J120P": "Galaxy J1",
    "SM-S120VL": "Galaxy J1",
    "SM-J110F": "Galaxy J1 Ace",
    "SM-J110G": "Galaxy J1 Ace",
    "SM-J110M": "Galaxy J1 Ace",
    "SM-J111F": "Galaxy J1 Ace",
    "SM-J111M": "Galaxy J1 Ace",
    "SM-J110H": "Galaxy J1 Ace",
    "SM-J110L": "Galaxy J1 Ace",
    "SM-J105B": "Galaxy J1 Mini",
    "SM-J105H": "Galaxy J1 Mini",
    "SM-J105F": "Galaxy J1 Mini",
    "SM-J105M": "Galaxy J1 Mini",
    "SM-J105Y": "Galaxy J1 Mini",
    "SM-J106B": "Galaxy J1 Mini Prime",
    "SM-J106H": "Galaxy J1 Mini Prime",
    "SM-J106M": "Galaxy J1 Mini Prime",
    "SM-J120H": "Galaxy J1(2016)",
    "SM-J120G": "Galaxy J1(2016)",
    "SM-J120ZN": "Galaxy J1(2016)",
    "SM-J200H": "Galaxy J2",
    "SM-J260T1": "Galaxy J2",
    "SM-S260DL": "Galaxy J2",
    "SM-J200F": "Galaxy J2",
    "SM-J200G": "Galaxy J2",
    "SM-J200GU": "Galaxy J2",
    "SM-J200M": "Galaxy J2",
    "SM-J200Y": "Galaxy J2",
    "SM-J200BT": "Galaxy J2",
    "SM-J250Y": "Galaxy J2",
    "SM-J260F": "Galaxy J2 Core",
    "SM-J260G": "Galaxy J2 Core",
    "SM-J260M": "Galaxy J2 Core",
    "SM-J260Y": "Galaxy J2 Core",
    "SM-J260FU": "Galaxy J2 Core",
    "SM-J260GU": "Galaxy J2 Core",
    "SM-J260MU": "Galaxy J2 Core",
    "SM-G532G": "Galaxy J2 Prime",
    "SM-G532M": "Galaxy J2 Prime",
    "SM-J210F": "Galaxy J2(2016)",
    "SM-J250G": "Galaxy J2 Pro",
    "SM-J250M": "Galaxy J2 Pro",
    "SM-J260AZ": "Galaxy J2 Pure",
    "SM-J3109": "Galaxy J3",
    "SM-J320P": "Galaxy J3",
    "SM-J327U": "Galaxy J3",
    "SM-J327R7": "Galaxy J3",
    "SM-J327R6": "Galaxy J3",
    "SM-J327R4": "Galaxy J3",
    "SM-J337R7": "Galaxy J3",
    "SM-J337VPP": "Galaxy J3",
    "SM-J337U": "Galaxy J3",
    "SM-J320H": "Galaxy J3",
    "SM-J3300": "Galaxy J3",
    "SM-J3308": "Galaxy J3",
    "SM-J337P": "Galaxy J3 Achieve",
    "SM-J337R4": "Galaxy J3 Aura",
    "SM-J327V": "Galaxy J3 Eclipse",
    "SM-J327P": "Galaxy J3 Emerge",
    "SM-J327VPP": "Galaxy J3 Mission",
    "SM-S367VL": "Galaxy J3 Orbit",
    "SM-S357BL": "Galaxy J3 Orbit",
    "SAMSUNG-SM-J326AZ": "Galaxy J3 Pop",
    "SAMSUNG-SM-J327AZ": "Galaxy J3 Pop",
    "SAMSUNG-SM-J327A": "Galaxy J3 Pop",
    "SM-S337TL": "Galaxy J3 Pop",
    "SM-S327VL": "Galaxy J3 Pop",
    "SM-J327W": "Galaxy J3 Prime",
    "SM-J327T1": "Galaxy J3 Prime",
    "SM-J327T": "Galaxy J3 Prime",
    "SM-J3110": "Galaxy J3 Pro",
    "SM-J3119": "Galaxy J3 Pro",
    "SM-J330G": "Galaxy J3 Pro",
    "SM-J3119S": "Galaxy J3 Pro 增强版",
    "SM-J337T": "Galaxy J3 Star",
    "SM-J337V": "Galaxy J3 V",
    "SM-J320N0": "Galaxy J3(2016)",
    "SM-S320VL": "Galaxy J3(2016)",
    "SM-J320Y": "Galaxy J3(2016)",
    "SM-J320YZ": "Galaxy J3(2016)",
    "SM-J320R4": "Galaxy J3(2016)",
    "SM-J320V": "Galaxy J3(2016)",
    "SM-J320VPP": "Galaxy J3(2016)",
    "SM-J320ZN": "Galaxy J3(2016)",
    "SM-J320F": "Galaxy J3(2016)",
    "SM-J320G": "Galaxy J3(2016)",
    "SM-J320M": "Galaxy J3(2016)",
    "SAMSUNG-SM-J320AZ": "Galaxy J3(2016)",
    "SAMSUNG-SM-J321AZ": "Galaxy J3(2016)",
    "SAMSUNG-SM-J320A": "Galaxy J3(2016)",
    "SM-J320W8": "Galaxy J3(2016)",
    "SM-J320FN": "Galaxy J3(2016)",
    "SM-J330F": "Galaxy J3(2017)",
    "SM-J330FN": "Galaxy J3(2017)",
    "SM-J330N": "Galaxy J3(2017)",
    "SM-J330L": "Galaxy J3(2017)",
    "SM-J337W": "Galaxy J3(2018)",
    "SM-J400F": "Galaxy J4",
    "SM-J400G": "Galaxy J4",
    "SM-J400M": "Galaxy J4",
    "SM-J410F": "Galaxy J4 Core",
    "SM-J410G": "Galaxy J4 Core",
    "SM-J415F": "Galaxy J4+",
    "SM-J415FN": "Galaxy J4+",
    "SM-J415G": "Galaxy J4+",
    "SM-J415GN": "Galaxy J4+",
    "SM-J415N": "Galaxy J4+",
    "SM-J500H": "Galaxy J5",
    "SM-J5007": "Galaxy J5",
    "SM-J500F": "Galaxy J5",
    "SM-J500G": "Galaxy J5",
    "SM-J500M": "Galaxy J5",
    "SM-J5008": "Galaxy J5",
    "SM-J500N0": "Galaxy J5",
    "SM-J500FN": "Galaxy J5",
    "SM-J530F": "Galaxy J5",
    "SM-J530FM": "Galaxy J5",
    "SM-J530K": "Galaxy J5",
    "SM-J530L": "Galaxy J5",
    "SM-J530S": "Galaxy J5",
    "SM-J500Y": "Galaxy J5",
    "SM-G570F": "Galaxy J5 Prime",
    "SM-G570M": "Galaxy J5 Prime",
    "SM-G570Y": "Galaxy J5 Prime",
    "SM-G5700": "Galaxy On5(2016)",
    "SM-J530G": "Galaxy J5 Pro",
    "SM-J530GM": "Galaxy J5 Pro",
    "SM-J530Y": "Galaxy J5 Pro",
    "SM-J530YM": "Galaxy J5 Pro",
    "SM-J510H": "Galaxy J5(2016)",
    "SM-J5108": "Galaxy J5(2016)",
    "SM-J510F": "Galaxy J5(2016)",
    "SM-J510FN": "Galaxy J5(2016)",
    "SM-J510FQ": "Galaxy J5(2016)",
    "SM-J510GN": "Galaxy J5(2016)",
    "SM-J510MN": "Galaxy J5(2016)",
    "SM-J510UN": "Galaxy J5(2016)",
    "SM-J510K": "Galaxy J5(2016)",
    "SM-J510L": "Galaxy J5(2016)",
    "SM-J510S": "Galaxy J5(2016)",
    "SM-J600F": "Galaxy J6",
    "SM-J600FN": "Galaxy J6",
    "SM-J600G": "Galaxy J6",
    "SM-J600GT": "Galaxy J6",
    "SM-J600N": "Galaxy J6",
    "SM-J600L": "Galaxy J6",
    "SM-J610F": "Galaxy J6+",
    "SM-J610FN": "Galaxy J6+",
    "SM-J610G": "Galaxy J6+",
    "SM-J700K": "Galaxy J7",
    "SM-J700H": "Galaxy J7",
    "SM-J700F": "Galaxy J7",
    "SM-J700M": "Galaxy J7",
    "SM-J7008": "Galaxy J7",
    "SM-J727U": "Galaxy J7",
    "SM-J727R4": "Galaxy J7",
    "SM-J727VPP": "Galaxy J7",
    "SM-J737VPP": "Galaxy J7",
    "SM-J737A": "Galaxy J7",
    "SM-J737U": "Galaxy J7",
    "SM-J730F": "Galaxy J7",
    "SM-J730FM": "Galaxy J7",
    "SM-J737R4": "Galaxy J7 Aura",
    "SM-S767VL": "Galaxy J7 Crown",
    "SM-S757BL": "Galaxy J7 Crown",
    "SM-J720F": "Galaxy J7 Duo",
    "SM-J720M": "Galaxy J7 Duo",
    "SM-G615F": "Galaxy J7 Max",
    "SM-J701F": "Galaxy J7 Neo",
    "SM-J701M": "Galaxy J7 Neo",
    "SM-J701MT": "Galaxy J7 Neo",
    "SM-J727P": "Galaxy J7 Perx",
    "SAMSUNG-SM-J727AZ": "Galaxy J7 Pop",
    "SAMSUNG-SM-J727A": "Galaxy J7 Pop",
    "SM-S727VL": "Galaxy J7 Pop",
    "SM-J727T1": "Galaxy J7 Prime",
    "SM-J727T": "Galaxy J7 Prime",
    "SM-G610F": "Galaxy On Nxt",
    "SM-G610M": "Galaxy J7 Prime",
    "SM-G610Y": "Galaxy J7 Prime",
    "SM-G6100": "Galaxy On7(2016)",
    "SM-G611M": "Galaxy J7 Prime2",
    "SM-G611MT": "Galaxy J7 Prime2",
    "SM-G611FF": "Galaxy J7 Prime2",
    "SM-J730G": "Galaxy J7 Pro",
    "SM-J730GM": "Galaxy J7 Pro",
    "SM-J737P": "Galaxy J7 Refine",
    "SM-S737TL": "Galaxy J7 Sky Pro",
    "SM-J737T1": "Galaxy J7 Star",
    "SM-J737T": "Galaxy J7 Star",
    "SM-J727V": "Galaxy J7 V",
    "SM-J737V": "Galaxy J7 V",
    "SM-J700P": "Galaxy J7(2015)",
    "SM-J700T1": "Galaxy J7(2016)",
    "SM-J700T": "Galaxy J7(2016)",
    "SM-J710F": "Galaxy J7(2016)",
    "SM-J710FQ": "Galaxy J7(2016)",
    "SM-J710GN": "Galaxy J7(2016)",
    "SM-J710MN": "Galaxy J7(2016)",
    "SM-J7108": "Galaxy J7(2016)",
    "SM-J710K": "Galaxy J7(2016)",
    "SM-J7109": "Galaxy J7(2016)",
    "SM-J730K": "Galaxy J7(2017)",
    "SM-C710F": "Galaxy J7+",
    "SM-J810F": "Galaxy J8",
    "SM-J810G": "Galaxy J8",
    "SM-J810M": "Galaxy J8",
    "SM-J810Y": "Galaxy J8",
    "SM-A605K": "Galaxy Jean",
    "SM-A202K": "Galaxy Jean2",
    "SM-M336K": "Galaxy Jump2",
    "SHW-M130K": "Galaxy K",
    "SM-C111": "Galaxy K Zoom",
    "SM-C111M": "Galaxy K Zoom",
    "SM-C115": "Galaxy K Zoom",
    "SM-C115M": "Galaxy K Zoom",
    "SM-C115W": "Galaxy K Zoom",
    "SM-C115L": "Galaxy K Zoom",
    "GT-B7810": "Galaxy M Pro2",
    "SHW-M340L": "Galaxy M Style",
    "SHW-M340S": "Galaxy M Style",
    "GT-I8258": "Galaxy M Style",
    "SM-M015F": "Galaxy M01",
    "SM-M015G": "Galaxy M01",
    "SM-M013F": "Galaxy M01 Core",
    "SM-M017F": "Galaxy M01s",
    "SM-M022F": "Galaxy M02",
    "SM-M022G": "Galaxy M02",
    "SM-M022M": "Galaxy M02",
    "SM-M025F": "Galaxy M02s",
    "SM-M105F": "Galaxy M10",
    "SM-M105G": "Galaxy M10",
    "SM-M105M": "Galaxy M10",
    "SM-M105Y": "Galaxy M10",
    "SM-M107F": "Galaxy M10s",
    "SM-M115F": "Galaxy M11",
    "SM-M115M": "Galaxy M11",
    "SM-M127F": "Galaxy M12",
    "SM-M127G": "Galaxy M12",
    "SM-M127N": "Galaxy M12",
    "SM-M135F": "Galaxy M13",
    "SM-M135FU": "Galaxy M13",
    "SM-M135M": "Galaxy M13",
    "SM-M136B": "Galaxy M13 5G",
    "SM-M205N": "Galaxy M20",
    "SM-M205F": "Galaxy M20",
    "SM-M205FN": "Galaxy M20",
    "SM-M205G": "Galaxy M20",
    "SM-M205M": "Galaxy M20",
    "SM-M215F": "Galaxy M21",
    "SM-M215G": "Galaxy M21 2021 Edition",
    "SM-M225FV": "Galaxy M22",
    "SM-M236B": "Galaxy M23 5G",
    "SM-M236Q": "Galaxy M23 5G",
    "SM-M305F": "Galaxy M30",
    "SM-M305M": "Galaxy M30",
    "SM-M3070": "Galaxy M30s",
    "SM-M307F": "Galaxy M30s",
    "SM-M307FN": "Galaxy M30s",
    "SM-M315F": "Galaxy M31",
    "SM-M317F": "Galaxy M31s",
    "SM-M325F": "Galaxy M32",
    "SM-M325FV": "Galaxy M32",
    "SM-M326B": "Galaxy M32 5G",
    "SM-M336B": "Galaxy M33 5G",
    "SM-M336BU": "Galaxy M33 5G",
    "SM-M405F": "Galaxy M40",
    "SM-M426B": "Galaxy M42 5G",
    "SM-M515F": "Galaxy M51",
    "SM-M526B": "Galaxy M52 5G",
    "SM-M526BR": "Galaxy M52 5G",
    "SM-M536B": "Galaxy M53 5G",
    "SM-M625F": "Galaxy M62",
    "SM-G750H": "Galaxy Mega2",
    "GT-I9152": "Galaxy Mega 5.8",
    "SCH-P709": "Galaxy Mega 5.8",
    "GT-I9150": "Galaxy Mega 5.8",
    "GT-I9158": "Galaxy Mega 5.8",
    "GT-I9200": "Galaxy Mega 6.3",
    "GT-I9208": "Galaxy Mega 6.3",
    "SCH-P729": "Galaxy Mega 6.3",
    "GT-I9205": "Galaxy Mega 6.3",
    "SGH-M819N": "Galaxy Mega 6.3",
    "SAMSUNG-SGH-I527": "Galaxy Mega 6.3",
    "SGH-I527M": "Galaxy Mega 6.3",
    "SHV-E310K": "Galaxy Mega 6.3",
    "SHV-E310L": "Galaxy Mega 6.3",
    "SHV-E310S": "Galaxy Mega 6.3",
    "SPH-L600": "Galaxy Mega 6.3",
    "SCH-R960": "Galaxy Mega 6.3",
    "GT-I9152P": "Galaxy Mega Plus",
    "GT-I9158P": "Galaxy Mega Plus",
    "GT-I9158V": "Galaxy Mega Plus",
    "SM-G750F": "Galaxy Mega2",
    "SAMSUNG-SM-G750A": "Galaxy Mega2",
    "SM-G7508Q": "Galaxy Mega2",
    "GT-S5570": "Galaxy Mini",
    "GT-S5570B": "Galaxy Mini",
    "GT-S5570I": "Galaxy Mini",
    "GT-S5570L": "Galaxy Mini",
    "GT-S5578": "Galaxy Mini",
    "SGH-T499": "Galaxy Mini",
    "SGH-T499V": "Galaxy Mini",
    "SGH-T499Y": "Galaxy Mini",
    "GT-S6500": "Galaxy Mini2",
    "GT-S6500D": "Galaxy Mini2",
    "GT-S6500L": "Galaxy Mini2",
    "GT-S6500T": "Galaxy Mini2",
    "GT-S6010": "Galaxy Music",
    "GT-S6010L": "Galaxy Music",
    "GT-S6012": "Galaxy Music Duos",
    "GT-S6012B": "Galaxy Music Duos",
    "EK-GN120A": "Galaxy NX",
    "SHW-M220L": "Galaxy Neo",
    "Galaxy X": "Galaxy Nexus",
    "GT-I9220": "Galaxy Note",
    "GT-I9228": "Galaxy Note",
    "GT-N7000": "Galaxy Note",
    "GT-N7005": "Galaxy Note",
    "SC-05D": "Galaxy Note",
    "SCH-i889": "Galaxy Note",
    "SAMSUNG-SGH-I717": "Galaxy Note",
    "SGH-I717": "Galaxy Note",
    "SGH-I717D": "Galaxy Note",
    "SGH-I717M": "Galaxy Note",
    "SGH-I717R": "Galaxy Note",
    "SGH-T879": "Galaxy Note",
    "SHV-E160K": "Galaxy Note",
    "SHV-E160L": "Galaxy Note",
    "SHV-E160S": "Galaxy Note",
    "SM-P601": "Galaxy Note 10.1 2014 Edition",
    "SM-P602": "Galaxy Note 10.1",
    "SM-P605K": "Galaxy Note 10.1",
    "SM-P605L": "Galaxy Note 10.1",
    "SM-P605S": "Galaxy Note 10.1",
    "GT-N8020": "Galaxy Note 10.1",
    "SHV-E230K": "Galaxy Note 10.1",
    "SHV-E230L": "Galaxy Note 10.1",
    "SHV-E230S": "Galaxy Note 10.1",
    "SPH-P600": "Galaxy Note 10.1",
    "SCH-I925U": "Galaxy Note 10.1",
    "SCH-I925": "Galaxy Note 10.1",
    "GT-N8000": "Galaxy Note 10.1",
    "GT-N8005": "Galaxy Note 10.1",
    "SHW-M480K": "Galaxy Note 10.1",
    "GT-N8013": "Galaxy Note 10.1",
    "SHW-M486W": "Galaxy Note 10.1",
    "SHW-M480W": "Galaxy Note 10.1",
    "SHW-M485W": "Galaxy Note 10.1",
    "GT-N8010": "Galaxy Note 10.1",
    "SM-P605": "Galaxy Note 10.1 2014 Edition",
    "SM-P605M": "Galaxy Note 10.1 2014 Edition",
    "SM-P607T": "Galaxy Note 10.1 2014 Edition",
    "SM-P605V": "Galaxy Note 10.1 2014 Edition",
    "SM-P600": "Galaxy Note 10.1 2014 Edition",
    "GT-N5100": "Galaxy Note 8.0",
    "GT-N5105": "Galaxy Note 8.0",
    "GT-N5120": "Galaxy Note 8.0",
    "SAMSUNG-SGH-I467": "Galaxy Note 8.0",
    "SGH-I467M": "Galaxy Note 8.0",
    "GT-N5110": "Galaxy Note 8.0",
    "SHW-M500W": "Galaxy Note 8.0",
    "SC-01G": "Galaxy Note Edge",
    "SCL24": "Galaxy Note Edge",
    "SM-N915K": "Galaxy Note Edge",
    "SM-N915L": "Galaxy Note Edge",
    "SM-N915S": "Galaxy Note Edge",
    "SM-N9150": "Galaxy Note Edge",
    "SM-N915F": "Galaxy Note Edge",
    "SM-N915FY": "Galaxy Note Edge",
    "SM-N915G": "Galaxy Note Edge",
    "SM-N915X": "Galaxy Note Edge",
    "SAMSUNG-SM-N915A": "Galaxy Note Edge",
    "SM-N915W8": "Galaxy Note Edge",
    "SM-N915P": "Galaxy Note Edge",
    "SM-N915T": "Galaxy Note Edge",
    "SM-N915T3": "Galaxy Note Edge",
    "SM-N915R4": "Galaxy Note Edge",
    "SM-N915V": "Galaxy Note Edge",
    "SM-N935F": "Galaxy Note Fan Edition",
    "SM-N935K": "Galaxy Note Fan Edition",
    "SM-N935L": "Galaxy Note Fan Edition",
    "SM-N935S": "Galaxy Note Fan Edition",
    "SAMSUNG-SGH-I317": "Galaxy Note2",
    "SM-P900": "Galaxy Note Pro 12.2",
    "SM-P901": "Galaxy Note Pro 12.2",
    "SM-P905": "Galaxy Note Pro 12.2",
    "SM-P905M": "Galaxy Note Pro 12.2",
    "SAMSUNG-SM-P907A": "Galaxy Note Pro 12.2",
    "SM-P905F0": "Galaxy Note Pro 12.2",
    "SM-P905V": "Galaxy Note Pro 12.2",
    "SM-N970F": "Galaxy Note10",
    "SM-N9700": "Galaxy Note10",
    "SM-N970U": "Galaxy Note10",
    "SM-N970U1": "Galaxy Note10",
    "SM-N970W": "Galaxy Note10",
    "SM-N971N": "Galaxy Note10 5G",
    "SM-N770F": "Galaxy Note10 Lite",
    "SC-01M": "Galaxy Note10+",
    "SCV45": "Galaxy Note10+",
    "SM-N9750": "Galaxy Note10+",
    "SM-N975C": "Galaxy Note10+",
    "SM-N975U": "Galaxy Note10+",
    "SM-N975U1": "Galaxy Note10+",
    "SM-N975W": "Galaxy Note10+",
    "SM-N975F": "Galaxy Note10+",
    "SM-N976B": "Galaxy Note10+ 5G",
    "SM-N976N": "Galaxy Note10+ 5G",
    "SM-N9760": "Galaxy Note10+ 5G",
    "SM-N976Q": "Galaxy Note10+ 5G",
    "SM-N976V": "Galaxy Note10+ 5G",
    "SM-N976U": "Galaxy Note10+ 5G",
    "SC-02E": "Galaxy Note2",
    "GT-N7100": "Galaxy Note2",
    "GT-N7100T": "Galaxy Note2",
    "GT-N7102": "Galaxy Note2",
    "GT-N7102i": "Galaxy Note2",
    "GT-N7108": "Galaxy Note2",
    "SCH-N719": "Galaxy Note2",
    "GT-N7105": "Galaxy Note2",
    "GT-N7105T": "Galaxy Note2",
    "SGH-I317M": "Galaxy Note2",
    "SGH-T889V": "Galaxy Note2",
    "GT-N7108D": "Galaxy Note2",
    "SHV-E250K": "Galaxy Note2",
    "SHV-E250L": "Galaxy Note2",
    "SHV-E250S": "Galaxy Note2",
    "SPH-L900": "Galaxy Note2",
    "SGH-T889": "Galaxy Note2",
    "SCH-R950": "Galaxy Note2",
    "SCH-I605": "Galaxy Note2",
    "SM-N980F": "Galaxy Note20",
    "SM-N9810": "Galaxy Note20 5G",
    "SM-N981N": "Galaxy Note20 5G",
    "SM-N981U": "Galaxy Note20 5G",
    "SM-N981U1": "Galaxy Note20 5G",
    "SM-N981W": "Galaxy Note20 5G",
    "SM-N981B": "Galaxy Note20 5G",
    "SM-N985F": "Galaxy Note20 Ultra",
    "SC-53A": "Galaxy Note20 Ultra 5G",
    "SCG06": "Galaxy Note20 Ultra 5G",
    "SM-N9860": "Galaxy Note20 Ultra 5G",
    "SM-N986N": "Galaxy Note20 Ultra 5G",
    "SM-N986U": "Galaxy Note20 Ultra 5G",
    "SM-N986U1": "Galaxy Note20 Ultra 5G",
    "SM-N986W": "Galaxy Note20 Ultra 5G",
    "SM-N986B": "Galaxy Note20 Ultra 5G",
    "SC-01F": "Galaxy Note3",
    "SC-02F": "Galaxy Note3",
    "SCL22": "Galaxy Note3",
    "SM-N900": "Galaxy Note3",
    "SM-N9000Q": "Galaxy Note3",
    "SM-N9005": "Galaxy Note3",
    "SM-N9006": "Galaxy Note3",
    "SM-N9007": "Galaxy Note3",
    "SM-N9008V": "Galaxy Note3",
    "SM-N9009": "Galaxy Note3",
    "SM-N900U": "Galaxy Note3",
    "SAMSUNG-SM-N900A": "Galaxy Note3",
    "SM-N900W8": "Galaxy Note3",
    "SM-N900K": "Galaxy Note3",
    "SM-N900L": "Galaxy Note3",
    "SM-N900S": "Galaxy Note3",
    "SM-N900P": "Galaxy Note3",
    "SM-N900T": "Galaxy Note3",
    "SM-N900R4": "Galaxy Note3",
    "SM-N900V": "Galaxy Note3",
    "SM-N9002": "Galaxy Note3 Duos",
    "SM-N9008": "Galaxy Note3 Duos",
    "SM-N750K": "Galaxy Note3 Neo",
    "SM-N750L": "Galaxy Note3 Neo",
    "SM-N750S": "Galaxy Note3 Neo",
    "SM-N750": "Galaxy Note3 Neo",
    "SM-N7500Q": "Galaxy Note3 Neo",
    "SM-N7502": "Galaxy Note3 Neo",
    "SM-N7505": "Galaxy Note3 Neo",
    "SM-N7505L": "Galaxy Note3 Neo",
    "SM-N7507": "Galaxy Note3 Neo",
    "SM-N916K": "Galaxy Note4",
    "SM-N910H": "Galaxy Note4",
    "SM-N910C": "Galaxy Note4",
    "SM-N910K": "Galaxy Note4",
    "SM-N910L": "Galaxy Note4",
    "SM-N910S": "Galaxy Note4",
    "SM-N910U": "Galaxy Note4",
    "SM-N910F": "Galaxy Note4",
    "SM-N910G": "Galaxy Note4",
    "SM-N910X": "Galaxy Note4",
    "SAMSUNG-SM-N910A": "Galaxy Note4",
    "SM-N910W8": "Galaxy Note4",
    "SM-N9100": "Galaxy Note4",
    "SM-N9106W": "Galaxy Note4",
    "SM-N9108V": "Galaxy Note4",
    "SM-N9109W": "Galaxy Note4",
    "SM-N910P": "Galaxy Note4",
    "SM-N910T": "Galaxy Note4",
    "SM-N910T2": "Galaxy Note4",
    "SM-N910T3": "Galaxy Note4",
    "SM-N910R4": "Galaxy Note4",
    "SM-N910V": "Galaxy Note4",
    "SM-N916L": "Galaxy Note4 S-LTE",
    "SM-N916S": "Galaxy Note4 S-LTE",
    "SM-N9208": "Galaxy Note5",
    "SM-N920C": "Galaxy Note5",
    "SM-N920F": "Galaxy Note5",
    "SM-N920G": "Galaxy Note5",
    "SM-N920I": "Galaxy Note5",
    "SM-N920X": "Galaxy Note5",
    "SM-N920R7": "Galaxy Note5",
    "SAMSUNG-SM-N920A": "Galaxy Note5",
    "SM-N920W8": "Galaxy Note5",
    "SM-N9200": "Galaxy Note5",
    "SM-N920K": "Galaxy Note5",
    "SM-N920L": "Galaxy Note5",
    "SM-N920R6": "Galaxy Note5",
    "SM-N920S": "Galaxy Note5",
    "SM-N920P": "Galaxy Note5",
    "SM-N920T": "Galaxy Note5",
    "SM-N920R4": "Galaxy Note5",
    "SM-N920V": "Galaxy Note5",
    "SC-01J": "Galaxy Note7",
    "SCV34": "Galaxy Note7",
    "SM-N930F": "Galaxy Note7",
    "SM-N930X": "Galaxy Note7",
    "SM-N930K": "Galaxy Note7",
    "SM-N930L": "Galaxy Note7",
    "SM-N930S": "Galaxy Note7",
    "SM-N930R7": "Galaxy Note7",
    "SAMSUNG-SM-N930A": "Galaxy Note7",
    "SM-N930W8": "Galaxy Note7",
    "SM-N9300": "Galaxy Note7",
    "SGH-N037": "Galaxy Note7",
    "SM-N930R6": "Galaxy Note7",
    "SM-N930P": "Galaxy Note7",
    "SM-N930VL": "Galaxy Note7",
    "SM-N930T": "Galaxy Note7",
    "SM-N930U": "Galaxy Note7",
    "SM-N930R4": "Galaxy Note7",
    "SM-N930V": "Galaxy Note7",
    "SC-01K": "Galaxy Note8",
    "SCV37": "Galaxy Note8",
    "SM-N950F": "Galaxy Note8",
    "SM-N950N": "Galaxy Note8",
    "SM-N950XN": "Galaxy Note8",
    "SM-N950U": "Galaxy Note8",
    "SM-N9500": "Galaxy Note8",
    "SM-N9508": "Galaxy Note8",
    "SM-N950W": "Galaxy Note8",
    "SM-N950U1": "Galaxy Note8",
    "SC-01L": "Galaxy Note9",
    "SCV40": "Galaxy Note9",
    "SM-N960F": "Galaxy Note9",
    "SM-N960N": "Galaxy Note9",
    "SM-N9600": "Galaxy Note9",
    "SM-N960W": "Galaxy Note9",
    "SM-N960U": "Galaxy Note9",
    "SM-N960U1": "Galaxy Note9",
    "SM-G615FU": "Galaxy On Max",
    "SM-G550FY": "Galaxy On5 Pro",
    "SM-G5500": "Galaxy On5",
    "SM-G550T1": "Galaxy On5",
    "SM-S550TL": "Galaxy On5",
    "SM-G550T": "Galaxy On5",
    "SM-G550T2": "Galaxy On5",
    "SM-G5520": "Galaxy On5 2016 时尚版",
    "SM-G5528": "Galaxy On5 2016 时尚版",
    "SM-G5510": "Galaxy On5 2016 青春版",
    "SM-J600GF": "Galaxy On6",
    "SM-G600FY": "Galaxy On7 Pro",
    "SM-G6000": "Galaxy On7",
    "SM-G600F": "Galaxy On7",
    "SM-G611F": "Galaxy On7 Prime",
    "SM-G611K": "Galaxy On7 Prime",
    "SM-G611L": "Galaxy On7 Prime",
    "SM-G611S": "Galaxy On7 Prime",
    "SM-G610K": "Galaxy On7(2016)",
    "SM-G610L": "Galaxy On7(2016)",
    "SM-G610S": "Galaxy On7(2016)",
    "SM-J710FN": "Galaxy On8",
    "SM-J810GF": "Galaxy On8",
    "YP-GB70": "Galaxy Player",
    "YP-GS1": "Galaxy Player 3.6",
    "YP-GB1": "Galaxy Player 4",
    "YP-G1": "Galaxy Player 4.0",
    "YP-GI1": "Galaxy Player 4.2",
    "YP-G70": "Galaxy Player 5",
    "YP-GP1": "Galaxy Player 5.8",
    "YP-G50": "Galaxy Player 50",
    "GT-S5300": "Galaxy Pocket",
    "GT-S5300B": "Galaxy Pocket",
    "GT-S5300L": "Galaxy Pocket",
    "GT-S5302": "Galaxy Pocket",
    "GT-S5302B": "Galaxy Pocket",
    "GT-S5301": "Galaxy Pocket Plus",
    "GT-S5303": "Galaxy Y Plus",
    "GT-S5312": "Galaxy Pocket Neo",
    "GT-S5312B": "Galaxy Pocket Neo",
    "GT-S5312L": "Galaxy Pocket Neo",
    "GT-S5310": "Galaxy Pocket Neo",
    "GT-S5310B": "Galaxy Pocket Neo",
    "GT-S5310E": "Galaxy Pocket Neo",
    "GT-S5310G": "Galaxy Pocket Neo",
    "GT-S5310L": "Galaxy Pocket Neo",
    "GT-S5310T": "Galaxy Pocket Neo",
    "GT-S5310I": "Galaxy Pocket Neo",
    "GT-S5310N": "Galaxy Pocket Neo",
    "GT-S5312C": "Galaxy Pocket Neo",
    "GT-S5312M": "Galaxy Pocket Neo",
    "SAMSUNG-SGH-I747Z": "Galaxy Pocket Neo",
    "GT-S5301B": "Galaxy Pocket Plus",
    "GT-S5301L": "Galaxy Pocket Plus",
    "GT-S5310C": "Galaxy Pocket SS",
    "GT-S5310M": "Galaxy Pocket SS",
    "SM-G110B": "Galaxy Pocket2",
    "SM-G110M": "Galaxy Pocket2",
    "SM-G110H": "Galaxy Pocket2",
    "SHV-E220S": "Galaxy Pop",
    "SCH-i559": "Galaxy Pop (CDMA)",
    "SCH-M828C": "Galaxy Precedent",
    "GT-I9260": "Galaxy Premier",
    "GT-I9268": "Galaxy Premier",
    "SPH-M820-BST": "Galaxy Prevail",
    "SPH-M840": "Galaxy Prevail2",
    "GT-B7510": "Galaxy Pro",
    "GT-B7510B": "Galaxy Pro",
    "GT-B7510L": "Galaxy Pro",
    "SCH-S720C": "Galaxy Proclaim",
    "SGH-T589": "Galaxy Q",
    "SGH-T589R": "Galaxy Q",
    "SGH-T589W": "Galaxy Q",
    "SM-A826S": "Galaxy Quantum2",
    "SM-M536S": "Galaxy Quantum3",
    "SHV-E170K": "Galaxy R-Style",
    "SHV-E170L": "Galaxy R-Style",
    "SHV-E170S": "Galaxy R-Style",
    "SPH-M950": "Galaxy Reverb",
    "SM-G910S": "Galaxy Round",
    "SGH-I547C": "Galaxy Rugby",
    "SAMSUNG-SGH-I547": "Galaxy Rugby Pro",
    "SPH-M830": "Galaxy Rush",
    "GT-I9000": "Galaxy S",
    "GT-I9000B": "Galaxy S",
    "GT-I9000M": "Galaxy S",
    "GT-I9000T": "Galaxy S",
    "GT-I9003": "Galaxy S",
    "GT-I9003L": "Galaxy S",
    "GT-I9008L": "Galaxy S",
    "GT-I9010": "Galaxy S",
    "GT-I9018": "Galaxy S",
    "GT-I9050": "Galaxy S",
    "SC-02B": "Galaxy S",
    "SCH-I500": "Galaxy S",
    "SCH-S950C": "Galaxy S",
    "SCH-i909": "Galaxy S",
    "SAMSUNG-SGH-I897": "Galaxy S",
    "SGH-T959V": "Galaxy S",
    "SGH-T959W": "Galaxy S",
    "SHW-M110S": "Galaxy S",
    "SHW-M190S": "Galaxy S",
    "SPH-D700": "Galaxy S Epic",
    "GT-I9070": "Galaxy S Advance",
    "GT-I9070P": "Galaxy S Advance",
    "SCH-R930": "Galaxy S Aviator",
    "SGH-T769": "Galaxy S Blaze",
    "SGH-T699": "Galaxy S BlazeQ",
    "SAMSUNG-SGH-I896": "Galaxy S Captivate",
    "SGH-I896": "Galaxy S Captivate",
    "SCH-I400": "Galaxy S Continuum",
    "GT-S7562": "Galaxy S Duos",
    "GT-S7562L": "Galaxy S DUOS",
    "GT-S7568": "Galaxy S Duos",
    "GT-S7582": "Galaxy S Duos2",
    "GT-S7582L": "Galaxy S Duos2",
    "SM-G313HZ": "Galaxy S Duos3",
    "SGH-T959P": "Galaxy S Fascinate",
    "SAMSUNG-SGH-I927R": "Galaxy S Glide",
    "SCH-R940": "Galaxy S Lightray",
    "GT-I9001": "Galaxy S Plus",
    "SCH-I405": "Galaxy S Stratosphere",
    "SGH-T959": "Galaxy S Vibrant",
    "SGH-T959D": "Galaxy S Vibrant",
    "GT-S7566": "Galaxy S duos",
    "SM-G8750": "Galaxy S 轻奢版",
    "SC-03L": "Galaxy S10",
    "SCV41": "Galaxy S10",
    "SM-G973F": "Galaxy S10",
    "SM-G973N": "Galaxy S10",
    "SM-G9730": "Galaxy S10",
    "SM-G9738": "Galaxy S10",
    "SM-G973C": "Galaxy S10",
    "SM-G973U": "Galaxy S10",
    "SM-G973U1": "Galaxy S10",
    "SM-G973W": "Galaxy S10",
    "SM-G977B": "Galaxy S10 5G",
    "SM-G977N": "Galaxy S10 5G",
    "SM-G977P": "Galaxy S10 5G",
    "SM-G977T": "Galaxy S10 5G",
    "SM-G977U": "Galaxy S10 5G",
    "SM-G770F": "Galaxy S10 Lite",
    "SM-G770U1": "Galaxy S10 Lite",
    "SC-04L": "Galaxy S10+",
    "SCV42": "Galaxy S10+",
    "SM-G975F": "Galaxy S10+",
    "SM-G975N": "Galaxy S10+",
    "SM-G9750": "Galaxy S10+",
    "SM-G9758": "Galaxy S10+",
    "SM-G975U": "Galaxy S10+",
    "SM-G975U1": "Galaxy S10+",
    "SM-G975W": "Galaxy S10+",
    "SC-05L": "Galaxy S10+ Olympic Games Edition",
    "SM-G970F": "Galaxy S10e",
    "SM-G970N": "Galaxy S10e",
    "SM-G9700": "Galaxy S10e",
    "SM-G9708": "Galaxy S10e",
    "SM-G970U": "Galaxy S10e",
    "SM-G970U1": "Galaxy S10e",
    "SM-G970W": "Galaxy S10e",
    "GT-I9100": "Galaxy S2",
    "GT-I9100M": "Galaxy S2",
    "GT-I9100P": "Galaxy S2",
    "GT-I9100T": "Galaxy S2",
    "GT-I9103": "Galaxy S2",
    "GT-I9108": "Galaxy S2",
    "GT-I9210T": "Galaxy S2",
    "SC-02C": "Galaxy S2",
    "SCH-R760X": "Galaxy S2",
    "SAMSUNG-SGH-I777": "Galaxy S2",
    "SGH-S959G": "Galaxy S2",
    "SGH-T989": "Galaxy S2",
    "SHV-E110S": "Galaxy S2",
    "SHW-M250K": "Galaxy S2",
    "SHW-M250L": "Galaxy S2",
    "SHW-M250S": "Galaxy S2",
    "SCH-i929": "Galaxy S2 Duos",
    "SCH-R760": "Galaxy S2 Epic",
    "SPH-D710": "Galaxy S2 Epic",
    "SPH-D710BST": "Galaxy S2 Epic",
    "SPH-D710VMUB": "Galaxy S2 Epic",
    "SGH-I757M": "Galaxy S2 HD LTE",
    "SHV-E120K": "Galaxy S2 HD LTE",
    "SHV-E120L": "Galaxy S2 HD LTE",
    "SHV-E120S": "Galaxy S2 HD LTE",
    "GT-I9210": "Galaxy S2 LTE",
    "SC-03D": "Galaxy S2 LTE",
    "SGH-I727R": "Galaxy S2 LTE",
    "GT-I9100G": "Galaxy S2 Plus",
    "GT-I9105": "Galaxy S2 Plus",
    "GT-I9105P": "Galaxy S2 Plus",
    "SAMSUNG-SGH-I727": "Galaxy S2 Skyrocket",
    "SGH-I727": "Galaxy S2 Skyrocket",
    "ISW11SC": "Galaxy S2 Wimax",
    "SGH-T989D": "Galaxy S2 X",
    "SM-G980F": "Galaxy S20",
    "SC-51A": "Galaxy S20 5G",
    "SC51Aa": "Galaxy S20 5G",
    "SCG01": "Galaxy S20 5G",
    "SM-G9810": "Galaxy S20 5G",
    "SM-G981N": "Galaxy S20 5G",
    "SM-G981U": "Galaxy S20 5G",
    "SM-G981U1": "Galaxy S20 5G",
    "SM-G981V": "Galaxy S20 5G",
    "SM-G981W": "Galaxy S20 5G",
    "SM-G981B": "Galaxy S20 5G",
    "SM-G780G": "Galaxy S20 FE",
    "SM-G780F": "Galaxy S20 FE",
    "SM-G7810": "Galaxy S20 FE 5G",
    "SM-G781B": "Galaxy S20 FE 5G",
    "SM-G781N": "Galaxy S20 FE 5G",
    "SM-G781U": "Galaxy S20 FE 5G",
    "SM-G781U1": "Galaxy S20 FE 5G",
    "SM-G781V": "Galaxy S20 FE 5G",
    "SM-G781W": "Galaxy S20 FE 5G",
    "SCG03": "Galaxy S20 Ultra 5G",
    "SM-G9880": "Galaxy S20 Ultra 5G",
    "SM-G988N": "Galaxy S20 Ultra 5G",
    "SM-G988Q": "Galaxy S20 Ultra 5G",
    "SM-G988U": "Galaxy S20 Ultra 5G",
    "SM-G988U1": "Galaxy S20 Ultra 5G",
    "SM-G988W": "Galaxy S20 Ultra 5G",
    "SM-G988B": "Galaxy S20 Ultra 5G",
    "SM-G985F": "Galaxy S20+",
    "SC-52A": "Galaxy S20+ 5G",
    "SCG02": "Galaxy S20+ 5G",
    "SM-G9860": "Galaxy S20+ 5G",
    "SM-G986N": "Galaxy S20+ 5G",
    "SM-G986U": "Galaxy S20+ 5G",
    "SM-G986U1": "Galaxy S20+ 5G",
    "SM-G986W": "Galaxy S20+ 5G",
    "SM-G986B": "Galaxy S20+ 5G",
    "SC-51B": "Galaxy S21 5G",
    "SCG09": "Galaxy S21 5G",
    "SM-G9910": "Galaxy S21 5G",
    "SM-G991Q": "Galaxy S21 5G",
    "SM-G991U1": "Galaxy S21 5G",
    "SM-G991W": "Galaxy S21 5G",
    "SM-G991B": "Galaxy S21 5G",
    "SM-G991N": "Galaxy S21 5G",
    "SM-G9900": "Galaxy S21 FE 5G",
    "SM-G990B": "Galaxy S21 FE 5G",
    "SM-G990B2": "Galaxy S21 FE 5G",
    "SM-G990U": "Galaxy S21 FE 5G",
    "SM-G990U1": "Galaxy S21 FE 5G",
    "SM-G990U2": "Galaxy S21 FE 5G",
    "SM-G990U3": "Galaxy S21 FE 5G",
    "SM-G990W": "Galaxy S21 FE 5G",
    "SM-G990W2": "Galaxy S21 FE 5G",
    "SM-G990E": "Galaxy S21 FE 5G",
    "SC-52B": "Galaxy S21 Ultra 5G",
    "SM-G9980": "Galaxy S21 Ultra 5G",
    "SM-G998U": "Galaxy S21 Ultra 5G",
    "SM-G998U1": "Galaxy S21 Ultra 5G",
    "SM-G998W": "Galaxy S21 Ultra 5G",
    "SM-G998B": "Galaxy S21 Ultra 5G",
    "SM-G998N": "Galaxy S21 Ultra 5G",
    "SCG10": "Galaxy S21+ 5G",
    "SM-G9960": "Galaxy S21+ 5G",
    "SM-G996U1": "Galaxy S21+ 5G",
    "SM-G996W": "Galaxy S21+ 5G",
    "SM-G996B": "Galaxy S21+ 5G",
    "SM-G996N": "Galaxy S21+ 5G",
    "SC-51C": "Galaxy S22",
    "SCG13": "Galaxy S22",
    "SM-S9010": "Galaxy S22",
    "SM-S901E": "Galaxy S22",
    "SM-S901N": "Galaxy S22",
    "SM-S901U": "Galaxy S22",
    "SM-S901U1": "Galaxy S22",
    "SM-S901W": "Galaxy S22",
    "SM-S901B": "Galaxy S22",
    "SC-52C": "Galaxy S22 Ultra",
    "SCG14": "Galaxy S22 Ultra",
    "SM-S9080": "Galaxy S22 Ultra",
    "SM-S908E": "Galaxy S22 Ultra",
    "SM-S908N": "Galaxy S22 Ultra",
    "SM-S908U": "Galaxy S22 Ultra",
    "SM-S908U1": "Galaxy S22 Ultra",
    "SM-S908W": "Galaxy S22 Ultra",
    "SM-S908B": "Galaxy S22 Ultra",
    "SM-S9060": "Galaxy S22+",
    "SM-S906E": "Galaxy S22+",
    "SM-S906N": "Galaxy S22+",
    "SM-S906U": "Galaxy S22+",
    "SM-S906U1": "Galaxy S22+",
    "SM-S906W": "Galaxy S22+",
    "SM-S906B": "Galaxy S22+",
    "SC-03E": "Galaxy S3",
    "SGH-I748": "Galaxy S3",
    "SHV-E210K": "Galaxy S3",
    "SHV-E210L": "Galaxy S3",
    "SHV-E210S": "Galaxy S3",
    "SAMSUNG-SGH-I747": "Galaxy S3",
    "SGH-I747M": "Galaxy S3",
    "SGH-T999V": "Galaxy S3",
    "SCH-R530C": "Galaxy S3",
    "SC-06D": "Galaxy S3",
    "SGH-T999N": "Galaxy S3",
    "SPH-L710T": "Galaxy S3",
    "SGH-T999L": "Galaxy S3",
    "SCH-R530M": "Galaxy S3",
    "SCH-L710": "Galaxy S3",
    "SPH-L710": "Galaxy S3",
    "SCH-S960L": "Galaxy S3",
    "SCH-S968C": "Galaxy S3",
    "SGH-T999": "Galaxy S3",
    "SCH-R530U": "Galaxy S3",
    "SCH-I535": "Galaxy S3",
    "SCH-I535PP": "Galaxy S3",
    "SCH-R530X": "Galaxy S3",
    "GT-I9300": "Galaxy S3",
    "GT-I9300T": "Galaxy S3",
    "SCH-I939": "Galaxy S3",
    "GT-I9308": "Galaxy S3",
    "SCH-I939D": "Galaxy S3",
    "SHW-M440S": "Galaxy S3",
    "GT-I9305": "Galaxy S3",
    "GT-I9305N": "Galaxy S3",
    "GT-I9305T": "Galaxy S3",
    "GravityQuad": "Galaxy S3",
    "GT-I8262B": "Galaxy S3 Duos",
    "GT-I8190": "Galaxy S3 Mini",
    "GT-I8190L": "Galaxy S3 Mini",
    "GT-I8190N": "Galaxy S3 Mini",
    "GT-I8190T": "Galaxy S3 Mini",
    "SAMSUNG-SM-G730A": "Galaxy S3 Mini",
    "SM-G730W8": "Galaxy S3 Mini",
    "SM-G730V": "Galaxy S3 Mini",
    "GT-I8200L": "Galaxy S3 Mini",
    "GT-I8200N": "Galaxy S3 Mini Value Edition",
    "GT-I8200": "Galaxy S3 Mini Value Edition",
    "GT-I8200Q": "Galaxy S3 Mini Value Edition",
    "GT-I9300I": "Galaxy S3 Neo Plus",
    "GT-I9301I": "Galaxy S3 Neo",
    "GT-I9301Q": "Galaxy S3 Neo",
    "GT-I9308I": "Galaxy S3 Neo Plus",
    "SCL21": "Galaxy S3 Progre",
    "SM-G3812B": "Galaxy S3 Slim",
    "SC-04E": "Galaxy S4",
    "GT-I9500": "Galaxy S4",
    "SCH-I959": "Galaxy S4",
    "SHV-E300K": "Galaxy S4",
    "SHV-E300L": "Galaxy S4",
    "SHV-E300S": "Galaxy S4",
    "GT-I9505": "Galaxy S4",
    "GT-I9508": "Galaxy S4",
    "GT-I9508C": "Galaxy S4",
    "SGH-M919N": "Galaxy S4",
    "SAMSUNG-SGH-I337Z": "Galaxy S4",
    "SAMSUNG-SGH-I337": "Galaxy S4",
    "SGH-I337M": "Galaxy S4",
    "SGH-M919V": "Galaxy S4",
    "SCH-R970C": "Galaxy S4",
    "SCH-R970X": "Galaxy S4",
    "SCH-I545L": "Galaxy S4",
    "SPH-L720T": "Galaxy S4",
    "SPH-L720": "Galaxy S4",
    "SM-S975L": "Galaxy S4",
    "SGH-S970G": "Galaxy S4",
    "SGH-M919": "Galaxy S4",
    "SCH-R970": "Galaxy S4",
    "SCH-I545": "Galaxy S4",
    "SCH-I545PP": "Galaxy S4",
    "GT-I9507": "Galaxy S4",
    "GT-I9507V": "Galaxy S4",
    "GT-I9515": "Galaxy S4",
    "GT-I9515L": "Galaxy S4",
    "GT-I9505X": "Galaxy S4",
    "GT-I9508V": "Galaxy S4",
    "GT-I9506": "Galaxy S4",
    "SHV-E330K": "Galaxy S4",
    "SHV-E330L": "Galaxy S4",
    "GT-I9295": "Galaxy S4 Active",
    "SAMSUNG-SGH-I537": "Galaxy S4 Active",
    "SGH-I537": "Galaxy S4 Active",
    "SHV-E470S": "Galaxy S4 Active",
    "GT-I9502": "Galaxy S4 Duos",
    "SHV-E330S": "Galaxy S4 LTE-A",
    "GT-I9190": "Galaxy S4 Mini",
    "GT-I9192": "Galaxy S4 Mini",
    "GT-I9195": "Galaxy S4 Mini",
    "GT-I9195L": "Galaxy S4 Mini",
    "GT-I9195T": "Galaxy S4 Mini",
    "GT-I9195X": "Galaxy S4 Mini",
    "GT-I9197": "Galaxy S4 Mini",
    "SGH-I257M": "Galaxy S4 Mini",
    "SHV-E370K": "Galaxy S4 Mini",
    "SHV-E370D": "Galaxy S4 Mini",
    "SCH-I435L": "Galaxy S4 Mini",
    "SPH-L520": "Galaxy S4 Mini",
    "SCH-R890": "Galaxy S4 Mini",
    "SCH-I435": "Galaxy S4 Mini",
    "GT-I9192I": "Galaxy S4 Mini",
    "GT-I9195I": "Galaxy S4 Mini",
    "SAMSUNG-SGH-I257": "Galaxy S4 Mini",
    "SM-C101": "Galaxy S4 Zoom",
    "SAMSUNG-SM-C105A": "Galaxy S4 Zoom",
    "SM-C105K": "Galaxy S4 Zoom",
    "SM-C105L": "Galaxy S4 Zoom",
    "SM-C105S": "Galaxy S4 Zoom",
    "SM-C105": "Galaxy S4 Zoom",
    "SC-04F": "Galaxy S5",
    "SCL23": "Galaxy S5",
    "SM-G900H": "Galaxy S5",
    "SM-G9008W": "Galaxy S5",
    "SM-G9009W": "Galaxy S5",
    "SM-G900F": "Galaxy S5",
    "SM-G900FQ": "Galaxy S5",
    "SM-G900I": "Galaxy S5",
    "SM-G900M": "Galaxy S5",
    "SM-G900MD": "Galaxy S5",
    "SM-G900T1": "Galaxy S5",
    "SM-G900T4": "Galaxy S5",
    "SM-G900R7": "Galaxy S5",
    "SAMSUNG-SM-G900AZ": "Galaxy S5",
    "SAMSUNG-SM-G900A": "Galaxy S5",
    "SM-G900W8": "Galaxy S5",
    "SM-G9006W": "Galaxy S5",
    "SM-G900K": "Galaxy S5",
    "SM-G900L": "Galaxy S5",
    "SM-G900R6": "Galaxy S5",
    "SM-G900S": "Galaxy S5",
    "SM-G900P": "Galaxy S5",
    "SM-S903VL": "Galaxy S5",
    "SM-G900T": "Galaxy S5",
    "SM-G900T3": "Galaxy S5",
    "SM-G900R4": "Galaxy S5",
    "SM-G900V": "Galaxy S5",
    "SM-G900X": "Galaxy S5",
    "SM-G906K": "Galaxy S5",
    "SM-G906L": "Galaxy S5",
    "SM-G906S": "Galaxy S5",
    "SC-02G": "Galaxy S5 Active",
    "SM-G870F0": "Galaxy S5 Active",
    "SM-G870F": "Galaxy S5 Active",
    "SAMSUNG-SM-G870A": "Galaxy S5 Active",
    "SM-G870W": "Galaxy S5 Active",
    "SM-G900FD": "Galaxy S5 Dual SIM",
    "SM-G900FG": "Galaxy S5 Google Play Edition",
    "SM-G860P": "Galaxy S5 K Sport",
    "SM-G901F": "Galaxy S5 LTE-A",
    "SM-G800H": "Galaxy S5 Mini",
    "SM-G800R4": "Galaxy S5 Mini",
    "SM-G903F": "Galaxy S5 Neo",
    "SM-G903M": "Galaxy S5 Neo",
    "SM-G903W": "Galaxy S5 Neo",
    "SM-G800HQ": "Galaxy S5 mini",
    "SM-G800F": "Galaxy S5 mini",
    "SM-G800M": "Galaxy S5 mini",
    "SM-G800Y": "Galaxy S5 mini",
    "SAMSUNG-SM-G800A": "Galaxy S5 mini",
    "SM-G800X": "Galaxy S5 mini",
    "SC-05G": "Galaxy S6",
    "SM-G920F": "Galaxy S6",
    "SM-G920I": "Galaxy S6",
    "SM-G920X": "Galaxy S6",
    "SM-G920R7": "Galaxy S6",
    "SAMSUNG-SM-G920AZ": "Galaxy S6",
    "SAMSUNG-SM-G920A": "Galaxy S6",
    "SM-G920W8": "Galaxy S6",
    "SM-G9200": "Galaxy S6",
    "SM-G9208": "Galaxy S6",
    "SM-G9209": "Galaxy S6",
    "SM-G920K": "Galaxy S6",
    "SM-G920L": "Galaxy S6",
    "SM-G920R6": "Galaxy S6",
    "SM-G920T1": "Galaxy S6",
    "SM-G920S": "Galaxy S6",
    "SM-G920P": "Galaxy S6",
    "SM-S906L": "Galaxy S6",
    "SM-S907VL": "Galaxy S6",
    "SM-G920T": "Galaxy S6",
    "SM-G920R4": "Galaxy S6",
    "SM-G920V": "Galaxy S6",
    "SAMSUNG-SM-G890A": "Galaxy S6 Active",
    "404SC": "Galaxy S6 Edge",
    "SC-04G": "Galaxy S6 Edge",
    "SCV31": "Galaxy S6 Edge",
    "SM-G925I": "Galaxy S6 Edge",
    "SM-G925X": "Galaxy S6 Edge",
    "SM-G925R7": "Galaxy S6 Edge",
    "SAMSUNG-SM-G925A": "Galaxy S6 Edge",
    "SM-G925W8": "Galaxy S6 Edge",
    "SM-G9250": "Galaxy S6 Edge",
    "SM-G925K": "Galaxy S6 Edge",
    "SM-G925R6": "Galaxy S6 Edge",
    "SM-G925S": "Galaxy S6 Edge",
    "SM-G925P": "Galaxy S6 Edge",
    "SM-G925T": "Galaxy S6 Edge",
    "SM-G925R4": "Galaxy S6 Edge",
    "SM-G925V": "Galaxy S6 Edge",
    "SM-G9287C": "Galaxy S6 Edge+",
    "SM-G928C": "Galaxy S6 Edge+",
    "SM-G928G": "Galaxy S6 edge+",
    "SM-G928I": "Galaxy S6 Edge+",
    "SM-G928X": "Galaxy S6 Edge+",
    "SAMSUNG-SM-G928A": "Galaxy S6 Edge+",
    "SM-G928W8": "Galaxy S6 Edge+",
    "SM-G9280": "Galaxy S6 Edge+",
    "SM-G928K": "Galaxy S6 Edge+",
    "SM-G928N0": "Galaxy S6 Edge+",
    "SM-G928L": "Galaxy S6 Edge+",
    "SM-G928S": "Galaxy S6 Edge+",
    "SM-G928P": "Galaxy S6 Edge+",
    "SM-G928T": "Galaxy S6 Edge+",
    "SM-G928R4": "Galaxy S6 Edge+",
    "SM-G928V": "Galaxy S6 Edge+",
    "SM-G925F": "Galaxy S6 edge",
    "SM-G925L": "Galaxy S6 edge",
    "SM-G9287": "Galaxy S6 edge+",
    "SM-G928F": "Galaxy S6 edge+",
    "SM-G930F": "Galaxy S7",
    "SM-G930X": "Galaxy S7",
    "SM-G930W8": "Galaxy S7",
    "SM-G930K": "Galaxy S7",
    "SM-G930L": "Galaxy S7",
    "SM-G930S": "Galaxy S7",
    "SM-G930R7": "Galaxy S7",
    "SAMSUNG-SM-G930AZ": "Galaxy S7",
    "SAMSUNG-SM-G930A": "Galaxy S7",
    "SM-G930VC": "Galaxy S7",
    "SM-G9300": "Galaxy S7",
    "SM-G9308": "Galaxy S7",
    "SM-G930R6": "Galaxy S7",
    "SM-G930T1": "Galaxy S7",
    "SM-G930P": "Galaxy S7",
    "SM-G930VL": "Galaxy S7",
    "SM-G930T": "Galaxy S7",
    "SM-G930U": "Galaxy S7",
    "SM-G930R4": "Galaxy S7",
    "SM-G930V": "Galaxy S7",
    "SAMSUNG-SM-G891A": "Galaxy S7 Active",
    "SC-02H": "Galaxy S7 Edge",
    "SCV33": "Galaxy S7 Edge",
    "SM-G935X": "Galaxy S7 Edge",
    "SM-G935W8": "Galaxy S7 Edge",
    "SM-G935K": "Galaxy S7 Edge",
    "SM-G935S": "Galaxy S7 Edge",
    "SAMSUNG-SM-G935A": "Galaxy S7 Edge",
    "SM-G935VC": "Galaxy S7 Edge",
    "SM-G935P": "Galaxy S7 Edge",
    "SM-G935T": "Galaxy S7 Edge",
    "SM-G935R4": "Galaxy S7 Edge",
    "SM-G935V": "Galaxy S7 Edge",
    "SM-G935F": "Galaxy S7 edge",
    "SM-G935L": "Galaxy S7 edge",
    "SM-G9350": "Galaxy S7 edge",
    "SM-G935U": "Galaxy S7 edge",
    "SC-02J": "Galaxy S8",
    "SCV36": "Galaxy S8",
    "SM-G950F": "Galaxy S8",
    "SM-G950N": "Galaxy S8",
    "SM-G950W": "Galaxy S8",
    "SM-G9500": "Galaxy S8",
    "SM-G9508": "Galaxy S8",
    "SM-G950U": "Galaxy S8",
    "SM-G950U1": "Galaxy S8",
    "SM-G892A": "Galaxy S8 Active",
    "SM-G892U": "Galaxy S8 Active",
    "SC-03J": "Galaxy S8+",
    "SCV35": "Galaxy S8+",
    "SM-G955F": "Galaxy S8+",
    "SM-G955N": "Galaxy S8+",
    "SM-G955W": "Galaxy S8+",
    "SM-G9550": "Galaxy S8+",
    "SM-G955U": "Galaxy S8+",
    "SM-G955U1": "Galaxy S8+",
    "SC-02K": "Galaxy S9",
    "SCV38": "Galaxy S9",
    "SM-G960F": "Galaxy S9",
    "SM-G960N": "Galaxy S9",
    "SM-G9600": "Galaxy S9",
    "SM-G9608": "Galaxy S9",
    "SM-G960W": "Galaxy S9",
    "SM-G960U": "Galaxy S9",
    "SM-G960U1": "Galaxy S9",
    "SC-03K": "Galaxy S9+",
    "SCV39": "Galaxy S9+",
    "SM-G965F": "Galaxy S9+",
    "SM-G965N": "Galaxy S9+",
    "SM-G9650": "Galaxy S9+",
    "SM-G965W": "Galaxy S9+",
    "SM-G965U": "Galaxy S9+",
    "SM-G965U1": "Galaxy S9+",
    "GT-I5700": "Galaxy Spica",
    "GT-I5700L": "Galaxy Spica",
    "GT-I5700R": "Galaxy Spica",
    "GT-i5700": "Galaxy Spica",
    "GT-S5282": "Galaxy Star",
    "GT-S5280": "Galaxy Star",
    "GT-S7262": "Galaxy Star Plus",
    "GT-S5283B": "Galaxy Star Trios",
    "SM-G350E": "Galaxy Star2 Plus",
    "SCH-I200": "Galaxy Stellar",
    "SCH-I200PP": "Galaxy Stellar",
    "SCH-I415": "Galaxy Stratosphere2",
    "SCH-I829": "Galaxy Style Duos",
    "SM-T397U": "Galaxy Tab Active2",
    "SM-T116IR": "Galaxy Tab 3 Lite",
    "GT-P1000": "Galaxy Tab",
    "GT-P1000L": "Galaxy Tab",
    "GT-P1000M": "Galaxy Tab",
    "GT-P1000N": "Galaxy Tab",
    "GT-P1000R": "Galaxy Tab",
    "GT-P1000T": "Galaxy Tab",
    "GT-P1010": "Galaxy Tab",
    "GT-P1013": "Galaxy Tab",
    "SC-01C": "Galaxy Tab",
    "SCH-I800": "Galaxy Tab",
    "SGH-T849": "Galaxy Tab",
    "SHW-M180K": "Galaxy Tab",
    "SHW-M180L": "Galaxy Tab",
    "SHW-M180S": "Galaxy Tab",
    "SHW-M180W": "Galaxy Tab",
    "SMT-i9100": "Galaxy Tab",
    "GT-P7500": "Galaxy Tab 10.1",
    "GT-P7500D": "Galaxy Tab 10.1",
    "GT-P7503": "Galaxy Tab 10.1",
    "GT-P7510": "Galaxy Tab 10.1",
    "SC-01D": "Galaxy Tab 10.1",
    "SCH-I905": "Galaxy Tab 10.1",
    "SGH-T859": "Galaxy Tab 10.1",
    "SHW-M300W": "Galaxy Tab 10.1",
    "SHW-M380K": "Galaxy Tab 10.1",
    "SHW-M380S": "Galaxy Tab 10.1",
    "SHW-M380W": "Galaxy Tab 10.1",
    "GT-P7501": "Galaxy Tab 10.1 N",
    "GT-P7511": "Galaxy Tab 10.1 N",
    "GT-P7100": "Galaxy Tab 10.1 v",
    "SM-T116NY": "Galaxy Tab 3V 7.0",
    "SM-T330X": "Galaxy Tab 4 8.0",
    "SM-T330": "Galaxy Tab4 8.0",
    "SPH-P100": "Galaxy Tab 7.0",
    "GT-P6200": "Galaxy Tab 7.0 Plus",
    "GT-P6200L": "Galaxy Tab 7.0 Plus",
    "GT-P6201": "Galaxy Tab 7.0 Plus",
    "GT-P6210": "Galaxy Tab 7.0 Plus",
    "GT-P6211": "Galaxy Tab 7.0 Plus",
    "SC-02D": "Galaxy Tab 7.0 Plus",
    "SGH-T869": "Galaxy Tab 7.0 Plus",
    "SHW-M430W": "Galaxy Tab 7.0 Plus",
    "GT-P6800": "Galaxy Tab 7.7",
    "GT-P6810": "Galaxy Tab 7.7",
    "SCH-I815": "Galaxy Tab 7.7",
    "SC-01E": "Galaxy Tab 7.7 Plus",
    "GT-P7300": "Galaxy Tab 8.9",
    "GT-P7310": "Galaxy Tab 8.9",
    "GT-P7320": "Galaxy Tab 8.9",
    "SCH-P739": "Galaxy Tab 8.9",
    "SAMSUNG-SGH-I957": "Galaxy Tab 8.9",
    "SAMSUNG-SGH-I957D": "Galaxy Tab 8.9",
    "SGH-I957D": "Galaxy Tab 8.9",
    "SAMSUNG-SGH-I957M": "Galaxy Tab 8.9",
    "SGH-I957M": "Galaxy Tab 8.9",
    "SAMSUNG-SGH-I957R": "Galaxy Tab 8.9",
    "SGH-I957R": "Galaxy Tab 8.9",
    "SHV-E140K": "Galaxy Tab 8.9",
    "SHV-E140L": "Galaxy Tab 8.9",
    "SHV-E140S": "Galaxy Tab 8.9",
    "SHW-M305W": "Galaxy Tab 8.9",
    "SM-T555": "Galaxy Tab A",
    "SM-T550": "Galaxy Tab A 9.7",
    "SM-T355C": "Galaxy Tab A",
    "SM-P555M": "Galaxy Tab A",
    "SM-P550": "Galaxy Tab A 9.7",
    "SM-P355M": "Galaxy Tab A",
    "SM-P355C": "Galaxy Tab A",
    "SM-T515": "Galaxy Tab A",
    "SM-T515N": "Galaxy Tab A",
    "SM-T517": "Galaxy Tab A",
    "SM-T517P": "Galaxy Tab A",
    "SM-T510": "Galaxy Tab A",
    "SM-T387R4": "Galaxy Tab A",
    "SM-T587P": "Galaxy Tab A",
    "SM-T597P": 'Galaxy Tab A (10.5")',
    "SM-T597V": 'Galaxy Tab A (10.5")',
    "SM-T597W": "Galaxy Tab A (10.5)",
    "SM-T585": "Galaxy Tab A (2016)",
    "SM-T585C": "Galaxy Tab A (2016)",
    "SM-T585N0": "Galaxy Tab A (2016)",
    "SM-T580": "Galaxy Tab A (2016)",
    "SM-P585": "Galaxy Tab A (2016) with S Pen",
    "SM-P585M": "Galaxy Tab A (2016) with S Pen",
    "SM-P585Y": "Galaxy Tab A (2016) with S Pen",
    "SM-P587": "Galaxy Tab A (2016) with S Pen",
    "SM-P588C": "Galaxy Tab A (2016) with S Pen",
    "SM-P585N0": "Galaxy Tab A (2016) with S Pen",
    "SM-P583": "Galaxy Tab A (2016) with S Pen",
    "SM-P580": "Galaxy Tab A (2016) with S Pen",
    "SM-T385": "Galaxy Tab A (2017)",
    "SM-T385M": "Galaxy Tab A (2017)",
    "SM-T385C": "Galaxy Tab A (2017)",
    "SM-T385K": "Galaxy Tab A (2017)",
    "SM-T385L": "Galaxy Tab A (2017)",
    "SM-T385S": "Galaxy Tab A (2017)",
    "SM-T380": "Galaxy Tab A (2017)",
    "SM-T380C": "Galaxy Tab A (2017)",
    "SM-T595": "Galaxy Tab A (2018, 10.5)",
    "SM-T597": "Galaxy Tab A (2018, 10.5)",
    "SM-T595C": "Galaxy Tab A (2018, 10.5)",
    "SM-T595N": "Galaxy Tab A (2018, 10.5)",
    "SM-T590": "Galaxy Tab A (2018, 10.5)",
    "SM-T295": 'Galaxy Tab A (8.0",2019)',
    "SM-T295C": 'Galaxy Tab A (8.0", 2019)',
    "SM-T295N": 'Galaxy Tab A (8.0", 2019)',
    "SM-T297": 'Galaxy Tab A (8.0", 2019)',
    "SM-T290": "Galaxy Tab A Kids Edition",
    "SM-T307U": 'Galaxy Tab A (8.4", 2020)',
    "SM-T585M": "Galaxy Tab A 10.1",
    "SM-T587": "Galaxy Tab A 10.1",
    "SM-T580X": "Galaxy Tab A 10.1",
    "SM-T285": "Galaxy Tab A 7.0",
    "SM-T285M": "Galaxy Tab A 7.0",
    "SM-T287": "Galaxy Tab A 7.0",
    "SM-T285YD": "Galaxy Tab A 7.0",
    "SM-T280": "Galaxy Tab A6",
    "SM-T387AA": "Galaxy Tab A 8",
    "SM-T387P": "Galaxy Tab A 8",
    "SM-T387T": "Galaxy Tab A 8",
    "SM-T355": "Galaxy Tab A 8.0",
    "SM-T355Y": "Galaxy Tab A 8.0",
    "SM-T357T": "Galaxy Tab A 8.0",
    "SM-T350": "Galaxy Tab A 8.0",
    "SM-T350X": "Galaxy Tab A 8.0",
    "SM-P355": "Galaxy Tab A 8.0",
    "SM-P355Y": "Galaxy Tab A 8.0",
    "SM-P350": "Galaxy Tab A 8.0",
    "SM-T387W": "Galaxy Tab A 8.0",
    "SM-T387V": "Galaxy Tab A 8.0",
    "SM-T555C": "Galaxy Tab A 9.7",
    "SM-T550X": "Galaxy Tab A 9.7",
    "SM-P555": "Galaxy Tab A 9.7",
    "SM-P555C": "Galaxy Tab A 9.7",
    "SM-P555Y": "Galaxy Tab A 9.7",
    "SM-P555K": "Galaxy Tab A 9.7",
    "SM-P555L": "Galaxy Tab A 9.7",
    "SM-P555S": "Galaxy Tab A 9.7",
    "SM-T357W": "Galaxy Tab A S 8.0",
    "SM-P205": "Galaxy Tab A with S Pen",
    "SM-P200": "Galaxy Tab A with S Pen",
    "SM-T505": "Galaxy Tab A7",
    "SM-T505C": "Galaxy Tab A7",
    "SM-T505N": "Galaxy Tab A7",
    "SM-T507": "Galaxy Tab A7",
    "SM-T509": "Galaxy Tab A7",
    "SM-T503": "Galaxy Tab A7",
    "SM-T500": "Galaxy Tab A7",
    "SM-T225": "Galaxy Tab A7 Lite",
    "SM-T225C": "Galaxy Tab A7 Lite",
    "SM-T225N": "Galaxy Tab A7 Lite",
    "SM-T227": "Galaxy Tab A7 Lite",
    "SM-T227U": "Galaxy Tab A7 Lite",
    "SM-T220": "Galaxy Tab A7 Lite",
    "SM-X205": "Galaxy Tab A8",
    "SM-X205C": "Galaxy Tab A8",
    "SM-X205N": "Galaxy Tab A8",
    "SM-X207": "Galaxy Tab A8",
    "SM-X200": "Galaxy Tab A8",
    "SM-T365": "Galaxy Tab4 Active",
    "SM-T365Y": "Galaxy Tab Active",
    "SM-T545": "Galaxy Tab Active Pro",
    "SM-T547": "Galaxy Tab Active Pro",
    "SM-T547U": "Galaxy Tab Active Pro",
    "SM-T540": "Galaxy Tab Active Pro",
    "SM-T395": "Galaxy Tab Active2",
    "SM-T395C": "Galaxy Tab Active2",
    "SM-T395N": "Galaxy Tab Active2",
    "SM-T390": "Galaxy Tab Active2",
    "SM-T575": "Galaxy Tab Active3",
    "SM-T575N": "Galaxy Tab Active3",
    "SM-T577": "Galaxy Tab Active3",
    "SM-T577U": "Galaxy Tab Active3",
    "SM-T636B": "Galaxy Tab Active4 Pro 5G",
    "SM-T636N": "Galaxy Tab Active4 Pro 5G",
    "SM-T638B": "Galaxy Tab Active4 Pro 5G",
    "SM-T638U": "Galaxy Tab Active4 Pro 5G",
    "SM-T583": "Galaxy Tab Advanced2",
    "SM-T561M": "Galaxy Tab E",
    "SM-T560": "Galaxy Tab E 9.6",
    "SAMSUNG-SM-T377A": "Galaxy Tab E 8.0",
    "SM-T377W": "Galaxy Tab E 8.0",
    "SM-T375L": "Galaxy Tab E 8.0",
    "SM-T375S": "Galaxy Tab E 8.0",
    "SM-T377T": "Galaxy Tab E 8.0",
    "SM-T3777": "Galaxy Tab E 8.0",
    "SM-T377V": "Galaxy Tab E 8.0",
    "SM-T377P": "Galaxy Tab E 8.0",
    "SM-T377R4": "Galaxy Tab E 8.0",
    "SM-T561": "Galaxy Tab E 9.6",
    "SM-T561Y": "Galaxy Tab E 9.6",
    "SM-T562": "Galaxy Tab E 9.6",
    "SM-T567V": "Galaxy Tab E 9.6",
    "SM-T560NU": "Galaxy Tab E 9.6",
    "SM-T378V": "Galaxy Tab E8.0",
    "SM-T116BU": "Galaxy Tab Plus 7.0",
    "SM-T525": "Galaxy Tap Pro 10.1",
    "SM-T520": "Galaxy Tab Pro 10.1",
    "SM-T520CC": "Galaxy Tab Pro 10.1 Chef Collection",
    "SM-T905": "Galaxy Tab Pro 12.2",
    "SM-T900": "Galaxy Tab Pro 12.2",
    "SM-T900X": "Galaxy Tab Pro 12.2",
    "SM-T325": "Galaxy Tab Pro 8.4",
    "SM-T320": "Galaxy Tap Pro 8.4",
    "SM-T320X": "Galaxy Tab Pro 8.4",
    "SM-T320NU": "Galaxy Tab Pro 8.4",
    "SM-T2519": "Galaxy Tab Q",
    "SM-T800": "Galaxy TabS 10.5",
    "SC-03G": "Galaxy Tab S 8.4",
    "SM-T705": "Galaxy TabS 8.4",
    "SM-T705C": "Galaxy Tab S 8.4",
    "SM-T705Y": "Galaxy Tab S 8.4",
    "SM-T707V": "Galaxy Tab S 8.4",
    "SM-T700": "Galaxy TabS 8.4",
    "SM-T815": "Galaxy Tab S2",
    "SM-T815C": "Galaxy Tab S2",
    "SM-T815Y": "Galaxy Tab S2",
    "SM-T819": "Galaxy Tab S2",
    "SM-T819Y": "Galaxy Tab S2",
    "SM-T819C": "Galaxy Tab S2",
    "SM-T813": "Galaxy Tab S2 9.7",
    "SM-T810": "Galaxy Tab S2 9.7",
    "SM-T715": "Galaxy Tab S2",
    "SM-T719": "Galaxy Tab S2",
    "SM-T719Y": "Galaxy Tab S2",
    "SM-T719C": "Galaxy Tab S2",
    "SM-T713": "Galaxy Tab S2 8.0",
    "SM-T710": "Galaxy Tab S2 8.0",
    "SM-T715Y": "Galaxy Tab S2 8.0",
    "SM-T715C": "Galaxy Tab S2 8.0",
    "SM-T715N0": "Galaxy Tab S2 8.0",
    "SM-T710X": "Galaxy Tab S2 8.0",
    "SM-T817": "Galaxy Tab S2 9.7",
    "SAMSUNG-SM-T817A": "Galaxy Tab S2 9.7",
    "SM-T817W": "Galaxy Tab S2 9.7",
    "SM-T815N0": "Galaxy Tab S2 9.7",
    "SM-T817P": "Galaxy Tab S2 9.7",
    "SM-T817T": "Galaxy Tab S2 9.7",
    "SM-T817R4": "Galaxy Tab S2 9.7",
    "SM-T817V": "Galaxy Tab S2 9.7",
    "SM-T818": "Galaxy Tab S2 9.7",
    "SAMSUNG-SM-T818A": "Galaxy Tab S2 9.7",
    "SM-T818W": "Galaxy Tab S2 9.7",
    "SM-T818T": "Galaxy Tab S2 9.7",
    "SM-T810X": "Galaxy Tab S2 9.7",
    "SM-T825": "Galaxy TabS3",
    "SM-T825C": "Galaxy TabS3",
    "SM-T825X": "Galaxy Tab S3",
    "SM-T827": "Galaxy Tab S3",
    "SM-T825N0": "Galaxy Tab S3",
    "SM-T827R4": "Galaxy Tab S3",
    "SM-T827V": "Galaxy Tab S3",
    "SM-T820": "Galaxy Tab S3",
    "SM-T820X": "Galaxy Tab S3",
    "SM-T835": "Galaxy Tab S4",
    "SM-T837": "Galaxy Tab S4",
    "SM-T837A": "Galaxy Tab S4",
    "SM-T835C": "Galaxy Tab S4",
    "SM-T835N": "Galaxy Tab S4",
    "SM-T837P": "Galaxy Tab S4",
    "SM-T837T": "Galaxy Tab S4",
    "SM-T837R4": "Galaxy Tab S4",
    "SM-T837V": "Galaxy Tab S4",
    "SM-T830": "Galaxy Tab S4",
    "SM-T725": "Galaxy Tab S5e",
    "SM-T725C": "Galaxy Tab S5e",
    "SM-T725N": "Galaxy Tab S5e",
    "SM-T727": "Galaxy Tab S5e",
    "SM-T727A": "Galaxy Tab S5e",
    "SM-T727R4": "Galaxy Tab S5e",
    "SM-T727U": "Galaxy Tab S5e",
    "SM-T727V": "Galaxy Tab S5e",
    "SM-T720": "Galaxy Tab S5e",
    "SM-T865": "Galaxy Tab S6",
    "SM-T865N": "Galaxy Tab S6",
    "SM-T867": "Galaxy Tab S6",
    "SM-T867R4": "Galaxy Tab S6",
    "SM-T867U": "Galaxy Tab S6",
    "SM-T867V": "Galaxy Tab S6",
    "SM-T860": "Galaxy Tab S6",
    "SM-T866N": "Galaxy Tab S6 5G",
    "SM-P615": "Galaxy Tab S6 Lite",
    "SM-P615C": "Galaxy Tab S6 Lite",
    "SM-P615N": "Galaxy Tab S6 Lite",
    "SM-P617": "Galaxy Tab S6 Lite",
    "SM-P619": "Galaxy Tab S6 Lite",
    "SM-P613": "Galaxy Tab S6 Lite",
    "SM-P610": "Galaxy Tab S6 Lite",
    "SM-P610X": "Galaxy Tab S6 Lite",
    "SM-T875": "Galaxy Tab S7",
    "SM-T875N": "Galaxy Tab S7",
    "SM-T870": "Galaxy Tab S7",
    "SM-T878U": "Galaxy Tab S7 5G",
    "SM-T733": "Galaxy Tab S7 FE",
    "SM-T735": "Galaxy Tab S7 FE",
    "SM-T735C": "Galaxy Tab S7 FE",
    "SM-T735N": "Galaxy Tab S7 FE",
    "SM-T737": "Galaxy Tab S7 FE",
    "SM-T730": "Galaxy Tab S7 FE",
    "SM-T736B": "Galaxy Tab S7 FE 5G",
    "SM-T736N": "Galaxy Tab S7 FE 5G",
    "SM-T738U": "Galaxy Tab S7 FE 5G",
    "SM-T975": "Galaxy Tab S7+",
    "SM-T975N": "Galaxy Tab S7+",
    "SM-T970": "Galaxy Tab S7+",
    "SM-T976B": "Galaxy Tab S7+ 5G",
    "SM-T976N": "Galaxy Tab S7+ 5G",
    "SM-T978U": "Galaxy Tab S7+ 5G",
    "SM-X700": "Galaxy Tab S8",
    "SM-X706B": "Galaxy Tab S8 5G",
    "SM-X706C": "Galaxy Tab S8 5G",
    "SM-X706N": "Galaxy Tab S8 5G",
    "SM-X900": "Galaxy Tab S8 Ultra",
    "SM-X906B": "Galaxy Tab S8 Ultra 5G",
    "SM-X906C": "Galaxy Tab S8 Ultra 5G",
    "SM-X906N": "Galaxy Tab S8 Ultra 5G",
    "SM-X800": "Galaxy Tab S8+",
    "SM-X806B": "Galaxy Tab S8+ 5G",
    "SM-X806C": "Galaxy Tab S8+ 5G",
    "SM-X806E": "Galaxy Tab S8+ 5G",
    "SM-X806N": "Galaxy Tab S8+ 5G",
    "SM-X808U": "Galaxy Tab S8+ 5G",
    "SAMSUNG-SGH-I497": "Galaxy Tab2 10.1",
    "SGH-I497": "Galaxy Tab2 10.1",
    "GT-P5100": "Galaxy Tab2 10.1",
    "SPH-P500": "Galaxy Tab2 10.1",
    "SGH-T779": "Galaxy Tab2 10.1",
    "SCH-I915": "Galaxy Tab2 10.1",
    "GT-P5110": "Galaxy Tab2 10.1",
    "GT-P5113": "Galaxy Tab2 10.1",
    "GT-P3100": "Galaxy Tab2 7.0",
    "GT-P3100B": "Galaxy Tab2 7.0",
    "GT-P3105": "Galaxy Tab2 7.0",
    "SCH-I705": "Galaxy Tab2 7.0",
    "SCH-i705": "Galaxy Tab2 7.0",
    "GT-P3110": "Galaxy Tab2 7.0",
    "GT-P3113": "Galaxy Tab2 7.0",
    "SM-T310": "Galaxy Tab3 8.0",
    "GT-P5200": "Galaxy Tab3 10.1",
    "GT-P5220": "Galaxy Tab3 10.1",
    "GT-P5210": "Galaxy Tab3 10.1",
    "GT-P5210XD1": "Galaxy Tab3 10.1",
    "SM-T211": "Galaxy Tab3 7.0",
    "SM-T212": "Galaxy Tab3 7.0",
    "SM-T211M": "Galaxy Tab3 7.0",
    "SM-T215": "Galaxy Tab3 7.0",
    "SAMSUNG-SM-T217A": "Galaxy Tab3 7.0",
    "SM-T217S": "Galaxy Tab3 7.0",
    "SM-T217T": "Galaxy Tab3 7.0",
    "SM-T210": "Galaxy Tab3 7.0",
    "SM-T210R": "Galaxy Tab3 7.0",
    "SM-T210L": "Galaxy Tab3 7.0",
    "SM-T311": "Galaxy Tab3 8.0",
    "SM-T312": "Galaxy Tab3 8.0",
    "SM-T315": "Galaxy Tab3 8.0",
    "SM-T315T": "Galaxy Tab3 8.0",
    "SM-T310X": "Galaxy Tab3 8.0",
    "SM-T210X": "Galaxy Tab3 8.0",
    "SM-T2105": "Galaxy Tab3 Kids",
    "SM-T111": "Galaxy Tab3 Lite",
    "SM-T111M": "Galaxy Tab3 Lite",
    "SM-T110": "Galaxy Tab3 Lite",
    "SM-T116NQ": "Galaxy Tab3 Lite 7.0",
    "SM-T113": "Galaxy Tab3 Lite 7.0",
    "SM-T116": "Galaxy Tab3 VE 7.0",
    "SM-T116NU": "Galaxy Tab3V 7.0",
    "SM-T113NU": "Galaxy Tab3V 7.0",
    "SM-T530NN": "Galaxy Tab4",
    "SM-T531": "Galaxy Tab4 10.0",
    "SM-T535": "Galaxy Tab4 10.0",
    "SAMSUNG-SM-T537A": "Galaxy Tab4 10.0",
    "SM-T537R4": "Galaxy Tab4 10.0",
    "SM-T537V": "Galaxy Tab4 10.0",
    "SM-T536": "Galaxy Tab4 10.1",
    "SM-T533": "Galaxy Tab4 10.1",
    "SM-T530": "Galaxy Tab4 10.1",
    "SM-T530X": "Galaxy Tab4 10.1",
    "SM-T530NU": "Galaxy Tab4 Nook 10.1",
    "403SC": "Galaxy Tab4 7.0",
    "SM-T230NW": "Galaxy Tab4 7.0",
    "SM-T231": "Galaxy Tab4 7.0",
    "SM-T232": "Galaxy Tab4 7.0",
    "SM-T235": "Galaxy Tab4 7.0",
    "SM-T235Y": "Galaxy Tab4 7.0",
    "SM-T237P": "Galaxy Tab4 7.0",
    "SM-T237V": "Galaxy Tab4 7.0",
    "SM-T239": "Galaxy Tab4 7.0",
    "SM-T2397": "Galaxy Tab4 7.0",
    "SM-T239M": "Galaxy Tab4 7.0",
    "SM-T239C": "Galaxy Tab4 7.0",
    "SM-T230": "Galaxy Tab4 7.0",
    "SM-T230NY": "Galaxy Tab4 7.0",
    "SM-T230X": "Galaxy Tab4 7.0",
    "SM-T230NT": "Galaxy Tab4 7.0",
    "SM-T230NU": "Galaxy Tab4 7.0",
    "SM-T331": "Galaxy Tab4 8.0",
    "SM-T335": "Galaxy Tab4 8.0",
    "SAMSUNG-SM-T337A": "Galaxy Tab4 8.0",
    "SM-T335K": "Galaxy Tab4 8.0",
    "SM-T335L": "Galaxy Tab4 8.0",
    "SM-T337T": "Galaxy Tab4 8.0",
    "SM-T337V": "Galaxy Tab4 8.0",
    "SM-T330NU": "Galaxy Tab4 8.0",
    "SM-T365M": "Galaxy Tab4 Active",
    "SM-T365F0": "Galaxy Tab4 Active",
    "SM-T360": "Galaxy Tab4 Active",
    "SM-P580X": "Galaxy TabA Plus10.1",
    "SM-T378K": "Galaxy TabE 8.0",
    "SM-T378L": "Galaxy TabE 8.0",
    "SM-T378S": "Galaxy TabE 8.0",
    "SCT21": "Galaxy TabS 10.5",
    "SM-T805K": "Galaxy TabS 10.5",
    "SM-T805L": "Galaxy TabS 10.5",
    "SM-T805S": "Galaxy TabS 10.5",
    "SM-T805": "Galaxy TabS 10.5",
    "SM-T805C": "Galaxy TabS 10.5",
    "SM-T805M": "Galaxy TabS 10.5",
    "SM-T805Y": "Galaxy TabS 10.5",
    "SM-T807": "Galaxy TabS 10.5",
    "SAMSUNG-SM-T807A": "Galaxy TabS 10.5",
    "SM-T805W": "Galaxy TabS 10.5",
    "SM-T807P": "Galaxy TabS 10.5",
    "SM-T807T": "Galaxy TabS 10.5",
    "SM-T807R4": "Galaxy TabS 10.5",
    "SM-T807V": "Galaxy TabS 10.5",
    "SM-T800X": "Galaxy TabS 10.5",
    "SM-T705M": "Galaxy TabS 8.4",
    "SAMSUNG-SM-T707A": "Galaxy TabS 8.4",
    "SM-T705W": "Galaxy TabS 8.4",
    "SM-T818V": "Galaxy TabS2 9.7",
    "SM-T825Y": "Galaxy TabS3",
    "GT-S7392": "Galaxy Trend Duos",
    "GT-S7392L": "Galaxy Trend",
    "GT-S7568I": "Galaxy Trend",
    "GT-S7562i": "Galaxy Trend Duos",
    "GT-S7572": "Galaxy Trend Duos",
    "GT-S7562C": "Galaxy Trend Duos",
    "GT-S7390L": "Galaxy Trend Lite",
    "GT-S7580": "Galaxy Trend Plus",
    "GT-S7580E": "Galaxy Trend Plus",
    "GT-S7580L": "Galaxy Trend Plus",
    "GT-S7583T": "Galaxy Trend Plus",
    "GT-S7898": "Galaxy Trend2",
    "GT-S7898I": "Galaxy Trend2",
    "SCH-I739": "Galaxy Trend2",
    "SM-G3502U": "Galaxy Trend3",
    "SM-G3508": "Galaxy Trend3",
    "SM-G3509": "Galaxy Trend3",
    "SM-G3508I": "Galaxy Trend3",
    "SM-G3502C": "Galaxy Trend3",
    "SM-G3502I": "Galaxy Trend3",
    "SM-G3508J": "Galaxy Trend3",
    "SM-G3509I": "Galaxy Trend3",
    "SHW-M130L": "Galaxy U",
    "SPH-L300": "Galaxy Victory",
    "SM-T677": "Galaxy View",
    "SAMSUNG-SM-T677A": "Galaxy View",
    "SM-T677V": "Galaxy View",
    "SM-T670": "Galaxy View",
    "SM-T927A": "Galaxy View2",
    "GT-I8150": "Galaxy W",
    "GT-I8150B": "Galaxy W",
    "GT-I8150T": "Galaxy W",
    "SGH-T679M": "Galaxy W",
    "SM-T255S": "Galaxy W",
    "SM-R870": "Galaxy Watch4",
    "SM-R860": "Galaxy Watch4",
    "SM-R875F": "Galaxy Watch4",
    "SM-R875N": "Galaxy Watch4",
    "SM-R875U": "Galaxy Watch4",
    "SM-R865F": "Galaxy Watch4",
    "SM-R865N": "Galaxy Watch4",
    "SM-R865U": "Galaxy Watch4",
    "SM-R890": "Galaxy Watch4 Classic",
    "SM-R880": "Galaxy Watch4 Classic",
    "SM-R8950": "Galaxy Watch4 Classic",
    "SM-R895F": "Galaxy Watch4 Classic",
    "SM-R895N": "Galaxy Watch4 Classic",
    "SM-R895U": "Galaxy Watch4 Classic",
    "SM-R885F": "Galaxy Watch4 Classic",
    "SM-R885N": "Galaxy Watch4 Classic",
    "SM-R885U": "Galaxy Watch4 Classic",
    "SM-R910": "Galaxy Watch5",
    "SM-R900": "Galaxy Watch5",
    "SM-R9150": "Galaxy Watch5",
    "SM-R915F": "Galaxy Watch5",
    "SM-R915N": "Galaxy Watch5",
    "SM-R915U": "Galaxy Watch5",
    "SM-R905F": "Galaxy Watch5",
    "SM-R905N": "Galaxy Watch5",
    "SM-R905U": "Galaxy Watch5",
    "SM-R920": "Galaxy Watch5 Pro",
    "SM-R925F": "Galaxy Watch5 Pro",
    "SM-R925N": "Galaxy Watch5 Pro",
    "SM-R925U": "Galaxy Watch5 Pro",
    "SM-G600S": "Galaxy Wide",
    "SM-J727S": "Galaxy Wide2",
    "SM-J737S": "Galaxy Wide3",
    "SM-A205S": "Galaxy Wide4",
    "SM-E426S": "Galaxy Wide5",
    "SM-A136S": "Galaxy Wide6",
    "GT-I8558": "Galaxy Win",
    "SCH-I869": "Galaxy Win",
    "GT-I8552": "Galaxy Win Duos",
    "GT-I8552B": "Galaxy Win",
    "GT-I8550E": "Galaxy Win",
    "SHV-E500L": "Galaxy Win",
    "SHV-E500S": "Galaxy Win",
    "SM-G3818": "Galaxy Win Pro",
    "SM-G3819": "Galaxy Win Pro",
    "SM-G3819D": "Galaxy Win Pro",
    "SM-G3812": "Galaxy Win Pro",
    "SM-G360BT": "Galaxy Win2",
    "SM-G398FN": "Galaxy XCover 4s",
    "SM-G525F": "Galaxy XCover 5",
    "SM-G525N": "Galaxy XCover 5",
    "SM-G889F": "Galaxy XCover Field Pro",
    "SM-G889G": "Galaxy XCover FieldPro",
    "SM-G889YB": "Galaxy XCover FieldPro",
    "SM-G889A": "Galaxy XCover FieldPro",
    "SM-G715FN": "Galaxy XCover Pro",
    "SM-G390F": "Galaxy XCover4",
    "SM-G736B": "Galaxy XCover6 Pro",
    "SM-G736U": "Galaxy XCover6 Pro",
    "SM-G736U1": "Galaxy XCover6 Pro",
    "SM-G736W": "Galaxy XCover6 Pro",
    "GT-S5690": "Galaxy Xcover",
    "GT-S5690L": "Galaxy Xcover",
    "GT-S5690M": "Galaxy Xcover",
    "GT-S5690R": "Galaxy Xcover",
    "GT-S7710": "Galaxy Xcover2",
    "GT-S7710L": "Galaxy Xcover2",
    "SM-G388F": "Galaxy Xcover3",
    "SM-G389F": "Galaxy Xcover3",
    "SM-G390Y": "Galaxy Xcover4",
    "SM-G390W": "Galaxy Xcover4",
    "GT-S5360": "Galaxy Y",
    "GT-S5360B": "Galaxy Y",
    "GT-S5360L": "Galaxy Y",
    "GT-S5360T": "Galaxy Y",
    "GT-S5363": "Galaxy Y",
    "GT-S5368": "Galaxy Y",
    "GT-S5369": "Galaxy Y",
    "SCH-I509": "Galaxy Y",
    "SCH-i509": "Galaxy Y",
    "GT-S6102": "Galaxy Y Duos",
    "GT-S6102B": "Galaxy Y Duos",
    "GT-S6102E": "Galaxy Y Duos",
    "GT-S5303B": "Galaxy Y Plus",
    "GT-S6108": "Galaxy Y Pop",
    "GT-B5510": "Galaxy Y Pro",
    "GT-B5510B": "Galaxy Y Pro",
    "GT-B5510L": "Galaxy Y Pro",
    "GT-B5512": "Galaxy Y Pro Duos",
    "GT-B5512B": "Galaxy Y Pro Duos",
    "GT-S5367": "Galaxy Y TV",
    "GT-S6312": "Galaxy Young",
    "GT-S6313T": "Galaxy Young",
    "GT-S6310": "Galaxy Young",
    "GT-S6310B": "Galaxy Young",
    "GT-S6310L": "Galaxy Young",
    "GT-S6310T": "Galaxy Young",
    "GT-S6310N": "Galaxy Young",
    "SM-G130H": "Galaxy Young2",
    "SM-G130M": "Galaxy Young2",
    "SM-G130U": "Galaxy Young2",
    "SM-G130BT": "Galaxy Young2",
    "SM-G130E": "Galaxy Young2",
    "SM-G130HN": "Galaxy Young2",
    "SM-G130BU": "Galaxy Young2 Pro",
    "SCV47": "Galaxy Z Flip",
    "SM-F7000": "Galaxy Z Flip",
    "SM-F700F": "Galaxy Z Flip",
    "SM-F700N": "Galaxy Z Flip",
    "SM-F700U": "Galaxy Z Flip",
    "SM-F700U1": "Galaxy Z Flip",
    "SM-F700W": "Galaxy Z Flip",
    "SCG04": "Galaxy Z Flip 5G",
    "SM-F7070": "Galaxy Z Flip 5G",
    "SM-F707B": "Galaxy Z Flip 5G",
    "SM-F707N": "Galaxy Z Flip 5G",
    "SM-F707U": "Galaxy Z Flip 5G",
    "SM-F707U1": "Galaxy Z Flip 5G",
    "SM-F707W": "Galaxy Z Flip 5G",
    "SC-54B": "Galaxy Z Flip3 5G",
    "SCG12": "Galaxy Z Flip3 5G",
    "SM-F7110": "Galaxy Z Flip3 5G",
    "SM-F711B": "Galaxy Z Flip3 5G",
    "SM-F711N": "Galaxy Z Flip3 5G",
    "SM-F711U": "Galaxy Z Flip3 5G",
    "SM-F711U1": "Galaxy Z Flip3 5G",
    "SM-F711W": "Galaxy Z Flip3 5G",
    "SC-54C": "Galaxy Z Flip4",
    "SCG17": "Galaxy Z Flip4",
    "SM-F7210": "Galaxy Z Flip4",
    "SM-F721B": "Galaxy Z Flip4",
    "SM-F721C": "Galaxy Z Flip4",
    "SM-F721N": "Galaxy Z Flip4",
    "SM-F721U": "Galaxy Z Flip4",
    "SM-F721U1": "Galaxy Z Flip4",
    "SM-F721W": "Galaxy Z Flip4",
    "SM-F9160": "Galaxy Z Fold2 5G",
    "SM-F916B": "Galaxy Z Fold2 5G",
    "SM-F916N": "Galaxy Z Fold2 5G",
    "SM-F916Q": "Galaxy Z Fold2 5G",
    "SM-F916U": "Galaxy Z Fold2 5G",
    "SM-F916U1": "Galaxy Z Fold2 5G",
    "SM-F916W": "Galaxy Z Fold2 5G",
    "SC-55B": "Galaxy Z Fold3 5G",
    "SCG11": "Galaxy Z Fold3 5G",
    "SM-F9260": "Galaxy Z Fold3 5G",
    "SM-F926B": "Galaxy Z Fold3 5G",
    "SM-F926N": "Galaxy Z Fold3 5G",
    "SM-F926U": "Galaxy Z Fold3 5G",
    "SM-F926U1": "Galaxy Z Fold3 5G",
    "SM-F926W": "Galaxy Z Fold3 5G",
    "SC-55C": "Galaxy Z Fold4",
    "SCG16": "Galaxy Z Fold4",
    "SM-F9360": "Galaxy Z Fold4",
    "SM-F936B": "Galaxy Z Fold4",
    "SM-F936N": "Galaxy Z Fold4",
    "SM-F936U": "Galaxy Z Fold4",
    "SM-F936U1": "Galaxy Z Fold4",
    "SM-F936W": "Galaxy Z Fold4",
    "YP-GB70D": "Galaxy player 70 Plus",
    "SM-T677NK": "Galaxy view",
    "SM-T677NL": "Galaxy view",
    "GT-I8550L": "Galaxy win",
    "SGH-T399N": "Garda",
    "SGH-T399": "Garda",
    "SCH-I100": "Gem",
    "SM-T387VK": "Gizmo Tablet",
    "SCH-W789": "Hennessy",
    "GT-B9150": "Homesync",
    "YP-GH1": "IceTouch",
    "SCH-I110": "Illusion",
    "SAMSUNG-SGH-I997": "Infuse",
    "SAMSUNG-SGH-I997R": "Infuse",
    "SM-J106F": "J1 Mini Prime",
    "SPH-M900": "Moment",
    "SM-W2014": "Montblanc",
    "Nexus S 4G": "Nexus S",
    "samsung-printer-tablet": "ProXpress M4580",
    "SPH-M580": "Replenish",
    "SPH-M580BST": "Replenish",
    "SCH-R680": "Repp",
    "GT-S6293T": "Roy VE DTV",
    "SAMSUNG-SGH-I847": "Rugby Smart",
    "SM-W2018X": "SM-W2018",
    "SGH-T839": "Sidekick",
    "SCH-R730": "Transfix",
    "SPH-M920": "Transform",
    "SPH-M930": "Transform Ultra",
    "SPH-M930BST": "Transform Ultra",
    "SPH-M910": "VinsQ(M910)",
    "SM-W2016": "W2016",
    "SM-W2017": "W2017",
    "SMT-E5015": "olleh",
    "SM-W2021": "三星 W21 5G",
    "SM-W2020": "三星W20",
    "SM-W2022": "三星W22 5G",
    "SM-W7023": "心系天下 三星 W23 Flip",
    "SM-G9298": "领世旗舰8",
    "TWIFI-07": "TWIFI_07",
    "TAB7A3G06": "TAB7A3G06",
    "ETAB_M9021G": "ETAB M9021G",
    "ETAB_S7042G": "ETAB S7042G",
    "Sansui Fun": "Fun",
    "SAN-8487": "Israel",
    "Sansui_Switch": "Switch",
    "ETAB I7043G": 'Tab 7"',
    "ETAB_I7043G": 'Tab 7"',
    "ETAB_I7043G_VP3": 'Tab 7"',
    "CEM1": "55CE6139M1",
    "31TL04": "Benesse",
    "40TL04": "Benesse",
    "41EA04": "Benesse",
    "HMB2213PW22WA": "SaskTel maxTV Stream",
    "TATUNG 4K AI Smart TV": "4K Smart TV",
    "imiia 4K AI Smart TV": "4K Smart TV",
    "SM7216H": "SCHOK",
    "Schok Volt SV55": "SV55216",
    "SM7216": "mini_SM7216",
    "F503V": "F5O3V",
    "Seatel T8": "T8",
    "Seatel V8A": "V8A",
    "Seatel V8E": "V8E",
    "Seiki Android TV": "North America",
    "Seiki Android TV 2K": "North America",
    "BrailleSensePolaris": "BrailleSense Polaris",
    "H620B": "BrailleSenseMini",
    "SENSEIT_A109": "A109",
    "SENSEIT L301": "L301",
    "SENSEIT A247": "SENSEIT_A247",
    "SENSEIT N151": "Senseit N151",
    "LS5018": "Senwa_LS5018",
    "LS5018F": "Senwa_LS5018F",
    "S571": "Senwa_S571",
    "S6000": "Telcel S6000",
    "LS50": "Telcel_LS50",
    "LS55": "Telcel_LS55",
    "IT_1101S": "IT-1101S",
    "AUTOID Q9": "AUTOIDQ9G",
    "AUTIOD9N": "AUTOID9N",
    "LCD_xxSFFOCBC_H": "2T-B40BCH1; 2T-B40BCH3; 2T-B45BCH1; 2T-B45BCH3",
    "AQUOS-TVX19A": "BG/BE",
    "LCD_32SFINF380A": "2T-C32ACSA, 2T-C32ACMA, 2T-C32ACTA, 2T-C32ACZA",
    "LCD_xxSFFOCCA_C": "2T-C40ACxA; 2T-C45ACxA; 2T-C45ADxA",
    "AQUOS-TVX19C": "BG/BE/CG",
    "AQUOS-TVJ18": "4T-C**AM1/AN1/AL1,8T-C**AX1/AW1",
    "AQUOS-TVJ19": "4T-C**BL1/BJ1/BN1/CL1/CN1/CQ1",
    "AQUOS-TVJ19B": "4T-C**BN1/BL1",
    "AQUOS-TVJ20B": "4T-C**BN1H/BL1H",
    "AQUOS-TVJ21-2": "4T-C**DL1/DJ1/DQ1/DN2",
    "AQUOS-TVJ21": "4T-C**DS1/DN1/DP1",
    "AQUOS-4KTVJ22": "4T-C**EN1/EQ1/ES1/EU1",
    "AQUOS-4KTVJ22-2": "4T-C**EN2/EL1/EQ2",
    "LCD_50FOCAG1T": "4T-C50AG1T",
    "LCD_50SUMTCCA_XA": "4T-C50BDXA;4T-C50BDKA;4T-C50BDMA;4T-C50BDCA;4T-C50BDZA",
    "TVX19B": "BJ",
    "AQUOS-TVX19B": "BK/BJ/CK/CL/CJ",
    "AQUOS-TVX19D": "BK/BJ/CK/CL/CJ",
    "LC-xxEOS5H": "4T-C60AL1H,4T-C70AL1H",
    "LC-xxDEM6H": "4T-C60AM1H,4T-C70AM1H",
    "LCD-xxGAE7A": "4T-C60ANAA,4T-C70ANAA,4T-C60ASAA,4T-C70ASAA",
    "AQUOS-TVU19A": "4T-C60BK2UD",
    "LCD-xxHAD5A": "4T-C60CFZA  4T-C70CFZA 4T-C60CFMA 4T-C70CFMA 4T-C60CFKA 4T-C70CFKA 4T-C60CFXA 4T-C70CFXA 4T-C60CFCA 4T-C70CFCA",
    "AQUOS-8KTVJ19": "8T-C**BW1",
    "AQUOS-8KTVJ20": "8T-C**CX1",
    "AQUOS-8KTVJ21": "8T-C**DW1/DX1",
    "AQUOS-TVH21A": "8T-C**DW1X",
    "AQUOS-TVX21A": "8T-C**DW1X/DW2X",
    "LCD-xxGAE9A": "8T-CxxAXAA",
    "FS8002": "Z2",
    "SHARP-ADS1": "ADS1",
    "AQUOS-TVX18": "AQUOS 4T/8T-C**AL1X/AL2X/AX1X",
    "AQUOS-TVT18": "AQUOS 8T-**AX1T",
    "403SH": "AQUOS CRYSTAL 2",
    "402SH": "AQUOS CRYSTAL X",
    "SH-02H": "AQUOS Compact SH-02H",
    "SH-02J": "AQUOS EVER SH-02J",
    "SH-04G": "AQUOS EVER SH-04G",
    "SHF31": "AQUOS K SHF31",
    "SHF32": "AQUOS K SHF32",
    "SHF33": "AQUOS K SHF33",
    "SHV37_u": "AQUOS L SHV37",
    "SH-L02": "AQUOS L2",
    "FS8001": "C1",
    "P1X": "AQUOS P1",
    "SHT22": "AQUOS PAD  SHT22",
    "SH-05G": "AQUOS PAD SH-05G",
    "SH-06F": "AQUOS PAD SH-06F",
    "SH-08E": "AQUOS PAD SH-08E",
    "SHT21": "AQUOS PAD SHT21",
    "SHL22": "AQUOS PHONE  SERIE SHL22",
    "SHL23": "AQUOS PHONE  SERIE SHL23",
    "SHL24": "AQUOS PHONE  SERIE mini SHL24",
    "IS17SH": "AQUOS PHONE CL IS17SH",
    "SH-02F": "AQUOS PHONE EX SH-02F",
    "SH-04E": "AQUOS PHONE EX SH-04E",
    "IS11SH": "AQUOS PHONE IS11SH",
    "IS12SH": "AQUOS PHONE IS12SH",
    "IS13SH": "AQUOS PHONE IS13SH",
    "IS14SH": "AQUOS PHONE IS14SH",
    "ISW16SH": "AQUOS PHONE SERIE ISW16SH",
    "SHL21": "AQUOS PHONE SERIE SHL21",
    "SH-01D": "AQUOS PHONE SH-01D",
    "SH-06D": "AQUOS PHONE SH-06D",
    "SH-12C": "AQUOS PHONE SH-12C",
    "SH90B": "AQUOS PHONE SH90B",
    "IS15SH": "AQUOS PHONE SL IS15SH",
    "SBM102SH2": "AQUOS PHONE SoftBank  102SH II",
    "SBM006SH": "AQUOS PHONE SoftBank 006SH",
    "SBM102SH": "AQUOS PHONE SoftBank 102SH",
    "SBM103SH": "AQUOS PHONE SoftBank 103SH",
    "SBM104SH": "AQUOS PHONE SoftBank 104SH",
    "SBM007SH": "AQUOS PHONE THE HYBRID SoftBank 007SH",
    "SBM007SHJ": "AQUOS PHONE THE HYBRID SoftBank 007SH J",
    "SBM101SH": "AQUOS PHONE THE HYBRID SoftBank 101SH",
    "SBM009SH": "AQUOS PHONE THE PREMIUM SoftBank 009SH",
    "WX05SH": "AQUOS PHONE WX05SH",
    "SBM206SH": "AQUOS PHONE Xx 206SH",
    "SBM302SH": "AQUOS PHONE Xx 302SH",
    "SBM106SH": "AQUOS PHONE Xx SoftBank 106SH",
    "SBM303SH": "AQUOS PHONE Xx mini 303SH",
    "SH-01F": "AQUOS PHONE ZETA  SH-01F",
    "SH-02E": "AQUOS PHONE ZETA SH-02E",
    "SH-06E": "AQUOS PHONE ZETA SH-06E",
    "SH-09D": "AQUOS PHONE ZETA SH-09D",
    "WX04SH": "AQUOS PHONE es WX04SH",
    "SH-13C": "AQUOS PHONE f SH-13C",
    "SH-01E": "AQUOS PHONE si SH-01E",
    "SH-07E": "AQUOS PHONE si SH-07E",
    "SH-02D": "AQUOS PHONE slider SH-02D",
    "SBM205SH": "AQUOS PHONE ss 205SH",
    "SH-07D": "AQUOS PHONE st SH-07D",
    "SH-10D": "AQUOS PHONE sv SH-10D",
    "605SH": "AQUOS R",
    "SH-03J": "AQUOS R SH-03J",
    "SHV39": "AQUOS R SHV39",
    "701SH": "AQUOS R compact 701SH",
    "SH-M06": "AQUOS R compact SH-M06",
    "SHV41": "AQUOS R compact SHV41",
    "706SH": "AQUOS R2",
    "SH-03K": "AQUOS R2 SH-03K",
    "SHV42": "AQUOS R2 SHV42",
    "SH-M09": "AQUOS R2 compact (SH-M09)",
    "803SH": "AQUOS R2 compact 803SH",
    "808SH": "AQUOS R3 808SH",
    "SH-04L": "AQUOS R3 SH-04L",
    "SH-R10A": "AQUOS R3 SH-R10A",
    "SHV44": "AQUOS R3 SHV44",
    "908SH": "AQUOS R5G 908SH",
    "SH-51A": "AQUOS R5G SH-51A",
    "SH-R50": "AQUOS R5G SH-R50",
    "SH-M14": "AQUOS R5G SH-RM14",
    "SHG01": "AQUOS R5G SHG01",
    "A101SH": "AQUOS R6",
    "SH-M22": "AQUOS R6",
    "SH-51B": "AQUOS R6",
    "A202SH": "AQUOS R7",
    "SH-52C": "AQUOS R7",
    "SHL25": "AQUOS SERIE SHL25",
    "SHV32": "AQUOS SERIE SHV32",
    "SHV34": "AQUOS SERIE SHV34",
    "SHV31": "AQUOS SERIE mini SHV31",
    "SHV33": "AQUOS SERIE mini SHV33",
    "SHV38": "AQUOS SERIE mini SHV38",
    "SH-M01": "AQUOS SH-M01",
    "SH-M02": "AQUOS SH-M02",
    "SH-M02-EVA20": "AQUOS SH-M02-EVA20",
    "SH-RM02": "AQUOS SH-RM02",
    "SHV35": "AQUOS U SHV35",
    "SHV37": "AQUOS U SHV37",
    "SH-C02": "C20",
    "404SH": "AQUOS Xx",
    "506SH": "AQUOS Xx 3",
    "304SH": "AQUOS Xx 304SH",
    "502SH": "AQUOS Xx2",
    "503SH": "AQUOS Xx2 mini",
    "603SH": "AQUOS Xx3 mini",
    "SH-01G": "AQUOS ZETA SH-01G",
    "SH-01H": "AQUOS ZETA SH-01H",
    "SH-03G": "AQUOS ZETA SH-03G",
    "SH-04F": "AQUOS ZETA SH-04F",
    "SH-04H": "AQUOS ZETA SH-04H",
    "606SH": "AQUOS ea",
    "SH-M03": "AQUOS mini SH-M03",
    "SHV40_u": "AQUOS sense",
    "SH-01K": "AQUOS sense SH-01K",
    "SHV40": "AQUOS sense SHV40",
    "702SH": "AQUOS sense basic",
    "SH-M05": "AQUOS sense lite (SH-M05)",
    "SH-M07": "AQUOS sense plus (SH-M07)",
    "SHV43-u": "AQUOS sense2",
    "SH-M08": "AQUOS sense2 (SH-M08)",
    "SH-01L": "AQUOS sense2 SH-01L",
    "SHV43": "AQUOS sense2 SHV43",
    "SHV45-u": "AQUOS sense3",
    "SH-M12-y": "AQUOS sense3",
    "SH-02M": "AQUOS sense3 SH-02M",
    "SH-M12": "AQUOS sense3 SH-M12",
    "SHV45": "AQUOS sense3 SHV45",
    "907SH": "AQUOS sense3 basic",
    "SHV48": "AQUOS sense3 basic",
    "SH-RM12": "AQUOS sense3 lite",
    "901SH": "AQUOS sense3 plus (901SH)",
    "SH-M11": "AQUOS sense3 plus SH-M11",
    "SH-RM11": "AQUOS sense3 plus SH-RM11",
    "SHV46": "AQUOS sense3 plus　サウンド SHV46",
    "SH-41A": "AQUOS sense4 SH-41A",
    "SH-M15": "AQUOS sense4 SH-M15",
    "A003SH": "AQUOS sense4 basic A003SH",
    "SH-RM15": "AQUOS sense4 lite SH-RM15",
    "SH-M16": "AQUOS sense4 plus",
    "SH-S40P": "AQUOS sense4 plus",
    "SH-53A": "AQUOS sense5G",
    "A004SH": "AQUOS sense5G",
    "A105SH": "AQUOS sense5G",
    "SH-M17": "AQUOS sense5G",
    "SHG03": "AQUOS sense5G",
    "SH-S50": "AQUOS sense5G SH-S50",
    "SH-M19": "AQUOS sense6",
    "SH-RM19": "AQUOS sense6",
    "SH-54B": "AQUOS sense6",
    "SHG05": "AQUOS sense6",
    "SHG07": "AQUOS sense6s",
    "SH-M19s-y": "AQUOS sense6s",
    "SH-RM19s": "AQUOS sense6s",
    "A208SH": "AQUOS sense7 plus",
    "A103SH": "AQUOS wish",
    "A104SH": "AQUOS wish",
    "SH-M20": "AQUOS wish",
    "SH-WS10": "AQUOS wish",
    "SHG06": "AQUOS wish",
    "SHG08": "AQUOS wish2",
    "SH-51C": "AQUOS wish2",
    "A204SH": "AQUOS wish2",
    "801SH": "AQUOS zero",
    "SH-Z10": "AQUOS zero",
    "SH-Z10A": "AQUOS zero",
    "SH-M10": "AQUOS zero (SH-M10)",
    "906SH": "AQUOS zero2 906SH",
    "SH-01M": "AQUOS zero2 SH-01M",
    "SH-M13": "AQUOS zero2 SH-M13",
    "SH-Z20": "AQUOS zero2 SH-Z20",
    "SHV47": "AQUOS zero2 SHV47",
    "A002SH": "AQUOS zero5G basic",
    "SHG02": "AQUOS zero5G basic DX",
    "A102SH": "AQUOS zero6",
    "SH-RM18": "AQUOS zero6",
    "SH-Z60": "AQUOS zero6",
    "ST0B0": "AQUOS zero6",
    "SHG04": "AQUOS zero6",
    "SH-02L": "AQUOS ケータイ SH-02L",
    "SH-06G": "AQUOS ケータイ SH-06G",
    "SH-A01": "B10",
    "SHV36": "BASIO2 SHV36",
    "AQUOS-TVW21A": "DJ1",
    "AQUOS-TVH21B": "DL1X",
    "AQUOS-TVP21A": "DL1X",
    "AQUOS-TVX21B": "DL1X",
    "DM014SH": "Disney Mobile DM014SH",
    "DM-01H": "Disney Mobile on docomo DM-01H",
    "DM-01J": "Disney Mobile on docomo DM-01J",
    "SH-02G": "Disney Mobile on docomo SH-02G",
    "SH-05F": "Disney Mobile on docomo SH-05F",
    "EB-W51GJ": "EB-WX1GJ/EB-W51GJ",
    "EB-WX1GJ": "EB-WX1GJ/EB-W51GJ",
    "AQUOS-TVE21A": "EQ3/DN5",
    "AQUOS-TVE19C": "Sharp",
    "AQUOS-TVE21A2": "EU",
    "AQUOS_TVE19A": "EU",
    "FS8014": "Sharp R1",
    "SBM003SH": "GALAPAGOS SoftBank 003SH",
    "SBM005SH": "GALAPAGOS SoftBank 005SH",
    "HCTT1": "HC-16TT1",
    "LC-Ux30US": "LC-**UH30U",
    "LC_40FOC466T": "LC-40SF466T, 2T-C45AE1T, 2T-C40AE1T",
    "LC_45FOC460T": "LC-45SF460T",
    "LC-xxLE570X": "LC-50LE570X",
    "LC-xxCAE5H": "LC-S4H/LC-S45H/LC-S50H",
    "LC-xxBEL6T": "LC-SU666T/LC-SU766T",
    "AQUOS-4KTVT17": "LC-UA6800T/4T-C**AM1T",
    "AQUOS-4KTVX17": "LC-UA6800X",
    "AQUOS-4KTVJ17": "LC-US5/LC-UH5/4T-C**AJ1/4T-C70AU1",
    "LC-xxBEL8H-B": "LC-xxUA50H,LC-xxUF50H,LC-xxUD50H",
    "LC-xxBEL8H-C": "LC-xxUD50H",
    "LC-UE630X": "LC-xxUE630X",
    "LC-xxBEL9H": "LC-xxUX50H",
    "LCD_40FOC465A": "LCD-40SF465A",
    "LCD_40FOC466A": "LCD-40SF466A, LCD-40TX3000A, LCD-40MX3000A, LCD-40DS3000A, LCD-40X508A",
    "LCD_40FOC468A": "LCD-40SF468A",
    "LCD_xxSFFOC480A": "LCD-40SF480A",
    "LCD_40X418FOCH1A": "LCD-40X418H1A, LCD-40X418H2A, LCD-40X418H3A",
    "LCD_45FOC46A": "LCD-45SF460A",
    "LCD_xxSFFOC470A": "LCD-45SF470A",
    "LCD_xxSFFOC475A": "LCD-45SF475A",
    "LCD_FOC36A": "LCD-45T45A/LCD-45T46A/LCD-45T47A",
    "LCD_45FOC3000A": "LCD-45TX3000A",
    "LCD_45X418FOCH1A": "LCD-45X418H1A, LCD-45X418H2A, LCD-45X418H3A",
    "LCD-45FOC518H1A": "LCD-45X518H1A",
    "LCD_50FOC4000A": "LCD-50MY4000A/TX4000A/50SU470A",
    "LCD_xxSUFOC470A": "LCD-60SU470A",
    "LCD_xxSUFOC471A": "LCD-60SU471A",
    "LCD_xxSUFOC475A": "LCD-60SU475A",
    "LCD-60FOC518H1A": "LCD-60X518H1A",
    "LCD-LX565A-B": "LCD-LX565A",
    "LCD-S3A-01": "LCD-S3A",
    "LCD-xxCAE5A-C": "LCD-SU460A/LCD-SU465A",
    "LCD-xxCAE5A": "LCD-SU560A",
    "LCD-xxBEL8A-B": "LCD-SU870A",
    "LCD-xxCAE5A-D": "LCD-TX5000A",
    "LCD-xxBEL7A-D": "LCD-xxMY8009A",
    "LCD-xxEOS5A": "LCD-xxSU585A,LCD-xxSU680A",
    "LCD-xxDEM6A": "LCD-xxSU670A/xxMY6100A/xxSU675A/xxSU775A/xxSU875A",
    "LCD_xxSUFOC5A": "LCD-xxSU671A",
    "LCD_xxSUFOC6A": "LCD-xxSU672A",
    "LCD-xxDEM7A": "LCD-xxSU775A;LCD-xxMY7100A",
    "LCD-xxDEM8A": "LCD-xxSU875A;LCD-xxSU675A;LCD-xxMY8100A",
    "LCD-xxDEM9A": "LCD-xxSX970A,LCD-xxMY9100A",
    "LCD-xxDEMXA": "LCD-xxX818A,LCD-xxMY818A",
    "SH-03C": "LYNX 3D SH-03C",
    "SH-10B": "LYNX SH-10B",
    "LP-01": "Leitz Phone1",
    "EB-L76G-B": "Media Tablet",
    "SBM107SH": "PANTONE 5 SoftBank 107SH",
    "SBM200SH": "PANTONE 6 SoftBank 200SH",
    "PN_B_series": "PN-B501/PN-B401",
    "PN_L2B_series": "PN-L752B",
    "PN_M_series": "PN-M501/PN-M401",
    "SH-04D": "Q-pot.Phone SH-04D",
    "RZ-H270": "RZ-H271",
    "S3-SH": "S3",
    "S5-SH": "S5",
    "S7-SH": "S7",
    "SH-01EVW": "SH-01E Vivienne Westwood",
    "SH-01FDQ": "SH-01F DRAGON QUEST",
    "SH-06DNERV": "SH-06D NERV",
    "SH825Wi": "SH825wi",
    "FS8026": "SHARP A2 Lite",
    "IF9009": "SHARP A2 Mini",
    "SH-Z01": "SHARP AQUOS C10",
    "SH-D01": "SHARP AQUOS D10",
    "FS8010": "SHARP AQUOS S2",
    "FS8008": "SHARP AQUOS S2 Plus",
    "FS8016": "SHARP AQUOS S2 Plus",
    "FS8032": "Sharp HH6",
    "FS8015": "SHARP AQUOS S3",
    "FS8018": "SHARP AQUOS V1mini",
    "FS8028": "SHARP R1S",
    "FS8025": "SHARP TBC",
    "Sharp 2K Android TV": "Sharp",
    "AQUOS-TVE19G": "Sharp",
    "AQUOS-TVE21B": "Sharp",
    "Sharp 4K Android TV": "Sharp",
    "AQUOS-TVE21C": "Sharp",
    "SBM007SHK": "SoftBank 007SH KT",
    "SBM107SHB": "SoftBank 107SH B",
    "305SH": "SoftBank 305SH",
    "SBM203SH": "SoftBank AQUOS PHONE Xx 203SH",
    "SW001SH": "Star Wars mobile",
    "X4-SH": "X4",
    "LCD_xxFFOCZQ48A": "XLED-40Z4808A",
    "LCD_50SUFOC480A": "XLED-50SU480A",
    "LCD_xxFOC580A2": "XLED-50SU583A",
    "LCD_50UFOCZQ48A": "XLED-50Z4808A",
    "LCD_60SUFOC485A": "XLED-60SU485A, XLED-70SU480A",
    "LCD_xxSUFOC480A": "XLED-65SU480A",
    "LCD_xxFOC580A1": "XLED-65SU583A",
    "LCD_xxUFOCZQ48A": "XLED-65Z4808A",
    "LCD-xxCAE5A-E": "XLED-xxSU580A, XLED-xxZQ580A, XLED-xxMY5200A, XLED-xxTX5200A",
    "LCD-xxDEM6A-B": "XLED-xxSU680A;XLED-xxMY6200A;XLED-xxTX6200A;XLED-xxZ6808A",
    "SBM009SHY": "Yahoo! Phone SoftBank 009SH Y",
    "FS8009": "z3",
    "d-41A": "dtab d-41A",
    "LCD-xxBEL7A-C": "lcd_xxbel7a_c",
    "509SH": "シンプルスマホ３",
    "704SH": "シンプルスマホ４",
    "A001SH": "シンプルスマホ５",
    "A201SH": "シンプルスマホ６",
    "SR01MW": "ロボホン",
    "SR02MW": "ロボホン",
    "SRX002": "ロボホン",
    "ANDROID TV MEDIA BOX": "SEI103V",
    "Si01BB": "Bic camera",
    "Infinity 2": "Infinity_2",
    "Infinity 2 MAX": "Infinity_2_MAX",
    "Plus2": "PLUS2",
    "SICO_Plus2": "PLUS2",
    "Plus2 4G": "PLUS2 4G",
    "Sico Mega2": "SICO Mega2",
    "Express3": "Sico Express 3",
    "SICO Topaz": "Sico Topaz",
    "sico pro": "SSR1-5-8M",
    "X-Style_S5502": "X-Style S5502",
    "X-treme_PQ24": "X-TREME PQ24",
    "X-treme_PQ28": "X-TREME PQ28",
    "X-TREME_PQ37": "X-TREME PQ37",
    "X-treme_PQ20": "X-treme PQ20",
    "X-treme_PQ29": "X-treme PQ29",
    "X-treme_PQ36": "X-treme PQ36",
    "X-TREME_PQ38": "X-treme PQ38",
    "X-treme_PQ54": "X-treme PQ54",
    "Silver_S45": "Silver S45",
    "ExcelloTab": "Excello",
    "TangoTab_9": "TANGO",
    "Singer Android UHD TV": "Singer Android TV",
    "H51": "SAPPHIRE H51",
    "R60": "R60 Data Collector",
    "SP-6200": "SP 6200",
    "Siragon SP-5000": "SP-5000",
    "SP-5450": "SP-5450 ",
    "FINNEY U1": "FINNEY PHONE",
    "SOLARIN": "LABS SOLARIN",
    "Solarin": "LABS SOLARIN",
    "ELITE T8": "Elite T8",
    "Platinum B7": "Platinum_B7",
    "Elite_B55": "Elite B55",
    "Elite H55": "Elite_H55_HD",
    "Elite_4.0S": "ELITE 4.0S",
    "Elite 4T": "ELITE 4T",
    "Elite_5_0T": "ELITE 5.0T",
    "Elite P55": "Elite_P55",
    "Elite T57": "ELITE T57",
    "Elite P55Max": "ELITE_P55Max",
    "Elite_A55": "Elite A55",
    "Elite_B5": "Elite B5",
    "Elite_G55": "Elite G55",
    "Elite H5": "Elite_H5_FW",
    "Elite T8Plus": "Elite_T8Pluss",
    "Elite A65": "Elite_A65",
    "Elite B5": "Elite_B5MS",
    "Elite D5": "Elite_D5",
    "Elite D5T": "Elite_D5T",
    "Elite J55": "Elite_J55",
    "Elite J55US": "Elite_J55US",
    "Elite V55": "Elite_V55",
    "Platinum 4.0": "PLATINUM 4.0",
    "Platinum_4_0Plus": "PLATINUM 4.0+",
    "Platinum_5.0M": "PLATINUM 5.0M",
    "Platinum_A5": "PLATINUM A5",
    "Platinum_A55": "PLATINUM A55",
    "Platinum A57": "PLATINUM A57",
    "Platinum_B5": "PLATINUM B5",
    "Platinum D5": "PLATINUM D5",
    "Platinum M4": "PLATINUM M4",
    "PLATINUMVIEW": "PLATINUM VIEW",
    "Platinum_E5": "PLATINUM_E5",
    "Platinum_F5": "Platinum F5",
    "PLATINUM_O": "PLATINUM_O_B1",
    "Platinum_A7": "Platinum A7",
    "Platinum_B4": "Platinum B4",
    "Platinum_G5": "Platinum G5",
    "Platinum_G55": "Platinum G55",
    "Platinum_M5": "Platinum M5",
    "PLATINUM_VIEW2": "Platinum View2",
    "Platinum View2": "Platinum View2_Plus",
    "Platinum H5": "Platinum_H5",
    "Platinum J5": "Platinum_J5",
    "Platinum K5": "Platinum_K5",
    "Sky Black2": "SKY Black2",
    "Sky BlackMax": "SKY BlackMax",
    "SKY_KID1": "SKY KID1",
    "Sky Prestige2": "SKY Prestige2",
    "SKYVISION": "SKY VISION1",
    "SKY VISION2": "Sky Vision2_Plus",
    "SKY_KID": "Sky Vision2_Plus",
    "PRO_SELFIE": "pro selfie",
    "USI-7000NA": "Skylife android 2nd TV",
    "IC1110": "UHD2",
    "DMT_1621": "skylife LTE TV",
    "SKYVIEW Android TV": "KENYA",
    "globe": "South America",
    "open_fhd": "South Africa",
    "open_uhd": "Hong Kong",
    "2K TV": "North America",
    "HPA02": "Skyworth",
    "SA 2K TV": "South America",
    "SMADL Abay5+": "Abay5_Plus",
    "Matri2": "SMADL",
    "SMADL R35": "SMADL_R35",
    "Safari_2plus": "Safari_ 2plus",
    "Safari 2": "Safari_2",
    "Smailo_2GO": "Smailo 2GO",
    "WALTON Android TV": "Bangladesh and EU",
    "Smartpad-V7": "Smartpad V7",
    "Andromax A16C3H": "A16C3H",
    "Andromax A26C4H": "A26C4H",
    "Smartfren Andromax AD688G": "NEWAD688G",
    "Smartfren Andromax AD689G": "AD689G",
    "Smartfren Andromax AD682H": "Andromax AD682H",
    "Smartfren Andromax NC36B1H": "AndromaxNC36B1H",
    "Andromax B16C2G": "B16C2G",
    "Andromax B16C2H": "B16C2H",
    "Andromax B26D2H": "B26D2H",
    "Andromax G36C1G": "G36C1G",
    "Andromax G36C1H": "G36C1H",
    "Andromax I46D1G": "I46D1G",
    "Smartfren Andromax NC36B1G": "NC36B1G",
    "T5524": "Srtphone",
    "T5511": "tphone",
    "T5211": "tphone P",
    "S2 Advance": "S2_Advance",
    "Smooth 5.5": "Smooth5_5",
    "ServiceChecKIT_EEA": "ServiceChecKIT",
    "soda E1": "E1",
    "soda FIRE": "FIRE",
    "soda S2": "s2",
    "soda S1": "soda",
    "Smart-Ex 01": "XP7700Z1",
    "XP9900": "XP10",
    "Ex-Handy 209": "XP6",
    "XP6700": "XP6",
    "Smart-Ex 201": "XP7",
    "XP7700": "XP7705",
    "XP8800": "XP8",
    "SONIQ Android TV": "Soniq android TV",
    "BRAVIA 2015": "BRAVIA 4K 2015",
    "NSZ-GU1": "BRAVIA Smart Stick",
    "BRAVIA 4K VH2": "BRAVIA VH2",
    "BRAVIA 4K VH21": "BRAVIA_VH21",
    "BRAVIA VU1": "BRAVIA_VU",
    "BRAVIA VU2": "BRAVIA_VU2",
    "BRAVIA VU3": "BRAVIA_VU3",
    "WT19a": "Xperia live",
    "WT19i": "Live with Walkman",
    "Internet TV Box": "Internet TV",
    "NSZ-GS7/GX70": "NSZGS7",
    "WALKMAN": "NWZ-ZX1",
    "NW-Z1000Series": "NW-Z1000",
    "NWZ-Z1000Series": "NWZ-Z1000",
    "C6806": "Xperia Z Ultra",
    "C6806_GPe": "Smartphone Z Ultra Google Play edition",
    "Sony Tablet P": "Tablet P",
    "Sony Tablet S": "Tablet S",
    "D2114": "Xperia E1",
    "C1905": "Xperia M",
    "802SO": "Xperia 1",
    "J8110": "Xperia 1",
    "J8170": "Xperia 1",
    "J9110": "Xperia 1",
    "J9180": "Xperia 1",
    "SO-03L": "Xperia 1",
    "SOV40": "Xperia 1",
    "SO-51A": "Xperia 1 II",
    "SOG01": "Xperia 1 II",
    "XQ-AT42": "Xperia 1 II",
    "XQ-AT51": "Xperia 1 II",
    "XQ-AT52": "Xperia 1 II",
    "XQ-AT72": "Xperia 1 II",
    "A101SO": "Xperia 1 III",
    "SO-51B": "Xperia 1 III",
    "SOG03": "Xperia 1 III",
    "XQ-BC42": "Xperia 1 III",
    "XQ-BC52": "Xperia 1 III",
    "XQ-BC62": "Xperia 1 III",
    "XQ-BC72": "Xperia 1 III",
    "A201SO": "Xperia 1 IV",
    "SO-51C": "Xperia 1 IV",
    "SOG06": "Xperia 1 IV",
    "XQ-CT44": "Xperia 1 IV",
    "XQ-CT54": "Xperia 1 IV",
    "XQ-CT62": "Xperia 1 IV",
    "XQ-CT72": "Xperia 1 IV",
    "J9150": "Xperia 1 Professional Edition",
    "I3113": "Xperia 10",
    "I3123": "Xperia 10",
    "I4113": "Xperia 10",
    "I4193": "Xperia 10",
    "A001SO": "Xperia 10 II",
    "SO-41A": "Xperia 10 II",
    "SOV43": "Xperia 10 II",
    "XQ-AU42": "Xperia 10 II",
    "XQ-AU51": "Xperia 10 II",
    "XQ-AU52": "Xperia 10 II",
    "A102SO": "Xperia 10 III",
    "SO-52B": "Xperia 10 III",
    "SOG04": "Xperia 10 III",
    "XQ-BT52": "Xperia 10 III",
    "XQ-BT44": "Xperia 10 III Lite",
    "A202SO": "Xperia 10 IV",
    "SO-52C": "Xperia 10 IV",
    "SOG07": "Xperia 10 IV",
    "XQ-CC44": "Xperia 10 IV",
    "XQ-CC54": "Xperia 10 IV",
    "XQ-CC72": "Xperia 10 IV",
    "I3213": "Xperia 10 Plus",
    "I3223": "Xperia 10 Plus",
    "I4213": "Xperia 10 Plus",
    "I4293": "Xperia 10 Plus",
    "901SO": "Xperia 5",
    "J8210": "Xperia 5",
    "J8270": "Xperia 5",
    "J9210": "Xperia 5",
    "J9260": "Xperia 5",
    "SO-01M": "Xperia 5",
    "SOV41": "Xperia 5",
    "A002SO": "Xperia 5 II",
    "SO-52A": "Xperia 5 II",
    "SOG02": "Xperia 5 II",
    "XQ-AS42": "Xperia 5 II",
    "XQ-AS52": "Xperia 5 II",
    "XQ-AS62": "Xperia 5 II",
    "XQ-AS72": "Xperia 5 II",
    "A103SO": "Xperia 5 III",
    "SO-53B": "Xperia 5 III",
    "SOG05": "Xperia 5 III",
    "XQ-BQ42": "Xperia 5 III",
    "XQ-BQ52": "Xperia 5 III",
    "XQ-BQ62": "Xperia 5 III",
    "XQ-BQ72": "Xperia 5 III",
    "A204SO": "Xperia 5 IV",
    "SO-54C": "Xperia 5 IV",
    "SOG09": "Xperia 5 IV",
    "XQ-CQ44": "Xperia 5 IV",
    "XQ-CQ54": "Xperia 5 IV",
    "XQ-CQ62": "Xperia 5 IV",
    "XQ-CQ72": "Xperia 5 IV",
    "902SO": "Xperia 8",
    "SOV42": "Xperia 8",
    "SOV42-u": "Xperia 8",
    "J3273": "Xperia 8 Lite",
    "SO-04E": "Xperia A",
    "SO-04F": "Xperia A2",
    "SO-04G": "Xperia A4",
    "J3173": "Xperia Ace",
    "SO-02L": "Xperia Ace",
    "SO-41B": "Xperia Ace II",
    "A203SO": "Xperia Ace III",
    "SO-53C": "Xperia Ace III",
    "SOG08": "Xperia Ace III",
    "C2304": "Xperia C",
    "C2305": "Xperia C",
    "D2533": "Xperia C3",
    "D2502": "Xperia C3 Dual",
    "E5506": "Xperia C5 Ultra",
    "E5553": "Xperia C5 Ultra",
    "E5533": "Xperia C5 Ultra Dual",
    "E5563": "Xperia C5 Ultra Dual",
    "C1504": "Xperia E",
    "C1505": "Xperia E",
    "C1604": "Xperia E dual",
    "C1605": "Xperia E dual",
    "D2004": "Xperia E1",
    "D2005": "Xperia E1",
    "D2104": "Xperia E1 dual",
    "D2105": "Xperia E1 dual",
    "D2202": "Xperia E3",
    "D2203": "Xperia E3",
    "D2206": "Xperia E3",
    "D2243": "Xperia E3",
    "D2212": "Xperia E3 Dual",
    "E2053": "Xperia E4g",
    "E2033": "Xperia E4g Dual",
    "E2043": "Xperia E4g Dual",
    "F3311": "Xperia E5",
    "F3313": "Xperia E5",
    "ST27a": "Xperia Go",
    "ST27i": "Xperia go",
    "G1209": "Xperia Hello",
    "ST26a": "Xperia J",
    "ST26i": "Xperia J",
    "D5788": "Xperia J1 Compact",
    "C2104": "Xperia L",
    "C2105": "Xperia L",
    "G3311": "Xperia L1",
    "G3312": "Xperia L1",
    "G3313": "Xperia L1",
    "H3311": "Xperia L2",
    "H3321": "Xperia L2",
    "H4311": "Xperia L2",
    "H4331": "Xperia L2",
    "I3312": "Xperia L3",
    "I4312": "Xperia L3",
    "I4332": "Xperia L3",
    "XQ-AD51": "Xperia L4",
    "XQ-AD52": "Xperia L4",
    "C1904": "Xperia M",
    "C2005": "Xperia M dual",
    "C2004": "Xperia M dual",
    "D2303": "Xperia M2",
    "D2305": "Xperia M2",
    "D2306": "Xperia M2",
    "D2403": "Xperia M2 Aqua",
    "D2406": "Xperia M2 Aqua",
    "D2302": "Xperia M2 dual",
    "E5603": "Xperia M5",
    "E5606": "Xperia M5",
    "E5653": "Xperia M5",
    "E5633": "Xperia M5 Dual",
    "E5643": "Xperia M5 Dual",
    "E5663": "Xperia M5 Dual",
    "ST23i": "Xperia miro",
    "LT22i": "Xperia P",
    "R800a": "Xperia PLAY",
    "R800i": "Xperia Play",
    "XQ-AQ52": "Xperia PRO",
    "XQ-AQ62": "Xperia PRO",
    "XQ-BE42": "Xperia PRO-I",
    "XQ-BE52": "Xperia PRO-I",
    "XQ-BE62": "Xperia PRO-I",
    "XQ-BE72": "Xperia PRO-I",
    "G2199": "Xperia R1",
    "G2299": "Xperia R1 Plus",
    "LT26i": "Xperia S",
    "LT26ii": "Xperia SL",
    "C5302": "Xperia SP",
    "C5303": "Xperia SP",
    "C5306": "Xperia ZR",
    "M35h": "Xperia SP",
    "M35t": "Xperia SP",
    "LT30a": "Xperia T",
    "LT30p": "Xperia T",
    "D5303": "Xperia T2 Ultra",
    "D5306": "Xperia T2 Ultra",
    "D5316": "Xperia T2 Ultra",
    "D5316N": "Xperia T2 Ultra",
    "D5322": "Xperia T2 Ultra dual",
    "D5102": "Xperia T3",
    "D5103": "Xperia T3",
    "D5106": "Xperia T3",
    "LT29i": "Xperia TX",
    "SGPT12": "Xperia Tablet S",
    "SGPT13": "Xperia Tablet S",
    "SGP311": "Xperia Tablet Z",
    "SGP312": "Xperia Tablet Z",
    "SGP321": "Xperia Tablet Z",
    "SGP351": "Xperia Tablet Z",
    "ST21i": "Xperia tipo",
    "ST21i2": "Xperia tipo dual",
    "G1109": "Xperia Touch",
    "ST25a": "Xperia U",
    "ST25i": "Xperia U",
    "LT25i": "Xperia V",
    "F5121": "Xperia X",
    "F5122": "Xperia X",
    "F5321": "Xperia X Compact",
    "SO-02J": "Xperia X Compact",
    "502SO": "Xperia X Performance",
    "F8131": "Xperia X Performance",
    "F8132": "Xperia X Performance",
    "SO-04H": "Xperia X Performance",
    "SOV33": "Xperia X Performance",
    "F3111": "Xperia XA",
    "F3112": "Xperia XA",
    "F3113": "Xperia XA",
    "F3115": "Xperia XA",
    "F3116": "Xperia XA",
    "F3211": "Xperia XA Ultra",
    "F3212": "Xperia XA Ultra",
    "F3213": "Xperia XA Ultra",
    "F3215": "Xperia XA Ultra",
    "F3216": "Xperia XA Ultra",
    "G3112": "Xperia XA1",
    "G3116": "Xperia XA1",
    "G3121": "Xperia XA1",
    "G3123": "Xperia XA1",
    "G3125": "Xperia XA1",
    "G3412": "Xperia XA1 Plus",
    "G3416": "Xperia XA1 Plus",
    "G3421": "Xperia XA1 Plus",
    "G3423": "Xperia XA1 Plus",
    "G3426": "Xperia XA1 Plus",
    "G3212": "Xperia XA1 Ultra",
    "G3221": "Xperia XA1 Ultra",
    "G3223": "Xperia XA1 Ultra",
    "G3226": "Xperia XA1 Ultra",
    "H3113": "Xperia XA2",
    "H3123": "Xperia XA2",
    "H3133": "Xperia XA2",
    "H4113": "Xperia XA2",
    "H4133": "Xperia XA2",
    "H3413": "Xperia XA2 Plus",
    "H4413": "Xperia XA2 Plus",
    "H4493": "Xperia XA2 Plus",
    "H3213": "Xperia XA2 Ultra",
    "H3223": "Xperia XA2 Ultra",
    "H4213": "Xperia XA2 Ultra",
    "H4233": "Xperia XA2 Ultra",
    "601SO": "Xperia XZ",
    "F8331": "Xperia XZ",
    "F8332": "Xperia XZ",
    "SO-01J": "Xperia XZ",
    "SOV34": "Xperia XZ",
    "G8141": "Xperia XZ Premium",
    "G8142": "Xperia XZ Premium",
    "G8188": "Xperia XZ Premium",
    "SO-04J": "Xperia XZ Premium",
    "701SO": "Xperia XZ1",
    "G8341": "Xperia XZ1",
    "G8342": "Xperia XZ1",
    "G8343": "Xperia XZ1",
    "SO-01K": "Xperia XZ1",
    "SOV36": "Xperia XZ1",
    "G8441": "Xperia XZ1 Compact",
    "SO-02K": "Xperia XZ1 Compact",
    "702SO": "Xperia XZ2",
    "H8216": "Xperia XZ2",
    "H8266": "Xperia XZ2",
    "H8276": "Xperia XZ2",
    "H8296": "Xperia XZ2",
    "SO-03K": "Xperia XZ2",
    "SOV37": "Xperia XZ2",
    "H8314": "Xperia XZ2 Compact",
    "H8324": "Xperia XZ2 Compact",
    "SO-05K": "Xperia XZ2 Compact",
    "H8116": "Xperia XZ2 Premium",
    "H8166": "Xperia XZ2 Premium",
    "SO-04K": "Xperia XZ2 Premium",
    "SOV38": "Xperia XZ2 Premium",
    "801SO": "Xperia XZ3",
    "H8416": "Xperia XZ3",
    "H9436": "Xperia XZ3",
    "H9493": "Xperia XZ3",
    "SO-01L": "Xperia XZ3",
    "SOV39": "Xperia XZ3",
    "602SO": "Xperia XZs",
    "G8231": "Xperia XZs",
    "G8232": "Xperia XZs",
    "SO-03J": "Xperia XZs",
    "SOV35": "Xperia XZs",
    "C6602": "Xperia Z",
    "C6603": "Xperia Z",
    "C6606": "Xperia Z",
    "C6616": "Xperia Z",
    "L36h": "Xperia Z",
    "SO-02E": "Xperia Z",
    "C6802": "Xperia Z Ultra",
    "C6833": "Xperia Z Ultra",
    "C6843": "Xperia Z Ultra",
    "SGP412": "Xperia Z Ultra",
    "SOL24": "Xperia Z Ultra",
    "XL39h": "Xperia Z Ultra",
    "C6902": "Xperia Z1",
    "C6903": "Xperia Z1",
    "C6906": "Xperia Z1",
    "C6916": "Xperia Z1",
    "C6943": "Xperia Z1",
    "L39h": "Xperia Z1",
    "L39t": "Xperia Z1",
    "L39u": "Xperia Z1",
    "SO-01F": "Xperia Z1",
    "SOL23": "Xperia Z1",
    "D5503": "Xperia Z1 Compact",
    "M51w": "Xperia Z1 Compact",
    "SO-02F": "Xperia Z1f",
    "D6502": "Xperia Z2",
    "D6503": "Xperia Z2",
    "D6543": "Xperia Z2",
    "SO-03F": "Xperia Z2",
    "SGP511": "Xperia Z2 Tablet",
    "SGP512": "Xperia Z2 Tablet",
    "SGP521": "Xperia Z2 Tablet",
    "SGP551": "Xperia Z2 Tablet",
    "SGP561": "Xperia Z2 Tablet",
    "SO-05F": "Xperia Z2 Tablet",
    "SOT21": "Xperia Z2 Tablet",
    "D6563": "Xperia Z2a",
    "401SO": "Xperia Z3",
    "D6603": "Xperia Z3",
    "D6616": "Xperia Z3",
    "D6643": "Xperia Z3",
    "D6646": "Xperia Z3",
    "D6653": "Xperia Z3",
    "SO-01G": "Xperia Z3",
    "SOL26": "Xperia Z3",
    "D5803": "Xperia Z3 Compact",
    "D5833": "Xperia Z3 Compact",
    "SO-02G": "Xperia Z3 Compact",
    "D6633": "Xperia Z3 Dual",
    "D6683": "Xperia Z3 Dual",
    "SGP611": "Xperia Z3 Tablet Compact",
    "SGP612": "Xperia Z3 Tablet Compact",
    "SGP621": "Xperia Z3 Tablet Compact",
    "SGP641": "Xperia Z3 Tablet Compact",
    "E6553": "Xperia Z3+",
    "E6533": "Xperia Z3+ Dual",
    "D6708": "Xperia Z3v",
    "402SO": "Xperia Z4",
    "SO-03G": "Xperia Z4",
    "SOV31": "Xperia Z4",
    "SGP712": "Xperia Z4 Tablet",
    "SGP771": "Xperia Z4 Tablet",
    "SO-05G": "Xperia Z4 Tablet",
    "SOT31": "Xperia Z4 Tablet",
    "E6508": "Xperia Z4v",
    "501SO": "Xperia Z5",
    "E6603": "Xperia Z5",
    "E6653": "Xperia Z5",
    "SO-01H": "Xperia Z5",
    "SOV32": "Xperia Z5",
    "E5803": "Xperia Z5 Compact",
    "E5823": "Xperia Z5 Compact",
    "SO-02H": "Xperia Z5 Compact",
    "E6853": "Xperia Z5 Premium",
    "E6883": "Xperia Z5 Premium",
    "SO-03H": "Xperia Z5 Premium",
    "E6633": "Xperia Z5 dual",
    "E6683": "Xperia Z5 dual",
    "C6502": "Xperia ZL",
    "C6503": "Xperia ZL",
    "C6506": "Xperia ZL",
    "L35h": "Xperia ZL",
    "SOL25": "Xperia ZL2",
    "C5502": "Xperia ZR",
    "C5503": "Xperia ZR",
    "SO-03D": "Xperia acro HD",
    "LT26w": "Xperia acro S",
    "ST17i": "Xperia active",
    "LT18i": "Xperia arc S",
    "LT28h": "Xperia ion",
    "LT28i": "Xperia ion",
    "SK17a": "Xperia mini pro",
    "ST23a": "Xperia miro",
    "MT25i": "Xperia neo L",
    "ST18i": "Xperia ray",
    "MT27i": "Xperia sola",
    "ST21a": "Xperia tipo",
    "ST21a2": "Xperia tipo dual",
    "E5303": "Xperia™ C4",
    "E5306": "Xperia™ C4",
    "E5353": "Xperia™ C4",
    "E5333": "Xperia™ C4 Dual",
    "E5343": "Xperia™ C4 Dual",
    "E5363": "Xperia™ C4 Dual",
    "E2104": "Xperia™ E4",
    "E2105": "Xperia™ E4",
    "E2115": "Xperia™ E4 Dual",
    "E2124": "Xperia™ E4 Dual",
    "E2003": "Xperia™ E4g",
    "E2006": "Xperia™ E4g",
    "E2303": "Xperia™ M4 Aqua",
    "E2306": "Xperia™ M4 Aqua",
    "E2353": "Xperia™ M4 Aqua",
    "E2312": "Xperia™ M4 Aqua Dual",
    "E2333": "Xperia™ M4 Aqua Dual",
    "E2363": "Xperia™ M4 Aqua Dual",
    "E10i": "Xperia X10 Mini",
    "SO-01E": "Xperia AX",
    "IS11S": "Xperia Acro",
    "SO-02C": "Xperia Acro",
    "LT15i": "Xperia arc",
    "SO-01C": "Xperia Arc",
    "S39h": "Xperia C",
    "SO-04D": "Xperia GX",
    "MT15i": "Xperia neo",
    "R800at": "Xperia PLAY",
    "R800x": "Xperia PLAY",
    "SO-01D": "Xperia PLAY",
    "Zeus": "Xperia Play",
    "SO-02D": "Xperia S",
    "M35c": "Xperia SP",
    "SO-05D": "Xperia SX",
    "LT30at": "Xperia T",
    "SGP341": "Xperia Tablet Z",
    "SO-03E": "Xperia Tablet Z",
    "SOL22": "Xperia UL",
    "LT25c": "Xperia V",
    "SOL21": "Xperia VL",
    "SO-01B": "Xperia X10",
    "X10i": "Xperia X10",
    "X10a": "Xperia X10",
    "U20i": "Xperia X10 Mini Pro",
    "E10a": "Xperia X10 mini",
    "U20a": "Xperia X10 mini pro",
    "E15i": "Xperia X8",
    "IS12S": "Xperia acro HD",
    "LT15a": "Xperia arc",
    "LT18a": "Xperia arc S",
    "LT28at": "Xperia ion",
    "S51SE": "Xperia mini",
    "ST15a": "Xperia mini",
    "ST15i": "Xperia mini",
    "SK17i": "Xperia mini pro",
    "MT15a": "Xperia neo",
    "MT11a": "Xperia neo V",
    "MT11i": "Xperia neo V",
    "MK16a": "Xperia pro",
    "SO-03C": "Xperia ray",
    "ST18a": "Xperia ray",
    "MK16i": "Xperia_pro",
    "NW-A100Series": "NW-A100",
    "NW-ZX500Series": "NW-ZX500",
    "Connect504": "Connect 504",
    "Smarttab_9701": "Key'TAB 1001",
    "Smart_TAB_1003s": "ST1003S",
    "SmartTab1005": "Smart TAB 1005",
    "SmartTab_1004_XS": "Smart Tab 1004XS",
    "SmartTab1006": "Smart' Tab 1006",
    "Webpad_1002_02": "Web'Pad_1002_02",
    "Wooze_I5": "Wooze I 5",
    "Wooze_I55": "Wooze I 5.5 Gris",
    "Wooze_L": "Wooze L",
    "Wooze_XL": "Wooze XL",
    "Webpad_7005": "webpad_7005",
    "a500": "A500",
    "EM756": "Emerson EM756",
    "M10/Q1010": "M10",
    "P700/A700": "Polaroid P700/A700",
    "P902/A900": "Polaroid P902/A900",
    "ST10/ST10x": "Smartab ST10",
    "ST7/ST7x": "Smartab ST7",
    "X13": "Streamachine",
    "SoyMomo_Lite_V2": "LATAM and America",
    "SoyMomo_Lite_V1": "SoyMomo_Lite_V1_EEA",
    "Spark Plus 3": "Spark_Plus_3",
    "RGR5": "Ranger 5",
    "Ranger5": "Spectra Ranger 5",
    "Ranger8": "Ranger 8 Handheld",
    "SAH55": "TAP-POS",
    "Versity 9540": "Versity",
    "Versity 9553": "Versity",
    "Versity 9640": "Versity",
    "Versity 9653": "Versity",
    "VC9253": "Versity 92-Series",
    "FG60": "FG60 EEA",
    "Spice Mi-498": "Dream Uno",
    "Spice Mi-498H": "Dream Uno",
    "Spice F301": "F301",
    "Spice F305": "F305",
    "Spice K601": "K601",
    "SpiceMi-449": "Smart Flo Mi-449",
    "Spice V801": "V801",
    "MI-438": "Stellar Mi-438",
    "Spice Mi-506": "Stellar Mi-506",
    "Xlife-Victor5": "Victor5",
    "Xlife-415": "Xlife-441Q",
    "Xlife-Proton5 Pro": "Xlife-Proton 5 pro",
    "2PYB2": "HTC Bolt",
    "AQT80": "Slate 8 Tablet",
    "STAR-X FHD Android TV": "Middle East",
    "STAR-X UHD Android TV": "Middle East",
    "STAR-X 2K Android TV": "United Arab Emirates",
    "NVSH800H1": "StarHub TV+ Box (Innopia)",
    "SCSH900AT": "StarHub TV+ Pro",
    "Mobiistar Zumbo J2": "Mobiistar_Zumbo_J2",
    "Starmobile PLAY GO": "Play Go",
    "UP_Groove": "UP Groove",
    "UP_Selfie": "UP Selfie",
    "UP_Xtreme": "UP Xtreme",
    "UP Octa": "up_octa",
    "I_STAR_PLUS": "I STAR PLUS",
    "Milan": "Starlight",
    "STARLIGHT Android TV": "Rumania",
    "STARPLUS7": "Starplus 7",
    "FONDATION_ORANGE_2021": "MDDDI13310",
    "FONDATION_ORANGEH_2021": "MDDDI13311",
    "Tab7Q11": "eZee'Tab7Q11-M",
    "Strawberry SX": "SX",
    "IRON Pro": "Iron Pro",
    "Strong 4K Android TV": "Strong",
    "Strong 2K Android TV": "Strong",
    "TAB-A03-SD": "TAB-A03",
    "INKOSI_PRO": "INKOSI-PRO",
    "DQR22": "Jupiter",
    "S40 VINO PLUS": "S40_VINO_PLUS",
    "S49 cobalt": "S49_cobalt",
    "Stylo S501": "S501",
    "CPE91": "S54 Zen",
    "STYLO S551": "S551",
    "S56 MIST": "S56 Mist",
    "S61 JAZZ": "S61_JAZZ",
    "S64_ALPHA": "S64 ALPHA",
    "STYLO_S9_TOPAZ": "S9 TOPAZ",
    "MAX": "STYLO MAX",
    "STYLO F1": "STYLOF1",
    "STYLO SM61 MAGIC+": "STYLO_S61",
    "STYLO SV61 VECTOR+": "STYLO_S61",
    "Tab3": "TAB8F",
    "AT703": "AT10LE-A/AT15LE-A/AT10PE-A/AT15PE-A  (Japan: AT703)",
    "ETAB I1041G": "FUNDA",
    "ETAB_I7041G": "FUNDA",
    "Rida_SP5003G_LTE": "Rida SP5003G LTE",
    "Sumo_SP5201G_LTE": "Sumo SP5201G LTE",
    "Symbol_SP4002G": "Symbol SP4002G",
    "WIN4": "Wintech",
    "SUGAR": "Sugar",
    "SUGAR S30": "Sugar S30",
    "SUGAR T50": "Sugar T50",
    "ST-4500": "ST4500",
    "L2H_EEA": "Sunmi L2H",
    "L2H_GL": "Sunmi L2H",
    "L2H_TR": "Sunmi L2H",
    "L2Ks_EEA": "Sunmi L2Ks",
    "L2Ks_GL": "Sunmi L2Ks",
    "L2Ks_RU": "Sunmi L2Ks",
    "L2Ks_TR": "Sunmi L2Ks",
    "V2s_EEA": "Sunmi V2s",
    "V2s_GL": "Sunmi V2s",
    "V2s_TR": "Sunmi V2s",
    "V2sNC_EEA": "V2sNC",
    "V2sNC_GL": "V2sNC",
    "V2sNC_RU": "V2sNC",
    "V2sNC_TR": "V2sNC",
    "V2sPLUSNC_EEA": "V2sPLUSNC",
    "V2sPLUSNC_GL": "V2sPLUSNC",
    "V2sPLUSNC_RU": "V2sPLUSNC",
    "V2sPLUSNC_TR": "V2sPLUSNC",
    "SUNSTECH SD ANDROID TV": "Spain / Portugal",
    "TAB1081": "TAB1081_eea",
    "K7 Kids": "K7_KIDS",
    "Surfans P10P": "P10P",
    "VOLT_5XL": "SURGE",
    "SURTAB_74G": "SURTAB",
    "sweam": "Sweam",
    "EliteDual": "Elite Dual",
    "Elite_VR": "Elite VR",
    "RS-403": "RS-403_EEA",
    "Syinix AndroidTV": "55U51",
    "Syinix UHD Android TV": "Africa",
    "Symphony Atom ii": "Atom ii",
    "Symphony G10": "G10",
    "Symphony G100": "G100",
    "G10+": "G10plus",
    "Symphony P7 PRO": "P7 Pro",
    "P9 Plus": "P9+",
    "Symphony R100": "R100",
    "Roar_A50": "Roar A50",
    "V138Lite": "Symphony V138Lite",
    "i73": "Symphony i73",
    "Symphony Z50": "Symphony_Z50",
    "Symphony Z9": "Symphony_Z9",
    "SYMPHONY Z10": "Z10",
    "Symphony Z18": "Z18",
    "Symphony Z22": "Z22",
    "Symphony Z32": "Z32",
    "Symphony Z45": "Z45",
    "REVVL_2_5052W": "REVVL 2",
    "5007W": "REVVL 4",
    "5007Z": "REVVL 4",
    "5062W": "REVVL 4+",
    "5062Z": "REVVL 4+",
    "T790W": "REVVL 5G",
    "T790Z": "REVVL 5G",
    "TMRVL4G": "REVVL V",
    "REVVLry": "REVVLRY",
    "REVVLution": "REVVLRY+",
    "TVision": "SEI400TM",
    "Telekom Puls": "Telekom_Puls",
    "TAG Heuer": "Connected Modular 45 (China)",
    "TAG_Phone": "TAG Phone",
    "TT-III": "TAG-TABKIDS",
    "TAG TAB II": "TAG_TAB_II",
    "TATV-8000": "TATV_8000",
    "T770K": "A1",
    "BeyondTV": "BeyondTV2",
    "BeyondTV5": "Smart TV",
    "5199I": "C9",
    "5033E": "GO5c",
    "WelcomeTV": "HotelTV",
    "movo_la": "L55E6700UDS",
    "movo": "LE50UHDE5692G",
    "BPL TV": "Percee TV",
    "MICROMAX TV": "Percee TV",
    "Percee TV": "South America",
    "SANYO TV": "Percee TV",
    "5086D": "Smartphone",
    "5186D": "Smartphone",
    "9081X": "TCL TAB 10s",
    "9080G": "TCL TAB 10s 4G",
    "T790B": "TCL 10 5G",
    "T790H": "TCL 10 5G",
    "T790Y": "TCL 10 5G",
    "T782H": "TCL 10 Plus",
    "T782P": "TCL 10 Plus",
    "T799B": "TCL 10 Pro",
    "T799H": "TCL 10 Pro",
    "T766A": "TCL 10 SE",
    "T766H": "TCL 10 SE",
    "T766H_EEA": "TCL 10 SE",
    "T766H_RU": "TCL 10 SE",
    "T766H_TR": "TCL 10 SE",
    "T766J": "TCL 10 SE",
    "T766S": "TCL 10 SE",
    "T766U": "TCL 10 SE",
    "T766U_EEA": "TCL 10 SE",
    "9296G": "TCL 10 TABMAX",
    "9296G_EEA": "TCL 10 TABMAX",
    "9296G_RU": "TCL 10 TABMAX",
    "9296G_TR": "TCL 10 TABMAX",
    "9296X": "TCL 10 TABMAX",
    "9296X_EEA": "TCL 10 TABMAX",
    "9296X_TR": "TCL 10 TABMAX",
    "9295G": "TCL 10 TABMAX 4G",
    "9295G_EEA": "TCL 10 TABMAX 4G",
    "9295G_RU": "TCL 10 TABMAX 4G",
    "T770B": "TCL 10L",
    "T770H": "TCL 10L",
    "T781": "TCL 20 5G",
    "T767H": "TCL 20 R 5G",
    "T671E": "TCL 20 SE",
    "T671F": "TCL 20 SE",
    "T671H": "TCL 20 SE",
    "T671O": "TCL 20 SE",
    "6125A": "TCL 20E",
    "6125D": "TCL 20E",
    "6125F": "TCL 20E",
    "6125H_RU": "TCL 20E",
    "T773O": "TCL 20S",
    "6156A": "TCL 20Y",
    "6156D": "TCL 20Y",
    "6156H": "TCL 20Y",
    "A1 Alpha 21": "TCL 20Y",
    "T676H": "TCL 30",
    "T676J": "TCL 30+",
    "T676K": "TCL 30+",
    "A600DL": "TCL A3X",
    "5152D": "TCL C5",
    "5153A": "TCL C5",
    "5153K": "TCL C5",
    "5158A": "TCL C7",
    "5148I": "TCL C9 Plus",
    "5124J": "TCL L10",
    "4187M": "TCL L10 Lite",
    "4187U": "TCL L10 Lite",
    "5030E_TCL": "TCL L10+",
    "5130E": "TCL L10+",
    "5130G": "TCL L10+",
    "5130I": "TCL L10+",
    "5130J": "TCL L10+",
    "5130K": "TCL L10+",
    "5128A": "TCL L10+",
    "5128Y": "TCL L10+",
    "5133A": "TCL L5",
    "5102B": "TCL L7",
    "5102I": "TCL L7",
    "5102K": "TCL L7",
    "5102M": "TCL L7",
    "5102P": "TCL L7",
    "5159A": "TCL L9",
    "5159J": "TCL L9",
    "5101A": "TCL L9 Plus",
    "5101J": "TCL L9 Plus",
    "5107G": "TCL L9S",
    "5107J": "TCL L9S",
    "T780H": "TCL PLEX",
    "5130M": "TCL T Pro",
    "5161A": "TCL T Pro",
    "5161K": "TCL T Pro",
    "5186A": "TCL T7",
    "5148A": "TCL T9",
    "5129A": "TCL T9+",
    "5129Y": "TCL T9x",
    "9048S": "TCL TAB",
    "8094X": "Telstra Enhanced Tab 2",
    "9060G": "TCL TAB 10 FHD 4G",
    "9060X": "TCL TAB 10 HD 4G",
    "9060X_EEA": "TCL TAB 10 HD 4G",
    "8094T": "3T10 4G",
    "8491X": "TCL TAB 10L",
    "8491X_EEA": "TCL TAB 10L",
    "8491X_RU": "TCL TAB 10L",
    "8491X_TR": "TCL TAB 10L",
    "9080X": "TCL TAB 10s 4G",
    "9309X": "alcatel 1T7 NEW",
    "9032X": "alcatel 3T8",
    "9049L": "TCL TAB kids",
    "8491XN": "TKEE MAX",
    "8491XN_EEA": "TKEE MAX",
    "8491XN_RU": "TKEE MAX",
    "8491XN_TR": "TKEE MAX",
    "9317G": "TKEE mini",
    "UnionTV": "Union TV",
    "9309X_TR": "TKEE MINI NEW",
    "SoshPhone_mini": " ALCATEL ONETOUCH PIXI 3 (3.5)",
    "5017X": " ALCATEL ONETOUCH PIXI 3 (4.5)",
    "8091_EEA": "1T10  WIFI",
    "8091_TR": "1T10  WIFI",
    "8092_EEA": "1T10 SMART",
    "8092_RU": "1T10 SMART",
    "8092_TR": "1T10 SMART",
    "8091_RU": "1T10 WIFI",
    "8088G": "3T10 4G",
    "8088X": "3T10 4G",
    "8094M": "3T10 4G",
    "8094T_EEA": "3T10 4G",
    "8094T_RU": "3T10 4G",
    "8094T_TR": "3T10 4G",
    "8094X_EEA": "3T10 4G",
    "8094X_RU": "3T10 4G",
    "8094X_TR": "3T10 4G",
    "5056M": "5056E",
    "ALCATEL_5080U": "5080U",
    "alcatel_5098O": "5098O",
    "6016A": "6010A",
    "J730U": "730U",
    "T600M": "8050E",
    "KR076": "8057",
    "ALCATEL ONE TOUCH 9002A": "9002A",
    "9007X": "ONETOUCH PIXI3(7)",
    "ALCATEL ONETOUCH POP 7 LTE": "9015W",
    "5046A": "A3",
    "5046D": "A3",
    "5046I": "A3",
    "5046J": "A3",
    "5046T": "A3",
    "5046U": "A3",
    "5046Y": "A3",
    "9026T": "A3 10''",
    "9026X": "A3 10''",
    "5049E": "A3 PLUS",
    "5049G": "A3 PLUS",
    "9008A": "A3 XL",
    "9008D": "A3 XL",
    "9008I": "A3 XL",
    "9008J": "A3 XL",
    "9008N": "A3 XL",
    "9008T": "A3 XL",
    "9008U": "A3 XL",
    "9008X": "A3 XL",
    "9108A": "A3 XL",
    "TCLGalaG60(9108A)": "A3 XL",
    "5046G": "A30",
    "A576RW": "A30",
    "5085A": "A5",
    "5085B": "A5",
    "5085D": "A5",
    "5085H": "A5",
    "5085I": "A5",
    "5085J": "A5",
    "5085N": "A5",
    "5085Q": "A5",
    "5085Y": "A5",
    "5090A": "A7",
    "5090I": "A7",
    "5090Y": "A7",
    "7071A": "A7 XL",
    "7071D": "A7 XL",
    "Alcatel 7030L": "A851L",
    "Alcatel A851L": "A851L",
    "8084_EEA": "ALCATEL 1T 10",
    "9009A": "ALCATEL 1T 7",
    "9009G": "ALCATEL 1T 7 3G",
    "5026A": "ALCATEL 3C",
    "5026D": "ALCATEL 3C",
    "5026J": "ALCATEL 3C",
    "5099Y": "ALCATEL 3V",
    "ALCATEL_ONE_TOUCH_4005D": "ALCATEL ONE TOUCH 4005D",
    "ALCATEL ONE TOUCH 4010A": "ALCATEL ONE TOUCH 4010X",
    "ALCATEL ONE TOUCH 4010D": "ALCATEL ONE TOUCH 4010X",
    "ALCATEL ONE TOUCH 4010E": "ALCATEL ONE TOUCH 4010X",
    "TCL_J210": "ALCATEL ONE TOUCH 4010X",
    "Telenor Smart 2": "ALCATEL ONE TOUCH 4010X",
    "ALCATEL ONE TOUCH 4029A": "ALCATEL ONE TOUCH 4030X",
    "ALCATEL ONE TOUCH 4030D": "ALCATEL ONE TOUCH 4030X",
    "ALCATEL ONE TOUCH 4030E": "ALCATEL ONE TOUCH 4030X",
    "ALCATEL ONE TOUCH 4030Y": "ALCATEL ONE TOUCH 4030X",
    "ALCATEL ONE TOUCH 4030Y_orange": "ALCATEL ONE TOUCH 4030X",
    "Infinity POP": "ALCATEL ONE TOUCH 4030X",
    "Orange Runo": "ALCATEL ONE TOUCH 4030X",
    "ALCATEL ONE TOUCH 4037T": "ALCATEL ONE TOUCH 4037N",
    "ALCATEL ONE TOUCH 5020A": "ALCATEL ONE TOUCH 5020D",
    "ALCATEL ONE TOUCH 5020E": "ALCATEL ONE TOUCH 5020D",
    "ALCATEL ONE TOUCH 5020T": "TCL J300",
    "ALCATEL ONE TOUCH 5020W": "ALCATEL ONE TOUCH 5020D",
    "ALCATEL ONE TOUCH 5020X": "ALCATEL ONE TOUCH 5020D",
    "ALCATEL ONE TOUCH 5021E": "ALCATEL ONE TOUCH 5020D",
    "ALCATEL_ONE_TOUCH_5020D_Orange": "ALCATEL ONE TOUCH 5020D",
    "ALCATEL_ONE_TOUCH_5020X_Orange": "ALCATEL ONE TOUCH 5020D",
    "AURUS III": "ALCATEL ONE TOUCH 5020D",
    "MTC 972": "ALCATEL ONE TOUCH 5020D",
    "Orange Kivo": "ALCATEL ONE TOUCH 5020D",
    "Telenor Smart Pro 2": "ALCATEL ONE TOUCH 5020D",
    "ALCATEL ONE TOUCH 5035A": "ALCATEL ONE TOUCH 5035D",
    "ALCATEL ONE TOUCH 5035E": "ALCATEL ONE TOUCH 5035D",
    "ALCATEL ONE TOUCH 5035X": "ALCATEL ONE TOUCH 5035D",
    "TCL J610": "ALCATEL ONE TOUCH 5035D",
    "TCL S810": "ALCATEL ONE TOUCH 5035D",
    "ONE TOUCH 5036X": "ALCATEL ONE TOUCH 5036D",
    "ALCATEL ONE TOUCH 6010": "ALCATEL ONE TOUCH 6010X",
    "ALCATEL ONE TOUCH 6010D": "ALCATEL ONE TOUCH 6010X",
    "ALCATEL ONE TOUCH 6010X-orange": "ALCATEL ONE TOUCH 6010X",
    "ALCATEL ONE TOUCH 6030A": "ALCATEL ONE TOUCH 6030X",
    "ALCATEL ONE TOUCH 6030D": "ALCATEL ONE TOUCH 6030X",
    "Optimus_San_Remo": "ALCATEL ONE TOUCH 6030X",
    "ALCATEL ONE TOUCH 6033M": "ALCATEL ONE TOUCH 6033X",
    "ALCATEL ONE TOUCH 7024R": "ALCATEL ONE TOUCH 7024W",
    "ALCATEL ONE TOUCH 7024W": "ALCATEL ONE TOUCH Fierce",
    "ALCATEL ONE TOUCH FIERCE": "ALCATEL ONE TOUCH 7024W",
    "ALCATEL ONE TOUCH 8008X": "ALCATEL ONE TOUCH 8008D",
    "Orange Infinity 8008X": "ALCATEL ONE TOUCH 8008D",
    "ALCATEL_one_touch_903": "ALCATEL ONE TOUCH 903",
    "ALCATEL one touch 918": "ALCATEL ONE TOUCH 918",
    "ALCATEL_one_touch_918": "ALCATEL ONE TOUCH 918",
    "ALCATEL_one_touch_918A": "ALCATEL ONE TOUCH 918A",
    "ALCATEL ONE TOUCH 918N": "ALCATEL ONE TOUCH918N",
    "ALCATEL ONE TOUCH 922": "Vodafone 861",
    "ALCATEL ONE TOUCH 930N": "ALCATEL ONE TOUCH 930D",
    "ALCATEL_ONE_TOUCH_985": "ALCATEL ONE TOUCH 985",
    "ALCATEL_one_touch_985": "Alcatel one touch 985",
    "Telenor_One_Touch_C": "ALCATEL ONE TOUCH 985",
    "Telenor_Smart_Pro": "ALCATEL ONE TOUCH 991",
    "ALCATEL ONE TOUCH 992": "ALCATEL ONE TOUCH 992D",
    "ALCATEL_one_touch_995": "ATEL ONE TOUCH 995",
    "Optimus_Madrid": "ALCATEL ONE TOUCH 995",
    "Telenor_Smart_HD": "ALCATEL_one_touch_995",
    "ALCATEL ONE TOUCH 997": "ALCATEL ONE TOUCH 997D",
    "BASE_Lutea_3": "ALCATEL ONE TOUCH 997D",
    "TCL S710": "ALCATEL ONE TOUCH 997D",
    "TCL S800": "ALCATEL ONE TOUCH 997D",
    "TCL D668": "ALCATEL ONE TOUCH D668",
    "TCL-D668": "ALCATEL ONE TOUCH D668",
    "ALCATEL ONE TOUCH 7024N": "ALCATEL ONE TOUCH Fierce",
    "ALCATEL ONE TOUCH P310A": "ALCATEL ONETOUCH P310A",
    "ALCATEL ONE TOUCH 4037R": "ALCATEL ONETOUCH 4037R",
    "6045B": "ALCATEL ONETOUCH IDOL 3 (5.5)",
    "6045F": "ALCATEL ONETOUCH IDOL 3 (5.5)",
    "6045I": "ALCATEL ONETOUCH IDOL 3 (5.5)",
    "6045K": "ALCATEL ONETOUCH IDOL 3 (5.5)",
    "6045Y": "ALCATEL ONETOUCH IDOL 3 (5.5)",
    "TCL i806": "ALCATEL ONETOUCH IDOL 3 (5.5)",
    "4009A": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "4009D": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "4009E": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "4009F": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "4009K": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "4009M": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "4009S": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "4009X": "ALCATEL ONETOUCH PIXI 3 (3.5)",
    "5017A": "ALCATEL ONETOUCH PIXI 3 (4.5)",
    "5017D": "ALCATEL ONETOUCH PIXI 3 (4.5)",
    "5017E": "ALCATEL ONETOUCH PIXI 3 (4.5)",
    "5019D": "ALCATEL ONETOUCH PIXI 3 (4.5)",
    "4034A": "ALCATEL ONETOUCH PIXI 4 (4)",
    "4034D": "ALCATEL ONETOUCH PIXI 4 (4)",
    "4034E": "ALCATEL ONETOUCH PIXI 4 (4)",
    "4034F": "ALCATEL ONETOUCH PIXI 4 (4)",
    "4034G": "ALCATEL ONETOUCH PIXI 4 (4)",
    "4034X": "ALCATEL ONETOUCH PIXI 4 (4)",
    "Alcatel_4034F": "ALCATEL ONETOUCH PIXI 4 (4)",
    "DIGICEL DL 1 lite": "ALCATEL ONETOUCH PIXI 4 (4)",
    "Orange Rise 34": "ALCATEL ONETOUCH PIXI 4 (4)",
    "5017O": "ALCATEL ONETOUCH PIXI™ 3 (4.5)",
    "5015A": "ALCATEL ONETOUCH POP 3 (5)",
    "5015D": "ALCATEL ONETOUCH POP 3 (5)",
    "5015E": "ALCATEL ONETOUCH POP 3 (5)",
    "5015X": "ALCATEL ONETOUCH POP 3 (5)",
    "5016A": "ALCATEL ONETOUCH POP 3 (5)",
    "5016J": "ALCATEL ONETOUCH POP 3 (5)",
    "5116J": "ALCATEL ONETOUCH POP 3 (5)",
    "5025D": "ALCATEL ONETOUCH POP 3 (5.5)",
    "5025E": "ALCATEL ONETOUCH POP 3 (5.5)",
    "5025G": "ALCATEL ONETOUCH POP 3 (5.5)",
    "5025X": "ALCATEL ONETOUCH POP 3 (5.5)",
    "DIGICEL DL1000": "ALCATEL ONETOUCH POP 3 (5.5)",
    "S4035 3G": "ALCATEL ONETOUCH POP 3 (5.5)",
    "Alcatel 7046T": "ALCATEL ONETOUCH Victory",
    "5041D": "ALCATEL PIXI 4 (5)",
    "5045A": "ALCATEL PIXI 4 (5)",
    "5045D": "ALCATEL PIXI 4 (5)",
    "5045F": "ALCATEL PIXI 4 (5)",
    "5045G": "ALCATEL PIXI 4 (5)",
    "5045I": "ALCATEL PIXI 4 (5)",
    "5045J": "ALCATEL PIXI 4 (5)",
    "5045T": "ALCATEL PIXI 4 (5)",
    "5045X": "ALCATEL PIXI 4 (5)",
    "5045Y": "ALCATEL PIXI 4 (5)",
    "5145A": "ALCATEL PIXI 4 (5)",
    "DIGICELDL1": "ALCATEL PIXI 4 (5)",
    "ALCATEL_4034A": "ALCATEL_ 4034A",
    "7053D": "ALCATEL_ONETOUCH_7053D",
    "ALCATEL ONE TOUCH 4027A": "ALCATEL_ONE_TOUCH_4027A",
    "ALCATEL ONE TOUCH 5037A": "ALCATEL_ONE_TOUCH_5037A",
    "ALCATEL ONE TOUCH 5037X": "ALCATEL_ONE_TOUCH_5037X",
    "ALCATEL ONE TOUCH 7047A": "ALCATEL_ONE_TOUCH_7047A",
    "ALCATEL ONE TOUCH P310X": "ONE_TOUCH_P310X",
    "ALCATEL ONE TOUCH P320X": "ALCATEL_ONE_TOUCH_P320X",
    "RPSPE4301": "ALCATEL_one_touch_995",
    "Telenor_One_Touch_S": "ALCATEL_one_touch_995",
    "5033A": "Alcatel 1",
    "5033D": "Alcatel 1",
    "5033D_EEA": "Alcatel 1",
    "5033D_RU": "Alcatel 1",
    "5033F": "Alcatel 1",
    "5033F_EEA": "Alcatel 1",
    "5033G": "Alcatel 1",
    "5033G_EEA": "Alcatel 1",
    "5033J": "Alcatel 1",
    "5033M": "Alcatel 1",
    "5033O": "Alcatel 1",
    "5033S": "Alcatel 1",
    "5033T": "Alcatel 1",
    "5033X": "Alcatel 1",
    "5033X_EEA": "Alcatel 1",
    "5033Y": "Alcatel 1",
    "5033Y_EEA": "Alcatel 1",
    "Alcatel T 5033T": "Alcatel 1",
    "HEYOU10": "Alcatel 1",
    "Optus X Start": "Alcatel 1",
    "Orange Rise 54_Alcatel_5033D": "Alcatel 1",
    "5002F_RU": "Alcatel 1A",
    "5002A": "Alcatel 1B",
    "5002B": "Alcatel 1B",
    "5002D": "Alcatel 1B",
    "5002D_EEA": "Alcatel 1B",
    "5002D_RU": "Alcatel 1B",
    "5002D_TR": "Alcatel 1B",
    "5002E": "Alcatel 1B",
    "5002F": "Alcatel 1B",
    "5002F_EEA": "Alcatel 1B",
    "5002H": "Alcatel 1B",
    "5002H_EEA": "Alcatel 1B",
    "5002H_RU": "Alcatel 1B",
    "5002H_TR": "Alcatel 1B",
    "5002I": "Alcatel 1B",
    "5002J": "Alcatel 1B",
    "5002L": "Alcatel 1B",
    "5002M": "Alcatel 1B",
    "5002Q": "Alcatel 1B",
    "5002S": "Alcatel 1B",
    "5002T": "Alcatel 1B",
    "5002U": "Alcatel 1B",
    "5002V": "Alcatel 1B",
    "5002X": "Alcatel 1B",
    "5002X_EEA": "Alcatel 1B",
    "5003A": "Alcatel 1C",
    "5003D": "Alcatel 1C",
    "5003D_EEA": "Alcatel 1C",
    "Listo SP50": "Alcatel 1C",
    "5009A": "Alcatel 1C",
    "5009D": "Alcatel 1C",
    "5009D_RU": "Alcatel 1C",
    "5009U": "Alcatel 1C",
    "4034T": "Alcatel 1E",
    "4063A": "Alcatel 1L",
    "4063A1": "Alcatel 1L",
    "4063F": "Alcatel 1L PLUS",
    "5024A": "Alcatel 1S",
    "5024D": "Alcatel 1S",
    "5024D_EEA": "Alcatel 1S",
    "5024D_RU": "Alcatel 1S",
    "5024F": "Alcatel 1S",
    "5024F_EEA": "Alcatel 1S",
    "5024I": "Alcatel 1S",
    "5024J": "Alcatel 1S",
    "6025A": "Alcatel 1S",
    "6025D": "Alcatel 1S",
    "6025D_EEA": "Alcatel 1S",
    "6025D_RU": "Alcatel 1S",
    "6025H": "Alcatel 1S",
    "6025H_EEA": "Alcatel 1S",
    "6025H_RU": "Alcatel 1S",
    "5028A": "Alcatel 1S",
    "5028D": "Alcatel 1S",
    "5028D_EEA": "Alcatel 1S",
    "5028D_RU": "Alcatel 1S",
    "5028D_TR": "Alcatel 1S",
    "5028Y": "Alcatel 1S",
    "5028Y_EEA": "Alcatel 1S",
    "5028Y_RU": "Alcatel 1S",
    "5007O": "Alcatel 1S",
    "5030A": "Alcatel 1SE",
    "5030D": "Alcatel 1SE",
    "5030D_EEA": "Alcatel 1SE",
    "5030D_RU": "Alcatel 1SE",
    "5030E": "Alcatel 1SE",
    "5030F": "Alcatel 1SE",
    "5030F_EEA": "Alcatel 1SE",
    "5030F_TR": "Alcatel 1SE",
    "5030G": "Alcatel 1SE",
    "5030I": "Alcatel 1SE",
    "5030J": "Alcatel 1SE",
    "5030M": "Alcatel 1SE",
    "5030U": "Alcatel 1SE",
    "4087M": "Alcatel 1SE elite edition",
    "4087N": "Alcatel 1SE elite edition",
    "4087U": "Alcatel 1SE elite edition",
    "4087U_RU": "Alcatel 1SE light",
    "4087U_EEA": "Alcatel 1SE lite edition",
    "5030E_RU": "Alcatel 1SP",
    "9009F": "Alcatel 1T 7 3G NEW",
    "5007A": "Alcatel 1V",
    "5007G": "Alcatel 1V",
    "5007U": "Alcatel 1V",
    "5007U_EEA": "Alcatel 1V",
    "5007U_RU": "Alcatel 1V",
    "5007U_TR": "Alcatel 1V",
    "HEYOU40": "Alcatel 1V",
    "5001A": "Alcatel 1V",
    "5001D_EEA": "Alcatel 1V",
    "5001D_RU": "Alcatel 1V",
    "5001J": "Alcatel 1V",
    "5001T": "Alcatel 1V",
    "5001U": "Alcatel 1V",
    "5059A": "Alcatel 1X",
    "5059D": "Alcatel 1X",
    "5059D_RU": "Alcatel 1X",
    "5059I": "Alcatel 1X",
    "5059J": "Alcatel 1X",
    "5059T": "Alcatel 1X",
    "5059X": "Alcatel 1X",
    "5059Y": "Alcatel 1X",
    "HEYOU3": "Alcatel 1X",
    "5052A": "Alcatel 3",
    "5052D": "Alcatel 3",
    "5052D_EEA": "Alcatel 3",
    "5052D_RU": "Alcatel 3",
    "5052Y": "Alcatel 3",
    "5052Y_EEA": "Alcatel 3",
    "Orange Dive 73": "Alcatel 3",
    "5053A": "Alcatel 3",
    "5053D": "Alcatel 3",
    "5053D_EEA": "Alcatel 3",
    "5053K": "Alcatel 3",
    "5053K_EEA": "Alcatel 3",
    "5053K_RU": "Alcatel 3",
    "5053Y": "Alcatel 3",
    "5053Y_EEA": "Alcatel 3",
    "5053Y_RU": "Alcatel 3",
    "5029E": "Alcatel 3",
    "5006A": "Alcatel 3C",
    "5006G": "Alcatel 3C",
    "5034D": "Alcatel 3L",
    "5034D_EEA": "Alcatel 3L",
    "5034D_RU": "Alcatel 3L",
    "HEYOU5": "Alcatel 3L",
    "5039D": "Alcatel 3L",
    "5039D_EEA": "Alcatel 3L",
    "5039D_RU": "Alcatel 3L",
    "5039U": "Alcatel 3L",
    "5039Y_RU": "Alcatel 3L",
    "HEYOU50": "Alcatel 3L",
    "6056A": "Alcatel 3L",
    "6056D": "Alcatel 3L",
    "6056D_EEA": "Alcatel 3L",
    "6056D_RU": "Alcatel 3L",
    "6056D_TR": "Alcatel 3L",
    "6056H": "Alcatel 3L",
    "6056H_EEA": "Alcatel 3L",
    "6056H_RU": "Alcatel 3L",
    "6056H_TR": "Alcatel 3L",
    "5029D": "Alcatel 3L",
    "5029D_EEA": "Alcatel 3L",
    "5029D_RU": "Alcatel 3L",
    "5029D_TR": "Alcatel 3L",
    "5029F": "Alcatel 3L",
    "5029Y": "Alcatel 3L",
    "5029Y_EEA": "Alcatel 3L",
    "5029Y_RU": "Alcatel 3L",
    "Alpha 20": "Alcatel 3L",
    "HEYOU60": "Alcatel 3L",
    "TECTOY": "Alcatel 3L",
    "8088M": "Alcatel 3T 10",
    "9027F": "Alcatel 3T 8",
    "9027Q": "Alcatel 3T 8",
    "9027T": "Alcatel 3T 8",
    "9027X": "Alcatel 3T 8",
    "5099A": "Alcatel 3V",
    "5099D": "Alcatel 3V",
    "5099D_RU": "Alcatel 3V",
    "5099I": "Alcatel 3V",
    "5099U": "Alcatel 3V",
    "5032W": "Alcatel 3V",
    "5058A": "Alcatel 3X",
    "5058I": "Alcatel 3X",
    "5058I_RU": "Alcatel 3X",
    "5058J": "Alcatel 3X",
    "5058T": "Alcatel 3X",
    "5058Y": "Alcatel 3X",
    "5061A": "Alcatel 3X",
    "5061K": "Alcatel 3X",
    "5061K_EEA": "Alcatel 3X",
    "5061K_RU": "Alcatel 3X",
    "5061K_TR": "Alcatel 3X",
    "5061U": "Alcatel 3X",
    "5061U_EEA": "Alcatel 3X",
    "5061U_TR": "Alcatel 3X",
    "5048A": "Alcatel 3X",
    "5048I": "Alcatel 3X",
    "5048U": "Alcatel 3X",
    "5048U_EEA": "Alcatel 3X",
    "5048Y": "Alcatel 3X",
    "5048Y_EEA": "Alcatel 3X",
    "5048Y_RU": "Alcatel 3X",
    "5048Y_TR": "Alcatel 3X",
    "5029A": "Alcatel 3X Plus",
    "5086A": "Alcatel 5",
    "5086Y": "Alcatel 5",
    "5060A": "Alcatel 5V",
    "5060D_RU": "Alcatel 5V",
    "5060D": "Alcatel 5X",
    "5060D_EEA": "Alcatel 5X",
    "5060J": "Alcatel 5X",
    "9029Z": "Alcatel JOY TAB",
    "9029G": "Alcatel JOY TAB KIDS",
    "Alcatel_5004C": "Alcatel LUMOS™",
    "5008R": "Alcatel ONYX™",
    "Alcatel_5008R": "Alcatel ONYX™",
    "A574BL": "Alcatel Raven LTE",
    "4034L": "Alcatel U3",
    "4034L_EEA": "Alcatel U3",
    "Alcatel 5085C": "Alcatel_5085C",
    "Alcatel 6055U": "Alcatel_6055U",
    "Alcatel 9026S": "Alcatel_9026S",
    "TCL V760": "CTCC: TCL Y660/CMCC: TCL V760",
    "TCL Y660": "CTCC: TCL Y660/CMCC: TCL V760",
    "DIGICELDL1plus": "DLGICELDL1 plus",
    "Alcatel_5044R": "ELEMENT5",
    "MTC 1065": "EVO7",
    "onetouch EVO7": "EVO7",
    "starTIM tab 7": "EVO7",
    "FL02": "Flash Plus 2",
    "7048A": "Go PLAY",
    "7048S": "Go PLAY",
    "7048W": "Go PLAY",
    "7048X": "Go PLAY",
    "7055A": "Hero2C",
    "6050Y": "IDOL 2 S",
    "ALCATEL ONE TOUCH 6050Y": "IDOL 2 S",
    "Idol2S_Orange": "IDOL 2 S",
    "6050A": "IDOL 2 S",
    "6050F": "IDOL 2 S",
    "6050W": "IDOL 2 S",
    "ALCATEL ONETOUCH 6050A": "IDOL 2 S",
    "OWN S5030": "IDOL 2 S",
    "TCL S830U": "IDOL 2 S",
    "TCL S838M": "IDOL 2 S",
    "6070K": "IDOL 4S",
    "6070O": "IDOL 4S",
    "6058A": "IDOL 5",
    "6058D": "IDOL 5",
    "6058X": "IDOL 5",
    "6060S": "IDOL 5S",
    "Alcatel_5005R": "INSIGHT™",
    "ALCATEL ONE TOUCH 6035L": "Idol S",
    "BS472": "Idol S",
    "MTC 978": "Idol S",
    "ALCATEL ONE TOUCH 6034L": "Idol S",
    "ALCATEL ONE TOUCH 6034M": "Idol S",
    "ALCATEL ONE TOUCH 6034R": "Idol S",
    "ALCATEL ONE TOUCH 6034Y": "Idol S",
    "San Remo 4G": "Idol S",
    "TCL-S850L": "Idol S",
    "ALCATEL ONE TOUCH 6035R": "Idol X",
    "6036A": "Idol2 MINI S",
    "6036X": "Idol2 MINI S",
    "6036Y": "Idol2 MINI S",
    "A554C": "Juke-A554C",
    "9309S_EEA": "KURIO LITE GO NEW",
    "DIGICEL DL810": "LCATEL ONETOUCH PIXI 3 (4.5)",
    "5007S": "Lively Smart",
    "MegaFon_SP-AI": "Megafon Login",
    "5057M": "Mirage",
    "move 2": "Moov2",
    "VFD 500": "Smart turbo 7",
    "Maxis VFD 700": "NeXT by Maxis (M1)",
    "VFD 700": "Smart ultra 7",
    "VFD700": "NeXT by Maxis (M1)",
    "6045O": "Nitro",
    "Alcatel_4060O": "No",
    "ONE TOUCH 4007A": "ONE TOUCH 4007X",
    "ONE TOUCH 4007D": "ONE TOUCH 4007X",
    "ONE TOUCH 4007E": "ONE TOUCH 4007X",
    "4016D": "ONE TOUCH 4015X",
    "ONE TOUCH 4015A": "ONE TOUCH 4015X",
    "ONE TOUCH 4015D": "ONE TOUCH 4015X",
    "ONE TOUCH 4015N": "ONE TOUCH 4015X",
    "ONE TOUCH 4015X-orange": "ONE TOUCH 4015X",
    "ONE TOUCH 4016A": "ONE TOUCH 4015X",
    "Orange Yomi": "ONE TOUCH 4015X",
    "4032A": "ONE TOUCH 4033X",
    "4032D": "ONE TOUCH 4033X",
    "4032E": "ONE TOUCH 4033X",
    "4032X": "ONE TOUCH 4033X",
    "4033L": "ONE TOUCH 4033X",
    "MS3B": "ONE TOUCH 4033X",
    "ONE TOUCH 4032A": "ONE TOUCH 4033X",
    "ONE TOUCH 4033A": "ONE TOUCH 4033X",
    "ONE TOUCH 4033D": "ONE TOUCH 4033X",
    "ONE TOUCH 4033E": "ONE TOUCH 4033X",
    "OWN S3010": "ONE TOUCH 4033X",
    "OWN S3010D": "ONE TOUCH 4033X",
    "TCLJ330": "ONE TOUCH 4033X",
    "ONE TOUCH 6012A": "ONE TOUCH 6012D",
    "ALCATEL ONE TOUCH 6012D": "ONE TOUCH 6012D",
    "ALCATEL ONE TOUCH 6012X": "ONE TOUCH 6012D",
    "Mobile Sosh": "ONE TOUCH 6012D",
    "ONE TOUCH 6012E": "ONE TOUCH 6012D",
    "ONE TOUCH IDOL MINI": "ONE TOUCH 6012D",
    "Orange Covo": "ONE TOUCH 6012D",
    "Orange Hiro": "ONE TOUCH 6012D",
    "ALCATEL_one_touch_983": "ONE TOUCH 983",
    "VALENCIA": "ONE TOUCH 983",
    "MTC 1078": "ONE TOUCH EVO7HD",
    "ONE TOUCH E710": "ONE TOUCH EVO7HD",
    "ONE TOUCH EVO7HD": "ONE TOUCH EVO8HD",
    "ALCATEL ONE TOUCH 8000A": "ONE TOUCH SCRIBE 5",
    "ALCATEL ONE TOUCH 8000D": "ONE TOUCH SCRIBE 5",
    "TCL Y710": "ONE TOUCH SCRIBE 5",
    "GR-TB7": "ONE TOUCH T10",
    "TCL TAB 7": "ONE TOUCH TAB 7",
    "ONE_TOUCH_960C": "ONE TOUCH Ultra 960c",
    "ADR3010": "ONE TOUCH Ultra 960c",
    "ONE TOUCH 960C": "ONE TOUCH Ultra 960c",
    "9022S": "ONETOUCH PIXI 3 (8)",
    "9022X": "ONETOUCH PIXI 3 (8)",
    "Alcatel9022S": "ONETOUCH PIXI 3 (8)",
    "Alcatel_9022S": "ONETOUCH PIXI 3 (8)",
    "9007A": "ONETOUCH PIXI3(7)",
    "ONE TOUCH P310A": "ONE_TOUCH_P310A",
    "ALCATEL one touch 890D": "One Touch 890D",
    "ALCATEL_one_touch_906Y": "One Touch 906",
    "ALCATEL ONE TOUCH 908": "One Touch 908",
    "ALCATEL_one_touch_908": "One Touch 908",
    "Alcatel_one_touch_908F_Orange": "One Touch 908",
    "ALCATEL ONE TOUCH 990": "One Touch 990",
    "ALCATEL one touch 990": "One Touch 990",
    "ALCATEL_one_touch_990": "One Touch 990",
    "Alcatel one touch 908F Orange": "One Touch 990",
    "Alcatel one touch 990 Orange": "One Touch 990",
    "Los Angeles": "One Touch 990",
    "TCL A990": "One Touch 990",
    "TCL ONE TOUCH 990": "One Touch 990",
    "Telenor_OneTouch": "One Touch 990",
    "Vodafone 958": "One Touch 990",
    "ALCATEL_one_touch_990A": "One Touch 990A",
    "ALCATEL_one_touch_990S": "One Touch 990S",
    "Alcatel one touch 990S": "One Touch 990S",
    "TCL-P688L": "P688L",
    "TOM007": "P688L",
    "5010D": "PIXI 4 (5)",
    "5010E": "PIXI 4 (5)",
    "5010G": "PIXI 4 (5)",
    "5010S": "PIXI 4 (5)",
    "5010U": "PIXI 4 (5)",
    "5010X": "PIXI 4 (5)",
    "A576CC": "PIXI 5 HD",
    "4003A": "PIXI3(4)",
    "4003J": "PIXI3(4)",
    "4013D": "PIXI3(4)",
    "4013E": "PIXI3(4)",
    "4013J": "PIXI3(4)",
    "4013K": "PIXI3(4)",
    "4013X": "PIXI3(4)",
    "4014E": "PIXI3(4)",
    "ONE_TOUCH_PIXI3": "PIXI3(4)",
    "ONE_TOUCH_PIXI3D": "PIXI3(4)",
    "4027A": "PIXI3(4.5)",
    "4027D": "PIXI3(4.5)",
    "4027N": "PIXI3(4.5)",
    "4027X": "PIXI3(4.5)",
    "4028A": "PIXI3(4.5)",
    "4028E": "PIXI3(4.5)",
    "4028J": "PIXI3(4.5)",
    "4028S": "PIXI3(4.5)",
    "4017A": "PIXI4 (3.5)",
    "4017D": "PIXI4 (3.5)",
    "4017F": "PIXI4 (3.5)",
    "4017S": "PIXI4 (3.5)",
    "4017X": "PIXI4 (3.5)",
    "4060S": "PIXI™4",
    "4024D": "PLAY_P1",
    "4024E": "PLAY_P1",
    "5042A": "POP 2",
    "5042D": "POP 2",
    "5042X": "POP 2",
    "7043A": "POP 2 (5)",
    "7043K": "POP 2 (5)",
    "7043Y": "POP 2 (5)",
    "7044A": "POP 2 (5)",
    "7044X": "POP 2 (5)",
    "7070I": 'POP 4 6" 4G android',
    "7070Q": 'POP 4 6" 4G android',
    "7070X": 'POP 4 6" 4G android',
    "5095I": "POP 4S",
    "5095K": "POP 4S",
    "5095Y": "POP 4S",
    "ALCATEL A845L": "POP S3",
    "5050A": "POP S3",
    "5050S": "POP S3",
    "5050X": "POP S3",
    "5050Y": "POP S3",
    "ALCATEL ONETOUCH 5050X": "POP S3",
    "Siru": "POP S3",
    "7050Y": "POP S9",
    "ALCATEL A995L": "POP S9",
    "STARXTREM II": "POP S9",
    "Smartphone Android by SFR STARXTREM II": "POP S9",
    "4045A": "POP2 (4)",
    "4045D": "POP2 (4)",
    "4045L": "POP2 (4)",
    "4045O": "POP2 (4)",
    "4045X": "POP2 (4)",
    "5042G": "POP2 (4.5)",
    "5042W": "POP2 (4.5)",
    "A463BG": "Pixi3-3.5 TF",
    "A460G": "Pixi3-4 TF",
    "A466T": "Pixi4-4 3G Telus",
    "I211": "Pixo 7",
    "I212": "Pixo 7",
    "I213": "Pixo 7",
    "5080D": "SHINE LITE",
    "5080X": "SHINE LITE",
    "SMART_PLUS": "SMART_ PLUS",
    "T-1000": "SOL PRIME",
    "5038X": "SOUL 4.5",
    "Smart_P11": "Smart P11",
    "9317X": "Smart Tab 7",
    "9317X1": "Smart Tab 7",
    "Smartphone_Android_by_SFR_STARADDICT_II": "Smartphone Android by SFR STARADDICT II",
    "AM-H200": "Sol",
    "4018A": "Soul 3.5",
    "4018D": "Soul 3.5",
    "4018E": "Soul 3.5",
    "4018F": "Soul 3.5",
    "4018M": "Soul 3.5",
    "4018X": "Soul 3.5",
    "T4018": "Soul 3.5",
    "4035A": "Soul 4",
    "4035D": "Soul 4",
    "4035X": "Soul 4",
    "4035X_Orange": "Soul 4",
    "4035Y": "Soul 4",
    "4036E": "Soul 4",
    "5038A": "Soul 4.5",
    "5038E": "Soul 4.5",
    "D45": "Soul 4.5",
    "one touch T10": "T10",
    "T700A": "T2",
    "T700X": "T2",
    "9032W": "TBD",
    "Alcatel_5002C": "TBD",
    "Alcatel_5002R": "TBD",
    "A507DL": "TBD",
    "TCL-J736L": "TCL 736L",
    "TCL J738M": "TCL 738M",
    "A508DL": "TCL A2X",
    "A509DL": "TCL A3",
    "ALCATEL ONE TOUCH 993D": "TCL A988",
    "ALCATEL ONE TOUCH 993": "TCL A988",
    "MTC_968": "TCL A988",
    "TCL-D920": "TCL D920",
    "DL750": "TCL DL750",
    "TCL-J210C": "TCL J210C",
    "J630": "TCL J630",
    "TCL-J929L": "TCL J929L",
    "A502DL": "TCL LX",
    "TCL P600": "TCL P606",
    "TCL P606T": "TCL P606",
    "TCL_P689L": "TCL P689L",
    "TCL_S725T": "TCL S725T",
    "5004S": "TCL SIGNA",
    "A503DL": "TCL XL2",
    "TCL i709M": "TCL i718M",
    "TCL 6110A": "TCL_6110A",
    "TCL Xess P17AA": "TCL_Xess_P17AA_OS",
    "5041C": "TETRA",
    "8095_EEA": "TKEE MAX",
    "8095_RU": "TKEE MAX",
    "8095_TR": "TKEE MAX",
    "8052_EEA": "TKEE MINI",
    "8052_RU": "TKEE MINI",
    "9309X_EEA": "TKEE MINI NEW",
    "9309X_RU": "alcatel 1T7 NEW",
    "9317G1": "TKEE mini",
    "Telenor_Smart": "Smart",
    "Telenor Smart Mini": "Telenor_Smart_Mini",
    "4049D": "U3",
    "4049E": "U3",
    "4049G": "U3",
    "4049M": "U3",
    "4049X": "U3",
    "5044A": "U5",
    "5044P": "U5",
    "5044Y": "U5",
    "4047A": "U5 3G",
    "4047F": "U5 3G",
    "5047D": "U5 HD",
    "5047I": "U5 HD",
    "5047U": "U5 HD",
    "5047Y": "U5 HD",
    "5044G": "U50™",
    "5044S": "U50™",
    "Vodafone Smart II": "VF 860",
    "Vodafone 975": "Vodafone Smart III",
    "Vodafone 975N": "Vodafone Smart III (with NFC)",
    "TCL Xess miniC15BA": "Xess mini",
    "TCL Xess C15BA": "Xess-mini",
    "9013A": "alcatel 1T7 4G",
    "9013T": "alcatel 1T7 4G",
    "9013X": "alcatel 1T7 4G",
    "9013X_EEA": "alcatel 1T7 4G",
    "9013X_RU": "alcatel 1T7 4G",
    "9013X_TR": "alcatel 1T7 4G",
    "5008A": "alcatel 1X",
    "5008D": "alcatel 1X",
    "5008D_EEA": "alcatel 1X",
    "5008T": "alcatel 1X",
    "5008U": "alcatel 1X",
    "5008Y": "alcatel 1X",
    "5008Y_EEA": "alcatel 1X",
    "5008Y_RU": "alcatel 1X",
    "9032T": "alcatel 3T8",
    "9032X_EEA": "alcatel 3T8",
    "9032X_RU": "alcatel 3T8",
    "9032X_TR": "alcatel 3T8",
    "5012D": "alcatel PIXI 4 (5.5)",
    "5012F": "alcatel PIXI 4 (5.5)",
    "5012G": "alcatel PIXI 4 (5.5)",
    "5044D": "alcatel U5",
    "5044I": "alcatel U5",
    "5044K": "alcatel U5",
    "5044O": "alcatel U5",
    "5044T": "alcatel U5",
    "ALCATEL one touch D920": "one touch D920",
    "one touch D920": "one_touch_D920_ALIQ",
    "ALCATEL_one_touch_4030A": "one_touch_4030_TLVE",
    "8051_EEA": "smart tab 7",
    "8051_RU": "smart tab 7",
    "8051_TR": "smart tab 7",
    "9032Z": "tbd",
    "A501DL": "tbd",
    "A576BL": "tbd",
    "Alcatel_5059R": "tbd",
    "moche smart a8": "tmn smarta8",
    "tmn smart a8": "tmn smarta8",
    "TD SYSTEMS Android TV": "Android TV",
    "TELESYSTEM 2K Android TV": "EU、UK、AP",
    "TERRA_PAD_101": "TERRA PAD 101",
    "TIM_BOX": "TIM BOX",
    "skipper": "LMT viedtelevīzijas iekārta",
    "Metal_Tablet_10": "Metal Tablet",
    "MT-750QU": "MT-750QU_V1",
    "TJD MT-710QU": "MT-710QU",
    "MT-792OF": "MT-792OF_EEA",
    "UNONU_W60_PLUS": "UNONU_W60_PLUSt",
    "KIDS708-709A": "KIDS708_709A",
    "KIDS08": "TOPELOTEK",
    "KIDS09": "TOPELOTEK",
    "Quicktab": "QUICKTAB",
    "MTC_982O": "MTC 982o",
    "MG080D1T": "Tablet Tsunami TSTA080D1",
    "TTfone TT20": "TT20_eea",
    "Q718A": "Q718A_EEA",
    "Q718B": "Q718B_EEA",
    "ITP-R408W": "DREAM PAD",
    "TU7_18222": "TU7_58212_18222",
    "2E E450 2018": "2E E450A 2018",
    "EUTB_758G_TABI_Argos_KIDS": "EUTB_758G",
    "EUTB-758 TABI Argos": "EUTB_758_Argos",
    "MID107": "MID 107",
    "TalkTalk STB": "TalkTalk TV",
    "Tanoshi 2-in-1": "TTBKB10-01",
    "AgileTV": "Agile TV",
    "cooper": "Euskaltel",
    "pearl": "NETBOX",
    "uiw4030dnm": "NETBOX",
    "CWM19": "WOW! Sapphire",
    "NOTE 4CAM": "NOTE_4CAM",
    "Techpad X5": "TECHPAD X5",
    "816x": "Tech Pad",
    "TechPad_10Y": "TechPad 10Y",
    "TechPad_9x": "TechPad 9x",
    "Techpad_i700": "TechPad_i700",
    "Tech Pad X10": "Tech_Pad_X10B",
    "Tech Pad i700": "i700",
    "K13pro": "k13pro",
    "M40SE": "M40SE_Y_ROW",
    "P10S_ROW": "ssaemyo-inuriTab",
    "P20HD": "P20HD_Pro_RUS",
    "P30HD": "P30HD_RU",
    "P30HD_EEA": "P30HD",
    "P40HD": "P40HD_ROW",
    "P80X": "P80X_ROW",
    "TLA001": "T40_ROW",
    "T40 PRO_ROW": "T40Pro",
    "T40Pro": "T40Pro_RU",
    "TECNO A571LS": "5S",
    "TECNO-A7S": "A7S",
    "TECNO-C5": "C5",
    "TECNO-C7": "CAMON C7",
    "TECNO-C8": "C8",
    "TECNO-C9": "Camon C9",
    "TECNO-C9S": "C9S",
    "TECNO CE7j": "CAMON 16",
    "TECNO CG6": "CAMON",
    "TECNO CG7": "CAMON 17P",
    "TECNO CH6h": "CAMON",
    "TECNO CF7": "CAMON 11",
    "TECNO CF7S": "CAMON 11",
    "TECNO CF7k": "CAMON 11",
    "TECNO CF8": "CAMON 11 Pro",
    "TECNO CC7": "CAMON 12",
    "TECNO CC7S": "CAMON 12",
    "TECNO CC6": "CAMON 12 Air",
    "TECNO CD6": "CAMON 15 Air",
    "TECNO CD6S": "CAMON 15 Air",
    "TECNO CD8j": "CAMON 15 Premier",
    "TECNO CD8": "CAMON 15 Pro",
    "TECNO CE7": "CAMON 16",
    "TECNO CE8": "CAMON 16 Pro",
    "TECNO CD6j": "CAMON 16 S",
    "TECNO CG6j": "CAMON 17",
    "TECNO CG8": "CAMON 17 Pro",
    "TECNO CG8h": "CAMON 17 Pro",
    "TECNO CG7n": "CAMON 17P",
    "TECNO CH6": "CAMON 18",
    "TECNO CH6n": "CAMON 18",
    "TECNO Mobile CH6n": "CAMON 18",
    "TECNO CH7": "CAMON 18P",
    "TECNO CH7n": "CAMON 18P",
    "TECNO CI6": "CAMON 19",
    "TECNO CI6n": "CAMON 19",
    "TECNO Mobile CI6n": "CAMON 19",
    "TECNO CI8": "CAMON 19 Pro",
    "TECNO CI8n": "CAMON 19 Pro",
    "TECNO CI7n": "CAMON 19 Pro 5G",
    "TECNO CA6": "CAMON CM",
    "TECNO IN1": "CAMON I Ace",
    "TECNO CA7": "CAMON X",
    "TECNO CA8": "CAMON X Pro",
    "TECNO CA8S": "CAMON X Pro",
    "TECNO ID5a": "CAMON i 2",
    "TECNO ID5b": "CAMON i 2X",
    "TECNO CB7": "Camon 11S",
    "TECNO CB7j": "CAMON i 4",
    "TECNO KB3": "CAMON i SKY3",
    "TECNO ID5": "CAMON i2",
    "TECNO ID3k": "CAMON iAIR 2+",
    "TECNO ID6": "CAMON iCLICK 2",
    "TECNO IN6": "CAMON iClick",
    "TECNO IN2": "CAMON iSky",
    "TECNO IN1 Pro": "CAMON iSky2",
    "TECNO CA6S": "COMAN CM",
    "TECNO Camon CX": "Camon CX",
    "TECNO Camon CXS": "Camon CXS",
    "TECNO IN5": "Camon I",
    "TECNO IN3": "Camon I Air",
    "TECNO IA5": "Camon i Twin",
    "DP10APro": "DroiPad 10 ProⅡ",
    "DP7CPRO": "DroiPad 7C Pro",
    "TECNO P701": "DroiPad 7D",
    "TECNO P702A": "DroiPad 7D ProLTE",
    "TECNO P702": "DroiPad 7D ProLTE",
    "TECNO P703": "DroiPad 7F",
    "DP8D": "DroiPad 8Ⅱ",
    "DP10A": "Droipad10",
    "TECNO DP10A": "Droipad10",
    "TECNO F1": "F1",
    "TECNO F2": "F2",
    "TECNO F2LTE": "F2LTE",
    "TECNO H5S": "H5S",
    "TECNO-J5": "J5",
    "TECNO-J7": "J7",
    "TECNO-J8": "J8",
    "TECNO-L5": "L5",
    "TECNO-L8": "L8",
    "TECNO L8 Lite": "L8 Lite",
    "TECNO-L8Plus": "L8Plus",
    "TECNO L9": "L9",
    "TECNO L9 Plus": "L9Plus",
    "TECNO M3S": "M3",
    "TECNO-M6S": "M6S",
    "TECNO-N2": "N2",
    "TECNO-N2S": "N2S",
    "TECNO N5S": "N5S",
    "TECNO-N6": "N6",
    "TECNO-N6S": "N6S",
    "TECNO N8": "N8",
    "TECNO-N8": "N8",
    "TECNO-N8R": "N8R",
    "TECNO-N8S": "N8S",
    "TECNO-N9": "N9",
    "TECNO-N9S": "N9S",
    "TECNO R8O": "NX",
    "TECNO R8S": "NX",
    "TECNO P5S": "P5",
    "TECNO P702AS": "P702AS",
    "TECNO AC8": "PHANTOM X",
    "PTM-Z-mini": "PHANTOM-Z-mini",
    "TECNO-PHANTOM5": "PHANTOM5",
    "TECNO F3": "POP1",
    "TECNO F4": "POP 1s",
    "TECNO F4 Pro": "POP 1s Pro",
    "TECNO B1": "POP 2",
    "TECNO B1S": "POP 2",
    "TECNO BA2": "POP 2 Plus",
    "TECNO B1p": "POP 2 Power",
    "TECNO B1f": "POP 2F",
    "TECNO RA8": "POP 2S",
    "TECNO KB2h": "POP 2s",
    "TECNO BB4": "POP 3 Plus",
    "TECNO BC1s": "POP 4 LTE",
    "TECNO BC3": "POP 4 Pro",
    "TECNO BD4i": "POP 5 LTE",
    "TECNO BD3": "POP 5P",
    "TECNO BE8": "POP 6 Pro",
    "TECNO BE8i": "POP 6 Pro",
    "TECNO LD7": "POVA",
    "TECNO LD7j": "POVA",
    "TECNO LG7n": "TECNO POVA 4",
    "TECNO LE6": "POVA Neo",
    "TECNO LG6n": "POVA Neo 2",
    "TECNO AB7": "Phantom 9",
    "Phantom6-Plus": "Phantom6 plus",
    "TECNO AX8S": "Phantom8S",
    "TECNO PhonePad 3": "PhonePad 3",
    "TECNO PP7E-DLA1": "PhonePad 7 II",
    "TECNO PP7E-SLA1": "PhonePad 7 II",
    "TECNO LA6": "Pouvoir 1",
    "TECNO LA7": "Pouvoir 2",
    "TECNO LA7 Pro": "Pouvoir 2 Pro",
    "TECNO LB7": "Pouvoir 3",
    "TECNO LC6": "Pouvoir 3 Air",
    "TECNO LC6a": "Pouvoir 3 Air",
    "TECNO LC7": "Pouvoir 4",
    "TECNO LC7S": "Pouvoir 4",
    "TECNO LC8": "Pouvoir 4 Pro",
    "TECNO R6": "R6",
    "TECNO RA6": "RA6",
    "TECNO RA7": "R7 4G",
    "TECNO RA6S": "RA6",
    "TECNO S1": "S1",
    "TECNO S1M": "S1",
    "TECNO S1 Pro": "S1 Pro",
    "TECNO S1E Pro": "S1E Pro",
    "TECNO SA1": "S2",
    "TECNO S6": "S6",
    "TECNO S6S": "S6s",
    "TECNO SA1S Pro": "SA1 Pro",
    "TECNO SA6": "SA6",
    "TECNO SA6S": "SA6",
    "TECNO KE5": "SPARK Go 2021(SPARK 6 Go)",
    "TECNO KA7": "SPARK 2",
    "TECNO KA7O": "SPARK 2",
    "TECNO LB6": "SPARK 2 YOUTH",
    "TECNO KB7": "SPARK 3",
    "TECNO KB7j": "SPARK 3",
    "TECNO KB8": "SPARK 3 Pro",
    "TECNO KC8": "SPARK 4",
    "TECNO KC8S": "SPARK 4",
    "TECNO BB4k": "SPARK Go Plus",
    "TECNO KD6": "SPARK 5 Air",
    "TECNO KD6a": "SPARK 5 Air",
    "TECNO KE6": "SPARK 6 Air",
    "TECNO KE6j": "SPARK 6 Air",
    "TECNO KE5j": "SPARK 6 GO",
    "TECNO KE5k": "SPARK 6 Go",
    "TECNO KG8": "SPARK 8 Pro",
    "TECNO Mobile KG8": "SPARK 8 Pro",
    "TECNO KG5q": "SPARK 8C",
    "TECNO KA9": "SPARK CM",
    "TECNO KE5S": "SPARK Go 2020",
    "TECNO K8": "SPARK Pro",
    "TECNO KA6": "SPARK Youth",
    "TECNO KC3": "TECNO CAMON 12 Air",
    "TECNO CC9": "TECNO CAMON 12 Pro",
    "TECNO CD7": "TECNO CAMON 15",
    "TECNO CE9h": "TECNO CAMON 16",
    "TECNO CE9": "TECNO CAMON 16 Premier",
    "TECNO CH9": "TECNO CAMON 18 Premier",
    "TECNO CH9n": "TECNO CAMON 18 Premier",
    "TECNO KB2": "TECNO CAMON iACE 2",
    "TECNO KB2j": "TECNO POP 2s Pro",
    "TECNO Mobile KG6k": "TECNO Mobile SPARK 8",
    "TECNO Mobile KG6p": "TECNO Mobile SPARK 8T",
    "TECNO SC7S": "TECNO POP 2 Air",
    "TECNO B1g": "TECNO POP 2F",
    "TECNO RB8S": "TECNO POP 2X Plus",
    "TECNO BB2": "TECNO POP 3",
    "TECNO BC2": "TECNO POP 4",
    "TECNO BC2c": "TECNO POP 4",
    "TECNO BC1": "TECNO POP 4 Air",
    "TECNO BD2": "TECNO POP 5",
    "TECNO BD2d": "TECNO POP 5",
    "TECNO BD2p": "TECNO POP 5",
    "TECNO BD1": "TECNO POP 5 Go",
    "TECNO BD4": "TECNO POP 5 LTE",
    "TECNO BE7": "TECNO POP 6 Go",
    "TECNO BE6": "TECNO POP 6 Go",
    "TECNO L6502S": "TECNO POP X5",
    "TECNO LE7": "TECNO POVA 2",
    "TECNO LE7n": "TECNO POVA 2",
    "TECNO LF7": "TECNO POVA 3",
    "TECNO LF7n": "TECNO POVA 3",
    "TECNO LG8n": "TECNO POVA 4 Pro",
    "TECNO LE8": "TECNO POVA 5G",
    "TECNO RC6": "TECNO R7+",
    "TECNO KC2": "TECNO SPARK 4",
    "TECNO KC2j": "TECNO SPARK 4",
    "TECNO KC1j": "TECNO SPARK 4 Air",
    "TECNO KC6": "TECNO SPARK 4 Air",
    "TECNO KC6S": "TECNO SPARK 4 Air",
    "TECNO KD7S": "TECNO SPARK 5",
    "TECNO KD7h": "TECNO SPARK 5",
    "TECNO KD7": "TECNO SPARK 5 Pro",
    "TECNO KF6": "TECNO SPARK 7",
    "TECNO KF6h": "TECNO SPARK 7",
    "TECNO KF6i": "TECNO SPARK 7",
    "TECNO KF6j": "TECNO SPARK 7",
    "TECNO KF6k": "TECNO SPARK 7",
    "TECNO KF6ks": "TECNO SPARK 7",
    "TECNO KF6m": "TECNO SPARK 7",
    "TECNO KF6n": "TECNO SPARK 7",
    "TECNO KF6p": "TECNO SPARK 7T",
    "TECNO PR651": "TECNO SPARK 7",
    "TECNO PR651H": "TECNO SPARK 7",
    "TECNO KF8": "TECNO SPARK 7 Pro",
    "TECNO KF7j": "TECNO SPARK 7P",
    "TECNO KG6": "TECNO SPARK 8",
    "TECNO KG6k": "TECNO SPARK 8",
    "TECNO KG7": "TECNO SPARK 8 P",
    "TECNO KG7n": "TECNO SPARK 8P",
    "TECNO KG5j": "TECNO SPARK 8C",
    "TECNO KG6P": "TECNO SPARK 8T",
    "TECNO KG6p": "TECNO SPARK 8T",
    "TECNO KG5p": "TECNO SPARK 9",
    "TECNO KH7n": "TECNO SPARK 9 Pro",
    "TECNO KH6": "TECNO SPARK 9T",
    "TECNO KC1": "TECNO SPARK Go",
    "TECNO KG5": "TECNO SPARK Go 2022",
    "TECNO KG5h": "TECNO SPARK Go 2022",
    "TECNO KG5m": "TECNO SPARK Go 2022",
    "TECNO P704": "TECNO Tab",
    "TECNO P704a": "TECNO Tab",
    "TECNO-W5": "W5",
    "TECNO WX4 Pro S": "WX4 Pro S",
    "TECNO-Y2": "Y3+",
    "TECNO-Y3+": "Y3+",
    "TECNO W5006S": "TECNOPOP 5C",
    "TECNO-L6": "Techno L6",
    "TECNO RB6S": "Tecno pop 2x Air",
    "TECNO W1": "W1",
    "TECNO W2": "W2",
    "TECNO-W3": "W3",
    "TECNO W3 Pro": "W3 Pro",
    "TECNO-W3LTE": "W3LTE",
    "TECNO_W4": "W4",
    "TECNO W5 Lite": "W5 Lite",
    "TECNO WX3": "WX3",
    "TECNO WX3F LTE": "WX3F LTE",
    "TECNO WX3LTE": "WX3LTE",
    "TECNO WX3P": "WX3P",
    "TECNO WX4": "WX4",
    "TECNO WX4 Pro": "WX4 Pro",
    "TECNO-Y3": "Y3",
    "TECNO-Y3S": "Y3S",
    "TECNO-Y4": "Y4",
    "TECNO-Y5": "Y5",
    "TECNO-Y6": "Y6",
    "TECNO i3": "i3",
    "TECNO i3 Pro": "i3-Pro",
    "TECNO i5": "i5",
    "TECNO i5 Pro": "i5-Pro",
    "TECNO i7": "i7",
    "TECNO Mobile CH6i": "CAMON 19 Neo",
    "TECNO Mobile LG6n": "POVA Neo 2",
    "Tecnomaster 4K Android TV": "Tecnomaster",
    "Tecnomaster 2K Android TV": "Tecnomaster",
    "TECTOY_5029Y": "TECTOY ON 128GB",
    "TEENO_S9": "TEENO S9",
    "Teesso X3": "X3",
    "Preo_P2": "Preo P2",
    "A10B": "Clide A10B",
    "Tele2_Maxi": "Maxi",
    "TELE2_Maxi_1_1": "Maxi 1.1",
    "Tele2_Maxi_Plus": "Maxi_Plus",
    "Tele2": "Midi",
    "Tele2_Midi_1_1": "Midi 1.1",
    "Tele2_Midi_LTE": "Midi LTE",
    "Tele2_Mini": "Mini",
    "Tele2_Mini_1.1": "Mini 1.1",
    "Tele2_Mini_1_1": "Mini 1.1",
    "Tele2_Maxi_LTE": "Tele 2 Maxi LTE",
    "Tele2fon v4": "Tele2fon V4",
    "Tele2fon v5": "Tele2fon V5",
    "Telecable ATV": "tedi",
    "SmartTAB 1002": "Essentiel B SmartTab 1002",
    "U680C": "UMX U680C",
    "TE1": "Enjoy TE1",
    "Telemor T9503": "T9503",
    "TADAAM Box": "Tadaam",
    "Infinity_K": "Infinity K",
    "Infinity_a2": "Infinity a2",
    "Infinity_e2": "Infinity e2",
    "Infinity_e3": "Infinity e3",
    "Infinity_k2": "Infinity k2",
    "Infinity i": "Infinity_i",
    "Telenor K530": "K530",
    "Telenor N940": "N940",
    "SmartII": "Smart II",
    "SmartPlusII": "Smart plus II",
    "Telenor_Smart_4G": "Smart4G",
    "Infinity_i4": "V51",
    "DV8919X-EE": "DV8919X-KET",
    "TVB-100": "Telkom",
    "AX117 ATV": "Telkom  Indonesia",
    "TELMA F1+4G": "F1+4G",
    "TELMA IFEEL MAX": "IFEEL MAX",
    "Telma IFeel Max 4G": "IFeel_Max_4G",
    "Telma_Titan_4G": "TITAN",
    "telma i401": "telma_i401",
    "F1 Prime 4G": "Telma_F1Prime4G",
    "TE590P_E": "TE590P",
    "TE590P_O": "TE590P",
    "M1s": "M1",
    "HMB2213PW22TS": "Pik TV Media Box",
    "Teracube One": "Teracube_One",
    "Hudl 2": "hudl 2",
    "hudl ht7s3": "Hudl HT7S3",
    "TECH-TVE19J": "Technika",
    "Tesla 2K Android TV": "EU",
    "Tesla Android TV": "EU、UK、AP",
    "TTM813G": "M8.1 3G",
    "Tesla_SP3.5": "SMARTPHONE3.5",
    "Tesla_SP3_4": "Smartphone 3.4",
    "Tesla L7.1": "Tablet_L7_1",
    "Tesla_SP3.3": "Tesla Smartphone 3.3",
    "Tesla_SP6.3": "Tesla Smartphone 6.3",
    "Tesla_SP9.1L": "Tesla Smartphone 9.1 Lite",
    "Tesla L8.1": "Tesla Tablet L8.1",
    "5014G": "5014G_EEA",
    "Friendly_TH101": "Friendly TH101",
    "HERO10RK": "Hero10RK",
    "PRIMO7": "PRIMO7 Tablet",
    "PRIMO8": "PRIMO8 Tablet",
    "TEO8LTE": "TEO 8",
    "SPTEO10BK16": "TEO10",
    "TEO10S": "THOMSON_TEO10S",
    "TLINK455": "TLink 455",
    "TIS001-T2": "TIS001",
    "TP1060J": "TIME2",
    "TP860B": "TIME2",
    "Infinit_Lite_2": "Infinit Lite 2",
    "Insignia Delta 2": "Timovi",
    "Infinit MX": "Timovi Infinit MX",
    "Infinit_X_CAM": "Timovi Infinit X CAM",
    "Vision_PRO": "Timovi_Vision_PRO",
    "AS_501": "AS-501",
    "Togocel EGO plus": "Togocel EGO plus",
    "Phablet III": "Phablet_III",
    "TL66": "Antares",
    "mdt1060": "Topicon MDT1060",
    "Torex8plus": "Rugged_tablets",
    "AT10-A": "AT10-A/AT15-A (Japan: AT503)",
    "AT502": "AT10-A/AT15-A (Japan: AT503)",
    "AT503": "AT10-A/AT15-A (Japan: AT503)",
    "AT503_HEMS": "AT10-A/AT15-A (Japan: AT503)",
    "Tostab03": "AT100",
    "AT10LE-A": "AT10LE-A/AT15LE-A/AT10PE-A/AT15PE-A  (Japan: AT703)",
    "AT10PE-A": "AT10LE-A/AT15LE-A/AT10PE-A/AT15PE-A  (Japan: AT703)",
    "AT300SE": "AT400",
    "AT374": "AT7-B",
    "A17": "AT7-C",
    "Toshiba TV": "C350LP/C350LI/E350LP/E450LP/C350LT/M550LT",
    "AT270": "JP:REGZA Tablet AT570  Others:TOSHIBA AT270",
    "AT470": "JP:REGZA Tablet AT570  Others:TOSHIBA AT270",
    "AT570": "JP:REGZA Tablet AT570  Others:TOSHIBA AT270",
    "AT300": "JPN:REGZA Tablet AT500  Other countries:TOSHIBA AT300",
    "AT500": "JPN:REGZA Tablet AT500  Other countries:TOSHIBA AT300",
    "AT500a": "JPN:REGZA Tablet AT500  Other countries:TOSHIBA AT300",
    "AT330": "JPN:REGZA Tablet AT830 Other countries:TOSHIBA AT330",
    "AT830": "JPN:REGZA Tablet AT830 Other countries:TOSHIBA AT330",
    "l4300": "L4300",
    "l5400": "L5450ME",
    "l5450": "L5450ME",
    "l3453": "L5450C",
    "l5550": "L5550/L5551/L5552",
    "l9450": "L9450",
    "Toshiba TV with MIC": "M550LP/M550LI",
    "Mozart": "tt300/tt301/tt302",
    "TOSPASB": "STB10",
    "AT1S0": "Thrive 7",
    "2K Toshiba TV": "V35LK",
    "U7900": "laoshan_Toshiba",
    "SmartTV FFM": "taishan-jpT",
    "TM-MID792WP": "TM_MID792WP",
    "TRANSVISION-Xstream": "SEI500TR",
    "TRANSVISION-iTV": "Transvision",
    "S_TAB": "Sapphire Tablet",
    "TrekStor SurfTab breeze 9.6 quad": "SurfTab breeze 9.6 quad",
    "TrekStor SurfTab breeze 9.6 quad 3G": "SurfTab breeze 9.6 quad 3G",
    "st70408_4": "SurfTab xintron i 7.0",
    "st70408_4_coho": "SurfTab xintron i 7.0",
    "Trekstor Surftab Y10": "THMTKAW03232_eea",
    "PEAQ PET 100": "THMTKAW04232_eea",
    "Trend Echo": "ECHO",
    "KID-Tab-7-S03": "KID-Tab-7-S03_EEA",
    "KID_TAB_7_S02": "Retailer Stores",
    "A23 Max": "A23_Max",
    "Trident A75 Pro Max": "A75 Pro Max",
    "MobileMapper50_4G": "MM50",
    "TDC100_4G": "MM50",
    "MobileMapper50_WiFi": "TDC100_WiFi",
    "PD5": "MobileDisplayTerminal",
    "TD520": "TD-520",
    "TDC500": "TDC500 Handheld",
    "MobileMapper60": "TDC600/MM60",
    "TDC600": "TDC600/MM60",
    "TDC800": "TDC800 Handheld",
    "Rugged Tablet": "TDI 600",
    "TRIO-7.85": "7.85",
    "Trio 7.85 vQ": "7.85 vQ",
    "Trio AXS 3G": "AXS 3G",
    "Trio MINI": "MINI",
    "Trio-Stealth-G4-7": "Stealth G4 7",
    "Trio-Stealth G4 10.1": "Stealth-G4-101",
    "Trio-Stealth-G4-7.85": "Stealth-G4-7.85",
    "Alpha 5G": "Alpha_5G",
    "SMART 4G GEN C 4.0": 'SMART 4G GEN C 4.0"',
    "SMART 4G GEN C 5.0": 'SMART 4G GEN C 5.0"',
    "SMART 4G GEN C 5.5": "SMART_4G_GEN_C_5.5",
    "SMART Champ 4.0": "SMART_Champ_4inch",
    "HPH07": "TrueID TV",
    "STI6030_TRUE_TV_A01": "STI6030_TRUE_TV_A01",
    "StarTrail TT": "Star Trail by TT",
    "TURBO-X Android TV": "EU、UK、AP",
    "TURBO-X FHD Android TV": "Greece",
    "TURBO-X UHD Android TV": "Greek and Bulgarian",
    "Fire_II_WiFi": 'Turbo-X Fire II (2GB) Tablet 10.1" WIFI',
    "Monsterpad 3G": "Monsterpad_3G",
    "Turbokids Star": "TurbokidsStarA100",
    "TN800A1": "TurboTab E1",
    "Dream": "DARKFULL",
    "TurboX_Ray": "TurboX",
    "TurboPadPro": "Turbopadpro",
    "Tvera 4K Android TV": "Tvera",
    "TVSTAR 4K Android TV": "TVSTAR",
    "UBC Android TV": "Vietnam",
    "KIDS705-701": "KIDS705_701",
    "K7pro": "K7_PRO",
    "W7": "W7_Q_EEA",
    "UNIWA M101": "M101",
    "QOOQ-V41": "QOOQ",
    "QOOQ-V50": "UNOWHY",
    "SQOOL-V41": "UNOWHY",
    "Y10 Premium": "Y10_Premium",
    "iRULU X11": "IRULU X11",
    "iRULU_V3": "iRULU V3",
    "USP-201901": "USP- 201901",
    "Armor 11 5G": "Armor_11_5G",
    "Armor 11T 5G": "Armor_11T_5G",
    "Armor_2": "Armor 2",
    "Armor_2S": "Armor 2S",
    "Armor_6": "Armor6",
    "Armor 9E": "Armor_9E",
    "Armor_X": "Armor X",
    "Armor X5": "Armor_X5",
    "Armor X8": "Armor_X8_R_EEA",
    "Armor X9": "Armor_X9",
    "Ulefone_Armor_5": "Armor_5",
    "Armor 5S": "Armor_5S",
    "Armor 7E": "Armor_7E",
    "MIX_S": "MIX S",
    "Note_7P": "Ulefone_Note_7",
    "Note 7T": "Note_7T_EEA",
    "Power_2": "Power 2",
    "Power_3": "Power_3_EEA",
    "Power_3S": "Power 3S",
    "Power_5": "Power 5",
    "Power_5S": "Power 5S",
    "Power Armor14 Pro": "Power Armor 14 Pro",
    "Power_3L": "Power_3L_EEA",
    "Power_6": "Power_6_EEA",
    "S11 Pro": "S11_Pro",
    "Ulefone S7": "Ulefone_S7",
    "Ulefone S8": "S8_",
    "Ulefone_Note 7": "Ulefone_Note_7",
    "Ulefone_S11": "Ulfone_S11",
    "VisionBook_10Qa_3G": "10Qa_3G",
    "7A_Plus": "7A_Plus_eea",
    "8A_Plus": "8A_Plus_eea",
    "8Qa_3G": "MediaTek",
    "T8_3G": "T8_3G_eea",
    "UMAX 4K Android TV": "UMAX",
    "visionbook P55 LTE": "UMAX",
    "UMAX4KAndroidTV": "Umax",
    "VisionBook_P50Plus_LTE": "VisionBook P50 Plus LTE",
    "VB_10Q_Plus": "VisionBook10Q",
    "VisionBook P55 LTE Pro": "VisionBook_P55_LTE_Pro",
    "A11 Pro Max": "A11 Pro Max EEA",
    "MP01": "A11S EEA",
    "MT01": "A11_Tab-EEA",
    "MP05": "A13S EEA",
    "MP03": "A13 Pro 5G EEA",
    "MP04": "A13 Pro Max 5G",
    "A3S": "A3S_EEA",
    "A5_Pro": "A5 Pro",
    "A7 Pro": "A7 Pro EEA",
    "A7S": "A7S EEA",
    "A9 Pro": "A9 Pro_EEA",
    "MT03": "AblePad S EEA",
    "MT04": "AblePad_Pro",
    "BISON": "BISON R EEA",
    "RP04": "BISON 2 EEA",
    "BISON GT": "BISON_GT",
    "BISON Pro": "BISON_Pro_TR",
    "RP01": "BISON_X10_TR",
    "RP05": "BISON X10S NFC",
    "RP03": "BISON_GT2",
    "RP02": "BISON_GT2_5G",
    "MP09": "F3S EEA",
    "MP13": "F3_5G",
    "AblePad": "MT02_ROW",
    "One Max": "One Max RU",
    "MP02": "Power 5S TR",
    "MP06": "Power 7S EEA",
    "S2_PRO": "S2PRO",
    "S5 Pro": "S5_Pro_EEA",
    "MP07": "UMIDIGI C1 EEA",
    "MP08": "UMIDIGI G1 EEA",
    "Z2_PRO": "Z2 Pro",
    "UMIX LITE L": "Lite L",
    "UMIX LITE M": "Lite M",
    "UMIX LITE XL": "Lite XL",
    "UMIX VINCI M": "Vinci M",
    "UNIA62_S01": "TickTock-E",
    "Unionaire Android TV 2K": "Africa",
    "Unionaire Android TV": "UnionaireATV4K",
    "UNI_GO": "UNI GO",
    "UT30": "UT30_EEA",
    "PA760": "PA760_FP",
    "Premier55": "UNO_Premier55",
    "UNONU N63": "N63A",
    "U4001": "UNONU U4001",
    "X5C": "UNONU X5C",
    "UNONU N55S": "UNONU_N55S",
    "UT3G": "UT3GPlus",
    "W55_PLUS": "W55_PLUS_B18",
    "UNONU W57A": "W57A",
    "UNONU X4G": "X4G",
    "DT20": "DT20_RU",
    "DT20_Pro": "DT20 Pro",
    "UH0342": "UH0342  UHTABLET10.1INCH",
    "ROCKY T2": "T2",
    "V7 Zyro": "Zyro",
    "JCI VA-10J": "VA-10J",
    "VRS6 Plus": "VRS6_Plus",
    "VIMOQ A507LD": "VIMOQ  AC50",
    "VIMOQ A507LE": "VIMOQ V51 LTE",
    "VIMOQ A512WS": "itel A18",
    "Z08MK": "VIPER-Z08MK",
    "E10_EEA": "VIVIMAGE_E10_EEA",
    "VNTTab2": "VNPTTechnology",
    "Volentex_101": "M10",
    "NEXO TAB 70": "NEXO-TAB-70",
    "Nexo-TAB-7": "Nexo TAB 7",
    "S7-classic": "S7-classic-10",
    "SmartTV": "MB300",
    "VK802W": "VK802W",
    "VucaPad_N20_LTE_JP": "Vucatimes",
    "M10Pro": "M10 Pro",
    "KingPad_SA8_EEA": "KindPad_SA8_EEA",
    "KingPad_Z10Mini": "KingPad_Z10Mini_EEA",
    "VEGA FHD Android TV": "Tunisa, Europe and Algeria",
    "VEGA UHD Android TV": "Tunisa, Europe and Algeria",
    "T20_Play": "T20_Play_EEA",
    "CT9A06P23": "CT9A06P23_eea",
    "CT9A03W23": "Mariner 10 Pro",
    "VCT9B06Q22": "VCT9B06Q22_eea",
    "VCT9F78Q22EU": "VCT9F78Q22EU_eea",
    "VCT9T48Q34EU": "VCT9T48Q34EU_eea",
    "V5_Plus_Lite": "V5Plus Lite",
    "VEON 4K Android TV": "VEON",
    "VEON 2K Android TV": "VEON",
    "WTVIS01": "Visible Midnight",
    "QTAIR7": "Ellipsis 10",
    "QMV7A": "Ellipsis 7 (QMV7A)",
    "QMV7B": "Ellipsis 7 (QMV7B)",
    "QTAQZ3": "Ellipsis 8",
    "QTASUN1": "Ellipsis 8 HD",
    "QTASUN2": "Gizo Tab",
    "QTAXIA1": "Ellipsis ® 10 HD",
    "vernee_M5": "M5",
    "Impress_Calypso": "Calypso",
    "Vertex_Click_M_4095_4G": "Click_M_4095_4G",
    "Impress_Action": "Impress Action",
    "IMPRESS CLICK": "Impress Click (3G)",
    "Impress_Cube": "Impress Cube",
    "Impress_Dune": "Impress Dune",
    "Impress_Eagle": "Impress Eagle",
    "IMPRESS ECLIPSE": "Impress Eclipse (4G)",
    "Impress_Fire": "Impress Fire",
    "Impress_Forest": "Impress Forest",
    "Impress_Fortune": "Impress Fortune",
    "Impress_Grip": "Impress Grip",
    "Impress_Groove": "Impress Groove",
    "Impress_Life": "Impress Life",
    "Impress_Lightning": "Impress Lightning",
    "Impress_Lion_3G": "Impress Lion (3G)",
    "Impress_Lion_4G": "Impress Lion (4G)",
    "Impress_Lotus": "Impress Lotus",
    "Impress_Luck": "Impress Luck",
    "Impress_Phonic": "Impress Phonic",
    "Impress_Play": "Impress Play (4G)",
    "Impress_Ra": "Impress Ra (4G)",
    "Impress_Razor": "Impress Razor",
    "Impress_Reef": "Impress Reef",
    "Impress_Saturn": "Impress Saturn",
    "Impress_Spring": "Impress Spring (4G)",
    "Impress_Stone": "Impress Stone",
    "Sun": "Impress Sun",
    "Tiger": "Impress Tiger",
    "Impress_Tor": "Impress Tor",
    "Impress_Vega": "Impress Vega (4G)",
    "Impress_Win": "Impress Win",
    "Impress Disco": "Impress_Disco",
    "Impress_Eagle4G": "Impress_Eagle_4G",
    "Luck L130": "Luck_L130",
    "Vertex_Luck_L_5045_3G": "Luck_L_5045_3G",
    "Vertex_Luck_L_5045_4G": "Luck_L_5045_4G",
    "Pro_P310_4G": "Pro_P300_4G",
    "G1701": "S1",
    "smart_touch": "Smart Touch",
    "TAB X10": "TAB-X10",
    "TAB X8": "TAB-X8",
    "Tab 4G 10-1": "Tab_4G_10_1",
    "Tab 4G 8-1": "Tab_4G_8-1",
    "Tab_3G_7-1": "Vertex Tab 3G 7-1",
    "Tab 3G 7-2": "Vertex Tab 3G 7-2",
    "wolverine12": "Wolverine12",
    "wolverine7": "Wolverine7",
    "ASTER P": "ASTER  P",
    "CONSTELLATION X": "Constellation X",
    "Signature Touch L": "Signature Touch",
    "VERTU Ti": "Ti",
    "verykoolSL5050": "SL5050",
    "verykoolSL5200": "SL5200",
    "verykoolSL5560": "SL5560",
    "verykoolT7445": "T7445",
    "verykool Luna II S4513": "s4513",
    "verykoolS5007": "s5007",
    "verykool Wave Pro s5021": "s5021",
    "verykoolS5021": "s5021",
    "verykoolS5027": "s5027",
    "verykoolS5028": "s5028",
    "verykools5034": "s5034",
    "verykools5035": "s5035",
    "verykools5204": "s5204",
    "verykools5526": "s5526",
    "verykools5527": "s5527",
    "verykools5528": "s5528",
    "verykools5036": "verykool s5036",
    "verykools5037": "verykool s5037",
    "s6005X": "verykool s6005x",
    "verykools6005X": "verykool s6005x",
    "verykools5019": "verykoolS5019",
    "Vestel_5000": "5000",
    "Vestel_5000_Dual": "5000",
    "Vestel_5530": "5530",
    "Vestel_5530_Dual": "5530",
    "VTAB7LITEII": 'V TAB 7" LITE II',
    "V_TAB_7_LITE_II": "V TAB 7'' LITE II",
    "V_TAB_7011": "V TAB 7011",
    "V_TAB_7015": "V TAB 7015",
    "V_TAB_7020": "V TAB 7020",
    "V_TAB_7020A": "V TAB 7020A",
    "V_TAB_7020B": "V TAB 7020B",
    "V_TAB_7025": "V TAB 7025",
    "V_TAB_7810": "V TAB 7810",
    "V_TAB_8010": "V TAB 8010",
    "VT97PRO": "V TAB 9.7'' PRO",
    "V3_5580_Dual": "V3 5580 Dual",
    "10.1Myros": "VP100+",
    "VP73_Hyundai": "VP73",
    "VP73_Myros": "VP73",
    "VP73_Vox": "VP73",
    "VP73_le": "VP73",
    "VP74-Celcus": "VP74",
    "VP74-Finlux": "VP74",
    "VP74-Luxor": "VP74",
    "VP74-Orava": "VP74",
    "VP74-Telefunken": "VP74",
    "VP74-Vox": "VP74",
    "S TAB 10'' II": "VT10E2",
    "V TAB 10'' LITE": "VT10E2",
    "V TAB 7.85'' LITE": "VT785P2",
    "VT785P2-Celcus": "VT785P2",
    "VT785P2-Cleverpad": "VT785P2",
    "VT785P2-Finlux": "VT785P2",
    "VT785P2-Vestel": "VT785P2",
    "V_TAB_1040": "VTAB 1040",
    "V_TAB_7040": "VTAB 7040",
    "V_TAB_8059": "VTAB 8059",
    "V_TAB_1049": "VTAB1049",
    "V_TAB_1050": "VTAB1050",
    "V_TAB_1069": "VTAB1069",
    "V TAB Z1 A": "VTABZ1A",
    "V Tab Z2 LTE A": "VTABZ2A",
    "Venus e5": "Venus E5",
    "Venus GO": "Venus Go",
    "Venus_V3_5020": "Venus V3 5020",
    "Venus_V3_5030": "Venus V3 5030",
    "Venus_V3_5040": "Venus V3 5040",
    "Venus_V3_5070": "Venus V3 5070",
    "Venus_V3_5570": "Venus V3 5570",
    "Venus_V3_5580": "Venus V3 5580",
    "V6S": "Venus V6 S",
    "Venus Z20": "Vestel Z20",
    "Venus_V3_5010": "venus_v3_5010",
    "NEW 20": "NEW_20",
    "NEW 5": "New 5",
    "Ocean 6": "OCEAN 6",
    "Ocean_8": "Ocean 8",
    "Ocean_9": "Ocean 9",
    "Venture V12": "VENTURE V12",
    "V TAB 2": "VTAB2_3G",
    "i_Smart": "i Smart",
    "VPhone 22": "VPhone_22",
    "EGO plus": "EGO_plus",
    "VIDA-V401": "V401",
    "VIDA_i512": "VIDA - i512",
    "VIDA-i401": "i401",
    "Viewphone Q5": "Q5",
    "VIEWPAD_AW7M_PLUS": "VIEWSONIC",
    "VSD241": "VSD241 Smart Display",
    "VIEWPAD I7M": "ViewPad I7M",
    "IR7Q": "ViewPad IR7Q",
    "ViewPad M10-2/32": "ViewPad_M10_2_32",
    "ViewPad M7-2/32": "ViewPad_M7_2_32",
    "vsi7q_1": "ViewPadi7Q",
    "vsi7q_1_coho": "ViewPadi7Q",
    "vsi8q_1": "ViewPadi8Q",
    "vsi8q_1_coho": "ViewPadi8Q",
    "Vision FHD Android TV": "Bangladesh",
    "Vision Android TV": "EU、UK、AP",
    "Vision Touch Inspire": "Inspire",
    "VisionTouchLife": "Life",
    "Elite10QI": "Prestige Elite10QI",
    "Elite10QL": "Prestige Elite10QL",
    "Elite10QS": "Prestige Elite10QS",
    "Elite11Q": "Prestige Elite11Q",
    "Elite13Q": "Prestige Elite13Q",
    "Elite7QL": "Prestige Elite7QL",
    "Elite7QS": "Prestige Elite7QS",
    "Elite8QI": "Prestige Elite8QI",
    "Elite8QL": "Prestige Elite8QL",
    "Elite9QL": "Prestige Elite9QL",
    "Prime10ES": "Prestige Prime10ES",
    "Prime10SE": "Prestige Prime10SE",
    "Prime11E": "Prestige Prime11E",
    "Zero_Spin": "Zero Spin",
    "EV7_Play": "EV7 Play",
    "EV7_Pro": "EV7 Pro",
    "SMART_EV5": "SMART EV5",
    "FUN_S20": "FUN S20",
    "VIVAX TPC-102 4G": "TPC-102_4G_eea",
    "FUN S1": "VIVAX Fun_S1",
    "VIVAX_Point_X2_Lite": "VIVAX Point X2 Lite",
    "vivo 1601": "1601",
    "vivo 1713": "1601",
    "vivo 1609": "1609",
    "vivo Y13iL": "PD1304DL",
    "vivo Y923": "PD1419V",
    "vivo PD1612": "PD1612",
    "vivo Y67": "Y67",
    "V2153": "T1",
    "V2154": "Y55",
    "V2168": "T1",
    "V2150": "T1 5G",
    "V2151": "T1 Pro 5G",
    "V2180GA": "U5x",
    "vivo V1": "V1",
    "V1818CA": "Y93标准版 64G",
    "V1821A": "V1821BA",
    "V1901A": "V1901K",
    "V1938T": "V1938A",
    "vivo Y37": "V1Max",
    "V2019A": "V2002A",
    "V2031": "V2036",
    "V2052": "V2054",
    "V2061": "V2108",
    "V2136": "V2110",
    "V2164A": "Y55s",
    "V2202": "V25",
    "V2228": "V25",
    "V2158": "V25 Pro",
    "V2201": "V25e",
    "V2209": "V25e",
    "vivo V3": "V3",
    "vivo V3Lite": "V3Lite",
    "vivo PD1524B": "V3M A",
    "vivo V3Max": "V3Max",
    "vivo V3Max+ A": "V3Max + A",
    "vivo PD1523A": "V3Max A",
    "vivo V5Plus": "V5Plus",
    "vivo 1851": "V9 Pro",
    "vivo X5": "X5",
    "vivo 2004": "X50",
    "vivo 2006": "X50 Pro",
    "vivo X5M": "X5M",
    "vivo X5Max": "X5Max",
    "vivo X5Max S": "X5Max S",
    "vivo X5MaxV": "X5MaxV",
    "vivo X5Pro": "X5Pro",
    "vivo X5Pro D": "X5Pro D",
    "vivo X5Pro V": "X5Pro V",
    "vivo PD1415A": "X6A",
    "vivo X6D": "X6D",
    "vivo PD1515A": "X6Plus A",
    "vivo PD1501D": "X6Plus D",
    "vivo X6S A": "X6S A",
    "vivo PD1515BA": "X6SPlusA",
    "vivo X7": "X7",
    "vivo X7Plus": "X7Plus",
    "V2144": "X80",
    "V2208": "X80 Lite  5G",
    "V2145": "X80 Pro",
    "vivo X9": "X9",
    "vivo X9i": "X9i",
    "vivo PD1522A": "Xplay5A",
    "vivo Xplay5A": "Xplay5A",
    "vivo Xplay6": "Xplay6",
    "V2166": "Y01A",
    "V2203": "Y02s",
    "V2229": "Y02s",
    "vivo Y15": "Y15",
    "V2212": "Y15C",
    "vivo Y15S": "Y15S",
    "V2204": "Y16",
    "V2214": "Y16",
    "vivo 1902": "vivo 2010",
    "vivo Y21": "Y21",
    "V2149": "Y21A",
    "vivo Y21L": "Y21L",
    "V2206": "Y22s",
    "vivo Y27": "Y27",
    "V2160": "Y30 5G",
    "vivo Y31": "Y31i",
    "vivo Y31L": "Y31L",
    "vivo 1707": "Y31i",
    "vivo Y31i": "Y31i",
    "vivo Y33": "Y33",
    "vivo Y35": "Y35",
    "V2205": "Y35",
    "vivo Y35A": "Y35A",
    "vivo Y51": "Y51",
    "vivo Y51A": "Y51A",
    "vivo 1606": "Y53",
    "vivo PD1628": "Y53L",
    "vivo 1603": "Y55",
    "vivo Y55": "Y55A",
    "vivo 1610": "Y55s",
    "vivo Y66": "Y66",
    "vivo 1801": "Y71",
    "vivo PD1708": "Y79A",
    "vivo Y79A": "Y79A",
    "vivo Y937": "Y937",
    "V1818BA": "Y93标准版 64G",
    "V1813A": "Z3i",
    "vivo Z1": "Z1",
    "vivo 1951": "Z1 Pro",
    "V2217A": "iQOO 10",
    "V2218A": "iQOO 10 Pro",
    "I2022": "iQOO 9 Pro",
    "I2019": "iQOO 9 SE",
    "I2201": "iQOO 9T",
    "V2154A": "iQOO Neo5S",
    "V2196A": "iQOO Neo6",
    "V2199A": "iQOO Neo6 SE",
    "I2018": "iQOO Z5",
    "V2188A": "iQOO Z5 6000mAh",
    "I2203": "iQOO Z6",
    "I2206": "iQOO Z6",
    "I2208": "iQOO Z6 Lite 5G",
    "I2126": "iQOO Z6 Pro",
    "V2164KA": "iQOO Z6x",
    "vivo X21i A": "vivo  X21i  A",
    "vivo Y75s": "vivo  Y75s",
    "vivo Y85A": "vivo  Y85A",
    "V1832A": "vivo 1818",
    "vivo 2007": "vivo 1906",
    "V1831A": "vivo S1",
    "V2207A": "vivo S15 Pro",
    "V2199GA": "vivo T2",
    "V2178A": "vivo X Fold",
    "V2229A": "vivo X Fold+",
    "V2170A": "vivo X Note",
    "vivo PD1709": "vivo X20",
    "vivo X20A": "vivo X20",
    "vivo PD1710": "vivo X20Plus",
    "vivo X20Plus A": "vivo X20Plus",
    "vivo PD1721": "vivo X20Plus UD",
    "V2114": "vivo X70 Pro+",
    "V2183A": "vivo X80",
    "V2185A": "vivo X80 Pro",
    "V2186A": "vivo X80 Pro 天玑9000版",
    "vivo PD1616B": "vivo X9s",
    "vivo PD1635": "vivo X9s Plus",
    "V2207": "vivo Y22",
    "vivo 1719": "vivo Y65",
    "V2069BA": "vivo Y75s",
    "V2219A": "vivo Y77",
    "vivo Y89": "vivo Z1i",
    "VAP430": "StreamPlayer",
    "VK4000": "VK400",
    "Vodafone 785": "785",
    "VF-895N": "895",
    "GigaTV": "GigaTV Net",
    "Vodafone Smart Tab 4": "Smart Tab 4",
    "VFD 1300": "Smart Tab N8",
    "VFD 300": "Smart mini 7",
    "VFD 301": "Smart mini 7 dual",
    "VFD 900": "Smart platinum 7",
    "VFD 600": "VDF 600",
    "VFD 501": "Smart turbo 7",
    "VFD 502": "Smart turbo 7 dual",
    "Maxis VFD700": "Smart ultra 7",
    "VFD 620": "Smart_N9_Lite",
    "Vodafone Smart Tab 3G": "Smart_Tab_3G",
    "Vodafone Smart Tab 4G": "Smart_Tab_4G",
    "VFD 1400": "Tab Prime 7",
    "VFD1400": "Tab Prime 7",
    "VFD 1100": "Tab mini 7",
    "Vodacom Power Tab 10": "VF-1296",
    "Vodafone Tab grand 6": "VF-1296",
    "VFD 100": "Vodacom Kicka VE",
    "VFD 525": "Vodacom Smart 4G",
    "VFD 510": "Vodafone Smart E8",
    "VFD 511": "Vodafone Smart E8",
    "VFD 512": "Vodafone Smart E8",
    "VFD 513": "Vodafone Smart E8",
    "VFD 527": "Vodafone Smart E9",
    "VFD 528": "Vodafone Smart E9",
    "VFD 529": "Vodafone Smart E9",
    "VFD 630": "Vodafone Smart N10",
    "VFD 730": "Vodafone Smart V10",
    "VFD 820": "Vodafone Smart X9",
    "Vodafone 875": "Vodafone Smart mini",
    "VFD 310": "Vodafone Smart mini 7 ve",
    "VFD 311": "Vodafone Smart mini 7 ve dual",
    "Volvo XC40": "Volvo XC40 Emulator",
    "Epic_P7": "Epic P7",
    "Jax X": "Jax_X_TM",
    "JAX_N": "Jax_N",
    "Jax_S_A7": "Jax_S",
    "Magnet M1": "Magnet_M1",
    "Magnet_G30": "Magnet_G30_EEA",
    "Navo_P": "Navo  P",
    "Navo_QS": "Navo QS",
    "Pluri_M7": "Pluri M7 A6",
    "Pluri_Q8": "Pluri Q8 TM",
    "Pluri G7": "Pluri_G7",
    "Volt_S_A7": "Volt_S",
    "Xylo P": "Xylo  P",
    "Xylo X": "Xylo_X_TM",
    "Xylo": "Xylo_Z",
    "ZUN XO": "ZUN XO A6",
    "Zun X": "Zun X A6",
    "Jax_S": "jax_S",
    "BEAT 8": "Beat 8",
    "VOTO V2i": "VOTO V2i`",
    "VOTO V5X": "Voto V5X",
    "V340U": "AT&T Fusion Z",
    "V341U": "Hobson",
    "MARS TOUCH": "MARS  Touch",
    "MARS NOCAM": "MARS Nocam",
    "MARS NOTE": "MARS Note",
    "SATURN SELFIE": "SATURN Selfie",
    "VU SMART TV": "43GloLED",
    "VU TV FFM": "50CLED/55CLED/65CLED",
    "Smart 2K ATV4": "fushan_vu",
    "7LV": "Vue7LV",
    "81V": "Vue81V",
    "Hyundai_Eternity_G57": "Eternity_G57",
    "HT0704W08": "Koral 7W4",
    "VT0701A08": "Pulse 7",
    "VT0702A16": "Pulse 7S",
    "VR5014": "TEMPO R14",
    "VS4011": "TEMPO S11",
    "VS5012": "TEMPO S12",
    "VS5513": "TEMPO S13",
    "VS5016": "TEMPO S16",
    "VP5004A": "Tempo 5",
    "VT1002A16": "Vulcan Rhyme 10A",
    "VT1003J16": "Vulcan Rhyme 10J",
    "VT0703C16": "Vulcan Rhyme 7C",
    "VR5533": "Vulcan VR5533",
    "VR6031": "Vulcan VR6031",
    "VR6032": "Vulcan VR6032",
    "MAX 7": "Max 7",
    "MAX 7i": "Max 7i",
    "WILLETT FHD Android TV": "India",
    "WILLETT UHD Android TV": "India",
    "WOM": "SEI500W",
    "W500_EEA": "W500 _EEA",
    "Surftab WAF": "THMTKAW01216_eea",
    "Primo GH10": "PRIMO GH10",
    "PRIMO EF10": "PRIMO_EF10",
    "PRIMO RX8": "PRIMO_RX8",
    "PRIMO RX9": "PRIMO_RX9",
    "Primo S7": "PRIMO_S7",
    "PRIMO S8": "PRIMO_S8",
    "PRIMO ZX4": "PRIMO_ZX4",
    "PRIMO E10": "Primo E10",
    "Primo E10 Plus": "Primo E10 PlUS",
    "Primo GM3 plus": "Primo GM3+",
    "Primo H6 Plus": "Primo H6+",
    "PRIMO N4": "Primo N4",
    "Primo_NF4_2GB": "Primo NF4",
    "PRIMO NH5": "Primo NH5",
    "PRIMO NH6": "Primo NH6",
    "Primo_NX3": "Primo NX3",
    "Primo_S5": "Primo S5",
    "Primo S7 Pro": "Primo S7  Pro",
    "Primo_ZX2": "Primo ZX2",
    "Primo EF9": "Primo_EF9",
    "Primo RM3": "Primo_RM3",
    "Primo S6 Dual": "Primo S6 Dual",
    "Walpad_10H": "WALPAD 10H",
    "WALPAD8G": "WALPAD 8G",
    "WALPAD_8G": "WALPAD 8G",
    "WV10Q": "Wave_8_10",
    "WV8R_N": "WV8R-N",
    "WeTap_Y10": "WeTap_Y10_EEA",
    "Play": "ZATEC_Play",
    "WEIMEI_NEON2": "WEIMEI NEON2",
    "weplus_3": "weplus 3",
    "T801": "Westgate_T801",
    "Widevu UHD Android TV": "Korea",
    "BARRY": "Barry",
    "W_C800S": "C800",
    "X-tremer": "DARKNIGHT",
    "Ridge 4G-Fever": "FEVER",
    "W-U300": "Gallardo",
    "W-V600": "Tommy3 Plus",
    "Cynus F4": "IGGY",
    "Golf": "IGGY",
    "W-K420-TVM": "Jerry4",
    "W_K300S": "K300S",
    "W-P311-EEA": "View3",
    "SLIDE2": "PULP FAB",
    "W-V745-EEA": "Power U10",
    "W-V745-OPE": "Power U10",
    "W-V745-TVM": "Power U10",
    "W-V750BN-EEA": "Power U20",
    "W-V750BN-OPE": "Power U20",
    "W-V750BN-TVM": "Power U20",
    "W-V755-EEA": "Power U30",
    "W-V755-OPE": "Power U30",
    "W-V755-TVM": "Power U30",
    "RAINBOW JAM 4G": "RAINBOW LITE 4G",
    "RIDGE": "RIDGE",
    "Sunny3": "W_K120",
    "W-K130-TMV": "Sunny4",
    "W-K380-TH": "Sunny5",
    "W-K380-TVM": "Sunny5",
    "W-K380-TVM2G": "Sunny5",
    "W-K211-TH": "Sunny5 Lite",
    "W-K211-TVM": "Sunny5 Lite",
    "WIKO T10": "T10",
    "W-V770": "T3",
    "WIKO T50": "T50",
    "TONE e19": "Tone E19",
    "SUGAR Y7 MAX": "U FEEL FAB",
    "SUGAR Y8": "U FEEL FAB",
    "Wiko U520AS": "U520AS",
    "W-P311-OPE": "VIEW3",
    "W-P311-TVM": "VIEW3",
    "W-P311-CA": "View3",
    "W-P311-JP": "View3",
    "W-V800-CA": "View3 Lite",
    "W-V800-DU": "View3 Lite",
    "W-V800-EEA": "View3 Lite",
    "W-V800-OPE": "View3 Lite",
    "W-V800-TIM": "View3 Lite",
    "W-V800-TVM": "View3 Lite",
    "W-P611-EEA": "View3 Pro",
    "W-P611-OPE": "View3 Pro",
    "W-P611-TVM": "View3 Pro",
    "W-V830-EEA": "View4",
    "W-V830-ID": "View4",
    "W-V830-OPE": "View4",
    "W-V730-EEA": "View4 Lite",
    "W-V730-ID": "View4 Lite",
    "W-V730-OPE": "View4 Lite",
    "W-V730-TVM": "View4 Lite",
    "W-V851-EEA": "View5",
    "W-V851-OPE": "View5",
    "W-V851-TVM": "View5",
    "W-V850-EEA": "View5 Plus",
    "W-V850-OPE": "View5 Plus",
    "VHEM": "WIKO 10",
    "U616AT": "WIKO VOIX",
    "Wiko U316AT": "Wiko Life 3",
    "Wiko U614AS": "Wiko Ride 3",
    "W-K130-BYT": "Y50",
    "W-K130-EEA": "Y50",
    "W-K130-OPE": "Y50",
    "W-K420-EEA": "Y50",
    "W-K211-EEA": "Y51",
    "W-K211-OPE": "Y51",
    "W-K521-EEA": "Y52",
    "W-K521-OPE": "Y52",
    "W-K510-BYT": "Y60",
    "W-K510-EEA": "Y60",
    "W-K510-OPE": "Y60",
    "W-K510-SFC": "Y60",
    "W-K510-SUN": "Y60",
    "W-K510-TVM": "Y60",
    "W-K510S-OPE": "Y60",
    "W-K510S-SWI": "Y60",
    "W-K510-TH": "Y60",
    "W-K560-EEA": "Y61",
    "W-K560-ID": "Y61",
    "W-K560-OPE": "Y61",
    "W-K560-TVM": "Y61",
    "W-K560-TVM1G": "Y61",
    "W-K610-EEA": "Y62",
    "W-K610-OPE": "Y62",
    "W-K610-TVM": "Y62",
    "W-K610-FRA": "Y62 Plus",
    "W-K610-SUI": "Y62 Plus",
    "W-V720-CA": "Y80",
    "W-V720-EEA": "Y80",
    "W-V720-OPE": "Y80",
    "W-V720-SUN": "Y80",
    "W-V720-TVM": "Y80",
    "W-V680-EEA": "Y81",
    "W-V680-ID": "Y81",
    "W-V680-OPE": "Y81",
    "W-V680-SUN": "Y81",
    "W-K630-EEA": "Y82",
    "W-K630-OPE": "Y82",
    "W-K630-TRU": "Y82",
    "W-K630-TVM": "Y82",
    "W-K360-TV": "sunny4 Plus",
    "Wileyfox Spark": "Spark Add-X",
    "Wileyfox Spark +": "Spark Add-X",
    "Wileyfox Spark X": "Spark X Add-X",
    "Wileyfox Storm": "Storm",
    "Wileyfox Swift": "Swift",
    "Swift 2 Plus": "Swift2 Add-X",
    "Swift 2 X": "Swift 2",
    "Wileyfox Swift 2 Plus": "Swift 2",
    "W4": "W4 EEA",
    "Wink_City_S": "City S",
    "Wink Glory SE": "Glory_SE",
    "Wink_Share_SE": "Share SE",
    "Wink World SE": "World SE",
    "TIGER X4": "Tiger X4",
    "TIGER_X10": "Tiger_X10",
    "H10_EEA": "H10",
    "H10Pro": "H10Pro_eea",
    "H7_EEA": "H7",
    "H8_EEA": "H8",
    "T10LTE": "T10LTE_eea",
    "T113": "T113_eea",
    "TS7_EEA": "TS7",
    "K702": "WINTOUCH_K702",
    "Tech A1": "Tech-A1",
    "IRAI1705": "IRA",
    "WIZ Arc 8": "Arc8",
    "Slate 10": "Slate10",
    "BP-1001": "WoongjinThinkbig",
    "Woxter_N70": "Woxter",
    "A20S PRO": "A20S_PRO",
    "Hope10 Mate": "Hope10_Mate",
    "Hope10 Plus": "Hope10_Plus",
    "Hope10 Pro": "Hope10_Pro",
    "Hope7 LTE": "Hope7_LTE",
    "Hope7 Max": "Hope7_Max",
    "X-TIGI_JOY10 Mate": "JOY10_Mate",
    "X_TIGI_JOY7_Mate": "JOY7_Mate",
    "X_TIGI_JOY7_TV": "JOY7_TV",
    "X-TIGI_JOY8 Mate": "JOY8_Mate",
    "Kids7 Pro": "Kids7_Pro",
    "X-TIGI_Kids8 Pro": "Kids8 Pro",
    "Photo_P15_Lite": "Photo P15 Lite",
    "V12": "X-TIGI_V12",
    "X_TIGI_V18": "V18",
    "X-TIGI_V21": "V21",
    "X-TIGI_V28": "V28",
    "X-TIGI_V28 LTE": "V28 LTE",
    "X-TIGI_V3+": "V3+",
    "X_TIGI_Photo P16": "X-TIGI P16",
    "X_TIGI_V19": "X-TIGI V19",
    "Proton_Amber_HD": "PROTON_AMBER_HD",
    "X-ViewTablet7": "X-View",
    "X-ViewTablet": "X_ViewTablet10",
    "XM-SW1": "X-mobile SmartWiFi",
    "XD 2K Andriod TV": "XD",
    "Mogo Pro Plus": "P_FHD_2020",
    "SDN200": "Siden - XL Axiata",
    "STI6030": "XL Home Pow",
    "T901Pro-E": "T901Pro-EEA",
    "MiTV": "China",
    "MiProjL1": "Mi Laser Projector 4K",
    "HM 1AC": "HM 1SC",
    "HM 1S": "HM 1SC",
    "HM 1SW": "HM 1SC",
    "HM NOTE 1LTE": "HM NOTE 1LTETD",
    "HM NOTE 1LTEW": "HM NOTE 1LTETD",
    "HM NOTE 1S": "HM NOTE 1S CT",
    "gucci": "HM NOTE 1S CT",
    "Redmi Note 2": "HM Note 2",
    "Redmi K30 Pro 5G Zoom Edition": "K30 PRO",
    "Redmi K30 Pro 5G": "K30 pro",
    "MI 8 Explorer Edition": "MI  8  Explorer  Edition",
    "MI 8 Pro": "MI 8 UD",
    "lotus": "MI  PLAY",
    "MI 2S": "MI 2",
    "MI 4C": "MI 4LTE",
    "MI 4LTE": "MI 4LTE-CT",
    "MI 4W": "MI 4LTE",
    "MI 4S": "MI 4s",
    "Meri": "MI 5C",
    "Platina": "MI 8 Lite",
    "sirius": "MI 8 SE",
    "equuleus": "MI 8 UD",
    "MI 9 SE": "Mi 9 SE",
    "Pyxis": "SEI500TV",
    "laurus": "MI CC 9e",
    "Mi MIX 2S": "MIX 2S",
    "MI NOTE LTE": "Mi Note",
    "Mi Note 3": "MI Note 3",
    "MI 6": "MI6",
    "MiBOX_PRO": "MIBOXPRO",
    "MI PAD 2": "MIPAD2",
    "MiTV3S": "MITV3S-55/60",
    "MiTV4": "MITV3S-55/60",
    "lithium": "MIX",
    "Mi MIX 2": "MIX 2",
    "Mi MIX 3": "MIX 3",
    "2106118C": "MIX 4",
    "Umi": "Mi 10",
    "XIG01": "Mi 10 Lite 5G",
    "M2002J9E": "Mi 10 Lite zoom",
    "Cmi": "Mi 10 Pro",
    "M2007J1SC": "Mi 10 Ultra",
    "M2002J9G": "Mi 10 lite 5G",
    "M2002J9S": "Mi 10 lite 5G",
    "M2102J2SC": "Mi 10S",
    "Thyme": "Mi 10S",
    "M2007J3SP": "Mi 10T",
    "M2007J3SY": "Mi 10T",
    "M2007J17G": "Mi 10T Lite",
    "M2007J3SG": "Mi 10T Pro",
    "M2007J3SI": "Mi 10T pro",
    "M2007J17I": "Mi 10i",
    "M2011K2C": "Mi 11",
    "M2011K2G": "Mi 11",
    "2107119DC": "Mi 11 LE",
    "M2101K9AG": "Mi 11 Lite",
    "M2101K9AI": "Mi 11 Lite",
    "M2101K9C": "Mi 11 Lite 5G",
    "M2101K9G": "Mi 11 Lite 5G",
    "M2102K1AC": "Mi 11 Pro",
    "M2102K1C": "Mi 11 Ultra",
    "M2102K1G": "Mi 11 Ultra",
    "M2012K11I": "Mi 11X Pro",
    "M2012K11G": "Mi 11i",
    "MI 3": "Mi 3",
    "Mi-4c": "Mi 4c",
    "MI 5": "Mi 5",
    "MI 5s": "Mi 5s",
    "MI A1": "Mi A1",
    "MIBOX3": "TELEBEE",
    "MiProjA1": 'Mi Laser Projector 150"',
    "toco": "Mi Note 10 Lite",
    "Mi Note 2": "Mi Note2",
    "MiTV-AESP0": "Mi TV Stick",
    "MiProjM05": "Mi smart projector",
    "MIBOX4": "MiBox S",
    "MiTV-MSSP0": "MiTV",
    "MiTV-MOOQ0": "MiTV",
    "MiTV-MOOQ2": "MiTV",
    "MiTV-AXSO0": "MiTV",
    "MiTV-AXSO1": "MiTV",
    "MiTV-AXSO2": "MiTV",
    "MiTV-MOSR0": "MiTV",
    "MiTV-MOSR1": "MiTV",
    "MiTV-MSSP3": "MiTV",
    "MiTV4I": "MiTV",
    "MiTV-MSOR0": "MiTV",
    "MiTV-MSSP1": "MiTV",
    "MiTV-AXFR1": "MiTV",
    "MiTV-MOOQ1": "MiTV",
    "MiTV-MOOR0": "MiTV",
    "MiTV-MSSP2": "MiTV",
    "POCOPHONE F1": "POCO F1",
    "Redmi Note 6 Pro": "Redmi  Note  6  Pro",
    "Redmi Note 7 Pro": "Redmi  Note  7 Pro",
    "ido": "Redmi 3",
    "Redmi 4": "Redmi 4 Pro",
    "santoni": "Redmi 4X",
    "Redmi Note 5": "Redmi Note 5 Pro",
    "Redmi 6 Pro": "Redmi 6Pro",
    "ONC": "Redmi 7",
    "Redmi Note 4X": "Redmi Note 4",
    "Redmi Y1": "Redmi Note 5A",
    "2109119DG": "Xiaomi 11 Lite 5G NE",
    "2109119DI": "Xiaomi 11 Lite NE",
    "21081111RG": "Xiaomi 11T",
    "2107113SG": "Xiaomi 11T Pro",
    "2107113SI": "Xiaomi 11T Pro",
    "2107113SR": "Xiaomi 11T Pro",
    "21091116I": "Xiaomi 11i",
    "21091116UI": "Xiaomi 11i HyperCharge",
    "2201123C": "Xiaomi 12",
    "2201123G": "Xiaomi 12",
    "2203129G": "Xiaomi 12 Lite",
    "2201122C": "Xiaomi 12 Pro",
    "2201122G": "Xiaomi 12 Pro",
    "2207122MC": "Xiaomi 12 Pro Dimensity",
    "2206123SC": "Xiaomi 12S",
    "2206122SC": "Xiaomi 12S Pro",
    "2203121C": "Xiaomi 12S Ultra",
    "22071212AG": "Xiaomi 12T",
    "22081212C": "Xiaomi 12T Pro",
    "22081212UG": "Xiaomi 12T Pro",
    "2112123AC": "Xiaomi 12X",
    "2109119BC": "Xiaomi Civi 1S",
    "M2011J18C": "Xiaomi MIX Fold",
    "22061218C": "Xiaomi MIX Fold 2",
    "21051182C": "Xiaomi Pad 5",
    "21051182G": "Xiaomi Pad 5",
    "22081281AC": "Xiaomi Pad 5 Pro",
    "M2105K81AC": "Xiaomi Pad 5 Pro",
    "M2105K81C": "Xiaomi Pad 5 Pro 5G",
    "MiTV-AYFR0": "Xiaomi TV stick 4K",
    "Mi Watch": "小米手表",
    "XMOBILE X7": "X7",
    "Era 3": "Era3",
    "Era 2V": "XOLO ERA 2V",
    "era3x": "XOLO ERA 3X",
    "iX101T1": "RangerX",
    "iX101T1-2G": "RangerX",
    "iX101B1": "XSLATE_D10",
    "iX101D1": "XSLATE_D10",
    "iX101D1-FIOS": "XSLATE_D10",
    "KT-755M": "XTRATECH",
    "Xpad_M9_3G": "Xpad",
    "ATV-101": "SEI600YAY4",
    "YOU-BOX": "SEI600EN",
    "YOUTAB S7": "YOUTAB_S7",
    "YU5530": "YUNICORN",
    "YU5010A": "YUPHORIA",
    "YU5510": "Yureka",
    "YU5011": "Yunique 2",
    "AO5510": "Yureka",
    "YU5510A": "Yureka",
    "YUREKA": "Yureka",
    "YU5040": "Yureka Black",
    "YU5041": "Yureka Black",
    "YU 6000": "Yureka Note",
    "YASIN 2K Android TV": "YASIN",
    "YASIN 4K Android TV": "Yasin",
    "Trend": "T3A  Trend",
    "M651G_MY": "Altitude 2",
    "M685Y4": "Altitude 3",
    "YES Altitude 4": "Altitude 4",
    "Note 30 pro": "Note_30_pro",
    "T5-plus-EEA": "T5_EEA",
    "EPIC T": "EPIC_T",
    "LIV 3 LTE": "LIV3_LTE",
    "WS107": "WS107_eea",
    "YD201": "YotaPhone2",
    "YUHO_O2_PRO": "O2 PRO",
    "YUHO_Y1_ACE": "Y1 ACE",
    "YUHO_Y1_PRO": "Y1 PRO",
    "YUHO_Y2": "Y2",
    "YUHO_Y2_PRO": "Y2_PRO",
    "YUHO_O1_LITE": "YUHO_O1",
    "TC1031": "Yuho_Tab10",
    "TC8091": "Yuho_Tab8",
    "ZEEKER P10": "ZEEKER_P10_RU",
    "ZEEKER T100": "ZEEKER_T100_RU",
    "Z_742": "ZLINE_Z_742",
    "ZMBIZI Z1": "ZMBIZI",
    "ZTE V882": "009Z",
    "ZTE V886J": "009Z",
    "ZTE A2015": "A2015",
    "ZTE A2016": "A2016",
    "ZTE A880": "A880",
    "AV-ATB100": "I-O DATA",
    "ZTE W1010": "AXON WATCH",
    "ZTE Blade V220": "Blade V220",
    "ZTE B2016": "B2016",
    "ZTE B2017G": "B2017G",
    "B760H": "B760E",
    "ZTE B790": "B790",
    "B860H V1.0": "B860H",
    "B860H V1.1": "B860H",
    "ZTE B880": "B880",
    "ZTE BA510": "BA510",
    "ZTE BA520": "BA520",
    "ZTE BA601": "BA601",
    "ZTE BA602": "BA602",
    "ZTE BA602T": "BA602T",
    "ZTE BA603": "BA603",
    "ZTE BA610C": "BA610C",
    "ZTE BA610T": "BA610T",
    "ZTE BA611C": "BA611C",
    "ZTE BA611T": "BA611T",
    "ZTE BA910": "BA910",
    "ZTE BA910T": "BA910T",
    "ZTE-BLADE": "Blade",
    "ZTE BLADE A110": "BLADE A110",
    "ZTE BLADE A112": "BLADE A112",
    "Blade A310": "BLADE A310",
    "ZTE BLADE A310": "BLADE A310",
    "ZTE BLADE A510": "BLADE A510",
    "ZTE BLADE A512": "BLADE A512",
    "ZTE Z10": "Z10",
    "ZTE BLADE A601": "Blade A510",
    "ZTE BLADE A610C": "BLADE A610C",
    "ZTE BLADE B112": "BLADE B112",
    "Skate Pro": "Skate  Pro",
    "ZTE BLADE III": "BLADE III",
    "ZTE Blade III": "Blade III",
    "ZTE BLADE L0510": "BLADE L0510",
    "ZTE Blade L5 Plus": "Blade L5 Plus",
    "ZTE BLADE L110": "ZTE BLADE L111",
    "ZTE BLADE L5 PLUS": "BLADE L5 PLUS",
    "ZTE BLADE V0730": "BLADE V0730",
    "ZTE BLADE V7": "BLADE V7",
    "ZTE BLADE V7 LITE": "BLADE V7 LITE",
    "ZTE BLADE V8 MINI": "BLADE V8 MINI",
    "N9560": "BOLTON",
    "ZTE BV0701": "BV0701",
    "ZTE V0721": "BV0701",
    "ZTE BV0710": "BV0710",
    "ZTE BV0710T": "BV0710T",
    "ZTE BV0720": "BV0720",
    "ZTE BV0720T": "BV0720T",
    "ZTE BV0730": "BV0730",
    "ZTE BV0800": "BV0800",
    "ZTE BV0850": "BV0850",
    "003Z": "Blade",
    "Android Edition StarTrail": "Blade",
    "BASE lutea": "Blade",
    "BLADE_N880": "Blade",
    "Beeline E400": "Blade",
    "Kyivstar Spark": "Blade",
    "MF8604": "Blade",
    "Movistar Prime": "Blade",
    "N880": "Blade",
    "Netphone 701": "Blade",
    "Optimus San Francisco": "Blade",
    "Orange San Francisco": "Blade",
    "Orange Tactile internet 2": "Blade",
    "RTK V8": "Blade",
    "San Francisco": "Blade",
    "V8502": "Blade",
    "WayteQ Libra": "Blade",
    "XCD35": "Blade",
    "ZTE Libra": "Blade",
    "ZTE V880": "Blade",
    "ZTE-C N880S": "Blade",
    "ZTE-LIBRA": "Blade",
    "ZTE-Libra": "Blade",
    "ZTE-U V880": "Blade",
    "a5": "Blade",
    "ZTE BLADE A210": "Blade A210",
    "ZTE Blade A210": "Blade A210",
    "Blade A3 2019-T": "Blade A3 2019",
    "ZTE Blade A315": "Blade A315",
    "NOS FIVE": "Blade A452",
    "ZTE Blade A452": "Blade A452",
    "A460-T": "Blade A460",
    "ZTE BLADE A460": "Blade A460",
    "ZTE Blade A460": "Blade A460",
    "ZTE T610": "Blade A460",
    "ZTE Blade A462": "Blade A462",
    "ZTE Blade A465": "Blade A465",
    "ZTE Blade A470": "Blade A470",
    "BGH JOY X2": "Blade A475",
    "ZTE Blade A475": "Blade A475",
    "ZTE Blade L4 Pro": "Blade A475",
    "BLADE E01": "Blade A476",
    "ZTE Blade A476": "Blade A476",
    "ZTE Blade A511": "Blade A511",
    "ZTE Blade A515": "Blade A515",
    "ZTE Blade A570": "Blade A570",
    "ZTE Blade Apex": "Blade Apex",
    "ZTE Blade Apex2": "Blade Apex2",
    "ZTE Blade Apex3": "Blade Apex3",
    "ZTE Blade C312": "Blade C312",
    "ZTE Blade C340": "Blade C340",
    "ZTE T220": "Blade C340",
    "ZTE V812": "Blade C340",
    "NOS NOVU": "Blade C370",
    "ZTE BLADE C370": "Blade C370",
    "ZTE Blade C370": "Blade C370",
    "ZTE Blade D6 Lite 3G": "Blade D6 Lite 3G",
    "ZTE Blade D6 Lite 4G": "Blade D6 Lite 4G",
    "N9517": "Blade Force",
    "ZTE Blade G": "Blade G",
    "ZTE Blade G LTE": "Blade G LTE",
    "BGH Joy Smart A6": "Blade G Lux",
    "BGH Joy Smart A6d": "Blade G Lux",
    "DIGICEL DL800": "Blade G Lux",
    "MEO Smart A40": "Blade G Lux",
    "Orange Tado": "Blade G Lux",
    "ZTE Blade G Lux": "Blade G Lux",
    "ZTE Kis3 max": "Blade G Lux",
    "ZTE V830W": "Blade G Lux",
    "ZTE Blade HN": "Blade HN",
    "ZTE Blade III Pro": "Blade III Pro",
    "BGH Joy Smart AXS": "Blade L2",
    "BGH Joy Smart AXS D": "Blade L2",
    "MEO Smart A75": "Blade L2",
    "ZTE Blade L2": "Blade L2",
    "DIGICEL DL910": "Blade L3",
    "MEO Smart A80": "Blade L3",
    "X8607": "Blade L3",
    "ZTE Blade L3": "Blade L3",
    "ZTE Blade L3 Apex": "Blade L3 Apex",
    "ZTE Blade L3 Lite": "Blade L3 Lite",
    "ZTE Blade L3 Plus": "Blade L3 Plus",
    "ZTE Blade L315": "Blade L315",
    "ZTE Blade L370": "Blade L370",
    "ZTE Blade L6": "Blade L6",
    "ZTE Blade V6 Lite": "Blade L6",
    "BGH Joy Smart A7G": "Blade Q Lux",
    "Beeline Pro": "Blade Q Lux",
    "UZTE Blade Q Lux": "Blade Q Lux",
    "ZTE Blade A430": "Blade Q Lux",
    "ZTE Blade Q Lux": "Blade Q Lux",
    "ZTE Blade Q Lux 3G": "Blade Q Lux",
    "ZTE Fit 4G Smart": "Blade Q Lux",
    "ZTE T311": "Blade Q Lux",
    "ZTE Blade Q Mini": "Bouygues Telecom Bs 402",
    "ZTE Blade Q3": "Blade Q3",
    "ZTE T230": "T221",
    "Blade S": "blade S",
    "Blade S6": "Blade S6 Lite",
    "NOS SLIM": "Blade S6",
    "ZTE Blade S6 Flex": "Blade S6 Flex",
    "ZTE T912": "T912",
    "Vodafone Blade V": "Blade V",
    "ZTE Blade V": "Blade V",
    "ZTE Blade V2": "Blade V2",
    "Turk Telekom TT175": "Blade V580",
    "ZTE Blade V580": "Blade V580",
    "BGH Joy V6": "Blade V6",
    "ZTE Blade V6": "Blade V6",
    "ZTE T660": "Blade V6",
    "ZTE T663": "Blade V6",
    "ZTE Blade V6 Plus": "Blade V6 Plus",
    "ZTE Blade VEC": "Blade VEC",
    "ZTE Blade Vec": "Blade Vec",
    "ZTE Geek 2": "Blade Vec",
    "ZTE Blade Vec 4G": "Blade Vec 4G",
    "ZTE Blade Vec Pro": "Blade Vec Pro",
    "Z983": "Blade X Max",
    "Z6750M": "Blade X1 5G",
    "Z6400C": "Blade X2 Max",
    "ZTE Blade A610": "Bland A610",
    "Z986DL": "Bolton",
    "A4C": "Bouygues Telecom Bs 402",
    "Amazing A4C": "Bouygues Telecom Bs 402",
    "ZTE C2016": "C2016",
    "L8301": "C310",
    "Movitel M8410": "C310",
    "ZTE Blade C310": "C310",
    "ZTE C310": "C310",
    "ZTE C880": "C880",
    "ZTE C880A": "C880A",
    "ZTE C880D": "C880D",
    "ZTE C880S": "C880S",
    "ZTE C880U": "C880U",
    "Z831": "Chapel",
    "CMCC M970": "China Mobile Forerunner X1",
    "Z815": "Fanfare 2",
    "ZTE G601U": "G601U",
    "ZTE G717C": "G717C",
    "ZTE G718C": "G718C",
    "ZTE G719C": "G719C",
    "ZTE G720C": "G720C",
    "ZTE G720T": "G720T",
    "ZTE GEEK II 4G": "GEEK II 4G",
    "ZTE GEEK II Pro": "GEEK II Pro",
    "ZTE M1001": "GEEK II Pro",
    "ZTE Geek": "V975",
    "ZTE Geek 2 LTE": "Geek 2 LTE",
    "ZTE Geek 2 pro": "Geek 2 pro",
    "ZTE Grand Era": "Grand Era",
    "ZTE Grand Memo": "Grand Memo LTE",
    "ZTE Grand Memo LTE": "Grand Memo LTE",
    "ZTE Grand S Flex": "Grand S Flex",
    "ZTE Grand S II": "Grand S II",
    "ZTE S221": "Grand S II",
    "ZTE Grand S II LTE": "Grand S II LTE",
    "Grand X(M)": "Grand X",
    "ZTE Grand X Classic": "Grand X",
    "ZTE V970": "V970",
    "ZTE V970M": "Grand X",
    "ZTE-U V970M": "Grand X",
    "tmn smart a18": "Grand X",
    "Amazing A7": "Grand X 2",
    "ZTE Grand X 2": "Grand X 2",
    "ZTE V968": "Grand X 2",
    "ZTE V969": "V969",
    "STARADDICT II Plus": "Grand X In",
    "ZTE Grand X In": "Grand X In",
    "Z988": "Grand X Max 2",
    "Blade Super": "Grand X Pro",
    "KPN Smart 300": "Grand X Pro",
    "Amazing A6": "Grand X Quad Lite",
    "V8602": "Grand X Quad Lite",
    "ZTE Grand X Quad Lite": "Grand X Quad Lite",
    "ZTE Grand X2": "Grand X Quad Lite",
    "ZTE Skate 2": "Grand X Quad Lite",
    "ZTE V967S": "Grand X Quad Lite",
    "ZTE Grand X2 In": "Grand X2 In",
    "N9136": "GrayJoy",
    "Z718TL": "Jasper LTE",
    "ZTE-K813": "K813",
    "Amazing_P8": "K83",
    "K83V": "ZTE ZPAD8",
    "ZTE K97": "K97",
    "MEO SMART A16": "Kis 3",
    "MEO Smart A16": "Kis 3",
    "MOCHE SMART A16": "Kis 3",
    "ZTE Kis 3": "Kis 3",
    "ZTE V811": "V811W",
    "ZTE Kis Lite": "Kis Lite",
    "Optimus Zali": "Kis Pro",
    "ZTE Kis Pro": "Kis Pro",
    "ZTE Kis Q": "Kis Q",
    "V883M": "LEO M1",
    "ZTE LEO M1": "LEO M1",
    "V972M": "LEO S1",
    "ZTE LEO S1": "LEO S1",
    "ZTE LEO S2": "LEO S2",
    "V765M": "LEO_Q1",
    "ZTE LEO Q1": "LEO_Q1",
    "ZTE V765M": "LEO_Q1",
    "ZTE_CLARO_Q1": "LEO_Q1",
    "ZTE_LEO_Q1": "LEO_Q1",
    "mobifone M9001": "LEO_Q1",
    "ZTE Blade S6 Plus": "LS-5503",
    "Z863DL": "Lannister",
    "Light Tab 2": "V9A",
    "ZTE M901C": "M901C",
    "MF97B": "Spro 2",
    "MF97B_ROGERS": "MF97B",
    "MTC SMART Run 4G": "Q509T",
    "Z798BL": "Majesty Pro LTE",
    "ZTE N5L": "N5L",
    "ZTE N5S": "N5S",
    "ZTE-U N720": "N720",
    "ZTE_U N720": "N720",
    "ZTE N795": "N795",
    "ZTE N798": "N798",
    "ZTE N798+": "N798+",
    "ZTE N799D": "N799D",
    "ZTE N818": "N818",
    "Warp": "N860",
    "ZTE N880E": "N880E",
    "ZTE N880G": "N880G",
    "ZTE N900": "N900",
    "ZTE N900D": "N900D",
    "ZTE N909": "N909",
    "ZTE N909D": "N909D",
    "ZTE-N910": "N910",
    "ZTE N9120": "N9120",
    "N9137": "ZTE Tempo X",
    "BGH Joy Smart AXS II": "NX521J",
    "BGH Joy Smart AXS II D": "N918St",
    "ZTE N918St": "N918St",
    "ZTE N919": "N919",
    "ZTE N919D": "N919D",
    "ZTE N928Dt": "N928Dt",
    "ZTE_N9511": "N9511",
    "ZTE N983": "N983",
    "ZTE N9835": "N9835",
    "ZTE N986": "N986",
    "N986+": "N986D",
    "ZTE_V5": "NE501J",
    "NX402": "NX40X",
    "NX40X": "NX40X_APT",
    "NX507H": "NX507J",
    "NX659J": "Red Magic 5G",
    "NX709J": "REDMAGIC 7Pro",
    "Avea inTouch 3 Large": "Orange Reyo",
    "Blade Q Maxi": "Orange Reyo",
    "ZTE Blade Q Maxi": "Orange Reyo",
    "ZTE P_C880S": "P_C880S",
    "ZTE Q101T": "Q101T",
    "ZTE Q201T": "Q201T",
    "ZTE Q2S-C": "Q2S-C",
    "ZTE Q2S-T": "Q2S-T",
    "ZTE Q301C": "Q301C",
    "ZTE Q301T": "Q301T",
    "ZTE Q302C": "Q302C",
    "ZTE Q5-C": "Q5-C",
    "ZTE Q5-T": "Q5-T",
    "ZTE Q501T": "Q501T",
    "ZTE Q501U": "Q501U",
    "ZTE Q503U": "Q503U",
    "ZTE Q505T": "Q505T",
    "ZTE Q507T": "Q507T",
    "ZTE Q508U": "Q508U",
    "Amazing X5": "Q509T",
    "ZTE Blade A450": "Q509T",
    "ZTE Blade V2 Lite": "Q509T",
    "ZTE Q509T": "Q509T",
    "ZTE Q519T": "Q519T",
    "ZTE Q529C": "Q529C",
    "ZTE Q529E": "Q529E",
    "ZTE Q529T": "Q529T",
    "ZTE Q7": "Q7",
    "ZTE Q7-C": "Q7-C",
    "ZTE Q701C": "Q701C",
    "ZTE Q705U": "Q705U",
    "ZTE Q801C": "Q801C",
    "ZTE Q801L": "Q801L",
    "ZTE Q801T": "Q801T",
    "ZTE Q801U": "Q801U",
    "ZTE Q802C": "Q802C",
    "ZTE Q802D": "Q802D",
    "ZTE Q802T": "Q802T",
    "ZTE Q805T": "Q805T",
    "ZTE Q806T": "Q806T",
    "ZW10": "Quartz",
    "ZTE R83": "R83",
    "Carl": "Racer",
    "MTC 916": "Racer",
    "MTS-SP100": "Racer",
    "Movistar Link": "Racer",
    "RTK D1": "Racer",
    "TaiWan Mobile T2": "Racer",
    "V8402": "Racer",
    "Vip Droid": "Racer",
    "XCD 28": "Racer",
    "ZTE X850": "Racer",
    "ZTE-C N600": "Racer",
    "ZTE-C N600+": "Racer",
    "ZTE-LINK": "Racer",
    "ZTE-RACER": "Racer",
    "ZTE-U V852": "Racer",
    "ZTE-U X850": "Racer",
    "NX651J": "nubia Play",
    "ZTE 8045RU": "Russia",
    "Grand S Lite": "S118",
    "ZTE S118": "S118",
    "ZTE S2004": "S2004",
    "ZTE S2005": "S2005",
    "ZTE S2007": "S2007",
    "ZTE S2010": "S2010",
    "ZTE S2014": "S2014",
    "ZTE S2015": "S2015",
    "ZTE-SKATE": "SKATE",
    "ZTE GEEK II Pro 4G": "STAR",
    "ZTE S2002": "STAR",
    "ZTE STAR": "STAR",
    "ZTE Star 1": "STAR",
    "Avea inTouch 3": "STARTRAIL 4",
    "ZTE Blade Q": "STARTRAIL 4",
    "N818S": "Sapphire 3G",
    "Z610DL": "Sirius",
    "ZTE Skate": "Skate",
    "502ZT": "Spro 2",
    "MF97V": "Spro 2",
    "Spro 2 LTE": "Spro 2",
    "ZKB2A": "Spro 2",
    "Z799VL": "Stack",
    "ZTE Switch X1": "Switch X1",
    "ZTE V796": "Switch X1",
    "ZTE T12": "T12",
    "Blade C341": "T221",
    "DIGICEL DL755": "T221",
    "KIS C341": "T221",
    "ZTE Blade A5": "T221",
    "ZTE Blade AF5": "T221",
    "ZTE Blade C341": "T221",
    "ZTE Blade C342": "T221",
    "ZTE T221": "T221",
    "ZTE T28": "T28",
    "ZTE T28 Prepaid": "T28",
    "ZTE T325": "T325",
    "ZTE T520": "T520",
    "ZTE T57": "T57",
    "ZTE T60": "T60",
    "ZTE T617": "T617",
    "ZTE T620": "T620",
    "ZTE T630": "T630",
    "ZTE T760": "T760",
    "ZTE T790": "T790",
    "ZTE B792": "T792",
    "ZTE T792": "T792",
    "ZTE T80": "T80",
    "ZTE T81": "T81",
    "ZTE T82": "T82",
    "ZTE T83": "T83",
    "ZTE R84": "T84",
    "ZTE T84": "T84",
    "Amazing X1": "T86",
    "ZTE T86": "T86",
    "ZTE T88": "T88",
    "ZTE T911": "T911",
    "ZTE T920": "T920",
    "ZTE BLADE B125": "TE BLADE B125",
    "TURKCELL TURBO T50": "TURKCELL T50",
    "T86": "Telstra Tough Max 3",
    "N9131": "Tempo",
    "ZTE-U N721": "U N721",
    "MD Smart": "U V760",
    "Telenor Touch Mini": "U V760",
    "ZTE-U V760": "U V760",
    "ZTE-U V856": "U V760",
    "ZTE-U V857": "U V760",
    "moii E598": "U V760",
    "ZTE U5S": "U5S",
    "ZTE U809": "U809",
    "ZTE U816": "U816",
    "ZTE U817": "U817",
    "ZTE U818": "U818",
    "ZTE U879": "U879",
    "ZTE-T U880": "U880",
    "ZTE U889": "U889",
    "ZTE U9180": "U9180",
    "ZTE U968": "U968",
    "ZTE U969": "U969",
    "ZTE U9815": "U9815",
    "ZTE U988S": "U988S",
    "Z968": "Uhura",
    "Z3": "Ukraine, Kazakhstan, Azerbaijan",
    "ZTE Grand Memo lite": "V5S",
    "ZTE V5S": "V5S",
    "Etisalat Smartphone": "V6500",
    "ZTE-V6500": "V6500",
    "ZTE V70": "V70",
    "ZTE V7073": "V7073",
    "MT7A": "V72",
    "ZTE V72": "V72",
    "myPad P4 Lite": "V72",
    "ZTE V768": "V768",
    "ZTE LEO Q2": "V769M",
    "ZTE V769M": "V769M",
    "ZTE V779M": "V779M",
    "ZTE V790": "V790",
    "ZTE V791": "V791",
    "ZTE V792C": "V792C",
    "Amazing A3": "V793",
    "Cellcom 4G": "V793",
    "M9000": "V793",
    "Telcel T20": "V793",
    "ZTE KIS Flex": "V793",
    "ZTE V793": "V793",
    "tmn smart a6": "V793",
    "BGH Joy Smart A1": "V795",
    "V795(A3S)": "V795",
    "ZTE B795": "V795",
    "ZTE KIS II": "V795",
    "ZTE KIS II PRO": "V795",
    "ZTE Kis II": "V795",
    "ZTE V795": "V795",
    "VIETTEL V8411": "V797",
    "ZTE V797": "V797",
    "Amazing A4": "V807",
    "Beeline E700": "V807",
    "Leopard MF900": "V807",
    "UZTE V807": "V807",
    "V8501": "V807",
    "ZTE BLADE C": "V807",
    "ZTE V807": "V807",
    "ZTE V889S": "V807",
    "UZTE V808": "V808",
    "ZTE V808": "V808",
    "BGH Joy Smart A2": "V809",
    "ZTE Blade C2": "V809",
    "ZTE T809": "V809",
    "ZTE V809": "V809",
    "meo smart a12": "V809",
    "Beeline Smart2": "V811",
    "ZTE V811C": "V811C",
    "ZTE V811W": "V811W",
    "ZTE Blade C2 Plus": "V813W",
    "ZTE V813W": "V813W",
    "Amazing A4S": "V815W",
    "B8405": "V815W",
    "BGH Joy Smart A5C": "V815W",
    "BGH Joy Smart A5d": "V815W",
    "KIS II Max": "V815W",
    "SMART Start": "V815W",
    "UZTE GRAND V7": "V815W",
    "ZTE B815": "V815W",
    "ZTE B816": "V815W",
    "ZTE Blade Buzz": "V815W",
    "ZTE Blade C320": "V815W",
    "ZTE Blade Q1": "V815W",
    "ZTE Kis II Max": "V815W",
    "ZTE Kis II Max Plus": "V815W",
    "ZTE Kis II Max plus": "V815W",
    "ZTE Maxx": "V815W",
    "ZTE T815": "V815W",
    "ZTE T816": "V815W",
    "ZTE V815W": "V815W",
    "ZTE V816W": "V815W",
    "ZTE V817": "V817",
    "ZTE Blade 2": "V818",
    "ZTE V818": "V818",
    "BGH Joy Smart A3": "V829",
    "Blade G Pro": "V829",
    "V8507": "V829",
    "ZTE Blade G Plus": "V829",
    "ZTE Blade G Pro": "V829",
    "ZTE V829": "V829",
    "Amazing A5S": "V831W",
    "UZTE Blade Q Pro": "V831W",
    "ZTE T320": "V831W",
    "ZTE V831W": "V831W",
    "ZTE-V856": "V856",
    "ZTE V879": "V879",
    "ZTE V880E": "V880E",
    "ZTE V880G": "V880G",
    "ZTE Blade L": "V887",
    "ZTE V887": "V887",
    "tmn smart a20": "V887",
    "ZTE V889D": "V889D",
    "UZTE V889M": "V889M",
    "ZTE V889M": "V889M",
    "ZTE V891": "V891",
    "BASE Tab": "V9",
    "BLACK 03": "V9",
    "Beeline M2": "V9",
    "Light Tab": "V9",
    "MTC 1055": "V9",
    "One Pad": "V9",
    "RTK V9": "V9",
    "TO101": "V9",
    "TT101": "V9",
    "V9C": "V9",
    "V9c": "V9",
    "V9e": "V9",
    "myPad P2": "V9",
    "ZTE V956": "V956",
    "ZTE Blade G2": "V965",
    "ZTE R880H": "V965",
    "ZTE V880H": "V965",
    "ZTE V965": "V965",
    "UZTE V970": "V970",
    "ZTE V975": "V975",
    "ZTE V9800": "V9800",
    "ZTE V9820": "V9820",
    "ZTE V983": "V983",
    "UZTE GRAND X Quad": "V987",
    "ZTE Grand X": "V987",
    "ZTE V987": "V987",
    "ZTE V993W": "V993W",
    "ZTE V9A": "V9A",
    "my Pad P3": "V9A",
    "myPad P3": "V9A",
    "myPadP4": "V9S",
    "Z965": "Vesta",
    "VFD 822": "Vodafone Smart X9",
    "N9519": "Warp 7",
    "ZTE-X500": "X500",
    "X501_USA_RS": "X501_USA_Cricket",
    "A2020N3": "Z2020N3",
    "NX701J": "Z40 Pro",
    "Z5156CC": "ZTE Avid 579",
    "Z559DL": "ZTE AVID 559",
    "Z6410S": "Z6410",
    "Z828TL": "Z828",
    "ZTE Z932L": "Z932L",
    "Z955A": "Z955L",
    "Z981": "Zmax Pro",
    "ZTE-Z990": "Z990",
    "ZTE-Z990G": "Z990G",
    "K90U": "ZPAD",
    "ZTE A2122H": "ZTE  S30 Pro 5G",
    "ZTE A2121": "ZTE A20 5G",
    "ZTE A2020N3 Pro": "ZTE Axon 10 Pro",
    "ZTE A2022PG": "ZTE Axon 30 Ultra 5G",
    "ZTE A7020": "ZTE Blade A7s 2020",
    "Z855": "ZTE AVID 4",
    "ZTE A2020G Pro": "ZTE Axon 10 Pro",
    "ZTE A2020RU Pro": "ZTE Axon 10 Pro",
    "ZTE A2020 Pro": "ZTE Axon 10 Pro",
    "ZTE A2020U Pro": "ZTE Axon 10 Pro",
    "ZTE A2020 SP": "ZTE Axon 10s Pro 5G",
    "ZTE A2021L": "ZTE Axon 11",
    "ZTE A2021E": "ZTE Axon 11",
    "ZTE A2021G": "ZTE Axon 11 5G",
    "ZTE A2021": "ZTE Axon 11 5G",
    "ZTE A2021H": "ZTE Axon 11 5G",
    "ZTE 9000N": "ZTE Axon 11 SE 5G",
    "ZTE A2121G": "ZTE Axon 20 5G",
    "ZTE A2022P": "ZTE Axon 30 Pro 5G",
    "ZTE BLADE B111": "ZTE BLADE L111",
    "ZTE BLADE V0900": "ZTE BLADE V9",
    "Z982": "ZTE BLade Zmax",
    "Blade A3 2020-T": "ZTE Blade A3 2020",
    "Z5157V": "ZTE Blade A3v",
    "Z5157Y": "ZTE Blade A3v",
    "Blade A5 2020-T": "ZTE Blade A5 2020",
    "Z-Ultra": "ZTE Blade A5 2020",
    "ZTE A7020RU": "ZTE Blade A7s 2020",
    "ZTE 9000": "ZTE Blade V 2020",
    "ZTE 9000RU": "ZTE Blade V 2020",
    "ZTE Blade V10": "ZTE Blade V1000",
    "ZTE Blade V1000": "ZTE_Blade_V1000",
    "ZTE 8000": "ZTE Blade V2020 Vita",
    "ZTE V0900": "ZTE Blade V9",
    "ZTE T1002": "ZTE Blade X10s",
    "ZTE T1003": "ZTE Blade X10 Pro",
    "Z852": "ZTE Fanfare 3",
    "Z851": "ZTE Overture 3",
    "ZTE T0801": "ZTE T0801",
    "Z558VL": "ZTE ZFive C LTE",
    "ZTE A2022": "ZTE Axon 30 5G",
    "ZTE A2022H": "ZTE Axon 30 5G",
    "K83CA": "ZTE Grand X View 3",
    "ZTE V6700": "ZXY-ZTE_V6700",
    "Z978": "Zmax 3",
    "Z719DL": "Zmax One",
    "Amazing_P5": "myPad P5",
    "NX667J": "nubia  Z30 Pro",
    "Z3001S": "sapphire lte",
    "ZER A10": "JH105",
    "CCHUB1": "CC5000",
    "CC605": "Customer Concierge 600",
    "CC610": "Customer Concierge 6000",
    "EC50": "EC50SANF AOSP",
    "EC55": "EC55SANF AOSP",
    "ET40": "ET40A",
    "ET56": "Zebra Technologies ET56",
    "MC18N0": "MC18",
    "MC3300ax": "Zebra Technologies MC3300ax",
    "MC33": "MC330K",
    "MC40N0": "MC40",
    "PS20J": "PS20(Personal Shopper)",
    "TC700H": "Pollux",
    "TC75": "Pollux",
    "TC20": "TC20KB",
    "TC26": "Zebra Technologies TC26",
    "TC52AX": "Zebra Technologies TC52ax",
    "TC53": "TC53A",
    "TC75x": "TC75xDF",
    "ET51": "Zebra Technologies ET51",
    "L10A": "Zebra Technologies L10",
    "L10AW": "Zebra Technologies L10",
    "MC2200": "Zebra Technologies MC2200",
    "MC2700": "Zebra Technologies MC2700",
    "MC3300x": "Zebra Technologies MC3300xNS",
    "MC93": "Zebra Technologies MC9300",
    "TC52": "Zebra Technologies TC52",
    "TC52X": "Zebra Technologies TC52x",
    "TC57": "Zebra Technologies TC57",
    "TC57X": "Zebra Technologies TC57x",
    "TC72": "Zebra Technologies TC72",
    "TC77": "Zebra Technologies TC77",
    "TC8300": "Zebra Technologies TC8300",
    "VC8300": "Zebra Technologies VC8300",
    "WT6300": "Zebra Technologies WT6300",
    "TBQG1031": "TBQG1031",
    "TBDG874": "TBDG874 Tablet",
    "TBQC1063": "TBQC1063B",
    "TBQG884": "Zeki TBQG884",
    "ADMIRE_CURVE_NEO": "ADMIRE CURVE NEO",
    "ADMIRE_BEAT": "Admire Beat",
    "ADMIRE_INFINITY_NEO": "Admire Infinity Neo",
    "CINEMAX_INFINITY_BLAZE": "Blaze",
    "CINEMAX INFINITY+": "Cinemax Infinity +",
    "ADMIRE NEO+": "ZEN ADMIRE NEO PLUS",
    "ADMIRE_UNITY": "ZEN ADMIRE UNITY",
    "ADMIRE_INFINITY": "ZEN_ADMIRE_INFINITY",
    "CINEMAX_INFINITY": "ZEN_CINEMAX_INFINITY",
    "ADMIRE_CURVE+": "Zen Admire Curve +",
    "ADMIRE_DUO": "Zen Admire Duo",
    "ADMIRE GLORY+": "Zen Admire Glory+",
    "ADMIRE_SENSE+": "Zen Admire Sense+",
    "ADMIRE STRONG": "Zen Admire Strong",
    "ADMIRE SWADESH+": "Zen Admire Swadesh+",
    "CINEMAX_PRIME": "Zen Cinemax Prime",
    "M72 Smart": "Zen M72 Smart",
    "Zephir FHD Android TV": "Italy",
    "Zephir UHD Android TV": "Italy",
    "Zephir 4K Android TV": "Zephir",
    "Zephir 2K Android TV": "Zephir",
    "ZEPHIR Android TV 2K": "Zephir 2K android TV",
    "ZEPHIR Android TV": "Zephir android TV",
    "Zettaly Avy ZA-407": "ZA-407",
    "EON 9": "EON_9",
    "K70": "k70",
    "SOCIAL": "Social",
    "ZOPO Flash X3": "ZOPO_Flash_X3",
    "Zpad X7": "Zpad_X7",
    "ZUK Z2132": "Lenovo Z2 Plus",
    "ZUK Z1": "Z1",
    "ZUK Z2131": "Z2",
    "ZUK Z2121": "Z2 Pro",
    "Akus Z": "AKUS Z",
    "AURA_Z": "AURA Z",
    "COVET_PRO_LITE": "COVET PRO LITE",
    "GRANT": "ZUUM GRANT",
    "MAGNO-S": "MAGNO",
    "AKUS": "ZUUM AKUS",
    "MAGNO PLUS": "ZUUM MAGNO PLUS",
    "M815": "aoson",
    "AF9030": "benco Y30",
    "M1000": "M1000D",
    "AE9150": "benco V62",
    "AH9110": "benco Y11",
    "AH9210": "benco Y40",
    "AF9021": "benco Y51",
    "AE9010": "benco v80",
    "LH9921": "v6",
    "Aquaris_A4.5": "Aquaris A4.5",
    "Aquaris M": "Aquaris M5.5",
    "Aquaris_M4.5": "Aquaris M4.5",
    "Aquaris U Lite": "Aquaris U lite",
    "Aquaris VS": "Aquaris Vs",
    "Aquaris VS Plus": "Aquaris Vs Plus",
    "Aquaris X2 Pro": "Aquaris X2 PRO",
    "BQ-5516L": "BQ-5516L TWIN",
    "BQ-6016L": "BQ-6016L Mercury",
    "Edison 3 mini": "Edison_3_mini",
    "Aquaris M8": "M8",
    "VELA_1201P": "VELA_1201P-EEA",
    "EboxTV": "Ebox",
    "E980U": "E980",
    "Ex-Handy 10 ROW": "Ex-Handy 10",
    "Ex-Handy 10 RUS": "Ex-Handy 10",
    "Smart-Ex 02 RUS": "Smart-Ex02",
    "Smart-Ex02 ROW": "Smart-Ex02",
    "Smart-Ex02 RUS": "Smart-Ex02",
    "Tab N7a": "efiootabn7a",
    "LifeTabPlus": "Life Tab Plus",
    "connect 2": "connect_2",
    "JT07-X": "JT70-X",
    "ERGO22_eea": "ERGO22",
    "i-mobile IQ II": "IQ II",
    "i-mobile Y1": "Y1",
    "i-mobile i-STYLE 812 4G": "i-STYLE 812 4G",
    "i-mobile M1703": "i-note WiFi 1.1",
    "AF51": "Alpha",
    "Kidz Pro": "Max12pro",
    "SF56": "Speed_Pro_Plus",
    "SpeedX": "iBRIT SpeedX",
    "iBall_Slide_Elan_3x32": "Slide_Elan_3x32",
    "iBall_Slide_Elan_4G2_Plus": "Slide_Elan_4G2_Plus",
    "iBall Slide Brace XJ": "iBall",
    "iBall Slide Dazzle i7": "iBall",
    "Gorgeo_4GL": "iBall Slide Gorgeo 4GL",
    "iBall_Slide_Imprint_4G": "iBall Slide Imprint 4G",
    "iBall_Slide_Iris_Drishti_4G": "iBall Slide Iris Drishti 4G",
    "iBall_Slide_Nimble_4GF": "iBall Slide Nimble 4GF",
    "Snap_4G2": "iBall Slide Snap 4G2",
    "Twinkle_i5": "iBall Slide Twinkle i5",
    "iBall_Slide_Wings_4GP": "iBall Slide Wings 4GP",
    "Wings": "iBallSlide_Wings",
    "Slide_Skye_03": "iBall_Slide_Skye_03",
    "iBall Slide Spirit V2": "iBall_Slide_Spirit_V2",
    "ICRAIG_CLP288": "CLP288",
    "ICRAIG_CLP291": "CLP_291",
    "ICRAIG_CMP770": "CMP770",
    "ICRAIG_CMP771": "CMP_771",
    "ICRAIG_CMP773": "CMP_773",
    "iData 50": "iData_50",
    "iData K1": "iData_K1",
    "Alien_X": "Alien X",
    "Alien_X_Apex_2020": "Alien X Apex 2020",
    "Alien X Pro 2021": "Alien_X_Pro_2021",
    "iHunt Cyber Shark 4G": "Cyber_Shark_EEA",
    "Like_4U": "Like 4U",
    "Like_8": "Like 8",
    "Like Hi5": "Like_Hi5",
    "S21 Plus 2021_EEA": "S21_Plus_2021_EEA",
    "S21 Ultra 4G 2021_EEA": "S21_Ultra_4G_2021_EEA",
    "TITAN_P11000_PRO": "TITAN P11000 PRO",
    "iHunt STRONG Tablet X PRO": "Tablet_X_EEA",
    "Titan P4000 Pro 2021_EEA": "Titan_P4000_Pro_2021_EEA",
    "iHunt Titan X 5G": "Titan_X_EEA",
    "iHunt S22 ULTRA": "iHunt S22  ULTRA",
    "S90_Apex": "iHunt S90 Apex",
    "iHunt Like 12 PRO": "iHuntLike12PRO",
    "iHunt S22 PLUS": "iHuntS22PLUS",
    "iHunt Like 12": "iHunt_Like_12_EEA",
    "iHunt Note Ultra": "iHunt_Note_Ultra",
    "ILA X1": "ILA_X1",
    "ILA X3": "ILA_X3",
    "iLA_Silk": "iLA Silk",
    "KIDS_TAB_7": "I-LIFE",
    "Swift_1": "Swift 1",
    "L101": "M101N",
    "iNO S9": "S9",
    "iPlus P3": "iPlus_P3",
    "iQ&T N8": "N8",
    "FrogOne": "Frog One",
    "DDA800R": "DMT580D",
    "MIT700": "DMT580D",
    "MM-3201": "MM3202",
    "MM-3202": "MM3202",
    "I-K1": "ULALA",
    "ITQ1000": "WOW Tab+(ITQ1000)",
    "ITQ701": "Wow TAB +",
    "ITQ700": "Wow(Window of the world)",
    "YBMK01": "Wow(Window of the world)",
    "Iriver 4K Android TV": "iRiver",
    "Y57P": "Y57P_EEA",
    "G36": "iRULU_G36",
    "ISWAG VIPER": "ISWAG_VIPER",
    "ISWAG MATRIX": "MATRIX",
    "ISWAG NEO": "NEO",
    "STREAM7": "STREAM7Plus",
    "iV 505": "Me 1",
    "i2_Lite": "i2 Lite",
    "MC401_GWL": "MC401",
    "MC432A_GWL": "MC432A_W",
    "TC601_GWL": "TC601",
    "TC601A_GWL": "TC601A",
    "TC601B_GWL": "TC601B",
    "TC603B_GWL": "TC603B_P",
    "M130s": "M10ES11",
    "Omotab 2s": "Omotab_2s",
    "Innos4KAndroidTV": "Innos",
    "Innos2KAndroidTV": "innos",
    "Polar3": "Polar3_EEA",
    "K60": "Koobee K60",
    "SL004T": "Koobee_K100",
    "M9601": "Mytel M9601",
    "neocore E1-2": "neocore_E1_2",
    "sti6140d360": "onn. 4k TV",
    "RMX3571": "realme V23",
    "RMX3572": "realme narzo 50 5G",
    "RMX3395": "narzo 50 Pro 5G",
    "RMX3396": "narzo 50 Pro 5G",
    "RMX3085": "realme 8",
    "RMX3491": "realme 9i",
    "RMX3576": "realme  V23i",
    "RMX3031": "真我GT Neo",
    "RMX2156": "realme narzo 30",
    "RMX2061": "realme 6Pro",
    "RMX2151": "realme 7",
    "RMX2111": "realme V5 5G",
    "RMX3241": "realme 8 5G",
    "RMX3381": "realme 8s 5G",
    "RMX3521": "realme 9",
    "RMX3474": "realme 9 5G",
    "RMX3388": "realme 9 5G",
    "RMX3461": "真我Q3s",
    "RMX3392": "realme 9 Pro+",
    "RMX3393": "realme 9 Pro+",
    "RMX3471": "realme 9Pro 5G",
    "RMX3472": "realme 9Pro 5G",
    "RMX3492": "realme 9i",
    "RMX3493": "realme 9i",
    "RMX3612": "realme 9i 5G",
    "RMX3263": "realme C21-Y",
    "RMX3191": "realme C25",
    "RMX3193": "realme C25",
    "RMX3269": "realme C25Y",
    "RMX3195": "realme C25s",
    "RMX3197": "realme C25s",
    "RMX3581": "realme C30",
    "RMX3623": "realme C30",
    "RMX3501": "realme C31",
    "RMX3502": "realme C31",
    "RMX3503": "realme C31",
    "RMX3511": "realme C35",
    "RMX3512": "realme C35",
    "RMX3513": "realme C35",
    "RMX3312": "realme GT 2",
    "RMX3301": "realme GT 2 Pro",
    "RMX3361": "realme GT Master Edition",
    "RMX3360": "realme GT Master Edition",
    "RMX3561": "realme GT NEO 3",
    "RMX3563": "realme GT NEO 3 150W",
    "RMX3371": "realme GT NEO 3T",
    "RMX2117": "realme Q2 5G",
    "RMP2108": "realme Pad X",
    "RMP2107": "realme Pad X",
    "RMP2105": "realme Pad mini",
    "RMP2106": "realme Pad mini",
    "RMX3161": "realme Q3 5G",
    "RMX3142": "realme Q3 Pro Play",
    "RMX3372": "realme Q5 Pro",
    "RMX3574": "realme Q5i",
    "RMX3092": "realme X7 5G",
    "RMX3093": "realme V15 5G",
    "RMX3475": "realme V25",
    "RMX2112": "realme V5 5G",
    "RMX2083": "realme X3",
    "RMX2086": "realme X3",
    "RMX2076": "realme X50 Pro",
    "RMX2072": "realme X50 Pro Play",
    "RMX3115": "realme X7Pro Ultra",
    "RMX2176": "realme X7 5G",
    "RMX2161": "realme narzo 20 Pro",
    "RMX3242": "realme narzo 30 5G",
    "RMX3286": "realme narzo 50",
    "RMX3430": "realme narzo 50A",
    "RMX3516": "realme narzo 50A Prime",
    "RMX3517": "realme narzo 50A Prime",
    "RMX3235": "realme narzo 50i",
    "RMX3506": "realme narzo 50i Prime",
    "RMX2121": "realme  X7 Pro ",
    "RMX3562": "真我 GT NEO  3  150W",
    "RMX3560": "真我 GT NEO 3",
    "RMX3551": "真我 GT2 大师探索版",
    "RMX2205": "真我 Q3 Pro 5G",
    "RMX3478": "真我 Q5",
    "RMX3610": "真我 V20",
    "RMX3611": "真我 V20",
    "RMX3310": "真我GT 2",
    "RMX3311": "真我GT 2",
    "RMX3300": "真我GT 2 Pro",
    "RMX3462": "真我Q3s",
    "RMX3041": "真我V13 5G",
    "RMX3042": "真我V13 5G",
    "RMX3043": "真我V13 5G",
    "2000_000170_00": "rephone",
    "SENCOR_7Q105": "7Q105",
    "QPI-1": "QPOINT",
    "Texet TM-5081": "TM-5081",
    "TM-5571": "Texet TM-5571",
    "TM-5581": "Texet TM-5581",
    "TM-5584": "Texet TM-5584",
    "Flix TV Box": "Flix  TV  Box",
    "SmartBoard_10_LTE": "SmartBoard 10 LTE",
    "Omnis One": "OmnisOne",
    "Truvii2KAndroidTV": "Truvii",
    "Truvii 4K Android TV": "Truvii",
    "Truvii4KAndroidTV": "Truvii",
    "Unitel Smart 1": "Unitel_Smart_1",
    "V503630": "Delite 11",
    "V505024": "Krypton 22+",
    "V505820": "Metal Pro 1",
    "V505920": "Metal Pro 2",
    "V406018": "Starr 100",
    "XTOUCH_A5": "A5",
    "X9_16GB": "X9",
    "X Bot Senior": "XBOT_SENIOR",
    "XBot_Senior": "XBOT_SENIOR",
    "XTouch X": "XTOUCH X",
    "ZA833": "Zyrex  ZA833",
    "ZT216_7": "zyrex",
}
